import { ActionPayload } from "../dispatcher/payloads";
import { AsyncStoreWithClient } from "./AsyncStoreWithClient";
export declare enum VideoChannelEvent {
    StartConnect = "start_connect",
    Connect = "connect",
    Disconnect = "disconnect",
    Participants = "participants"
}
export interface IJitsiParticipant {
    avatarURL: string;
    displayName: string;
    formattedDisplayName: string;
    participantId: string;
}
export default class VideoChannelStore extends AsyncStoreWithClient<null> {
    private static _instance;
    static get instance(): VideoChannelStore;
    private constructor();
    protected onAction(payload: ActionPayload): Promise<void>;
    private activeChannel;
    private resendDevicesTimer;
    get roomId(): string | null;
    private set roomId(value);
    private get room();
    private _connected;
    get connected(): boolean;
    private set connected(value);
    private _participants;
    get participants(): IJitsiParticipant[];
    private set participants(value);
    get audioMuted(): boolean;
    set audioMuted(value: boolean);
    get videoMuted(): boolean;
    set videoMuted(value: boolean);
    connect: (roomId: string, audioDevice: MediaDeviceInfo | null, videoDevice: MediaDeviceInfo | null) => Promise<void>;
    disconnect: () => Promise<void>;
    setDisconnected: () => Promise<void>;
    private ack;
    private onHangup;
    private onParticipants;
    private onMuteAudio;
    private onUnmuteAudio;
    private onMuteVideo;
    private onUnmuteVideo;
    private onMyMembership;
    private onDock;
    private onUndock;
}
