import { Room } from "matrix-js-sdk/src/models/room";
import { RoomMember } from "matrix-js-sdk/src/models/room-member";
import { IApp } from "../stores/WidgetStore";
import { IJitsiParticipant } from "../stores/VideoChannelStore";
export declare const VIDEO_CHANNEL_MEMBER = "io.element.video.member";
export declare const STUCK_DEVICE_TIMEOUT_MS: number;
export declare enum ConnectionState {
    Disconnected = "disconnected",
    Connecting = "connecting",
    Connected = "connected"
}
export declare const getVideoChannel: (roomId: string) => IApp;
export declare const addVideoChannel: (roomId: string, roomName: string) => Promise<void>;
export declare const useConnectedMembers: (room: Room, connectedLocalEcho: boolean, throttleMs?: number) => Set<RoomMember>;
export declare const useJitsiParticipants: (room: Room) => IJitsiParticipant[];
export declare const addOurDevice: (room: Room) => Promise<void>;
export declare const removeOurDevice: (room: Room) => Promise<void>;
/**
 * Fixes devices that may have gotten stuck in video channel member state after
 * an unclean disconnection, by filtering out logged out devices, inactive
 * devices, and our own device (if we're disconnected).
 * @param {Room} room The room to fix
 * @param {boolean} connectedLocalEcho Local echo of whether this device is connected
 */
export declare const fixStuckDevices: (room: Room, connectedLocalEcho: boolean) => Promise<void>;
export declare const useConnectionState: (room: Room) => ConnectionState;
