/// <reference types="jest" />
/// <reference types="node" />
import { EventEmitter } from "events";
import { MatrixEvent } from "matrix-js-sdk/src/models/event";
import { IJitsiParticipant } from "../../src/stores/VideoChannelStore";
export declare class StubVideoChannelStore extends EventEmitter {
    private _roomId;
    get roomId(): string | null;
    set roomId(value: string | null);
    private _connected;
    get connected(): boolean;
    get participants(): IJitsiParticipant[];
    startConnect: (roomId: string) => void;
    connect: jest.Mock<void, [roomId: string]>;
    disconnect: jest.Mock<void, []>;
}
export declare const stubVideoChannelStore: () => StubVideoChannelStore;
export declare const mkVideoChannelMember: (userId: string, devices: string[], expiresAt?: number) => MatrixEvent;
