Changes in [3.53.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.53.0) (2022-08-31)
=====================================================================================================

## ✨ Features
 * Device manager - scroll to filtered list from security recommendations ([\#9227](https://github.com/matrix-org/matrix-react-sdk/pull/9227)). Contributed by @kerryarchibald.
 * Device manager - updated dropdown style in filtered device list ([\#9226](https://github.com/matrix-org/matrix-react-sdk/pull/9226)). Contributed by @kerryarchibald.
 * Device manager - device type and verification icons on device tile ([\#9197](https://github.com/matrix-org/matrix-react-sdk/pull/9197)). Contributed by @kerryarchibald.
 * Ignore unreads in low priority rooms in the space panel ([\#6518](https://github.com/matrix-org/matrix-react-sdk/pull/6518)). Fixes vector-im/element-web#16836.
 * Release message right-click context menu out of labs ([\#8613](https://github.com/matrix-org/matrix-react-sdk/pull/8613)).
 * Device manager - expandable session details in device list ([\#9188](https://github.com/matrix-org/matrix-react-sdk/pull/9188)). Contributed by @kerryarchibald.
 * Device manager - device list filtering ([\#9181](https://github.com/matrix-org/matrix-react-sdk/pull/9181)). Contributed by @kerryarchibald.
 * Device manager - add verification details to session details ([\#9187](https://github.com/matrix-org/matrix-react-sdk/pull/9187)). Contributed by @kerryarchibald.
 * Device manager - current session expandable details ([\#9185](https://github.com/matrix-org/matrix-react-sdk/pull/9185)). Contributed by @kerryarchibald.
 * Device manager - security recommendations section ([\#9179](https://github.com/matrix-org/matrix-react-sdk/pull/9179)). Contributed by @kerryarchibald.
 * The Welcome Home Screen: Return Button ([\#9089](https://github.com/matrix-org/matrix-react-sdk/pull/9089)). Fixes vector-im/element-web#22917. Contributed by @justjanne.
 * Device manager - label devices as inactive ([\#9175](https://github.com/matrix-org/matrix-react-sdk/pull/9175)). Contributed by @kerryarchibald.
 * Device manager - other sessions list ([\#9155](https://github.com/matrix-org/matrix-react-sdk/pull/9155)). Contributed by @kerryarchibald.
 * Implement MSC3846: Allowing widgets to access TURN servers ([\#9061](https://github.com/matrix-org/matrix-react-sdk/pull/9061)).
 * Allow widgets to send/receive to-device messages ([\#8885](https://github.com/matrix-org/matrix-react-sdk/pull/8885)).

## 🐛 Bug Fixes
 * Add super cool feature ([\#9222](https://github.com/matrix-org/matrix-react-sdk/pull/9222)). Contributed by @gefgu.
 * Make use of js-sdk roomNameGenerator to handle i18n for generated room names ([\#9209](https://github.com/matrix-org/matrix-react-sdk/pull/9209)). Fixes vector-im/element-web#21369.
 * Fix progress bar regression throughout the app ([\#9219](https://github.com/matrix-org/matrix-react-sdk/pull/9219)). Fixes vector-im/element-web#23121.
 * Reuse empty string & space string logic for event types in devtools ([\#9218](https://github.com/matrix-org/matrix-react-sdk/pull/9218)). Fixes vector-im/element-web#23115.
 * Reduce amount of requests done by the onboarding task list ([\#9194](https://github.com/matrix-org/matrix-react-sdk/pull/9194)). Fixes vector-im/element-web#23085. Contributed by @justjanne.
 * Avoid hardcoding branding in user onboarding ([\#9206](https://github.com/matrix-org/matrix-react-sdk/pull/9206)). Fixes vector-im/element-web#23111. Contributed by @justjanne.
 * End jitsi call when member is banned ([\#8879](https://github.com/matrix-org/matrix-react-sdk/pull/8879)). Contributed by @maheichyk.
 * Fix context menu being opened when clicking message action bar buttons ([\#9200](https://github.com/matrix-org/matrix-react-sdk/pull/9200)). Fixes vector-im/element-web#22279 and vector-im/element-web#23100.
 * Add gap between checkbox and text in report dialog following the same pattern (8px) used in the gap between the two buttons. It fixes vector-im/element-web#23060 ([\#9195](https://github.com/matrix-org/matrix-react-sdk/pull/9195)). Contributed by @gefgu.
 * Fix url preview AXE and layout issue & add percy test ([\#9189](https://github.com/matrix-org/matrix-react-sdk/pull/9189)). Fixes vector-im/element-web#23083.
 * Wrap long space names ([\#9201](https://github.com/matrix-org/matrix-react-sdk/pull/9201)). Fixes vector-im/element-web#23095.
 * Attempt to fix `Failed to execute 'removeChild' on 'Node'` ([\#9196](https://github.com/matrix-org/matrix-react-sdk/pull/9196)).
 * Fix soft crash around space hierarchy changing between spaces ([\#9191](https://github.com/matrix-org/matrix-react-sdk/pull/9191)). Fixes matrix-org/element-web-rageshakes#14613.
 * Fix soft crash around room view store metrics ([\#9190](https://github.com/matrix-org/matrix-react-sdk/pull/9190)). Fixes matrix-org/element-web-rageshakes#14361.
 * Fix the same person appearing multiple times when searching for them. ([\#9177](https://github.com/matrix-org/matrix-react-sdk/pull/9177)). Fixes vector-im/element-web#22851.
 * Fix space panel subspace indentation going missing ([\#9167](https://github.com/matrix-org/matrix-react-sdk/pull/9167)). Fixes vector-im/element-web#23049.
 * Fix invisible power levels tile when showing hidden events ([\#9162](https://github.com/matrix-org/matrix-react-sdk/pull/9162)). Fixes vector-im/element-web#23013.
 * Space panel accessibility improvements ([\#9157](https://github.com/matrix-org/matrix-react-sdk/pull/9157)). Fixes vector-im/element-web#22995.
 * Fix inverted logic for showing UserWelcomeTop component ([\#9164](https://github.com/matrix-org/matrix-react-sdk/pull/9164)). Fixes vector-im/element-web#23037.

Changes in [3.52.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.52.0) (2022-08-16)
=====================================================================================================

## ✨ Features
 * Device manager - New device tile info design ([\#9122](https://github.com/matrix-org/matrix-react-sdk/pull/9122)). Contributed by @kerryarchibald.
 * Device manager generic settings subsection component ([\#9147](https://github.com/matrix-org/matrix-react-sdk/pull/9147)). Contributed by @kerryarchibald.
 * Migrate the hidden read receipts flag to new "send read receipts" option ([\#9141](https://github.com/matrix-org/matrix-react-sdk/pull/9141)).
 * Live location sharing - share location at most every 5 seconds ([\#9148](https://github.com/matrix-org/matrix-react-sdk/pull/9148)). Contributed by @kerryarchibald.
 * Increase max length of voice messages to 15m ([\#9133](https://github.com/matrix-org/matrix-react-sdk/pull/9133)). Fixes vector-im/element-web#18620.
 * Move pin drop out of labs ([\#9135](https://github.com/matrix-org/matrix-react-sdk/pull/9135)).
 * Start DM on first message ([\#8612](https://github.com/matrix-org/matrix-react-sdk/pull/8612)). Fixes vector-im/element-web#14736.
 * Remove "Add Space" button from RoomListHeader when user cannot create spaces ([\#9129](https://github.com/matrix-org/matrix-react-sdk/pull/9129)).
 * The Welcome Home Screen: Dedicated Download Apps Dialog ([\#9120](https://github.com/matrix-org/matrix-react-sdk/pull/9120)). Fixes vector-im/element-web#22921. Contributed by @justjanne.
 * The Welcome Home Screen: "Submit Feedback" pane ([\#9090](https://github.com/matrix-org/matrix-react-sdk/pull/9090)). Fixes vector-im/element-web#22918. Contributed by @justjanne.
 * New User Onboarding Task List ([\#9083](https://github.com/matrix-org/matrix-react-sdk/pull/9083)). Fixes vector-im/element-web#22919. Contributed by @justjanne.
 * Add support for disabling spell checking ([\#8604](https://github.com/matrix-org/matrix-react-sdk/pull/8604)). Fixes vector-im/element-web#21901.
 * Live location share - leave maximised map open when beacons expire ([\#9098](https://github.com/matrix-org/matrix-react-sdk/pull/9098)). Contributed by @kerryarchibald.

## 🐛 Bug Fixes
 * Some slash-commands (`/myroomnick`) have temporarily been disabled before the first message in a DM is sent. ([\#9193](https://github.com/matrix-org/matrix-react-sdk/pull/9193)).
 * Use stable reference for active tab in tabbedView ([\#9145](https://github.com/matrix-org/matrix-react-sdk/pull/9145)). Contributed by @kerryarchibald.
 * Fix pillification sometimes doubling up ([\#9152](https://github.com/matrix-org/matrix-react-sdk/pull/9152)). Fixes vector-im/element-web#23036.
 * Fix composer padding ([\#9137](https://github.com/matrix-org/matrix-react-sdk/pull/9137)). Fixes vector-im/element-web#22992.
 * Fix highlights not being applied to plaintext messages ([\#9126](https://github.com/matrix-org/matrix-react-sdk/pull/9126)). Fixes vector-im/element-web#22787.
 * Fix dismissing edit composer when change was undone ([\#9109](https://github.com/matrix-org/matrix-react-sdk/pull/9109)). Fixes vector-im/element-web#22932.
 * 1-to-1 DM rooms with bots now act like DM rooms instead of multi-user-rooms before ([\#9124](https://github.com/matrix-org/matrix-react-sdk/pull/9124)). Fixes vector-im/element-web#22894.
 * Apply inline start padding to selected lines on modern layout only ([\#9006](https://github.com/matrix-org/matrix-react-sdk/pull/9006)). Fixes vector-im/element-web#22768. Contributed by @luixxiul.
 * Peek into world-readable rooms from spotlight ([\#9115](https://github.com/matrix-org/matrix-react-sdk/pull/9115)). Fixes vector-im/element-web#22862.
 * Use default styling on nested numbered lists due to MD being sensitive ([\#9110](https://github.com/matrix-org/matrix-react-sdk/pull/9110)). Fixes vector-im/element-web#22935.
 * Fix replying using chat effect commands ([\#9101](https://github.com/matrix-org/matrix-react-sdk/pull/9101)). Fixes vector-im/element-web#22824.
 * The first message in a DM can no longer be a sticker. This has been changed to avoid issues with the integration manager. ([\#9180](https://github.com/matrix-org/matrix-react-sdk/pull/9180)).

Changes in [3.51.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.51.0) (2022-08-02)
=====================================================================================================

## ✨ Features
 * Live location share -  focus on user location on list item click ([\#9051](https://github.com/matrix-org/matrix-react-sdk/pull/9051)). Contributed by @kerryarchibald.
 * Live location sharing - don't trigger unread counts for beacon location events ([\#9071](https://github.com/matrix-org/matrix-react-sdk/pull/9071)). Contributed by @kerryarchibald.
 * Support for sending voice messages as replies and in threads ([\#9097](https://github.com/matrix-org/matrix-react-sdk/pull/9097)). Fixes vector-im/element-web#22031.
 * Add `Reply in thread` button to the right-click message context-menu ([\#9004](https://github.com/matrix-org/matrix-react-sdk/pull/9004)). Fixes vector-im/element-web#22745.
 * Starred_Messages_Feature_Contd_II/Outreachy ([\#9086](https://github.com/matrix-org/matrix-react-sdk/pull/9086)).
 *  Use "frequently used emojis" for autocompletion in composer ([\#8998](https://github.com/matrix-org/matrix-react-sdk/pull/8998)). Fixes vector-im/element-web#18978. Contributed by @grimhilt.
 * Improve clickability of view source event toggle button  ([\#9068](https://github.com/matrix-org/matrix-react-sdk/pull/9068)). Fixes vector-im/element-web#21856. Contributed by @luixxiul.
 * Improve clickability of "collapse" link button on bubble layout ([\#9037](https://github.com/matrix-org/matrix-react-sdk/pull/9037)). Fixes vector-im/element-web#22864. Contributed by @luixxiul.
 * Starred_Messages_Feature/Outreachy ([\#8842](https://github.com/matrix-org/matrix-react-sdk/pull/8842)).
 * Implement Use Case Selection screen ([\#8984](https://github.com/matrix-org/matrix-react-sdk/pull/8984)). Contributed by @justjanne.
 * Live location share - handle insufficient permissions in location sharing ([\#9047](https://github.com/matrix-org/matrix-react-sdk/pull/9047)). Contributed by @kerryarchibald.
 * Improve _FilePanel.scss ([\#9031](https://github.com/matrix-org/matrix-react-sdk/pull/9031)). Contributed by @luixxiul.
 * Improve spotlight accessibility by adding context menus ([\#8907](https://github.com/matrix-org/matrix-react-sdk/pull/8907)). Fixes vector-im/element-web#20875 and vector-im/element-web#22675. Contributed by @justjanne.

## 🐛 Bug Fixes
 * Replace mask-images with svg components in MessageActionBar ([\#9088](https://github.com/matrix-org/matrix-react-sdk/pull/9088)). Fixes vector-im/element-web#22912. Contributed by @kerryarchibald.
 * Unbreak in-app permalink tooltips ([\#9087](https://github.com/matrix-org/matrix-react-sdk/pull/9087)). Fixes vector-im/element-web#22874.
 * Show a back button when viewing a space member ([\#9095](https://github.com/matrix-org/matrix-react-sdk/pull/9095)). Fixes vector-im/element-web#22898.
 * Align the right edge of info tile lines with normal ones on IRC layout ([\#9058](https://github.com/matrix-org/matrix-react-sdk/pull/9058)). Fixes vector-im/element-web#22871. Contributed by @luixxiul.
 * Prevent email verification from overriding existing sessions ([\#9075](https://github.com/matrix-org/matrix-react-sdk/pull/9075)). Fixes vector-im/element-web#22881. Contributed by @justjanne.
 * Fix wrong buttons being used when exploring public rooms ([\#9062](https://github.com/matrix-org/matrix-react-sdk/pull/9062)). Fixes vector-im/element-web#22862.
 * Re-add padding to generic event list summary on IRC layout ([\#9063](https://github.com/matrix-org/matrix-react-sdk/pull/9063)). Fixes vector-im/element-web#22869. Contributed by @luixxiul.
 * Joining federated rooms via the spotlight search should no longer cause a "No known servers" error. ([\#9055](https://github.com/matrix-org/matrix-react-sdk/pull/9055)). Fixes vector-im/element-web#22845. Contributed by @Half-Shot.

Changes in [3.49.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.49.0) (2022-07-26)
=====================================================================================================

## ✨ Features
 * Hide screenshare button in video rooms on Desktop ([\#9045](https://github.com/matrix-org/matrix-react-sdk/pull/9045)).
 * Add a developer command to reset Megolm and Olm sessions ([\#9044](https://github.com/matrix-org/matrix-react-sdk/pull/9044)).
 * add spaces to TileErrorBoundary ([\#9012](https://github.com/matrix-org/matrix-react-sdk/pull/9012)). Contributed by @HarHarLinks.
 * Location sharing - add localised strings to map ([\#9025](https://github.com/matrix-org/matrix-react-sdk/pull/9025)). Fixes vector-im/element-web#21443. Contributed by @kerryarchibald.
 * Added trim to ignore whitespaces in email check ([\#9027](https://github.com/matrix-org/matrix-react-sdk/pull/9027)). Contributed by @ankur12-1610.
 * Improve _GenericEventListSummary.scss ([\#9005](https://github.com/matrix-org/matrix-react-sdk/pull/9005)). Contributed by @luixxiul.
 * Live location share - tiles without tile server (PSG-591) ([\#8962](https://github.com/matrix-org/matrix-react-sdk/pull/8962)). Contributed by @kerryarchibald.
 * Add option to display tooltip on link hover ([\#8394](https://github.com/matrix-org/matrix-react-sdk/pull/8394)). Fixes vector-im/element-web#21907.
 * Support a module API surface for custom functionality ([\#8246](https://github.com/matrix-org/matrix-react-sdk/pull/8246)).
 * Adjust encryption copy when creating a video room ([\#8989](https://github.com/matrix-org/matrix-react-sdk/pull/8989)). Fixes vector-im/element-web#22737.
 * Add bidirectonal isolation for pills ([\#8985](https://github.com/matrix-org/matrix-react-sdk/pull/8985)). Contributed by @sha-265.
 * Delabs `Show current avatar and name for users in message history` ([\#8764](https://github.com/matrix-org/matrix-react-sdk/pull/8764)). Fixes vector-im/element-web#22336.
 * Live location share - open latest location in map site ([\#8981](https://github.com/matrix-org/matrix-react-sdk/pull/8981)). Contributed by @kerryarchibald.
 * Improve LinkPreviewWidget ([\#8881](https://github.com/matrix-org/matrix-react-sdk/pull/8881)). Fixes vector-im/element-web#22634. Contributed by @luixxiul.
 * Render HTML topics in rooms on space home ([\#8939](https://github.com/matrix-org/matrix-react-sdk/pull/8939)).
 * Hide timestamp on event tiles being edited on every layout ([\#8956](https://github.com/matrix-org/matrix-react-sdk/pull/8956)). Contributed by @luixxiul.
 * Introduce new copy icon ([\#8942](https://github.com/matrix-org/matrix-react-sdk/pull/8942)).
 * Allow finding group DMs by members in spotlight ([\#8922](https://github.com/matrix-org/matrix-react-sdk/pull/8922)). Fixes vector-im/element-web#22564. Contributed by @justjanne.
 * Live location share - explicitly stop beacons replaced beacons ([\#8933](https://github.com/matrix-org/matrix-react-sdk/pull/8933)). Contributed by @kerryarchibald.
 * Remove unpin from widget kebab menu ([\#8924](https://github.com/matrix-org/matrix-react-sdk/pull/8924)).
 * Live location share - redact related locations on beacon redaction ([\#8926](https://github.com/matrix-org/matrix-react-sdk/pull/8926)). Contributed by @kerryarchibald.
 * Live location share - disallow message pinning ([\#8928](https://github.com/matrix-org/matrix-react-sdk/pull/8928)). Contributed by @kerryarchibald.

## 🐛 Bug Fixes
 * Unbreak in-app permalink tooltips  ([\#9100](https://github.com/matrix-org/matrix-react-sdk/pull/9100)).
 * Add space for the stroke on message editor on IRC layout ([\#9030](https://github.com/matrix-org/matrix-react-sdk/pull/9030)). Fixes vector-im/element-web#22785. Contributed by @luixxiul.
 * Fix pinned messages not re-linkifying on edit ([\#9042](https://github.com/matrix-org/matrix-react-sdk/pull/9042)). Fixes vector-im/element-web#22726.
 * Don't unnecessarily persist the host signup dialog ([\#9043](https://github.com/matrix-org/matrix-react-sdk/pull/9043)). Fixes vector-im/element-web#22778.
 * Fix URL previews causing messages to become unrenderable ([\#9028](https://github.com/matrix-org/matrix-react-sdk/pull/9028)). Fixes vector-im/element-web#22766.
 * Fix event list summaries including invalid events ([\#9041](https://github.com/matrix-org/matrix-react-sdk/pull/9041)). Fixes vector-im/element-web#22790.
 * Correct accessibility labels for unread rooms in spotlight ([\#9003](https://github.com/matrix-org/matrix-react-sdk/pull/9003)). Contributed by @justjanne.
 * Enable search strings highlight on bubble layout ([\#9032](https://github.com/matrix-org/matrix-react-sdk/pull/9032)). Fixes vector-im/element-web#22786. Contributed by @luixxiul.
 * Unbreak URL preview for formatted links with tooltips ([\#9022](https://github.com/matrix-org/matrix-react-sdk/pull/9022)). Fixes vector-im/element-web#22764.
 * Re-add margin to tiles based on EventTileBubble ([\#9015](https://github.com/matrix-org/matrix-react-sdk/pull/9015)). Fixes vector-im/element-web#22772. Contributed by @luixxiul.
 * Fix Shortcut prompt for Search showing in minimized Roomlist ([\#9014](https://github.com/matrix-org/matrix-react-sdk/pull/9014)). Fixes vector-im/element-web#22739. Contributed by @justjanne.
 * Fix avatar position on event info line for hidden events on a thread ([\#9019](https://github.com/matrix-org/matrix-react-sdk/pull/9019)). Fixes vector-im/element-web#22777. Contributed by @luixxiul.
 * Fix lost padding of event tile info line ([\#9009](https://github.com/matrix-org/matrix-react-sdk/pull/9009)). Fixes vector-im/element-web#22754 and vector-im/element-web#22759. Contributed by @luixxiul.
 * Align verification bubble with normal event tiles on IRC layout ([\#9001](https://github.com/matrix-org/matrix-react-sdk/pull/9001)). Fixes vector-im/element-web#22758. Contributed by @luixxiul.
 * Ensure timestamp on generic event list summary is not hidden from TimelineCard ([\#9000](https://github.com/matrix-org/matrix-react-sdk/pull/9000)). Fixes vector-im/element-web#22755. Contributed by @luixxiul.
 * Fix headings margin on security user settings tab ([\#8826](https://github.com/matrix-org/matrix-react-sdk/pull/8826)). Contributed by @luixxiul.
 * Fix timestamp position on file panel ([\#8976](https://github.com/matrix-org/matrix-react-sdk/pull/8976)). Fixes vector-im/element-web#22718. Contributed by @luixxiul.
 * Stop using :not() pseudo class for mx_GenericEventListSummary ([\#8944](https://github.com/matrix-org/matrix-react-sdk/pull/8944)). Fixes vector-im/element-web#22602. Contributed by @luixxiul.
 * Don't show the same user twice in Spotlight ([\#8978](https://github.com/matrix-org/matrix-react-sdk/pull/8978)). Fixes vector-im/element-web#22697.
 * Align the right edge of expand / collapse link buttons of generic event list summary in bubble layout with a variable ([\#8992](https://github.com/matrix-org/matrix-react-sdk/pull/8992)). Fixes vector-im/element-web#22743. Contributed by @luixxiul.
 * Display own avatars on search results panel in bubble layout ([\#8990](https://github.com/matrix-org/matrix-react-sdk/pull/8990)). Contributed by @luixxiul.
 * Fix text flow of thread summary content on threads list ([\#8991](https://github.com/matrix-org/matrix-react-sdk/pull/8991)). Fixes vector-im/element-web#22738. Contributed by @luixxiul.
 * Fix the size of the clickable area of images ([\#8987](https://github.com/matrix-org/matrix-react-sdk/pull/8987)). Fixes vector-im/element-web#22282.
 * Fix font size of MessageTimestamp on TimelineCard ([\#8950](https://github.com/matrix-org/matrix-react-sdk/pull/8950)). Contributed by @luixxiul.
 * Improve security room settings tab style rules ([\#8844](https://github.com/matrix-org/matrix-react-sdk/pull/8844)). Fixes vector-im/element-web#22575. Contributed by @luixxiul.
 * Align E2E icon and avatar of info tile in compact modern layout ([\#8965](https://github.com/matrix-org/matrix-react-sdk/pull/8965)). Fixes vector-im/element-web#22652. Contributed by @luixxiul.
 * Fix clickable area of general event list summary toggle ([\#8979](https://github.com/matrix-org/matrix-react-sdk/pull/8979)). Fixes vector-im/element-web#22722. Contributed by @luixxiul.
 * Fix resizing room topic ([\#8966](https://github.com/matrix-org/matrix-react-sdk/pull/8966)). Fixes vector-im/element-web#22689.
 * Dismiss the search dialogue when starting a DM ([\#8967](https://github.com/matrix-org/matrix-react-sdk/pull/8967)). Fixes vector-im/element-web#22700.
 * Fix "greyed out" text style inconsistency on search result panel ([\#8974](https://github.com/matrix-org/matrix-react-sdk/pull/8974)). Contributed by @luixxiul.
 * Add top padding to EventTilePreview loader ([\#8977](https://github.com/matrix-org/matrix-react-sdk/pull/8977)). Fixes vector-im/element-web#22719. Contributed by @luixxiul.
 * Fix read receipts group position on TimelineCard in compact modern/group layout ([\#8971](https://github.com/matrix-org/matrix-react-sdk/pull/8971)). Fixes vector-im/element-web#22715. Contributed by @luixxiul.
 * Fix calls on homeservers without the unstable thirdparty endpoints. ([\#8931](https://github.com/matrix-org/matrix-react-sdk/pull/8931)). Fixes vector-im/element-web#21680. Contributed by @deepbluev7.
 * Enable ReplyChain text to be expanded on IRC layout ([\#8959](https://github.com/matrix-org/matrix-react-sdk/pull/8959)). Fixes vector-im/element-web#22709. Contributed by @luixxiul.
 * Fix hidden timestamp on message edit history dialog ([\#8955](https://github.com/matrix-org/matrix-react-sdk/pull/8955)). Fixes vector-im/element-web#22701. Contributed by @luixxiul.
 * Enable ReplyChain text to be expanded on bubble layout ([\#8958](https://github.com/matrix-org/matrix-react-sdk/pull/8958)). Fixes vector-im/element-web#22709. Contributed by @luixxiul.
 * Fix expand/collapse state wrong in metaspaces ([\#8952](https://github.com/matrix-org/matrix-react-sdk/pull/8952)). Fixes vector-im/element-web#22632.
 * Location (live) share replies now provide a fallback content ([\#8949](https://github.com/matrix-org/matrix-react-sdk/pull/8949)).
 * Fix space settings not opening for script-created spaces ([\#8957](https://github.com/matrix-org/matrix-react-sdk/pull/8957)). Fixes vector-im/element-web#22703.
 * Respect `filename` field on `m.file` events ([\#8951](https://github.com/matrix-org/matrix-react-sdk/pull/8951)).
 * Fix PlatformSettingsHandler always returning true due to returning a Promise ([\#8954](https://github.com/matrix-org/matrix-react-sdk/pull/8954)). Fixes vector-im/element-web#22616.
 * Improve high-contrast support for spotlight ([\#8948](https://github.com/matrix-org/matrix-react-sdk/pull/8948)). Fixes vector-im/element-web#22481. Contributed by @justjanne.
 * Fix wrong assertions that all media events have a mimetype ([\#8946](https://github.com/matrix-org/matrix-react-sdk/pull/8946)). Fixes matrix-org/element-web-rageshakes#13727.
 * Make invite dialogue fixed height ([\#8934](https://github.com/matrix-org/matrix-react-sdk/pull/8934)). Fixes vector-im/element-web#22659.
 * Fix all megolm error reported as unknown ([\#8916](https://github.com/matrix-org/matrix-react-sdk/pull/8916)).
 * Remove line-height declarations from _ReplyTile.scss ([\#8932](https://github.com/matrix-org/matrix-react-sdk/pull/8932)). Fixes vector-im/element-web#22687. Contributed by @luixxiul.
 * Reduce video rooms log spam ([\#8913](https://github.com/matrix-org/matrix-react-sdk/pull/8913)).
 * Correct new search input’s rounded corners ([\#8921](https://github.com/matrix-org/matrix-react-sdk/pull/8921)). Fixes vector-im/element-web#22576. Contributed by @justjanne.
 * Align unread notification dot on threads list in compact modern=group layout ([\#8911](https://github.com/matrix-org/matrix-react-sdk/pull/8911)). Fixes vector-im/element-web#22677. Contributed by @luixxiul.

Changes in [3.48.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.48.0) (2022-07-05)
=====================================================================================================

## 🚨 BREAKING CHANGES
 * Remove Piwik support ([\#8835](https://github.com/matrix-org/matrix-react-sdk/pull/8835)).

## ✨ Features
 * Move New Search Experience out of beta ([\#8859](https://github.com/matrix-org/matrix-react-sdk/pull/8859)). Contributed by @justjanne.
 * Switch video rooms to spotlight layout when in PiP mode ([\#8912](https://github.com/matrix-org/matrix-react-sdk/pull/8912)). Fixes vector-im/element-web#22574.
 * Live location sharing - render message deleted tile for redacted beacons ([\#8905](https://github.com/matrix-org/matrix-react-sdk/pull/8905)). Contributed by @kerryarchibald.
 * Improve view source dialog style ([\#8883](https://github.com/matrix-org/matrix-react-sdk/pull/8883)). Fixes vector-im/element-web#22636. Contributed by @luixxiul.
 * Improve integration manager dialog style ([\#8888](https://github.com/matrix-org/matrix-react-sdk/pull/8888)). Fixes vector-im/element-web#22642. Contributed by @luixxiul.
 * Implement MSC3827: Filtering of `/publicRooms` by room type ([\#8866](https://github.com/matrix-org/matrix-react-sdk/pull/8866)). Fixes vector-im/element-web#22578.
 * Show chat panel when opening a video room with unread messages ([\#8812](https://github.com/matrix-org/matrix-react-sdk/pull/8812)). Fixes vector-im/element-web#22527.
 * Live location share - forward latest location ([\#8860](https://github.com/matrix-org/matrix-react-sdk/pull/8860)). Contributed by @kerryarchibald.
 * Allow integration managers to validate user identity after opening ([\#8782](https://github.com/matrix-org/matrix-react-sdk/pull/8782)). Contributed by @Half-Shot.
 * Create a common header on right panel cards on BaseCard ([\#8808](https://github.com/matrix-org/matrix-react-sdk/pull/8808)). Contributed by @luixxiul.
 * Integrate searching public rooms and people into the new search experience ([\#8707](https://github.com/matrix-org/matrix-react-sdk/pull/8707)). Fixes vector-im/element-web#21354 and vector-im/element-web#19349. Contributed by @justjanne.
 * Bring back waveform for voice messages and retain seeking ([\#8843](https://github.com/matrix-org/matrix-react-sdk/pull/8843)). Fixes vector-im/element-web#21904.
 * Improve colors in settings  ([\#7283](https://github.com/matrix-org/matrix-react-sdk/pull/7283)).
 * Keep draft in composer when a slash command syntax errors ([\#8811](https://github.com/matrix-org/matrix-react-sdk/pull/8811)). Fixes vector-im/element-web#22384.
 * Release video rooms as a beta feature ([\#8431](https://github.com/matrix-org/matrix-react-sdk/pull/8431)).
 * Clarify logout key backup warning dialog. Contributed by @notramo. ([\#8741](https://github.com/matrix-org/matrix-react-sdk/pull/8741)). Fixes vector-im/element-web#15565. Contributed by @MadLittleMods.
 * Slightly improve the look of the `Message edits` dialog ([\#8763](https://github.com/matrix-org/matrix-react-sdk/pull/8763)). Fixes vector-im/element-web#22410.
 * Add support for MD / HTML in room topics ([\#8215](https://github.com/matrix-org/matrix-react-sdk/pull/8215)). Fixes vector-im/element-web#5180. Contributed by @Johennes.
 * Live location share - link to timeline tile from share warning ([\#8752](https://github.com/matrix-org/matrix-react-sdk/pull/8752)). Contributed by @kerryarchibald.
 * Improve composer visiblity ([\#8578](https://github.com/matrix-org/matrix-react-sdk/pull/8578)). Fixes vector-im/element-web#22072 and vector-im/element-web#17362.
 * Makes the avatar of the user menu non-draggable ([\#8765](https://github.com/matrix-org/matrix-react-sdk/pull/8765)). Contributed by @luixxiul.
 * Improve widget buttons behaviour and layout ([\#8734](https://github.com/matrix-org/matrix-react-sdk/pull/8734)).
 * Use AccessibleButton for 'Reset All' link button on SetupEncryptionBody ([\#8730](https://github.com/matrix-org/matrix-react-sdk/pull/8730)). Contributed by @luixxiul.
 * Adjust message timestamp position on TimelineCard in non-bubble layouts ([\#8745](https://github.com/matrix-org/matrix-react-sdk/pull/8745)). Fixes vector-im/element-web#22426. Contributed by @luixxiul.
 * Use AccessibleButton for 'In reply to' link button on ReplyChain ([\#8726](https://github.com/matrix-org/matrix-react-sdk/pull/8726)). Fixes vector-im/element-web#22407. Contributed by @luixxiul.
 * Live location share - enable reply and react to tiles ([\#8721](https://github.com/matrix-org/matrix-react-sdk/pull/8721)). Contributed by @kerryarchibald.
 * Change dash to em dash issues fixed ([\#8455](https://github.com/matrix-org/matrix-react-sdk/pull/8455)). Fixes vector-im/element-web#21895. Contributed by @goelesha.

## 🐛 Bug Fixes
 * Make invite dialogue fixed height ([\#8945](https://github.com/matrix-org/matrix-react-sdk/pull/8945)).
 * Correct issue with tab order in new search experience ([\#8919](https://github.com/matrix-org/matrix-react-sdk/pull/8919)). Fixes vector-im/element-web#22670. Contributed by @justjanne.
 * Clicking location replies now redirects to the replied event instead of opening the map ([\#8918](https://github.com/matrix-org/matrix-react-sdk/pull/8918)). Fixes vector-im/element-web#22667.
 * Keep clicks on pills within the app ([\#8917](https://github.com/matrix-org/matrix-react-sdk/pull/8917)). Fixes vector-im/element-web#22653.
 * Don't overlap tile bubbles with timestamps in modern layout ([\#8908](https://github.com/matrix-org/matrix-react-sdk/pull/8908)). Fixes vector-im/element-web#22425.
 * Connect to Jitsi unmuted by default ([\#8909](https://github.com/matrix-org/matrix-react-sdk/pull/8909)).
 * Maximize width value of display name on TimelineCard with IRC/modern layout ([\#8904](https://github.com/matrix-org/matrix-react-sdk/pull/8904)). Fixes vector-im/element-web#22651. Contributed by @luixxiul.
 * Align the avatar and the display name on TimelineCard ([\#8900](https://github.com/matrix-org/matrix-react-sdk/pull/8900)). Contributed by @luixxiul.
 * Remove inline margin from reactions row on IRC layout ([\#8891](https://github.com/matrix-org/matrix-react-sdk/pull/8891)). Fixes vector-im/element-web#22644. Contributed by @luixxiul.
 * Align "From a thread" on search result panel on IRC layout ([\#8892](https://github.com/matrix-org/matrix-react-sdk/pull/8892)). Fixes vector-im/element-web#22645. Contributed by @luixxiul.
 * Display description of E2E advanced panel as subsection text ([\#8889](https://github.com/matrix-org/matrix-react-sdk/pull/8889)). Contributed by @luixxiul.
 * Remove inline end margin from images on file panel ([\#8886](https://github.com/matrix-org/matrix-react-sdk/pull/8886)). Fixes vector-im/element-web#22640. Contributed by @luixxiul.
 * Disable option to `Quote` when we don't have sufficient permissions ([\#8893](https://github.com/matrix-org/matrix-react-sdk/pull/8893)). Fixes vector-im/element-web#22643.
 * Add padding to font scaling loader for message bubble layout ([\#8875](https://github.com/matrix-org/matrix-react-sdk/pull/8875)). Fixes vector-im/element-web#22626. Contributed by @luixxiul.
 * Set 100% max-width to display name on reply tiles ([\#8867](https://github.com/matrix-org/matrix-react-sdk/pull/8867)). Fixes vector-im/element-web#22615. Contributed by @luixxiul.
 * Fix alignment of pill letter ([\#8874](https://github.com/matrix-org/matrix-react-sdk/pull/8874)). Fixes vector-im/element-web#22622. Contributed by @luixxiul.
 * Move the beta pill to the right side and display the pill on video room only ([\#8873](https://github.com/matrix-org/matrix-react-sdk/pull/8873)). Fixes vector-im/element-web#22619 and vector-im/element-web#22620. Contributed by @luixxiul.
 * Stop using absolute property to place beta pill on RoomPreviewCard ([\#8872](https://github.com/matrix-org/matrix-react-sdk/pull/8872)). Fixes vector-im/element-web#22617. Contributed by @luixxiul.
 * Make the pill text single line ([\#8744](https://github.com/matrix-org/matrix-react-sdk/pull/8744)). Fixes vector-im/element-web#22427. Contributed by @luixxiul.
 * Hide overflow of public room description on spotlight dialog result ([\#8870](https://github.com/matrix-org/matrix-react-sdk/pull/8870)). Contributed by @luixxiul.
 * Fix position of message action bar on the info tile on TimelineCard in message bubble layout ([\#8865](https://github.com/matrix-org/matrix-react-sdk/pull/8865)). Fixes vector-im/element-web#22614. Contributed by @luixxiul.
 * Remove inline start margin from display name on reply tiles on TimelineCard ([\#8864](https://github.com/matrix-org/matrix-react-sdk/pull/8864)). Fixes vector-im/element-web#22613. Contributed by @luixxiul.
 * Improve homeserver dropdown dialog styling ([\#8850](https://github.com/matrix-org/matrix-react-sdk/pull/8850)). Fixes vector-im/element-web#22552. Contributed by @justjanne.
 * Fix crash when drawing blurHash for portrait videos PSB-139 ([\#8855](https://github.com/matrix-org/matrix-react-sdk/pull/8855)). Fixes vector-im/element-web#22597. Contributed by @andybalaam.
 * Fix grid blowout on pinned event tiles ([\#8816](https://github.com/matrix-org/matrix-react-sdk/pull/8816)). Fixes vector-im/element-web#22543. Contributed by @luixxiul.
 * Fix temporary sync errors if there's weird settings stored in account data ([\#8857](https://github.com/matrix-org/matrix-react-sdk/pull/8857)).
 * Fix reactions row overflow and gap between reactions ([\#8813](https://github.com/matrix-org/matrix-react-sdk/pull/8813)). Fixes vector-im/element-web#22093. Contributed by @luixxiul.
 * Fix issues with the Create new room button in Spotlight ([\#8851](https://github.com/matrix-org/matrix-react-sdk/pull/8851)). Contributed by @justjanne.
 * Remove margin from E2E icon between avatar and hidden event ([\#8584](https://github.com/matrix-org/matrix-react-sdk/pull/8584)). Fixes vector-im/element-web#22186. Contributed by @luixxiul.
 * Fix waveform on a message bubble ([\#8852](https://github.com/matrix-org/matrix-react-sdk/pull/8852)). Contributed by @luixxiul.
 * Location sharing maps are now loaded after reconnection ([\#8848](https://github.com/matrix-org/matrix-react-sdk/pull/8848)). Fixes vector-im/element-web#20993.
 * Update the avatar mask so it doesn’t cut off spaces’ avatars anymore ([\#8849](https://github.com/matrix-org/matrix-react-sdk/pull/8849)). Contributed by @justjanne.
 * Add a bit of safety around timestamp handling for threads ([\#8845](https://github.com/matrix-org/matrix-react-sdk/pull/8845)).
 * Remove top margin from event tile on a narrow viewport ([\#8814](https://github.com/matrix-org/matrix-react-sdk/pull/8814)). Contributed by @luixxiul.
 * Fix keyboard shortcuts on settings tab being wrapped ([\#8825](https://github.com/matrix-org/matrix-react-sdk/pull/8825)). Fixes vector-im/element-web#22547. Contributed by @luixxiul.
 * Add try-catch around blurhash loading ([\#8830](https://github.com/matrix-org/matrix-react-sdk/pull/8830)).
 * Prevent new composer from overflowing from non-breakable text ([\#8829](https://github.com/matrix-org/matrix-react-sdk/pull/8829)). Fixes vector-im/element-web#22507. Contributed by @justjanne.
 * Use common subheading on sidebar user settings tab ([\#8823](https://github.com/matrix-org/matrix-react-sdk/pull/8823)). Contributed by @luixxiul.
 * Fix clickable area of advanced toggle on appearance user settings tab ([\#8820](https://github.com/matrix-org/matrix-react-sdk/pull/8820)). Fixes vector-im/element-web#22546. Contributed by @luixxiul.
 * Disable redacting reactions if we don't have sufficient permissions  ([\#8767](https://github.com/matrix-org/matrix-react-sdk/pull/8767)). Fixes vector-im/element-web#22262.
 * Update the live timeline when the JS SDK resets it ([\#8806](https://github.com/matrix-org/matrix-react-sdk/pull/8806)). Fixes vector-im/element-web#22421.
 * Fix flex blowout on image reply ([\#8809](https://github.com/matrix-org/matrix-react-sdk/pull/8809)). Fixes vector-im/element-web#22509 and vector-im/element-web#22510. Contributed by @luixxiul.
 * Enable background color on hover for chat panel and thread panel ([\#8644](https://github.com/matrix-org/matrix-react-sdk/pull/8644)). Fixes vector-im/element-web#22273. Contributed by @luixxiul.
 * Fix #20026: send read marker as soon as we change it ([\#8802](https://github.com/matrix-org/matrix-react-sdk/pull/8802)). Fixes vector-im/element-web#20026. Contributed by @andybalaam.
 * Allow AppTiles to shrink as much as necessary ([\#8805](https://github.com/matrix-org/matrix-react-sdk/pull/8805)). Fixes vector-im/element-web#22499.
 * Make widgets in video rooms immutable again ([\#8803](https://github.com/matrix-org/matrix-react-sdk/pull/8803)). Fixes vector-im/element-web#22497.
 * Use MessageActionBar style declarations on pinned message card ([\#8757](https://github.com/matrix-org/matrix-react-sdk/pull/8757)). Fixes vector-im/element-web#22444. Contributed by @luixxiul.
 * Expire video member events after 1 hour ([\#8776](https://github.com/matrix-org/matrix-react-sdk/pull/8776)).
 * Name lists on invite dialog ([\#8046](https://github.com/matrix-org/matrix-react-sdk/pull/8046)). Fixes vector-im/element-web#21400 and vector-im/element-web#19463. Contributed by @luixxiul.
 * Live location share - show loading UI for beacons with start timestamp in the future ([\#8775](https://github.com/matrix-org/matrix-react-sdk/pull/8775)). Fixes vector-im/element-web#22437. Contributed by @kerryarchibald.
 * Fix scroll jump issue with the composer ([\#8788](https://github.com/matrix-org/matrix-react-sdk/pull/8788)). Fixes vector-im/element-web#22464.
 * Fix the incorrect nesting of download button on MessageActionBar ([\#8785](https://github.com/matrix-org/matrix-react-sdk/pull/8785)). Contributed by @luixxiul.
 * Revert link color change in composer ([\#8784](https://github.com/matrix-org/matrix-react-sdk/pull/8784)). Fixes vector-im/element-web#22468.
 * Fix 'Logout' inline link on the splash screen ([\#8770](https://github.com/matrix-org/matrix-react-sdk/pull/8770)). Fixes vector-im/element-web#22449. Contributed by @luixxiul.
 * Fix disappearing widget poput button when changing the widget layout ([\#8754](https://github.com/matrix-org/matrix-react-sdk/pull/8754)).
 * Reduce gutter with the new read receipt UI ([\#8736](https://github.com/matrix-org/matrix-react-sdk/pull/8736)). Fixes vector-im/element-web#21890.
 * Add ellipsis effect to hidden beacon status ([\#8755](https://github.com/matrix-org/matrix-react-sdk/pull/8755)). Fixes vector-im/element-web#22441. Contributed by @luixxiul.
 * Make the pill on the basic message composer compatible with display name in RTL languages ([\#8758](https://github.com/matrix-org/matrix-react-sdk/pull/8758)). Fixes vector-im/element-web#22445. Contributed by @luixxiul.
 * Prevent the banner text from being selected, replacing the spacing values with the variable ([\#8756](https://github.com/matrix-org/matrix-react-sdk/pull/8756)). Fixes vector-im/element-web#22442. Contributed by @luixxiul.
 * Ensure the first device on a newly-registered account gets cross-signed properly ([\#8750](https://github.com/matrix-org/matrix-react-sdk/pull/8750)). Fixes vector-im/element-web#21977. Contributed by @duxovni.
 * Hide live location option in threads composer ([\#8746](https://github.com/matrix-org/matrix-react-sdk/pull/8746)). Fixes vector-im/element-web#22424. Contributed by @kerryarchibald.
 * Make sure MessageTimestamp is not hidden by EventTile_line on TimelineCard ([\#8748](https://github.com/matrix-org/matrix-react-sdk/pull/8748)). Contributed by @luixxiul.
 * Make PiP motion smoother and react to window resizes correctly ([\#8747](https://github.com/matrix-org/matrix-react-sdk/pull/8747)). Fixes vector-im/element-web#22292.
 * Prevent Invite and DevTools dialogs from being cut off ([\#8646](https://github.com/matrix-org/matrix-react-sdk/pull/8646)). Fixes vector-im/element-web#20911 and undefined/matrix-react-sdk#8165. Contributed by @justjanne.
 * Squish event bubble tiles less ([\#8740](https://github.com/matrix-org/matrix-react-sdk/pull/8740)).
 * Use random widget IDs for video rooms ([\#8739](https://github.com/matrix-org/matrix-react-sdk/pull/8739)). Fixes vector-im/element-web#22417.
 * Fix read avatars overflow from the right chat panel with a maximized widget on bubble message layout ([\#8470](https://github.com/matrix-org/matrix-react-sdk/pull/8470)). Contributed by @luixxiul.
 * Fix `CallView` crash ([\#8735](https://github.com/matrix-org/matrix-react-sdk/pull/8735)). Fixes vector-im/element-web#22394.

Changes in [3.47.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.47.0) (2022-06-14)
=====================================================================================================

## 🐛 Bug Fixes
 * Fix CallView crash ([\#8735](https://github.com/matrix-org/matrix-react-sdk/pull/8735)). Contributed by @SimonBrandner.
 * Fix missing element desktop preferences ([\#8798](https://github.com/matrix-org/matrix-react-sdk/pull/8798)). Contributed by @t3chguy.


Changes in [3.46.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.46.0) (2022-06-07)
=====================================================================================================

## ✨ Features
 * Configure custom home.html via `.well-known/matrix/client["io.element.embedded_pages"]["home_url"]` for all your element-web/desktop users ([\#7790](https://github.com/matrix-org/matrix-react-sdk/pull/7790)). Contributed by @johannes-krude.
 * Live location sharing - open location in OpenStreetMap ([\#8695](https://github.com/matrix-org/matrix-react-sdk/pull/8695)). Contributed by @kerryarchibald.
 * Show a dialog when Jitsi encounters an error ([\#8701](https://github.com/matrix-org/matrix-react-sdk/pull/8701)). Fixes vector-im/element-web#22284.
 * Add support for setting the `avatar_url` of widgets by integration managers. ([\#8550](https://github.com/matrix-org/matrix-react-sdk/pull/8550)). Contributed by @Fox32.
 * Add an option to ignore (block) a user when reporting their events ([\#8471](https://github.com/matrix-org/matrix-react-sdk/pull/8471)).
 * Add the option to disable hardware acceleration ([\#8655](https://github.com/matrix-org/matrix-react-sdk/pull/8655)). Contributed by @novocaine.
 * Slightly better presentation of read receipts to screen reader users ([\#8662](https://github.com/matrix-org/matrix-react-sdk/pull/8662)). Fixes vector-im/element-web#22293. Contributed by @pvagner.
 * Add jump to related event context menu item ([\#6775](https://github.com/matrix-org/matrix-react-sdk/pull/6775)). Fixes vector-im/element-web#19883.
 * Add public room directory hook ([\#8626](https://github.com/matrix-org/matrix-react-sdk/pull/8626)).

## 🐛 Bug Fixes
 * Remove inline margin from UTD error message inside a reply tile on ThreadView ([\#8708](https://github.com/matrix-org/matrix-react-sdk/pull/8708)). Fixes vector-im/element-web#22376. Contributed by @luixxiul.
 * Move unread notification dots of the threads list to the expected position ([\#8700](https://github.com/matrix-org/matrix-react-sdk/pull/8700)). Fixes vector-im/element-web#22350. Contributed by @luixxiul.
 * Prevent overflow of grid items on a bubble with UTD generally ([\#8697](https://github.com/matrix-org/matrix-react-sdk/pull/8697)). Contributed by @luixxiul.
 * Create 'Unable To Decrypt' grid layout for hidden events on a bubble layout ([\#8704](https://github.com/matrix-org/matrix-react-sdk/pull/8704)). Fixes vector-im/element-web#22365. Contributed by @luixxiul.
 * Fix - AccessibleButton does not set disabled attribute ([\#8682](https://github.com/matrix-org/matrix-react-sdk/pull/8682)). Contributed by @kerryarchibald.
 * Fix font not resetting when logging out ([\#8670](https://github.com/matrix-org/matrix-react-sdk/pull/8670)). Fixes vector-im/element-web#17228.
 * Fix local aliases section of room settings not working for some homeservers (ie ([\#8698](https://github.com/matrix-org/matrix-react-sdk/pull/8698)). Fixes vector-im/element-web#22337.
 * Align EventTile_line with display name on message bubble ([\#8692](https://github.com/matrix-org/matrix-react-sdk/pull/8692)). Fixes vector-im/element-web#22343. Contributed by @luixxiul.
 * Convert references to direct chat -> direct message ([\#8694](https://github.com/matrix-org/matrix-react-sdk/pull/8694)). Contributed by @novocaine.
 * Improve combining diacritics for U+20D0 to U+20F0 in Chrome ([\#8687](https://github.com/matrix-org/matrix-react-sdk/pull/8687)).
 * Make the empty thread panel fill BaseCard ([\#8690](https://github.com/matrix-org/matrix-react-sdk/pull/8690)). Fixes vector-im/element-web#22338. Contributed by @luixxiul.
 * Fix edge case around composer handling gendered facepalm emoji ([\#8686](https://github.com/matrix-org/matrix-react-sdk/pull/8686)).
 * Fix a grid blowout due to nowrap displayName on a bubble with UTD ([\#8688](https://github.com/matrix-org/matrix-react-sdk/pull/8688)). Fixes vector-im/element-web#21914. Contributed by @luixxiul.
 * Apply the same max-width to image tile on the thread timeline as message bubble ([\#8669](https://github.com/matrix-org/matrix-react-sdk/pull/8669)). Fixes vector-im/element-web#22313. Contributed by @luixxiul.
 * Fix dropdown button size for picture-in-picture CallView ([\#8680](https://github.com/matrix-org/matrix-react-sdk/pull/8680)). Fixes vector-im/element-web#22316. Contributed by @luixxiul.
 * Live location sharing - fix square border for image-less avatar (PSF-1052) ([\#8679](https://github.com/matrix-org/matrix-react-sdk/pull/8679)). Contributed by @kerryarchibald.
 * Stop connecting to a video room if the widget messaging disappears ([\#8660](https://github.com/matrix-org/matrix-react-sdk/pull/8660)).
 * Fix file button and audio player overflowing from message bubble ([\#8666](https://github.com/matrix-org/matrix-react-sdk/pull/8666)). Fixes vector-im/element-web#22308. Contributed by @luixxiul.
 * Don't show broken composer format bar when selection is whitespace ([\#8673](https://github.com/matrix-org/matrix-react-sdk/pull/8673)). Fixes vector-im/element-web#10788.
 * Fix media upload http 413 handling ([\#8674](https://github.com/matrix-org/matrix-react-sdk/pull/8674)).
 * Fix emoji picker for editing thread responses ([\#8671](https://github.com/matrix-org/matrix-react-sdk/pull/8671)). Fixes matrix-org/element-web-rageshakes#13129.
 * Map attribution while sharing live location is now visible ([\#8621](https://github.com/matrix-org/matrix-react-sdk/pull/8621)). Fixes vector-im/element-web#22236. Contributed by @weeman1337.
 * Fix info tile overlapping the time stamp on TimelineCard ([\#8639](https://github.com/matrix-org/matrix-react-sdk/pull/8639)). Fixes vector-im/element-web#22256. Contributed by @luixxiul.
 * Fix position of wide images on IRC / modern layout ([\#8667](https://github.com/matrix-org/matrix-react-sdk/pull/8667)). Fixes vector-im/element-web#22309. Contributed by @luixxiul.
 * Fix other user's displayName being wrapped on the bubble message layout ([\#8456](https://github.com/matrix-org/matrix-react-sdk/pull/8456)). Fixes vector-im/element-web#22004. Contributed by @luixxiul.
 * Set spacing declarations to elements in mx_EventTile_mediaLine ([\#8665](https://github.com/matrix-org/matrix-react-sdk/pull/8665)). Fixes vector-im/element-web#22307. Contributed by @luixxiul.
 * Fix wide image overflowing from the thumbnail container ([\#8663](https://github.com/matrix-org/matrix-react-sdk/pull/8663)). Fixes vector-im/element-web#22303. Contributed by @luixxiul.
 * Fix styles of "Show all" link button on ReactionsRow ([\#8658](https://github.com/matrix-org/matrix-react-sdk/pull/8658)). Fixes vector-im/element-web#22300. Contributed by @luixxiul.
 * Automatically log in after registration ([\#8654](https://github.com/matrix-org/matrix-react-sdk/pull/8654)). Fixes vector-im/element-web#19305. Contributed by @justjanne.
 * Fix offline status in window title not working reliably ([\#8656](https://github.com/matrix-org/matrix-react-sdk/pull/8656)).
 * Align input area with event body's first letter in a thread on IRC/modern layout ([\#8636](https://github.com/matrix-org/matrix-react-sdk/pull/8636)). Fixes vector-im/element-web#22252. Contributed by @luixxiul.
 * Fix crash on null idp for SSO buttons ([\#8650](https://github.com/matrix-org/matrix-react-sdk/pull/8650)). Contributed by @hughns.
 * Don't open the regular browser or our context menu on right-clicking the `Options` button in the message action bar ([\#8648](https://github.com/matrix-org/matrix-react-sdk/pull/8648)). Fixes vector-im/element-web#22279.
 * Show notifications even when Element is focused ([\#8590](https://github.com/matrix-org/matrix-react-sdk/pull/8590)). Contributed by @sumnerevans.
 * Remove padding from the buttons on edit message composer of a event tile on a thread ([\#8632](https://github.com/matrix-org/matrix-react-sdk/pull/8632)). Contributed by @luixxiul.
 * ensure metaspace changes correctly notify listeners ([\#8611](https://github.com/matrix-org/matrix-react-sdk/pull/8611)). Fixes vector-im/element-web#21006. Contributed by @justjanne.
 * Hide image banner on stickers, they have a tooltip already ([\#8641](https://github.com/matrix-org/matrix-react-sdk/pull/8641)). Fixes vector-im/element-web#22244.
 * Adjust EditMessageComposer style declarations ([\#8631](https://github.com/matrix-org/matrix-react-sdk/pull/8631)). Fixes vector-im/element-web#22231. Contributed by @luixxiul.

Changes in [3.45.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.45.0) (2022-05-24)
=====================================================================================================

## ✨ Features
 * Go to space landing page when clicking on a selected space ([\#6442](https://github.com/matrix-org/matrix-react-sdk/pull/6442)). Fixes vector-im/element-web#20296.
 * Fall back to untranslated string rather than showing missing translation error ([\#8609](https://github.com/matrix-org/matrix-react-sdk/pull/8609)).
 * Show file name and size on images on hover ([\#6511](https://github.com/matrix-org/matrix-react-sdk/pull/6511)). Fixes vector-im/element-web#18197.
 * Iterate on search results for message bubbles ([\#7047](https://github.com/matrix-org/matrix-react-sdk/pull/7047)). Fixes vector-im/element-web#20315.
 * registration: redesign email verification page ([\#8554](https://github.com/matrix-org/matrix-react-sdk/pull/8554)). Fixes vector-im/element-web#21984.
 * Show full thread message in hover title on thread summary ([\#8568](https://github.com/matrix-org/matrix-react-sdk/pull/8568)). Fixes vector-im/element-web#22037.
 * Tweak video rooms copy ([\#8582](https://github.com/matrix-org/matrix-react-sdk/pull/8582)). Fixes vector-im/element-web#22176.
 * Live location share - beacon tooltip in maximised view ([\#8572](https://github.com/matrix-org/matrix-react-sdk/pull/8572)).
 * Add dialog to navigate long room topics ([\#8517](https://github.com/matrix-org/matrix-react-sdk/pull/8517)). Fixes vector-im/element-web#9623.
 * Change spaceroomfacepile tooltip if memberlist is shown ([\#8571](https://github.com/matrix-org/matrix-react-sdk/pull/8571)). Fixes vector-im/element-web#17406.
 * Improve message editing UI ([\#8483](https://github.com/matrix-org/matrix-react-sdk/pull/8483)). Fixes vector-im/element-web#9752 and vector-im/element-web#22108.
 * Make date changes more obvious ([\#6410](https://github.com/matrix-org/matrix-react-sdk/pull/6410)). Fixes vector-im/element-web#16221.
 * Enable forwarding static locations ([\#8553](https://github.com/matrix-org/matrix-react-sdk/pull/8553)).
 * Log `TimelinePanel` debugging info when opening the bug report modal ([\#8502](https://github.com/matrix-org/matrix-react-sdk/pull/8502)).
 * Improve welcome screen, add opt-out analytics ([\#8474](https://github.com/matrix-org/matrix-react-sdk/pull/8474)). Fixes vector-im/element-web#21946.
 * Converting selected text to MD link when pasting a URL ([\#8242](https://github.com/matrix-org/matrix-react-sdk/pull/8242)). Fixes vector-im/element-web#21634. Contributed by @Sinharitik589.
 * Support Inter on custom themes ([\#8399](https://github.com/matrix-org/matrix-react-sdk/pull/8399)). Fixes vector-im/element-web#16293.
 * Add a `Copy link` button to the right-click message context-menu labs feature ([\#8527](https://github.com/matrix-org/matrix-react-sdk/pull/8527)).
 * Move widget screenshots labs flag to devtools ([\#8522](https://github.com/matrix-org/matrix-react-sdk/pull/8522)).
 * Remove some labs features which don't get used or create maintenance burden: custom status, multiple integration managers, and do not disturb ([\#8521](https://github.com/matrix-org/matrix-react-sdk/pull/8521)).
 * Add a way to toggle `ScrollPanel` and `TimelinePanel` debug logs ([\#8513](https://github.com/matrix-org/matrix-react-sdk/pull/8513)).
 * Spaces: remove blue beta dot ([\#8511](https://github.com/matrix-org/matrix-react-sdk/pull/8511)). Fixes vector-im/element-web#22061.
 * Order new search dialog results by recency ([\#8444](https://github.com/matrix-org/matrix-react-sdk/pull/8444)).
 * Improve pills ([\#6398](https://github.com/matrix-org/matrix-react-sdk/pull/6398)). Fixes vector-im/element-web#16948 and vector-im/element-web#21281.
 * Add a way to maximize/pin widget from the PiP view ([\#7672](https://github.com/matrix-org/matrix-react-sdk/pull/7672)). Fixes vector-im/element-web#20723.
 * Iterate video room designs in labs ([\#8499](https://github.com/matrix-org/matrix-react-sdk/pull/8499)).
 * Improve UI/UX in calls ([\#7791](https://github.com/matrix-org/matrix-react-sdk/pull/7791)). Fixes vector-im/element-web#19937.
 * Add ability to change audio and video devices during a call ([\#7173](https://github.com/matrix-org/matrix-react-sdk/pull/7173)). Fixes vector-im/element-web#15595.

## 🐛 Bug Fixes
 * Fix click behavior of notification badges on spaces ([\#8627](https://github.com/matrix-org/matrix-react-sdk/pull/8627)). Fixes vector-im/element-web#22241.
 * Add missing return values in Read Receipt animation code ([\#8625](https://github.com/matrix-org/matrix-react-sdk/pull/8625)). Fixes vector-im/element-web#22175.
 * Fix 'continue' button not working after accepting identity server terms of service ([\#8619](https://github.com/matrix-org/matrix-react-sdk/pull/8619)). Fixes vector-im/element-web#20003.
 * Proactively fix stuck devices in video rooms ([\#8587](https://github.com/matrix-org/matrix-react-sdk/pull/8587)). Fixes vector-im/element-web#22131.
 * Fix position of the message action bar on left side bubbles ([\#8398](https://github.com/matrix-org/matrix-react-sdk/pull/8398)). Fixes vector-im/element-web#21879. Contributed by @luixxiul.
 * Fix edge case thread summaries around events without a msgtype ([\#8576](https://github.com/matrix-org/matrix-react-sdk/pull/8576)).
 * Fix favourites metaspace not updating ([\#8594](https://github.com/matrix-org/matrix-react-sdk/pull/8594)). Fixes vector-im/element-web#22156.
 * Stop spaces from displaying as rooms in new breadcrumbs ([\#8595](https://github.com/matrix-org/matrix-react-sdk/pull/8595)). Fixes vector-im/element-web#22165.
 * Fix avatar position of hidden event on ThreadView ([\#8592](https://github.com/matrix-org/matrix-react-sdk/pull/8592)). Fixes vector-im/element-web#22199. Contributed by @luixxiul.
 * Fix MessageTimestamp position next to redacted messages on IRC/modern layout ([\#8591](https://github.com/matrix-org/matrix-react-sdk/pull/8591)). Fixes vector-im/element-web#22181. Contributed by @luixxiul.
 * Fix padding of messages in threads ([\#8574](https://github.com/matrix-org/matrix-react-sdk/pull/8574)). Contributed by @luixxiul.
 * Enable overflow of hidden events content ([\#8585](https://github.com/matrix-org/matrix-react-sdk/pull/8585)). Fixes vector-im/element-web#22187. Contributed by @luixxiul.
 * Increase composer line height to avoid cutting off emoji ([\#8583](https://github.com/matrix-org/matrix-react-sdk/pull/8583)). Fixes vector-im/element-web#22170.
 * Don't consider threads for breaking continuation until actually created ([\#8581](https://github.com/matrix-org/matrix-react-sdk/pull/8581)). Fixes vector-im/element-web#22164.
 * Fix displaying hidden events on threads  ([\#8555](https://github.com/matrix-org/matrix-react-sdk/pull/8555)). Fixes vector-im/element-web#22058. Contributed by @luixxiul.
 * Fix button width and align 絵文字 (emoji) on the user panel ([\#8562](https://github.com/matrix-org/matrix-react-sdk/pull/8562)). Fixes vector-im/element-web#22142. Contributed by @luixxiul.
 * Standardise the margin for settings tabs ([\#7963](https://github.com/matrix-org/matrix-react-sdk/pull/7963)). Fixes vector-im/element-web#20767. Contributed by @yuktea.
 * Fix room history not being visible even if we have historical keys ([\#8563](https://github.com/matrix-org/matrix-react-sdk/pull/8563)). Fixes vector-im/element-web#16983.
 * Fix oblong avatars in video room lobbies ([\#8565](https://github.com/matrix-org/matrix-react-sdk/pull/8565)).
 * Update thread summary when latest event gets decrypted ([\#8564](https://github.com/matrix-org/matrix-react-sdk/pull/8564)). Fixes vector-im/element-web#22151.
 * Fix codepath which can wrongly cause automatic space switch from all rooms ([\#8560](https://github.com/matrix-org/matrix-react-sdk/pull/8560)). Fixes vector-im/element-web#21373.
 * Fix effect of URL preview toggle not updating live ([\#8561](https://github.com/matrix-org/matrix-react-sdk/pull/8561)). Fixes vector-im/element-web#22148.
 * Fix visual bugs on AccessSecretStorageDialog ([\#8160](https://github.com/matrix-org/matrix-react-sdk/pull/8160)). Fixes vector-im/element-web#19426. Contributed by @luixxiul.
 * Fix the width bounce of the clock on the AudioPlayer ([\#8320](https://github.com/matrix-org/matrix-react-sdk/pull/8320)). Fixes vector-im/element-web#21788. Contributed by @luixxiul.
 * Hide the verification left stroke only on the thread list ([\#8525](https://github.com/matrix-org/matrix-react-sdk/pull/8525)). Fixes vector-im/element-web#22132. Contributed by @luixxiul.
 * Hide recently_viewed dropdown when other modal opens ([\#8538](https://github.com/matrix-org/matrix-react-sdk/pull/8538)). Contributed by @yaya-usman.
 * Only jump to date after pressing the 'go' button ([\#8548](https://github.com/matrix-org/matrix-react-sdk/pull/8548)). Fixes vector-im/element-web#20799.
 * Fix download button not working on events that were decrypted too late ([\#8556](https://github.com/matrix-org/matrix-react-sdk/pull/8556)). Fixes vector-im/element-web#19427.
 * Align thread summary button with bubble messages on the left side ([\#8388](https://github.com/matrix-org/matrix-react-sdk/pull/8388)). Fixes vector-im/element-web#21873. Contributed by @luixxiul.
 * Fix unresponsive notification toggles ([\#8549](https://github.com/matrix-org/matrix-react-sdk/pull/8549)). Fixes vector-im/element-web#22109.
 * Set color-scheme property in themes ([\#8547](https://github.com/matrix-org/matrix-react-sdk/pull/8547)). Fixes vector-im/element-web#22124.
 * Improve the styling of error messages during search initialization. ([\#6899](https://github.com/matrix-org/matrix-react-sdk/pull/6899)). Fixes vector-im/element-web#19245 and vector-im/element-web#18164. Contributed by @KalleStruik.
 * Don't leave button tooltips open when closing modals ([\#8546](https://github.com/matrix-org/matrix-react-sdk/pull/8546)). Fixes vector-im/element-web#22121.
 * update matrix-analytics-events ([\#8543](https://github.com/matrix-org/matrix-react-sdk/pull/8543)).
 * Handle Jitsi Meet crashes more gracefully ([\#8541](https://github.com/matrix-org/matrix-react-sdk/pull/8541)).
 * Fix regression around pasting links ([\#8537](https://github.com/matrix-org/matrix-react-sdk/pull/8537)). Fixes vector-im/element-web#22117.
 * Fixes suggested room not ellipsized on shrinking ([\#8536](https://github.com/matrix-org/matrix-react-sdk/pull/8536)). Contributed by @yaya-usman.
 * Add global spacing between display name and location body ([\#8523](https://github.com/matrix-org/matrix-react-sdk/pull/8523)). Fixes vector-im/element-web#22111. Contributed by @luixxiul.
 * Add box-shadow to the reply preview on the main (left) panel only ([\#8397](https://github.com/matrix-org/matrix-react-sdk/pull/8397)). Fixes vector-im/element-web#21894. Contributed by @luixxiul.
 * Set line-height: 1 to RedactedBody inside GenericEventListSummary for IRC/modern layout ([\#8529](https://github.com/matrix-org/matrix-react-sdk/pull/8529)). Fixes vector-im/element-web#22112. Contributed by @luixxiul.
 * Fix position of timestamp on the chat panel in IRC layout and message edits history modal window ([\#8464](https://github.com/matrix-org/matrix-react-sdk/pull/8464)). Fixes vector-im/element-web#22011 and vector-im/element-web#22014. Contributed by @luixxiul.
 * Fix unexpected and inconsistent inheritance of line-height property for mx_TextualEvent ([\#8485](https://github.com/matrix-org/matrix-react-sdk/pull/8485)). Fixes vector-im/element-web#22041. Contributed by @luixxiul.
 * Set the same margin to the right side of NewRoomIntro on TimelineCard ([\#8453](https://github.com/matrix-org/matrix-react-sdk/pull/8453)). Contributed by @luixxiul.
 * Remove duplicate tooltip from user pills ([\#8512](https://github.com/matrix-org/matrix-react-sdk/pull/8512)).
 * Set max-width for MLocationBody and MLocationBody_map by default ([\#8519](https://github.com/matrix-org/matrix-react-sdk/pull/8519)). Fixes vector-im/element-web#21983. Contributed by @luixxiul.
 * Simplify ReplyPreview UI implementation ([\#8516](https://github.com/matrix-org/matrix-react-sdk/pull/8516)). Fixes vector-im/element-web#22091. Contributed by @luixxiul.
 * Fix thread summary overflow on narrow message panel on bubble message layout ([\#8520](https://github.com/matrix-org/matrix-react-sdk/pull/8520)). Fixes vector-im/element-web#22097. Contributed by @luixxiul.
 * Live location sharing - refresh beacon timers on tab becoming active ([\#8515](https://github.com/matrix-org/matrix-react-sdk/pull/8515)).
 * Enlarge emoji again ([\#8509](https://github.com/matrix-org/matrix-react-sdk/pull/8509)). Fixes vector-im/element-web#22086.
 * Order receipts with the most recent on the right ([\#8506](https://github.com/matrix-org/matrix-react-sdk/pull/8506)). Fixes vector-im/element-web#22044.
 * Disconnect from video rooms when leaving ([\#8500](https://github.com/matrix-org/matrix-react-sdk/pull/8500)).
 * Fix soft crash around threads when room isn't yet in store ([\#8496](https://github.com/matrix-org/matrix-react-sdk/pull/8496)). Fixes vector-im/element-web#22047.
 * Fix reading of cached room device setting values ([\#8491](https://github.com/matrix-org/matrix-react-sdk/pull/8491)).
 * Add loading spinners to threads panels ([\#8490](https://github.com/matrix-org/matrix-react-sdk/pull/8490)). Fixes vector-im/element-web#21335.
 * Fix forwarding UI papercuts ([\#8482](https://github.com/matrix-org/matrix-react-sdk/pull/8482)). Fixes vector-im/element-web#17616.

Changes in [3.44.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.44.0) (2022-05-10)
=====================================================================================================

## ✨ Features
 * Made the location map change the cursor to a pointer so it looks like it's clickable (https ([\#8451](https://github.com/matrix-org/matrix-react-sdk/pull/8451)). Fixes vector-im/element-web#21991. Contributed by @Odyssey346.
 * Implement improved spacing for the thread list and timeline ([\#8337](https://github.com/matrix-org/matrix-react-sdk/pull/8337)). Fixes vector-im/element-web#21759. Contributed by @luixxiul.
 * LLS: expose way to enable live sharing labs flag from location dialog ([\#8416](https://github.com/matrix-org/matrix-react-sdk/pull/8416)).
 * Fix source text boxes in View Source modal should have full width ([\#8425](https://github.com/matrix-org/matrix-react-sdk/pull/8425)). Fixes vector-im/element-web#21938. Contributed by @EECvision.
 * Read Receipts: never show +1, if it’s just 4, show all of them ([\#8428](https://github.com/matrix-org/matrix-react-sdk/pull/8428)). Fixes vector-im/element-web#21935.
 * Add opt-in analytics to onboarding tasks ([\#8409](https://github.com/matrix-org/matrix-react-sdk/pull/8409)). Fixes vector-im/element-web#21705.
 * Allow user to control if they are signed out of all devices when changing password ([\#8259](https://github.com/matrix-org/matrix-react-sdk/pull/8259)). Fixes vector-im/element-web#2671.
 * Implement new Read Receipt design ([\#8389](https://github.com/matrix-org/matrix-react-sdk/pull/8389)). Fixes vector-im/element-web#20574.
 * Stick connected video rooms to the top of the room list ([\#8353](https://github.com/matrix-org/matrix-react-sdk/pull/8353)).
 * LLS: fix jumpy maximised map ([\#8387](https://github.com/matrix-org/matrix-react-sdk/pull/8387)).
 * Persist audio and video mute state in video rooms ([\#8376](https://github.com/matrix-org/matrix-react-sdk/pull/8376)).
 * Forcefully disconnect from video rooms on logout and tab close ([\#8375](https://github.com/matrix-org/matrix-react-sdk/pull/8375)).
 * Add local echo of connected devices in video rooms ([\#8368](https://github.com/matrix-org/matrix-react-sdk/pull/8368)).
 * Improve text of account deactivation dialog ([\#8371](https://github.com/matrix-org/matrix-react-sdk/pull/8371)). Fixes vector-im/element-web#17421.
 * Live location sharing: own live beacon status on maximised view ([\#8374](https://github.com/matrix-org/matrix-react-sdk/pull/8374)).
 * Show a lobby screen in video rooms ([\#8287](https://github.com/matrix-org/matrix-react-sdk/pull/8287)).
 * Settings toggle to disable Composer Markdown ([\#8358](https://github.com/matrix-org/matrix-react-sdk/pull/8358)). Fixes vector-im/element-web#20321.
 * Cache localStorage objects for SettingsStore ([\#8366](https://github.com/matrix-org/matrix-react-sdk/pull/8366)).
 * Bring `View Source` back from behind developer mode ([\#8369](https://github.com/matrix-org/matrix-react-sdk/pull/8369)). Fixes vector-im/element-web#21771.

## 🐛 Bug Fixes
 * Fix race conditions around threads ([\#8448](https://github.com/matrix-org/matrix-react-sdk/pull/8448)). Fixes vector-im/element-web#21627.
 * Fix reading of cached room device setting values ([\#8495](https://github.com/matrix-org/matrix-react-sdk/pull/8495)).
 * Fix issue with dispatch happening mid-dispatch due to js-sdk emit ([\#8473](https://github.com/matrix-org/matrix-react-sdk/pull/8473)). Fixes vector-im/element-web#22019.
 * Match MSC behaviour for threads when disabled (thread-aware mode) ([\#8476](https://github.com/matrix-org/matrix-react-sdk/pull/8476)). Fixes vector-im/element-web#22033.
 * Specify position of DisambiguatedProfile inside a thread on bubble message layout ([\#8452](https://github.com/matrix-org/matrix-react-sdk/pull/8452)). Fixes vector-im/element-web#21998. Contributed by @luixxiul.
 * Location sharing: do not trackuserlocation in location picker ([\#8466](https://github.com/matrix-org/matrix-react-sdk/pull/8466)). Fixes vector-im/element-web#22013.
 * fix text and map indent in thread view ([\#8462](https://github.com/matrix-org/matrix-react-sdk/pull/8462)). Fixes vector-im/element-web#21997.
 * Live location sharing: don't group beacon info with room creation summary ([\#8468](https://github.com/matrix-org/matrix-react-sdk/pull/8468)).
 * Don't linkify code blocks ([\#7859](https://github.com/matrix-org/matrix-react-sdk/pull/7859)). Fixes vector-im/element-web#9613.
 * read receipts: improve tooltips to show names of users ([\#8438](https://github.com/matrix-org/matrix-react-sdk/pull/8438)). Fixes vector-im/element-web#21940.
 * Fix poll overflowing a reply tile on bubble message layout ([\#8459](https://github.com/matrix-org/matrix-react-sdk/pull/8459)). Fixes vector-im/element-web#22005. Contributed by @luixxiul.
 * Fix text link buttons on UserInfo panel ([\#8247](https://github.com/matrix-org/matrix-react-sdk/pull/8247)). Fixes vector-im/element-web#21702. Contributed by @luixxiul.
 * Clear local storage settings handler cache on logout ([\#8454](https://github.com/matrix-org/matrix-react-sdk/pull/8454)). Fixes vector-im/element-web#21994.
 * Fix jump to bottom button being always displayed in non-overflowing timelines ([\#8460](https://github.com/matrix-org/matrix-react-sdk/pull/8460)). Fixes vector-im/element-web#22003.
 * fix timeline search with empty text box should do nothing ([\#8262](https://github.com/matrix-org/matrix-react-sdk/pull/8262)). Fixes vector-im/element-web#21714. Contributed by @EECvision.
 * Fixes "space panel kebab menu is rendered out of view on sub spaces"  ([\#8350](https://github.com/matrix-org/matrix-react-sdk/pull/8350)). Contributed by @yaya-usman.
 * Add margin to the location map inside ThreadView ([\#8442](https://github.com/matrix-org/matrix-react-sdk/pull/8442)). Fixes vector-im/element-web#21982. Contributed by @luixxiul.
 * Patch: "Reloading the registration page should warn about data loss" ([\#8377](https://github.com/matrix-org/matrix-react-sdk/pull/8377)). Contributed by @yaya-usman.
 * Live location sharing: fix safari timestamps pt 2 ([\#8443](https://github.com/matrix-org/matrix-react-sdk/pull/8443)).
 * Fix issue with thread notification state ignoring initial events ([\#8417](https://github.com/matrix-org/matrix-react-sdk/pull/8417)). Fixes vector-im/element-web#21927.
 * Fix event text overflow on bubble message layout ([\#8391](https://github.com/matrix-org/matrix-react-sdk/pull/8391)). Fixes vector-im/element-web#21882. Contributed by @luixxiul.
 * Disable the message action bar when hovering over the 1px border between threads on the list ([\#8429](https://github.com/matrix-org/matrix-react-sdk/pull/8429)). Fixes vector-im/element-web#21955. Contributed by @luixxiul.
 * correctly align read receipts to state events in bubble layout ([\#8419](https://github.com/matrix-org/matrix-react-sdk/pull/8419)). Fixes vector-im/element-web#21899.
 * Fix issue with underfilled timelines when barren of content ([\#8432](https://github.com/matrix-org/matrix-react-sdk/pull/8432)). Fixes vector-im/element-web#21930.
 * Fix baseline misalignment of thread panel summary by deduplication ([\#8413](https://github.com/matrix-org/matrix-react-sdk/pull/8413)).
 * Fix editing of non-html replies ([\#8418](https://github.com/matrix-org/matrix-react-sdk/pull/8418)). Fixes vector-im/element-web#21928.
 * Read Receipts "Fall from the Sky" ([\#8414](https://github.com/matrix-org/matrix-react-sdk/pull/8414)). Fixes vector-im/element-web#21888.
 * Make read receipts handle nullable roomMembers correctly ([\#8410](https://github.com/matrix-org/matrix-react-sdk/pull/8410)). Fixes vector-im/element-web#21896.
 * Don't form continuations on either side of a thread root ([\#8408](https://github.com/matrix-org/matrix-react-sdk/pull/8408)). Fixes vector-im/element-web#20908.
 * Fix centering issue with sticker placeholder ([\#8404](https://github.com/matrix-org/matrix-react-sdk/pull/8404)). Fixes vector-im/element-web#18014 and vector-im/element-web#6449.
 * Disable download option on <video/> , preferring dedicated download button ([\#8403](https://github.com/matrix-org/matrix-react-sdk/pull/8403)). Fixes vector-im/element-web#21902.
 * Fix infinite loop when pinning/unpinning persistent widgets ([\#8396](https://github.com/matrix-org/matrix-react-sdk/pull/8396)). Fixes vector-im/element-web#21864.
 * Tweak ReadReceiptGroup to better handle disambiguation ([\#8402](https://github.com/matrix-org/matrix-react-sdk/pull/8402)). Fixes vector-im/element-web#21897.
 * stop the bottom edge of buttons getting clipped in devtools ([\#8400](https://github.com/matrix-org/matrix-react-sdk/pull/8400)).
 * Fix issue with threads timelines with few events cropping events ([\#8392](https://github.com/matrix-org/matrix-react-sdk/pull/8392)). Fixes vector-im/element-web#20594.
 * Changed font-weight to 400 to support light weight font ([\#8345](https://github.com/matrix-org/matrix-react-sdk/pull/8345)). Fixes vector-im/element-web#21171. Contributed by @goelesha.
 * Fix issue with thread panel not updating when it loads on first render ([\#8382](https://github.com/matrix-org/matrix-react-sdk/pull/8382)). Fixes vector-im/element-web#21737.
 * fix: "Mention highlight and cursor hover highlight has different corner radius" ([\#8384](https://github.com/matrix-org/matrix-react-sdk/pull/8384)). Contributed by @yaya-usman.
 * Fix regression around haveRendererForEvent for hidden events ([\#8379](https://github.com/matrix-org/matrix-react-sdk/pull/8379)). Fixes vector-im/element-web#21862 and vector-im/element-web#21725.
 * Fix regression around the room list treeview keyboard a11y ([\#8385](https://github.com/matrix-org/matrix-react-sdk/pull/8385)). Fixes vector-im/element-web#21436.
 * Remove float property to let the margin between events appear on bubble message layout ([\#8373](https://github.com/matrix-org/matrix-react-sdk/pull/8373)). Fixes vector-im/element-web#21861. Contributed by @luixxiul.
 * Fix race in Registration between server change and flows fetch ([\#8359](https://github.com/matrix-org/matrix-react-sdk/pull/8359)). Fixes vector-im/element-web#21800.
 * fix rainbow breaks compound emojis ([\#8245](https://github.com/matrix-org/matrix-react-sdk/pull/8245)). Fixes vector-im/element-web#21371. Contributed by @EECvision.
 * Fix RightPanelStore handling first room on app launch wrong ([\#8370](https://github.com/matrix-org/matrix-react-sdk/pull/8370)). Fixes vector-im/element-web#21741.
 * Fix UnknownBody error message unalignment ([\#8346](https://github.com/matrix-org/matrix-react-sdk/pull/8346)). Fixes vector-im/element-web#21828. Contributed by @luixxiul.
 * Use -webkit-line-clamp for the room header topic overflow ([\#8367](https://github.com/matrix-org/matrix-react-sdk/pull/8367)). Fixes vector-im/element-web#21852. Contributed by @luixxiul.
 * Fix issue with ServerInfo crashing the modal ([\#8364](https://github.com/matrix-org/matrix-react-sdk/pull/8364)).
 * Fixes around threads beta in degraded mode ([\#8319](https://github.com/matrix-org/matrix-react-sdk/pull/8319)). Fixes vector-im/element-web#21762.

Changes in [3.43.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.43.0) (2022-04-26)
=====================================================================================================

## ✨ Features
 * Improve performance of switching to rooms with lots of servers and ACLs ([\#8347](https://github.com/matrix-org/matrix-react-sdk/pull/8347)).
 * Avoid a reflow when setting caret position on an empty composer ([\#8348](https://github.com/matrix-org/matrix-react-sdk/pull/8348)).
 * Add message right-click context menu as a labs feature ([\#5672](https://github.com/matrix-org/matrix-react-sdk/pull/5672)).
 * Live location sharing - basic maximised beacon map ([\#8310](https://github.com/matrix-org/matrix-react-sdk/pull/8310)).
 * Live location sharing - render users own beacons in timeline ([\#8296](https://github.com/matrix-org/matrix-react-sdk/pull/8296)).
 * Improve Threads beta around degraded mode ([\#8318](https://github.com/matrix-org/matrix-react-sdk/pull/8318)).
 * Live location sharing -  beacon in timeline happy path ([\#8285](https://github.com/matrix-org/matrix-react-sdk/pull/8285)).
 * Add copy button to View Source screen ([\#8278](https://github.com/matrix-org/matrix-react-sdk/pull/8278)). Fixes vector-im/element-web#21482. Contributed by @olivialivia.
 * Add heart effect ([\#6188](https://github.com/matrix-org/matrix-react-sdk/pull/6188)). Contributed by @CicadaCinema.
 * Update new room icon ([\#8239](https://github.com/matrix-org/matrix-react-sdk/pull/8239)).

## 🐛 Bug Fixes
 * Fix: "Code formatting button does not escape backticks" ([\#8181](https://github.com/matrix-org/matrix-react-sdk/pull/8181)). Contributed by @yaya-usman.
 * Fix beta indicator dot causing excessive CPU usage ([\#8340](https://github.com/matrix-org/matrix-react-sdk/pull/8340)). Fixes vector-im/element-web#21793.
 * Fix overlapping timestamps on empty messages ([\#8205](https://github.com/matrix-org/matrix-react-sdk/pull/8205)). Fixes vector-im/element-web#21381. Contributed by @goelesha.
 * Fix power selector not showing up in user info when state_default undefined ([\#8297](https://github.com/matrix-org/matrix-react-sdk/pull/8297)). Fixes vector-im/element-web#21669.
 * Avoid looking up settings during timeline rendering ([\#8313](https://github.com/matrix-org/matrix-react-sdk/pull/8313)). Fixes vector-im/element-web#21740.
 * Fix a soft crash with video rooms ([\#8333](https://github.com/matrix-org/matrix-react-sdk/pull/8333)).
 * Fixes call tiles overflow ([\#8096](https://github.com/matrix-org/matrix-react-sdk/pull/8096)). Fixes vector-im/element-web#20254. Contributed by @luixxiul.
 * Fix a bug with emoji autocomplete sorting where adding the final "&#58;" would cause the emoji with the typed shortcode to no longer be at the top of the autocomplete list. ([\#8086](https://github.com/matrix-org/matrix-react-sdk/pull/8086)). Fixes vector-im/element-web#19302. Contributed by @commonlawfeature.
 * Fix image preview sizing for edge cases ([\#8322](https://github.com/matrix-org/matrix-react-sdk/pull/8322)). Fixes vector-im/element-web#20088.
 * Refactor SecurityRoomSettingsTab and remove unused state ([\#8306](https://github.com/matrix-org/matrix-react-sdk/pull/8306)). Fixes matrix-org/element-web-rageshakes#12002.
 * Don't show the prompt to enable desktop notifications immediately after registration ([\#8274](https://github.com/matrix-org/matrix-react-sdk/pull/8274)).
 * Stop tracking threads if threads support is disabled ([\#8308](https://github.com/matrix-org/matrix-react-sdk/pull/8308)). Fixes vector-im/element-web#21766.
 * Fix some issues with threads rendering ([\#8305](https://github.com/matrix-org/matrix-react-sdk/pull/8305)). Fixes vector-im/element-web#21670.
 * Fix threads rendering issue in Safari ([\#8298](https://github.com/matrix-org/matrix-react-sdk/pull/8298)). Fixes vector-im/element-web#21757.
 * Fix space panel width change on hovering over space item ([\#8299](https://github.com/matrix-org/matrix-react-sdk/pull/8299)). Fixes vector-im/element-web#19891.
 * Hide the reply in thread button in deployments where beta is forcibly disabled ([\#8294](https://github.com/matrix-org/matrix-react-sdk/pull/8294)). Fixes vector-im/element-web#21753.
 * Prevent soft crash around room list header context menu when space changes ([\#8289](https://github.com/matrix-org/matrix-react-sdk/pull/8289)). Fixes matrix-org/element-web-rageshakes#11416, matrix-org/element-web-rageshakes#11692, matrix-org/element-web-rageshakes#11739, matrix-org/element-web-rageshakes#11772, matrix-org/element-web-rageshakes#11891 matrix-org/element-web-rageshakes#11858 and matrix-org/element-web-rageshakes#11456.
 * When selecting reply in thread on a thread response open existing thread ([\#8291](https://github.com/matrix-org/matrix-react-sdk/pull/8291)). Fixes vector-im/element-web#21743.
 * Handle thread bundled relationships coming from the server via MSC3666 ([\#8292](https://github.com/matrix-org/matrix-react-sdk/pull/8292)). Fixes vector-im/element-web#21450.
 * Fix: Avatar preview does not update when same file is selected repeatedly ([\#8288](https://github.com/matrix-org/matrix-react-sdk/pull/8288)). Fixes vector-im/element-web#20098.
 * Fix a bug where user gets a warning when changing powerlevel from **Admin** to **custom level (100)** ([\#8248](https://github.com/matrix-org/matrix-react-sdk/pull/8248)). Fixes vector-im/element-web#21682. Contributed by @Jumeb.
 * Use a consistent alignment for all text items in a list ([\#8276](https://github.com/matrix-org/matrix-react-sdk/pull/8276)). Fixes vector-im/element-web#21731. Contributed by @luixxiul.
 * Fixes button labels being collapsed per a character in CJK languages ([\#8212](https://github.com/matrix-org/matrix-react-sdk/pull/8212)). Fixes vector-im/element-web#21287. Contributed by @luixxiul.
 * Fix: Remove jittery timeline scrolling after jumping to an event ([\#8263](https://github.com/matrix-org/matrix-react-sdk/pull/8263)).
 * Fix regression of edits showing up in the timeline with hidden events shown ([\#8260](https://github.com/matrix-org/matrix-react-sdk/pull/8260)). Fixes vector-im/element-web#21694.
 * Fix reporting events not working ([\#8257](https://github.com/matrix-org/matrix-react-sdk/pull/8257)). Fixes vector-im/element-web#21713.
 * Make Jitsi widgets in video rooms immutable ([\#8244](https://github.com/matrix-org/matrix-react-sdk/pull/8244)). Fixes vector-im/element-web#21647.
 * Fix: Ensure links to events scroll the correct events into view ([\#8250](https://github.com/matrix-org/matrix-react-sdk/pull/8250)). Fixes vector-im/element-web#19934.

Changes in [3.42.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.42.4) (2022-04-14)
=====================================================================================================

## 🐛 Bug Fixes
 * Fixes around threads beta in degraded mode ([\#8319](https://github.com/matrix-org/matrix-react-sdk/pull/8319)). Fixes vector-im/element-web#21762.

Changes in [3.42.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.42.3) (2022-04-12)
=====================================================================================================

## ✨ Features
 * Release threads as a beta feature ([\#8081](https://github.com/matrix-org/matrix-react-sdk/pull/8081)). Fixes vector-im/element-web#21351.
 * More video rooms design updates ([\#8222](https://github.com/matrix-org/matrix-react-sdk/pull/8222)).
 * Update video rooms to new design specs ([\#8207](https://github.com/matrix-org/matrix-react-sdk/pull/8207)). Fixes vector-im/element-web#21515, vector-im/element-web#21516 vector-im/element-web#21519 and vector-im/element-web#21526.
 * Live Location Sharing - left panel warning with error ([\#8201](https://github.com/matrix-org/matrix-react-sdk/pull/8201)).
 * Live location sharing - Stop publishing location to beacons with consecutive errors ([\#8194](https://github.com/matrix-org/matrix-react-sdk/pull/8194)).
 * Live location sharing: allow retry when stop sharing fails ([\#8193](https://github.com/matrix-org/matrix-react-sdk/pull/8193)).
 * Allow voice messages to be scrubbed in the timeline ([\#8079](https://github.com/matrix-org/matrix-react-sdk/pull/8079)). Fixes vector-im/element-web#18713.
 * Live location sharing - stop sharing to beacons in rooms you left ([\#8187](https://github.com/matrix-org/matrix-react-sdk/pull/8187)).
 * Allow sending and thumbnailing AVIF images ([\#8172](https://github.com/matrix-org/matrix-react-sdk/pull/8172)).
 * Live location sharing - handle geolocation errors ([\#8179](https://github.com/matrix-org/matrix-react-sdk/pull/8179)).
 * Show voice room participants when not connected ([\#8136](https://github.com/matrix-org/matrix-react-sdk/pull/8136)). Fixes vector-im/element-web#21513.
 * Add margins between labs sections ([\#8169](https://github.com/matrix-org/matrix-react-sdk/pull/8169)).
 * Live location sharing - send geolocation beacon events - happy path ([\#8127](https://github.com/matrix-org/matrix-react-sdk/pull/8127)).
 * Add support for Animated (A)PNG ([\#8158](https://github.com/matrix-org/matrix-react-sdk/pull/8158)). Fixes vector-im/element-web#12967.
 * Don't form continuations from thread roots ([\#8166](https://github.com/matrix-org/matrix-react-sdk/pull/8166)). Fixes vector-im/element-web#20908.
 * Improve handling of animated GIF and WEBP images ([\#8153](https://github.com/matrix-org/matrix-react-sdk/pull/8153)). Fixes vector-im/element-web#16193 and vector-im/element-web#6684.
 * Wire up file preview for video files ([\#8140](https://github.com/matrix-org/matrix-react-sdk/pull/8140)). Fixes vector-im/element-web#21539.
 * When showing thread, always auto-focus its composer ([\#8115](https://github.com/matrix-org/matrix-react-sdk/pull/8115)). Fixes vector-im/element-web#21438.
 * Live location sharing - refresh beacon expiry in room ([\#8116](https://github.com/matrix-org/matrix-react-sdk/pull/8116)).
 * Use styled mxids in member list v2 ([\#8110](https://github.com/matrix-org/matrix-react-sdk/pull/8110)). Fixes vector-im/element-web#14825. Contributed by @SimonBrandner.
 * Delete groups (legacy communities system) ([\#8027](https://github.com/matrix-org/matrix-react-sdk/pull/8027)). Fixes vector-im/element-web#17532.
 * Add a prototype of voice rooms in labs ([\#8084](https://github.com/matrix-org/matrix-react-sdk/pull/8084)). Fixes vector-im/element-web#3546.

## 🐛 Bug Fixes
 * Fix editing `<ol>` tags with a non-1 start attribute ([\#8211](https://github.com/matrix-org/matrix-react-sdk/pull/8211)). Fixes vector-im/element-web#21625.
 * Fix URL previews being enabled when room first created ([\#8227](https://github.com/matrix-org/matrix-react-sdk/pull/8227)). Fixes vector-im/element-web#21659.
 * Don't use m.call for Jitsi video rooms ([\#8223](https://github.com/matrix-org/matrix-react-sdk/pull/8223)).
 * Scale emoji with size of surrounding text ([\#8224](https://github.com/matrix-org/matrix-react-sdk/pull/8224)).
 * Make "Jump to date" translatable ([\#8218](https://github.com/matrix-org/matrix-react-sdk/pull/8218)).
 * Normalize call buttons ([\#8129](https://github.com/matrix-org/matrix-react-sdk/pull/8129)). Fixes vector-im/element-web#21493. Contributed by @luixxiul.
 * Show room preview bar with maximised widgets ([\#8180](https://github.com/matrix-org/matrix-react-sdk/pull/8180)). Fixes vector-im/element-web#21542.
 * Update more strings to not wrongly mention room when it is/could be a space ([\#7722](https://github.com/matrix-org/matrix-react-sdk/pull/7722)). Fixes vector-im/element-web#20243 and vector-im/element-web#20910.
 * Fix issue with redacting via edit composer flow causing stuck editStates ([\#8184](https://github.com/matrix-org/matrix-react-sdk/pull/8184)).
 * Fix some image/video scroll jumps ([\#8182](https://github.com/matrix-org/matrix-react-sdk/pull/8182)).
 * Fix "react error on share dialog" ([\#8170](https://github.com/matrix-org/matrix-react-sdk/pull/8170)). Contributed by @yaya-usman.
 * Fix disambiguated profile in threads in bubble layout ([\#8168](https://github.com/matrix-org/matrix-react-sdk/pull/8168)). Fixes vector-im/element-web#21570. Contributed by @SimonBrandner.
 * Responsive BetaCard on Labs ([\#8154](https://github.com/matrix-org/matrix-react-sdk/pull/8154)). Fixes vector-im/element-web#21554. Contributed by @luixxiul.
 * Display button as inline in room directory dialog ([\#8164](https://github.com/matrix-org/matrix-react-sdk/pull/8164)). Fixes vector-im/element-web#21567. Contributed by @luixxiul.
 * Null guard TimelinePanel unmount edge ([\#8171](https://github.com/matrix-org/matrix-react-sdk/pull/8171)).
 * Fix beta pill label breaking ([\#8162](https://github.com/matrix-org/matrix-react-sdk/pull/8162)). Fixes vector-im/element-web#21566. Contributed by @luixxiul.
 * Strip relations when forwarding ([\#7929](https://github.com/matrix-org/matrix-react-sdk/pull/7929)). Fixes vector-im/element-web#19769, vector-im/element-web#18067 vector-im/element-web#21015 and vector-im/element-web#10924.
 * Don't try (and fail) to show replies for redacted events ([\#8141](https://github.com/matrix-org/matrix-react-sdk/pull/8141)). Fixes vector-im/element-web#21435.
 * Fix 3pid member info for space member list ([\#8128](https://github.com/matrix-org/matrix-react-sdk/pull/8128)). Fixes vector-im/element-web#21534.
 * Set max-width to user context menu ([\#8089](https://github.com/matrix-org/matrix-react-sdk/pull/8089)). Fixes vector-im/element-web#21486. Contributed by @luixxiul.
 * Fix issue with falsey hrefs being sent in events ([\#8113](https://github.com/matrix-org/matrix-react-sdk/pull/8113)). Fixes vector-im/element-web#21417.
 * Make video sizing consistent with images ([\#8102](https://github.com/matrix-org/matrix-react-sdk/pull/8102)). Fixes vector-im/element-web#20072.

Changes in [3.42.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.42.0) (2022-03-15)
=====================================================================================================

## 🔒 SECURITY FIXES

 * Fix a bug where URL previews could be enabled in the left-panel when they
   should not have been.

## ✨ Features
 * Add unexposed account setting for hiding poll creation ([\#7972](https://github.com/matrix-org/matrix-react-sdk/pull/7972)).
 * Allow pinning polls ([\#7922](https://github.com/matrix-org/matrix-react-sdk/pull/7922)). Fixes vector-im/element-web#20152.
 * Make trailing `:` into a setting ([\#6711](https://github.com/matrix-org/matrix-react-sdk/pull/6711)). Fixes vector-im/element-web#16682. Contributed by @SimonBrandner.
 * Location sharing > back button ([\#7958](https://github.com/matrix-org/matrix-react-sdk/pull/7958)).
 * use LocationAssetType ([\#7965](https://github.com/matrix-org/matrix-react-sdk/pull/7965)).
 * Location share type UI ([\#7924](https://github.com/matrix-org/matrix-react-sdk/pull/7924)).
 * Add a few more UIComponent flags, and ensure they are used in existing code ([\#7937](https://github.com/matrix-org/matrix-react-sdk/pull/7937)).
 * Add support for overriding strings in the app ([\#7886](https://github.com/matrix-org/matrix-react-sdk/pull/7886)).
 * Add support for redirecting to external pages after logout ([\#7905](https://github.com/matrix-org/matrix-react-sdk/pull/7905)).
 * Expose redaction power level in room settings ([\#7599](https://github.com/matrix-org/matrix-react-sdk/pull/7599)). Fixes vector-im/element-web#20590. Contributed by @SimonBrandner.
 * Update and expand ways to access pinned messages ([\#7906](https://github.com/matrix-org/matrix-react-sdk/pull/7906)). Fixes vector-im/element-web#21209 and vector-im/element-web#21211.
 * Add slash command to switch to a room's virtual room ([\#7839](https://github.com/matrix-org/matrix-react-sdk/pull/7839)).

## 🐛 Bug Fixes
 * Merge pull request from GHSA-qmf4-7w7j-vf23 ([\#8059](https://github.com/matrix-org/matrix-react-sdk/pull/8059)).
 * Add another null guard for member ([\#7984](https://github.com/matrix-org/matrix-react-sdk/pull/7984)). Fixes vector-im/element-web#21319.
 * Fix room account settings ([\#7999](https://github.com/matrix-org/matrix-react-sdk/pull/7999)).
 * Fix missing summary text for pinned message changes ([\#7989](https://github.com/matrix-org/matrix-react-sdk/pull/7989)). Fixes vector-im/element-web#19823.
 * Pass room to getRoomTombstone to avoid racing with setState ([\#7986](https://github.com/matrix-org/matrix-react-sdk/pull/7986)).
 * Hide composer and call buttons when the room is tombstoned ([\#7975](https://github.com/matrix-org/matrix-react-sdk/pull/7975)). Fixes vector-im/element-web#21286.
 * Fix bad ternary statement in autocomplete user pill insertions ([\#7977](https://github.com/matrix-org/matrix-react-sdk/pull/7977)). Fixes vector-im/element-web#21307.
 * Fix sending locations into threads and fix i18n ([\#7943](https://github.com/matrix-org/matrix-react-sdk/pull/7943)). Fixes vector-im/element-web#21267.
 * Fix location map attribution rendering over message action bar ([\#7974](https://github.com/matrix-org/matrix-react-sdk/pull/7974)). Fixes vector-im/element-web#21297.
 * Fix wrongly asserting that PushRule::conditions is non-null ([\#7973](https://github.com/matrix-org/matrix-react-sdk/pull/7973)). Fixes vector-im/element-web#21305.
 * Fix account & room settings race condition ([\#7953](https://github.com/matrix-org/matrix-react-sdk/pull/7953)). Fixes vector-im/element-web#21163.
 * Fix bug with some space selections not being applied ([\#7971](https://github.com/matrix-org/matrix-react-sdk/pull/7971)). Fixes vector-im/element-web#21290.
 * Revert "replace all require(.svg) with esm import" ([\#7969](https://github.com/matrix-org/matrix-react-sdk/pull/7969)). Fixes vector-im/element-web#21293.
 * Hide unpinnable pinned messages in more cases ([\#7921](https://github.com/matrix-org/matrix-react-sdk/pull/7921)).
 * Fix room list being laggy while scrolling 🐌 ([\#7939](https://github.com/matrix-org/matrix-react-sdk/pull/7939)). Fixes vector-im/element-web#21262.
 * Make pinned messages more reliably reflect edits ([\#7920](https://github.com/matrix-org/matrix-react-sdk/pull/7920)). Fixes vector-im/element-web#17098.
 * Improve accessibility of the BetaPill ([\#7949](https://github.com/matrix-org/matrix-react-sdk/pull/7949)). Fixes vector-im/element-web#21255.
 * Autofocus correct composer after sending reaction ([\#7950](https://github.com/matrix-org/matrix-react-sdk/pull/7950)). Fixes vector-im/element-web#21273.
 * Consider polls as message events for rendering redactions ([\#7944](https://github.com/matrix-org/matrix-react-sdk/pull/7944)). Fixes vector-im/element-web#21125.
 * Prevent event tiles being shrunk/collapsed by flexbox ([\#7942](https://github.com/matrix-org/matrix-react-sdk/pull/7942)). Fixes vector-im/element-web#21269.
 * Fix ExportDialog title on export cancellation ([\#7936](https://github.com/matrix-org/matrix-react-sdk/pull/7936)). Fixes vector-im/element-web#21260. Contributed by @luixxiul.
 * Mandate use of js-sdk/src/matrix import over js-sdk/src ([\#7933](https://github.com/matrix-org/matrix-react-sdk/pull/7933)). Fixes vector-im/element-web#21253.
 * Fix backspace not working in the invite dialog ([\#7931](https://github.com/matrix-org/matrix-react-sdk/pull/7931)). Fixes vector-im/element-web#21249. Contributed by @SimonBrandner.
 * Fix right panel soft crashes due to missing room prop ([\#7923](https://github.com/matrix-org/matrix-react-sdk/pull/7923)). Fixes vector-im/element-web#21243.
 * fix color of location share caret ([\#7917](https://github.com/matrix-org/matrix-react-sdk/pull/7917)).
 * Wrap all EventTiles with a TileErrorBoundary and guard parsePermalink ([\#7916](https://github.com/matrix-org/matrix-react-sdk/pull/7916)). Fixes vector-im/element-web#21216.
 * Fix changing space sometimes bouncing to the wrong space ([\#7910](https://github.com/matrix-org/matrix-react-sdk/pull/7910)). Fixes vector-im/element-web#20425.
 * Ensure EventListSummary key does not change during backpagination ([\#7915](https://github.com/matrix-org/matrix-react-sdk/pull/7915)). Fixes vector-im/element-web#9192.
 * Fix positioning of the thread context menu ([\#7918](https://github.com/matrix-org/matrix-react-sdk/pull/7918)). Fixes vector-im/element-web#21236.
 * Inject sender into pinned messages ([\#7904](https://github.com/matrix-org/matrix-react-sdk/pull/7904)). Fixes vector-im/element-web#20314.
 * Tweak info message padding in right panel timeline ([\#7901](https://github.com/matrix-org/matrix-react-sdk/pull/7901)). Fixes vector-im/element-web#21212.
 * Fix another freeze on room switch ([\#7900](https://github.com/matrix-org/matrix-react-sdk/pull/7900)). Fixes vector-im/element-web#21127.
 * Clean up error listener when location picker closes ([\#7902](https://github.com/matrix-org/matrix-react-sdk/pull/7902)). Fixes vector-im/element-web#21213.
 * Fix edge case in context menu chevron positioning ([\#7899](https://github.com/matrix-org/matrix-react-sdk/pull/7899)).
 * Fix composer format buttons on WebKit ([\#7898](https://github.com/matrix-org/matrix-react-sdk/pull/7898)). Fixes vector-im/element-web#20868.
 * manage voicerecording state when deleting or sending a voice message ([\#7896](https://github.com/matrix-org/matrix-react-sdk/pull/7896)). Fixes vector-im/element-web#21151.
 * Fix bug with useRoomHierarchy tight-looping loadMore on error ([\#7893](https://github.com/matrix-org/matrix-react-sdk/pull/7893)).
 * Fix upload button & shortcut not working for narrow composer mode ([\#7894](https://github.com/matrix-org/matrix-react-sdk/pull/7894)). Fixes vector-im/element-web#21175 and vector-im/element-web#21142.
 * Fix emoji insertion in thread composer going to the main composer ([\#7895](https://github.com/matrix-org/matrix-react-sdk/pull/7895)). Fixes vector-im/element-web#21202.
 * Try harder to keep context menus inside the window ([\#7863](https://github.com/matrix-org/matrix-react-sdk/pull/7863)). Fixes vector-im/element-web#17527 and vector-im/element-web#18377.
 * Fix edge case around event list summary layout ([\#7891](https://github.com/matrix-org/matrix-react-sdk/pull/7891)). Fixes vector-im/element-web#21180.
 * Fix event list summary 1 hidden message pluralisation ([\#7890](https://github.com/matrix-org/matrix-react-sdk/pull/7890)). Fixes vector-im/element-web#21196.
 * Fix vanishing recently viewed menu ([\#7887](https://github.com/matrix-org/matrix-react-sdk/pull/7887)). Fixes vector-im/element-web#20827.
 * Fix freeze on room switch ([\#7884](https://github.com/matrix-org/matrix-react-sdk/pull/7884)). Fixes vector-im/element-web#21127.
 * Check 'useSystemTheme' in quick settings theme switcher ([\#7809](https://github.com/matrix-org/matrix-react-sdk/pull/7809)). Fixes vector-im/element-web#21061.
 * Fix 'my threads' filtering to include participated threads ([\#7882](https://github.com/matrix-org/matrix-react-sdk/pull/7882)). Fixes vector-im/element-web#20877.
 * Remove log line to try to fix freeze on answering VoIP call ([\#7883](https://github.com/matrix-org/matrix-react-sdk/pull/7883)).
 * Support social login & password on soft logout page ([\#7879](https://github.com/matrix-org/matrix-react-sdk/pull/7879)). Fixes vector-im/element-web#21099.
 * Fix missing padding on server picker ([\#7864](https://github.com/matrix-org/matrix-react-sdk/pull/7864)).
 * Throttle RoomState.members handlers ([\#7876](https://github.com/matrix-org/matrix-react-sdk/pull/7876)). Fixes vector-im/element-web#21127.
 * Only show joined/invited in search dialog ([\#7875](https://github.com/matrix-org/matrix-react-sdk/pull/7875)). Fixes vector-im/element-web#21161.
 * Don't pillify code blocks ([\#7861](https://github.com/matrix-org/matrix-react-sdk/pull/7861)). Fixes vector-im/element-web#20851 and vector-im/element-web#18687.
 * Fix keyboard shortcut icons on macOS ([\#7869](https://github.com/matrix-org/matrix-react-sdk/pull/7869)).

Changes in [3.42.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.42.0-rc.1) (2022-03-08)
===============================================================================================================

## ✨ Features
 * Add unexposed account setting for hiding poll creation ([\#7972](https://github.com/matrix-org/matrix-react-sdk/pull/7972)).
 * Allow pinning polls ([\#7922](https://github.com/matrix-org/matrix-react-sdk/pull/7922)). Fixes vector-im/element-web#20152.
 * Make trailing `:` into a setting ([\#6711](https://github.com/matrix-org/matrix-react-sdk/pull/6711)). Fixes vector-im/element-web#16682. Contributed by @SimonBrandner.
 * Location sharing > back button ([\#7958](https://github.com/matrix-org/matrix-react-sdk/pull/7958)).
 * use LocationAssetType ([\#7965](https://github.com/matrix-org/matrix-react-sdk/pull/7965)).
 * Location share type UI ([\#7924](https://github.com/matrix-org/matrix-react-sdk/pull/7924)).
 * Add a few more UIComponent flags, and ensure they are used in existing code ([\#7937](https://github.com/matrix-org/matrix-react-sdk/pull/7937)).
 * Add support for overriding strings in the app ([\#7886](https://github.com/matrix-org/matrix-react-sdk/pull/7886)).
 * Add support for redirecting to external pages after logout ([\#7905](https://github.com/matrix-org/matrix-react-sdk/pull/7905)).
 * Expose redaction power level in room settings ([\#7599](https://github.com/matrix-org/matrix-react-sdk/pull/7599)). Fixes vector-im/element-web#20590. Contributed by @SimonBrandner.
 * Update and expand ways to access pinned messages ([\#7906](https://github.com/matrix-org/matrix-react-sdk/pull/7906)). Fixes vector-im/element-web#21209 and vector-im/element-web#21211.
 * Add slash command to switch to a room's virtual room ([\#7839](https://github.com/matrix-org/matrix-react-sdk/pull/7839)).

## 🐛 Bug Fixes
 * Add another null guard for member ([\#7984](https://github.com/matrix-org/matrix-react-sdk/pull/7984)). Fixes vector-im/element-web#21319.
 * Fix room account settings ([\#7999](https://github.com/matrix-org/matrix-react-sdk/pull/7999)).
 * Fix missing summary text for pinned message changes ([\#7989](https://github.com/matrix-org/matrix-react-sdk/pull/7989)). Fixes vector-im/element-web#19823.
 * Pass room to getRoomTombstone to avoid racing with setState ([\#7986](https://github.com/matrix-org/matrix-react-sdk/pull/7986)).
 * Hide composer and call buttons when the room is tombstoned ([\#7975](https://github.com/matrix-org/matrix-react-sdk/pull/7975)). Fixes vector-im/element-web#21286.
 * Fix bad ternary statement in autocomplete user pill insertions ([\#7977](https://github.com/matrix-org/matrix-react-sdk/pull/7977)). Fixes vector-im/element-web#21307.
 * Fix sending locations into threads and fix i18n ([\#7943](https://github.com/matrix-org/matrix-react-sdk/pull/7943)). Fixes vector-im/element-web#21267.
 * Fix location map attribution rendering over message action bar ([\#7974](https://github.com/matrix-org/matrix-react-sdk/pull/7974)). Fixes vector-im/element-web#21297.
 * Fix wrongly asserting that PushRule::conditions is non-null ([\#7973](https://github.com/matrix-org/matrix-react-sdk/pull/7973)). Fixes vector-im/element-web#21305.
 * Fix account & room settings race condition ([\#7953](https://github.com/matrix-org/matrix-react-sdk/pull/7953)). Fixes vector-im/element-web#21163.
 * Fix bug with some space selections not being applied ([\#7971](https://github.com/matrix-org/matrix-react-sdk/pull/7971)). Fixes vector-im/element-web#21290.
 * Revert "replace all require(.svg) with esm import" ([\#7969](https://github.com/matrix-org/matrix-react-sdk/pull/7969)). Fixes vector-im/element-web#21293.
 * Hide unpinnable pinned messages in more cases ([\#7921](https://github.com/matrix-org/matrix-react-sdk/pull/7921)).
 * Fix room list being laggy while scrolling 🐌 ([\#7939](https://github.com/matrix-org/matrix-react-sdk/pull/7939)). Fixes vector-im/element-web#21262.
 * Make pinned messages more reliably reflect edits ([\#7920](https://github.com/matrix-org/matrix-react-sdk/pull/7920)). Fixes vector-im/element-web#17098.
 * Improve accessibility of the BetaPill ([\#7949](https://github.com/matrix-org/matrix-react-sdk/pull/7949)). Fixes vector-im/element-web#21255.
 * Autofocus correct composer after sending reaction ([\#7950](https://github.com/matrix-org/matrix-react-sdk/pull/7950)). Fixes vector-im/element-web#21273.
 * Consider polls as message events for rendering redactions ([\#7944](https://github.com/matrix-org/matrix-react-sdk/pull/7944)). Fixes vector-im/element-web#21125.
 * Prevent event tiles being shrunk/collapsed by flexbox ([\#7942](https://github.com/matrix-org/matrix-react-sdk/pull/7942)). Fixes vector-im/element-web#21269.
 * Fix ExportDialog title on export cancellation ([\#7936](https://github.com/matrix-org/matrix-react-sdk/pull/7936)). Fixes vector-im/element-web#21260. Contributed by @luixxiul.
 * Mandate use of js-sdk/src/matrix import over js-sdk/src ([\#7933](https://github.com/matrix-org/matrix-react-sdk/pull/7933)). Fixes vector-im/element-web#21253.
 * Fix backspace not working in the invite dialog ([\#7931](https://github.com/matrix-org/matrix-react-sdk/pull/7931)). Fixes vector-im/element-web#21249. Contributed by @SimonBrandner.
 * Fix right panel soft crashes due to missing room prop ([\#7923](https://github.com/matrix-org/matrix-react-sdk/pull/7923)). Fixes vector-im/element-web#21243.
 * fix color of location share caret ([\#7917](https://github.com/matrix-org/matrix-react-sdk/pull/7917)).
 * Wrap all EventTiles with a TileErrorBoundary and guard parsePermalink ([\#7916](https://github.com/matrix-org/matrix-react-sdk/pull/7916)). Fixes vector-im/element-web#21216.
 * Fix changing space sometimes bouncing to the wrong space ([\#7910](https://github.com/matrix-org/matrix-react-sdk/pull/7910)). Fixes vector-im/element-web#20425.
 * Ensure EventListSummary key does not change during backpagination ([\#7915](https://github.com/matrix-org/matrix-react-sdk/pull/7915)). Fixes vector-im/element-web#9192.
 * Fix positioning of the thread context menu ([\#7918](https://github.com/matrix-org/matrix-react-sdk/pull/7918)). Fixes vector-im/element-web#21236.
 * Inject sender into pinned messages ([\#7904](https://github.com/matrix-org/matrix-react-sdk/pull/7904)). Fixes vector-im/element-web#20314.
 * Tweak info message padding in right panel timeline ([\#7901](https://github.com/matrix-org/matrix-react-sdk/pull/7901)). Fixes vector-im/element-web#21212.
 * Fix another freeze on room switch ([\#7900](https://github.com/matrix-org/matrix-react-sdk/pull/7900)). Fixes vector-im/element-web#21127.
 * Clean up error listener when location picker closes ([\#7902](https://github.com/matrix-org/matrix-react-sdk/pull/7902)). Fixes vector-im/element-web#21213.
 * Fix edge case in context menu chevron positioning ([\#7899](https://github.com/matrix-org/matrix-react-sdk/pull/7899)).
 * Fix composer format buttons on WebKit ([\#7898](https://github.com/matrix-org/matrix-react-sdk/pull/7898)). Fixes vector-im/element-web#20868.
 * manage voicerecording state when deleting or sending a voice message ([\#7896](https://github.com/matrix-org/matrix-react-sdk/pull/7896)). Fixes vector-im/element-web#21151.
 * Fix bug with useRoomHierarchy tight-looping loadMore on error ([\#7893](https://github.com/matrix-org/matrix-react-sdk/pull/7893)).
 * Fix upload button & shortcut not working for narrow composer mode ([\#7894](https://github.com/matrix-org/matrix-react-sdk/pull/7894)). Fixes vector-im/element-web#21175 and vector-im/element-web#21142.
 * Fix emoji insertion in thread composer going to the main composer ([\#7895](https://github.com/matrix-org/matrix-react-sdk/pull/7895)). Fixes vector-im/element-web#21202.
 * Try harder to keep context menus inside the window ([\#7863](https://github.com/matrix-org/matrix-react-sdk/pull/7863)). Fixes vector-im/element-web#17527 and vector-im/element-web#18377.
 * Fix edge case around event list summary layout ([\#7891](https://github.com/matrix-org/matrix-react-sdk/pull/7891)). Fixes vector-im/element-web#21180.
 * Fix event list summary 1 hidden message pluralisation ([\#7890](https://github.com/matrix-org/matrix-react-sdk/pull/7890)). Fixes vector-im/element-web#21196.
 * Fix vanishing recently viewed menu ([\#7887](https://github.com/matrix-org/matrix-react-sdk/pull/7887)). Fixes vector-im/element-web#20827.
 * Fix freeze on room switch ([\#7884](https://github.com/matrix-org/matrix-react-sdk/pull/7884)). Fixes vector-im/element-web#21127.
 * Check 'useSystemTheme' in quick settings theme switcher ([\#7809](https://github.com/matrix-org/matrix-react-sdk/pull/7809)). Fixes vector-im/element-web#21061.
 * Fix 'my threads' filtering to include participated threads ([\#7882](https://github.com/matrix-org/matrix-react-sdk/pull/7882)). Fixes vector-im/element-web#20877.
 * Remove log line to try to fix freeze on answering VoIP call ([\#7883](https://github.com/matrix-org/matrix-react-sdk/pull/7883)).
 * Support social login & password on soft logout page ([\#7879](https://github.com/matrix-org/matrix-react-sdk/pull/7879)). Fixes vector-im/element-web#21099.
 * Fix missing padding on server picker ([\#7864](https://github.com/matrix-org/matrix-react-sdk/pull/7864)).
 * Throttle RoomState.members handlers ([\#7876](https://github.com/matrix-org/matrix-react-sdk/pull/7876)). Fixes vector-im/element-web#21127.
 * Only show joined/invited in search dialog ([\#7875](https://github.com/matrix-org/matrix-react-sdk/pull/7875)). Fixes vector-im/element-web#21161.
 * Don't pillify code blocks ([\#7861](https://github.com/matrix-org/matrix-react-sdk/pull/7861)). Fixes vector-im/element-web#20851 and vector-im/element-web#18687.
 * Fix keyboard shortcut icons on macOS ([\#7869](https://github.com/matrix-org/matrix-react-sdk/pull/7869)).

Changes in [3.41.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.41.1) (2022-03-01)
=====================================================================================================

## 🐛 Bug Fixes
 * Fix some crashes in the right panel

Changes in [3.41.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.41.0) (2022-02-28)
=====================================================================================================

## 🌐 Translations
 * This release contains a significant update to the Japanese translations, contributed by Suguru Hirahara (@luixxiul). ありがとうございます!

## ✨ Features
 * Support "closed" polls whose votes are not visible until they are ended ([\#7842](https://github.com/matrix-org/matrix-react-sdk/pull/7842)).
 * Focus trap in poll creation dialog ([\#7847](https://github.com/matrix-org/matrix-react-sdk/pull/7847)). Fixes vector-im/element-web#20281.
 * Add labs flag: Show only current profile on historical messages ([\#7815](https://github.com/matrix-org/matrix-react-sdk/pull/7815)).
 * Keep unsent voice messages in memory until they are deleted or sent ([\#7840](https://github.com/matrix-org/matrix-react-sdk/pull/7840)). Fixes vector-im/element-web#17979.
 * A link to `#/dm` in a custom home.html will open the "Direct Messages" dialog. ([\#7783](https://github.com/matrix-org/matrix-react-sdk/pull/7783)). Contributed by @johannes-krude.
 * set icon-button-color to be configurable via quaternary-content variable ([\#7725](https://github.com/matrix-org/matrix-react-sdk/pull/7725)). Fixes vector-im/element-web#20925. Contributed by @acxz.
 * Allow editing polls ([\#7806](https://github.com/matrix-org/matrix-react-sdk/pull/7806)).
 * Abstract spotlight to allow non-room results too ([\#7804](https://github.com/matrix-org/matrix-react-sdk/pull/7804)). Fixes vector-im/element-web#20968, matrix-org/element-web-rageshakes#10766, matrix-org/element-web-rageshakes#10777, matrix-org/element-web-rageshakes#10767 matrix-org/element-web-rageshakes#10760 and matrix-org/element-web-rageshakes#10752.
 * Display '(edited)' next to edited polls ([\#7789](https://github.com/matrix-org/matrix-react-sdk/pull/7789)).
 * Use the resize observer polyfill consistently ([\#7796](https://github.com/matrix-org/matrix-react-sdk/pull/7796)). Fixes matrix-org/element-web-rageshakes#10700.
 * Consolidate, simplify and improve copied tooltips ([\#7799](https://github.com/matrix-org/matrix-react-sdk/pull/7799)). Fixes vector-im/element-web#21069.
 * Suggest `@room` when `@channel`, `@everyone`, or `@here` is typed in composer ([\#7737](https://github.com/matrix-org/matrix-react-sdk/pull/7737)). Fixes vector-im/element-web#20972. Contributed by @aaronraimist.
 * Add customisation point to disable space creation ([\#7766](https://github.com/matrix-org/matrix-react-sdk/pull/7766)).
 * Consolidate RedactionGrouper and HiddenEventGrouper into MELS ([\#7739](https://github.com/matrix-org/matrix-react-sdk/pull/7739)). Fixes vector-im/element-web#20958.
 * Unify widget header actions with those in right panel ([\#7734](https://github.com/matrix-org/matrix-react-sdk/pull/7734)).
 * Improve new search dialog context text for exactly 2 parent spaces ([\#7761](https://github.com/matrix-org/matrix-react-sdk/pull/7761)).

## 🐛 Bug Fixes
 * [Release] Tweak info message padding in right panel timeline ([\#7909](https://github.com/matrix-org/matrix-react-sdk/pull/7909)).
 * [Release] Fix edge case around event list summary layout ([\#7892](https://github.com/matrix-org/matrix-react-sdk/pull/7892)).
 * Wire up CallEventGroupers for Search Results ([\#7866](https://github.com/matrix-org/matrix-react-sdk/pull/7866)). Fixes vector-im/element-web#21150.
 * Fix edge case around event list summary layout ([\#7867](https://github.com/matrix-org/matrix-react-sdk/pull/7867)). Fixes vector-im/element-web#21153.
 * Fix misalignment with Event List Summaries ([\#7865](https://github.com/matrix-org/matrix-react-sdk/pull/7865)). Fixes vector-im/element-web#21149.
 * Fix non-customizable keybindings not working as expected ([\#7855](https://github.com/matrix-org/matrix-react-sdk/pull/7855)). Fixes vector-im/element-web#21136 and matrix-org/element-web-rageshakes#10830.
 * Fix accessibility around the room list treeview and new search beta ([\#7856](https://github.com/matrix-org/matrix-react-sdk/pull/7856)). Fixes matrix-org/element-web-rageshakes#10873.
 * Inhibit tooltip on timeline pill avatars, the whole pill has its own ([\#7854](https://github.com/matrix-org/matrix-react-sdk/pull/7854)). Fixes vector-im/element-web#21135.
 * Fix virtual / native room mapping on call transfers ([\#7848](https://github.com/matrix-org/matrix-react-sdk/pull/7848)).
 * Fix ScrollPanel data-scrollbar not responding to window resizing ([\#7841](https://github.com/matrix-org/matrix-react-sdk/pull/7841)). Fixes vector-im/element-web#20594.
 * add cursor: pointer to actionable poll options ([\#7826](https://github.com/matrix-org/matrix-react-sdk/pull/7826)). Fixes vector-im/element-web#21033.
 * Tear down AppTile using lifecycle tracking ([\#7833](https://github.com/matrix-org/matrix-react-sdk/pull/7833)). Fixes vector-im/element-web#21025.
 * Fix layout inconsistencies with the room search minimized button ([\#7824](https://github.com/matrix-org/matrix-react-sdk/pull/7824)). Fixes vector-im/element-web#21106.
 * Fix space panel notification badge behaviour and metrics ([\#7823](https://github.com/matrix-org/matrix-react-sdk/pull/7823)). Fixes vector-im/element-web#21092.
 * Fix left panel widgets causing app crashes (again) ([\#7814](https://github.com/matrix-org/matrix-react-sdk/pull/7814)).
 * Fix right panel data flow ([\#7811](https://github.com/matrix-org/matrix-react-sdk/pull/7811)). Fixes vector-im/element-web#20929.
 * set mask-size for icons ([\#7812](https://github.com/matrix-org/matrix-react-sdk/pull/7812)). Fixes vector-im/element-web#21047.
 * Fix room create tile not showing up with hidden events shown ([\#7810](https://github.com/matrix-org/matrix-react-sdk/pull/7810)). Fixes vector-im/element-web#20893.
 * Fix delayed badge update for mentions in encrypted rooms ([\#7813](https://github.com/matrix-org/matrix-react-sdk/pull/7813)). Fixes vector-im/element-web#20859.
 * Fix add existing space not showing any spaces ([\#7801](https://github.com/matrix-org/matrix-react-sdk/pull/7801)). Fixes vector-im/element-web#21087. Contributed by @c-cal.
 * Fix edge cases around event list summaries with hidden events and redactions ([\#7797](https://github.com/matrix-org/matrix-react-sdk/pull/7797)). Fixes vector-im/element-web#21030 vector-im/element-web#21050 and vector-im/element-web#21055.
 * Improve styling of edge case devtools state keys ([\#7794](https://github.com/matrix-org/matrix-react-sdk/pull/7794)). Fixes vector-im/element-web#21056.
 * Don't scroll to bottom when executing non-message slash commands ([\#7793](https://github.com/matrix-org/matrix-react-sdk/pull/7793)). Fixes vector-im/element-web#21065.
 * Fix cutout misalignment on some decorated room avatars ([\#7784](https://github.com/matrix-org/matrix-react-sdk/pull/7784)). Fixes vector-im/element-web#21038.
 * Fix desktop notifications for invites showing user IDs instead of displaynames ([\#7780](https://github.com/matrix-org/matrix-react-sdk/pull/7780)). Fixes vector-im/element-web#21022. Contributed by @c-cal.
 * Fix bad pluralisation on event list summary hidden message handling ([\#7778](https://github.com/matrix-org/matrix-react-sdk/pull/7778)).
 * Properly recurse subspaces for leave space dialog options ([\#7775](https://github.com/matrix-org/matrix-react-sdk/pull/7775)). Fixes vector-im/element-web#20949 and vector-im/element-web#21012.
 * Fix translation for keyboard shortcut displaynames ([\#7758](https://github.com/matrix-org/matrix-react-sdk/pull/7758)). Fixes vector-im/element-web#20992. Contributed by @c-cal.
 * Fix space member list opening with back button ([\#7773](https://github.com/matrix-org/matrix-react-sdk/pull/7773)). Fixes vector-im/element-web#21009. Contributed by @c-cal.
 * Fix sort order for facepiles which was exactly reverse ([\#7771](https://github.com/matrix-org/matrix-react-sdk/pull/7771)).
 * Fix state events being wrongly hidden when redacted ([\#7768](https://github.com/matrix-org/matrix-react-sdk/pull/7768)). Fixes vector-im/element-web#20959.
 * Event List Summary guard against missing event senders ([\#7767](https://github.com/matrix-org/matrix-react-sdk/pull/7767)). Fixes vector-im/element-web#21004.
 * Fix all settings button opening sidebar settings tab ([\#7765](https://github.com/matrix-org/matrix-react-sdk/pull/7765)). Fixes vector-im/element-web#20998. Contributed by @c-cal.
 * Fix theme selector dropdown overflow ([\#7764](https://github.com/matrix-org/matrix-react-sdk/pull/7764)). Fixes vector-im/element-web#20996. Contributed by @c-cal.
 * Fix widget and mjolnir state events showing with mxid not name ([\#7760](https://github.com/matrix-org/matrix-react-sdk/pull/7760)). Fixes vector-im/element-web#20986.
 * Fix space member list not opening ([\#7747](https://github.com/matrix-org/matrix-react-sdk/pull/7747)). Fixes vector-im/element-web#20982. Contributed by @c-cal.
 * Handle highlight notifications in timeline card button ([\#7762](https://github.com/matrix-org/matrix-react-sdk/pull/7762)). Fixes vector-im/element-web#20987. Contributed by @SimonBrandner.
 * Fix add existing space not showing any spaces ([\#7751](https://github.com/matrix-org/matrix-react-sdk/pull/7751)).
 * Inhibit Room List keyboard pass-thru when the search beta is enabled ([\#7752](https://github.com/matrix-org/matrix-react-sdk/pull/7752)). Fixes vector-im/element-web#20984.
 * Add unread notification dot to timeline card button ([\#7749](https://github.com/matrix-org/matrix-react-sdk/pull/7749)). Fixes vector-im/element-web#20946. Contributed by @SimonBrandner.

Changes in [3.41.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.41.0-rc.1) (2022-02-22)
===============================================================================================================

## 🌐 Translations
 * This release contains a significant update to the Japanese translations, contributed by Suguru Hirahara (@luixxiul). ありがとうございます!

## ✨ Features
 * Support "closed" polls whose votes are not visible until they are ended ([\#7842](https://github.com/matrix-org/matrix-react-sdk/pull/7842)).
 * Focus trap in poll creation dialog ([\#7847](https://github.com/matrix-org/matrix-react-sdk/pull/7847)). Fixes vector-im/element-web#20281.
 * Add labs flag: Show only current profile on historical messages ([\#7815](https://github.com/matrix-org/matrix-react-sdk/pull/7815)).
 * Keep unsent voice messages in memory until they are deleted or sent ([\#7840](https://github.com/matrix-org/matrix-react-sdk/pull/7840)). Fixes vector-im/element-web#17979.
 * A link to `#/dm` in a custom home.html will open the "Direct Messages" dialog. ([\#7783](https://github.com/matrix-org/matrix-react-sdk/pull/7783)). Contributed by @johannes-krude.
 * set icon-button-color to be configurable via quaternary-content variable ([\#7725](https://github.com/matrix-org/matrix-react-sdk/pull/7725)). Fixes vector-im/element-web#20925. Contributed by @acxz.
 * Allow editing polls ([\#7806](https://github.com/matrix-org/matrix-react-sdk/pull/7806)).
 * Abstract spotlight to allow non-room results too ([\#7804](https://github.com/matrix-org/matrix-react-sdk/pull/7804)). Fixes vector-im/element-web#20968, matrix-org/element-web-rageshakes#10766, matrix-org/element-web-rageshakes#10777, matrix-org/element-web-rageshakes#10767 matrix-org/element-web-rageshakes#10760 and matrix-org/element-web-rageshakes#10752.
 * Display '(edited)' next to edited polls ([\#7789](https://github.com/matrix-org/matrix-react-sdk/pull/7789)).
 * Use the resize observer polyfill consistently ([\#7796](https://github.com/matrix-org/matrix-react-sdk/pull/7796)). Fixes matrix-org/element-web-rageshakes#10700.
 * Consolidate, simplify and improve copied tooltips ([\#7799](https://github.com/matrix-org/matrix-react-sdk/pull/7799)). Fixes vector-im/element-web#21069.
 * Suggest `@room` when `@channel`, `@everyone`, or `@here` is typed in composer ([\#7737](https://github.com/matrix-org/matrix-react-sdk/pull/7737)). Fixes vector-im/element-web#20972. Contributed by @aaronraimist.
 * Add customisation point to disable space creation ([\#7766](https://github.com/matrix-org/matrix-react-sdk/pull/7766)).
 * Consolidate RedactionGrouper and HiddenEventGrouper into MELS ([\#7739](https://github.com/matrix-org/matrix-react-sdk/pull/7739)). Fixes vector-im/element-web#20958.
 * Unify widget header actions with those in right panel ([\#7734](https://github.com/matrix-org/matrix-react-sdk/pull/7734)).
 * Improve new search dialog context text for exactly 2 parent spaces ([\#7761](https://github.com/matrix-org/matrix-react-sdk/pull/7761)).

## 🐛 Bug Fixes
 * Wire up CallEventGroupers for Search Results ([\#7866](https://github.com/matrix-org/matrix-react-sdk/pull/7866)). Fixes vector-im/element-web#21150.
 * Fix edge case around event list summary layout ([\#7867](https://github.com/matrix-org/matrix-react-sdk/pull/7867)). Fixes vector-im/element-web#21153.
 * Fix misalignment with Event List Summaries ([\#7865](https://github.com/matrix-org/matrix-react-sdk/pull/7865)). Fixes vector-im/element-web#21149.
 * Fix non-customizable keybindings not working as expected ([\#7855](https://github.com/matrix-org/matrix-react-sdk/pull/7855)). Fixes vector-im/element-web#21136 and matrix-org/element-web-rageshakes#10830.
 * Fix accessibility around the room list treeview and new search beta ([\#7856](https://github.com/matrix-org/matrix-react-sdk/pull/7856)). Fixes matrix-org/element-web-rageshakes#10873.
 * Inhibit tooltip on timeline pill avatars, the whole pill has its own ([\#7854](https://github.com/matrix-org/matrix-react-sdk/pull/7854)). Fixes vector-im/element-web#21135.
 * Fix virtual / native room mapping on call transfers ([\#7848](https://github.com/matrix-org/matrix-react-sdk/pull/7848)).
 * Fix ScrollPanel data-scrollbar not responding to window resizing ([\#7841](https://github.com/matrix-org/matrix-react-sdk/pull/7841)). Fixes vector-im/element-web#20594.
 * add cursor: pointer to actionable poll options ([\#7826](https://github.com/matrix-org/matrix-react-sdk/pull/7826)). Fixes vector-im/element-web#21033.
 * Tear down AppTile using lifecycle tracking ([\#7833](https://github.com/matrix-org/matrix-react-sdk/pull/7833)). Fixes vector-im/element-web#21025.
 * Fix layout inconsistencies with the room search minimized button ([\#7824](https://github.com/matrix-org/matrix-react-sdk/pull/7824)). Fixes vector-im/element-web#21106.
 * Fix space panel notification badge behaviour and metrics ([\#7823](https://github.com/matrix-org/matrix-react-sdk/pull/7823)). Fixes vector-im/element-web#21092.
 * Fix left panel widgets causing app crashes (again) ([\#7814](https://github.com/matrix-org/matrix-react-sdk/pull/7814)).
 * Fix right panel data flow ([\#7811](https://github.com/matrix-org/matrix-react-sdk/pull/7811)). Fixes vector-im/element-web#20929.
 * set mask-size for icons ([\#7812](https://github.com/matrix-org/matrix-react-sdk/pull/7812)). Fixes vector-im/element-web#21047.
 * Fix room create tile not showing up with hidden events shown ([\#7810](https://github.com/matrix-org/matrix-react-sdk/pull/7810)). Fixes vector-im/element-web#20893.
 * Fix delayed badge update for mentions in encrypted rooms ([\#7813](https://github.com/matrix-org/matrix-react-sdk/pull/7813)). Fixes vector-im/element-web#20859.
 * Fix add existing space not showing any spaces ([\#7801](https://github.com/matrix-org/matrix-react-sdk/pull/7801)). Fixes vector-im/element-web#21087. Contributed by @c-cal.
 * Fix edge cases around event list summaries with hidden events and redactions ([\#7797](https://github.com/matrix-org/matrix-react-sdk/pull/7797)). Fixes vector-im/element-web#21030 vector-im/element-web#21050 and vector-im/element-web#21055.
 * Improve styling of edge case devtools state keys ([\#7794](https://github.com/matrix-org/matrix-react-sdk/pull/7794)). Fixes vector-im/element-web#21056.
 * Don't scroll to bottom when executing non-message slash commands ([\#7793](https://github.com/matrix-org/matrix-react-sdk/pull/7793)). Fixes vector-im/element-web#21065.
 * Fix cutout misalignment on some decorated room avatars ([\#7784](https://github.com/matrix-org/matrix-react-sdk/pull/7784)). Fixes vector-im/element-web#21038.
 * Fix desktop notifications for invites showing user IDs instead of displaynames ([\#7780](https://github.com/matrix-org/matrix-react-sdk/pull/7780)). Fixes vector-im/element-web#21022. Contributed by @c-cal.
 * Fix bad pluralisation on event list summary hidden message handling ([\#7778](https://github.com/matrix-org/matrix-react-sdk/pull/7778)).
 * Properly recurse subspaces for leave space dialog options ([\#7775](https://github.com/matrix-org/matrix-react-sdk/pull/7775)). Fixes vector-im/element-web#20949 and vector-im/element-web#21012.
 * Fix translation for keyboard shortcut displaynames ([\#7758](https://github.com/matrix-org/matrix-react-sdk/pull/7758)). Fixes vector-im/element-web#20992. Contributed by @c-cal.
 * Fix space member list opening with back button ([\#7773](https://github.com/matrix-org/matrix-react-sdk/pull/7773)). Fixes vector-im/element-web#21009. Contributed by @c-cal.
 * Fix sort order for facepiles which was exactly reverse ([\#7771](https://github.com/matrix-org/matrix-react-sdk/pull/7771)).
 * Fix state events being wrongly hidden when redacted ([\#7768](https://github.com/matrix-org/matrix-react-sdk/pull/7768)). Fixes vector-im/element-web#20959.
 * Event List Summary guard against missing event senders ([\#7767](https://github.com/matrix-org/matrix-react-sdk/pull/7767)). Fixes vector-im/element-web#21004.
 * Fix all settings button opening sidebar settings tab ([\#7765](https://github.com/matrix-org/matrix-react-sdk/pull/7765)). Fixes vector-im/element-web#20998. Contributed by @c-cal.
 * Fix theme selector dropdown overflow ([\#7764](https://github.com/matrix-org/matrix-react-sdk/pull/7764)). Fixes vector-im/element-web#20996. Contributed by @c-cal.
 * Fix widget and mjolnir state events showing with mxid not name ([\#7760](https://github.com/matrix-org/matrix-react-sdk/pull/7760)). Fixes vector-im/element-web#20986.
 * Fix space member list not opening ([\#7747](https://github.com/matrix-org/matrix-react-sdk/pull/7747)). Fixes vector-im/element-web#20982. Contributed by @c-cal.
 * Handle highlight notifications in timeline card button ([\#7762](https://github.com/matrix-org/matrix-react-sdk/pull/7762)). Fixes vector-im/element-web#20987. Contributed by @SimonBrandner.
 * Fix add existing space not showing any spaces ([\#7751](https://github.com/matrix-org/matrix-react-sdk/pull/7751)).
 * Inhibit Room List keyboard pass-thru when the search beta is enabled ([\#7752](https://github.com/matrix-org/matrix-react-sdk/pull/7752)). Fixes vector-im/element-web#20984.
 * Add unread notification dot to timeline card button ([\#7749](https://github.com/matrix-org/matrix-react-sdk/pull/7749)). Fixes vector-im/element-web#20946. Contributed by @SimonBrandner.

Changes in [3.40.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.40.1) (2022-02-17)
=====================================================================================================

## 🐛 Bug Fixes
 * Fix bug where badge colour on encrypted rooms may not be correct until anothe rmessage is sent

Changes in [3.40.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.40.0) (2022-02-14)
=====================================================================================================

## ✨ Features
 * Capitalize "Privacy" in UserMenu ([\#7738](https://github.com/matrix-org/matrix-react-sdk/pull/7738)). Contributed by @aaronraimist.
 * Move new search experience to a Beta ([\#7718](https://github.com/matrix-org/matrix-react-sdk/pull/7718)). Fixes vector-im/element-meta#139 vector-im/element-web#20618 and vector-im/element-web#20339.
 * Auto select "Other homeserver" when user press "Edit" in homeserver field ([\#7337](https://github.com/matrix-org/matrix-react-sdk/pull/7337)). Fixes vector-im/element-web#20125. Contributed by @SimonBrandner.
 * Add unread badges and avatar decorations to spotlight search ([\#7696](https://github.com/matrix-org/matrix-react-sdk/pull/7696)). Fixes vector-im/element-web#20821.
 * Enable location sharing ([\#7703](https://github.com/matrix-org/matrix-react-sdk/pull/7703)).
 * Simplify Composer buttons ([\#7678](https://github.com/matrix-org/matrix-react-sdk/pull/7678)).
 * Add a warning to the console to discourage attacks and encourage contributing ([\#7673](https://github.com/matrix-org/matrix-react-sdk/pull/7673)). Fixes vector-im/element-web#2803. Contributed by @SimonBrandner.
 * Don't show replaced calls in the timeline ([\#7452](https://github.com/matrix-org/matrix-react-sdk/pull/7452)). Contributed by @SimonBrandner.
 * Tweak `/addwidget` widget names ([\#7681](https://github.com/matrix-org/matrix-react-sdk/pull/7681)).
 * Chat export parameter customisation ([\#7647](https://github.com/matrix-org/matrix-react-sdk/pull/7647)).
 * Put call on hold when transfer dialog is opened ([\#7669](https://github.com/matrix-org/matrix-react-sdk/pull/7669)).
 * Share e2ee keys when using /invite SlashCommand ([\#7655](https://github.com/matrix-org/matrix-react-sdk/pull/7655)). Fixes vector-im/element-web#20778 and vector-im/element-web#16982.
 * Tweak spotlight roving behaviour to reset when changing query ([\#7656](https://github.com/matrix-org/matrix-react-sdk/pull/7656)). Fixes vector-im/element-web#20537 vector-im/element-web#20612 and vector-im/element-web#20184.
 * Look up tile server info in homeserver's .well-known area ([\#7623](https://github.com/matrix-org/matrix-react-sdk/pull/7623)).
 * Add grouper for hidden events ([\#7649](https://github.com/matrix-org/matrix-react-sdk/pull/7649)).
 * The keyboard shortcut is control (or cmd) shift h. ([\#7584](https://github.com/matrix-org/matrix-react-sdk/pull/7584)). Contributed by @UwUnyaa.

## 🐛 Bug Fixes
 * [Release] Fix cutout misalignment on some decorated room avatars ([\#7785](https://github.com/matrix-org/matrix-react-sdk/pull/7785)).
 * [Release] Fix add existing space not showing any spaces ([\#7756](https://github.com/matrix-org/matrix-react-sdk/pull/7756)).
 * [Release] Inhibit Room List keyboard pass-thru when the search beta is enabled ([\#7754](https://github.com/matrix-org/matrix-react-sdk/pull/7754)).
 * [Release] Fix space member list not opening ([\#7755](https://github.com/matrix-org/matrix-react-sdk/pull/7755)).
 * Null-guard ELS from null summaryMembers ([\#7744](https://github.com/matrix-org/matrix-react-sdk/pull/7744)). Fixes vector-im/element-web#20807.
 * Improve responsiveness of the layout switcher ([\#7736](https://github.com/matrix-org/matrix-react-sdk/pull/7736)).
 * Tweak timeline card layout ([\#7743](https://github.com/matrix-org/matrix-react-sdk/pull/7743)). Fixes vector-im/element-web#20846.
 * Ensure location bodies have a width in bubbles ([\#7742](https://github.com/matrix-org/matrix-react-sdk/pull/7742)). Fixes vector-im/element-web#20916.
 * Tune aria-live regions around clocks/timers ([\#7735](https://github.com/matrix-org/matrix-react-sdk/pull/7735)). Fixes vector-im/element-web#20967.
 * Fix instances of decorated room avatar wrongly having their own tabIndex ([\#7730](https://github.com/matrix-org/matrix-react-sdk/pull/7730)).
 * Remove weird padding on stickers ([\#6271](https://github.com/matrix-org/matrix-react-sdk/pull/6271)). Fixes vector-im/element-web#17787. Contributed by @SimonBrandner.
 * Fix width issue of the composer overflow menu items ([\#7731](https://github.com/matrix-org/matrix-react-sdk/pull/7731)). Fixes vector-im/element-web#20898.
 * Properly handle persistent widgets when room is left ([\#7724](https://github.com/matrix-org/matrix-react-sdk/pull/7724)). Fixes vector-im/element-web#20901.
 * Null guard space hierarchy ([\#7729](https://github.com/matrix-org/matrix-react-sdk/pull/7729)). Fixes matrix-org/element-web-rageshakes#10433.
 * Fix add existing rooms button ([\#7728](https://github.com/matrix-org/matrix-react-sdk/pull/7728)). Fixes vector-im/element-web#20924. Contributed by @SimonBrandner.
 * Truncate long server names on login/register screen ([\#7702](https://github.com/matrix-org/matrix-react-sdk/pull/7702)). Fixes vector-im/element-web#18452.
 * Update PollCreateDialog-test to snapshot the html and not react tree ([\#7712](https://github.com/matrix-org/matrix-react-sdk/pull/7712)).
 * Fix creating polls outside of threads ([\#7711](https://github.com/matrix-org/matrix-react-sdk/pull/7711)). Fixes vector-im/element-web#20882.
 * Open native room when clicking notification from a virtual room ([\#7709](https://github.com/matrix-org/matrix-react-sdk/pull/7709)).
 * Fix relative link handling in Element Desktop ([\#7708](https://github.com/matrix-org/matrix-react-sdk/pull/7708)). Fixes vector-im/element-web#20783.
 * Reuse CopyableText component in all places it can be ([\#7701](https://github.com/matrix-org/matrix-react-sdk/pull/7701)). Fixes vector-im/element-web#20855.
 * Fit location into the width of the container ([\#7705](https://github.com/matrix-org/matrix-react-sdk/pull/7705)). Fixes vector-im/element-web#20861.
 * Make Spotlight Dialog roving reset more stable ([\#7698](https://github.com/matrix-org/matrix-react-sdk/pull/7698)). Fixes vector-im/element-web#20826.
 * Fix incorrect sizing of DecoratedRoomAvatar in RoomHeader ([\#7697](https://github.com/matrix-org/matrix-react-sdk/pull/7697)). Fixes vector-im/element-web#20090.
 * Use a more correct test for emoji ([\#7685](https://github.com/matrix-org/matrix-react-sdk/pull/7685)). Fixes vector-im/element-web#20824. Contributed by @robintown.
 * Fix vertical spacing in `compact` `<ContextMenu>` ([\#7684](https://github.com/matrix-org/matrix-react-sdk/pull/7684)). Fixes vector-im/element-web#20801.
 * Fix the sticker picker ([\#7692](https://github.com/matrix-org/matrix-react-sdk/pull/7692)). Fixes vector-im/element-web#20797.
 * Fix publishing address wrongly demanding the alias be available ([\#7690](https://github.com/matrix-org/matrix-react-sdk/pull/7690)). Fixes vector-im/element-web#12013 and vector-im/element-web#20833.
 * Prevent MemberAvatar soft-crashing when rendered with null member prop ([\#7691](https://github.com/matrix-org/matrix-react-sdk/pull/7691)). Fixes vector-im/element-web#20714.
 * Ensure UserInfo can be rendered without a room ([\#7687](https://github.com/matrix-org/matrix-react-sdk/pull/7687)). Fixes vector-im/element-web#20830.
 * Make polls fill column width in bubbles layout ([\#7661](https://github.com/matrix-org/matrix-react-sdk/pull/7661)). Fixes vector-im/element-web#20712.
 * Add a background to expanded nick name in IRC layout to make it readable. ([\#7652](https://github.com/matrix-org/matrix-react-sdk/pull/7652)). Fixes vector-im/element-web#20757. Contributed by @UwUnyaa.
 * Fix accessibility and consistency of MessageComposerButtons ([\#7679](https://github.com/matrix-org/matrix-react-sdk/pull/7679)). Fixes vector-im/element-web#20814.
 * Don't show shield next to deleted messages ([\#7671](https://github.com/matrix-org/matrix-react-sdk/pull/7671)). Fixes vector-im/element-web#20475. Contributed by @SimonBrandner.
 * Fix font size of spaces between big emoji ([\#7675](https://github.com/matrix-org/matrix-react-sdk/pull/7675)). Contributed by @robintown.
 * Fix shift-enter repeating last character ([\#7665](https://github.com/matrix-org/matrix-react-sdk/pull/7665)). Fixes vector-im/element-web#17215. Contributed by @SimonBrandner.
 * Remove Unpin option from maximised widget context menu ([\#7657](https://github.com/matrix-org/matrix-react-sdk/pull/7657)).
 * Fix new call event grouper implementation for encrypted rooms ([\#7654](https://github.com/matrix-org/matrix-react-sdk/pull/7654)).
 * Fix issue with tile error boundaries collapsing in bubbles layout ([\#7653](https://github.com/matrix-org/matrix-react-sdk/pull/7653)).
 * Fix emojis getting cropped in irc & bubble layouts by anti-zalgo ([\#7637](https://github.com/matrix-org/matrix-react-sdk/pull/7637)). Fixes vector-im/element-web#20744.
 * Fix space panel edge gradient not applying on load ([\#7644](https://github.com/matrix-org/matrix-react-sdk/pull/7644)). Fixes vector-im/element-web#20756.
 * Fix search results view for layouts other than Group/Modern ([\#7648](https://github.com/matrix-org/matrix-react-sdk/pull/7648)). Fixes vector-im/element-web#20745.

Changes in [3.40.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.40.0-rc.2) (2022-02-09)
===============================================================================================================

## 🐛 Bug Fixes
 * [Release] Fix add existing space not showing any spaces ([\#7756](https://github.com/matrix-org/matrix-react-sdk/pull/7756)).
 * [Release] Inhibit Room List keyboard pass-thru when the search beta is enabled ([\#7754](https://github.com/matrix-org/matrix-react-sdk/pull/7754)).
 * [Release] Fix space member list not opening ([\#7755](https://github.com/matrix-org/matrix-react-sdk/pull/7755)).

Changes in [3.40.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.40.0-rc.1) (2022-02-08)
===============================================================================================================

## ✨ Features
 * Move new search experience to a Beta ([\#7718](https://github.com/matrix-org/matrix-react-sdk/pull/7718)). Fixes vector-im/element-meta#139 vector-im/element-web#20618 and vector-im/element-web#20339.
 * Capitalize "Privacy" in UserMenu ([\#7738](https://github.com/matrix-org/matrix-react-sdk/pull/7738)). Contributed by @aaronraimist.
 * Auto select "Other homeserver" when user press "Edit" in homeserver field ([\#7337](https://github.com/matrix-org/matrix-react-sdk/pull/7337)). Fixes vector-im/element-web#20125. Contributed by @SimonBrandner.
 * Add unread badges and avatar decorations to spotlight search ([\#7696](https://github.com/matrix-org/matrix-react-sdk/pull/7696)). Fixes vector-im/element-web#20821.
 * Enable location sharing ([\#7703](https://github.com/matrix-org/matrix-react-sdk/pull/7703)).
 * Simplify Composer buttons ([\#7678](https://github.com/matrix-org/matrix-react-sdk/pull/7678)).
 * Add a warning to the console to discourage attacks and encourage contributing ([\#7673](https://github.com/matrix-org/matrix-react-sdk/pull/7673)). Fixes vector-im/element-web#2803. Contributed by @SimonBrandner.
 * Don't show replaced calls in the timeline ([\#7452](https://github.com/matrix-org/matrix-react-sdk/pull/7452)). Contributed by @SimonBrandner.
 * Tweak `/addwidget` widget names ([\#7681](https://github.com/matrix-org/matrix-react-sdk/pull/7681)).
 * Chat export parameter customisation ([\#7647](https://github.com/matrix-org/matrix-react-sdk/pull/7647)).
 * Put call on hold when transfer dialog is opened ([\#7669](https://github.com/matrix-org/matrix-react-sdk/pull/7669)).
 * Share e2ee keys when using /invite SlashCommand ([\#7655](https://github.com/matrix-org/matrix-react-sdk/pull/7655)). Fixes vector-im/element-web#20778 and vector-im/element-web#16982.
 * Tweak spotlight roving behaviour to reset when changing query ([\#7656](https://github.com/matrix-org/matrix-react-sdk/pull/7656)). Fixes vector-im/element-web#20537 vector-im/element-web#20612 and vector-im/element-web#20184.
 * Look up tile server info in homeserver's .well-known area ([\#7623](https://github.com/matrix-org/matrix-react-sdk/pull/7623)).
 * Add grouper for hidden events ([\#7649](https://github.com/matrix-org/matrix-react-sdk/pull/7649)).
 * The keyboard shortcut is control (or cmd) shift h. ([\#7584](https://github.com/matrix-org/matrix-react-sdk/pull/7584)). Contributed by @UwUnyaa.

## 🐛 Bug Fixes
 * Null-guard ELS from null summaryMembers ([\#7744](https://github.com/matrix-org/matrix-react-sdk/pull/7744)). Fixes vector-im/element-web#20807.
 * Improve responsiveness of the layout switcher ([\#7736](https://github.com/matrix-org/matrix-react-sdk/pull/7736)).
 * Tweak timeline card layout ([\#7743](https://github.com/matrix-org/matrix-react-sdk/pull/7743)). Fixes vector-im/element-web#20846.
 * Ensure location bodies have a width in bubbles ([\#7742](https://github.com/matrix-org/matrix-react-sdk/pull/7742)). Fixes vector-im/element-web#20916.
 * Tune aria-live regions around clocks/timers ([\#7735](https://github.com/matrix-org/matrix-react-sdk/pull/7735)). Fixes vector-im/element-web#20967.
 * Fix instances of decorated room avatar wrongly having their own tabIndex ([\#7730](https://github.com/matrix-org/matrix-react-sdk/pull/7730)).
 * Remove weird padding on stickers ([\#6271](https://github.com/matrix-org/matrix-react-sdk/pull/6271)). Fixes vector-im/element-web#17787. Contributed by @SimonBrandner.
 * Fix width issue of the composer overflow menu items ([\#7731](https://github.com/matrix-org/matrix-react-sdk/pull/7731)). Fixes vector-im/element-web#20898.
 * Properly handle persistent widgets when room is left ([\#7724](https://github.com/matrix-org/matrix-react-sdk/pull/7724)). Fixes vector-im/element-web#20901.
 * Null guard space hierarchy ([\#7729](https://github.com/matrix-org/matrix-react-sdk/pull/7729)). Fixes matrix-org/element-web-rageshakes#10433.
 * Fix add existing rooms button ([\#7728](https://github.com/matrix-org/matrix-react-sdk/pull/7728)). Fixes vector-im/element-web#20924. Contributed by @SimonBrandner.
 * Truncate long server names on login/register screen ([\#7702](https://github.com/matrix-org/matrix-react-sdk/pull/7702)). Fixes vector-im/element-web#18452.
 * Update PollCreateDialog-test to snapshot the html and not react tree ([\#7712](https://github.com/matrix-org/matrix-react-sdk/pull/7712)).
 * Fix creating polls outside of threads ([\#7711](https://github.com/matrix-org/matrix-react-sdk/pull/7711)). Fixes vector-im/element-web#20882.
 * Open native room when clicking notification from a virtual room ([\#7709](https://github.com/matrix-org/matrix-react-sdk/pull/7709)).
 * Fix relative link handling in Element Desktop ([\#7708](https://github.com/matrix-org/matrix-react-sdk/pull/7708)). Fixes vector-im/element-web#20783.
 * Reuse CopyableText component in all places it can be ([\#7701](https://github.com/matrix-org/matrix-react-sdk/pull/7701)). Fixes vector-im/element-web#20855.
 * Fit location into the width of the container ([\#7705](https://github.com/matrix-org/matrix-react-sdk/pull/7705)). Fixes vector-im/element-web#20861.
 * Make Spotlight Dialog roving reset more stable ([\#7698](https://github.com/matrix-org/matrix-react-sdk/pull/7698)). Fixes vector-im/element-web#20826.
 * Fix incorrect sizing of DecoratedRoomAvatar in RoomHeader ([\#7697](https://github.com/matrix-org/matrix-react-sdk/pull/7697)). Fixes vector-im/element-web#20090.
 * Use a more correct test for emoji ([\#7685](https://github.com/matrix-org/matrix-react-sdk/pull/7685)). Fixes vector-im/element-web#20824. Contributed by @robintown.
 * Fix vertical spacing in `compact` `<ContextMenu>` ([\#7684](https://github.com/matrix-org/matrix-react-sdk/pull/7684)). Fixes vector-im/element-web#20801.
 * Fix the sticker picker ([\#7692](https://github.com/matrix-org/matrix-react-sdk/pull/7692)). Fixes vector-im/element-web#20797.
 * Fix publishing address wrongly demanding the alias be available ([\#7690](https://github.com/matrix-org/matrix-react-sdk/pull/7690)). Fixes vector-im/element-web#12013 and vector-im/element-web#20833.
 * Prevent MemberAvatar soft-crashing when rendered with null member prop ([\#7691](https://github.com/matrix-org/matrix-react-sdk/pull/7691)). Fixes vector-im/element-web#20714.
 * Ensure UserInfo can be rendered without a room ([\#7687](https://github.com/matrix-org/matrix-react-sdk/pull/7687)). Fixes vector-im/element-web#20830.
 * Make polls fill column width in bubbles layout ([\#7661](https://github.com/matrix-org/matrix-react-sdk/pull/7661)). Fixes vector-im/element-web#20712.
 * Add a background to expanded nick name in IRC layout to make it readable. ([\#7652](https://github.com/matrix-org/matrix-react-sdk/pull/7652)). Fixes vector-im/element-web#20757. Contributed by @UwUnyaa.
 * Fix accessibility and consistency of MessageComposerButtons ([\#7679](https://github.com/matrix-org/matrix-react-sdk/pull/7679)). Fixes vector-im/element-web#20814.
 * Don't show shield next to deleted messages ([\#7671](https://github.com/matrix-org/matrix-react-sdk/pull/7671)). Fixes vector-im/element-web#20475. Contributed by @SimonBrandner.
 * Fix font size of spaces between big emoji ([\#7675](https://github.com/matrix-org/matrix-react-sdk/pull/7675)). Contributed by @robintown.
 * Fix shift-enter repeating last character ([\#7665](https://github.com/matrix-org/matrix-react-sdk/pull/7665)). Fixes vector-im/element-web#17215. Contributed by @SimonBrandner.
 * Remove Unpin option from maximised widget context menu ([\#7657](https://github.com/matrix-org/matrix-react-sdk/pull/7657)).
 * Fix new call event grouper implementation for encrypted rooms ([\#7654](https://github.com/matrix-org/matrix-react-sdk/pull/7654)).
 * Fix issue with tile error boundaries collapsing in bubbles layout ([\#7653](https://github.com/matrix-org/matrix-react-sdk/pull/7653)).
 * Fix emojis getting cropped in irc & bubble layouts by anti-zalgo ([\#7637](https://github.com/matrix-org/matrix-react-sdk/pull/7637)). Fixes vector-im/element-web#20744.
 * Fix space panel edge gradient not applying on load ([\#7644](https://github.com/matrix-org/matrix-react-sdk/pull/7644)). Fixes vector-im/element-web#20756.
 * Fix search results view for layouts other than Group/Modern ([\#7648](https://github.com/matrix-org/matrix-react-sdk/pull/7648)). Fixes vector-im/element-web#20745.

Changes in [3.39.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.39.1) (2022-02-01)
=====================================================================================================

## 🐛 Bug Fixes
 * Fix the sticker picker ([\#7692](https://github.com/matrix-org/matrix-react-sdk/pull/7692)). Fixes vector-im/element-web#20797.
 * Ensure UserInfo can be rendered without a room ([\#7687](https://github.com/matrix-org/matrix-react-sdk/pull/7687)). Fixes vector-im/element-web#20830.
 * Fix publishing address wrongly demanding the alias be available ([\#7690](https://github.com/matrix-org/matrix-react-sdk/pull/7690)). Fixes vector-im/element-web#12013 and vector-im/element-web#20833.

Changes in [3.39.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.39.0) (2022-01-31)
=====================================================================================================

## ✨ Features
 * Tweak room list header menu for when space is active ([\#7577](https://github.com/matrix-org/matrix-react-sdk/pull/7577)). Fixes vector-im/element-web#20601.
 * Tweak light hover & active color for bubble layout ([\#7626](https://github.com/matrix-org/matrix-react-sdk/pull/7626)). Fixes vector-im/element-web#19475.
 * De-labs Metaspaces ([\#7613](https://github.com/matrix-org/matrix-react-sdk/pull/7613)).
 * De-labs Message Bubbles layout ([\#7612](https://github.com/matrix-org/matrix-react-sdk/pull/7612)).
 * Add customisation point for mxid display ([\#7595](https://github.com/matrix-org/matrix-react-sdk/pull/7595)).
 * Add labs flag for default open right panel ([\#7618](https://github.com/matrix-org/matrix-react-sdk/pull/7618)). Fixes vector-im/element-web#20666.
 * Tweak copy for the Sidebar tab in User Settings ([\#7578](https://github.com/matrix-org/matrix-react-sdk/pull/7578)). Fixes vector-im/element-web#20619.
 * Make widgets not reload (persistent) between center and top container  ([\#7575](https://github.com/matrix-org/matrix-react-sdk/pull/7575)). Fixes vector-im/element-web#20596. Contributed by @toger5.
 * Don't render a bubble around emotes in bubble layout ([\#7573](https://github.com/matrix-org/matrix-react-sdk/pull/7573)). Fixes vector-im/element-web#20617.
 * Add ability to switch between voice & video in calls ([\#7155](https://github.com/matrix-org/matrix-react-sdk/pull/7155)). Fixes vector-im/element-web#18619. Contributed by @SimonBrandner.
 * Re-renable Share option for location messages ([\#7596](https://github.com/matrix-org/matrix-react-sdk/pull/7596)).
 * Make room ID copyable ([\#7600](https://github.com/matrix-org/matrix-react-sdk/pull/7600)). Fixes vector-im/element-web#20675. Contributed by @SimonBrandner.
 * Improve the look of the keyboard settings tab ([\#7562](https://github.com/matrix-org/matrix-react-sdk/pull/7562)). Contributed by @SimonBrandner.
 * Add tooltips to emoji in messages ([\#7592](https://github.com/matrix-org/matrix-react-sdk/pull/7592)). Fixes vector-im/element-web#9911 and vector-im/element-web#20661. Contributed by @robintown.
 * Improve redundant tooltip on send button in forward dialog ([\#7594](https://github.com/matrix-org/matrix-react-sdk/pull/7594)). Contributed by @twigleingrid.
 * Allow downloads from widgets. ([\#7502](https://github.com/matrix-org/matrix-react-sdk/pull/7502)). Contributed by @Fox32.
 * Parse matrix-schemed URIs ([\#7453](https://github.com/matrix-org/matrix-react-sdk/pull/7453)).
 * Show a tile at beginning of visible history ([\#5887](https://github.com/matrix-org/matrix-react-sdk/pull/5887)). Fixes vector-im/element-web#16818 vector-im/element-web#16679 and vector-im/element-web#19888. Contributed by @robintown.
 * Enable the polls feature ([\#7581](https://github.com/matrix-org/matrix-react-sdk/pull/7581)).
 * Display general marker on non-self location shares ([\#7574](https://github.com/matrix-org/matrix-react-sdk/pull/7574)).
 * Improve/add notifications for location and poll events ([\#7552](https://github.com/matrix-org/matrix-react-sdk/pull/7552)). Fixes vector-im/element-web#20561. Contributed by @SimonBrandner.
 * Upgrade linkify to v3.0 ([\#7282](https://github.com/matrix-org/matrix-react-sdk/pull/7282)). Fixes vector-im/element-web#17133 vector-im/element-web#16825 and vector-im/element-web#5808. Contributed by @Palid.
 * Update sidebar icon from Compound ([\#7572](https://github.com/matrix-org/matrix-react-sdk/pull/7572)). Fixes vector-im/element-web#20615.
 * Replace home icon with new one ([\#7571](https://github.com/matrix-org/matrix-react-sdk/pull/7571)). Fixes vector-im/element-web#20606.
 * Make the `Keyboard Shortcuts` dialog into a settings tab ([\#7198](https://github.com/matrix-org/matrix-react-sdk/pull/7198)). Fixes vector-im/element-web#19866. Contributed by @SimonBrandner.
 * Add setting for enabling location sharing ([\#7547](https://github.com/matrix-org/matrix-react-sdk/pull/7547)).
 * Add a developer mode 'view source' button to crashed event tiles ([\#7537](https://github.com/matrix-org/matrix-react-sdk/pull/7537)).
 * Replace `kick` terminology with `Remove from chat` ([\#7469](https://github.com/matrix-org/matrix-react-sdk/pull/7469)). Fixes vector-im/element-web#9547.
 * Render events as extensible events (behind labs) ([\#7462](https://github.com/matrix-org/matrix-react-sdk/pull/7462)).
 * Render Jitsi (and other sticky widgets) in PiP container, so it can be dragged and the "jump to room functionality" is provided ([\#7450](https://github.com/matrix-org/matrix-react-sdk/pull/7450)). Fixes vector-im/element-web#15682. Contributed by @toger5.
 * Allow bubble layout in Thread View ([\#7478](https://github.com/matrix-org/matrix-react-sdk/pull/7478)). Fixes vector-im/element-web#20419.
 * Make LocationPicker appearance cleaner ([\#7516](https://github.com/matrix-org/matrix-react-sdk/pull/7516)).
 * Limit max-width for bubble layout to 1200px ([\#7458](https://github.com/matrix-org/matrix-react-sdk/pull/7458)). Fixes vector-im/element-web#18072.
 * Improve look of call events in bubble layout ([\#7445](https://github.com/matrix-org/matrix-react-sdk/pull/7445)). Fixes vector-im/element-web#20324. Contributed by @SimonBrandner.
 * Make files & voice memos in bubble layout match colouring ([\#7457](https://github.com/matrix-org/matrix-react-sdk/pull/7457)). Fixes vector-im/element-web#20326.
 * Allow cancelling events whilst they are encrypting ([\#7483](https://github.com/matrix-org/matrix-react-sdk/pull/7483)). Fixes vector-im/element-web#17726.

## 🐛 Bug Fixes
 * [Release] Fix left panel widgets causing app-wide crash ([\#7660](https://github.com/matrix-org/matrix-react-sdk/pull/7660)).
 * Load light theme prior to HTML export to ensure it is present ([\#7643](https://github.com/matrix-org/matrix-react-sdk/pull/7643)). Fixes vector-im/element-web#20276.
 * Fix soft-crash when hanging up Jitsi via PIP ([\#7645](https://github.com/matrix-org/matrix-react-sdk/pull/7645)). Fixes vector-im/element-web#20766.
 * Fix RightPanelStore assuming isViewingRoom is false on load ([\#7642](https://github.com/matrix-org/matrix-react-sdk/pull/7642)).
 * Correctly handle Room.timeline events which have a nullable `Room` ([\#7635](https://github.com/matrix-org/matrix-react-sdk/pull/7635)). Fixes matrix-org/element-web-rageshakes#9490.
 * Translate keyboard shortcut alternate key names ([\#7633](https://github.com/matrix-org/matrix-react-sdk/pull/7633)). Fixes vector-im/element-web#20739.
 * Fix unfocused paste handling and focus return for file uploads ([\#7625](https://github.com/matrix-org/matrix-react-sdk/pull/7625)).
 * Changed MacOS hotkey for GoToHome view. ([\#7631](https://github.com/matrix-org/matrix-react-sdk/pull/7631)). Contributed by @aj-ya.
 * Fix issue with the new composer EmojiPart which caused infinite loops ([\#7629](https://github.com/matrix-org/matrix-react-sdk/pull/7629)). Fixes vector-im/element-web#20746.
 * Upgrade linkifyjs to fix schemes as domain prefixes ([\#7628](https://github.com/matrix-org/matrix-react-sdk/pull/7628)). Fixes vector-im/element-web#20720.
 * Show bubble tile timestamps for bubble layout inside the bubble ([\#7622](https://github.com/matrix-org/matrix-react-sdk/pull/7622)). Fixes vector-im/element-web#20562.
 *  Improve taken username warning in registration for when request fails ([\#7621](https://github.com/matrix-org/matrix-react-sdk/pull/7621)).
 * Avoid double dialog after clicking to remove a public room ([\#7604](https://github.com/matrix-org/matrix-react-sdk/pull/7604)). Fixes vector-im/element-web#20681. Contributed by @c-cal.
 * Fix space member list right panel state ([\#7617](https://github.com/matrix-org/matrix-react-sdk/pull/7617)). Fixes vector-im/element-web#20716.
 * Fall back to legacy analytics for guest users ([\#7616](https://github.com/matrix-org/matrix-react-sdk/pull/7616)).
 * Always emit a space filter update when the space is actually changed ([\#7611](https://github.com/matrix-org/matrix-react-sdk/pull/7611)). Fixes vector-im/element-web#20664.
 * Enlarge emoji in composer ([\#7602](https://github.com/matrix-org/matrix-react-sdk/pull/7602)). Fixes vector-im/element-web#20665 vector-im/element-web#15635 and vector-im/element-web#20688. Contributed by @robintown.
 * Disable location sharing button on Desktop ([\#7590](https://github.com/matrix-org/matrix-react-sdk/pull/7590)).
 * Make pills more natural to navigate around ([\#7607](https://github.com/matrix-org/matrix-react-sdk/pull/7607)). Fixes vector-im/element-web#20678. Contributed by @robintown.
 * Fix excessive padding on inline images ([\#7605](https://github.com/matrix-org/matrix-react-sdk/pull/7605)). Contributed by @robintown.
 * Prevent pills from being split by formatting actions ([\#7606](https://github.com/matrix-org/matrix-react-sdk/pull/7606)). Contributed by @robintown.
 * Fix translation of "powerText" ([\#7603](https://github.com/matrix-org/matrix-react-sdk/pull/7603)). Contributed by @c-cal.
 * Unhide display names when switching back to modern layout ([\#7601](https://github.com/matrix-org/matrix-react-sdk/pull/7601)). Fixes vector-im/element-web#20676. Contributed by @robintown.
 * Fix space member list not opening ([\#7609](https://github.com/matrix-org/matrix-react-sdk/pull/7609)). Fixes vector-im/element-web#20679. Contributed by @SimonBrandner.
 * Fix translation for the "Add room" tooltip ([\#7532](https://github.com/matrix-org/matrix-react-sdk/pull/7532)). Contributed by @c-cal.
 * Make the close button of the location share dialog visible in high-contrast theme ([\#7597](https://github.com/matrix-org/matrix-react-sdk/pull/7597)).
 * Cancel pending events in virtual room when call placed ([\#7583](https://github.com/matrix-org/matrix-react-sdk/pull/7583)). Fixes vector-im/element-web#17594.
 * Fix alignment of unread badge in thread list ([\#7582](https://github.com/matrix-org/matrix-react-sdk/pull/7582)). Fixes vector-im/element-web#20643.
 * Fix left positioned tooltips being wrong and offset by fixed value ([\#7551](https://github.com/matrix-org/matrix-react-sdk/pull/7551)).
 * Fix MAB overlapping or overflowing in bubbles layout and threads regressions ([\#7569](https://github.com/matrix-org/matrix-react-sdk/pull/7569)). Fixes vector-im/element-web#20403 and vector-im/element-web#20404.
 * Fix wrong icon being used for appearance tab in space preferences dialog ([\#7570](https://github.com/matrix-org/matrix-react-sdk/pull/7570)). Fixes vector-im/element-web#20608.
 * Fix `/jumptodate` using wrong MSC feature flag ([\#7563](https://github.com/matrix-org/matrix-react-sdk/pull/7563)).
 * Ensure maps show up in replies and threads, by creating unique IDs ([\#7568](https://github.com/matrix-org/matrix-react-sdk/pull/7568)).
 * Differentiate between hover and roving focus in spotlight dialog ([\#7564](https://github.com/matrix-org/matrix-react-sdk/pull/7564)). Fixes vector-im/element-web#20597.
 * Fix timeline jumping issues related to bubble layout ([\#7529](https://github.com/matrix-org/matrix-react-sdk/pull/7529)). Fixes vector-im/element-web#20302.
 * Start a conference in a room with 2 people + invitee rather than a 1:1 call ([\#7557](https://github.com/matrix-org/matrix-react-sdk/pull/7557)). Fixes vector-im/element-web#1202. Contributed by @SimonBrandner.
 * Wait for initial profile load before displaying widget ([\#7556](https://github.com/matrix-org/matrix-react-sdk/pull/7556)).
 * Make widgets and calls span across the whole room width when using bubble layout ([\#7553](https://github.com/matrix-org/matrix-react-sdk/pull/7553)). Fixes vector-im/element-web#20560. Contributed by @SimonBrandner.
 * Always show right panel after setting a card ([\#7544](https://github.com/matrix-org/matrix-react-sdk/pull/7544)). Contributed by @toger5.
 * Support deserialising HR tags for editing ([\#7543](https://github.com/matrix-org/matrix-react-sdk/pull/7543)). Fixes vector-im/element-web#20553.
 * Refresh ThreadView after React state has been updated ([\#7539](https://github.com/matrix-org/matrix-react-sdk/pull/7539)). Fixes vector-im/element-web#20549.
 * Set initial zoom level to 1 to make zooming to location faster ([\#7541](https://github.com/matrix-org/matrix-react-sdk/pull/7541)).
 * truncate room name on pip header ([\#7538](https://github.com/matrix-org/matrix-react-sdk/pull/7538)).
 * Prevent enter to send edit weirdness when no change has been made ([\#7522](https://github.com/matrix-org/matrix-react-sdk/pull/7522)). Fixes vector-im/element-web#20507.
 * Allow using room pills in slash commands ([\#7513](https://github.com/matrix-org/matrix-react-sdk/pull/7513)). Fixes vector-im/element-web#20343.

Changes in [3.39.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.39.0-rc.2) (2022-01-26)
===============================================================================================================

## 🐛 Bug Fixes
 * Fix crash in settings / appearance

Changes in [3.39.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.39.0-rc.1) (2022-01-26)
===============================================================================================================

## ✨ Features
 * Tweak room list header menu for when space is active ([\#7577](https://github.com/matrix-org/matrix-react-sdk/pull/7577)). Fixes vector-im/element-web#20601.
 * Tweak light hover & active color for bubble layout ([\#7626](https://github.com/matrix-org/matrix-react-sdk/pull/7626)). Fixes vector-im/element-web#19475.
 * De-labs Metaspaces ([\#7613](https://github.com/matrix-org/matrix-react-sdk/pull/7613)).
 * De-labs Message Bubbles layout ([\#7612](https://github.com/matrix-org/matrix-react-sdk/pull/7612)).
 * Add customisation point for mxid display ([\#7595](https://github.com/matrix-org/matrix-react-sdk/pull/7595)).
 * Add labs flag for default open right panel ([\#7618](https://github.com/matrix-org/matrix-react-sdk/pull/7618)). Fixes vector-im/element-web#20666.
 * Tweak copy for the Sidebar tab in User Settings ([\#7578](https://github.com/matrix-org/matrix-react-sdk/pull/7578)). Fixes vector-im/element-web#20619.
 * Make widgets not reload (persistent) between center and top container  ([\#7575](https://github.com/matrix-org/matrix-react-sdk/pull/7575)). Fixes vector-im/element-web#20596. Contributed by @toger5.
 * Don't render a bubble around emotes in bubble layout ([\#7573](https://github.com/matrix-org/matrix-react-sdk/pull/7573)). Fixes vector-im/element-web#20617.
 * Add ability to switch between voice & video in calls ([\#7155](https://github.com/matrix-org/matrix-react-sdk/pull/7155)). Fixes vector-im/element-web#18619. Contributed by @SimonBrandner.
 * Re-renable Share option for location messages ([\#7596](https://github.com/matrix-org/matrix-react-sdk/pull/7596)).
 * Make room ID copyable ([\#7600](https://github.com/matrix-org/matrix-react-sdk/pull/7600)). Fixes vector-im/element-web#20675. Contributed by @SimonBrandner.
 * Improve the look of the keyboard settings tab ([\#7562](https://github.com/matrix-org/matrix-react-sdk/pull/7562)). Contributed by @SimonBrandner.
 * Add tooltips to emoji in messages ([\#7592](https://github.com/matrix-org/matrix-react-sdk/pull/7592)). Fixes vector-im/element-web#9911 and vector-im/element-web#20661. Contributed by @robintown.
 * Improve redundant tooltip on send button in forward dialog ([\#7594](https://github.com/matrix-org/matrix-react-sdk/pull/7594)). Contributed by @twigleingrid.
 * Allow downloads from widgets. ([\#7502](https://github.com/matrix-org/matrix-react-sdk/pull/7502)). Contributed by @Fox32.
 * Parse matrix-schemed URIs ([\#7453](https://github.com/matrix-org/matrix-react-sdk/pull/7453)).
 * Show a tile at beginning of visible history ([\#5887](https://github.com/matrix-org/matrix-react-sdk/pull/5887)). Fixes vector-im/element-web#16818 vector-im/element-web#16679 and vector-im/element-web#19888. Contributed by @robintown.
 * Enable the polls feature ([\#7581](https://github.com/matrix-org/matrix-react-sdk/pull/7581)).
 * Display general marker on non-self location shares ([\#7574](https://github.com/matrix-org/matrix-react-sdk/pull/7574)).
 * Improve/add notifications for location and poll events ([\#7552](https://github.com/matrix-org/matrix-react-sdk/pull/7552)). Fixes vector-im/element-web#20561. Contributed by @SimonBrandner.
 * Upgrade linkify to v3.0 ([\#7282](https://github.com/matrix-org/matrix-react-sdk/pull/7282)). Fixes vector-im/element-web#17133 vector-im/element-web#16825 and vector-im/element-web#5808. Contributed by @Palid.
 * Update sidebar icon from Compound ([\#7572](https://github.com/matrix-org/matrix-react-sdk/pull/7572)). Fixes vector-im/element-web#20615.
 * Replace home icon with new one ([\#7571](https://github.com/matrix-org/matrix-react-sdk/pull/7571)). Fixes vector-im/element-web#20606.
 * Make the `Keyboard Shortcuts` dialog into a settings tab ([\#7198](https://github.com/matrix-org/matrix-react-sdk/pull/7198)). Fixes vector-im/element-web#19866. Contributed by @SimonBrandner.
 * Add setting for enabling location sharing ([\#7547](https://github.com/matrix-org/matrix-react-sdk/pull/7547)).
 * Add a developer mode 'view source' button to crashed event tiles ([\#7537](https://github.com/matrix-org/matrix-react-sdk/pull/7537)).
 * Replace `kick` terminology with `Remove from chat` ([\#7469](https://github.com/matrix-org/matrix-react-sdk/pull/7469)). Fixes vector-im/element-web#9547.
 * Render events as extensible events (behind labs) ([\#7462](https://github.com/matrix-org/matrix-react-sdk/pull/7462)).
 * Render Jitsi (and other sticky widgets) in PiP container, so it can be dragged and the "jump to room functionality" is provided ([\#7450](https://github.com/matrix-org/matrix-react-sdk/pull/7450)). Fixes vector-im/element-web#15682. Contributed by @toger5.
 * Allow bubble layout in Thread View ([\#7478](https://github.com/matrix-org/matrix-react-sdk/pull/7478)). Fixes vector-im/element-web#20419.
 * Make LocationPicker appearance cleaner ([\#7516](https://github.com/matrix-org/matrix-react-sdk/pull/7516)).
 * Limit max-width for bubble layout to 1200px ([\#7458](https://github.com/matrix-org/matrix-react-sdk/pull/7458)). Fixes vector-im/element-web#18072.
 * Improve look of call events in bubble layout ([\#7445](https://github.com/matrix-org/matrix-react-sdk/pull/7445)). Fixes vector-im/element-web#20324. Contributed by @SimonBrandner.
 * Make files & voice memos in bubble layout match colouring ([\#7457](https://github.com/matrix-org/matrix-react-sdk/pull/7457)). Fixes vector-im/element-web#20326.
 * Allow cancelling events whilst they are encrypting ([\#7483](https://github.com/matrix-org/matrix-react-sdk/pull/7483)). Fixes vector-im/element-web#17726.

## 🐛 Bug Fixes
 * Load light theme prior to HTML export to ensure it is present ([\#7643](https://github.com/matrix-org/matrix-react-sdk/pull/7643)). Fixes vector-im/element-web#20276.
 * Fix soft-crash when hanging up Jitsi via PIP ([\#7645](https://github.com/matrix-org/matrix-react-sdk/pull/7645)). Fixes vector-im/element-web#20766.
 * Fix RightPanelStore assuming isViewingRoom is false on load ([\#7642](https://github.com/matrix-org/matrix-react-sdk/pull/7642)).
 * Correctly handle Room.timeline events which have a nullable `Room` ([\#7635](https://github.com/matrix-org/matrix-react-sdk/pull/7635)). Fixes matrix-org/element-web-rageshakes#9490.
 * Translate keyboard shortcut alternate key names ([\#7633](https://github.com/matrix-org/matrix-react-sdk/pull/7633)). Fixes vector-im/element-web#20739.
 * Fix unfocused paste handling and focus return for file uploads ([\#7625](https://github.com/matrix-org/matrix-react-sdk/pull/7625)).
 * Changed MacOS hotkey for GoToHome view. ([\#7631](https://github.com/matrix-org/matrix-react-sdk/pull/7631)). Contributed by @aj-ya.
 * Fix issue with the new composer EmojiPart which caused infinite loops ([\#7629](https://github.com/matrix-org/matrix-react-sdk/pull/7629)). Fixes vector-im/element-web#20746.
 * Upgrade linkifyjs to fix schemes as domain prefixes ([\#7628](https://github.com/matrix-org/matrix-react-sdk/pull/7628)). Fixes vector-im/element-web#20720.
 * Show bubble tile timestamps for bubble layout inside the bubble ([\#7622](https://github.com/matrix-org/matrix-react-sdk/pull/7622)). Fixes vector-im/element-web#20562.
 *  Improve taken username warning in registration for when request fails ([\#7621](https://github.com/matrix-org/matrix-react-sdk/pull/7621)).
 * Avoid double dialog after clicking to remove a public room ([\#7604](https://github.com/matrix-org/matrix-react-sdk/pull/7604)). Fixes vector-im/element-web#20681. Contributed by @c-cal.
 * Fix space member list right panel state ([\#7617](https://github.com/matrix-org/matrix-react-sdk/pull/7617)). Fixes vector-im/element-web#20716.
 * Fall back to legacy analytics for guest users ([\#7616](https://github.com/matrix-org/matrix-react-sdk/pull/7616)).
 * Always emit a space filter update when the space is actually changed ([\#7611](https://github.com/matrix-org/matrix-react-sdk/pull/7611)). Fixes vector-im/element-web#20664.
 * Enlarge emoji in composer ([\#7602](https://github.com/matrix-org/matrix-react-sdk/pull/7602)). Fixes vector-im/element-web#20665 vector-im/element-web#15635 and vector-im/element-web#20688. Contributed by @robintown.
 * Disable location sharing button on Desktop ([\#7590](https://github.com/matrix-org/matrix-react-sdk/pull/7590)).
 * Make pills more natural to navigate around ([\#7607](https://github.com/matrix-org/matrix-react-sdk/pull/7607)). Fixes vector-im/element-web#20678. Contributed by @robintown.
 * Fix excessive padding on inline images ([\#7605](https://github.com/matrix-org/matrix-react-sdk/pull/7605)). Contributed by @robintown.
 * Prevent pills from being split by formatting actions ([\#7606](https://github.com/matrix-org/matrix-react-sdk/pull/7606)). Contributed by @robintown.
 * Fix translation of "powerText" ([\#7603](https://github.com/matrix-org/matrix-react-sdk/pull/7603)). Contributed by @c-cal.
 * Unhide display names when switching back to modern layout ([\#7601](https://github.com/matrix-org/matrix-react-sdk/pull/7601)). Fixes vector-im/element-web#20676. Contributed by @robintown.
 * Fix space member list not opening ([\#7609](https://github.com/matrix-org/matrix-react-sdk/pull/7609)). Fixes vector-im/element-web#20679. Contributed by @SimonBrandner.
 * Fix translation for the "Add room" tooltip ([\#7532](https://github.com/matrix-org/matrix-react-sdk/pull/7532)). Contributed by @c-cal.
 * Make the close button of the location share dialog visible in high-contrast theme ([\#7597](https://github.com/matrix-org/matrix-react-sdk/pull/7597)).
 * Cancel pending events in virtual room when call placed ([\#7583](https://github.com/matrix-org/matrix-react-sdk/pull/7583)). Fixes vector-im/element-web#17594.
 * Fix alignment of unread badge in thread list ([\#7582](https://github.com/matrix-org/matrix-react-sdk/pull/7582)). Fixes vector-im/element-web#20643.
 * Fix left positioned tooltips being wrong and offset by fixed value ([\#7551](https://github.com/matrix-org/matrix-react-sdk/pull/7551)).
 * Fix MAB overlapping or overflowing in bubbles layout and threads regressions ([\#7569](https://github.com/matrix-org/matrix-react-sdk/pull/7569)). Fixes vector-im/element-web#20403 and vector-im/element-web#20404.
 * Fix wrong icon being used for appearance tab in space preferences dialog ([\#7570](https://github.com/matrix-org/matrix-react-sdk/pull/7570)). Fixes vector-im/element-web#20608.
 * Fix `/jumptodate` using wrong MSC feature flag ([\#7563](https://github.com/matrix-org/matrix-react-sdk/pull/7563)).
 * Ensure maps show up in replies and threads, by creating unique IDs ([\#7568](https://github.com/matrix-org/matrix-react-sdk/pull/7568)).
 * Differentiate between hover and roving focus in spotlight dialog ([\#7564](https://github.com/matrix-org/matrix-react-sdk/pull/7564)). Fixes vector-im/element-web#20597.
 * Fix timeline jumping issues related to bubble layout ([\#7529](https://github.com/matrix-org/matrix-react-sdk/pull/7529)). Fixes vector-im/element-web#20302.
 * Start a conference in a room with 2 people + invitee rather than a 1:1 call ([\#7557](https://github.com/matrix-org/matrix-react-sdk/pull/7557)). Fixes vector-im/element-web#1202. Contributed by @SimonBrandner.
 * Wait for initial profile load before displaying widget ([\#7556](https://github.com/matrix-org/matrix-react-sdk/pull/7556)).
 * Make widgets and calls span across the whole room width when using bubble layout ([\#7553](https://github.com/matrix-org/matrix-react-sdk/pull/7553)). Fixes vector-im/element-web#20560. Contributed by @SimonBrandner.
 * Always show right panel after setting a card ([\#7544](https://github.com/matrix-org/matrix-react-sdk/pull/7544)). Contributed by @toger5.
 * Support deserialising HR tags for editing ([\#7543](https://github.com/matrix-org/matrix-react-sdk/pull/7543)). Fixes vector-im/element-web#20553.
 * Refresh ThreadView after React state has been updated ([\#7539](https://github.com/matrix-org/matrix-react-sdk/pull/7539)). Fixes vector-im/element-web#20549.
 * Set initial zoom level to 1 to make zooming to location faster ([\#7541](https://github.com/matrix-org/matrix-react-sdk/pull/7541)).
 * truncate room name on pip header ([\#7538](https://github.com/matrix-org/matrix-react-sdk/pull/7538)).
 * Prevent enter to send edit weirdness when no change has been made ([\#7522](https://github.com/matrix-org/matrix-react-sdk/pull/7522)). Fixes vector-im/element-web#20507.
 * Allow using room pills in slash commands ([\#7513](https://github.com/matrix-org/matrix-react-sdk/pull/7513)). Fixes vector-im/element-web#20343.

Changes in [3.38.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.38.0) (2022-01-17)
=====================================================================================================

## ✨ Features
 * Add permission dropdown for sending reactions ([\#7492](https://github.com/matrix-org/matrix-react-sdk/pull/7492)). Fixes vector-im/element-web#20450.
 * Ship maximised widgets and remove feature flag ([\#7509](https://github.com/matrix-org/matrix-react-sdk/pull/7509)).
 * Properly maintain aspect ratio of inline images ([\#7503](https://github.com/matrix-org/matrix-react-sdk/pull/7503)).
 * Add zoom buttons to the location view ([\#7482](https://github.com/matrix-org/matrix-react-sdk/pull/7482)).
 * Remove bubble from around location events ([\#7459](https://github.com/matrix-org/matrix-react-sdk/pull/7459)). Fixes vector-im/element-web#20323.
 * Disable "Publish this room" option in invite only rooms ([\#7441](https://github.com/matrix-org/matrix-react-sdk/pull/7441)). Fixes vector-im/element-web#6596. Contributed by @aaronraimist.
 * Give secret key field an `id` ([\#7489](https://github.com/matrix-org/matrix-react-sdk/pull/7489)). Fixes vector-im/element-web#20390. Contributed by @SimonBrandner.
 * Display a tooltip when you hover over a location ([\#7472](https://github.com/matrix-org/matrix-react-sdk/pull/7472)).
 * Open map in a dialog when it is clicked ([\#7465](https://github.com/matrix-org/matrix-react-sdk/pull/7465)).
 * a11y - wrap notification level radios in fieldsets ([\#7471](https://github.com/matrix-org/matrix-react-sdk/pull/7471)).
 * Wrap inputs in fieldsets in Space visibility settings ([\#7350](https://github.com/matrix-org/matrix-react-sdk/pull/7350)).
 * History based navigation with new right panel store ([\#7398](https://github.com/matrix-org/matrix-react-sdk/pull/7398)). Fixes vector-im/element-web#19686 vector-im/element-web#19660 and vector-im/element-web#19634.
 * Associate room alias warning with public option in settings ([\#7430](https://github.com/matrix-org/matrix-react-sdk/pull/7430)).
 * Disable quick reactions button when no permissions ([\#7412](https://github.com/matrix-org/matrix-react-sdk/pull/7412)). Fixes vector-im/element-web#20270.
 * Allow opening a map view in OpenStreetMap ([\#7428](https://github.com/matrix-org/matrix-react-sdk/pull/7428)).
 * Display the user's avatar when they shared their location ([\#7424](https://github.com/matrix-org/matrix-react-sdk/pull/7424)).
 * Remove the Forward and Share buttons for location messages only ([\#7423](https://github.com/matrix-org/matrix-react-sdk/pull/7423)).
 * Add configuration to disable relative date markers in timeline ([\#7405](https://github.com/matrix-org/matrix-react-sdk/pull/7405)).
 * Space preferences for whether or not you see DMs in a Space ([\#7250](https://github.com/matrix-org/matrix-react-sdk/pull/7250)). Fixes vector-im/element-web#19529 and vector-im/element-web#19955.
 * Have LocalEchoWrapper emit updates so the app can react faster ([\#7358](https://github.com/matrix-org/matrix-react-sdk/pull/7358)). Fixes vector-im/element-web#19749.
 * Use semantic heading on dialog component ([\#7383](https://github.com/matrix-org/matrix-react-sdk/pull/7383)).
 * Add `/jumptodate` slash command ([\#7372](https://github.com/matrix-org/matrix-react-sdk/pull/7372)). Fixes vector-im/element-web#7677.
 * Update room context menu copy ([\#7361](https://github.com/matrix-org/matrix-react-sdk/pull/7361)). Fixes vector-im/element-web#20133.
 * Use lazy rendering in the AddExistingToSpaceDialog ([\#7369](https://github.com/matrix-org/matrix-react-sdk/pull/7369)). Fixes vector-im/element-web#18784.
 * Tweak FacePile tooltip to include whether or not you are included ([\#7367](https://github.com/matrix-org/matrix-react-sdk/pull/7367)). Fixes vector-im/element-web#17278.

## 🐛 Bug Fixes
 * Fix wrongly wrapping code blocks, breaking line numbers ([\#7507](https://github.com/matrix-org/matrix-react-sdk/pull/7507)). Fixes vector-im/element-web#20316.
 * Set header buttons to no phase when right panel is closed ([\#7506](https://github.com/matrix-org/matrix-react-sdk/pull/7506)).
 * Fix active Jitsi calls (and other active widgets) not being visible on screen, by showing them in PiP if they are not visible in any other container ([\#7435](https://github.com/matrix-org/matrix-react-sdk/pull/7435)). Fixes vector-im/element-web#15169 and vector-im/element-web#20275.
 * Fix layout of message bubble preview in settings ([\#7497](https://github.com/matrix-org/matrix-react-sdk/pull/7497)).
 * Prevent mutations of js-sdk owned objects as it breaks accountData ([\#7504](https://github.com/matrix-org/matrix-react-sdk/pull/7504)). Fixes matrix-org/element-web-rageshakes#7822.
 * fallback properly with pluralized strings ([\#7495](https://github.com/matrix-org/matrix-react-sdk/pull/7495)). Fixes vector-im/element-web#20455.
 * Consider continuations when resolving whether a tile is last in section ([\#7461](https://github.com/matrix-org/matrix-react-sdk/pull/7461)). Fixes vector-im/element-web#20368 and vector-im/element-web#20369.
 * Fix read receipts and sent indicators for bubble layout ([\#7460](https://github.com/matrix-org/matrix-react-sdk/pull/7460)). Fixes vector-im/element-web#18298 and vector-im/element-web#20345.
 * null-guard dataset mxTheme to prevent html exports from exploding ([\#7493](https://github.com/matrix-org/matrix-react-sdk/pull/7493)). Fixes vector-im/element-web#20453.
 * Fix avatar container overlapping give feedback cta ([\#7491](https://github.com/matrix-org/matrix-react-sdk/pull/7491)). Fixes matrix-org/element-web-rageshakes#7987.
 * Fix jump to bottom button working when on a permalink ([\#7494](https://github.com/matrix-org/matrix-react-sdk/pull/7494)). Fixes vector-im/element-web#19813.
 * Remove the Description from the location picker ([\#7485](https://github.com/matrix-org/matrix-react-sdk/pull/7485)).
 * Fix look of the untrusted device dialog ([\#7487](https://github.com/matrix-org/matrix-react-sdk/pull/7487)). Fixes vector-im/element-web#20447. Contributed by @SimonBrandner.
 * Hide maximise button in the sticker picker  ([\#7488](https://github.com/matrix-org/matrix-react-sdk/pull/7488)). Fixes vector-im/element-web#20443. Contributed by @SimonBrandner.
 * Fix space ordering to match newer spec ([\#7481](https://github.com/matrix-org/matrix-react-sdk/pull/7481)).
 * Fix typing notification colors ([\#7490](https://github.com/matrix-org/matrix-react-sdk/pull/7490)). Fixes vector-im/element-web#20144. Contributed by @SimonBrandner.
 * fix fallback for pluralized strings ([\#7480](https://github.com/matrix-org/matrix-react-sdk/pull/7480)). Fixes vector-im/element-web#20426.
 * Fix right panel soft crashes chat rooms ([\#7479](https://github.com/matrix-org/matrix-react-sdk/pull/7479)). Fixes vector-im/element-web#20433.
 * update yarn.lock and i18n ([\#7476](https://github.com/matrix-org/matrix-react-sdk/pull/7476)). Fixes vector-im/element-web#20426 and vector-im/element-web#20423.
 * Don't send typing notification when restoring composer draft ([\#7477](https://github.com/matrix-org/matrix-react-sdk/pull/7477)). Fixes vector-im/element-web#20424.
 * Fix room joining spinner being incorrect if you change room mid-join ([\#7473](https://github.com/matrix-org/matrix-react-sdk/pull/7473)).
 * Only return the approved widget capabilities instead of accepting all requested capabilities ([\#7454](https://github.com/matrix-org/matrix-react-sdk/pull/7454)). Contributed by @dhenneke.
 * Fix quoting messages from the search view ([\#7466](https://github.com/matrix-org/matrix-react-sdk/pull/7466)). Fixes vector-im/element-web#20353.
 * Attribute fallback i18n strings with lang attribute ([\#7323](https://github.com/matrix-org/matrix-react-sdk/pull/7323)).
 * Fix spotlight cmd-k wrongly expanding left panel ([\#7463](https://github.com/matrix-org/matrix-react-sdk/pull/7463)). Fixes vector-im/element-web#20399.
 * Fix room_id check when adding user widgets ([\#7448](https://github.com/matrix-org/matrix-react-sdk/pull/7448)). Fixes vector-im/element-web#19382. Contributed by @bink.
 * Add new line in settings label ([\#7451](https://github.com/matrix-org/matrix-react-sdk/pull/7451)). Fixes vector-im/element-web#20365.
 * Fix handling incoming redactions in EventIndex ([\#7443](https://github.com/matrix-org/matrix-react-sdk/pull/7443)). Fixes vector-im/element-web#19326.
 * Fix room alias address isn't checked for validity before being shown as added ([\#7107](https://github.com/matrix-org/matrix-react-sdk/pull/7107)). Fixes vector-im/element-web#19609. Contributed by @Palid.
 * Call view accessibility fixes ([\#7439](https://github.com/matrix-org/matrix-react-sdk/pull/7439)). Fixes vector-im/element-web#18516.
 * Fix offscreen canvas breaking with split-brained firefox support ([\#7440](https://github.com/matrix-org/matrix-react-sdk/pull/7440)).
 * Removed red shield in forwarding preview. ([\#7447](https://github.com/matrix-org/matrix-react-sdk/pull/7447)). Contributed by @ankur12-1610.
 * Wrap status message ([\#7325](https://github.com/matrix-org/matrix-react-sdk/pull/7325)). Fixes vector-im/element-web#20092. Contributed by @SimonBrandner.
 * Move hideSender logic into state so it causes re-render ([\#7413](https://github.com/matrix-org/matrix-react-sdk/pull/7413)). Fixes vector-im/element-web#18448.
 * Fix dialpad positioning ([\#7446](https://github.com/matrix-org/matrix-react-sdk/pull/7446)). Fixes vector-im/element-web#20175. Contributed by @SimonBrandner.
 * Hide non-functional list options on Suggested sublist ([\#7410](https://github.com/matrix-org/matrix-react-sdk/pull/7410)). Fixes vector-im/element-web#20252.
 * Fix width overflow in mini composer overflow menu ([\#7411](https://github.com/matrix-org/matrix-react-sdk/pull/7411)). Fixes vector-im/element-web#20263.
 * Fix being wrongly sent to Home space when creating/joining/leaving rooms ([\#7418](https://github.com/matrix-org/matrix-react-sdk/pull/7418)). Fixes matrix-org/element-web-rageshakes#7331 vector-im/element-web#20246 and vector-im/element-web#20240.
 * Fix HTML Export where the data-mx-theme is `Light` not `light` ([\#7415](https://github.com/matrix-org/matrix-react-sdk/pull/7415)).
 * Don't disable username/password fields whilst doing wk-lookup ([\#7438](https://github.com/matrix-org/matrix-react-sdk/pull/7438)). Fixes vector-im/element-web#20121.
 * Prevent keyboard propagation out of context menus ([\#7437](https://github.com/matrix-org/matrix-react-sdk/pull/7437)). Fixes vector-im/element-web#20317.
 * Fix nulls leaking into geo urls ([\#7433](https://github.com/matrix-org/matrix-react-sdk/pull/7433)).
 * Fix zIndex of peristent apps in miniMode ([\#7429](https://github.com/matrix-org/matrix-react-sdk/pull/7429)).
 * Space panel should watch spaces for space name changes ([\#7432](https://github.com/matrix-org/matrix-react-sdk/pull/7432)).
 * Fix list formatting alternating on edit ([\#7422](https://github.com/matrix-org/matrix-react-sdk/pull/7422)). Fixes vector-im/element-web#20073. Contributed by @renancleyson-dev.
 * Don't show `Testing small changes` without UIFeature.Feedback ([\#7427](https://github.com/matrix-org/matrix-react-sdk/pull/7427)). Fixes vector-im/element-web#20298.
 * Fix invisible toggle space panel button ([\#7426](https://github.com/matrix-org/matrix-react-sdk/pull/7426)). Fixes vector-im/element-web#20279.
 * Fix legacy breadcrumbs wrongly showing up ([\#7425](https://github.com/matrix-org/matrix-react-sdk/pull/7425)).
 * Space Panel use SettingsStore instead of SpaceStore as source of truth ([\#7404](https://github.com/matrix-org/matrix-react-sdk/pull/7404)). Fixes vector-im/element-web#20250.
 * Fix inline code block nowrap issue ([\#7406](https://github.com/matrix-org/matrix-react-sdk/pull/7406)).
 * Fix notification badge for All Rooms space ([\#7401](https://github.com/matrix-org/matrix-react-sdk/pull/7401)). Fixes vector-im/element-web#20229.
 * Show error if could not load space hierarchy ([\#7399](https://github.com/matrix-org/matrix-react-sdk/pull/7399)). Fixes vector-im/element-web#20221.
 * Increase gap between ELS and the subsequent event to prevent overlap ([\#7391](https://github.com/matrix-org/matrix-react-sdk/pull/7391)). Fixes vector-im/element-web#18319.
 * Fix list of members in space preview ([\#7356](https://github.com/matrix-org/matrix-react-sdk/pull/7356)). Fixes vector-im/element-web#19781.
 * Fix sizing of e2e shield in bubble layout ([\#7394](https://github.com/matrix-org/matrix-react-sdk/pull/7394)). Fixes vector-im/element-web#19090.
 * Fix bubble radius wrong when followed by a state event from same user ([\#7393](https://github.com/matrix-org/matrix-react-sdk/pull/7393)). Fixes vector-im/element-web#18982.
 * Fix alignment between ELS and Events in bubble layout ([\#7392](https://github.com/matrix-org/matrix-react-sdk/pull/7392)). Fixes vector-im/element-web#19652 and vector-im/element-web#19057.
 * Don't include the accuracy parameter in location events if accuracy could not be determined. ([\#7375](https://github.com/matrix-org/matrix-react-sdk/pull/7375)).
 * Make compact layout only apply to Modern layout ([\#7382](https://github.com/matrix-org/matrix-react-sdk/pull/7382)). Fixes vector-im/element-web#18412.
 * Pin qrcode to fix e2e verification bug ([\#7378](https://github.com/matrix-org/matrix-react-sdk/pull/7378)). Fixes vector-im/element-web#20188.
 * Add internationalisation to progress strings in room export dialog ([\#7385](https://github.com/matrix-org/matrix-react-sdk/pull/7385)). Fixes vector-im/element-web#20208.
 * Prevent escape to cancel edit from also scrolling to bottom ([\#7380](https://github.com/matrix-org/matrix-react-sdk/pull/7380)). Fixes vector-im/element-web#20182.
 * Fix narrow mode composer buttons for polls labs ([\#7386](https://github.com/matrix-org/matrix-react-sdk/pull/7386)). Fixes vector-im/element-web#20067.
 * Fix useUserStatusMessage exploding on unknown user ([\#7365](https://github.com/matrix-org/matrix-react-sdk/pull/7365)).
 * Fix room join spinner in room list header ([\#7364](https://github.com/matrix-org/matrix-react-sdk/pull/7364)). Fixes vector-im/element-web#20139.
 * Fix room search sometimes not opening spotlight ([\#7363](https://github.com/matrix-org/matrix-react-sdk/pull/7363)). Fixes matrix-org/element-web-rageshakes#7288.

Changes in [3.38.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.38.0-rc.1) (2022-01-11)
===============================================================================================================

## ✨ Features
 * Ship maximised widgets and remove feature flag ([\#7509](https://github.com/matrix-org/matrix-react-sdk/pull/7509)).
 * Properly maintain aspect ratio of inline images ([\#7503](https://github.com/matrix-org/matrix-react-sdk/pull/7503)).
 * Add zoom buttons to the location view ([\#7482](https://github.com/matrix-org/matrix-react-sdk/pull/7482)).
 * Remove bubble from around location events ([\#7459](https://github.com/matrix-org/matrix-react-sdk/pull/7459)). Fixes vector-im/element-web#20323.
 * Disable "Publish this room" option in invite only rooms ([\#7441](https://github.com/matrix-org/matrix-react-sdk/pull/7441)). Fixes vector-im/element-web#6596. Contributed by @aaronraimist.
 * Add permission dropdown for sending reactions ([\#7492](https://github.com/matrix-org/matrix-react-sdk/pull/7492)). Fixes vector-im/element-web#20450.
 * Give secret key field an `id` ([\#7489](https://github.com/matrix-org/matrix-react-sdk/pull/7489)). Fixes vector-im/element-web#20390. Contributed by @SimonBrandner.
 * Display a tooltip when you hover over a location ([\#7472](https://github.com/matrix-org/matrix-react-sdk/pull/7472)).
 * Open map in a dialog when it is clicked ([\#7465](https://github.com/matrix-org/matrix-react-sdk/pull/7465)).
 * a11y - wrap notification level radios in fieldsets ([\#7471](https://github.com/matrix-org/matrix-react-sdk/pull/7471)).
 * Wrap inputs in fieldsets in Space visibility settings ([\#7350](https://github.com/matrix-org/matrix-react-sdk/pull/7350)).
 * History based navigation with new right panel store ([\#7398](https://github.com/matrix-org/matrix-react-sdk/pull/7398)). Fixes vector-im/element-web#19686 vector-im/element-web#19660 and vector-im/element-web#19634.
 * Associate room alias warning with public option in settings ([\#7430](https://github.com/matrix-org/matrix-react-sdk/pull/7430)).
 * Disable quick reactions button when no permissions ([\#7412](https://github.com/matrix-org/matrix-react-sdk/pull/7412)). Fixes vector-im/element-web#20270.
 * Allow opening a map view in OpenStreetMap ([\#7428](https://github.com/matrix-org/matrix-react-sdk/pull/7428)).
 * Display the user's avatar when they shared their location ([\#7424](https://github.com/matrix-org/matrix-react-sdk/pull/7424)).
 * Remove the Forward and Share buttons for location messages only ([\#7423](https://github.com/matrix-org/matrix-react-sdk/pull/7423)).
 * Add configuration to disable relative date markers in timeline ([\#7405](https://github.com/matrix-org/matrix-react-sdk/pull/7405)).
 * Space preferences for whether or not you see DMs in a Space ([\#7250](https://github.com/matrix-org/matrix-react-sdk/pull/7250)). Fixes vector-im/element-web#19529 and vector-im/element-web#19955.
 * Have LocalEchoWrapper emit updates so the app can react faster ([\#7358](https://github.com/matrix-org/matrix-react-sdk/pull/7358)). Fixes vector-im/element-web#19749.
 * Use semantic heading on dialog component ([\#7383](https://github.com/matrix-org/matrix-react-sdk/pull/7383)).
 * Add `/jumptodate` slash command ([\#7372](https://github.com/matrix-org/matrix-react-sdk/pull/7372)). Fixes vector-im/element-web#7677.
 * Update room context menu copy ([\#7361](https://github.com/matrix-org/matrix-react-sdk/pull/7361)). Fixes vector-im/element-web#20133.
 * Use lazy rendering in the AddExistingToSpaceDialog ([\#7369](https://github.com/matrix-org/matrix-react-sdk/pull/7369)). Fixes vector-im/element-web#18784.
 * Tweak FacePile tooltip to include whether or not you are included ([\#7367](https://github.com/matrix-org/matrix-react-sdk/pull/7367)). Fixes vector-im/element-web#17278.

## 🐛 Bug Fixes
 * Fix wrongly wrapping code blocks, breaking line numbers ([\#7507](https://github.com/matrix-org/matrix-react-sdk/pull/7507)). Fixes vector-im/element-web#20316.
 * Set header buttons to no phase when right panel is closed ([\#7506](https://github.com/matrix-org/matrix-react-sdk/pull/7506)).
 * Fix active Jitsi calls (and other active widgets) not being visible on screen, by showing them in PiP if they are not visible in any other container ([\#7435](https://github.com/matrix-org/matrix-react-sdk/pull/7435)). Fixes vector-im/element-web#15169 and vector-im/element-web#20275.
 * Fix layout of message bubble preview in settings ([\#7497](https://github.com/matrix-org/matrix-react-sdk/pull/7497)).
 * Prevent mutations of js-sdk owned objects as it breaks accountData ([\#7504](https://github.com/matrix-org/matrix-react-sdk/pull/7504)). Fixes matrix-org/element-web-rageshakes#7822.
 * fallback properly with pluralized strings ([\#7495](https://github.com/matrix-org/matrix-react-sdk/pull/7495)). Fixes vector-im/element-web#20455.
 * Consider continuations when resolving whether a tile is last in section ([\#7461](https://github.com/matrix-org/matrix-react-sdk/pull/7461)). Fixes vector-im/element-web#20368 and vector-im/element-web#20369.
 * Fix read receipts and sent indicators for bubble layout ([\#7460](https://github.com/matrix-org/matrix-react-sdk/pull/7460)). Fixes vector-im/element-web#18298 and vector-im/element-web#20345.
 * null-guard dataset mxTheme to prevent html exports from exploding ([\#7493](https://github.com/matrix-org/matrix-react-sdk/pull/7493)). Fixes vector-im/element-web#20453.
 * Fix avatar container overlapping give feedback cta ([\#7491](https://github.com/matrix-org/matrix-react-sdk/pull/7491)). Fixes matrix-org/element-web-rageshakes#7987.
 * Fix jump to bottom button working when on a permalink ([\#7494](https://github.com/matrix-org/matrix-react-sdk/pull/7494)). Fixes vector-im/element-web#19813.
 * Remove the Description from the location picker ([\#7485](https://github.com/matrix-org/matrix-react-sdk/pull/7485)).
 * Fix look of the untrusted device dialog ([\#7487](https://github.com/matrix-org/matrix-react-sdk/pull/7487)). Fixes vector-im/element-web#20447. Contributed by @SimonBrandner.
 * Hide maximise button in the sticker picker  ([\#7488](https://github.com/matrix-org/matrix-react-sdk/pull/7488)). Fixes vector-im/element-web#20443. Contributed by @SimonBrandner.
 * Fix space ordering to match newer spec ([\#7481](https://github.com/matrix-org/matrix-react-sdk/pull/7481)).
 * Fix typing notification colors ([\#7490](https://github.com/matrix-org/matrix-react-sdk/pull/7490)). Fixes vector-im/element-web#20144. Contributed by @SimonBrandner.
 * fix fallback for pluralized strings ([\#7480](https://github.com/matrix-org/matrix-react-sdk/pull/7480)). Fixes vector-im/element-web#20426.
 * Fix right panel soft crashes chat rooms ([\#7479](https://github.com/matrix-org/matrix-react-sdk/pull/7479)). Fixes vector-im/element-web#20433.
 * update yarn.lock and i18n ([\#7476](https://github.com/matrix-org/matrix-react-sdk/pull/7476)). Fixes vector-im/element-web#20426 and vector-im/element-web#20423.
 * Don't send typing notification when restoring composer draft ([\#7477](https://github.com/matrix-org/matrix-react-sdk/pull/7477)). Fixes vector-im/element-web#20424.
 * Fix room joining spinner being incorrect if you change room mid-join ([\#7473](https://github.com/matrix-org/matrix-react-sdk/pull/7473)).
 * Only return the approved widget capabilities instead of accepting all requested capabilities ([\#7454](https://github.com/matrix-org/matrix-react-sdk/pull/7454)). Contributed by @dhenneke.
 * Fix quoting messages from the search view ([\#7466](https://github.com/matrix-org/matrix-react-sdk/pull/7466)). Fixes vector-im/element-web#20353.
 * Attribute fallback i18n strings with lang attribute ([\#7323](https://github.com/matrix-org/matrix-react-sdk/pull/7323)).
 * Fix spotlight cmd-k wrongly expanding left panel ([\#7463](https://github.com/matrix-org/matrix-react-sdk/pull/7463)). Fixes vector-im/element-web#20399.
 * Fix room_id check when adding user widgets ([\#7448](https://github.com/matrix-org/matrix-react-sdk/pull/7448)). Fixes vector-im/element-web#19382. Contributed by @bink.
 * Add new line in settings label ([\#7451](https://github.com/matrix-org/matrix-react-sdk/pull/7451)). Fixes vector-im/element-web#20365.
 * Fix handling incoming redactions in EventIndex ([\#7443](https://github.com/matrix-org/matrix-react-sdk/pull/7443)). Fixes vector-im/element-web#19326.
 * Fix room alias address isn't checked for validity before being shown as added ([\#7107](https://github.com/matrix-org/matrix-react-sdk/pull/7107)). Fixes vector-im/element-web#19609. Contributed by @Palid.
 * Call view accessibility fixes ([\#7439](https://github.com/matrix-org/matrix-react-sdk/pull/7439)). Fixes vector-im/element-web#18516.
 * Fix offscreen canvas breaking with split-brained firefox support ([\#7440](https://github.com/matrix-org/matrix-react-sdk/pull/7440)).
 * Removed red shield in forwarding preview. ([\#7447](https://github.com/matrix-org/matrix-react-sdk/pull/7447)). Contributed by @ankur12-1610.
 * Wrap status message ([\#7325](https://github.com/matrix-org/matrix-react-sdk/pull/7325)). Fixes vector-im/element-web#20092. Contributed by @SimonBrandner.
 * Move hideSender logic into state so it causes re-render ([\#7413](https://github.com/matrix-org/matrix-react-sdk/pull/7413)). Fixes vector-im/element-web#18448.
 * Fix dialpad positioning ([\#7446](https://github.com/matrix-org/matrix-react-sdk/pull/7446)). Fixes vector-im/element-web#20175. Contributed by @SimonBrandner.
 * Hide non-functional list options on Suggested sublist ([\#7410](https://github.com/matrix-org/matrix-react-sdk/pull/7410)). Fixes vector-im/element-web#20252.
 * Fix width overflow in mini composer overflow menu ([\#7411](https://github.com/matrix-org/matrix-react-sdk/pull/7411)). Fixes vector-im/element-web#20263.
 * Fix being wrongly sent to Home space when creating/joining/leaving rooms ([\#7418](https://github.com/matrix-org/matrix-react-sdk/pull/7418)). Fixes matrix-org/element-web-rageshakes#7331 vector-im/element-web#20246 and vector-im/element-web#20240.
 * Fix HTML Export where the data-mx-theme is `Light` not `light` ([\#7415](https://github.com/matrix-org/matrix-react-sdk/pull/7415)).
 * Don't disable username/password fields whilst doing wk-lookup ([\#7438](https://github.com/matrix-org/matrix-react-sdk/pull/7438)). Fixes vector-im/element-web#20121.
 * Prevent keyboard propagation out of context menus ([\#7437](https://github.com/matrix-org/matrix-react-sdk/pull/7437)). Fixes vector-im/element-web#20317.
 * Fix nulls leaking into geo urls ([\#7433](https://github.com/matrix-org/matrix-react-sdk/pull/7433)).
 * Fix zIndex of peristent apps in miniMode ([\#7429](https://github.com/matrix-org/matrix-react-sdk/pull/7429)).
 * Space panel should watch spaces for space name changes ([\#7432](https://github.com/matrix-org/matrix-react-sdk/pull/7432)).
 * Fix list formatting alternating on edit ([\#7422](https://github.com/matrix-org/matrix-react-sdk/pull/7422)). Fixes vector-im/element-web#20073. Contributed by @renancleyson-dev.
 * Don't show `Testing small changes` without UIFeature.Feedback ([\#7427](https://github.com/matrix-org/matrix-react-sdk/pull/7427)). Fixes vector-im/element-web#20298.
 * Fix invisible toggle space panel button ([\#7426](https://github.com/matrix-org/matrix-react-sdk/pull/7426)). Fixes vector-im/element-web#20279.
 * Fix legacy breadcrumbs wrongly showing up ([\#7425](https://github.com/matrix-org/matrix-react-sdk/pull/7425)).
 * Space Panel use SettingsStore instead of SpaceStore as source of truth ([\#7404](https://github.com/matrix-org/matrix-react-sdk/pull/7404)). Fixes vector-im/element-web#20250.
 * Fix inline code block nowrap issue ([\#7406](https://github.com/matrix-org/matrix-react-sdk/pull/7406)).
 * Fix notification badge for All Rooms space ([\#7401](https://github.com/matrix-org/matrix-react-sdk/pull/7401)). Fixes vector-im/element-web#20229.
 * Show error if could not load space hierarchy ([\#7399](https://github.com/matrix-org/matrix-react-sdk/pull/7399)). Fixes vector-im/element-web#20221.
 * Increase gap between ELS and the subsequent event to prevent overlap ([\#7391](https://github.com/matrix-org/matrix-react-sdk/pull/7391)). Fixes vector-im/element-web#18319.
 * Fix list of members in space preview ([\#7356](https://github.com/matrix-org/matrix-react-sdk/pull/7356)). Fixes vector-im/element-web#19781.
 * Fix sizing of e2e shield in bubble layout ([\#7394](https://github.com/matrix-org/matrix-react-sdk/pull/7394)). Fixes vector-im/element-web#19090.
 * Fix bubble radius wrong when followed by a state event from same user ([\#7393](https://github.com/matrix-org/matrix-react-sdk/pull/7393)). Fixes vector-im/element-web#18982.
 * Fix alignment between ELS and Events in bubble layout ([\#7392](https://github.com/matrix-org/matrix-react-sdk/pull/7392)). Fixes vector-im/element-web#19652 and vector-im/element-web#19057.
 * Don't include the accuracy parameter in location events if accuracy could not be determined. ([\#7375](https://github.com/matrix-org/matrix-react-sdk/pull/7375)).
 * Make compact layout only apply to Modern layout ([\#7382](https://github.com/matrix-org/matrix-react-sdk/pull/7382)). Fixes vector-im/element-web#18412.
 * Pin qrcode to fix e2e verification bug ([\#7378](https://github.com/matrix-org/matrix-react-sdk/pull/7378)). Fixes vector-im/element-web#20188.
 * Add internationalisation to progress strings in room export dialog ([\#7385](https://github.com/matrix-org/matrix-react-sdk/pull/7385)). Fixes vector-im/element-web#20208.
 * Prevent escape to cancel edit from also scrolling to bottom ([\#7380](https://github.com/matrix-org/matrix-react-sdk/pull/7380)). Fixes vector-im/element-web#20182.
 * Fix narrow mode composer buttons for polls labs ([\#7386](https://github.com/matrix-org/matrix-react-sdk/pull/7386)). Fixes vector-im/element-web#20067.
 * Fix useUserStatusMessage exploding on unknown user ([\#7365](https://github.com/matrix-org/matrix-react-sdk/pull/7365)).
 * Fix room join spinner in room list header ([\#7364](https://github.com/matrix-org/matrix-react-sdk/pull/7364)). Fixes vector-im/element-web#20139.
 * Fix room search sometimes not opening spotlight ([\#7363](https://github.com/matrix-org/matrix-react-sdk/pull/7363)). Fixes matrix-org/element-web-rageshakes#7288.

Changes in [3.37.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.37.0) (2021-12-20)
=====================================================================================================

## ✨ Features
 * Always unhide widgets on layout change (pinning a widget) ([\#7299](https://github.com/matrix-org/matrix-react-sdk/pull/7299)).
 * Update status message in the member list and user info panel when it is changed ([\#7338](https://github.com/matrix-org/matrix-react-sdk/pull/7338)). Fixes vector-im/element-web#20127. Contributed by @SimonBrandner.
 * Iterate space panel toggle collapse interaction ([\#7335](https://github.com/matrix-org/matrix-react-sdk/pull/7335)). Fixes vector-im/element-web#20079.
 * Spotlight search labs ([\#7116](https://github.com/matrix-org/matrix-react-sdk/pull/7116)). Fixes vector-im/element-web#19530.
 * Put room settings form elements in fieldsets ([\#7311](https://github.com/matrix-org/matrix-react-sdk/pull/7311)).
 * Add descriptions to ambiguous links for screen readers ([\#7310](https://github.com/matrix-org/matrix-react-sdk/pull/7310)).
 * Make tooltips keyboard accessible ([\#7281](https://github.com/matrix-org/matrix-react-sdk/pull/7281)).
 * Iterate room context menus for DMs ([\#7308](https://github.com/matrix-org/matrix-react-sdk/pull/7308)). Fixes vector-im/element-web#19527.
 * Update space panel expand mechanism ([\#7230](https://github.com/matrix-org/matrix-react-sdk/pull/7230)). Fixes vector-im/element-web#17993.
 * Add CSS variable to make the UI gaps consistent and fix the resize handle position ([\#7234](https://github.com/matrix-org/matrix-react-sdk/pull/7234)). Fixes vector-im/element-web#19904 and vector-im/element-web#19938.
 * Custom location sharing. ([\#7185](https://github.com/matrix-org/matrix-react-sdk/pull/7185)).
 * Simple static location sharing ([\#7135](https://github.com/matrix-org/matrix-react-sdk/pull/7135)).
 * Finish sending pending messages before leaving room ([\#7276](https://github.com/matrix-org/matrix-react-sdk/pull/7276)). Fixes vector-im/element-web#4702.
 * Dropdown follow wai-aria practices for expanding on arrow keys ([\#7277](https://github.com/matrix-org/matrix-react-sdk/pull/7277)). Fixes vector-im/element-web#3687.
 * Expose PL control for pinned events when lab enabled ([\#7278](https://github.com/matrix-org/matrix-react-sdk/pull/7278)). Fixes vector-im/element-web#5396.
 * In People & Favourites metaspaces always show all rooms ([\#7288](https://github.com/matrix-org/matrix-react-sdk/pull/7288)). Fixes vector-im/element-web#20048.
 * Don't allow calls when the connection the server has been lost ([\#7287](https://github.com/matrix-org/matrix-react-sdk/pull/7287)). Fixes vector-im/element-web#2096. Contributed by @SimonBrandner.
 * Analytics opt in for posthog ([\#6936](https://github.com/matrix-org/matrix-react-sdk/pull/6936)).
 * Don't inhibit current room notifications if user has Modal open ([\#7274](https://github.com/matrix-org/matrix-react-sdk/pull/7274)). Fixes vector-im/element-web#1118.
 * Remove the `Screen sharing is here!` dialog ([\#7266](https://github.com/matrix-org/matrix-react-sdk/pull/7266)). Fixes vector-im/element-web#18824. Contributed by @SimonBrandner.
 * Make composer buttons react to settings without having to change room ([\#7264](https://github.com/matrix-org/matrix-react-sdk/pull/7264)). Fixes vector-im/element-web#20011.
 * Decorate view keyboard shortcuts link as a link ([\#7260](https://github.com/matrix-org/matrix-react-sdk/pull/7260)). Fixes vector-im/element-web#20007.
 * Improve ease of focusing on Room list Search ([\#7255](https://github.com/matrix-org/matrix-react-sdk/pull/7255)). Fixes matrix-org/element-web-rageshakes#7017.
 * Autofocus device panel entry when renaming device ([\#7249](https://github.com/matrix-org/matrix-react-sdk/pull/7249)). Fixes vector-im/element-web#19984.
 * Update Space Panel scrollable region ([\#7245](https://github.com/matrix-org/matrix-react-sdk/pull/7245)). Fixes vector-im/element-web#19978.
 * Replace breadcrumbs with recently viewed menu ([\#7073](https://github.com/matrix-org/matrix-react-sdk/pull/7073)). Fixes vector-im/element-web#19528.
 * Tweaks to informational architecture 1.1 ([\#7052](https://github.com/matrix-org/matrix-react-sdk/pull/7052)). Fixes vector-im/element-web#19526, vector-im/element-web#19379, vector-im/element-web#17792, vector-im/element-web#16450, vector-im/element-web#19881, vector-im/element-web#19892, vector-im/element-web#19300, vector-im/element-web#19324, vector-im/element-web#17307, vector-im/element-web#17468 vector-im/element-web#19932 and vector-im/element-web#19956.

## 🐛 Bug Fixes
 * [Release] Fix inline code block nowrap issue ([\#7407](https://github.com/matrix-org/matrix-react-sdk/pull/7407)).
 * don't collapse spaces in inline code blocks (https ([\#7328](https://github.com/matrix-org/matrix-react-sdk/pull/7328)). Fixes vector-im/element-web#6051. Contributed by @HarHarLinks.
 * Fix accessibility regressions ([\#7336](https://github.com/matrix-org/matrix-react-sdk/pull/7336)).
 * Debounce User Info start dm "Message" button ([\#7357](https://github.com/matrix-org/matrix-react-sdk/pull/7357)). Fixes vector-im/element-web#7763.
 * Fix thread filter being cut-off on narrow screens ([\#7354](https://github.com/matrix-org/matrix-react-sdk/pull/7354)). Fixes vector-im/element-web#20146.
 * Fix upgraded rooms wrongly showing up in spotlight ([\#7341](https://github.com/matrix-org/matrix-react-sdk/pull/7341)). Fixes vector-im/element-web#20141.
 * Show votes in replied-to polls (pass in getRelationsForEvent) ([\#7345](https://github.com/matrix-org/matrix-react-sdk/pull/7345)). Fixes vector-im/element-web#20153.
 * Keep all previously approved widget capabilities when requesting new capabilities ([\#7340](https://github.com/matrix-org/matrix-react-sdk/pull/7340)). Contributed by @dhenneke.
 * Only show poll previews when the polls feature is enabled ([\#7331](https://github.com/matrix-org/matrix-react-sdk/pull/7331)).
 * No-op action:join if the user is already invited for scalar ([\#7334](https://github.com/matrix-org/matrix-react-sdk/pull/7334)). Fixes vector-im/element-web#20134.
 * Don't show polls in timeline if polls are disabled ([\#7332](https://github.com/matrix-org/matrix-react-sdk/pull/7332)). Fixes vector-im/element-web#20130.
 * Don't send a poll response event if you are voting for your current c… ([\#7326](https://github.com/matrix-org/matrix-react-sdk/pull/7326)). Fixes vector-im/element-web#20129.
 * Don't show options button when the user can't modify widgets ([\#7324](https://github.com/matrix-org/matrix-react-sdk/pull/7324)). Fixes vector-im/element-web#20114. Contributed by @SimonBrandner.
 * Add vertical spacing between buttons when they go over multiple lines ([\#7314](https://github.com/matrix-org/matrix-react-sdk/pull/7314)). Contributed by @twigleingrid.
 * Improve accessibility of opening space create menu ([\#7316](https://github.com/matrix-org/matrix-react-sdk/pull/7316)).
 * Correct tab order in room preview dialog ([\#7302](https://github.com/matrix-org/matrix-react-sdk/pull/7302)).
 * Fix favourites and people metaspaces not rendering their content ([\#7315](https://github.com/matrix-org/matrix-react-sdk/pull/7315)). Fixes vector-im/element-web#20070.
 * Make clear button images visible in high contrast theme ([\#7306](https://github.com/matrix-org/matrix-react-sdk/pull/7306)). Fixes vector-im/element-web#19931.
 * Fix html exporting and improve output size ([\#7312](https://github.com/matrix-org/matrix-react-sdk/pull/7312)). Fixes vector-im/element-web#19436 vector-im/element-web#20107 and vector-im/element-web#19441.
 * Fix textual message stripping new line ([\#7239](https://github.com/matrix-org/matrix-react-sdk/pull/7239)). Fixes vector-im/element-web#15320. Contributed by @renancleyson-dev.
 * Fix issue with room list resizer getting clipped in firefox ([\#7303](https://github.com/matrix-org/matrix-react-sdk/pull/7303)). Fixes vector-im/element-web#20076.
 * Fix wrong indentation with nested ordered list unnesting list on edit ([\#7300](https://github.com/matrix-org/matrix-react-sdk/pull/7300)). Contributed by @renancleyson-dev.
 * Fix input field behaviour inside context menus ([\#7293](https://github.com/matrix-org/matrix-react-sdk/pull/7293)). Fixes vector-im/element-web#19881.
 * Corrected the alignment of the Edit button on LoginPage. ([\#7292](https://github.com/matrix-org/matrix-react-sdk/pull/7292)). Contributed by @ankur12-1610.
 * Allow sharing manual location without giving location permission ([\#7295](https://github.com/matrix-org/matrix-react-sdk/pull/7295)). Fixes vector-im/element-web#20065. Contributed by @tulir.
 * Make emoji picker search placeholder localizable ([\#7294](https://github.com/matrix-org/matrix-react-sdk/pull/7294)).
 * Fix jump to bottom on message send ([\#7280](https://github.com/matrix-org/matrix-react-sdk/pull/7280)). Fixes vector-im/element-web#19859. Contributed by @SimonBrandner.
 * Fix: Warning: Unsupported style property pointer-events. Did you mean pointerEvents? ([\#7291](https://github.com/matrix-org/matrix-react-sdk/pull/7291)).
 * Add edits and replies to the right panel timeline & prepare the timelineCard to share code with threads ([\#7262](https://github.com/matrix-org/matrix-react-sdk/pull/7262)). Fixes vector-im/element-web#20012 and vector-im/element-web#19928.
 * Fix labs exploding when lab group is empty ([\#7290](https://github.com/matrix-org/matrix-react-sdk/pull/7290)). Fixes vector-im/element-web#20051.
 * Update URL when room aliases are modified ([\#7289](https://github.com/matrix-org/matrix-react-sdk/pull/7289)). Fixes vector-im/element-web#1616 and vector-im/element-web#1925.
 * Render mini user menu for when space panel is disabled ([\#7258](https://github.com/matrix-org/matrix-react-sdk/pull/7258)). Fixes vector-im/element-web#19998.
 * When accepting DM from People metaspace don't switch to Home ([\#7272](https://github.com/matrix-org/matrix-react-sdk/pull/7272)). Fixes vector-im/element-web#19995.
 * Fix CallPreview `room is null` ([\#7265](https://github.com/matrix-org/matrix-react-sdk/pull/7265)). Fixes vector-im/element-web#19990, vector-im/element-web#19972, matrix-org/element-web-rageshakes#7004 matrix-org/element-web-rageshakes#6991 and matrix-org/element-web-rageshakes#6964.
 * Fixes more instances of double-translation ([\#7259](https://github.com/matrix-org/matrix-react-sdk/pull/7259)). Fixes vector-im/element-web#20010.
 * Fix video calls ([\#7256](https://github.com/matrix-org/matrix-react-sdk/pull/7256)). Fixes vector-im/element-web#20008. Contributed by @SimonBrandner.
 * Fix broken i18n in Forgot & Change password ([\#7252](https://github.com/matrix-org/matrix-react-sdk/pull/7252)). Fixes vector-im/element-web#19989.
 * Fix setBotPower to not use `.content` ([\#7179](https://github.com/matrix-org/matrix-react-sdk/pull/7179)). Fixes vector-im/element-web#19845.
 * Break long words in pinned messages to prevent overflow ([\#7251](https://github.com/matrix-org/matrix-react-sdk/pull/7251)). Fixes vector-im/element-web#19985.
 * Disallow sending empty feedbacks ([\#7240](https://github.com/matrix-org/matrix-react-sdk/pull/7240)).
 * Fix wrongly sized default sub-space icons in space panel ([\#7243](https://github.com/matrix-org/matrix-react-sdk/pull/7243)). Fixes vector-im/element-web#19973.
 * Hide clear cache and reload button if crash is before client init ([\#7242](https://github.com/matrix-org/matrix-react-sdk/pull/7242)). Fixes matrix-org/element-web-rageshakes#6996.
 * Fix automatic space switching wrongly going via Home for room aliases ([\#7247](https://github.com/matrix-org/matrix-react-sdk/pull/7247)). Fixes vector-im/element-web#19974.
 * Fix links being parsed as markdown links improperly ([\#7200](https://github.com/matrix-org/matrix-react-sdk/pull/7200)). Contributed by @Palid.

Changes in [3.37.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.37.0-rc.1) (2021-12-14)
===============================================================================================================

## ✨ Features
 * Always unhide widgets on layout change (pinning a widget) ([\#7299](https://github.com/matrix-org/matrix-react-sdk/pull/7299)).
 * Update status message in the member list and user info panel when it is changed ([\#7338](https://github.com/matrix-org/matrix-react-sdk/pull/7338)). Fixes vector-im/element-web#20127. Contributed by @SimonBrandner.
 * Iterate space panel toggle collapse interaction ([\#7335](https://github.com/matrix-org/matrix-react-sdk/pull/7335)). Fixes vector-im/element-web#20079.
 * Spotlight search labs ([\#7116](https://github.com/matrix-org/matrix-react-sdk/pull/7116)). Fixes vector-im/element-web#19530.
 * Put room settings form elements in fieldsets ([\#7311](https://github.com/matrix-org/matrix-react-sdk/pull/7311)).
 * Add descriptions to ambiguous links for screen readers ([\#7310](https://github.com/matrix-org/matrix-react-sdk/pull/7310)).
 * Make tooltips keyboard accessible ([\#7281](https://github.com/matrix-org/matrix-react-sdk/pull/7281)).
 * Iterate room context menus for DMs ([\#7308](https://github.com/matrix-org/matrix-react-sdk/pull/7308)). Fixes vector-im/element-web#19527.
 * Update space panel expand mechanism ([\#7230](https://github.com/matrix-org/matrix-react-sdk/pull/7230)). Fixes vector-im/element-web#17993.
 * Add CSS variable to make the UI gaps consistent and fix the resize handle position ([\#7234](https://github.com/matrix-org/matrix-react-sdk/pull/7234)). Fixes vector-im/element-web#19904 and vector-im/element-web#19938.
 * Custom location sharing. ([\#7185](https://github.com/matrix-org/matrix-react-sdk/pull/7185)).
 * Simple static location sharing ([\#7135](https://github.com/matrix-org/matrix-react-sdk/pull/7135)).
 * Finish sending pending messages before leaving room ([\#7276](https://github.com/matrix-org/matrix-react-sdk/pull/7276)). Fixes vector-im/element-web#4702.
 * Dropdown follow wai-aria practices for expanding on arrow keys ([\#7277](https://github.com/matrix-org/matrix-react-sdk/pull/7277)). Fixes vector-im/element-web#3687.
 * Expose PL control for pinned events when lab enabled ([\#7278](https://github.com/matrix-org/matrix-react-sdk/pull/7278)). Fixes vector-im/element-web#5396.
 * In People & Favourites metaspaces always show all rooms ([\#7288](https://github.com/matrix-org/matrix-react-sdk/pull/7288)). Fixes vector-im/element-web#20048.
 * Don't allow calls when the connection the server has been lost ([\#7287](https://github.com/matrix-org/matrix-react-sdk/pull/7287)). Fixes vector-im/element-web#2096. Contributed by @SimonBrandner.
 * Analytics opt in for posthog ([\#6936](https://github.com/matrix-org/matrix-react-sdk/pull/6936)).
 * Don't inhibit current room notifications if user has Modal open ([\#7274](https://github.com/matrix-org/matrix-react-sdk/pull/7274)). Fixes vector-im/element-web#1118.
 * Remove the `Screen sharing is here!` dialog ([\#7266](https://github.com/matrix-org/matrix-react-sdk/pull/7266)). Fixes vector-im/element-web#18824. Contributed by @SimonBrandner.
 * Make composer buttons react to settings without having to change room ([\#7264](https://github.com/matrix-org/matrix-react-sdk/pull/7264)). Fixes vector-im/element-web#20011.
 * Decorate view keyboard shortcuts link as a link ([\#7260](https://github.com/matrix-org/matrix-react-sdk/pull/7260)). Fixes vector-im/element-web#20007.
 * Improve ease of focusing on Room list Search ([\#7255](https://github.com/matrix-org/matrix-react-sdk/pull/7255)). Fixes matrix-org/element-web-rageshakes#7017.
 * Autofocus device panel entry when renaming device ([\#7249](https://github.com/matrix-org/matrix-react-sdk/pull/7249)). Fixes vector-im/element-web#19984.
 * Update Space Panel scrollable region ([\#7245](https://github.com/matrix-org/matrix-react-sdk/pull/7245)). Fixes vector-im/element-web#19978.
 * Replace breadcrumbs with recently viewed menu ([\#7073](https://github.com/matrix-org/matrix-react-sdk/pull/7073)). Fixes vector-im/element-web#19528.
 * Tweaks to informational architecture 1.1 ([\#7052](https://github.com/matrix-org/matrix-react-sdk/pull/7052)). Fixes vector-im/element-web#19526, vector-im/element-web#19379, vector-im/element-web#17792, vector-im/element-web#16450, vector-im/element-web#19881, vector-im/element-web#19892, vector-im/element-web#19300, vector-im/element-web#19324, vector-im/element-web#17307, vector-im/element-web#17468 vector-im/element-web#19932 and vector-im/element-web#19956.

## 🐛 Bug Fixes
 * Fix accessibility regressions ([\#7336](https://github.com/matrix-org/matrix-react-sdk/pull/7336)).
 * Debounce User Info start dm "Message" button ([\#7357](https://github.com/matrix-org/matrix-react-sdk/pull/7357)). Fixes vector-im/element-web#7763.
 * Fix thread filter being cut-off on narrow screens ([\#7354](https://github.com/matrix-org/matrix-react-sdk/pull/7354)). Fixes vector-im/element-web#20146.
 * Fix upgraded rooms wrongly showing up in spotlight ([\#7341](https://github.com/matrix-org/matrix-react-sdk/pull/7341)). Fixes vector-im/element-web#20141.
 * Show votes in replied-to polls (pass in getRelationsForEvent) ([\#7345](https://github.com/matrix-org/matrix-react-sdk/pull/7345)). Fixes vector-im/element-web#20153.
 * Keep all previously approved widget capabilities when requesting new capabilities ([\#7340](https://github.com/matrix-org/matrix-react-sdk/pull/7340)). Contributed by @dhenneke.
 * Only show poll previews when the polls feature is enabled ([\#7331](https://github.com/matrix-org/matrix-react-sdk/pull/7331)).
 * don't collapse spaces in inline code blocks (https ([\#7328](https://github.com/matrix-org/matrix-react-sdk/pull/7328)). Fixes vector-im/element-web#6051. Contributed by @HarHarLinks.
 * No-op action:join if the user is already invited for scalar ([\#7334](https://github.com/matrix-org/matrix-react-sdk/pull/7334)). Fixes vector-im/element-web#20134.
 * Don't show polls in timeline if polls are disabled ([\#7332](https://github.com/matrix-org/matrix-react-sdk/pull/7332)). Fixes vector-im/element-web#20130.
 * Don't send a poll response event if you are voting for your current c… ([\#7326](https://github.com/matrix-org/matrix-react-sdk/pull/7326)). Fixes vector-im/element-web#20129.
 * Don't show options button when the user can't modify widgets ([\#7324](https://github.com/matrix-org/matrix-react-sdk/pull/7324)). Fixes vector-im/element-web#20114. Contributed by @SimonBrandner.
 * Add vertical spacing between buttons when they go over multiple lines ([\#7314](https://github.com/matrix-org/matrix-react-sdk/pull/7314)). Contributed by @twigleingrid.
 * Improve accessibility of opening space create menu ([\#7316](https://github.com/matrix-org/matrix-react-sdk/pull/7316)).
 * Correct tab order in room preview dialog ([\#7302](https://github.com/matrix-org/matrix-react-sdk/pull/7302)).
 * Fix favourites and people metaspaces not rendering their content ([\#7315](https://github.com/matrix-org/matrix-react-sdk/pull/7315)). Fixes vector-im/element-web#20070.
 * Make clear button images visible in high contrast theme ([\#7306](https://github.com/matrix-org/matrix-react-sdk/pull/7306)). Fixes vector-im/element-web#19931.
 * Fix html exporting and improve output size ([\#7312](https://github.com/matrix-org/matrix-react-sdk/pull/7312)). Fixes vector-im/element-web#19436 vector-im/element-web#20107 and vector-im/element-web#19441.
 * Fix textual message stripping new line ([\#7239](https://github.com/matrix-org/matrix-react-sdk/pull/7239)). Fixes vector-im/element-web#15320. Contributed by @renancleyson-dev.
 * Fix issue with room list resizer getting clipped in firefox ([\#7303](https://github.com/matrix-org/matrix-react-sdk/pull/7303)). Fixes vector-im/element-web#20076.
 * Fix wrong indentation with nested ordered list unnesting list on edit ([\#7300](https://github.com/matrix-org/matrix-react-sdk/pull/7300)). Contributed by @renancleyson-dev.
 * Fix input field behaviour inside context menus ([\#7293](https://github.com/matrix-org/matrix-react-sdk/pull/7293)). Fixes vector-im/element-web#19881.
 * Corrected the alignment of the Edit button on LoginPage. ([\#7292](https://github.com/matrix-org/matrix-react-sdk/pull/7292)). Contributed by @ankur12-1610.
 * Allow sharing manual location without giving location permission ([\#7295](https://github.com/matrix-org/matrix-react-sdk/pull/7295)). Fixes vector-im/element-web#20065. Contributed by @tulir.
 * Make emoji picker search placeholder localizable ([\#7294](https://github.com/matrix-org/matrix-react-sdk/pull/7294)).
 * Fix jump to bottom on message send ([\#7280](https://github.com/matrix-org/matrix-react-sdk/pull/7280)). Fixes vector-im/element-web#19859. Contributed by @SimonBrandner.
 * Fix: Warning: Unsupported style property pointer-events. Did you mean pointerEvents? ([\#7291](https://github.com/matrix-org/matrix-react-sdk/pull/7291)).
 * Add edits and replies to the right panel timeline & prepare the timelineCard to share code with threads ([\#7262](https://github.com/matrix-org/matrix-react-sdk/pull/7262)). Fixes vector-im/element-web#20012 and vector-im/element-web#19928.
 * Fix labs exploding when lab group is empty ([\#7290](https://github.com/matrix-org/matrix-react-sdk/pull/7290)). Fixes vector-im/element-web#20051.
 * Update URL when room aliases are modified ([\#7289](https://github.com/matrix-org/matrix-react-sdk/pull/7289)). Fixes vector-im/element-web#1616 and vector-im/element-web#1925.
 * Render mini user menu for when space panel is disabled ([\#7258](https://github.com/matrix-org/matrix-react-sdk/pull/7258)). Fixes vector-im/element-web#19998.
 * When accepting DM from People metaspace don't switch to Home ([\#7272](https://github.com/matrix-org/matrix-react-sdk/pull/7272)). Fixes vector-im/element-web#19995.
 * Fix CallPreview `room is null` ([\#7265](https://github.com/matrix-org/matrix-react-sdk/pull/7265)). Fixes vector-im/element-web#19990, vector-im/element-web#19972, matrix-org/element-web-rageshakes#7004 matrix-org/element-web-rageshakes#6991 and matrix-org/element-web-rageshakes#6964.
 * Fixes more instances of double-translation ([\#7259](https://github.com/matrix-org/matrix-react-sdk/pull/7259)). Fixes vector-im/element-web#20010.
 * Fix video calls ([\#7256](https://github.com/matrix-org/matrix-react-sdk/pull/7256)). Fixes vector-im/element-web#20008. Contributed by @SimonBrandner.
 * Fix broken i18n in Forgot & Change password ([\#7252](https://github.com/matrix-org/matrix-react-sdk/pull/7252)). Fixes vector-im/element-web#19989.
 * Fix setBotPower to not use `.content` ([\#7179](https://github.com/matrix-org/matrix-react-sdk/pull/7179)). Fixes vector-im/element-web#19845.
 * Break long words in pinned messages to prevent overflow ([\#7251](https://github.com/matrix-org/matrix-react-sdk/pull/7251)). Fixes vector-im/element-web#19985.
 * Disallow sending empty feedbacks ([\#7240](https://github.com/matrix-org/matrix-react-sdk/pull/7240)).
 * Fix wrongly sized default sub-space icons in space panel ([\#7243](https://github.com/matrix-org/matrix-react-sdk/pull/7243)). Fixes vector-im/element-web#19973.
 * Hide clear cache and reload button if crash is before client init ([\#7242](https://github.com/matrix-org/matrix-react-sdk/pull/7242)). Fixes matrix-org/element-web-rageshakes#6996.
 * Fix automatic space switching wrongly going via Home for room aliases ([\#7247](https://github.com/matrix-org/matrix-react-sdk/pull/7247)). Fixes vector-im/element-web#19974.
 * Fix links being parsed as markdown links improperly ([\#7200](https://github.com/matrix-org/matrix-react-sdk/pull/7200)). Contributed by @Palid.

Changes in [3.36.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.36.1) (2021-12-13)
=====================================================================================================

 * Security release with updated version of Olm to fix https://matrix.org/blog/2021/12/03/pre-disclosure-upcoming-security-release-of-libolm-and-matrix-js-sdk
 * Fix a crash on logout

Changes in [3.36.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.36.0) (2021-12-06)
=====================================================================================================

## ✨ Features
 * Add unread indicator to the timelineCard header icon ([\#7156](https://github.com/matrix-org/matrix-react-sdk/pull/7156)). Fixes vector-im/element-web#19635.
 * Only show core navigation elements (call/chat/notification/info) when a widget is maximised ([\#7114](https://github.com/matrix-org/matrix-react-sdk/pull/7114)). Fixes vector-im/element-web#19632.
 * Improve ThreadPanel ctx menu accessibility ([\#7217](https://github.com/matrix-org/matrix-react-sdk/pull/7217)). Fixes vector-im/element-web#19885.
 * Allow filtering room list during treeview navigation ([\#7219](https://github.com/matrix-org/matrix-react-sdk/pull/7219)). Fixes vector-im/element-web#14702.
 * Add right panel chat timeline ([\#7112](https://github.com/matrix-org/matrix-react-sdk/pull/7112)). Fixes vector-im/element-web#19633.
 * Hide server options hint when disable_custom_urls is true ([\#7215](https://github.com/matrix-org/matrix-react-sdk/pull/7215)). Fixes vector-im/element-web#19919.
 * Improve right panel resize handle usability ([\#7204](https://github.com/matrix-org/matrix-react-sdk/pull/7204)). Fixes vector-im/element-web#15145. Contributed by @weeman1337.
 * Spaces quick settings ([\#7196](https://github.com/matrix-org/matrix-react-sdk/pull/7196)).
 * Maximised widgets always force a call to be shown in PIP mode ([\#7163](https://github.com/matrix-org/matrix-react-sdk/pull/7163)). Fixes vector-im/element-web#19637.
 * Group Labs flags ([\#7190](https://github.com/matrix-org/matrix-react-sdk/pull/7190)).
 * Show room context details in forward dialog ([\#7162](https://github.com/matrix-org/matrix-react-sdk/pull/7162)). Fixes vector-im/element-web#19793.
 * Remove chevrons from RoomSummaryCard_Button ([\#7137](https://github.com/matrix-org/matrix-react-sdk/pull/7137)). Fixes vector-im/element-web#19644.
 * Disable op/deop commands where user has no permissions ([\#7161](https://github.com/matrix-org/matrix-react-sdk/pull/7161)). Fixes vector-im/element-web#15390.
 * Add option to change the size of images/videos in the timeline ([\#7017](https://github.com/matrix-org/matrix-react-sdk/pull/7017)). Fixes vector-im/element-meta#49 vector-im/element-web#1520 and vector-im/element-web#19498.

## 🐛 Bug Fixes
 * Fix left panel glow in Safari ([\#7236](https://github.com/matrix-org/matrix-react-sdk/pull/7236)). Fixes vector-im/element-web#19863.
 * Fix newline on edit messages with quotes ([\#7227](https://github.com/matrix-org/matrix-react-sdk/pull/7227)). Fixes vector-im/element-web#12535. Contributed by @renancleyson-dev.
 * Guard against null refs in findSiblingElement ([\#7228](https://github.com/matrix-org/matrix-react-sdk/pull/7228)).
 * Tweak bottom of space panel buttons in expanded state ([\#7213](https://github.com/matrix-org/matrix-react-sdk/pull/7213)). Fixes vector-im/element-web#19921.
 * Fix multiline paragraph rendering as single line ([\#7210](https://github.com/matrix-org/matrix-react-sdk/pull/7210)). Fixes vector-im/element-web#8786. Contributed by @renancleyson-dev.
 * Improve room list message previews ([\#7224](https://github.com/matrix-org/matrix-react-sdk/pull/7224)). Fixes vector-im/element-web#17101 and vector-im/element-web#16169.
 * Fix EmojiPicker lazy loaded rendering bug ([\#7225](https://github.com/matrix-org/matrix-react-sdk/pull/7225)). Fixes vector-im/element-web#15341.
 * Prevent default avatar in UserInfo having pointer cursor ([\#7218](https://github.com/matrix-org/matrix-react-sdk/pull/7218)). Fixes vector-im/element-web#13872.
 * Prevent duplicate avatars in Event List Summaries ([\#7222](https://github.com/matrix-org/matrix-react-sdk/pull/7222)). Fixes vector-im/element-web#17706.
 * Respect the home page as a context for the Home space ([\#7216](https://github.com/matrix-org/matrix-react-sdk/pull/7216)). Fixes vector-im/element-web#19554.
 * Fix RoomUpgradeWarningBar exploding ([\#7214](https://github.com/matrix-org/matrix-react-sdk/pull/7214)). Fixes vector-im/element-web#19920.
 * Polish threads misalignments and UI diversion ([\#7209](https://github.com/matrix-org/matrix-react-sdk/pull/7209)). Fixes vector-im/element-web#19772, vector-im/element-web#19710 vector-im/element-web#19629 and vector-im/element-web#19711.
 * Fix Manage Restricted Join Rule Dialog for Spaces ([\#7208](https://github.com/matrix-org/matrix-react-sdk/pull/7208)). Fixes vector-im/element-web#19610.
 * Fix wrongly showing unpin in pinned messages tile with no perms ([\#7197](https://github.com/matrix-org/matrix-react-sdk/pull/7197)). Fixes vector-im/element-web#19886.
 * Make image size constrained by height when using the ImageSize.Large option ([\#7171](https://github.com/matrix-org/matrix-react-sdk/pull/7171)). Fixes vector-im/element-web#19788.
 * Prevent programmatic scrolling within truncated room sublists ([\#7191](https://github.com/matrix-org/matrix-react-sdk/pull/7191)).
 * Remove leading slash from /addwidget Jitsi confs ([\#7175](https://github.com/matrix-org/matrix-react-sdk/pull/7175)). Fixes vector-im/element-web#19839. Contributed by @AndrewFerr.
 * Fix automatic composer focus, regressed by threads work ([\#7167](https://github.com/matrix-org/matrix-react-sdk/pull/7167)). Fixes vector-im/element-web#19479.
 * Show space members when not invited even if summary didn't fail ([\#7153](https://github.com/matrix-org/matrix-react-sdk/pull/7153)). Fixes vector-im/element-web#19781.
 * Prevent custom power levels from breaking roles & permissions tab ([\#7160](https://github.com/matrix-org/matrix-react-sdk/pull/7160)). Fixes vector-im/element-web#19812.
 * Room Context Menu should respond to tag changes ([\#7154](https://github.com/matrix-org/matrix-react-sdk/pull/7154)). Fixes vector-im/element-web#19776.
 * Fix an edge case when trying to join an upgraded room ([\#7159](https://github.com/matrix-org/matrix-react-sdk/pull/7159)).

Changes in [3.36.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.36.0-rc.1) (2021-11-30)
===============================================================================================================

## ✨ Features
 * Add unread indicator to the timelineCard header icon ([\#7156](https://github.com/matrix-org/matrix-react-sdk/pull/7156)). Fixes vector-im/element-web#19635.
 * Only show core navigation elements (call/chat/notification/info) when a widget is maximised ([\#7114](https://github.com/matrix-org/matrix-react-sdk/pull/7114)). Fixes vector-im/element-web#19632.
 * Improve ThreadPanel ctx menu accessibility ([\#7217](https://github.com/matrix-org/matrix-react-sdk/pull/7217)). Fixes vector-im/element-web#19885.
 * Allow filtering room list during treeview navigation ([\#7219](https://github.com/matrix-org/matrix-react-sdk/pull/7219)). Fixes vector-im/element-web#14702.
 * Add right panel chat timeline ([\#7112](https://github.com/matrix-org/matrix-react-sdk/pull/7112)). Fixes vector-im/element-web#19633.
 * Hide server options hint when disable_custom_urls is true ([\#7215](https://github.com/matrix-org/matrix-react-sdk/pull/7215)). Fixes vector-im/element-web#19919.
 * Improve right panel resize handle usability ([\#7204](https://github.com/matrix-org/matrix-react-sdk/pull/7204)). Fixes vector-im/element-web#15145. Contributed by @weeman1337.
 * Spaces quick settings ([\#7196](https://github.com/matrix-org/matrix-react-sdk/pull/7196)).
 * Maximised widgets always force a call to be shown in PIP mode ([\#7163](https://github.com/matrix-org/matrix-react-sdk/pull/7163)). Fixes vector-im/element-web#19637.
 * Group Labs flags ([\#7190](https://github.com/matrix-org/matrix-react-sdk/pull/7190)).
 * Show room context details in forward dialog ([\#7162](https://github.com/matrix-org/matrix-react-sdk/pull/7162)). Fixes vector-im/element-web#19793.
 * Remove chevrons from RoomSummaryCard_Button ([\#7137](https://github.com/matrix-org/matrix-react-sdk/pull/7137)). Fixes vector-im/element-web#19644.
 * Disable op/deop commands where user has no permissions ([\#7161](https://github.com/matrix-org/matrix-react-sdk/pull/7161)). Fixes vector-im/element-web#15390.
 * Add option to change the size of images/videos in the timeline ([\#7017](https://github.com/matrix-org/matrix-react-sdk/pull/7017)). Fixes vector-im/element-meta#49 vector-im/element-web#1520 and vector-im/element-web#19498.

## 🐛 Bug Fixes
 * Fix left panel glow in Safari ([\#7236](https://github.com/matrix-org/matrix-react-sdk/pull/7236)). Fixes vector-im/element-web#19863.
 * Fix newline on edit messages with quotes ([\#7227](https://github.com/matrix-org/matrix-react-sdk/pull/7227)). Fixes vector-im/element-web#12535. Contributed by @renancleyson-dev.
 * Guard against null refs in findSiblingElement ([\#7228](https://github.com/matrix-org/matrix-react-sdk/pull/7228)).
 * Tweak bottom of space panel buttons in expanded state ([\#7213](https://github.com/matrix-org/matrix-react-sdk/pull/7213)). Fixes vector-im/element-web#19921.
 * Fix multiline paragraph rendering as single line ([\#7210](https://github.com/matrix-org/matrix-react-sdk/pull/7210)). Fixes vector-im/element-web#8786. Contributed by @renancleyson-dev.
 * Improve room list message previews ([\#7224](https://github.com/matrix-org/matrix-react-sdk/pull/7224)). Fixes vector-im/element-web#17101 and vector-im/element-web#16169.
 * Fix EmojiPicker lazy loaded rendering bug ([\#7225](https://github.com/matrix-org/matrix-react-sdk/pull/7225)). Fixes vector-im/element-web#15341.
 * Prevent default avatar in UserInfo having pointer cursor ([\#7218](https://github.com/matrix-org/matrix-react-sdk/pull/7218)). Fixes vector-im/element-web#13872.
 * Prevent duplicate avatars in Event List Summaries ([\#7222](https://github.com/matrix-org/matrix-react-sdk/pull/7222)). Fixes vector-im/element-web#17706.
 * Respect the home page as a context for the Home space ([\#7216](https://github.com/matrix-org/matrix-react-sdk/pull/7216)). Fixes vector-im/element-web#19554.
 * Fix RoomUpgradeWarningBar exploding ([\#7214](https://github.com/matrix-org/matrix-react-sdk/pull/7214)). Fixes vector-im/element-web#19920.
 * Polish threads misalignments and UI diversion ([\#7209](https://github.com/matrix-org/matrix-react-sdk/pull/7209)). Fixes vector-im/element-web#19772, vector-im/element-web#19710 vector-im/element-web#19629 and vector-im/element-web#19711.
 * Fix Manage Restricted Join Rule Dialog for Spaces ([\#7208](https://github.com/matrix-org/matrix-react-sdk/pull/7208)). Fixes vector-im/element-web#19610.
 * Fix wrongly showing unpin in pinned messages tile with no perms ([\#7197](https://github.com/matrix-org/matrix-react-sdk/pull/7197)). Fixes vector-im/element-web#19886.
 * Make image size constrained by height when using the ImageSize.Large option ([\#7171](https://github.com/matrix-org/matrix-react-sdk/pull/7171)). Fixes vector-im/element-web#19788.
 * Prevent programmatic scrolling within truncated room sublists ([\#7191](https://github.com/matrix-org/matrix-react-sdk/pull/7191)).
 * Remove leading slash from /addwidget Jitsi confs ([\#7175](https://github.com/matrix-org/matrix-react-sdk/pull/7175)). Fixes vector-im/element-web#19839. Contributed by @AndrewFerr.
 * Fix automatic composer focus, regressed by threads work ([\#7167](https://github.com/matrix-org/matrix-react-sdk/pull/7167)). Fixes vector-im/element-web#19479.
 * Show space members when not invited even if summary didn't fail ([\#7153](https://github.com/matrix-org/matrix-react-sdk/pull/7153)). Fixes vector-im/element-web#19781.
 * Prevent custom power levels from breaking roles & permissions tab ([\#7160](https://github.com/matrix-org/matrix-react-sdk/pull/7160)). Fixes vector-im/element-web#19812.
 * Room Context Menu should respond to tag changes ([\#7154](https://github.com/matrix-org/matrix-react-sdk/pull/7154)). Fixes vector-im/element-web#19776.
 * Fix an edge case when trying to join an upgraded room ([\#7159](https://github.com/matrix-org/matrix-react-sdk/pull/7159)).

Changes in [3.35.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.35.1) (2021-11-22)
=====================================================================================================

 * Fixes the v3.35.0 release which failed to build correctly due to
   a missing change updating types following a types update in js-sdk.

Changes in [3.35.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.35.0) (2021-11-22)
=====================================================================================================

## ✨ Features
 * Make double-clicking the PiP take you to the call room ([\#7142](https://github.com/matrix-org/matrix-react-sdk/pull/7142)). Fixes vector-im/element-web#18421 vector-im/element-web#15920 and vector-im/element-web#18421. Contributed by @SimonBrandner.
 * Add maximise widget functionality ([\#7098](https://github.com/matrix-org/matrix-react-sdk/pull/7098)). Fixes vector-im/element-web#19619, vector-im/element-web#19621 vector-im/element-web#19760 and vector-im/element-web#19619.
 * Add rainfall effect ([\#7086](https://github.com/matrix-org/matrix-react-sdk/pull/7086)). Contributed by @justjosias.
 * Add root folder to zip file created by export chat feature ([\#7097](https://github.com/matrix-org/matrix-react-sdk/pull/7097)). Fixes vector-im/element-web#19653 and vector-im/element-web#19653. Contributed by @aaronraimist.
 * Improve VoIP UI/UX ([\#7048](https://github.com/matrix-org/matrix-react-sdk/pull/7048)). Fixes vector-im/element-web#19513 and vector-im/element-web#19513. Contributed by @SimonBrandner.
 * Unified room context menus ([\#7072](https://github.com/matrix-org/matrix-react-sdk/pull/7072)). Fixes vector-im/element-web#19527 and vector-im/element-web#19527.
 * In forgot password screen, show validation errors inline in the form, instead of in modals ([\#7113](https://github.com/matrix-org/matrix-react-sdk/pull/7113)). Contributed by @psrpinto.
 * Implement more meta-spaces ([\#7077](https://github.com/matrix-org/matrix-react-sdk/pull/7077)). Fixes vector-im/element-web#18634 vector-im/element-web#17295 and vector-im/element-web#18634.
 * Expose power level control for m.space.child ([\#7120](https://github.com/matrix-org/matrix-react-sdk/pull/7120)).
 * Forget member-list query when switching out of a room ([\#7093](https://github.com/matrix-org/matrix-react-sdk/pull/7093)). Fixes vector-im/element-web#19432 and vector-im/element-web#19432. Contributed by @SimonBrandner.
 * Do pre-submit availability check on username during registration ([\#6978](https://github.com/matrix-org/matrix-react-sdk/pull/6978)). Fixes vector-im/element-web#9545 and vector-im/element-web#9545.

## 🐛 Bug Fixes
 * Adjust recovery key button sizes depending on text width ([\#7134](https://github.com/matrix-org/matrix-react-sdk/pull/7134)). Fixes vector-im/element-web#19511 and vector-im/element-web#19511. Contributed by @weeman1337.
 * Fix bulk invite button getting a negative count ([\#7122](https://github.com/matrix-org/matrix-react-sdk/pull/7122)). Fixes vector-im/element-web#19466 and vector-im/element-web#19466. Contributed by @renancleyson-dev.
 * Fix maximised / pinned widget state being loaded correctly ([\#7146](https://github.com/matrix-org/matrix-react-sdk/pull/7146)). Fixes vector-im/element-web#19768 and vector-im/element-web#19768.
 * Don't reload the page when user hits enter when entering ban reason ([\#7145](https://github.com/matrix-org/matrix-react-sdk/pull/7145)). Fixes vector-im/element-web#19763 and vector-im/element-web#19763.
 * Fix timeline text when sharing room layout ([\#7140](https://github.com/matrix-org/matrix-react-sdk/pull/7140)). Fixes vector-im/element-web#19622 and vector-im/element-web#19622.
 * Fix look of emoji verification ([\#7133](https://github.com/matrix-org/matrix-react-sdk/pull/7133)). Fixes vector-im/element-web#19740 and vector-im/element-web#19740. Contributed by @SimonBrandner.
 * Fixes element not remembering widget hidden state per room ([\#7136](https://github.com/matrix-org/matrix-react-sdk/pull/7136)). Fixes vector-im/element-web#16672, matrix-org/element-web-rageshakes#4407, vector-im/element-web#15718 vector-im/element-web#15768 and vector-im/element-web#16672.
 * Don't keep spinning if joining space child failed ([\#7129](https://github.com/matrix-org/matrix-react-sdk/pull/7129)). Fixes matrix-org/element-web-rageshakes#6813 and matrix-org/element-web-rageshakes#6813.
 * Guard around SpaceStore onAccountData handler prevEvent ([\#7123](https://github.com/matrix-org/matrix-react-sdk/pull/7123)). Fixes vector-im/element-web#19705 and vector-im/element-web#19705.
 * Fix missing spaces in threads copy ([\#7119](https://github.com/matrix-org/matrix-react-sdk/pull/7119)). Fixes vector-im/element-web#19702 and vector-im/element-web#19702.
 * Fix hover tile border ([\#7117](https://github.com/matrix-org/matrix-react-sdk/pull/7117)). Fixes vector-im/element-web#19698 and vector-im/element-web#19698. Contributed by @SimonBrandner.
 * Fix quote button ([\#7096](https://github.com/matrix-org/matrix-react-sdk/pull/7096)). Fixes vector-im/element-web#19659 and vector-im/element-web#19659. Contributed by @SimonBrandner.
 * Fix space panel layout edge cases ([\#7101](https://github.com/matrix-org/matrix-react-sdk/pull/7101)). Fixes vector-im/element-web#19668 and vector-im/element-web#19668.
 * Update powerlevel/role when the user changes in the user info panel ([\#7099](https://github.com/matrix-org/matrix-react-sdk/pull/7099)). Fixes vector-im/element-web#19666 and vector-im/element-web#19666. Contributed by @SimonBrandner.
 * Fix avatar disappearing when setting a room topic ([\#7092](https://github.com/matrix-org/matrix-react-sdk/pull/7092)). Fixes vector-im/element-web#19226 and vector-im/element-web#19226. Contributed by @SimonBrandner.
 * Fix possible infinite loop on widget start ([\#7071](https://github.com/matrix-org/matrix-react-sdk/pull/7071)). Fixes vector-im/element-web#15494 and vector-im/element-web#15494.
 * Use device IDs for nameless devices in device list ([\#7081](https://github.com/matrix-org/matrix-react-sdk/pull/7081)). Fixes vector-im/element-web#19608 and vector-im/element-web#19608.
 * Don't re-sort rooms on no-op RoomUpdateCause.PossibleTagChange ([\#7053](https://github.com/matrix-org/matrix-react-sdk/pull/7053)). Contributed by @bradtgmurray.

Changes in [3.35.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.35.0-rc.1) (2021-11-17)
===============================================================================================================

## ✨ Features
 * Make double-clicking the PiP take you to the call room ([\#7142](https://github.com/matrix-org/matrix-react-sdk/pull/7142)). Fixes vector-im/element-web#18421 vector-im/element-web#15920 and vector-im/element-web#18421. Contributed by @SimonBrandner.
 * Add maximise widget functionality ([\#7098](https://github.com/matrix-org/matrix-react-sdk/pull/7098)). Fixes vector-im/element-web#19619, vector-im/element-web#19621 vector-im/element-web#19760 and vector-im/element-web#19619.
 * Add rainfall effect ([\#7086](https://github.com/matrix-org/matrix-react-sdk/pull/7086)). Contributed by @justjosias.
 * Add root folder to zip file created by export chat feature ([\#7097](https://github.com/matrix-org/matrix-react-sdk/pull/7097)). Fixes vector-im/element-web#19653 and vector-im/element-web#19653. Contributed by @aaronraimist.
 * Improve VoIP UI/UX ([\#7048](https://github.com/matrix-org/matrix-react-sdk/pull/7048)). Fixes vector-im/element-web#19513 and vector-im/element-web#19513. Contributed by @SimonBrandner.
 * Unified room context menus ([\#7072](https://github.com/matrix-org/matrix-react-sdk/pull/7072)). Fixes vector-im/element-web#19527 and vector-im/element-web#19527.
 * In forgot password screen, show validation errors inline in the form, instead of in modals ([\#7113](https://github.com/matrix-org/matrix-react-sdk/pull/7113)). Contributed by @psrpinto.
 * Implement more meta-spaces ([\#7077](https://github.com/matrix-org/matrix-react-sdk/pull/7077)). Fixes vector-im/element-web#18634 vector-im/element-web#17295 and vector-im/element-web#18634.
 * Expose power level control for m.space.child ([\#7120](https://github.com/matrix-org/matrix-react-sdk/pull/7120)).
 * Forget member-list query when switching out of a room ([\#7093](https://github.com/matrix-org/matrix-react-sdk/pull/7093)). Fixes vector-im/element-web#19432 and vector-im/element-web#19432. Contributed by @SimonBrandner.
 * Do pre-submit availability check on username during registration ([\#6978](https://github.com/matrix-org/matrix-react-sdk/pull/6978)). Fixes vector-im/element-web#9545 and vector-im/element-web#9545.

## 🐛 Bug Fixes
 * Adjust recovery key button sizes depending on text width ([\#7134](https://github.com/matrix-org/matrix-react-sdk/pull/7134)). Fixes vector-im/element-web#19511 and vector-im/element-web#19511. Contributed by @weeman1337.
 * Fix bulk invite button getting a negative count ([\#7122](https://github.com/matrix-org/matrix-react-sdk/pull/7122)). Fixes vector-im/element-web#19466 and vector-im/element-web#19466. Contributed by @renancleyson-dev.
 * Fix maximised / pinned widget state being loaded correctly ([\#7146](https://github.com/matrix-org/matrix-react-sdk/pull/7146)). Fixes vector-im/element-web#19768 and vector-im/element-web#19768.
 * Don't reload the page when user hits enter when entering ban reason ([\#7145](https://github.com/matrix-org/matrix-react-sdk/pull/7145)). Fixes vector-im/element-web#19763 and vector-im/element-web#19763.
 * Fix timeline text when sharing room layout ([\#7140](https://github.com/matrix-org/matrix-react-sdk/pull/7140)). Fixes vector-im/element-web#19622 and vector-im/element-web#19622.
 * Fix look of emoji verification ([\#7133](https://github.com/matrix-org/matrix-react-sdk/pull/7133)). Fixes vector-im/element-web#19740 and vector-im/element-web#19740. Contributed by @SimonBrandner.
 * Fixes element not remembering widget hidden state per room ([\#7136](https://github.com/matrix-org/matrix-react-sdk/pull/7136)). Fixes vector-im/element-web#16672, matrix-org/element-web-rageshakes#4407, vector-im/element-web#15718 vector-im/element-web#15768 and vector-im/element-web#16672.
 * Don't keep spinning if joining space child failed ([\#7129](https://github.com/matrix-org/matrix-react-sdk/pull/7129)). Fixes matrix-org/element-web-rageshakes#6813 and matrix-org/element-web-rageshakes#6813.
 * Guard around SpaceStore onAccountData handler prevEvent ([\#7123](https://github.com/matrix-org/matrix-react-sdk/pull/7123)). Fixes vector-im/element-web#19705 and vector-im/element-web#19705.
 * Fix missing spaces in threads copy ([\#7119](https://github.com/matrix-org/matrix-react-sdk/pull/7119)). Fixes vector-im/element-web#19702 and vector-im/element-web#19702.
 * Fix hover tile border ([\#7117](https://github.com/matrix-org/matrix-react-sdk/pull/7117)). Fixes vector-im/element-web#19698 and vector-im/element-web#19698. Contributed by @SimonBrandner.
 * Fix quote button ([\#7096](https://github.com/matrix-org/matrix-react-sdk/pull/7096)). Fixes vector-im/element-web#19659 and vector-im/element-web#19659. Contributed by @SimonBrandner.
 * Fix space panel layout edge cases ([\#7101](https://github.com/matrix-org/matrix-react-sdk/pull/7101)). Fixes vector-im/element-web#19668 and vector-im/element-web#19668.
 * Update powerlevel/role when the user changes in the user info panel ([\#7099](https://github.com/matrix-org/matrix-react-sdk/pull/7099)). Fixes vector-im/element-web#19666 and vector-im/element-web#19666. Contributed by @SimonBrandner.
 * Fix avatar disappearing when setting a room topic ([\#7092](https://github.com/matrix-org/matrix-react-sdk/pull/7092)). Fixes vector-im/element-web#19226 and vector-im/element-web#19226. Contributed by @SimonBrandner.
 * Fix possible infinite loop on widget start ([\#7071](https://github.com/matrix-org/matrix-react-sdk/pull/7071)). Fixes vector-im/element-web#15494 and vector-im/element-web#15494.
 * Use device IDs for nameless devices in device list ([\#7081](https://github.com/matrix-org/matrix-react-sdk/pull/7081)). Fixes vector-im/element-web#19608 and vector-im/element-web#19608.
 * Don't re-sort rooms on no-op RoomUpdateCause.PossibleTagChange ([\#7053](https://github.com/matrix-org/matrix-react-sdk/pull/7053)). Contributed by @bradtgmurray.

Changes in [3.34.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.34.0) (2021-11-08)
=====================================================================================================

## ✨ Features
 * Improve the look of tooltips ([\#7049](https://github.com/matrix-org/matrix-react-sdk/pull/7049)). Contributed by @SimonBrandner.
 * Improve the look of the spinner ([\#6083](https://github.com/matrix-org/matrix-react-sdk/pull/6083)). Contributed by @SimonBrandner.
 * Polls: Creation form & start event ([\#7001](https://github.com/matrix-org/matrix-react-sdk/pull/7001)).
 * Show a gray shield when encrypted by deleted session ([\#6119](https://github.com/matrix-org/matrix-react-sdk/pull/6119)). Contributed by @SimonBrandner.
 * Silence some widgets for better screen reader presentation. ([\#7057](https://github.com/matrix-org/matrix-react-sdk/pull/7057)). Contributed by @ndarilek.
 * Make message separator more accessible. ([\#7056](https://github.com/matrix-org/matrix-react-sdk/pull/7056)). Contributed by @ndarilek.
 * Give each room directory entry the `listitem` role to correspond with the containing `list`. ([\#7035](https://github.com/matrix-org/matrix-react-sdk/pull/7035)). Contributed by @ndarilek.
 * Implement RequiresClient capability for widgets ([\#7005](https://github.com/matrix-org/matrix-react-sdk/pull/7005)). Fixes vector-im/element-web#15744 and vector-im/element-web#15744.
 * Respect the system high contrast setting when using system theme ([\#7043](https://github.com/matrix-org/matrix-react-sdk/pull/7043)).
 * Remove redundant duplicate mimetype field which doesn't conform to spec ([\#7045](https://github.com/matrix-org/matrix-react-sdk/pull/7045)). Fixes vector-im/element-web#17145 and vector-im/element-web#17145.
 * Make join button on space hierarchy action in the background ([\#7041](https://github.com/matrix-org/matrix-react-sdk/pull/7041)). Fixes vector-im/element-web#17388 and vector-im/element-web#17388.
 * Add a high contrast theme (a variant of the light theme) ([\#7036](https://github.com/matrix-org/matrix-react-sdk/pull/7036)).
 * Improve timeline message for restricted join rule changes ([\#6984](https://github.com/matrix-org/matrix-react-sdk/pull/6984)). Fixes vector-im/element-web#18980 and vector-im/element-web#18980.
 * Improve the appearance of the font size slider ([\#7038](https://github.com/matrix-org/matrix-react-sdk/pull/7038)).
 * Improve RovingTabIndex & Room List filtering performance ([\#6987](https://github.com/matrix-org/matrix-react-sdk/pull/6987)). Fixes vector-im/element-web#17864 and vector-im/element-web#17864.
 * Remove outdated Spaces restricted rooms warning ([\#6927](https://github.com/matrix-org/matrix-react-sdk/pull/6927)).
 * Make /msg <message> param optional for more flexibility ([\#7028](https://github.com/matrix-org/matrix-react-sdk/pull/7028)). Fixes vector-im/element-web#19481 and vector-im/element-web#19481.
 * Add decoration to space hierarchy for tiles which have already been j… ([\#6969](https://github.com/matrix-org/matrix-react-sdk/pull/6969)). Fixes vector-im/element-web#18755 and vector-im/element-web#18755.
 * Add insert link button to the format bar ([\#5879](https://github.com/matrix-org/matrix-react-sdk/pull/5879)). Contributed by @SimonBrandner.
 * Improve visibility of font size chooser ([\#6988](https://github.com/matrix-org/matrix-react-sdk/pull/6988)).
 * Soften border-radius on selected/hovered messages ([\#6525](https://github.com/matrix-org/matrix-react-sdk/pull/6525)). Fixes vector-im/element-web#18108. Contributed by @SimonBrandner.
 * Add a developer mode flag and use it for accessing space timelines ([\#6994](https://github.com/matrix-org/matrix-react-sdk/pull/6994)). Fixes vector-im/element-web#19416 and vector-im/element-web#19416.
 * Position toggle switch more clearly ([\#6914](https://github.com/matrix-org/matrix-react-sdk/pull/6914)). Contributed by @CicadaCinema.
 * Validate email address in forgot password dialog ([\#6983](https://github.com/matrix-org/matrix-react-sdk/pull/6983)). Fixes vector-im/element-web#9978 and vector-im/element-web#9978. Contributed by @psrpinto.
 * Handle and i18n M_THREEPID_IN_USE during registration ([\#6986](https://github.com/matrix-org/matrix-react-sdk/pull/6986)). Fixes vector-im/element-web#13767 and vector-im/element-web#13767.
 * For space invite previews, use room summary API to get the right member count ([\#6982](https://github.com/matrix-org/matrix-react-sdk/pull/6982)). Fixes vector-im/element-web#19123 and vector-im/element-web#19123.
 * Simplify Space Panel notification badge layout ([\#6977](https://github.com/matrix-org/matrix-react-sdk/pull/6977)). Fixes vector-im/element-web#18527 and vector-im/element-web#18527.
 * Use prettier hsName during 3pid registration where possible ([\#6980](https://github.com/matrix-org/matrix-react-sdk/pull/6980)). Fixes vector-im/element-web#19162 and vector-im/element-web#19162.

## 🐛 Bug Fixes
 * Add a condition to only activate the resizer which belongs to the clicked handle ([\#7055](https://github.com/matrix-org/matrix-react-sdk/pull/7055)). Fixes vector-im/element-web#19521 and vector-im/element-web#19521.
 * Restore composer focus after event edit ([\#7065](https://github.com/matrix-org/matrix-react-sdk/pull/7065)). Fixes vector-im/element-web#19469 and vector-im/element-web#19469.
 * Don't apply message bubble visual style to media messages ([\#7040](https://github.com/matrix-org/matrix-react-sdk/pull/7040)).
 * Handle no selected screen when screen-sharing ([\#7018](https://github.com/matrix-org/matrix-react-sdk/pull/7018)). Fixes vector-im/element-web#19460 and vector-im/element-web#19460. Contributed by @SimonBrandner.
 * Add history entry before completing emoji ([\#7007](https://github.com/matrix-org/matrix-react-sdk/pull/7007)). Fixes vector-im/element-web#19177 and vector-im/element-web#19177. Contributed by @RafaelGoncalves8.
 * Add padding between controls on edit form in message bubbles ([\#7039](https://github.com/matrix-org/matrix-react-sdk/pull/7039)).
 * Respect the roomState right container request for the Jitsi widget ([\#7033](https://github.com/matrix-org/matrix-react-sdk/pull/7033)). Fixes vector-im/element-web#16552 and vector-im/element-web#16552.
 * Fix cannot read length of undefined for room upgrades ([\#7037](https://github.com/matrix-org/matrix-react-sdk/pull/7037)). Fixes vector-im/element-web#19509 and vector-im/element-web#19509.
 * Cleanup re-dispatching around timelines and composers ([\#7023](https://github.com/matrix-org/matrix-react-sdk/pull/7023)). Fixes vector-im/element-web#19491 and vector-im/element-web#19491. Contributed by @SimonBrandner.
 * Fix removing a room from a Space and interaction with `m.space.parent` ([\#6944](https://github.com/matrix-org/matrix-react-sdk/pull/6944)). Fixes vector-im/element-web#19363 and vector-im/element-web#19363.
 * Fix recent css regression ([\#7022](https://github.com/matrix-org/matrix-react-sdk/pull/7022)). Fixes vector-im/element-web#19470 and vector-im/element-web#19470. Contributed by @CicadaCinema.
 * Fix ModalManager reRender racing with itself ([\#7027](https://github.com/matrix-org/matrix-react-sdk/pull/7027)). Fixes vector-im/element-web#19489 and vector-im/element-web#19489.
 * Fix fullscreening a call while connecting ([\#7019](https://github.com/matrix-org/matrix-react-sdk/pull/7019)). Fixes vector-im/element-web#19309 and vector-im/element-web#19309. Contributed by @SimonBrandner.
 * Allow scrolling right in reply-quoted code block ([\#7024](https://github.com/matrix-org/matrix-react-sdk/pull/7024)). Fixes vector-im/element-web#19487 and vector-im/element-web#19487. Contributed by @SimonBrandner.
 * Fix dark theme codeblock colors ([\#6384](https://github.com/matrix-org/matrix-react-sdk/pull/6384)). Fixes vector-im/element-web#17998. Contributed by @SimonBrandner.
 * Show passphrase input label ([\#6992](https://github.com/matrix-org/matrix-react-sdk/pull/6992)). Fixes vector-im/element-web#19428 and vector-im/element-web#19428. Contributed by @RafaelGoncalves8.
 * Always render disabled settings as disabled ([\#7014](https://github.com/matrix-org/matrix-react-sdk/pull/7014)).
 * Make "Security Phrase" placeholder look consistent cross-browser ([\#6870](https://github.com/matrix-org/matrix-react-sdk/pull/6870)). Fixes vector-im/element-web#19006 and vector-im/element-web#19006. Contributed by @neer17.
 * Fix direction override characters breaking member event text direction ([\#6999](https://github.com/matrix-org/matrix-react-sdk/pull/6999)).
 * Remove redundant text in verification dialogs ([\#6993](https://github.com/matrix-org/matrix-react-sdk/pull/6993)). Fixes vector-im/element-web#19290 and vector-im/element-web#19290. Contributed by @RafaelGoncalves8.
 * Fix space panel name overflowing ([\#6995](https://github.com/matrix-org/matrix-react-sdk/pull/6995)). Fixes vector-im/element-web#19455 and vector-im/element-web#19455.
 * Fix conflicting CSS on syntax highlighted blocks ([\#6991](https://github.com/matrix-org/matrix-react-sdk/pull/6991)). Fixes vector-im/element-web#19445 and vector-im/element-web#19445.

Changes in [3.33.0](https://github.com/vector-im/element-desktop/releases/tag/v3.33.0) (2021-10-25)
===================================================================================================

## ✨ Features
 * Convert the "Cryptography" settings panel to an HTML table to assist screen reader users. ([\#6968](https://github.com/matrix-org/matrix-react-sdk/pull/6968)). Contributed by [andybalaam](https://github.com/andybalaam).
 * Swap order of private space creation and tweak copy ([\#6967](https://github.com/matrix-org/matrix-react-sdk/pull/6967)). Fixes vector-im/element-web#18768 and vector-im/element-web#18768.
 * Add spacing to Room settings - Notifications subsection ([\#6962](https://github.com/matrix-org/matrix-react-sdk/pull/6962)). Contributed by [CicadaCinema](https://github.com/CicadaCinema).
 * Use HTML tables for some tabular user interface areas, to assist with screen reader use ([\#6955](https://github.com/matrix-org/matrix-react-sdk/pull/6955)). Contributed by [andybalaam](https://github.com/andybalaam).
 * Fix space invite edge cases ([\#6884](https://github.com/matrix-org/matrix-react-sdk/pull/6884)). Fixes vector-im/element-web#19010 vector-im/element-web#17345 and vector-im/element-web#19010.
 * Allow options to cascade kicks/bans throughout spaces ([\#6829](https://github.com/matrix-org/matrix-react-sdk/pull/6829)). Fixes vector-im/element-web#18969 and vector-im/element-web#18969.
 * Make public space alias field mandatory again ([\#6921](https://github.com/matrix-org/matrix-react-sdk/pull/6921)). Fixes vector-im/element-web#19003 and vector-im/element-web#19003.
 * Add progress bar to restricted room upgrade dialog ([\#6919](https://github.com/matrix-org/matrix-react-sdk/pull/6919)). Fixes vector-im/element-web#19146 and vector-im/element-web#19146.
 * Add customisation point for visibility of invites and room creation ([\#6922](https://github.com/matrix-org/matrix-react-sdk/pull/6922)). Fixes vector-im/element-web#19331 and vector-im/element-web#19331.
 * Inhibit `Unable to get validated threepid` error during UIA ([\#6928](https://github.com/matrix-org/matrix-react-sdk/pull/6928)). Fixes vector-im/element-web#18883 and vector-im/element-web#18883.
 * Tweak room list skeleton UI height and behaviour ([\#6926](https://github.com/matrix-org/matrix-react-sdk/pull/6926)). Fixes vector-im/element-web#18231 vector-im/element-web#16581 and vector-im/element-web#18231.
 * If public room creation fails, retry without publishing it ([\#6872](https://github.com/matrix-org/matrix-react-sdk/pull/6872)). Fixes vector-im/element-web#19194 and vector-im/element-web#19194. Contributed by [AndrewFerr](https://github.com/AndrewFerr).
 * Iterate invite your teammates to Space view ([\#6925](https://github.com/matrix-org/matrix-react-sdk/pull/6925)). Fixes vector-im/element-web#18772 and vector-im/element-web#18772.
 * Make placeholder more grey when no input ([\#6840](https://github.com/matrix-org/matrix-react-sdk/pull/6840)). Fixes vector-im/element-web#17243 and vector-im/element-web#17243. Contributed by [wlach](https://github.com/wlach).
 * Respect tombstones in locally known rooms for Space children ([\#6906](https://github.com/matrix-org/matrix-react-sdk/pull/6906)). Fixes vector-im/element-web#19246 vector-im/element-web#19256 and vector-im/element-web#19246.
 * Improve emoji shortcodes generated from annotations ([\#6907](https://github.com/matrix-org/matrix-react-sdk/pull/6907)). Fixes vector-im/element-web#19304 and vector-im/element-web#19304.
 * Hide kick & ban options in UserInfo when looking at own profile ([\#6911](https://github.com/matrix-org/matrix-react-sdk/pull/6911)). Fixes vector-im/element-web#19066 and vector-im/element-web#19066.
 * Add progress bar to Community to Space migration tool ([\#6887](https://github.com/matrix-org/matrix-react-sdk/pull/6887)). Fixes vector-im/element-web#19216 and vector-im/element-web#19216.

## 🐛 Bug Fixes
 * Fix leave space cancel button exploding ([\#6966](https://github.com/matrix-org/matrix-react-sdk/pull/6966)).
 * Fix edge case behaviour of the space join spinner for guests ([\#6972](https://github.com/matrix-org/matrix-react-sdk/pull/6972)). Fixes vector-im/element-web#19359 and vector-im/element-web#19359.
 * Convert emoticon to emoji at the end of a line on send even if the cursor isn't there ([\#6965](https://github.com/matrix-org/matrix-react-sdk/pull/6965)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix text overflows button on Home page ([\#6898](https://github.com/matrix-org/matrix-react-sdk/pull/6898)). Fixes vector-im/element-web#19180 and vector-im/element-web#19180. Contributed by [oliver-pham](https://github.com/oliver-pham).
 * Space Room View should react to join rule changes down /sync ([\#6945](https://github.com/matrix-org/matrix-react-sdk/pull/6945)). Fixes vector-im/element-web#19390 and vector-im/element-web#19390.
 * Hide leave section button if user isn't in the room e.g peeking ([\#6920](https://github.com/matrix-org/matrix-react-sdk/pull/6920)). Fixes vector-im/element-web#17410 and vector-im/element-web#17410.
 * Fix bug where room list would get stuck showing no rooms ([\#6939](https://github.com/matrix-org/matrix-react-sdk/pull/6939)). Fixes vector-im/element-web#19373 and vector-im/element-web#19373.
 * Update room settings dialog title when room name changes ([\#6916](https://github.com/matrix-org/matrix-react-sdk/pull/6916)). Fixes vector-im/element-web#17480 and vector-im/element-web#17480. Contributed by [psrpinto](https://github.com/psrpinto).
 * Fix editing losing emote-ness and rainbow-ness of messages ([\#6931](https://github.com/matrix-org/matrix-react-sdk/pull/6931)). Fixes vector-im/element-web#19350 and vector-im/element-web#19350.
 * Remove semicolon from notifications panel ([\#6930](https://github.com/matrix-org/matrix-react-sdk/pull/6930)). Contributed by [robintown](https://github.com/robintown).
 * Prevent profile image in left panel's backdrop from being selected ([\#6924](https://github.com/matrix-org/matrix-react-sdk/pull/6924)). Contributed by [rom4nik](https://github.com/rom4nik).
 * Validate that the phone number verification field is filled before allowing user to submit ([\#6918](https://github.com/matrix-org/matrix-react-sdk/pull/6918)). Fixes vector-im/element-web#19316 and vector-im/element-web#19316. Contributed by [VFermat](https://github.com/VFermat).
 * Updated how save button becomes disabled in room settings to listen for all fields instead of the most recent ([\#6917](https://github.com/matrix-org/matrix-react-sdk/pull/6917)). Contributed by [LoganArnett](https://github.com/LoganArnett).
 * Use FocusLock around ContextMenus to simplify focus management ([\#6311](https://github.com/matrix-org/matrix-react-sdk/pull/6311)). Fixes vector-im/element-web#19259 and vector-im/element-web#19259.
 * Fix space hierarchy pagination ([\#6908](https://github.com/matrix-org/matrix-react-sdk/pull/6908)). Fixes vector-im/element-web#19276 and vector-im/element-web#19276.
 * Fix spaces keyboard shortcuts not working for last space ([\#6909](https://github.com/matrix-org/matrix-react-sdk/pull/6909)). Fixes vector-im/element-web#19255 and vector-im/element-web#19255.
 * Use fallback avatar only for DMs with 2 people. ([\#6895](https://github.com/matrix-org/matrix-react-sdk/pull/6895)). Fixes vector-im/element-web#18747 and vector-im/element-web#18747. Contributed by [andybalaam](https://github.com/andybalaam).

Changes in [3.33.0-rc.2](https://github.com/vector-im/element-desktop/releases/tag/v3.33.0-rc.2) (2021-10-20)
=============================================================================================================

## 🐛 Bug Fixes
 * Fix conflicting CSS on syntax highlighted blocks ([\#6991](https://github.com/matrix-org/matrix-react-sdk/pull/6991)). Fixes vector-im/element-web#19445

Changes in [3.33.0-rc.1](https://github.com/vector-im/element-desktop/releases/tag/v3.33.0-rc.1) (2021-10-19)
=============================================================================================================

## ✨ Features
 * Swap order of private space creation and tweak copy ([\#6967](https://github.com/matrix-org/matrix-react-sdk/pull/6967)). Fixes vector-im/element-web#18768 and vector-im/element-web#18768.
 * Add spacing to Room settings - Notifications subsection ([\#6962](https://github.com/matrix-org/matrix-react-sdk/pull/6962)). Contributed by [CicadaCinema](https://github.com/CicadaCinema).
 * Convert the "Cryptography" settings panel to an HTML to assist screen reader users. ([\#6968](https://github.com/matrix-org/matrix-react-sdk/pull/6968)). Contributed by [andybalaam](https://github.com/andybalaam).
 * Use HTML tables for some tabular user interface areas, to assist with screen reader use ([\#6955](https://github.com/matrix-org/matrix-react-sdk/pull/6955)). Contributed by [andybalaam](https://github.com/andybalaam).
 * Fix space invite edge cases ([\#6884](https://github.com/matrix-org/matrix-react-sdk/pull/6884)). Fixes vector-im/element-web#19010 vector-im/element-web#17345 and vector-im/element-web#19010.
 * Allow options to cascade kicks/bans throughout spaces ([\#6829](https://github.com/matrix-org/matrix-react-sdk/pull/6829)). Fixes vector-im/element-web#18969 and vector-im/element-web#18969.
 * Make public space alias field mandatory again ([\#6921](https://github.com/matrix-org/matrix-react-sdk/pull/6921)). Fixes vector-im/element-web#19003 and vector-im/element-web#19003.
 * Add progress bar to restricted room upgrade dialog ([\#6919](https://github.com/matrix-org/matrix-react-sdk/pull/6919)). Fixes vector-im/element-web#19146 and vector-im/element-web#19146.
 * Add customisation point for visibility of invites and room creation ([\#6922](https://github.com/matrix-org/matrix-react-sdk/pull/6922)). Fixes vector-im/element-web#19331 and vector-im/element-web#19331.
 * Inhibit `Unable to get validated threepid` error during UIA ([\#6928](https://github.com/matrix-org/matrix-react-sdk/pull/6928)). Fixes vector-im/element-web#18883 and vector-im/element-web#18883.
 * Tweak room list skeleton UI height and behaviour ([\#6926](https://github.com/matrix-org/matrix-react-sdk/pull/6926)). Fixes vector-im/element-web#18231 vector-im/element-web#16581 and vector-im/element-web#18231.
 * If public room creation fails, retry without publishing it ([\#6872](https://github.com/matrix-org/matrix-react-sdk/pull/6872)). Fixes vector-im/element-web#19194 and vector-im/element-web#19194. Contributed by [AndrewFerr](https://github.com/AndrewFerr).
 * Iterate invite your teammates to Space view ([\#6925](https://github.com/matrix-org/matrix-react-sdk/pull/6925)). Fixes vector-im/element-web#18772 and vector-im/element-web#18772.
 * Make placeholder more grey when no input ([\#6840](https://github.com/matrix-org/matrix-react-sdk/pull/6840)). Fixes vector-im/element-web#17243 and vector-im/element-web#17243. Contributed by [wlach](https://github.com/wlach).
 * Respect tombstones in locally known rooms for Space children ([\#6906](https://github.com/matrix-org/matrix-react-sdk/pull/6906)). Fixes vector-im/element-web#19246 vector-im/element-web#19256 and vector-im/element-web#19246.
 * Improve emoji shortcodes generated from annotations ([\#6907](https://github.com/matrix-org/matrix-react-sdk/pull/6907)). Fixes vector-im/element-web#19304 and vector-im/element-web#19304.
 * Hide kick & ban options in UserInfo when looking at own profile ([\#6911](https://github.com/matrix-org/matrix-react-sdk/pull/6911)). Fixes vector-im/element-web#19066 and vector-im/element-web#19066.
 * Add progress bar to Community to Space migration tool ([\#6887](https://github.com/matrix-org/matrix-react-sdk/pull/6887)). Fixes vector-im/element-web#19216 and vector-im/element-web#19216.

## 🐛 Bug Fixes
 * Fix leave space cancel button exploding ([\#6966](https://github.com/matrix-org/matrix-react-sdk/pull/6966)).
 * Fix edge case behaviour of the space join spinner for guests ([\#6972](https://github.com/matrix-org/matrix-react-sdk/pull/6972)). Fixes vector-im/element-web#19359 and vector-im/element-web#19359.
 * Convert emoticon to emoji at the end of a line on send even if the cursor isn't there ([\#6965](https://github.com/matrix-org/matrix-react-sdk/pull/6965)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix text overflows button on Home page ([\#6898](https://github.com/matrix-org/matrix-react-sdk/pull/6898)). Fixes vector-im/element-web#19180 and vector-im/element-web#19180. Contributed by [oliver-pham](https://github.com/oliver-pham).
 * Space Room View should react to join rule changes down /sync ([\#6945](https://github.com/matrix-org/matrix-react-sdk/pull/6945)). Fixes vector-im/element-web#19390 and vector-im/element-web#19390.
 * Hide leave section button if user isn't in the room e.g peeking ([\#6920](https://github.com/matrix-org/matrix-react-sdk/pull/6920)). Fixes vector-im/element-web#17410 and vector-im/element-web#17410.
 * Fix bug where room list would get stuck showing no rooms ([\#6939](https://github.com/matrix-org/matrix-react-sdk/pull/6939)). Fixes vector-im/element-web#19373 and vector-im/element-web#19373.
 * Update room settings dialog title when room name changes ([\#6916](https://github.com/matrix-org/matrix-react-sdk/pull/6916)). Fixes vector-im/element-web#17480 and vector-im/element-web#17480. Contributed by [psrpinto](https://github.com/psrpinto).
 * Fix editing losing emote-ness and rainbow-ness of messages ([\#6931](https://github.com/matrix-org/matrix-react-sdk/pull/6931)). Fixes vector-im/element-web#19350 and vector-im/element-web#19350.
 * Remove semicolon from notifications panel ([\#6930](https://github.com/matrix-org/matrix-react-sdk/pull/6930)). Contributed by [robintown](https://github.com/robintown).
 * Prevent profile image in left panel's backdrop from being selected ([\#6924](https://github.com/matrix-org/matrix-react-sdk/pull/6924)). Contributed by [rom4nik](https://github.com/rom4nik).
 * Validate that the phone number verification field is filled before allowing user to submit ([\#6918](https://github.com/matrix-org/matrix-react-sdk/pull/6918)). Fixes vector-im/element-web#19316 and vector-im/element-web#19316. Contributed by [VFermat](https://github.com/VFermat).
 * Updated how save button becomes disabled in room settings to listen for all fields instead of the most recent ([\#6917](https://github.com/matrix-org/matrix-react-sdk/pull/6917)). Contributed by [LoganArnett](https://github.com/LoganArnett).
 * Use FocusLock around ContextMenus to simplify focus management ([\#6311](https://github.com/matrix-org/matrix-react-sdk/pull/6311)). Fixes vector-im/element-web#19259 and vector-im/element-web#19259.
 * Fix space hierarchy pagination ([\#6908](https://github.com/matrix-org/matrix-react-sdk/pull/6908)). Fixes vector-im/element-web#19276 and vector-im/element-web#19276.
 * Fix spaces keyboard shortcuts not working for last space ([\#6909](https://github.com/matrix-org/matrix-react-sdk/pull/6909)). Fixes vector-im/element-web#19255 and vector-im/element-web#19255.
 * Use fallback avatar only for DMs with 2 people. ([\#6895](https://github.com/matrix-org/matrix-react-sdk/pull/6895)). Fixes vector-im/element-web#18747 and vector-im/element-web#18747. Contributed by [andybalaam](https://github.com/andybalaam).

Changes in [3.32.1](https://github.com/vector-im/element-desktop/releases/tag/v3.32.1) (2021-10-12)
===================================================================================================

## 🐛 Bug Fixes

 * Upgrade to matrix-js-sdk#14.0.1

Changes in [3.32.0](https://github.com/vector-im/element-desktop/releases/tag/v3.32.0) (2021-10-11)
===================================================================================================

## ✨ Features
 * Decrease profile button touch target ([\#6900](https://github.com/matrix-org/matrix-react-sdk/pull/6900)). Contributed by [ColonisationCaptain](https://github.com/ColonisationCaptain).
 * Don't let click events propagate out of context menus ([\#6892](https://github.com/matrix-org/matrix-react-sdk/pull/6892)).
 * Allow closing Dropdown via its chevron ([\#6885](https://github.com/matrix-org/matrix-react-sdk/pull/6885)). Fixes vector-im/element-web#19030 and vector-im/element-web#19030.
 * Improve AUX panel behaviour ([\#6699](https://github.com/matrix-org/matrix-react-sdk/pull/6699)). Fixes vector-im/element-web#18787 and vector-im/element-web#18787. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * A nicer opening animation for the Image View ([\#6454](https://github.com/matrix-org/matrix-react-sdk/pull/6454)). Fixes vector-im/element-web#18186 and vector-im/element-web#18186. Contributed by [SimonBrandner](https://github.com/SimonBrandner).

## 🐛 Bug Fixes
 * [Release] Fix space hierarchy pagination ([\#6910](https://github.com/matrix-org/matrix-react-sdk/pull/6910)).
 * Fix leaving space via other client leaving you in undefined-land ([\#6891](https://github.com/matrix-org/matrix-react-sdk/pull/6891)). Fixes vector-im/element-web#18455 and vector-im/element-web#18455.
 * Handle newer voice message encrypted event format for chat export ([\#6893](https://github.com/matrix-org/matrix-react-sdk/pull/6893)). Contributed by [jaiwanth-v](https://github.com/jaiwanth-v).
 * Fix pagination when filtering space hierarchy ([\#6876](https://github.com/matrix-org/matrix-react-sdk/pull/6876)). Fixes vector-im/element-web#19235 and vector-im/element-web#19235.
 * Fix spaces null-guard breaking the dispatcher settings watching ([\#6886](https://github.com/matrix-org/matrix-react-sdk/pull/6886)). Fixes vector-im/element-web#19223 and vector-im/element-web#19223.
 * Fix space children without specific `order` being sorted after those with one ([\#6878](https://github.com/matrix-org/matrix-react-sdk/pull/6878)). Fixes vector-im/element-web#19192 and vector-im/element-web#19192.
 * Ensure that sub-spaces aren't considered for notification badges ([\#6881](https://github.com/matrix-org/matrix-react-sdk/pull/6881)). Fixes vector-im/element-web#18975 and vector-im/element-web#18975.
 * Fix timeline autoscroll with non-standard DPI settings. ([\#6880](https://github.com/matrix-org/matrix-react-sdk/pull/6880)). Fixes vector-im/element-web#18984 and vector-im/element-web#18984.
 * Pluck out JoinRuleSettings styles so they apply in space settings too ([\#6879](https://github.com/matrix-org/matrix-react-sdk/pull/6879)). Fixes vector-im/element-web#19164 and vector-im/element-web#19164.
 * Null guard around the matrixClient in SpaceStore ([\#6874](https://github.com/matrix-org/matrix-react-sdk/pull/6874)).
 * Fix issue (https ([\#6871](https://github.com/matrix-org/matrix-react-sdk/pull/6871)). Fixes vector-im/element-web#19138 and vector-im/element-web#19138. Contributed by [psrpinto](https://github.com/psrpinto).
 * Fix pills being cut off in message bubble layout ([\#6865](https://github.com/matrix-org/matrix-react-sdk/pull/6865)). Fixes vector-im/element-web#18627 and vector-im/element-web#18627. Contributed by [robintown](https://github.com/robintown).
 * Fix space admin check false positive on multiple admins ([\#6824](https://github.com/matrix-org/matrix-react-sdk/pull/6824)).
 * Fix the User View ([\#6860](https://github.com/matrix-org/matrix-react-sdk/pull/6860)). Fixes vector-im/element-web#19158 and vector-im/element-web#19158.
 * Fix spacing for message composer buttons ([\#6852](https://github.com/matrix-org/matrix-react-sdk/pull/6852)). Fixes vector-im/element-web#18999 and vector-im/element-web#18999.
 * Always show root event of a thread in room's timeline ([\#6842](https://github.com/matrix-org/matrix-react-sdk/pull/6842)). Fixes vector-im/element-web#19016 and vector-im/element-web#19016.

Changes in [3.32.0-rc.2](https://github.com/vector-im/element-desktop/releases/tag/v3.32.0-rc.2) (2021-10-08)
=============================================================================================================

## 🐛 Bug Fixes
 * [Release] Fix space hierarchy pagination ([\#6910](https://github.com/matrix-org/matrix-react-sdk/pull/6910)).

Changes in [3.32.0-rc.1](https://github.com/vector-im/element-desktop/releases/tag/v3.32.0-rc.1) (2021-10-04)
=============================================================================================================

## ✨ Features
 * Decrease profile button touch target ([\#6900](https://github.com/matrix-org/matrix-react-sdk/pull/6900)). Contributed by [ColonisationCaptain](https://github.com/ColonisationCaptain).
 * Don't let click events propagate out of context menus ([\#6892](https://github.com/matrix-org/matrix-react-sdk/pull/6892)).
 * Allow closing Dropdown via its chevron ([\#6885](https://github.com/matrix-org/matrix-react-sdk/pull/6885)). Fixes vector-im/element-web#19030 and vector-im/element-web#19030.
 * Improve AUX panel behaviour ([\#6699](https://github.com/matrix-org/matrix-react-sdk/pull/6699)). Fixes vector-im/element-web#18787 and vector-im/element-web#18787. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * A nicer opening animation for the Image View ([\#6454](https://github.com/matrix-org/matrix-react-sdk/pull/6454)). Fixes vector-im/element-web#18186 and vector-im/element-web#18186. Contributed by [SimonBrandner](https://github.com/SimonBrandner).

## 🐛 Bug Fixes
 * Fix leaving space via other client leaving you in undefined-land ([\#6891](https://github.com/matrix-org/matrix-react-sdk/pull/6891)). Fixes vector-im/element-web#18455 and vector-im/element-web#18455.
 * Handle newer voice message encrypted event format for chat export ([\#6893](https://github.com/matrix-org/matrix-react-sdk/pull/6893)). Contributed by [jaiwanth-v](https://github.com/jaiwanth-v).
 * Fix pagination when filtering space hierarchy ([\#6876](https://github.com/matrix-org/matrix-react-sdk/pull/6876)). Fixes vector-im/element-web#19235 and vector-im/element-web#19235.
 * Fix spaces null-guard breaking the dispatcher settings watching ([\#6886](https://github.com/matrix-org/matrix-react-sdk/pull/6886)). Fixes vector-im/element-web#19223 and vector-im/element-web#19223.
 * Fix space children without specific `order` being sorted after those with one ([\#6878](https://github.com/matrix-org/matrix-react-sdk/pull/6878)). Fixes vector-im/element-web#19192 and vector-im/element-web#19192.
 * Ensure that sub-spaces aren't considered for notification badges ([\#6881](https://github.com/matrix-org/matrix-react-sdk/pull/6881)). Fixes vector-im/element-web#18975 and vector-im/element-web#18975.
 * Fix timeline autoscroll with non-standard DPI settings. ([\#6880](https://github.com/matrix-org/matrix-react-sdk/pull/6880)). Fixes vector-im/element-web#18984 and vector-im/element-web#18984.
 * Pluck out JoinRuleSettings styles so they apply in space settings too ([\#6879](https://github.com/matrix-org/matrix-react-sdk/pull/6879)). Fixes vector-im/element-web#19164 and vector-im/element-web#19164.
 * Null guard around the matrixClient in SpaceStore ([\#6874](https://github.com/matrix-org/matrix-react-sdk/pull/6874)).
 * Fix issue (https ([\#6871](https://github.com/matrix-org/matrix-react-sdk/pull/6871)). Fixes vector-im/element-web#19138 and vector-im/element-web#19138. Contributed by [psrpinto](https://github.com/psrpinto).
 * Fix pills being cut off in message bubble layout ([\#6865](https://github.com/matrix-org/matrix-react-sdk/pull/6865)). Fixes vector-im/element-web#18627 and vector-im/element-web#18627. Contributed by [robintown](https://github.com/robintown).
 * Fix space admin check false positive on multiple admins ([\#6824](https://github.com/matrix-org/matrix-react-sdk/pull/6824)).
 * Fix the User View ([\#6860](https://github.com/matrix-org/matrix-react-sdk/pull/6860)). Fixes vector-im/element-web#19158 and vector-im/element-web#19158.
 * Fix spacing for message composer buttons ([\#6852](https://github.com/matrix-org/matrix-react-sdk/pull/6852)). Fixes vector-im/element-web#18999 and vector-im/element-web#18999.

Changes in [3.31.0](https://github.com/vector-im/element-desktop/releases/tag/v3.31.0) (2021-09-27)
===================================================================================================

## ✨ Features
 * Say Joining space instead of Joining room where we know its a space ([\#6818](https://github.com/matrix-org/matrix-react-sdk/pull/6818)). Fixes vector-im/element-web#19064 and vector-im/element-web#19064.
 * Add warning that some spaces may not be relinked to the newly upgraded room ([\#6805](https://github.com/matrix-org/matrix-react-sdk/pull/6805)). Fixes vector-im/element-web#18858 and vector-im/element-web#18858.
 * Delabs Spaces, iterate some copy and move communities/space toggle to preferences ([\#6594](https://github.com/matrix-org/matrix-react-sdk/pull/6594)). Fixes vector-im/element-web#18088, vector-im/element-web#18524 vector-im/element-web#18088 and vector-im/element-web#18088.
 * Show "Message" in the user info panel instead of "Start chat" ([\#6319](https://github.com/matrix-org/matrix-react-sdk/pull/6319)). Fixes vector-im/element-web#17877 and vector-im/element-web#17877. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix space keyboard shortcuts conflicting with native zoom shortcuts ([\#6804](https://github.com/matrix-org/matrix-react-sdk/pull/6804)).
 * Replace plain text emoji at the end of a line ([\#6784](https://github.com/matrix-org/matrix-react-sdk/pull/6784)). Fixes vector-im/element-web#18833 and vector-im/element-web#18833. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Simplify Space Panel layout and fix some edge cases ([\#6800](https://github.com/matrix-org/matrix-react-sdk/pull/6800)). Fixes vector-im/element-web#18694 and vector-im/element-web#18694.
 * Show unsent message warning on Space Panel buttons ([\#6778](https://github.com/matrix-org/matrix-react-sdk/pull/6778)). Fixes vector-im/element-web#18891 and vector-im/element-web#18891.
 * Hide mute/unmute button in UserInfo for Spaces as it makes no sense ([\#6790](https://github.com/matrix-org/matrix-react-sdk/pull/6790)). Fixes vector-im/element-web#19007 and vector-im/element-web#19007.
 * Fix automatic field population in space create menu not validating ([\#6792](https://github.com/matrix-org/matrix-react-sdk/pull/6792)). Fixes vector-im/element-web#19005 and vector-im/element-web#19005.
 * Optimize input label transition on focus ([\#6783](https://github.com/matrix-org/matrix-react-sdk/pull/6783)). Fixes vector-im/element-web#12876 and vector-im/element-web#12876. Contributed by [MadLittleMods](https://github.com/MadLittleMods).
 * Adapt and re-use the RolesRoomSettingsTab for Spaces ([\#6779](https://github.com/matrix-org/matrix-react-sdk/pull/6779)). Fixes vector-im/element-web#18908 vector-im/element-web#18909 and vector-im/element-web#18908.
 * Deduplicate join rule management between rooms and spaces ([\#6724](https://github.com/matrix-org/matrix-react-sdk/pull/6724)). Fixes vector-im/element-web#18798 and vector-im/element-web#18798.
 * Add config option to turn on in-room event sending timing metrics ([\#6766](https://github.com/matrix-org/matrix-react-sdk/pull/6766)).
 * Improve the upgrade for restricted user experience ([\#6764](https://github.com/matrix-org/matrix-react-sdk/pull/6764)). Fixes vector-im/element-web#18677 and vector-im/element-web#18677.
 * Improve tooltips on space quick actions and explore button ([\#6760](https://github.com/matrix-org/matrix-react-sdk/pull/6760)). Fixes vector-im/element-web#18528 and vector-im/element-web#18528.
 * Make space members and user info behave more expectedly ([\#6765](https://github.com/matrix-org/matrix-react-sdk/pull/6765)). Fixes vector-im/element-web#17018 and vector-im/element-web#17018.
 * hide no-op m.room.encryption events and better word param changes ([\#6747](https://github.com/matrix-org/matrix-react-sdk/pull/6747)). Fixes vector-im/element-web#18597 and vector-im/element-web#18597.
 * Respect m.space.parent relations if they hold valid permissions ([\#6746](https://github.com/matrix-org/matrix-react-sdk/pull/6746)). Fixes vector-im/element-web#10935 and vector-im/element-web#10935.
 * Space panel accessibility improvements ([\#6744](https://github.com/matrix-org/matrix-react-sdk/pull/6744)). Fixes vector-im/element-web#18892 and vector-im/element-web#18892.

## 🐛 Bug Fixes
 * Fix spacing for message composer buttons ([\#6854](https://github.com/matrix-org/matrix-react-sdk/pull/6854)).
 * Fix accessing field on oobData which may be undefined ([\#6830](https://github.com/matrix-org/matrix-react-sdk/pull/6830)). Fixes vector-im/element-web#19085 and vector-im/element-web#19085.
 * Fix reactions aria-label not being a string and thus being read as [Object object] ([\#6828](https://github.com/matrix-org/matrix-react-sdk/pull/6828)).
 * Fix missing null guard in space hierarchy pagination ([\#6821](https://github.com/matrix-org/matrix-react-sdk/pull/6821)). Fixes matrix-org/element-web-rageshakes#6299 and matrix-org/element-web-rageshakes#6299.
 * Fix checks to show prompt to start new chats ([\#6812](https://github.com/matrix-org/matrix-react-sdk/pull/6812)).
 * Fix room list scroll jumps ([\#6777](https://github.com/matrix-org/matrix-react-sdk/pull/6777)). Fixes vector-im/element-web#17460 vector-im/element-web#18440 and vector-im/element-web#17460. Contributed by [robintown](https://github.com/robintown).
 * Fix various message bubble alignment issues ([\#6785](https://github.com/matrix-org/matrix-react-sdk/pull/6785)). Fixes vector-im/element-web#18293, vector-im/element-web#18294 vector-im/element-web#18305 and vector-im/element-web#18293. Contributed by [robintown](https://github.com/robintown).
 * Make message bubble font size consistent ([\#6795](https://github.com/matrix-org/matrix-react-sdk/pull/6795)). Contributed by [robintown](https://github.com/robintown).
 * Fix edge cases around joining new room which does not belong to active space ([\#6797](https://github.com/matrix-org/matrix-react-sdk/pull/6797)). Fixes vector-im/element-web#19025 and vector-im/element-web#19025.
 * Fix edge case space issues around creation and initial view ([\#6798](https://github.com/matrix-org/matrix-react-sdk/pull/6798)). Fixes vector-im/element-web#19023 and vector-im/element-web#19023.
 * Stop spinner on space preview if the join fails ([\#6803](https://github.com/matrix-org/matrix-react-sdk/pull/6803)). Fixes vector-im/element-web#19034 and vector-im/element-web#19034.
 * Fix emoji picker and stickerpicker not appearing correctly when opened ([\#6793](https://github.com/matrix-org/matrix-react-sdk/pull/6793)). Fixes vector-im/element-web#19012 and vector-im/element-web#19012. Contributed by [Palid](https://github.com/Palid).
 * Fix autocomplete not having y-scroll ([\#6794](https://github.com/matrix-org/matrix-react-sdk/pull/6794)). Fixes vector-im/element-web#18997 and vector-im/element-web#18997. Contributed by [Palid](https://github.com/Palid).
 * Fix broken edge case with public space creation with no alias ([\#6791](https://github.com/matrix-org/matrix-react-sdk/pull/6791)). Fixes vector-im/element-web#19003 and vector-im/element-web#19003.
 * Redirect from /#/welcome to /#/home if already logged in ([\#6786](https://github.com/matrix-org/matrix-react-sdk/pull/6786)). Fixes vector-im/element-web#18990 and vector-im/element-web#18990. Contributed by [aaronraimist](https://github.com/aaronraimist).
 * Fix build issues from two conflicting PRs landing without merge conflict ([\#6780](https://github.com/matrix-org/matrix-react-sdk/pull/6780)).
 * Render guest settings only in public rooms/spaces ([\#6693](https://github.com/matrix-org/matrix-react-sdk/pull/6693)). Fixes vector-im/element-web#18776 and vector-im/element-web#18776. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix message bubble corners being wrong in the presence of hidden events ([\#6776](https://github.com/matrix-org/matrix-react-sdk/pull/6776)). Fixes vector-im/element-web#18124 and vector-im/element-web#18124. Contributed by [robintown](https://github.com/robintown).
 * Debounce read marker update on scroll ([\#6771](https://github.com/matrix-org/matrix-react-sdk/pull/6771)). Fixes vector-im/element-web#18961 and vector-im/element-web#18961.
 * Use cursor:pointer on space panel buttons ([\#6770](https://github.com/matrix-org/matrix-react-sdk/pull/6770)). Fixes vector-im/element-web#18951 and vector-im/element-web#18951.
 * Fix regressed tab view buttons in space update toast ([\#6761](https://github.com/matrix-org/matrix-react-sdk/pull/6761)). Fixes vector-im/element-web#18781 and vector-im/element-web#18781.

Changes in [3.31.0-rc.2](https://github.com/vector-im/element-desktop/releases/tag/v3.31.0-rc.2) (2021-09-22)
=============================================================================================================

## 🐛 Bug Fixes
 * Fix spacing for message composer buttons ([\#6854](https://github.com/matrix-org/matrix-react-sdk/pull/6854)).

Changes in [3.31.0-rc.1](https://github.com/vector-im/element-desktop/releases/tag/v3.31.0-rc.1) (2021-09-21)
=============================================================================================================

## ✨ Features
 * Say Joining space instead of Joining room where we know its a space ([\#6818](https://github.com/matrix-org/matrix-react-sdk/pull/6818)). Fixes vector-im/element-web#19064 and vector-im/element-web#19064.
 * Add warning that some spaces may not be relinked to the newly upgraded room ([\#6805](https://github.com/matrix-org/matrix-react-sdk/pull/6805)). Fixes vector-im/element-web#18858 and vector-im/element-web#18858.
 * Delabs Spaces, iterate some copy and move communities/space toggle to preferences ([\#6594](https://github.com/matrix-org/matrix-react-sdk/pull/6594)). Fixes vector-im/element-web#18088, vector-im/element-web#18524 vector-im/element-web#18088 and vector-im/element-web#18088.
 * Show "Message" in the user info panel instead of "Start chat" ([\#6319](https://github.com/matrix-org/matrix-react-sdk/pull/6319)). Fixes vector-im/element-web#17877 and vector-im/element-web#17877. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix space keyboard shortcuts conflicting with native zoom shortcuts ([\#6804](https://github.com/matrix-org/matrix-react-sdk/pull/6804)).
 * Replace plain text emoji at the end of a line ([\#6784](https://github.com/matrix-org/matrix-react-sdk/pull/6784)). Fixes vector-im/element-web#18833 and vector-im/element-web#18833. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Simplify Space Panel layout and fix some edge cases ([\#6800](https://github.com/matrix-org/matrix-react-sdk/pull/6800)). Fixes vector-im/element-web#18694 and vector-im/element-web#18694.
 * Show unsent message warning on Space Panel buttons ([\#6778](https://github.com/matrix-org/matrix-react-sdk/pull/6778)). Fixes vector-im/element-web#18891 and vector-im/element-web#18891.
 * Hide mute/unmute button in UserInfo for Spaces as it makes no sense ([\#6790](https://github.com/matrix-org/matrix-react-sdk/pull/6790)). Fixes vector-im/element-web#19007 and vector-im/element-web#19007.
 * Fix automatic field population in space create menu not validating ([\#6792](https://github.com/matrix-org/matrix-react-sdk/pull/6792)). Fixes vector-im/element-web#19005 and vector-im/element-web#19005.
 * Optimize input label transition on focus ([\#6783](https://github.com/matrix-org/matrix-react-sdk/pull/6783)). Fixes vector-im/element-web#12876 and vector-im/element-web#12876. Contributed by [MadLittleMods](https://github.com/MadLittleMods).
 * Adapt and re-use the RolesRoomSettingsTab for Spaces ([\#6779](https://github.com/matrix-org/matrix-react-sdk/pull/6779)). Fixes vector-im/element-web#18908 vector-im/element-web#18909 and vector-im/element-web#18908.
 * Deduplicate join rule management between rooms and spaces ([\#6724](https://github.com/matrix-org/matrix-react-sdk/pull/6724)). Fixes vector-im/element-web#18798 and vector-im/element-web#18798.
 * Add config option to turn on in-room event sending timing metrics ([\#6766](https://github.com/matrix-org/matrix-react-sdk/pull/6766)).
 * Improve the upgrade for restricted user experience ([\#6764](https://github.com/matrix-org/matrix-react-sdk/pull/6764)). Fixes vector-im/element-web#18677 and vector-im/element-web#18677.
 * Improve tooltips on space quick actions and explore button ([\#6760](https://github.com/matrix-org/matrix-react-sdk/pull/6760)). Fixes vector-im/element-web#18528 and vector-im/element-web#18528.
 * Make space members and user info behave more expectedly ([\#6765](https://github.com/matrix-org/matrix-react-sdk/pull/6765)). Fixes vector-im/element-web#17018 and vector-im/element-web#17018.
 * hide no-op m.room.encryption events and better word param changes ([\#6747](https://github.com/matrix-org/matrix-react-sdk/pull/6747)). Fixes vector-im/element-web#18597 and vector-im/element-web#18597.
 * Respect m.space.parent relations if they hold valid permissions ([\#6746](https://github.com/matrix-org/matrix-react-sdk/pull/6746)). Fixes vector-im/element-web#10935 and vector-im/element-web#10935.
 * Space panel accessibility improvements ([\#6744](https://github.com/matrix-org/matrix-react-sdk/pull/6744)). Fixes vector-im/element-web#18892 and vector-im/element-web#18892.

## 🐛 Bug Fixes
 * Revert Firefox composer deletion hacks ([\#6844](https://github.com/matrix-org/matrix-react-sdk/pull/6844)). Fixes vector-im/element-web#19103 and vector-im/element-web#19103. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix accessing field on oobData which may be undefined ([\#6830](https://github.com/matrix-org/matrix-react-sdk/pull/6830)). Fixes vector-im/element-web#19085 and vector-im/element-web#19085.
 * Fix pill deletion on Firefox 78 ([\#6832](https://github.com/matrix-org/matrix-react-sdk/pull/6832)). Fixes vector-im/element-web#19077 and vector-im/element-web#19077. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix reactions aria-label not being a string and thus being read as [Object object] ([\#6828](https://github.com/matrix-org/matrix-react-sdk/pull/6828)).
 * Fix missing null guard in space hierarchy pagination ([\#6821](https://github.com/matrix-org/matrix-react-sdk/pull/6821)). Fixes matrix-org/element-web-rageshakes#6299 and matrix-org/element-web-rageshakes#6299.
 * Fix checks to show prompt to start new chats ([\#6812](https://github.com/matrix-org/matrix-react-sdk/pull/6812)).
 * Fix room list scroll jumps ([\#6777](https://github.com/matrix-org/matrix-react-sdk/pull/6777)). Fixes vector-im/element-web#17460 vector-im/element-web#18440 and vector-im/element-web#17460. Contributed by [robintown](https://github.com/robintown).
 * Fix various message bubble alignment issues ([\#6785](https://github.com/matrix-org/matrix-react-sdk/pull/6785)). Fixes vector-im/element-web#18293, vector-im/element-web#18294 vector-im/element-web#18305 and vector-im/element-web#18293. Contributed by [robintown](https://github.com/robintown).
 * Make message bubble font size consistent ([\#6795](https://github.com/matrix-org/matrix-react-sdk/pull/6795)). Contributed by [robintown](https://github.com/robintown).
 * Fix edge cases around joining new room which does not belong to active space ([\#6797](https://github.com/matrix-org/matrix-react-sdk/pull/6797)). Fixes vector-im/element-web#19025 and vector-im/element-web#19025.
 * Fix edge case space issues around creation and initial view ([\#6798](https://github.com/matrix-org/matrix-react-sdk/pull/6798)). Fixes vector-im/element-web#19023 and vector-im/element-web#19023.
 * Stop spinner on space preview if the join fails ([\#6803](https://github.com/matrix-org/matrix-react-sdk/pull/6803)). Fixes vector-im/element-web#19034 and vector-im/element-web#19034.
 * Fix emoji picker and stickerpicker not appearing correctly when opened ([\#6793](https://github.com/matrix-org/matrix-react-sdk/pull/6793)). Fixes vector-im/element-web#19012 and vector-im/element-web#19012. Contributed by [Palid](https://github.com/Palid).
 * Fix autocomplete not having y-scroll ([\#6794](https://github.com/matrix-org/matrix-react-sdk/pull/6794)). Fixes vector-im/element-web#18997 and vector-im/element-web#18997. Contributed by [Palid](https://github.com/Palid).
 * Fix broken edge case with public space creation with no alias ([\#6791](https://github.com/matrix-org/matrix-react-sdk/pull/6791)). Fixes vector-im/element-web#19003 and vector-im/element-web#19003.
 * Redirect from /#/welcome to /#/home if already logged in ([\#6786](https://github.com/matrix-org/matrix-react-sdk/pull/6786)). Fixes vector-im/element-web#18990 and vector-im/element-web#18990. Contributed by [aaronraimist](https://github.com/aaronraimist).
 * Fix build issues from two conflicting PRs landing without merge conflict ([\#6780](https://github.com/matrix-org/matrix-react-sdk/pull/6780)).
 * Render guest settings only in public rooms/spaces ([\#6693](https://github.com/matrix-org/matrix-react-sdk/pull/6693)). Fixes vector-im/element-web#18776 and vector-im/element-web#18776. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix message bubble corners being wrong in the presence of hidden events ([\#6776](https://github.com/matrix-org/matrix-react-sdk/pull/6776)). Fixes vector-im/element-web#18124 and vector-im/element-web#18124. Contributed by [robintown](https://github.com/robintown).
 * Debounce read marker update on scroll ([\#6771](https://github.com/matrix-org/matrix-react-sdk/pull/6771)). Fixes vector-im/element-web#18961 and vector-im/element-web#18961.
 * Use cursor:pointer on space panel buttons ([\#6770](https://github.com/matrix-org/matrix-react-sdk/pull/6770)). Fixes vector-im/element-web#18951 and vector-im/element-web#18951.
 * Fix regressed tab view buttons in space update toast ([\#6761](https://github.com/matrix-org/matrix-react-sdk/pull/6761)). Fixes vector-im/element-web#18781 and vector-im/element-web#18781.

Changes in [3.30.0](https://github.com/vector-im/element-desktop/releases/tag/v3.30.0) (2021-09-14)
===================================================================================================

## ✨ Features
 * Add bubble highlight styling ([\#6582](https://github.com/matrix-org/matrix-react-sdk/pull/6582)). Fixes vector-im/element-web#18295 and vector-im/element-web#18295. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * [Release] Add config option to turn on in-room event sending timing metrics  ([\#6773](https://github.com/matrix-org/matrix-react-sdk/pull/6773)).
 * Create narrow mode for Composer ([\#6682](https://github.com/matrix-org/matrix-react-sdk/pull/6682)). Fixes vector-im/element-web#18533 and vector-im/element-web#18533.
 * Prefer matrix.to alias links over room id in spaces & share ([\#6745](https://github.com/matrix-org/matrix-react-sdk/pull/6745)). Fixes vector-im/element-web#18796 and vector-im/element-web#18796.
 * Stop automatic playback of voice messages if a non-voice message is encountered ([\#6728](https://github.com/matrix-org/matrix-react-sdk/pull/6728)). Fixes vector-im/element-web#18850 and vector-im/element-web#18850.
 * Show call length during a call ([\#6700](https://github.com/matrix-org/matrix-react-sdk/pull/6700)). Fixes vector-im/element-web#18566 and vector-im/element-web#18566. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Serialize and retry mass-leave when leaving space ([\#6737](https://github.com/matrix-org/matrix-react-sdk/pull/6737)). Fixes vector-im/element-web#18789 and vector-im/element-web#18789.
 * Improve form handling in and around space creation ([\#6739](https://github.com/matrix-org/matrix-react-sdk/pull/6739)). Fixes vector-im/element-web#18775 and vector-im/element-web#18775.
 * Split autoplay GIFs and videos into different settings ([\#6726](https://github.com/matrix-org/matrix-react-sdk/pull/6726)). Fixes vector-im/element-web#5771 and vector-im/element-web#5771. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Add autoplay for voice messages ([\#6710](https://github.com/matrix-org/matrix-react-sdk/pull/6710)). Fixes vector-im/element-web#18804, vector-im/element-web#18715, vector-im/element-web#18714 vector-im/element-web#17961 and vector-im/element-web#18804.
 * Allow to use basic html to format invite messages ([\#6703](https://github.com/matrix-org/matrix-react-sdk/pull/6703)). Fixes vector-im/element-web#15738 and vector-im/element-web#15738. Contributed by [skolmer](https://github.com/skolmer).
 * Allow widgets, when eligible, to interact with more rooms as per MSC2762 ([\#6684](https://github.com/matrix-org/matrix-react-sdk/pull/6684)).
 * Remove arbitrary limits from send/receive events for widgets ([\#6719](https://github.com/matrix-org/matrix-react-sdk/pull/6719)). Fixes vector-im/element-web#17994 and vector-im/element-web#17994.
 * Reload suggested rooms if we see the state change down /sync ([\#6715](https://github.com/matrix-org/matrix-react-sdk/pull/6715)). Fixes vector-im/element-web#18761 and vector-im/element-web#18761.
 * When creating private spaces, make the initial rooms restricted if supported ([\#6721](https://github.com/matrix-org/matrix-react-sdk/pull/6721)). Fixes vector-im/element-web#18722 and vector-im/element-web#18722.
 * Threading exploration work ([\#6658](https://github.com/matrix-org/matrix-react-sdk/pull/6658)). Fixes vector-im/element-web#18532 and vector-im/element-web#18532.
 * Default to `Don't leave any` when leaving a space ([\#6697](https://github.com/matrix-org/matrix-react-sdk/pull/6697)). Fixes vector-im/element-web#18592 and vector-im/element-web#18592. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Special case redaction event sending from widgets per MSC2762 ([\#6686](https://github.com/matrix-org/matrix-react-sdk/pull/6686)). Fixes vector-im/element-web#18573 and vector-im/element-web#18573.
 * Add active speaker indicators ([\#6639](https://github.com/matrix-org/matrix-react-sdk/pull/6639)). Fixes vector-im/element-web#17627 and vector-im/element-web#17627. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Increase general app performance by optimizing layers ([\#6644](https://github.com/matrix-org/matrix-react-sdk/pull/6644)). Fixes vector-im/element-web#18730 and vector-im/element-web#18730. Contributed by [Palid](https://github.com/Palid).

## 🐛 Bug Fixes
 * Fix autocomplete not having y-scroll ([\#6802](https://github.com/matrix-org/matrix-react-sdk/pull/6802)).
 * Fix emoji picker and stickerpicker not appearing correctly when opened ([\#6801](https://github.com/matrix-org/matrix-react-sdk/pull/6801)).
 * Debounce read marker update on scroll ([\#6774](https://github.com/matrix-org/matrix-react-sdk/pull/6774)).
 * Fix Space creation wizard go to my first room button behaviour ([\#6748](https://github.com/matrix-org/matrix-react-sdk/pull/6748)). Fixes vector-im/element-web#18764 and vector-im/element-web#18764.
 * Fix scroll being stuck at bottom ([\#6751](https://github.com/matrix-org/matrix-react-sdk/pull/6751)). Fixes vector-im/element-web#18903 and vector-im/element-web#18903.
 * Fix widgets not remembering identity verification when asked to. ([\#6742](https://github.com/matrix-org/matrix-react-sdk/pull/6742)). Fixes vector-im/element-web#15631 and vector-im/element-web#15631.
 * Add missing pluralisation i18n strings for Spaces ([\#6738](https://github.com/matrix-org/matrix-react-sdk/pull/6738)). Fixes vector-im/element-web#18780 and vector-im/element-web#18780.
 * Make ForgotPassword UX slightly more user friendly ([\#6636](https://github.com/matrix-org/matrix-react-sdk/pull/6636)). Fixes vector-im/element-web#11531 and vector-im/element-web#11531. Contributed by [Palid](https://github.com/Palid).
 * Don't context switch room on SpaceStore ready as it can break permalinks ([\#6730](https://github.com/matrix-org/matrix-react-sdk/pull/6730)). Fixes vector-im/element-web#17974 and vector-im/element-web#17974.
 * Fix explore rooms button not working during space creation wizard ([\#6729](https://github.com/matrix-org/matrix-react-sdk/pull/6729)). Fixes vector-im/element-web#18762 and vector-im/element-web#18762.
 * Fix bug where one party's media would sometimes not be shown ([\#6731](https://github.com/matrix-org/matrix-react-sdk/pull/6731)).
 * Only make the initial space rooms suggested by default ([\#6714](https://github.com/matrix-org/matrix-react-sdk/pull/6714)). Fixes vector-im/element-web#18760 and vector-im/element-web#18760.
 * Replace fake username in EventTilePreview with a proper loading state ([\#6702](https://github.com/matrix-org/matrix-react-sdk/pull/6702)). Fixes vector-im/element-web#15897 and vector-im/element-web#15897. Contributed by [skolmer](https://github.com/skolmer).
 * Don't send prehistorical events to widgets during decryption at startup ([\#6695](https://github.com/matrix-org/matrix-react-sdk/pull/6695)). Fixes vector-im/element-web#18060 and vector-im/element-web#18060.
 * When creating subspaces properly set restricted join rule ([\#6725](https://github.com/matrix-org/matrix-react-sdk/pull/6725)). Fixes vector-im/element-web#18797 and vector-im/element-web#18797.
 * Fix the Image View not openning for some pinned messages ([\#6723](https://github.com/matrix-org/matrix-react-sdk/pull/6723)). Fixes vector-im/element-web#18422 and vector-im/element-web#18422. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Show autocomplete sections vertically ([\#6722](https://github.com/matrix-org/matrix-react-sdk/pull/6722)). Fixes vector-im/element-web#18860 and vector-im/element-web#18860. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix EmojiPicker filtering to lower case emojibase data strings ([\#6717](https://github.com/matrix-org/matrix-react-sdk/pull/6717)). Fixes vector-im/element-web#18686 and vector-im/element-web#18686.
 * Clear currentRoomId when viewing home page, fixing document title ([\#6716](https://github.com/matrix-org/matrix-react-sdk/pull/6716)). Fixes vector-im/element-web#18668 and vector-im/element-web#18668.
 * Fix membership updates to Spaces not applying in real-time ([\#6713](https://github.com/matrix-org/matrix-react-sdk/pull/6713)). Fixes vector-im/element-web#18737 and vector-im/element-web#18737.
 * Don't show a double stacked invite modals when inviting to Spaces ([\#6698](https://github.com/matrix-org/matrix-react-sdk/pull/6698)). Fixes vector-im/element-web#18745 and vector-im/element-web#18745. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Remove non-functional DuckDuckGo Autocomplete Provider ([\#6712](https://github.com/matrix-org/matrix-react-sdk/pull/6712)). Fixes vector-im/element-web#18778 and vector-im/element-web#18778.
 * Filter members on `MemberList` load ([\#6708](https://github.com/matrix-org/matrix-react-sdk/pull/6708)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix improper voice messages being produced in Firefox and sometimes other browsers. ([\#6696](https://github.com/matrix-org/matrix-react-sdk/pull/6696)). Fixes vector-im/element-web#18587 and vector-im/element-web#18587.
 * Fix client forgetting which capabilities a widget was approved for ([\#6685](https://github.com/matrix-org/matrix-react-sdk/pull/6685)). Fixes vector-im/element-web#18786 and vector-im/element-web#18786.
 * Fix left panel widgets not remembering collapsed state ([\#6687](https://github.com/matrix-org/matrix-react-sdk/pull/6687)). Fixes vector-im/element-web#17803 and vector-im/element-web#17803.
 * Fix changelog link colour back to blue ([\#6692](https://github.com/matrix-org/matrix-react-sdk/pull/6692)). Fixes vector-im/element-web#18726 and vector-im/element-web#18726.
 * Soften codeblock border color ([\#6564](https://github.com/matrix-org/matrix-react-sdk/pull/6564)). Fixes vector-im/element-web#18367 and vector-im/element-web#18367. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Pause ringing more aggressively ([\#6691](https://github.com/matrix-org/matrix-react-sdk/pull/6691)). Fixes vector-im/element-web#18588 and vector-im/element-web#18588. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix command autocomplete ([\#6680](https://github.com/matrix-org/matrix-react-sdk/pull/6680)). Fixes vector-im/element-web#18670 and vector-im/element-web#18670. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Don't re-sort the room-list based on profile/status changes ([\#6595](https://github.com/matrix-org/matrix-react-sdk/pull/6595)). Fixes vector-im/element-web#110 and vector-im/element-web#110. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix codeblock formatting with syntax highlighting on ([\#6681](https://github.com/matrix-org/matrix-react-sdk/pull/6681)). Fixes vector-im/element-web#18739 vector-im/element-web#18365 and vector-im/element-web#18739. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Add padding to the Add button in the notification settings ([\#6665](https://github.com/matrix-org/matrix-react-sdk/pull/6665)). Fixes vector-im/element-web#18706 and vector-im/element-web#18706. Contributed by [SimonBrandner](https://github.com/SimonBrandner).

Changes in [3.29.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.29.1) (2021-09-13)
===================================================================================================

## 🔒 SECURITY FIXES
 * Fix a security issue with message key sharing. See https://matrix.org/blog/2021/09/13/vulnerability-disclosure-key-sharing
   for details.

Changes in [3.29.0](https://github.com/vector-im/element-desktop/releases/tag/v3.29.0) (2021-08-31)
===================================================================================================

## ✨ Features
 * [Release]Increase general app performance by optimizing layers ([\#6672](https://github.com/matrix-org/matrix-react-sdk/pull/6672)). Fixes vector-im/element-web#18730 and vector-im/element-web#18730. Contributed by [Palid](https://github.com/Palid).
 * Add a warning on E2EE rooms if you try to make them public ([\#5698](https://github.com/matrix-org/matrix-react-sdk/pull/5698)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Allow pagination of the space hierarchy and use new APIs ([\#6507](https://github.com/matrix-org/matrix-react-sdk/pull/6507)). Fixes vector-im/element-web#18089 and vector-im/element-web#18427.
 * Improve emoji in composer ([\#6650](https://github.com/matrix-org/matrix-react-sdk/pull/6650)). Fixes vector-im/element-web#18593 and vector-im/element-web#18593. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Allow playback of replied-to voice message ([\#6629](https://github.com/matrix-org/matrix-react-sdk/pull/6629)). Fixes vector-im/element-web#18599 and vector-im/element-web#18599. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Format autocomplete suggestions vertically ([\#6620](https://github.com/matrix-org/matrix-react-sdk/pull/6620)). Fixes vector-im/element-web#17574 and vector-im/element-web#17574. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Remember last `MemberList` search query per-room ([\#6640](https://github.com/matrix-org/matrix-react-sdk/pull/6640)). Fixes vector-im/element-web#18613 and vector-im/element-web#18613. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Sentry rageshakes ([\#6597](https://github.com/matrix-org/matrix-react-sdk/pull/6597)). Fixes vector-im/element-web#11111 and vector-im/element-web#11111. Contributed by [novocaine](https://github.com/novocaine).
 * Autocomplete has been updated to match modern accessibility standards. Navigate via up/down arrows rather than Tab. Enter or Tab to confirm a suggestion. This should be familiar to Slack & Discord users. You can now use Tab to navigate around the application and do more without touching your mouse. No more accidentally sending half of people's names because the completion didn't fire on Enter! ([\#5659](https://github.com/matrix-org/matrix-react-sdk/pull/5659)). Fixes vector-im/element-web#4872, vector-im/element-web#11071, vector-im/element-web#17171, vector-im/element-web#15646 vector-im/element-web#4872 and vector-im/element-web#4872.
 * Add new call tile states ([\#6610](https://github.com/matrix-org/matrix-react-sdk/pull/6610)). Fixes vector-im/element-web#18521 and vector-im/element-web#18521. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Left align call tiles ([\#6609](https://github.com/matrix-org/matrix-react-sdk/pull/6609)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Make loading encrypted images look snappier ([\#6590](https://github.com/matrix-org/matrix-react-sdk/pull/6590)). Fixes vector-im/element-web#17878 and vector-im/element-web#17862. Contributed by [Palid](https://github.com/Palid).
 * Offer a way to create a space based on existing community ([\#6543](https://github.com/matrix-org/matrix-react-sdk/pull/6543)). Fixes vector-im/element-web#18092.
 * Accessibility improvements in and around Spaces ([\#6569](https://github.com/matrix-org/matrix-react-sdk/pull/6569)). Fixes vector-im/element-web#18094 and vector-im/element-web#18094.

## 🐛 Bug Fixes
 * [Release] Fix commit edit history ([\#6690](https://github.com/matrix-org/matrix-react-sdk/pull/6690)). Fixes vector-im/element-web#18742 and vector-im/element-web#18742. Contributed by [Palid](https://github.com/Palid).
 * Fix images not rendering when sent from other clients. ([\#6661](https://github.com/matrix-org/matrix-react-sdk/pull/6661)). Fixes vector-im/element-web#18702 and vector-im/element-web#18702.
 * Fix autocomplete scrollbar and make the autocomplete a little smaller ([\#6655](https://github.com/matrix-org/matrix-react-sdk/pull/6655)). Fixes vector-im/element-web#18682 and vector-im/element-web#18682. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix replies on the bubble layout ([\#6451](https://github.com/matrix-org/matrix-react-sdk/pull/6451)). Fixes vector-im/element-web#18184. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Show "Enable encryption in settings" only when the user can do that ([\#6646](https://github.com/matrix-org/matrix-react-sdk/pull/6646)). Fixes vector-im/element-web#18646 and vector-im/element-web#18646. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix cross signing setup from settings screen ([\#6633](https://github.com/matrix-org/matrix-react-sdk/pull/6633)). Fixes vector-im/element-web#17761 and vector-im/element-web#17761.
 * Fix call tiles on the bubble layout ([\#6647](https://github.com/matrix-org/matrix-react-sdk/pull/6647)). Fixes vector-im/element-web#18648 and vector-im/element-web#18648. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix error on accessing encrypted media without encryption keys ([\#6625](https://github.com/matrix-org/matrix-react-sdk/pull/6625)). Contributed by [Palid](https://github.com/Palid).
 * Fix jitsi widget sometimes being permanently stuck in the bottom-right corner ([\#6632](https://github.com/matrix-org/matrix-react-sdk/pull/6632)). Fixes vector-im/element-web#17226 and vector-im/element-web#17226. Contributed by [Palid](https://github.com/Palid).
 * Fix FilePanel pagination in E2EE rooms ([\#6630](https://github.com/matrix-org/matrix-react-sdk/pull/6630)). Fixes vector-im/element-web#18415 and vector-im/element-web#18415. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix call tile buttons ([\#6624](https://github.com/matrix-org/matrix-react-sdk/pull/6624)). Fixes vector-im/element-web#18565 and vector-im/element-web#18565. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix vertical call tile spacing issues ([\#6621](https://github.com/matrix-org/matrix-react-sdk/pull/6621)). Fixes vector-im/element-web#18558 and vector-im/element-web#18558. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix long display names in call tiles ([\#6618](https://github.com/matrix-org/matrix-react-sdk/pull/6618)). Fixes vector-im/element-web#18562 and vector-im/element-web#18562. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Avoid access token overflow ([\#6616](https://github.com/matrix-org/matrix-react-sdk/pull/6616)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Properly handle media errors  ([\#6615](https://github.com/matrix-org/matrix-react-sdk/pull/6615)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix glare related regressions ([\#6614](https://github.com/matrix-org/matrix-react-sdk/pull/6614)). Fixes vector-im/element-web#18538 and vector-im/element-web#18538. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix long display names in call toasts ([\#6617](https://github.com/matrix-org/matrix-react-sdk/pull/6617)). Fixes vector-im/element-web#18557 and vector-im/element-web#18557. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix PiP of held calls ([\#6611](https://github.com/matrix-org/matrix-react-sdk/pull/6611)). Fixes vector-im/element-web#18539 and vector-im/element-web#18539. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix call tile behaviour on narrow layouts ([\#6556](https://github.com/matrix-org/matrix-react-sdk/pull/6556)). Fixes vector-im/element-web#18398. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix video call persisting when widget removed ([\#6608](https://github.com/matrix-org/matrix-react-sdk/pull/6608)). Fixes vector-im/element-web#15703 and vector-im/element-web#15703.
 * Fix toast colors ([\#6606](https://github.com/matrix-org/matrix-react-sdk/pull/6606)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Remove tiny scrollbar dot from code blocks ([\#6596](https://github.com/matrix-org/matrix-react-sdk/pull/6596)). Fixes vector-im/element-web#18474. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Improve handling of pills in the composer ([\#6353](https://github.com/matrix-org/matrix-react-sdk/pull/6353)). Fixes vector-im/element-web#10134 vector-im/element-web#10896 and vector-im/element-web#15037. Contributed by [SimonBrandner](https://github.com/SimonBrandner).

Changes in [3.28.1](https://github.com/vector-im/element-desktop/releases/tag/v3.28.1) (2021-08-17)
===================================================================================================

## 🐛 Bug Fixes
 * Fix multiple VoIP regressions ([matrix-org/matrix-js-sdk#1860](https://github.com/matrix-org/matrix-js-sdk/pull/1860)).

Changes in [3.28.0](https://github.com/vector-im/element-desktop/releases/tag/v3.28.0) (2021-08-16)
===================================================================================================

## ✨ Features
 * Show how long a call was on call tiles ([\#6570](https://github.com/matrix-org/matrix-react-sdk/pull/6570)). Fixes vector-im/element-web#18405. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Add regional indicators to emoji picker ([\#6490](https://github.com/matrix-org/matrix-react-sdk/pull/6490)). Fixes vector-im/element-web#14963. Contributed by [robintown](https://github.com/robintown).
 * Make call control buttons accessible to screen reader users ([\#6181](https://github.com/matrix-org/matrix-react-sdk/pull/6181)). Fixes vector-im/element-web#18358. Contributed by [pvagner](https://github.com/pvagner).
 * Skip sending a thumbnail if it is not a sufficient saving over the original ([\#6559](https://github.com/matrix-org/matrix-react-sdk/pull/6559)). Fixes vector-im/element-web#17906.
 * Increase PiP snapping speed ([\#6539](https://github.com/matrix-org/matrix-react-sdk/pull/6539)). Fixes vector-im/element-web#18371. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Improve and move the incoming call toast ([\#6470](https://github.com/matrix-org/matrix-react-sdk/pull/6470)). Fixes vector-im/element-web#17912. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Allow all of the URL schemes that Firefox allows ([\#6457](https://github.com/matrix-org/matrix-react-sdk/pull/6457)). Contributed by [aaronraimist](https://github.com/aaronraimist).
 * Improve bubble layout colors ([\#6452](https://github.com/matrix-org/matrix-react-sdk/pull/6452)). Fixes vector-im/element-web#18081. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Spaces let users switch between Home and All Rooms behaviours ([\#6497](https://github.com/matrix-org/matrix-react-sdk/pull/6497)). Fixes vector-im/element-web#18093.
 * Support for MSC2285 (hidden read receipts) ([\#6390](https://github.com/matrix-org/matrix-react-sdk/pull/6390)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Group pinned message events with MELS ([\#6349](https://github.com/matrix-org/matrix-react-sdk/pull/6349)). Fixes vector-im/element-web#17938. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Make version copiable ([\#6227](https://github.com/matrix-org/matrix-react-sdk/pull/6227)). Fixes vector-im/element-web#17603 and vector-im/element-web#18329. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Improve voice messages uploading state ([\#6530](https://github.com/matrix-org/matrix-react-sdk/pull/6530)). Fixes vector-im/element-web#18226 and vector-im/element-web#18224.
 * Add surround with feature ([\#5510](https://github.com/matrix-org/matrix-react-sdk/pull/5510)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Improve call event tile wording ([\#6545](https://github.com/matrix-org/matrix-react-sdk/pull/6545)). Fixes vector-im/element-web#18376. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Show an avatar/a turned off microphone icon for muted users ([\#6486](https://github.com/matrix-org/matrix-react-sdk/pull/6486)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Prompt user to leave rooms/subspaces in a space when leaving space ([\#6424](https://github.com/matrix-org/matrix-react-sdk/pull/6424)). Fixes vector-im/element-web#18071.
 * Add customisation point to override widget variables ([\#6455](https://github.com/matrix-org/matrix-react-sdk/pull/6455)). Fixes vector-im/element-web#18035.
 * Add support for screen sharing in 1:1 calls ([\#5992](https://github.com/matrix-org/matrix-react-sdk/pull/5992)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).

## 🐛 Bug Fixes
 * [Release] Fix glare related regressions ([\#6622](https://github.com/matrix-org/matrix-react-sdk/pull/6622)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * [Release] Fix PiP of held calls ([\#6612](https://github.com/matrix-org/matrix-react-sdk/pull/6612)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * [Release] Fix toast colors ([\#6607](https://github.com/matrix-org/matrix-react-sdk/pull/6607)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix [object Object] in Widget Permissions ([\#6560](https://github.com/matrix-org/matrix-react-sdk/pull/6560)). Fixes vector-im/element-web#18384. Contributed by [Palid](https://github.com/Palid).
 * Fix right margin for events on IRC layout ([\#6542](https://github.com/matrix-org/matrix-react-sdk/pull/6542)). Fixes vector-im/element-web#18354.
 * Mirror only usermedia feeds ([\#6512](https://github.com/matrix-org/matrix-react-sdk/pull/6512)). Fixes vector-im/element-web#5633. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix LogoutDialog warning + TypeScript migration ([\#6533](https://github.com/matrix-org/matrix-react-sdk/pull/6533)).
 * Fix the wrong font being used in the room topic field ([\#6527](https://github.com/matrix-org/matrix-react-sdk/pull/6527)). Fixes vector-im/element-web#18339. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix inconsistent styling for links on hover ([\#6513](https://github.com/matrix-org/matrix-react-sdk/pull/6513)). Contributed by [janogarcia](https://github.com/janogarcia).
 * Fix incorrect height for encoded placeholder images ([\#6514](https://github.com/matrix-org/matrix-react-sdk/pull/6514)). Contributed by [Palid](https://github.com/Palid).
 * Fix call events layout for message bubble ([\#6465](https://github.com/matrix-org/matrix-react-sdk/pull/6465)). Fixes vector-im/element-web#18144.
 * Improve subspaces and some utilities around room/space creation ([\#6458](https://github.com/matrix-org/matrix-react-sdk/pull/6458)). Fixes vector-im/element-web#18090 vector-im/element-web#18091 and vector-im/element-web#17256.
 * Restore pointer cursor for SenderProfile in message bubbles ([\#6501](https://github.com/matrix-org/matrix-react-sdk/pull/6501)). Fixes vector-im/element-web#18249.
 * Fix issues with the Call View ([\#6472](https://github.com/matrix-org/matrix-react-sdk/pull/6472)). Fixes vector-im/element-web#18221. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Align event list summary read receipts when using message bubbles ([\#6500](https://github.com/matrix-org/matrix-react-sdk/pull/6500)). Fixes vector-im/element-web#18143.
 * Better positioning for unbubbled events in timeline ([\#6477](https://github.com/matrix-org/matrix-react-sdk/pull/6477)). Fixes vector-im/element-web#18132.
 * Realign reactions row with messages in modern layout ([\#6491](https://github.com/matrix-org/matrix-react-sdk/pull/6491)). Fixes vector-im/element-web#18118. Contributed by [robintown](https://github.com/robintown).
 * Fix CreateRoomDialog exploding when making public room outside of a space ([\#6492](https://github.com/matrix-org/matrix-react-sdk/pull/6492)). Fixes vector-im/element-web#18275.
 * Fix call crashing because `element` was undefined ([\#6488](https://github.com/matrix-org/matrix-react-sdk/pull/6488)). Fixes vector-im/element-web#18270. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Upscale thumbnails to the container size ([\#6589](https://github.com/matrix-org/matrix-react-sdk/pull/6589)). Fixes vector-im/element-web#18307.
 * Fix create room dialog in spaces no longer adding to the space ([\#6587](https://github.com/matrix-org/matrix-react-sdk/pull/6587)). Fixes vector-im/element-web#18465.
 * Don't show a modal on call reject/user hangup ([\#6580](https://github.com/matrix-org/matrix-react-sdk/pull/6580)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fade Call View Buttons after `componentDidMount` ([\#6581](https://github.com/matrix-org/matrix-react-sdk/pull/6581)). Fixes vector-im/element-web#18439. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix missing expand button on codeblocks ([\#6565](https://github.com/matrix-org/matrix-react-sdk/pull/6565)). Fixes vector-im/element-web#18388. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * allow customizing the bubble layout colors ([\#6568](https://github.com/matrix-org/matrix-react-sdk/pull/6568)). Fixes vector-im/element-web#18408. Contributed by [benneti](https://github.com/benneti).
 * Don't flash "Missed call" when accepting a call ([\#6567](https://github.com/matrix-org/matrix-react-sdk/pull/6567)). Fixes vector-im/element-web#18404. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix clicking whitespaces on replies ([\#6571](https://github.com/matrix-org/matrix-react-sdk/pull/6571)). Fixes vector-im/element-web#18327. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix disabled state for voice messages + send button tooltip ([\#6562](https://github.com/matrix-org/matrix-react-sdk/pull/6562)). Fixes vector-im/element-web#18413.
 * Fix voice feed being cut-off ([\#6550](https://github.com/matrix-org/matrix-react-sdk/pull/6550)). Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix sizing issues of the screen picker ([\#6498](https://github.com/matrix-org/matrix-react-sdk/pull/6498)). Fixes vector-im/element-web#18281. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Stop voice messages that are playing when starting a recording ([\#6563](https://github.com/matrix-org/matrix-react-sdk/pull/6563)). Fixes vector-im/element-web#18410.
 * Properly set style attribute on shared usercontent iframe ([\#6561](https://github.com/matrix-org/matrix-react-sdk/pull/6561)). Fixes vector-im/element-web#18414.
 * Null guard space inviter to prevent the app exploding ([\#6558](https://github.com/matrix-org/matrix-react-sdk/pull/6558)).
 * Make the ringing sound mutable/disablable ([\#6534](https://github.com/matrix-org/matrix-react-sdk/pull/6534)). Fixes vector-im/element-web#15591. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix wrong cursor being used in PiP ([\#6551](https://github.com/matrix-org/matrix-react-sdk/pull/6551)). Fixes vector-im/element-web#18383. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Re-pin Jitsi if the widget already exists ([\#6226](https://github.com/matrix-org/matrix-react-sdk/pull/6226)). Fixes vector-im/element-web#17679. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix broken call notification regression ([\#6526](https://github.com/matrix-org/matrix-react-sdk/pull/6526)). Fixes vector-im/element-web#18335. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * createRoom, only send join rule event if we have a join rule to put in it ([\#6516](https://github.com/matrix-org/matrix-react-sdk/pull/6516)). Fixes vector-im/element-web#18301.
 * Fix clicking pills inside replies ([\#6508](https://github.com/matrix-org/matrix-react-sdk/pull/6508)). Fixes vector-im/element-web#18283. Contributed by [SimonBrandner](https://github.com/SimonBrandner).
 * Fix grecaptcha regression ([\#6503](https://github.com/matrix-org/matrix-react-sdk/pull/6503)). Fixes vector-im/element-web#18284. Contributed by [Palid](https://github.com/Palid).

Changes in [3.27.0](https://github.com/vector-im/element-desktop/releases/tag/v3.27.0) (2021-08-02)
===================================================================================================

## 🔒 SECURITY FIXES
 * Sanitize untrusted variables from message previews before translation
   Fixes vector-im/element-web#18314

## ✨ Features
 * Fix editing of `<sub>` & `<sup`> & `<u>`
   [\#6469](https://github.com/matrix-org/matrix-react-sdk/pull/6469)
   Fixes vector-im/element-web#18211
 * Zoom images in lightbox to where the cursor points
   [\#6418](https://github.com/matrix-org/matrix-react-sdk/pull/6418)
   Fixes vector-im/element-web#17870
 * Avoid hitting the settings store from TextForEvent
   [\#6205](https://github.com/matrix-org/matrix-react-sdk/pull/6205)
   Fixes vector-im/element-web#17650
 * Initial MSC3083 + MSC3244 support
   [\#6212](https://github.com/matrix-org/matrix-react-sdk/pull/6212)
   Fixes vector-im/element-web#17686 and vector-im/element-web#17661
 * Navigate to the first room with notifications when clicked on space notification dot
   [\#5974](https://github.com/matrix-org/matrix-react-sdk/pull/5974)
 * Add matrix: to the list of permitted URL schemes
   [\#6388](https://github.com/matrix-org/matrix-react-sdk/pull/6388)
 * Add "Copy Link" to room context menu
   [\#6374](https://github.com/matrix-org/matrix-react-sdk/pull/6374)
 * 💭 Message bubble layout
   [\#6291](https://github.com/matrix-org/matrix-react-sdk/pull/6291)
   Fixes vector-im/element-web#4635, vector-im/element-web#17773 vector-im/element-web#16220 and vector-im/element-web#7687
 * Play only one audio file at a time
   [\#6417](https://github.com/matrix-org/matrix-react-sdk/pull/6417)
   Fixes vector-im/element-web#17439
 * Move download button for media to the action bar
   [\#6386](https://github.com/matrix-org/matrix-react-sdk/pull/6386)
   Fixes vector-im/element-web#17943
 * Improved display of one-to-one call history with summary boxes for each call
   [\#6121](https://github.com/matrix-org/matrix-react-sdk/pull/6121)
   Fixes vector-im/element-web#16409
 * Notification settings UI refresh
   [\#6352](https://github.com/matrix-org/matrix-react-sdk/pull/6352)
   Fixes vector-im/element-web#17782
 * Fix EventIndex double handling events and erroring
   [\#6385](https://github.com/matrix-org/matrix-react-sdk/pull/6385)
   Fixes vector-im/element-web#18008
 * Improve reply rendering
   [\#3553](https://github.com/matrix-org/matrix-react-sdk/pull/3553)
   Fixes vector-im/riot-web#9217, vector-im/riot-web#7633, vector-im/riot-web#7530, vector-im/riot-web#7169, vector-im/riot-web#7151, vector-im/riot-web#6692 vector-im/riot-web#6579 and vector-im/element-web#17440

## 🐛 Bug Fixes
 * Fix CreateRoomDialog exploding when making public room outside of a space
   [\#6493](https://github.com/matrix-org/matrix-react-sdk/pull/6493)
 * Fix regression where registration would soft-crash on captcha
   [\#6505](https://github.com/matrix-org/matrix-react-sdk/pull/6505)
   Fixes vector-im/element-web#18284
 * only send join rule event if we have a join rule to put in it
   [\#6517](https://github.com/matrix-org/matrix-react-sdk/pull/6517)
 * Improve the new download button's discoverability and interactions.
   [\#6510](https://github.com/matrix-org/matrix-react-sdk/pull/6510)
 * Fix voice recording UI looking broken while microphone permissions are being requested.
   [\#6479](https://github.com/matrix-org/matrix-react-sdk/pull/6479)
   Fixes vector-im/element-web#18223
 * Match colors of room and user avatars in DMs
   [\#6393](https://github.com/matrix-org/matrix-react-sdk/pull/6393)
   Fixes vector-im/element-web#2449
 * Fix onPaste handler to work with copying files from Finder
   [\#5389](https://github.com/matrix-org/matrix-react-sdk/pull/5389)
   Fixes vector-im/element-web#15536 and vector-im/element-web#16255
 * Fix infinite pagination loop when offline
   [\#6478](https://github.com/matrix-org/matrix-react-sdk/pull/6478)
   Fixes vector-im/element-web#18242
 * Fix blurhash rounded corners missing regression
   [\#6467](https://github.com/matrix-org/matrix-react-sdk/pull/6467)
   Fixes vector-im/element-web#18110
 * Fix position of the space hierarchy spinner
   [\#6462](https://github.com/matrix-org/matrix-react-sdk/pull/6462)
   Fixes vector-im/element-web#18182
 * Fix display of image messages that lack thumbnails
   [\#6456](https://github.com/matrix-org/matrix-react-sdk/pull/6456)
   Fixes vector-im/element-web#18175
 * Fix crash with large audio files.
   [\#6436](https://github.com/matrix-org/matrix-react-sdk/pull/6436)
   Fixes vector-im/element-web#18149
 * Make diff colors in codeblocks more pleasant
   [\#6355](https://github.com/matrix-org/matrix-react-sdk/pull/6355)
   Fixes vector-im/element-web#17939
 * Show the correct audio file duration while loading the file.
   [\#6435](https://github.com/matrix-org/matrix-react-sdk/pull/6435)
   Fixes vector-im/element-web#18160
 * Fix various timeline settings not applying immediately.
   [\#6261](https://github.com/matrix-org/matrix-react-sdk/pull/6261)
   Fixes vector-im/element-web#17748
 * Fix issues with room list duplication
   [\#6391](https://github.com/matrix-org/matrix-react-sdk/pull/6391)
   Fixes vector-im/element-web#14508
 * Fix grecaptcha throwing useless error sometimes
   [\#6401](https://github.com/matrix-org/matrix-react-sdk/pull/6401)
   Fixes vector-im/element-web#15142
 * Update Emojibase and Twemoji and switch to IamCal (Slack-style) shortcodes
   [\#6347](https://github.com/matrix-org/matrix-react-sdk/pull/6347)
   Fixes vector-im/element-web#13857 and vector-im/element-web#13334
 * Respect compound emojis in default avatar initial generation
   [\#6397](https://github.com/matrix-org/matrix-react-sdk/pull/6397)
   Fixes vector-im/element-web#18040
 * Fix bug where the 'other homeserver' field in the server selection dialog would become briefly focus and then unfocus when clicked.
   [\#6394](https://github.com/matrix-org/matrix-react-sdk/pull/6394)
   Fixes vector-im/element-web#18031
 * Standardise spelling and casing of homeserver, identity server, and integration manager
   [\#6365](https://github.com/matrix-org/matrix-react-sdk/pull/6365)
 * Fix widgets not receiving decrypted events when they have permission.
   [\#6371](https://github.com/matrix-org/matrix-react-sdk/pull/6371)
   Fixes vector-im/element-web#17615
 * Prevent client hangs when calculating blurhashes
   [\#6366](https://github.com/matrix-org/matrix-react-sdk/pull/6366)
   Fixes vector-im/element-web#17945
 * Exclude state events from widgets reading room events
   [\#6378](https://github.com/matrix-org/matrix-react-sdk/pull/6378)
 * Cache feature_spaces\* flags to improve performance
   [\#6381](https://github.com/matrix-org/matrix-react-sdk/pull/6381)

Changes in [3.26.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.26.0) (2021-07-19)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.26.0-rc.1...v3.26.0)

 * Fix 'User' type import
   [\#6376](https://github.com/matrix-org/matrix-react-sdk/pull/6376)

Changes in [3.26.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.26.0-rc.1) (2021-07-14)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.25.0...v3.26.0-rc.1)

 * Fix voice messages in right panels
   [\#6370](https://github.com/matrix-org/matrix-react-sdk/pull/6370)
 * Use TileShape enum more universally
   [\#6369](https://github.com/matrix-org/matrix-react-sdk/pull/6369)
 * Translations update from Weblate
   [\#6373](https://github.com/matrix-org/matrix-react-sdk/pull/6373)
 * Hide world readable history option in encrypted rooms
   [\#5947](https://github.com/matrix-org/matrix-react-sdk/pull/5947)
 * Make the Image View buttons easier to hit
   [\#6372](https://github.com/matrix-org/matrix-react-sdk/pull/6372)
 * Reorder buttons in the Image View
   [\#6368](https://github.com/matrix-org/matrix-react-sdk/pull/6368)
 * Add VS Code to gitignore
   [\#6367](https://github.com/matrix-org/matrix-react-sdk/pull/6367)
 * Fix inviter exploding due to member being null
   [\#6362](https://github.com/matrix-org/matrix-react-sdk/pull/6362)
 * Increase sample count in voice message thumbnail
   [\#6359](https://github.com/matrix-org/matrix-react-sdk/pull/6359)
 * Improve arraySeed utility
   [\#6360](https://github.com/matrix-org/matrix-react-sdk/pull/6360)
 * Convert FontManager to TS and stub it out for tests
   [\#6358](https://github.com/matrix-org/matrix-react-sdk/pull/6358)
 * Adjust recording waveform behaviour for voice messages
   [\#6357](https://github.com/matrix-org/matrix-react-sdk/pull/6357)
 * Do not honor string power levels
   [\#6245](https://github.com/matrix-org/matrix-react-sdk/pull/6245)
 * Add alias and directory customisation points
   [\#6343](https://github.com/matrix-org/matrix-react-sdk/pull/6343)
 * Fix multiinviter user already in room and clean up code
   [\#6354](https://github.com/matrix-org/matrix-react-sdk/pull/6354)
 * Fix right panel not closing user info when changing rooms
   [\#6341](https://github.com/matrix-org/matrix-react-sdk/pull/6341)
 * Quit sticker picker on m.sticker
   [\#5679](https://github.com/matrix-org/matrix-react-sdk/pull/5679)
 * Don't autodetect language in inline code blocks
   [\#6350](https://github.com/matrix-org/matrix-react-sdk/pull/6350)
 * Make ghost button background transparent
   [\#6331](https://github.com/matrix-org/matrix-react-sdk/pull/6331)
 * only consider valid & loaded url previews for show N more prompt
   [\#6346](https://github.com/matrix-org/matrix-react-sdk/pull/6346)
 * Extract MXCs from _matrix/media/r0/ URLs for inline images in messages
   [\#6335](https://github.com/matrix-org/matrix-react-sdk/pull/6335)
 * Fix small visual regression with the site name on url previews
   [\#6342](https://github.com/matrix-org/matrix-react-sdk/pull/6342)
 * Make PIP CallView draggable/movable
   [\#5952](https://github.com/matrix-org/matrix-react-sdk/pull/5952)
 * Convert VoiceUserSettingsTab to TS
   [\#6340](https://github.com/matrix-org/matrix-react-sdk/pull/6340)
 * Simplify typescript definition for Modernizr
   [\#6339](https://github.com/matrix-org/matrix-react-sdk/pull/6339)
 * Remember the last used server for room directory searches
   [\#6322](https://github.com/matrix-org/matrix-react-sdk/pull/6322)
 * Focus composer after reacting
   [\#6332](https://github.com/matrix-org/matrix-react-sdk/pull/6332)
 * Fix bug which prevented more than one event getting pinned
   [\#6336](https://github.com/matrix-org/matrix-react-sdk/pull/6336)
 * Make DeviceListener also update on megolm key in SSSS
   [\#6337](https://github.com/matrix-org/matrix-react-sdk/pull/6337)
 * Improve URL previews
   [\#6326](https://github.com/matrix-org/matrix-react-sdk/pull/6326)
 * Don't close settings dialog when opening spaces feedback prompt
   [\#6334](https://github.com/matrix-org/matrix-react-sdk/pull/6334)
 * Update import location for types
   [\#6330](https://github.com/matrix-org/matrix-react-sdk/pull/6330)
 * Improve blurhash rendering performance
   [\#6329](https://github.com/matrix-org/matrix-react-sdk/pull/6329)
 * Use a proper color scheme for codeblocks
   [\#6320](https://github.com/matrix-org/matrix-react-sdk/pull/6320)
 * Burn `sdk.getComponent()` with 🔥
   [\#6308](https://github.com/matrix-org/matrix-react-sdk/pull/6308)
 * Fix instances of the Edit Message Composer's save button being wrongly
   disabled
   [\#6307](https://github.com/matrix-org/matrix-react-sdk/pull/6307)
 * Do not generate a lockfile when running in CI
   [\#6327](https://github.com/matrix-org/matrix-react-sdk/pull/6327)
 * Update lockfile with correct dependencies
   [\#6324](https://github.com/matrix-org/matrix-react-sdk/pull/6324)
 * Clarify the keys we use when submitting rageshakes
   [\#6321](https://github.com/matrix-org/matrix-react-sdk/pull/6321)
 * Fix ImageView context menu
   [\#6318](https://github.com/matrix-org/matrix-react-sdk/pull/6318)
 * TypeScript migration
   [\#6315](https://github.com/matrix-org/matrix-react-sdk/pull/6315)
 * Move animation to compositor
   [\#6310](https://github.com/matrix-org/matrix-react-sdk/pull/6310)
 * Reorganize preferences
   [\#5742](https://github.com/matrix-org/matrix-react-sdk/pull/5742)
 * Fix being able to un-rotate images
   [\#6313](https://github.com/matrix-org/matrix-react-sdk/pull/6313)
 * Fix icon size in passphrase prompt
   [\#6312](https://github.com/matrix-org/matrix-react-sdk/pull/6312)
 * Use sleep & defer from js-sdk instead of duplicating it
   [\#6305](https://github.com/matrix-org/matrix-react-sdk/pull/6305)
 * Convert EventTimeline, EventTimelineSet and TimelineWindow to TS
   [\#6295](https://github.com/matrix-org/matrix-react-sdk/pull/6295)
 * Comply with new member-delimiter-style rule
   [\#6306](https://github.com/matrix-org/matrix-react-sdk/pull/6306)
 * Fix Test Linting
   [\#6304](https://github.com/matrix-org/matrix-react-sdk/pull/6304)
 * Convert Markdown to TypeScript
   [\#6303](https://github.com/matrix-org/matrix-react-sdk/pull/6303)
 * Convert RoomHeader to TS
   [\#6302](https://github.com/matrix-org/matrix-react-sdk/pull/6302)
 * Prevent RoomDirectory from exploding when filterString is wrongly nulled
   [\#6296](https://github.com/matrix-org/matrix-react-sdk/pull/6296)
 * Add support for blurhash (MSC2448)
   [\#5099](https://github.com/matrix-org/matrix-react-sdk/pull/5099)
 * Remove rateLimitedFunc
   [\#6300](https://github.com/matrix-org/matrix-react-sdk/pull/6300)
 * Convert some Key Verification classes to TypeScript
   [\#6299](https://github.com/matrix-org/matrix-react-sdk/pull/6299)
 * Typescript conversion of Composer components and more
   [\#6292](https://github.com/matrix-org/matrix-react-sdk/pull/6292)
 * Upgrade browserlist target versions
   [\#6298](https://github.com/matrix-org/matrix-react-sdk/pull/6298)
 * Fix browser crashing when searching for a malformed HTML tag
   [\#6297](https://github.com/matrix-org/matrix-react-sdk/pull/6297)
 * Add custom audio player
   [\#6264](https://github.com/matrix-org/matrix-react-sdk/pull/6264)
 * Lint MXC APIs to centralise access
   [\#6293](https://github.com/matrix-org/matrix-react-sdk/pull/6293)
 * Remove reminescent references to the tinter
   [\#6290](https://github.com/matrix-org/matrix-react-sdk/pull/6290)
 * More js-sdk type consolidation
   [\#6263](https://github.com/matrix-org/matrix-react-sdk/pull/6263)
 * Convert MessagePanel, TimelinePanel, ScrollPanel, and more to Typescript
   [\#6243](https://github.com/matrix-org/matrix-react-sdk/pull/6243)
 * Migrate to `eslint-plugin-matrix-org`
   [\#6285](https://github.com/matrix-org/matrix-react-sdk/pull/6285)
 * Avoid cyclic dependencies by moving watchers out of constructor
   [\#6287](https://github.com/matrix-org/matrix-react-sdk/pull/6287)
 * Add spacing between toast buttons with cross browser support in mind
   [\#6284](https://github.com/matrix-org/matrix-react-sdk/pull/6284)
 * Deprecate Tinter and TintableSVG
   [\#6279](https://github.com/matrix-org/matrix-react-sdk/pull/6279)
 * Migrate FilePanel to TypeScript
   [\#6283](https://github.com/matrix-org/matrix-react-sdk/pull/6283)

Changes in [3.25.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.25.0) (2021-07-05)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.25.0-rc.1...v3.25.0)

 * Remove reminescent references to the tinter
   [\#6316](https://github.com/matrix-org/matrix-react-sdk/pull/6316)
 * Update to released version of js-sdk

Changes in [3.25.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.25.0-rc.1) (2021-06-29)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.24.0...v3.25.0-rc.1)

 * Update to js-sdk v12.0.1-rc.1
 * Translations update from Weblate
   [\#6286](https://github.com/matrix-org/matrix-react-sdk/pull/6286)
 * Fix back button on user info card after clicking a permalink
   [\#6277](https://github.com/matrix-org/matrix-react-sdk/pull/6277)
 * Group ACLs with MELS
   [\#6280](https://github.com/matrix-org/matrix-react-sdk/pull/6280)
 * Fix editState not getting passed through
   [\#6282](https://github.com/matrix-org/matrix-react-sdk/pull/6282)
 * Migrate message context menu to IconizedContextMenu
   [\#5671](https://github.com/matrix-org/matrix-react-sdk/pull/5671)
 * Improve audio recording performance
   [\#6240](https://github.com/matrix-org/matrix-react-sdk/pull/6240)
 * Fix multiple timeline panels handling composer and edit events
   [\#6278](https://github.com/matrix-org/matrix-react-sdk/pull/6278)
 * Let m.notice messages mark a room as unread
   [\#6281](https://github.com/matrix-org/matrix-react-sdk/pull/6281)
 * Removes the override on the Bubble Container
   [\#5953](https://github.com/matrix-org/matrix-react-sdk/pull/5953)
 * Fix IRC layout regressions
   [\#6193](https://github.com/matrix-org/matrix-react-sdk/pull/6193)
 * Fix trashcan.svg by exporting it with its viewbox
   [\#6248](https://github.com/matrix-org/matrix-react-sdk/pull/6248)
 * Fix tiny scrollbar dot on chrome/electron in Forward Dialog
   [\#6276](https://github.com/matrix-org/matrix-react-sdk/pull/6276)
 * Upgrade puppeteer to use newer version of Chrome
   [\#6268](https://github.com/matrix-org/matrix-react-sdk/pull/6268)
 * Make toast dismiss button less prominent
   [\#6275](https://github.com/matrix-org/matrix-react-sdk/pull/6275)
 * Encrypt the voice message file if needed
   [\#6269](https://github.com/matrix-org/matrix-react-sdk/pull/6269)
 * Fix hyper-precise presence
   [\#6270](https://github.com/matrix-org/matrix-react-sdk/pull/6270)
 * Fix issues around private spaces, including previewable
   [\#6265](https://github.com/matrix-org/matrix-react-sdk/pull/6265)
 * Make _pinned messages_ in `m.room.pinned_events` event clickable
   [\#6257](https://github.com/matrix-org/matrix-react-sdk/pull/6257)
 * Fix space avatar management layout being broken
   [\#6266](https://github.com/matrix-org/matrix-react-sdk/pull/6266)
 * Convert EntityTile, MemberTile and PresenceLabel to TS
   [\#6251](https://github.com/matrix-org/matrix-react-sdk/pull/6251)
 * Fix UserInfo not working when rendered without a room
   [\#6260](https://github.com/matrix-org/matrix-react-sdk/pull/6260)
 * Update membership reason handling, including leave reason displaying
   [\#6253](https://github.com/matrix-org/matrix-react-sdk/pull/6253)
 * Consolidate types with js-sdk changes
   [\#6220](https://github.com/matrix-org/matrix-react-sdk/pull/6220)
 * Fix edit history modal
   [\#6258](https://github.com/matrix-org/matrix-react-sdk/pull/6258)
 * Convert MemberList to TS
   [\#6249](https://github.com/matrix-org/matrix-react-sdk/pull/6249)
 * Fix two PRs duplicating the css attribute
   [\#6259](https://github.com/matrix-org/matrix-react-sdk/pull/6259)
 * Improve invite error messages in InviteDialog for room invites
   [\#6201](https://github.com/matrix-org/matrix-react-sdk/pull/6201)
 * Fix invite dialog being cut off when it has limited results
   [\#6256](https://github.com/matrix-org/matrix-react-sdk/pull/6256)
 * Fix pinning event in a room which hasn't had events pinned in before
   [\#6255](https://github.com/matrix-org/matrix-react-sdk/pull/6255)
 * Allow modal widget buttons to be disabled when the modal opens
   [\#6178](https://github.com/matrix-org/matrix-react-sdk/pull/6178)
 * Decrease e2e shield fill mask size so that it doesn't overlap
   [\#6250](https://github.com/matrix-org/matrix-react-sdk/pull/6250)
 * Dial Pad UI bug fixes
   [\#5786](https://github.com/matrix-org/matrix-react-sdk/pull/5786)
 * Simple handling of mid-call output changes
   [\#6247](https://github.com/matrix-org/matrix-react-sdk/pull/6247)
 * Improve ForwardDialog performance by using TruncatedList
   [\#6228](https://github.com/matrix-org/matrix-react-sdk/pull/6228)
 * Fix dependency and lockfile mismatch
   [\#6246](https://github.com/matrix-org/matrix-react-sdk/pull/6246)
 * Improve room directory click behaviour
   [\#6234](https://github.com/matrix-org/matrix-react-sdk/pull/6234)
 * Fix keyboard accessibility of the space panel
   [\#6239](https://github.com/matrix-org/matrix-react-sdk/pull/6239)
 * Add ways to manage addresses for Spaces
   [\#6151](https://github.com/matrix-org/matrix-react-sdk/pull/6151)
 * Hide communities invites and the community autocompleter when Spaces on
   [\#6244](https://github.com/matrix-org/matrix-react-sdk/pull/6244)
 * Convert bunch of files to TS
   [\#6241](https://github.com/matrix-org/matrix-react-sdk/pull/6241)
 * Open local addresses section by default when there are no existing local
   addresses
   [\#6179](https://github.com/matrix-org/matrix-react-sdk/pull/6179)
 * Allow reordering of the space panel via Drag and Drop
   [\#6137](https://github.com/matrix-org/matrix-react-sdk/pull/6137)
 * Replace drag and drop mechanism in communities with something simpler
   [\#6134](https://github.com/matrix-org/matrix-react-sdk/pull/6134)
 * EventTilePreview fixes
   [\#6000](https://github.com/matrix-org/matrix-react-sdk/pull/6000)
 * Upgrade @types/react and @types/react-dom
   [\#6233](https://github.com/matrix-org/matrix-react-sdk/pull/6233)
 * Fix type error in the SpaceStore
   [\#6242](https://github.com/matrix-org/matrix-react-sdk/pull/6242)
 * Add experimental options to the Spaces beta
   [\#6199](https://github.com/matrix-org/matrix-react-sdk/pull/6199)
 * Consolidate types with js-sdk changes
   [\#6215](https://github.com/matrix-org/matrix-react-sdk/pull/6215)
 * Fix branch matching for Buildkite
   [\#6236](https://github.com/matrix-org/matrix-react-sdk/pull/6236)
 * Migrate SearchBar to TypeScript
   [\#6230](https://github.com/matrix-org/matrix-react-sdk/pull/6230)
 * Add support to keyboard shortcuts dialog for [digits]
   [\#6088](https://github.com/matrix-org/matrix-react-sdk/pull/6088)
 * Fix modal opening race condition
   [\#6238](https://github.com/matrix-org/matrix-react-sdk/pull/6238)
 * Deprecate FormButton in favour of AccessibleButton
   [\#6229](https://github.com/matrix-org/matrix-react-sdk/pull/6229)
 * Add PR template
   [\#6216](https://github.com/matrix-org/matrix-react-sdk/pull/6216)
 * Prefer canonical aliases while autocompleting rooms
   [\#6222](https://github.com/matrix-org/matrix-react-sdk/pull/6222)
 * Fix quote button
   [\#6232](https://github.com/matrix-org/matrix-react-sdk/pull/6232)
 * Restore branch matching support for GitHub Actions e2e tests
   [\#6224](https://github.com/matrix-org/matrix-react-sdk/pull/6224)
 * Fix View Source accessing renamed private field on MatrixEvent
   [\#6225](https://github.com/matrix-org/matrix-react-sdk/pull/6225)
 * Fix ConfirmUserActionDialog returning an input field rather than text
   [\#6219](https://github.com/matrix-org/matrix-react-sdk/pull/6219)
 * Revert "Partially restore immutable event objects at the rendering layer"
   [\#6221](https://github.com/matrix-org/matrix-react-sdk/pull/6221)
 * Add jq to e2e tests Dockerfile
   [\#6218](https://github.com/matrix-org/matrix-react-sdk/pull/6218)
 * Partially restore immutable event objects at the rendering layer
   [\#6196](https://github.com/matrix-org/matrix-react-sdk/pull/6196)
 * Update MSC number references for voice messages
   [\#6197](https://github.com/matrix-org/matrix-react-sdk/pull/6197)
 * Fix phase enum usage in JS modules as well
   [\#6214](https://github.com/matrix-org/matrix-react-sdk/pull/6214)
 * Migrate some dialogs to TypeScript
   [\#6185](https://github.com/matrix-org/matrix-react-sdk/pull/6185)
 * Typescript fixes due to MatrixEvent being TSified
   [\#6208](https://github.com/matrix-org/matrix-react-sdk/pull/6208)
 * Allow click-to-ping, quote & emoji picker for edit composer too
   [\#5858](https://github.com/matrix-org/matrix-react-sdk/pull/5858)
 * Add call silencing
   [\#6082](https://github.com/matrix-org/matrix-react-sdk/pull/6082)
 * Fix types in SlashCommands
   [\#6207](https://github.com/matrix-org/matrix-react-sdk/pull/6207)
 * Benchmark multiple common user scenario
   [\#6190](https://github.com/matrix-org/matrix-react-sdk/pull/6190)
 * Fix forward dialog message preview display names
   [\#6204](https://github.com/matrix-org/matrix-react-sdk/pull/6204)
 * Remove stray bullet point in reply preview
   [\#6206](https://github.com/matrix-org/matrix-react-sdk/pull/6206)
 * Stop requesting null next replies from the server
   [\#6203](https://github.com/matrix-org/matrix-react-sdk/pull/6203)
 * Fix soft crash caused by a broken shouldComponentUpdate
   [\#6202](https://github.com/matrix-org/matrix-react-sdk/pull/6202)
 * Keep composer reply when scrolling away from a highlighted event
   [\#6200](https://github.com/matrix-org/matrix-react-sdk/pull/6200)
 * Cache virtual/native room mappings when they're created
   [\#6194](https://github.com/matrix-org/matrix-react-sdk/pull/6194)
 * Disable comment-on-alert
   [\#6191](https://github.com/matrix-org/matrix-react-sdk/pull/6191)
 * Bump postcss from 7.0.35 to 7.0.36
   [\#6195](https://github.com/matrix-org/matrix-react-sdk/pull/6195)

Changes in [3.24.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.24.0) (2021-06-21)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.24.0-rc.1...v3.24.0)

 * Upgrade to JS SDK 12.0.0
 * [Release] Keep composer reply when scrolling away from a highlighted event
   [\#6211](https://github.com/matrix-org/matrix-react-sdk/pull/6211)
 * [Release] Remove stray bullet point in reply preview
   [\#6210](https://github.com/matrix-org/matrix-react-sdk/pull/6210)
 * [Release] Stop requesting null next replies from the server
   [\#6209](https://github.com/matrix-org/matrix-react-sdk/pull/6209)

Changes in [3.24.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.24.0-rc.1) (2021-06-15)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.23.0...v3.24.0-rc.1)

 * Upgrade to JS SDK 12.0.0-rc.1
 * Translations update from Weblate
   [\#6192](https://github.com/matrix-org/matrix-react-sdk/pull/6192)
 * Disable comment-on-alert for PR coming from a fork
   [\#6189](https://github.com/matrix-org/matrix-react-sdk/pull/6189)
 * Add JS benchmark tracking in CI
   [\#6177](https://github.com/matrix-org/matrix-react-sdk/pull/6177)
 * Upgrade matrix-react-test-utils for React 17 peer deps
   [\#6187](https://github.com/matrix-org/matrix-react-sdk/pull/6187)
 * Fix display name overlaps on the IRC layout
   [\#6186](https://github.com/matrix-org/matrix-react-sdk/pull/6186)
 * Small fixes to the spaces experience
   [\#6184](https://github.com/matrix-org/matrix-react-sdk/pull/6184)
 * Add footer and privacy note to the start dm dialog
   [\#6111](https://github.com/matrix-org/matrix-react-sdk/pull/6111)
 * Format mxids when disambiguation needed
   [\#5880](https://github.com/matrix-org/matrix-react-sdk/pull/5880)
 * Move various createRoom types to the js-sdk
   [\#6183](https://github.com/matrix-org/matrix-react-sdk/pull/6183)
 * Fix HTML tag for Event Tile when not rendered in a list
   [\#6175](https://github.com/matrix-org/matrix-react-sdk/pull/6175)
 * Remove legacy polyfills and unused dependencies
   [\#6176](https://github.com/matrix-org/matrix-react-sdk/pull/6176)
 * Fix buggy hovering/selecting of event tiles
   [\#6173](https://github.com/matrix-org/matrix-react-sdk/pull/6173)
 * Add room intro warning when e2ee is not enabled
   [\#5929](https://github.com/matrix-org/matrix-react-sdk/pull/5929)
 * Migrate end to end tests to GitHub actions
   [\#6156](https://github.com/matrix-org/matrix-react-sdk/pull/6156)
 * Fix expanding last collapsed sticky session when zoomed in
   [\#6171](https://github.com/matrix-org/matrix-react-sdk/pull/6171)
 * ⚛️ Upgrade to React@17
   [\#6165](https://github.com/matrix-org/matrix-react-sdk/pull/6165)
 * Revert refreshStickyHeaders optimisations
   [\#6168](https://github.com/matrix-org/matrix-react-sdk/pull/6168)
 * Add logging for which rooms calls are in
   [\#6170](https://github.com/matrix-org/matrix-react-sdk/pull/6170)
 * Restore read receipt animation from event to event
   [\#6169](https://github.com/matrix-org/matrix-react-sdk/pull/6169)
 * Restore copy button icon when sharing permalink
   [\#6166](https://github.com/matrix-org/matrix-react-sdk/pull/6166)
 * Restore Page Up/Down key bindings when focusing the composer
   [\#6167](https://github.com/matrix-org/matrix-react-sdk/pull/6167)
 * Timeline rendering optimizations
   [\#6143](https://github.com/matrix-org/matrix-react-sdk/pull/6143)
 * Bump css-what from 5.0.0 to 5.0.1
   [\#6164](https://github.com/matrix-org/matrix-react-sdk/pull/6164)
 * Bump ws from 6.2.1 to 6.2.2 in /test/end-to-end-tests
   [\#6145](https://github.com/matrix-org/matrix-react-sdk/pull/6145)
 * Bump trim-newlines from 3.0.0 to 3.0.1
   [\#6163](https://github.com/matrix-org/matrix-react-sdk/pull/6163)
 * Fix upgrade to element home button in top left menu
   [\#6162](https://github.com/matrix-org/matrix-react-sdk/pull/6162)
 * Fix unpinning of pinned messages and panel empty state
   [\#6140](https://github.com/matrix-org/matrix-react-sdk/pull/6140)
 * Better handling for widgets that fail to load
   [\#6161](https://github.com/matrix-org/matrix-react-sdk/pull/6161)
 * Improved forwarding UI
   [\#5999](https://github.com/matrix-org/matrix-react-sdk/pull/5999)
 * Fixes for sharing room links
   [\#6118](https://github.com/matrix-org/matrix-react-sdk/pull/6118)
 * Fix setting watchers
   [\#6160](https://github.com/matrix-org/matrix-react-sdk/pull/6160)
 * Fix Stickerpicker context menu
   [\#6152](https://github.com/matrix-org/matrix-react-sdk/pull/6152)
 * Add warning to private space creation flow
   [\#6155](https://github.com/matrix-org/matrix-react-sdk/pull/6155)
 * Add prop to alwaysShowTimestamps on TimelinePanel
   [\#6159](https://github.com/matrix-org/matrix-react-sdk/pull/6159)
 * Fix notif panel timestamp padding
   [\#6157](https://github.com/matrix-org/matrix-react-sdk/pull/6157)
 * Fixes and refactoring for the ImageView
   [\#6149](https://github.com/matrix-org/matrix-react-sdk/pull/6149)
 * Fix timestamps
   [\#6148](https://github.com/matrix-org/matrix-react-sdk/pull/6148)
 * Make it easier to pan images in the lightbox
   [\#6147](https://github.com/matrix-org/matrix-react-sdk/pull/6147)
 * Fix scroll token for EventTile and EventListSummary node type
   [\#6154](https://github.com/matrix-org/matrix-react-sdk/pull/6154)
 * Convert bunch of things to Typescript
   [\#6153](https://github.com/matrix-org/matrix-react-sdk/pull/6153)
 * Lint the typescript tests
   [\#6142](https://github.com/matrix-org/matrix-react-sdk/pull/6142)
 * Fix jumping to bottom without a highlighted event
   [\#6146](https://github.com/matrix-org/matrix-react-sdk/pull/6146)
 * Repair event status position in timeline
   [\#6141](https://github.com/matrix-org/matrix-react-sdk/pull/6141)
 * Adapt for js-sdk MatrixClient conversion to TS
   [\#6132](https://github.com/matrix-org/matrix-react-sdk/pull/6132)
 * Improve pinned messages in Labs
   [\#6096](https://github.com/matrix-org/matrix-react-sdk/pull/6096)
 * Map phone number lookup results to their native rooms
   [\#6136](https://github.com/matrix-org/matrix-react-sdk/pull/6136)
 * Fix mx_Event containment rules and empty read avatar row
   [\#6138](https://github.com/matrix-org/matrix-react-sdk/pull/6138)
 * Improve switch room rendering
   [\#6079](https://github.com/matrix-org/matrix-react-sdk/pull/6079)
 * Add CSS containment rules for shorter reflow operations
   [\#6127](https://github.com/matrix-org/matrix-react-sdk/pull/6127)
 * ignore hash/fragment when de-duplicating links for url previews
   [\#6135](https://github.com/matrix-org/matrix-react-sdk/pull/6135)
 * Clicking jump to bottom resets room hash
   [\#5823](https://github.com/matrix-org/matrix-react-sdk/pull/5823)
 * Use passive option for scroll handlers
   [\#6113](https://github.com/matrix-org/matrix-react-sdk/pull/6113)
 * Optimise memberSort performance for large list
   [\#6130](https://github.com/matrix-org/matrix-react-sdk/pull/6130)
 * Tweak event border radius to match action bar
   [\#6133](https://github.com/matrix-org/matrix-react-sdk/pull/6133)
 * Log when we ignore a second call in a room
   [\#6131](https://github.com/matrix-org/matrix-react-sdk/pull/6131)
 * Performance monitoring measurements
   [\#6041](https://github.com/matrix-org/matrix-react-sdk/pull/6041)

Changes in [3.23.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.23.0) (2021-06-07)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.23.0-rc.1...v3.23.0)

 * Upgrade to JS SDK 11.2.0
 * [Release] Fix notif panel timestamp padding
   [\#6158](https://github.com/matrix-org/matrix-react-sdk/pull/6158)

Changes in [3.23.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.23.0-rc.1) (2021-06-01)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.22.0...v3.23.0-rc.1)

 * Upgrade to JS SDK 11.2.0-rc.1
 * Translations update from Weblate
   [\#6128](https://github.com/matrix-org/matrix-react-sdk/pull/6128)
 * Fix all DMs wrongly appearing in room list when `m.direct` is changed
   [\#6122](https://github.com/matrix-org/matrix-react-sdk/pull/6122)
 * Update way of checking for registration disabled
   [\#6123](https://github.com/matrix-org/matrix-react-sdk/pull/6123)
 * Fix the ability to remove avatar from a space via settings
   [\#6126](https://github.com/matrix-org/matrix-react-sdk/pull/6126)
 * Switch to stable endpoint/fields for MSC2858
   [\#6125](https://github.com/matrix-org/matrix-react-sdk/pull/6125)
 * Clear stored editor state when canceling editing using a shortcut
   [\#6117](https://github.com/matrix-org/matrix-react-sdk/pull/6117)
 * Respect newlines in space topics
   [\#6124](https://github.com/matrix-org/matrix-react-sdk/pull/6124)
 * Add url param `defaultUsername` to prefill the login username field
   [\#5674](https://github.com/matrix-org/matrix-react-sdk/pull/5674)
 * Bump ws from 7.4.2 to 7.4.6
   [\#6115](https://github.com/matrix-org/matrix-react-sdk/pull/6115)
 * Sticky headers repositioning without layout trashing
   [\#6110](https://github.com/matrix-org/matrix-react-sdk/pull/6110)
 * Handle user_busy in voip calls
   [\#6112](https://github.com/matrix-org/matrix-react-sdk/pull/6112)
 * Avoid showing warning modals from the invite dialog after it unmounts
   [\#6105](https://github.com/matrix-org/matrix-react-sdk/pull/6105)
 * Fix misleading child counts in spaces
   [\#6109](https://github.com/matrix-org/matrix-react-sdk/pull/6109)
 * Close creation menu when expanding space panel via expand hierarchy
   [\#6090](https://github.com/matrix-org/matrix-react-sdk/pull/6090)
 * Prevent having duplicates in pending room state
   [\#6108](https://github.com/matrix-org/matrix-react-sdk/pull/6108)
 * Update reactions row on event decryption
   [\#6106](https://github.com/matrix-org/matrix-react-sdk/pull/6106)
 * Destroy playback instance on voice message unmount
   [\#6101](https://github.com/matrix-org/matrix-react-sdk/pull/6101)
 * Fix message preview not up to date
   [\#6102](https://github.com/matrix-org/matrix-react-sdk/pull/6102)
 * Convert some Flow typed files to TS (round 2)
   [\#6076](https://github.com/matrix-org/matrix-react-sdk/pull/6076)
 * Remove unused middlePanelResized event listener
   [\#6086](https://github.com/matrix-org/matrix-react-sdk/pull/6086)
 * Fix accessing currentState on an invalid joinedRoom
   [\#6100](https://github.com/matrix-org/matrix-react-sdk/pull/6100)
 * Remove Promise allSettled polyfill as js-sdk uses it directly
   [\#6097](https://github.com/matrix-org/matrix-react-sdk/pull/6097)
 * Prevent DecoratedRoomAvatar to update its state for the same value
   [\#6099](https://github.com/matrix-org/matrix-react-sdk/pull/6099)
 * Skip generatePreview if event is not part of the live timeline
   [\#6098](https://github.com/matrix-org/matrix-react-sdk/pull/6098)
 * fix sticky headers when results num get displayed
   [\#6095](https://github.com/matrix-org/matrix-react-sdk/pull/6095)
 * Improve addEventsToTimeline performance scoping WhoIsTypingTile::setState
   [\#6094](https://github.com/matrix-org/matrix-react-sdk/pull/6094)
 * Safeguards to prevent layout trashing for window dimensions
   [\#6092](https://github.com/matrix-org/matrix-react-sdk/pull/6092)
 * Use local room state to render space hierarchy if the room is known
   [\#6089](https://github.com/matrix-org/matrix-react-sdk/pull/6089)
 * Add spinner in UserMenu to list pending long running actions
   [\#6085](https://github.com/matrix-org/matrix-react-sdk/pull/6085)
 * Stop overscroll in Firefox Nightly for macOS
   [\#6093](https://github.com/matrix-org/matrix-react-sdk/pull/6093)
 * Move SettingsStore watchers/monitors over to ES6 maps for performance
   [\#6063](https://github.com/matrix-org/matrix-react-sdk/pull/6063)
 * Bump libolm version.
   [\#6080](https://github.com/matrix-org/matrix-react-sdk/pull/6080)
 * Improve styling of the message action bar
   [\#6066](https://github.com/matrix-org/matrix-react-sdk/pull/6066)
 * Improve explore rooms when no results are found
   [\#6070](https://github.com/matrix-org/matrix-react-sdk/pull/6070)
 * Remove logo spinner
   [\#6078](https://github.com/matrix-org/matrix-react-sdk/pull/6078)
 * Fix add reaction prompt showing even when user is not joined to room
   [\#6073](https://github.com/matrix-org/matrix-react-sdk/pull/6073)
 * Vectorize spinners
   [\#5680](https://github.com/matrix-org/matrix-react-sdk/pull/5680)
 * Fix handling of via servers for suggested rooms
   [\#6077](https://github.com/matrix-org/matrix-react-sdk/pull/6077)
 * Upgrade showChatEffects to room-level setting exposure
   [\#6075](https://github.com/matrix-org/matrix-react-sdk/pull/6075)
 * Delete RoomView dead code
   [\#6071](https://github.com/matrix-org/matrix-react-sdk/pull/6071)
 * Reduce noise in tests
   [\#6074](https://github.com/matrix-org/matrix-react-sdk/pull/6074)
 * Fix room name issues in right panel summary card
   [\#6069](https://github.com/matrix-org/matrix-react-sdk/pull/6069)
 * Cache normalized room name
   [\#6072](https://github.com/matrix-org/matrix-react-sdk/pull/6072)
 * Update MemberList to reflect changes for invite permission change
   [\#6061](https://github.com/matrix-org/matrix-react-sdk/pull/6061)
 * Delete RoomView dead code
   [\#6065](https://github.com/matrix-org/matrix-react-sdk/pull/6065)
 * Show subspace rooms count even if it is 0 for consistency
   [\#6067](https://github.com/matrix-org/matrix-react-sdk/pull/6067)

Changes in [3.22.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.22.0) (2021-05-24)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.22.0-rc.1...v3.22.0)

 * Upgrade to JS SDK 11.1.0
 * [Release] Bump libolm version
   [\#6087](https://github.com/matrix-org/matrix-react-sdk/pull/6087)

Changes in [3.22.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.22.0-rc.1) (2021-05-19)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.21.0...v3.22.0-rc.1)

 * Upgrade to JS SDK 11.1.0-rc.1
 * Translations update from Weblate
   [\#6068](https://github.com/matrix-org/matrix-react-sdk/pull/6068)
 * Show DMs in space for invited members too, to match Android impl
   [\#6062](https://github.com/matrix-org/matrix-react-sdk/pull/6062)
 * Support filtering by alias in add existing to space dialog
   [\#6057](https://github.com/matrix-org/matrix-react-sdk/pull/6057)
 * Fix issue when a room without a name or alias is marked as suggested
   [\#6064](https://github.com/matrix-org/matrix-react-sdk/pull/6064)
 * Fix space room hierarchy not updating when removing a room
   [\#6055](https://github.com/matrix-org/matrix-react-sdk/pull/6055)
 * Revert "Try putting room list handling behind a lock"
   [\#6060](https://github.com/matrix-org/matrix-react-sdk/pull/6060)
 * Stop assuming encrypted messages are decrypted ahead of time
   [\#6052](https://github.com/matrix-org/matrix-react-sdk/pull/6052)
 * Add error detail when languges fail to load
   [\#6059](https://github.com/matrix-org/matrix-react-sdk/pull/6059)
 * Add space invaders chat effect
   [\#6053](https://github.com/matrix-org/matrix-react-sdk/pull/6053)
 * Create SpaceProvider and hide Spaces from the RoomProvider autocompleter
   [\#6051](https://github.com/matrix-org/matrix-react-sdk/pull/6051)
 * Don't mark a room as unread when redacted event is present
   [\#6049](https://github.com/matrix-org/matrix-react-sdk/pull/6049)
 * Add support for MSC2873: Client information for Widgets
   [\#6023](https://github.com/matrix-org/matrix-react-sdk/pull/6023)
 * Support UI for MSC2762: Widgets reading events from rooms
   [\#5960](https://github.com/matrix-org/matrix-react-sdk/pull/5960)
 * Fix crash on opening notification panel
   [\#6047](https://github.com/matrix-org/matrix-react-sdk/pull/6047)
 * Remove custom LoggedInView::shouldComponentUpdate logic
   [\#6046](https://github.com/matrix-org/matrix-react-sdk/pull/6046)
 * Fix edge cases with the new add reactions prompt button
   [\#6045](https://github.com/matrix-org/matrix-react-sdk/pull/6045)
 * Add ids to homeserver and passphrase fields
   [\#6043](https://github.com/matrix-org/matrix-react-sdk/pull/6043)
 * Update space order field validity requirements to match msc update
   [\#6042](https://github.com/matrix-org/matrix-react-sdk/pull/6042)
 * Try putting room list handling behind a lock
   [\#6024](https://github.com/matrix-org/matrix-react-sdk/pull/6024)
 * Improve progress bar progression for smaller voice messages
   [\#6035](https://github.com/matrix-org/matrix-react-sdk/pull/6035)
 * Fix share space edge case where space is public but not invitable
   [\#6039](https://github.com/matrix-org/matrix-react-sdk/pull/6039)
 * Add missing 'rel' to image view download button
   [\#6033](https://github.com/matrix-org/matrix-react-sdk/pull/6033)
 * Improve visible waveform for voice messages
   [\#6034](https://github.com/matrix-org/matrix-react-sdk/pull/6034)
 * Fix roving tab index intercepting home/end in space create menu
   [\#6040](https://github.com/matrix-org/matrix-react-sdk/pull/6040)
 * Decorate room avatars with publicity in add existing to space flow
   [\#6030](https://github.com/matrix-org/matrix-react-sdk/pull/6030)
 * Improve Spaces "Just Me" wizard
   [\#6025](https://github.com/matrix-org/matrix-react-sdk/pull/6025)
 * Increase hover feedback on room sub list buttons
   [\#6037](https://github.com/matrix-org/matrix-react-sdk/pull/6037)
 * Show alternative button during space creation wizard if no rooms
   [\#6029](https://github.com/matrix-org/matrix-react-sdk/pull/6029)
 * Swap rotation buttons in the image viewer
   [\#6032](https://github.com/matrix-org/matrix-react-sdk/pull/6032)
 * Typo: initilisation -> initialisation
   [\#5915](https://github.com/matrix-org/matrix-react-sdk/pull/5915)
 * Save edited state of a message when switching rooms
   [\#6001](https://github.com/matrix-org/matrix-react-sdk/pull/6001)
 * Fix shield icon in Untrusted Device Dialog
   [\#6022](https://github.com/matrix-org/matrix-react-sdk/pull/6022)
 * Do not eagerly decrypt breadcrumb rooms
   [\#6028](https://github.com/matrix-org/matrix-react-sdk/pull/6028)
 * Update spaces.png
   [\#6031](https://github.com/matrix-org/matrix-react-sdk/pull/6031)
 * Encourage more diverse reactions to content
   [\#6027](https://github.com/matrix-org/matrix-react-sdk/pull/6027)
 * Wrap decodeURIComponent in try-catch to protect against malformed URIs
   [\#6026](https://github.com/matrix-org/matrix-react-sdk/pull/6026)
 * Iterate beta feedback dialog
   [\#6021](https://github.com/matrix-org/matrix-react-sdk/pull/6021)
 * Disable space fields whilst their form is busy
   [\#6020](https://github.com/matrix-org/matrix-react-sdk/pull/6020)
 * Add missing space on beta feedback dialog
   [\#6018](https://github.com/matrix-org/matrix-react-sdk/pull/6018)
 * Fix colours used for the back button in space create menu
   [\#6017](https://github.com/matrix-org/matrix-react-sdk/pull/6017)
 * Prioritise and reduce the amount of events decrypted on application startup
   [\#5980](https://github.com/matrix-org/matrix-react-sdk/pull/5980)
 * Linkify topics in space room directory results
   [\#6015](https://github.com/matrix-org/matrix-react-sdk/pull/6015)
 * Persistent space collapsed states
   [\#5972](https://github.com/matrix-org/matrix-react-sdk/pull/5972)
 * Catch another instance of unlabeled avatars.
   [\#6010](https://github.com/matrix-org/matrix-react-sdk/pull/6010)
 * Rescale and smooth voice message playback waveform to better match
   expectation
   [\#5996](https://github.com/matrix-org/matrix-react-sdk/pull/5996)
 * Scale voice message clock with user's font size
   [\#5993](https://github.com/matrix-org/matrix-react-sdk/pull/5993)
 * Remove "in development" flag from voice messages
   [\#5995](https://github.com/matrix-org/matrix-react-sdk/pull/5995)
 * Support voice messages on Safari
   [\#5989](https://github.com/matrix-org/matrix-react-sdk/pull/5989)
 * Translations update from Weblate
   [\#6011](https://github.com/matrix-org/matrix-react-sdk/pull/6011)

Changes in [3.21.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.21.0) (2021-05-17)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.21.0-rc.1...v3.21.0)

## Security notice

matrix-react-sdk 3.21.0 fixes a low severity issue (GHSA-8796-gc9j-63rv)
related to file upload. When uploading a file, the local file preview can lead
to execution of scripts embedded in the uploaded file, but only after several
user interactions to open the preview in a separate tab. This only impacts the
local user while in the process of uploading. It cannot be exploited remotely
or by other users. Thanks to [Muhammad Zaid Ghifari](https://github.com/MR-ZHEEV)
for responsibly disclosing this via Matrix's Security Disclosure Policy.

## All changes

 * Upgrade to JS SDK 11.0.0
 * [Release] Add missing space on beta feedback dialog
   [\#6019](https://github.com/matrix-org/matrix-react-sdk/pull/6019)
 * [Release] Add feedback mechanism for beta features, namely Spaces
   [\#6013](https://github.com/matrix-org/matrix-react-sdk/pull/6013)
 * Add feedback mechanism for beta features, namely Spaces
   [\#6012](https://github.com/matrix-org/matrix-react-sdk/pull/6012)

Changes in [3.21.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.21.0-rc.1) (2021-05-11)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.20.0...v3.21.0-rc.1)

 * Upgrade to JS SDK 11.0.0-rc.1
 * Add disclaimer about subspaces being experimental in add existing dialog
   [\#5978](https://github.com/matrix-org/matrix-react-sdk/pull/5978)
 * Spaces Beta release
   [\#5933](https://github.com/matrix-org/matrix-react-sdk/pull/5933)
 * Improve permissions error when adding new server to room directory
   [\#6009](https://github.com/matrix-org/matrix-react-sdk/pull/6009)
 * Allow user to progress through space creation & setup using Enter
   [\#6006](https://github.com/matrix-org/matrix-react-sdk/pull/6006)
 * Upgrade sanitize types
   [\#6008](https://github.com/matrix-org/matrix-react-sdk/pull/6008)
 * Upgrade `cheerio` and resolve type errors
   [\#6007](https://github.com/matrix-org/matrix-react-sdk/pull/6007)
 * Add slash commands support to edit message composer
   [\#5865](https://github.com/matrix-org/matrix-react-sdk/pull/5865)
 * Fix the two todays problem
   [\#5940](https://github.com/matrix-org/matrix-react-sdk/pull/5940)
 * Switch the Home Space out for an All rooms space
   [\#5969](https://github.com/matrix-org/matrix-react-sdk/pull/5969)
 * Show device ID in UserInfo when there is no device name
   [\#5985](https://github.com/matrix-org/matrix-react-sdk/pull/5985)
 * Switch back to release version of `sanitize-html`
   [\#6005](https://github.com/matrix-org/matrix-react-sdk/pull/6005)
 * Bump hosted-git-info from 2.8.8 to 2.8.9
   [\#5998](https://github.com/matrix-org/matrix-react-sdk/pull/5998)
 * Don't use the event's metadata to calc the scale of an image
   [\#5982](https://github.com/matrix-org/matrix-react-sdk/pull/5982)
 * Adjust MIME type of upload confirmation if needed
   [\#5981](https://github.com/matrix-org/matrix-react-sdk/pull/5981)
 * Forbid redaction of encryption events
   [\#5991](https://github.com/matrix-org/matrix-react-sdk/pull/5991)
 * Fix voice message playback being squished up against send button
   [\#5988](https://github.com/matrix-org/matrix-react-sdk/pull/5988)
 * Improve style of notification badges on the space panel
   [\#5983](https://github.com/matrix-org/matrix-react-sdk/pull/5983)
 * Add dev dependency for parse5 typings
   [\#5990](https://github.com/matrix-org/matrix-react-sdk/pull/5990)
 * Iterate Spaces admin UX around room management
   [\#5977](https://github.com/matrix-org/matrix-react-sdk/pull/5977)
 * Guard all isSpaceRoom calls behind the labs flag
   [\#5979](https://github.com/matrix-org/matrix-react-sdk/pull/5979)
 * Bump lodash from 4.17.20 to 4.17.21
   [\#5986](https://github.com/matrix-org/matrix-react-sdk/pull/5986)
 * Bump lodash from 4.17.19 to 4.17.21 in /test/end-to-end-tests
   [\#5987](https://github.com/matrix-org/matrix-react-sdk/pull/5987)
 * Bump ua-parser-js from 0.7.23 to 0.7.28
   [\#5984](https://github.com/matrix-org/matrix-react-sdk/pull/5984)
 * Update visual style of plain files in the timeline
   [\#5971](https://github.com/matrix-org/matrix-react-sdk/pull/5971)
 * Support for multiple streams (not MSC3077)
   [\#5833](https://github.com/matrix-org/matrix-react-sdk/pull/5833)
 * Update space ordering behaviour to match updates in MSC
   [\#5963](https://github.com/matrix-org/matrix-react-sdk/pull/5963)
 * Improve performance of search all spaces and space switching
   [\#5976](https://github.com/matrix-org/matrix-react-sdk/pull/5976)
 * Update colours and sizing for voice messages
   [\#5970](https://github.com/matrix-org/matrix-react-sdk/pull/5970)
 * Update link to Android SDK
   [\#5973](https://github.com/matrix-org/matrix-react-sdk/pull/5973)
 * Add cleanup functions for image view
   [\#5962](https://github.com/matrix-org/matrix-react-sdk/pull/5962)
 * Add a note about sharing your IP in P2P calls
   [\#5961](https://github.com/matrix-org/matrix-react-sdk/pull/5961)
 * Only aggregate DM notifications on the Space Panel in the Home Space
   [\#5968](https://github.com/matrix-org/matrix-react-sdk/pull/5968)
 * Add retry mechanism and progress bar to add existing to space dialog
   [\#5975](https://github.com/matrix-org/matrix-react-sdk/pull/5975)
 * Warn on access token reveal
   [\#5755](https://github.com/matrix-org/matrix-react-sdk/pull/5755)
 * Fix newly joined room appearing under the wrong space
   [\#5945](https://github.com/matrix-org/matrix-react-sdk/pull/5945)
 * Early rendering for voice messages in the timeline
   [\#5955](https://github.com/matrix-org/matrix-react-sdk/pull/5955)
 * Calculate the real waveform in the Playback class for voice messages
   [\#5956](https://github.com/matrix-org/matrix-react-sdk/pull/5956)
 * Don't recurse on arrayFastResample
   [\#5957](https://github.com/matrix-org/matrix-react-sdk/pull/5957)
 * Support a dark theme for voice messages
   [\#5958](https://github.com/matrix-org/matrix-react-sdk/pull/5958)
 * Handle no/blocked microphones in voice messages
   [\#5959](https://github.com/matrix-org/matrix-react-sdk/pull/5959)

Changes in [3.20.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.20.0) (2021-05-10)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.20.0-rc.1...v3.20.0)

 * Upgrade to JS SDK 10.1.0
 * [Release] Don't use the event's metadata to calc the scale of an image
   [\#6004](https://github.com/matrix-org/matrix-react-sdk/pull/6004)

Changes in [3.20.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.20.0-rc.1) (2021-05-04)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.19.0...v3.20.0-rc.1)

 * Upgrade to JS SDK 10.1.0-rc.1
 * Translations update from Weblate
   [\#5966](https://github.com/matrix-org/matrix-react-sdk/pull/5966)
 * Fix more space panel layout and hover behaviour issues
   [\#5965](https://github.com/matrix-org/matrix-react-sdk/pull/5965)
 * Fix edge case with space panel alignment with subspaces on ff
   [\#5964](https://github.com/matrix-org/matrix-react-sdk/pull/5964)
 * Fix saving room pill part to history
   [\#5951](https://github.com/matrix-org/matrix-react-sdk/pull/5951)
 * Generate room preview even when minimized
   [\#5948](https://github.com/matrix-org/matrix-react-sdk/pull/5948)
 * Another change from recovery passphrase to Security Phrase
   [\#5934](https://github.com/matrix-org/matrix-react-sdk/pull/5934)
 * Sort rooms in the add existing to space dialog based on recency
   [\#5943](https://github.com/matrix-org/matrix-react-sdk/pull/5943)
 * Inhibit sending RR when context switching to a room
   [\#5944](https://github.com/matrix-org/matrix-react-sdk/pull/5944)
 * Prevent room list keyboard handling from landing focus on hidden nodes
   [\#5950](https://github.com/matrix-org/matrix-react-sdk/pull/5950)
 * Make the text filter search all spaces instead of just the selected one
   [\#5942](https://github.com/matrix-org/matrix-react-sdk/pull/5942)
 * Enable indent rule and fix indent
   [\#5931](https://github.com/matrix-org/matrix-react-sdk/pull/5931)
 * Prevent peeking members from reacting
   [\#5946](https://github.com/matrix-org/matrix-react-sdk/pull/5946)
 * Disallow inline display maths
   [\#5939](https://github.com/matrix-org/matrix-react-sdk/pull/5939)
 * Space creation prompt user to add existing rooms for "Just Me" spaces
   [\#5923](https://github.com/matrix-org/matrix-react-sdk/pull/5923)
 * Add test coverage collection script
   [\#5937](https://github.com/matrix-org/matrix-react-sdk/pull/5937)
 * Fix joining room using via servers regression
   [\#5936](https://github.com/matrix-org/matrix-react-sdk/pull/5936)
 * Revert "Fixes the two Todays problem in Redaction"
   [\#5938](https://github.com/matrix-org/matrix-react-sdk/pull/5938)
 * Handle encoded matrix URLs
   [\#5903](https://github.com/matrix-org/matrix-react-sdk/pull/5903)
 * Render ignored users setting regardless of if there are any
   [\#5860](https://github.com/matrix-org/matrix-react-sdk/pull/5860)
 * Fix inserting trailing colon after mention/pill
   [\#5830](https://github.com/matrix-org/matrix-react-sdk/pull/5830)
 * Fixes the two Todays problem in Redaction
   [\#5917](https://github.com/matrix-org/matrix-react-sdk/pull/5917)
 * Fix page up/down scrolling only half a page
   [\#5920](https://github.com/matrix-org/matrix-react-sdk/pull/5920)
 * Voice messages: Composer controls
   [\#5935](https://github.com/matrix-org/matrix-react-sdk/pull/5935)
 * Support MSC3086 asserted identity
   [\#5886](https://github.com/matrix-org/matrix-react-sdk/pull/5886)
 * Handle possible edge case with getting stuck in "unsent messages" bar
   [\#5930](https://github.com/matrix-org/matrix-react-sdk/pull/5930)
 * Fix suggested rooms not showing up regression from room list optimisation
   [\#5932](https://github.com/matrix-org/matrix-react-sdk/pull/5932)
 * Broadcast language change to ElectronPlatform
   [\#5913](https://github.com/matrix-org/matrix-react-sdk/pull/5913)
 * Fix VoIP PIP frame color
   [\#5701](https://github.com/matrix-org/matrix-react-sdk/pull/5701)
 * Convert some Flow-typed files to TypeScript
   [\#5912](https://github.com/matrix-org/matrix-react-sdk/pull/5912)
 * Initial SpaceStore tests work
   [\#5906](https://github.com/matrix-org/matrix-react-sdk/pull/5906)
 * Fix issues with space hierarchy in layout and with incompatible servers
   [\#5926](https://github.com/matrix-org/matrix-react-sdk/pull/5926)
 * Scale all mxc thumbs using device pixel ratio for hidpi
   [\#5928](https://github.com/matrix-org/matrix-react-sdk/pull/5928)
 * Fix add existing to space dialog no longer showing rooms for public spaces
   [\#5918](https://github.com/matrix-org/matrix-react-sdk/pull/5918)
 * Disable spaces context switching for when exploring a space
   [\#5924](https://github.com/matrix-org/matrix-react-sdk/pull/5924)
 * Autofocus search box in the add existing to space dialog
   [\#5921](https://github.com/matrix-org/matrix-react-sdk/pull/5921)
 * Use label element in add existing to space dialog for easier hit target
   [\#5922](https://github.com/matrix-org/matrix-react-sdk/pull/5922)
 * Dynamic max and min zoom in the new ImageView
   [\#5916](https://github.com/matrix-org/matrix-react-sdk/pull/5916)
 * Improve message error states
   [\#5897](https://github.com/matrix-org/matrix-react-sdk/pull/5897)
 * Check for null room in `VisibilityProvider`
   [\#5914](https://github.com/matrix-org/matrix-react-sdk/pull/5914)
 * Add unit tests for various collection-based utility functions
   [\#5910](https://github.com/matrix-org/matrix-react-sdk/pull/5910)
 * Spaces visual fixes
   [\#5909](https://github.com/matrix-org/matrix-react-sdk/pull/5909)
 * Remove reliance on DOM API to generated message preview
   [\#5908](https://github.com/matrix-org/matrix-react-sdk/pull/5908)
 * Expand upon voice message event & include overall waveform
   [\#5888](https://github.com/matrix-org/matrix-react-sdk/pull/5888)
 * Use floats for image background opacity
   [\#5905](https://github.com/matrix-org/matrix-react-sdk/pull/5905)
 * Show invites to spaces at the top of the space panel
   [\#5902](https://github.com/matrix-org/matrix-react-sdk/pull/5902)
 * Improve edge cases with spaces context switching
   [\#5899](https://github.com/matrix-org/matrix-react-sdk/pull/5899)
 * Fix spaces notification dots wrongly including upgraded (hidden) rooms
   [\#5900](https://github.com/matrix-org/matrix-react-sdk/pull/5900)
 * Iterate the spaces face pile design
   [\#5898](https://github.com/matrix-org/matrix-react-sdk/pull/5898)
 * Fix alignment issue with nested spaces being cut off wrong
   [\#5890](https://github.com/matrix-org/matrix-react-sdk/pull/5890)

Changes in [3.19.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.19.0) (2021-04-26)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.19.0-rc.1...v3.19.0)

 * Upgrade to JS SDK 10.0.0
 * [Release] Dynamic max and min zoom in the new ImageView
   [\#5927](https://github.com/matrix-org/matrix-react-sdk/pull/5927)
 * [Release] Add a WheelEvent normalization function
   [\#5911](https://github.com/matrix-org/matrix-react-sdk/pull/5911)
 * Add a WheelEvent normalization function
   [\#5904](https://github.com/matrix-org/matrix-react-sdk/pull/5904)
 * [Release] Use floats for image background opacity
   [\#5907](https://github.com/matrix-org/matrix-react-sdk/pull/5907)

Changes in [3.19.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.19.0-rc.1) (2021-04-21)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.18.0...v3.19.0-rc.1)

 * Upgrade to JS SDK 10.0.0-rc.1
 * Translations update from Weblate
   [\#5896](https://github.com/matrix-org/matrix-react-sdk/pull/5896)
 * Fix sticky tags header in room list
   [\#5895](https://github.com/matrix-org/matrix-react-sdk/pull/5895)
 * Fix spaces filtering sometimes lagging behind or behaving oddly
   [\#5893](https://github.com/matrix-org/matrix-react-sdk/pull/5893)
 * Fix issue with spaces context switching looping and breaking
   [\#5894](https://github.com/matrix-org/matrix-react-sdk/pull/5894)
 * Improve RoomList render time when filtering
   [\#5874](https://github.com/matrix-org/matrix-react-sdk/pull/5874)
 * Avoid being stuck in a space
   [\#5891](https://github.com/matrix-org/matrix-react-sdk/pull/5891)
 * [Spaces] Context switching
   [\#5795](https://github.com/matrix-org/matrix-react-sdk/pull/5795)
 * Warn when you attempt to leave room that you are the only member of
   [\#5415](https://github.com/matrix-org/matrix-react-sdk/pull/5415)
 * Ensure PersistedElement are unmounted on application logout
   [\#5884](https://github.com/matrix-org/matrix-react-sdk/pull/5884)
 * Add missing space in seshat dialog and the corresponding string
   [\#5866](https://github.com/matrix-org/matrix-react-sdk/pull/5866)
 * A tiny change to make the Add existing rooms dialog a little nicer
   [\#5885](https://github.com/matrix-org/matrix-react-sdk/pull/5885)
 * Remove weird margin from the file panel
   [\#5889](https://github.com/matrix-org/matrix-react-sdk/pull/5889)
 * Trigger lazy loading when filtering using spaces
   [\#5882](https://github.com/matrix-org/matrix-react-sdk/pull/5882)
 * Fix typo in method call in add existing to space dialog
   [\#5883](https://github.com/matrix-org/matrix-react-sdk/pull/5883)
 * New Image View fixes/improvements
   [\#5872](https://github.com/matrix-org/matrix-react-sdk/pull/5872)
 * Limit voice recording length
   [\#5871](https://github.com/matrix-org/matrix-react-sdk/pull/5871)
 * Clean up add existing to space dialog and include DMs in it too
   [\#5881](https://github.com/matrix-org/matrix-react-sdk/pull/5881)
 * Fix unknown slash command error exploding
   [\#5853](https://github.com/matrix-org/matrix-react-sdk/pull/5853)
 * Switch to a spec conforming email validation Regexp
   [\#5852](https://github.com/matrix-org/matrix-react-sdk/pull/5852)
 * Cleanup unused state in MessageComposer
   [\#5877](https://github.com/matrix-org/matrix-react-sdk/pull/5877)
 * Pulse animation for voice messages recording state
   [\#5869](https://github.com/matrix-org/matrix-react-sdk/pull/5869)
 * Don't include invisible rooms in notify summary
   [\#5875](https://github.com/matrix-org/matrix-react-sdk/pull/5875)
 * Properly disable composer access when recording a voice message
   [\#5870](https://github.com/matrix-org/matrix-react-sdk/pull/5870)
 * Stabilise starting a DM with multiple people flow
   [\#5862](https://github.com/matrix-org/matrix-react-sdk/pull/5862)
 * Render msgOption only if showReadReceipts is enabled
   [\#5864](https://github.com/matrix-org/matrix-react-sdk/pull/5864)
 * Labs: Add quick/cheap "do not disturb" flag
   [\#5873](https://github.com/matrix-org/matrix-react-sdk/pull/5873)
 * Fix ReadReceipts animations
   [\#5836](https://github.com/matrix-org/matrix-react-sdk/pull/5836)
 * Add tooltips to message previews
   [\#5859](https://github.com/matrix-org/matrix-react-sdk/pull/5859)
 * IRC Layout fix layout spacing in replies
   [\#5855](https://github.com/matrix-org/matrix-react-sdk/pull/5855)
 * Move user to welcome_page if continuing with previous session
   [\#5849](https://github.com/matrix-org/matrix-react-sdk/pull/5849)
 * Improve image view
   [\#5521](https://github.com/matrix-org/matrix-react-sdk/pull/5521)
 * Add a button to reset personal encryption state during login
   [\#5819](https://github.com/matrix-org/matrix-react-sdk/pull/5819)
 * Fix js-sdk import in SlashCommands
   [\#5850](https://github.com/matrix-org/matrix-react-sdk/pull/5850)
 * Fix useRoomPowerLevels hook
   [\#5854](https://github.com/matrix-org/matrix-react-sdk/pull/5854)
 * Prevent state events being rendered with invalid state keys
   [\#5851](https://github.com/matrix-org/matrix-react-sdk/pull/5851)
 * Give server ACLs a name in 'roles & permissions' tab
   [\#5838](https://github.com/matrix-org/matrix-react-sdk/pull/5838)
 * Don't hide notification badge on the home space button as it has no menu
   [\#5845](https://github.com/matrix-org/matrix-react-sdk/pull/5845)
 * User Info hide disambiguation as we always show MXID anyway
   [\#5843](https://github.com/matrix-org/matrix-react-sdk/pull/5843)
 * Improve kick state to not show if the target was not joined to begin with
   [\#5846](https://github.com/matrix-org/matrix-react-sdk/pull/5846)
 * Fix space store wrongly switching to a non-space filter
   [\#5844](https://github.com/matrix-org/matrix-react-sdk/pull/5844)
 * Tweak appearance of invite reason
   [\#5847](https://github.com/matrix-org/matrix-react-sdk/pull/5847)
 * Update Inter font to v3.18
   [\#5840](https://github.com/matrix-org/matrix-react-sdk/pull/5840)
 * Enable sharing historical keys on invite
   [\#5839](https://github.com/matrix-org/matrix-react-sdk/pull/5839)
 * Add ability to hide post-login encryption setup with customisation point
   [\#5834](https://github.com/matrix-org/matrix-react-sdk/pull/5834)
 * Use LaTeX and TeX delimiters by default
   [\#5515](https://github.com/matrix-org/matrix-react-sdk/pull/5515)
 * Clone author's deps fork for Netlify previews
   [\#5837](https://github.com/matrix-org/matrix-react-sdk/pull/5837)
 * Show drop file UI only if dragging a file
   [\#5827](https://github.com/matrix-org/matrix-react-sdk/pull/5827)
 * Ignore punctuation when filtering rooms
   [\#5824](https://github.com/matrix-org/matrix-react-sdk/pull/5824)
 * Resizable CallView
   [\#5710](https://github.com/matrix-org/matrix-react-sdk/pull/5710)

Changes in [3.18.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.18.0) (2021-04-12)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.18.0-rc.1...v3.18.0)

 * Upgrade to JS SDK 9.11.0
 * [Release] Tweak appearance of invite reason
   [\#5848](https://github.com/matrix-org/matrix-react-sdk/pull/5848)

Changes in [3.18.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.18.0-rc.1) (2021-04-07)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.17.0...v3.18.0-rc.1)

 * Upgrade to JS SDK 9.11.0-rc.1
 * Translations update from Weblate
   [\#5832](https://github.com/matrix-org/matrix-react-sdk/pull/5832)
 * Add fake fallback thumbnail URL for encrypted videos
   [\#5826](https://github.com/matrix-org/matrix-react-sdk/pull/5826)
 * Fix broken "Go to Home View" shortcut on macOS
   [\#5818](https://github.com/matrix-org/matrix-react-sdk/pull/5818)
 * Remove status area UI defects when in-call
   [\#5828](https://github.com/matrix-org/matrix-react-sdk/pull/5828)
 * Fix viewing invitations when the inviter has no avatar set
   [\#5829](https://github.com/matrix-org/matrix-react-sdk/pull/5829)
 * Restabilize room list ordering with prefiltering on spaces/communities
   [\#5825](https://github.com/matrix-org/matrix-react-sdk/pull/5825)
 * Show invite reasons
   [\#5694](https://github.com/matrix-org/matrix-react-sdk/pull/5694)
 * Require strong password in forgot password form
   [\#5744](https://github.com/matrix-org/matrix-react-sdk/pull/5744)
 * Attended transfer
   [\#5798](https://github.com/matrix-org/matrix-react-sdk/pull/5798)
 * Make user autocomplete query search beyond prefix
   [\#5822](https://github.com/matrix-org/matrix-react-sdk/pull/5822)
 * Add reset option for corrupted event index store
   [\#5806](https://github.com/matrix-org/matrix-react-sdk/pull/5806)
 * Prevent Re-request encryption keys from appearing under redacted messages
   [\#5816](https://github.com/matrix-org/matrix-react-sdk/pull/5816)
 * Keybindings follow up
   [\#5815](https://github.com/matrix-org/matrix-react-sdk/pull/5815)
 * Increase default visible tiles for room sublists
   [\#5821](https://github.com/matrix-org/matrix-react-sdk/pull/5821)
 * Change copy to point to native node modules docs in element desktop
   [\#5817](https://github.com/matrix-org/matrix-react-sdk/pull/5817)
 * Show waveform and timer in voice messages
   [\#5801](https://github.com/matrix-org/matrix-react-sdk/pull/5801)
 * Label unlabeled avatar button in event panel
   [\#5585](https://github.com/matrix-org/matrix-react-sdk/pull/5585)
 * Fix the theme engine breaking with some web theming extensions
   [\#5810](https://github.com/matrix-org/matrix-react-sdk/pull/5810)
 * Add /spoiler command
   [\#5696](https://github.com/matrix-org/matrix-react-sdk/pull/5696)
 * Don't specify sample rates for voice messages
   [\#5802](https://github.com/matrix-org/matrix-react-sdk/pull/5802)
 * Tweak security key error handling
   [\#5812](https://github.com/matrix-org/matrix-react-sdk/pull/5812)
 * Add user settings for warn before exit
   [\#5793](https://github.com/matrix-org/matrix-react-sdk/pull/5793)
 * Decouple key bindings from event handling
   [\#5720](https://github.com/matrix-org/matrix-react-sdk/pull/5720)
 * Fixing spaces papercuts
   [\#5792](https://github.com/matrix-org/matrix-react-sdk/pull/5792)
 * Share keys for historical messages when inviting users to encrypted rooms
   [\#5763](https://github.com/matrix-org/matrix-react-sdk/pull/5763)
 * Fix upload bar not populating when starting uploads
   [\#5804](https://github.com/matrix-org/matrix-react-sdk/pull/5804)
 * Fix crash on login when using social login
   [\#5803](https://github.com/matrix-org/matrix-react-sdk/pull/5803)
 * Convert AccessSecretStorageDialog to TypeScript
   [\#5805](https://github.com/matrix-org/matrix-react-sdk/pull/5805)
 * Tweak cross-signing copy
   [\#5807](https://github.com/matrix-org/matrix-react-sdk/pull/5807)
 * Fix password change popup message
   [\#5791](https://github.com/matrix-org/matrix-react-sdk/pull/5791)
 * View Source: make Event ID go below Event ID
   [\#5790](https://github.com/matrix-org/matrix-react-sdk/pull/5790)
 * Fix line numbers when missing trailing newline
   [\#5800](https://github.com/matrix-org/matrix-react-sdk/pull/5800)
 * Remember reply when switching rooms
   [\#5796](https://github.com/matrix-org/matrix-react-sdk/pull/5796)
 * Fix edge case with redaction grouper messing up continuations
   [\#5797](https://github.com/matrix-org/matrix-react-sdk/pull/5797)
 * Only show the ask anyway modal for explicit user lookup failures
   [\#5785](https://github.com/matrix-org/matrix-react-sdk/pull/5785)
 * Improve error reporting when EventIndex fails on a supported environment
   [\#5787](https://github.com/matrix-org/matrix-react-sdk/pull/5787)
 * Tweak and fix some space features
   [\#5789](https://github.com/matrix-org/matrix-react-sdk/pull/5789)
 * Support replying with a message command
   [\#5686](https://github.com/matrix-org/matrix-react-sdk/pull/5686)
 * Labs feature: Early implementation of voice messages
   [\#5769](https://github.com/matrix-org/matrix-react-sdk/pull/5769)

Changes in [3.17.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.17.0) (2021-03-29)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.17.0-rc.1...v3.17.0)

 * Upgrade to JS SDK 9.10.0
 * [Release] Tweak cross-signing copy
   [\#5808](https://github.com/matrix-org/matrix-react-sdk/pull/5808)
 * [Release] Fix crash on login when using social login
   [\#5809](https://github.com/matrix-org/matrix-react-sdk/pull/5809)
 * [Release] Fix edge case with redaction grouper messing up continuations
   [\#5799](https://github.com/matrix-org/matrix-react-sdk/pull/5799)

Changes in [3.17.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.17.0-rc.1) (2021-03-25)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.16.0...v3.17.0-rc.1)

 * Upgrade to JS SDK 9.10.0-rc.1
 * Translations update from Weblate
   [\#5788](https://github.com/matrix-org/matrix-react-sdk/pull/5788)
 * Track next event [tile] over group boundaries
   [\#5784](https://github.com/matrix-org/matrix-react-sdk/pull/5784)
 * Fixing the minor UI issues in the email discovery
   [\#5780](https://github.com/matrix-org/matrix-react-sdk/pull/5780)
 * Don't overwrite callback with undefined if no customization provided
   [\#5783](https://github.com/matrix-org/matrix-react-sdk/pull/5783)
 * Fix redaction event list summaries breaking sender profiles
   [\#5781](https://github.com/matrix-org/matrix-react-sdk/pull/5781)
 * Fix CIDER formatting buttons on Safari
   [\#5782](https://github.com/matrix-org/matrix-react-sdk/pull/5782)
 * Improve discovery of rooms in a space
   [\#5776](https://github.com/matrix-org/matrix-react-sdk/pull/5776)
 * Spaces improve creation journeys
   [\#5777](https://github.com/matrix-org/matrix-react-sdk/pull/5777)
 * Make buttons in verify dialog respect the system font
   [\#5778](https://github.com/matrix-org/matrix-react-sdk/pull/5778)
 * Collapse redactions into an event list summary
   [\#5728](https://github.com/matrix-org/matrix-react-sdk/pull/5728)
 * Added invite option to room's context menu
   [\#5648](https://github.com/matrix-org/matrix-react-sdk/pull/5648)
 * Add an optional config option to make the welcome page the login page
   [\#5658](https://github.com/matrix-org/matrix-react-sdk/pull/5658)
 * Fix username showing instead of display name in Jitsi widgets
   [\#5770](https://github.com/matrix-org/matrix-react-sdk/pull/5770)
 * Convert a bunch more js-sdk imports to absolute paths
   [\#5774](https://github.com/matrix-org/matrix-react-sdk/pull/5774)
 * Remove forgotten rooms from the room list once forgotten
   [\#5775](https://github.com/matrix-org/matrix-react-sdk/pull/5775)
 * Log error when failing to list usermedia devices
   [\#5771](https://github.com/matrix-org/matrix-react-sdk/pull/5771)
 * Fix weird timeline jumps
   [\#5772](https://github.com/matrix-org/matrix-react-sdk/pull/5772)
 * Replace type declaration in Registration.tsx
   [\#5773](https://github.com/matrix-org/matrix-react-sdk/pull/5773)
 * Add possibility to delay rageshake persistence in app startup
   [\#5767](https://github.com/matrix-org/matrix-react-sdk/pull/5767)
 * Fix left panel resizing and lower min-width improving flexibility
   [\#5764](https://github.com/matrix-org/matrix-react-sdk/pull/5764)
 * Work around more cases where a rageshake server might not be present
   [\#5766](https://github.com/matrix-org/matrix-react-sdk/pull/5766)
 * Iterate space panel visually and functionally
   [\#5761](https://github.com/matrix-org/matrix-react-sdk/pull/5761)
 * Make some dispatches async
   [\#5765](https://github.com/matrix-org/matrix-react-sdk/pull/5765)
 * fix: make room directory correct when using a homeserver with explicit port
   [\#5762](https://github.com/matrix-org/matrix-react-sdk/pull/5762)
 * Hangup all calls on logout
   [\#5756](https://github.com/matrix-org/matrix-react-sdk/pull/5756)
 * Remove now-unused assets and CSS from CompleteSecurity step
   [\#5757](https://github.com/matrix-org/matrix-react-sdk/pull/5757)
 * Add details and summary to allowed HTML tags
   [\#5760](https://github.com/matrix-org/matrix-react-sdk/pull/5760)
 * Support a media handling customisation endpoint
   [\#5714](https://github.com/matrix-org/matrix-react-sdk/pull/5714)
 * Edit button on View Source dialog that takes you to devtools ->
   SendCustomEvent
   [\#5718](https://github.com/matrix-org/matrix-react-sdk/pull/5718)
 * Show room alias in plain/formatted body
   [\#5748](https://github.com/matrix-org/matrix-react-sdk/pull/5748)
 * Allow pills on the beginning of a part string
   [\#5754](https://github.com/matrix-org/matrix-react-sdk/pull/5754)
 * [SK-3] Decorate easy components with replaceableComponent
   [\#5734](https://github.com/matrix-org/matrix-react-sdk/pull/5734)
 * Use fsync in reskindex to ensure file is written to disk
   [\#5753](https://github.com/matrix-org/matrix-react-sdk/pull/5753)
 * Remove unused common CSS classes
   [\#5752](https://github.com/matrix-org/matrix-react-sdk/pull/5752)
 * Rebuild space previews with new designs
   [\#5751](https://github.com/matrix-org/matrix-react-sdk/pull/5751)
 * Rework cross-signing login flow
   [\#5727](https://github.com/matrix-org/matrix-react-sdk/pull/5727)
 * Change read receipt drift to be non-fractional
   [\#5745](https://github.com/matrix-org/matrix-react-sdk/pull/5745)

Changes in [3.16.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.16.0) (2021-03-15)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.16.0-rc.2...v3.16.0)

 * Upgrade to JS SDK 9.9.0
 * [Release] Change read receipt drift to be non-fractional
   [\#5746](https://github.com/matrix-org/matrix-react-sdk/pull/5746)
 * [Release] Properly gate SpaceRoomView behind labs
   [\#5750](https://github.com/matrix-org/matrix-react-sdk/pull/5750)

Changes in [3.16.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.16.0-rc.2) (2021-03-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.16.0-rc.1...v3.16.0-rc.2)

 * Fixed incorrect build output in rc.1

Changes in [3.16.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.16.0-rc.1) (2021-03-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.15.0...v3.16.0-rc.1)

 * Upgrade to JS SDK 9.9.0-rc.1
 * Translations update from Weblate
   [\#5743](https://github.com/matrix-org/matrix-react-sdk/pull/5743)
 * Document behaviour of showReadReceipts=false for sent receipts
   [\#5739](https://github.com/matrix-org/matrix-react-sdk/pull/5739)
 * Tweak sent marker code style
   [\#5741](https://github.com/matrix-org/matrix-react-sdk/pull/5741)
 * Fix sent markers disappearing for edits/reactions
   [\#5737](https://github.com/matrix-org/matrix-react-sdk/pull/5737)
 * Ignore to-device decryption in the room list store
   [\#5740](https://github.com/matrix-org/matrix-react-sdk/pull/5740)
 * Spaces suggested rooms support
   [\#5736](https://github.com/matrix-org/matrix-react-sdk/pull/5736)
 * Add tooltips to sent/sending receipts
   [\#5738](https://github.com/matrix-org/matrix-react-sdk/pull/5738)
 * Remove a bunch of useless 'use strict' definitions
   [\#5735](https://github.com/matrix-org/matrix-react-sdk/pull/5735)
 * [SK-1] Fix types for replaceableComponent
   [\#5732](https://github.com/matrix-org/matrix-react-sdk/pull/5732)
 * [SK-2] Make debugging skinning problems easier
   [\#5733](https://github.com/matrix-org/matrix-react-sdk/pull/5733)
 * Support sending invite reasons with /invite command
   [\#5695](https://github.com/matrix-org/matrix-react-sdk/pull/5695)
 * Fix clicking on the avatar for opening member info requires pixel-perfect
   accuracy
   [\#5717](https://github.com/matrix-org/matrix-react-sdk/pull/5717)
 * Display decrypted and encrypted event source on the same dialog
   [\#5713](https://github.com/matrix-org/matrix-react-sdk/pull/5713)
 * Fix units of TURN server expiry time
   [\#5730](https://github.com/matrix-org/matrix-react-sdk/pull/5730)
 * Display room name in pills instead of address
   [\#5624](https://github.com/matrix-org/matrix-react-sdk/pull/5624)
 * Refresh UI for file uploads
   [\#5723](https://github.com/matrix-org/matrix-react-sdk/pull/5723)
 * UI refresh for uploaded files
   [\#5719](https://github.com/matrix-org/matrix-react-sdk/pull/5719)
 * Improve message sending states to match new designs
   [\#5699](https://github.com/matrix-org/matrix-react-sdk/pull/5699)
 * Add clipboard write permission for widgets
   [\#5725](https://github.com/matrix-org/matrix-react-sdk/pull/5725)
 * Fix widget resizing
   [\#5722](https://github.com/matrix-org/matrix-react-sdk/pull/5722)
 * Option for audio streaming
   [\#5707](https://github.com/matrix-org/matrix-react-sdk/pull/5707)
 * Show a specific error for hs_disabled
   [\#5576](https://github.com/matrix-org/matrix-react-sdk/pull/5576)
 * Add Edge to the targets list
   [\#5721](https://github.com/matrix-org/matrix-react-sdk/pull/5721)
 * File drop UI fixes and improvements
   [\#5505](https://github.com/matrix-org/matrix-react-sdk/pull/5505)
 * Fix Bottom border of state counters is white on the dark theme
   [\#5715](https://github.com/matrix-org/matrix-react-sdk/pull/5715)
 * Trim spurious whitespace of nicknames
   [\#5332](https://github.com/matrix-org/matrix-react-sdk/pull/5332)
 * Ensure HostSignupDialog border colour matches light theme
   [\#5716](https://github.com/matrix-org/matrix-react-sdk/pull/5716)
 * Don't place another call if there's already one ongoing
   [\#5712](https://github.com/matrix-org/matrix-react-sdk/pull/5712)
 * Space room hierarchies
   [\#5706](https://github.com/matrix-org/matrix-react-sdk/pull/5706)
 * Iterate Space view and right panel
   [\#5705](https://github.com/matrix-org/matrix-react-sdk/pull/5705)
 * Add a scroll to bottom on message sent setting
   [\#5692](https://github.com/matrix-org/matrix-react-sdk/pull/5692)
 * Add .tmp files to gitignore
   [\#5708](https://github.com/matrix-org/matrix-react-sdk/pull/5708)
 * Initial Space Room View and Creation UX
   [\#5704](https://github.com/matrix-org/matrix-react-sdk/pull/5704)
 * Add multi language spell check
   [\#5452](https://github.com/matrix-org/matrix-react-sdk/pull/5452)
 * Fix tetris effect (holes) in read receipts
   [\#5697](https://github.com/matrix-org/matrix-react-sdk/pull/5697)
 * Fixed edit for markdown images
   [\#5703](https://github.com/matrix-org/matrix-react-sdk/pull/5703)
 * Iterate Space Panel
   [\#5702](https://github.com/matrix-org/matrix-react-sdk/pull/5702)
 * Fix read receipts for compact layout
   [\#5700](https://github.com/matrix-org/matrix-react-sdk/pull/5700)
 * Space Store and Space Panel for Room List filtering
   [\#5689](https://github.com/matrix-org/matrix-react-sdk/pull/5689)
 * Log when turn creds expire
   [\#5691](https://github.com/matrix-org/matrix-react-sdk/pull/5691)
 * Null check for maxHeight in call view
   [\#5690](https://github.com/matrix-org/matrix-react-sdk/pull/5690)
 * Autocomplete invited users
   [\#5687](https://github.com/matrix-org/matrix-react-sdk/pull/5687)
 * Add send message button
   [\#5535](https://github.com/matrix-org/matrix-react-sdk/pull/5535)
 * Move call buttons to the room header
   [\#5693](https://github.com/matrix-org/matrix-react-sdk/pull/5693)
 * Use the default SSSS key if the default is set
   [\#5638](https://github.com/matrix-org/matrix-react-sdk/pull/5638)
 * Initial Spaces feature flag
   [\#5668](https://github.com/matrix-org/matrix-react-sdk/pull/5668)
 * Clean up code edge cases and add helpers
   [\#5667](https://github.com/matrix-org/matrix-react-sdk/pull/5667)
 * Clean up widgets when leaving the room
   [\#5684](https://github.com/matrix-org/matrix-react-sdk/pull/5684)
 * Fix read receipts?
   [\#5567](https://github.com/matrix-org/matrix-react-sdk/pull/5567)
 * Fix MAU usage alerts
   [\#5678](https://github.com/matrix-org/matrix-react-sdk/pull/5678)

Changes in [3.15.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.15.0) (2021-03-01)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.15.0-rc.1...v3.15.0)

## Security notice

matrix-react-sdk 3.15.0 fixes a moderate severity issue (CVE-2021-21320) where
the user content sandbox can be abused to trick users into opening unexpected
documents after several user interactions. The content can be opened with a
`blob` origin from the Matrix client, so it is possible for a malicious document
to access user messages and secrets. Thanks to @keerok for responsibly
disclosing this via Matrix's Security Disclosure Policy.

## All changes

 * Upgrade to JS SDK 9.8.0

Changes in [3.15.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.15.0-rc.1) (2021-02-24)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.14.0...v3.15.0-rc.1)

 * Upgrade to JS SDK 9.8.0-rc.1
 * Translations update from Weblate
   [\#5683](https://github.com/matrix-org/matrix-react-sdk/pull/5683)
 * Fix object diffing when objects have different keys
   [\#5681](https://github.com/matrix-org/matrix-react-sdk/pull/5681)
 * Add <code> if it's missing
   [\#5673](https://github.com/matrix-org/matrix-react-sdk/pull/5673)
 * Add email only if the verification is complete
   [\#5629](https://github.com/matrix-org/matrix-react-sdk/pull/5629)
 * Fix portrait videocalls
   [\#5676](https://github.com/matrix-org/matrix-react-sdk/pull/5676)
 * Tweak code block icon positions
   [\#5643](https://github.com/matrix-org/matrix-react-sdk/pull/5643)
 * Revert "Improve URL preview formatting and image upload thumbnail size"
   [\#5677](https://github.com/matrix-org/matrix-react-sdk/pull/5677)
 * Fix context menu leaving visible area
   [\#5644](https://github.com/matrix-org/matrix-react-sdk/pull/5644)
 * Jitsi conferences names, take 3
   [\#5675](https://github.com/matrix-org/matrix-react-sdk/pull/5675)
 * Update isUserOnDarkTheme to take use_system_theme in account
   [\#5670](https://github.com/matrix-org/matrix-react-sdk/pull/5670)
 * Discard some dead code
   [\#5665](https://github.com/matrix-org/matrix-react-sdk/pull/5665)
 * Add developer tool to explore and edit settings
   [\#5664](https://github.com/matrix-org/matrix-react-sdk/pull/5664)
 * Use and create new room helpers
   [\#5663](https://github.com/matrix-org/matrix-react-sdk/pull/5663)
 * Clear message previews when the maximum limit is reached for history
   [\#5661](https://github.com/matrix-org/matrix-react-sdk/pull/5661)
 * VoIP virtual rooms, mk II
   [\#5639](https://github.com/matrix-org/matrix-react-sdk/pull/5639)
 * Disable chat effects when reduced motion preferred
   [\#5660](https://github.com/matrix-org/matrix-react-sdk/pull/5660)
 * Improve URL preview formatting and image upload thumbnail size
   [\#5637](https://github.com/matrix-org/matrix-react-sdk/pull/5637)
 * Fix border radius when the panel is collapsed
   [\#5641](https://github.com/matrix-org/matrix-react-sdk/pull/5641)
 * Use a more generic layout setting - useIRCLayout → layout
   [\#5571](https://github.com/matrix-org/matrix-react-sdk/pull/5571)
 * Remove redundant lockOrigin parameter from usercontent
   [\#5657](https://github.com/matrix-org/matrix-react-sdk/pull/5657)
 * Set ICE candidate pool size option
   [\#5655](https://github.com/matrix-org/matrix-react-sdk/pull/5655)
 * Prepare to encrypt when a call arrives
   [\#5654](https://github.com/matrix-org/matrix-react-sdk/pull/5654)
 * Use config for host signup branding
   [\#5650](https://github.com/matrix-org/matrix-react-sdk/pull/5650)
 * Use randomly generated conference names for Jitsi
   [\#5649](https://github.com/matrix-org/matrix-react-sdk/pull/5649)
 * Modified regex to account for an immediate new line after slash commands
   [\#5647](https://github.com/matrix-org/matrix-react-sdk/pull/5647)
 * Fix codeblock scrollbar color for non-Firefox
   [\#5642](https://github.com/matrix-org/matrix-react-sdk/pull/5642)
 * Fix codeblock scrollbar colors
   [\#5630](https://github.com/matrix-org/matrix-react-sdk/pull/5630)
 * Added loading and disabled the button while searching for server
   [\#5634](https://github.com/matrix-org/matrix-react-sdk/pull/5634)

Changes in [3.14.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.14.0) (2021-02-16)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.14.0-rc.1...v3.14.0)

 * Upgrade to JS SDK 9.7.0
 * [Release] Use config for host signup branding
   [\#5651](https://github.com/matrix-org/matrix-react-sdk/pull/5651)

Changes in [3.14.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.14.0-rc.1) (2021-02-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.13.1...v3.14.0-rc.1)

 * Upgrade to JS SDK 9.7.0-rc.1
 * Translations update from Weblate
   [\#5636](https://github.com/matrix-org/matrix-react-sdk/pull/5636)
 * Add host signup modal with iframe
   [\#5450](https://github.com/matrix-org/matrix-react-sdk/pull/5450)
 * Fix duplication of codeblock elements
   [\#5633](https://github.com/matrix-org/matrix-react-sdk/pull/5633)
 * Handle undefined call stats
   [\#5632](https://github.com/matrix-org/matrix-react-sdk/pull/5632)
 * Avoid delayed displaying of sources in source picker
   [\#5631](https://github.com/matrix-org/matrix-react-sdk/pull/5631)
 * Give breadcrumbs toolbar an accessibility label.
   [\#5628](https://github.com/matrix-org/matrix-react-sdk/pull/5628)
 * Fix the %s in logs
   [\#5627](https://github.com/matrix-org/matrix-react-sdk/pull/5627)
 * Fix jumpy notifications settings UI
   [\#5625](https://github.com/matrix-org/matrix-react-sdk/pull/5625)
 * Improve displaying of code blocks
   [\#5559](https://github.com/matrix-org/matrix-react-sdk/pull/5559)
 * Fix desktop Matrix screen sharing and add a screen/window picker
   [\#5525](https://github.com/matrix-org/matrix-react-sdk/pull/5525)
 * Call "MatrixClientPeg.get()" only once in method "findOverrideMuteRule"
   [\#5498](https://github.com/matrix-org/matrix-react-sdk/pull/5498)
 * Close current modal when session is logged out
   [\#5616](https://github.com/matrix-org/matrix-react-sdk/pull/5616)
 * Switch room explorer list to CSS grid
   [\#5551](https://github.com/matrix-org/matrix-react-sdk/pull/5551)
 * Improve SSO login start screen and 3pid invite handling somewhat
   [\#5622](https://github.com/matrix-org/matrix-react-sdk/pull/5622)
 * Don't jump to bottom on reaction
   [\#5621](https://github.com/matrix-org/matrix-react-sdk/pull/5621)
 * Fix several profile settings oddities
   [\#5620](https://github.com/matrix-org/matrix-react-sdk/pull/5620)
 * Add option to hide the stickers button in the composer
   [\#5530](https://github.com/matrix-org/matrix-react-sdk/pull/5530)
 * Fix confusing right panel button behaviour
   [\#5598](https://github.com/matrix-org/matrix-react-sdk/pull/5598)
 * Fix jumping timestamp if hovering a message with e2e indicator bar
   [\#5601](https://github.com/matrix-org/matrix-react-sdk/pull/5601)
 * Fix avatar and trash alignment
   [\#5614](https://github.com/matrix-org/matrix-react-sdk/pull/5614)
 * Fix z-index of stickerpicker
   [\#5617](https://github.com/matrix-org/matrix-react-sdk/pull/5617)
 * Fix permalink via parsing for rooms
   [\#5615](https://github.com/matrix-org/matrix-react-sdk/pull/5615)
 * Fix "Terms and Conditions" checkbox alignment
   [\#5613](https://github.com/matrix-org/matrix-react-sdk/pull/5613)
 * Fix flair height after accent changes
   [\#5611](https://github.com/matrix-org/matrix-react-sdk/pull/5611)
 * Iterate Social Logins work around edge cases and branding
   [\#5609](https://github.com/matrix-org/matrix-react-sdk/pull/5609)
 * Lock widget room ID when added
   [\#5607](https://github.com/matrix-org/matrix-react-sdk/pull/5607)
 * Better errors for SSO failures
   [\#5605](https://github.com/matrix-org/matrix-react-sdk/pull/5605)
 * Increase language search bar width
   [\#5549](https://github.com/matrix-org/matrix-react-sdk/pull/5549)
 * Scroll to bottom on message_sent
   [\#5565](https://github.com/matrix-org/matrix-react-sdk/pull/5565)
 * Fix new rooms being titled 'Empty Room'
   [\#5587](https://github.com/matrix-org/matrix-react-sdk/pull/5587)
 * Fix saving the collapsed state of the left panel
   [\#5593](https://github.com/matrix-org/matrix-react-sdk/pull/5593)
 * Fix app-url hint in the e2e-test run script output
   [\#5600](https://github.com/matrix-org/matrix-react-sdk/pull/5600)
 * Fix RoomView re-mounting breaking peeking
   [\#5602](https://github.com/matrix-org/matrix-react-sdk/pull/5602)
 * Tweak a few room ID checks
   [\#5592](https://github.com/matrix-org/matrix-react-sdk/pull/5592)
 * Remove pills from event permalinks with text
   [\#5575](https://github.com/matrix-org/matrix-react-sdk/pull/5575)

Changes in [3.13.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.13.1) (2021-02-04)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.13.0...v3.13.1)

 * [Release] Fix z-index of stickerpicker
   [\#5618](https://github.com/matrix-org/matrix-react-sdk/pull/5618)

Changes in [3.13.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.13.0) (2021-02-03)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.13.0-rc.1...v3.13.0)

 * Upgrade to JS SDK 9.6.0
 * [Release] Fix flair height after accent changes
   [\#5612](https://github.com/matrix-org/matrix-react-sdk/pull/5612)
 * [Release] Iterate Social Logins work around edge cases and branding
   [\#5610](https://github.com/matrix-org/matrix-react-sdk/pull/5610)
 * [Release] Lock widget room ID when added
   [\#5608](https://github.com/matrix-org/matrix-react-sdk/pull/5608)
 * [Release] Better errors for SSO failures
   [\#5606](https://github.com/matrix-org/matrix-react-sdk/pull/5606)
 * [Release] Fix RoomView re-mounting breaking peeking
   [\#5603](https://github.com/matrix-org/matrix-react-sdk/pull/5603)

Changes in [3.13.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.13.0-rc.1) (2021-01-29)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.12.1...v3.13.0-rc.1)

 * Upgrade to JS SDK 9.6.0-rc.1
 * Translations update from Weblate
   [\#5597](https://github.com/matrix-org/matrix-react-sdk/pull/5597)
 * Support managed hybrid widgets from config
   [\#5596](https://github.com/matrix-org/matrix-react-sdk/pull/5596)
 * Add managed hybrid call widgets when supported
   [\#5594](https://github.com/matrix-org/matrix-react-sdk/pull/5594)
 * Tweak mobile guide toast copy
   [\#5595](https://github.com/matrix-org/matrix-react-sdk/pull/5595)
 * Improve SSO auth flow
   [\#5578](https://github.com/matrix-org/matrix-react-sdk/pull/5578)
 * Add optional mobile guide toast
   [\#5586](https://github.com/matrix-org/matrix-react-sdk/pull/5586)
 * Fix invisible text after logging out in the dark theme
   [\#5588](https://github.com/matrix-org/matrix-react-sdk/pull/5588)
 * Fix escape for cancelling replies
   [\#5591](https://github.com/matrix-org/matrix-react-sdk/pull/5591)
 * Update widget-api to beta.12
   [\#5589](https://github.com/matrix-org/matrix-react-sdk/pull/5589)
 * Add commands for DM conversion
   [\#5540](https://github.com/matrix-org/matrix-react-sdk/pull/5540)
 * Run a UI refresh over the OIDC Exchange confirmation dialog
   [\#5580](https://github.com/matrix-org/matrix-react-sdk/pull/5580)
 * Allow stickerpickers the legacy "visibility" capability
   [\#5581](https://github.com/matrix-org/matrix-react-sdk/pull/5581)
 * Hide local video if it is muted
   [\#5529](https://github.com/matrix-org/matrix-react-sdk/pull/5529)
 * Don't use name width in reply thread for IRC layout
   [\#5518](https://github.com/matrix-org/matrix-react-sdk/pull/5518)
 * Update code_style.md
   [\#5554](https://github.com/matrix-org/matrix-react-sdk/pull/5554)
 * Fix Czech capital letters like ŠČŘ...
   [\#5569](https://github.com/matrix-org/matrix-react-sdk/pull/5569)
 * Add optional search shortcut
   [\#5548](https://github.com/matrix-org/matrix-react-sdk/pull/5548)
 * Fix Sudden 'find a room' UI shows up when the only room moves to favourites
   [\#5584](https://github.com/matrix-org/matrix-react-sdk/pull/5584)
 * Increase PersistedElement's z-index
   [\#5568](https://github.com/matrix-org/matrix-react-sdk/pull/5568)
 * Remove check that prevents Jitsi widgets from being unpinned
   [\#5582](https://github.com/matrix-org/matrix-react-sdk/pull/5582)
 * Fix Jitsi widgets causing localized tile crashes
   [\#5583](https://github.com/matrix-org/matrix-react-sdk/pull/5583)
 * Log candidates for calls
   [\#5573](https://github.com/matrix-org/matrix-react-sdk/pull/5573)
 * Upgrade deps 2021-01
   [\#5579](https://github.com/matrix-org/matrix-react-sdk/pull/5579)
 * Fix "Continuing without email" dialog bug
   [\#5566](https://github.com/matrix-org/matrix-react-sdk/pull/5566)
 * Require registration for verification actions
   [\#5574](https://github.com/matrix-org/matrix-react-sdk/pull/5574)
 * Don't play the hangup sound when the call is answered from elsewhere
   [\#5572](https://github.com/matrix-org/matrix-react-sdk/pull/5572)
 * Move to newer base image for end-to-end tests
   [\#5570](https://github.com/matrix-org/matrix-react-sdk/pull/5570)
 * Update widgets in the room upon join
   [\#5564](https://github.com/matrix-org/matrix-react-sdk/pull/5564)
 * Update AuxPanel and related buttons when widgets change or on reload
   [\#5563](https://github.com/matrix-org/matrix-react-sdk/pull/5563)
 * Add VoIP user mapper
   [\#5560](https://github.com/matrix-org/matrix-react-sdk/pull/5560)
 * Improve styling of SSO Buttons for multiple IdPs
   [\#5558](https://github.com/matrix-org/matrix-react-sdk/pull/5558)
 * Fixes for the general tab in the room dialog
   [\#5522](https://github.com/matrix-org/matrix-react-sdk/pull/5522)
 * fix issue 16226 to allow switching back to default HS.
   [\#5561](https://github.com/matrix-org/matrix-react-sdk/pull/5561)
 * Support room-defined widget layouts
   [\#5553](https://github.com/matrix-org/matrix-react-sdk/pull/5553)
 * Change a bunch of strings from Recovery Key/Phrase to Security Key/Phrase
   [\#5533](https://github.com/matrix-org/matrix-react-sdk/pull/5533)
 * Give a bigger target area to AppsDrawer vertical resizer
   [\#5557](https://github.com/matrix-org/matrix-react-sdk/pull/5557)
 * Fix minimized left panel avatar alignment
   [\#5493](https://github.com/matrix-org/matrix-react-sdk/pull/5493)
 * Ensure component index has been written before renaming
   [\#5556](https://github.com/matrix-org/matrix-react-sdk/pull/5556)
 * Fixed continue button while selecting home-server
   [\#5552](https://github.com/matrix-org/matrix-react-sdk/pull/5552)
 * Wire up MSC2931 widget navigation
   [\#5527](https://github.com/matrix-org/matrix-react-sdk/pull/5527)
 * Various fixes for Bridge Info page (MSC2346)
   [\#5454](https://github.com/matrix-org/matrix-react-sdk/pull/5454)
 * Use room-specific listeners for message preview and community prototype
   [\#5547](https://github.com/matrix-org/matrix-react-sdk/pull/5547)
 * Fix some misc. React warnings when viewing timeline
   [\#5546](https://github.com/matrix-org/matrix-react-sdk/pull/5546)
 * Use device storage for allowed widgets if account data not supported
   [\#5544](https://github.com/matrix-org/matrix-react-sdk/pull/5544)
 * Fix incoming call box on dark theme
   [\#5542](https://github.com/matrix-org/matrix-react-sdk/pull/5542)
 * Convert DMRoomMap to typescript
   [\#5541](https://github.com/matrix-org/matrix-react-sdk/pull/5541)
 * Add in-call dialpad for DTMF sending
   [\#5532](https://github.com/matrix-org/matrix-react-sdk/pull/5532)

Changes in [3.12.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.12.1) (2021-01-26)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.12.0...v3.12.1)

 * Upgrade to JS SDK 9.5.1

Changes in [3.12.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.12.0) (2021-01-18)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.12.0-rc.1...v3.12.0)

 * Upgrade to JS SDK 9.5.0
 * Fix incoming call box on dark theme
   [\#5543](https://github.com/matrix-org/matrix-react-sdk/pull/5543)

Changes in [3.12.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.12.0-rc.1) (2021-01-13)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.11.1...v3.12.0-rc.1)

 * Upgrade to JS SDK 9.5.0-rc.1
 * Fix soft crash on soft logout page
   [\#5539](https://github.com/matrix-org/matrix-react-sdk/pull/5539)
 * Translations update from Weblate
   [\#5538](https://github.com/matrix-org/matrix-react-sdk/pull/5538)
 * Run TypeScript tests
   [\#5537](https://github.com/matrix-org/matrix-react-sdk/pull/5537)
 * Add a basic widget explorer to devtools (per-room)
   [\#5528](https://github.com/matrix-org/matrix-react-sdk/pull/5528)
 * Add <input type="password"> to security key field
   [\#5534](https://github.com/matrix-org/matrix-react-sdk/pull/5534)
 * Fix avatar upload prompt/tooltip floating wrong and permissions
   [\#5526](https://github.com/matrix-org/matrix-react-sdk/pull/5526)
 * Add a dialpad UI for PSTN lookup
   [\#5523](https://github.com/matrix-org/matrix-react-sdk/pull/5523)
 * Basic call transfer initiation support
   [\#5494](https://github.com/matrix-org/matrix-react-sdk/pull/5494)
 * Fix #15988
   [\#5524](https://github.com/matrix-org/matrix-react-sdk/pull/5524)
 * Bump node-notifier from 8.0.0 to 8.0.1
   [\#5520](https://github.com/matrix-org/matrix-react-sdk/pull/5520)
 * Use TypeScript source for development, swap to build during release
   [\#5503](https://github.com/matrix-org/matrix-react-sdk/pull/5503)
 * Look for emoji in the body that will be displayed
   [\#5517](https://github.com/matrix-org/matrix-react-sdk/pull/5517)
 * Bump ini from 1.3.5 to 1.3.7
   [\#5486](https://github.com/matrix-org/matrix-react-sdk/pull/5486)
 * Recognise `*.element.io` links as Element permalinks
   [\#5514](https://github.com/matrix-org/matrix-react-sdk/pull/5514)
 * Fixes for call UI
   [\#5509](https://github.com/matrix-org/matrix-react-sdk/pull/5509)
 * Add a snowfall chat effect (with /snowfall command)
   [\#5511](https://github.com/matrix-org/matrix-react-sdk/pull/5511)
 * fireworks effect
   [\#5507](https://github.com/matrix-org/matrix-react-sdk/pull/5507)
 * Don't play call end sound for calls that never started
   [\#5506](https://github.com/matrix-org/matrix-react-sdk/pull/5506)
 * Add /tableflip slash command
   [\#5485](https://github.com/matrix-org/matrix-react-sdk/pull/5485)
 * Import from src in IncomingCallBox.tsx
   [\#5504](https://github.com/matrix-org/matrix-react-sdk/pull/5504)
 * Social Login support both https and mxc icons
   [\#5499](https://github.com/matrix-org/matrix-react-sdk/pull/5499)
 * Fix padding in confirmation email registration prompt
   [\#5501](https://github.com/matrix-org/matrix-react-sdk/pull/5501)
 * Fix room list help prompt alignment
   [\#5500](https://github.com/matrix-org/matrix-react-sdk/pull/5500)

Changes in [3.11.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.11.1) (2020-12-21)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.11.0...v3.11.1)

 * Upgrade JS SDK to 9.4.1

Changes in [3.11.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.11.0) (2020-12-21)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.11.0-rc.2...v3.11.0)

 * Upgrade JS SDK to 9.4.0
 * [Release] Look for emoji in the body that will be displayed
   [\#5519](https://github.com/matrix-org/matrix-react-sdk/pull/5519)
 * [Release] Recognise `*.element.io` links as Element permalinks
   [\#5516](https://github.com/matrix-org/matrix-react-sdk/pull/5516)
 * [Release] Fixes for call UI
   [\#5513](https://github.com/matrix-org/matrix-react-sdk/pull/5513)
 * [RELEASE] Add a snowfall chat effect (with /snowfall command)
   [\#5512](https://github.com/matrix-org/matrix-react-sdk/pull/5512)
 * [Release] Fix padding in confirmation email registration prompt
   [\#5502](https://github.com/matrix-org/matrix-react-sdk/pull/5502)

Changes in [3.11.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.11.0-rc.2) (2020-12-16)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.11.0-rc.1...v3.11.0-rc.2)

 * Upgrade JS SDK to 9.4.0-rc.2

Changes in [3.11.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.11.0-rc.1) (2020-12-16)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.10.0...v3.11.0-rc.1)

 * Upgrade JS SDK to 9.4.0-rc.1
 * Translations update from Weblate
   [\#5497](https://github.com/matrix-org/matrix-react-sdk/pull/5497)
 * Unregister from the dispatcher in CallHandler
   [\#5495](https://github.com/matrix-org/matrix-react-sdk/pull/5495)
 * Better adhere to MSC process
   [\#5496](https://github.com/matrix-org/matrix-react-sdk/pull/5496)
 * Use random pickle key on all platforms
   [\#5483](https://github.com/matrix-org/matrix-react-sdk/pull/5483)
 * Fix mx_MemberList icons
   [\#5492](https://github.com/matrix-org/matrix-react-sdk/pull/5492)
 * Convert InviteDialog to TypeScript
   [\#5491](https://github.com/matrix-org/matrix-react-sdk/pull/5491)
 * Add keyboard shortcut for emoji reactions
   [\#5425](https://github.com/matrix-org/matrix-react-sdk/pull/5425)
 * Run chat effects on events sent by widgets too
   [\#5488](https://github.com/matrix-org/matrix-react-sdk/pull/5488)
 * Fix being unable to pin widgets
   [\#5487](https://github.com/matrix-org/matrix-react-sdk/pull/5487)
 * Line 1 / 2 Support
   [\#5468](https://github.com/matrix-org/matrix-react-sdk/pull/5468)
 * Remove impossible labs feature: sending hidden read receipts
   [\#5484](https://github.com/matrix-org/matrix-react-sdk/pull/5484)
 * Fix height of Remote Video in call
   [\#5456](https://github.com/matrix-org/matrix-react-sdk/pull/5456)
 * Add UI for hold functionality
   [\#5446](https://github.com/matrix-org/matrix-react-sdk/pull/5446)
 * Allow SearchBox to expand to fill width
   [\#5411](https://github.com/matrix-org/matrix-react-sdk/pull/5411)
 * Use room alias in generated permalink for rooms
   [\#5451](https://github.com/matrix-org/matrix-react-sdk/pull/5451)
 * Only show confetti if the current room is receiving an appropriate event
   [\#5482](https://github.com/matrix-org/matrix-react-sdk/pull/5482)
 * Throttle RoomState.members handler to improve performance
   [\#5481](https://github.com/matrix-org/matrix-react-sdk/pull/5481)
 * Handle manual hs urls better for the server picker
   [\#5477](https://github.com/matrix-org/matrix-react-sdk/pull/5477)
 * Add Olm as a dev dependency for types
   [\#5479](https://github.com/matrix-org/matrix-react-sdk/pull/5479)
 * Hide Invite to this room CTA if no permission
   [\#5476](https://github.com/matrix-org/matrix-react-sdk/pull/5476)
 * Fix width of underline in server picker dialog
   [\#5478](https://github.com/matrix-org/matrix-react-sdk/pull/5478)
 * Fix confetti room unread state check
   [\#5475](https://github.com/matrix-org/matrix-react-sdk/pull/5475)
 * Show confetti in a chat room on command or emoji
   [\#5140](https://github.com/matrix-org/matrix-react-sdk/pull/5140)
 * Fix inverted settings default value
   [\#5391](https://github.com/matrix-org/matrix-react-sdk/pull/5391)
 * Improve usability of the Server Picker Dialog
   [\#5474](https://github.com/matrix-org/matrix-react-sdk/pull/5474)
 * Fix typos in some strings
   [\#5473](https://github.com/matrix-org/matrix-react-sdk/pull/5473)
 * Bump highlight.js from 10.1.2 to 10.4.1
   [\#5472](https://github.com/matrix-org/matrix-react-sdk/pull/5472)
 * Remove old app test script path
   [\#5471](https://github.com/matrix-org/matrix-react-sdk/pull/5471)
 * add support for giving reason when redacting
   [\#5260](https://github.com/matrix-org/matrix-react-sdk/pull/5260)
 * Add support for Netlify to fetchdep script
   [\#5469](https://github.com/matrix-org/matrix-react-sdk/pull/5469)
 * Nest other layers inside on automation
   [\#5467](https://github.com/matrix-org/matrix-react-sdk/pull/5467)
 * Rebrand various CI scripts and modules
   [\#5466](https://github.com/matrix-org/matrix-react-sdk/pull/5466)
 * Add more widget sanity checking
   [\#5462](https://github.com/matrix-org/matrix-react-sdk/pull/5462)
 * Fix React complaining about unknown DOM props
   [\#5465](https://github.com/matrix-org/matrix-react-sdk/pull/5465)
 * Jump to home page when leaving a room
   [\#5464](https://github.com/matrix-org/matrix-react-sdk/pull/5464)
 * Fix SSO buttons for Social Logins
   [\#5463](https://github.com/matrix-org/matrix-react-sdk/pull/5463)
 * Social Login and login delight tweaks
   [\#5426](https://github.com/matrix-org/matrix-react-sdk/pull/5426)

Changes in [3.10.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.10.0) (2020-12-07)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.10.0-rc.1...v3.10.0)

 * Upgrade to JS SDK 9.3.0

Changes in [3.10.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.10.0-rc.1) (2020-12-02)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.9.0...v3.10.0-rc.1)

 * Upgrade to JS SDK 9.3.0-rc.1
 * Translations update from Weblate
   [\#5461](https://github.com/matrix-org/matrix-react-sdk/pull/5461)
 * Fix VoIP call plinth on dark theme
   [\#5460](https://github.com/matrix-org/matrix-react-sdk/pull/5460)
 * Add sanity checking around widget pinning
   [\#5459](https://github.com/matrix-org/matrix-react-sdk/pull/5459)
 * Update i18n for Appearance User Settings
   [\#5457](https://github.com/matrix-org/matrix-react-sdk/pull/5457)
 * Only show 'answered elsewhere' if we tried to answer too
   [\#5455](https://github.com/matrix-org/matrix-react-sdk/pull/5455)
 * Fixed Avatar for 3PID invites
   [\#5442](https://github.com/matrix-org/matrix-react-sdk/pull/5442)
 * Slightly better error if we can't capture user media
   [\#5449](https://github.com/matrix-org/matrix-react-sdk/pull/5449)
 * Make it possible in-code to hide rooms from the room list
   [\#5445](https://github.com/matrix-org/matrix-react-sdk/pull/5445)
 * Fix the stickerpicker
   [\#5447](https://github.com/matrix-org/matrix-react-sdk/pull/5447)
 * Add live password validation to change password dialog
   [\#5436](https://github.com/matrix-org/matrix-react-sdk/pull/5436)
 * LaTeX rendering in element-web using KaTeX
   [\#5244](https://github.com/matrix-org/matrix-react-sdk/pull/5244)
 * Add lifecycle customisation point after logout
   [\#5448](https://github.com/matrix-org/matrix-react-sdk/pull/5448)
 * Simplify UserMenu for Guests as they can't use most of the options
   [\#5421](https://github.com/matrix-org/matrix-react-sdk/pull/5421)
 * Fix known issues with modal widgets
   [\#5444](https://github.com/matrix-org/matrix-react-sdk/pull/5444)
 * Fix existing widgets not having approved capabilities for their function
   [\#5443](https://github.com/matrix-org/matrix-react-sdk/pull/5443)
 * Use the WidgetDriver to run OIDC requests
   [\#5440](https://github.com/matrix-org/matrix-react-sdk/pull/5440)
 * Add a customisation point for widget permissions and fix amnesia issues
   [\#5439](https://github.com/matrix-org/matrix-react-sdk/pull/5439)
 * Fix Widget event notification text including spurious space
   [\#5441](https://github.com/matrix-org/matrix-react-sdk/pull/5441)
 * Move call listener out of MatrixChat
   [\#5438](https://github.com/matrix-org/matrix-react-sdk/pull/5438)
 * New Look in-Call View
   [\#5432](https://github.com/matrix-org/matrix-react-sdk/pull/5432)
 * Support arbitrary widgets sticking to the screen + sending stickers
   [\#5435](https://github.com/matrix-org/matrix-react-sdk/pull/5435)
 * Auth typescripting and validation tweaks
   [\#5433](https://github.com/matrix-org/matrix-react-sdk/pull/5433)
 * Add new widget API actions for changing rooms and sending/receiving events
   [\#5385](https://github.com/matrix-org/matrix-react-sdk/pull/5385)
 * Revert room header click behaviour to opening room settings
   [\#5434](https://github.com/matrix-org/matrix-react-sdk/pull/5434)
 * Add option to send/edit a message with Ctrl + Enter / Command + Enter
   [\#5160](https://github.com/matrix-org/matrix-react-sdk/pull/5160)
 * Add Analytics instrumentation to the Homepage
   [\#5409](https://github.com/matrix-org/matrix-react-sdk/pull/5409)
 * Fix encrypted video playback in Chrome-based browsers
   [\#5430](https://github.com/matrix-org/matrix-react-sdk/pull/5430)
 * Add border-radius for video
   [\#5333](https://github.com/matrix-org/matrix-react-sdk/pull/5333)
 * Push name to the end, near text, in IRC layout
   [\#5166](https://github.com/matrix-org/matrix-react-sdk/pull/5166)
 * Disable notifications for the room you have recently been active in
   [\#5325](https://github.com/matrix-org/matrix-react-sdk/pull/5325)
 * Search through the list of unfiltered rooms rather than the rooms in the
   state which are already filtered by the search text
   [\#5331](https://github.com/matrix-org/matrix-react-sdk/pull/5331)
 * Lighten blockquote colour in dark mode
   [\#5353](https://github.com/matrix-org/matrix-react-sdk/pull/5353)
 * Specify community description img must be mxc urls
   [\#5364](https://github.com/matrix-org/matrix-react-sdk/pull/5364)
 * Add keyboard shortcut to close the current conversation
   [\#5253](https://github.com/matrix-org/matrix-react-sdk/pull/5253)
 * Redirect user home from auth screens if they are already logged in
   [\#5423](https://github.com/matrix-org/matrix-react-sdk/pull/5423)

Changes in [3.9.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.9.0) (2020-11-23)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.9.0-rc.1...v3.9.0)

 * Upgrade JS SDK to 9.2.0
 * [Release] Fix encrypted video playback in Chrome-based browsers
   [\#5431](https://github.com/matrix-org/matrix-react-sdk/pull/5431)

Changes in [3.9.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.9.0-rc.1) (2020-11-18)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.8.0...v3.9.0-rc.1)

 * Upgrade JS SDK to 9.2.0-rc.1
 * Translations update from Weblate
   [\#5429](https://github.com/matrix-org/matrix-react-sdk/pull/5429)
 * Fix message search summary text
   [\#5428](https://github.com/matrix-org/matrix-react-sdk/pull/5428)
 * Shrink new room intro top margin to half for encryption bubble tile
   [\#5427](https://github.com/matrix-org/matrix-react-sdk/pull/5427)
 * Small delight tweaks to improve rough corners in the app
   [\#5418](https://github.com/matrix-org/matrix-react-sdk/pull/5418)
 * Fix DM logic to always pick a more reliable DM room
   [\#5424](https://github.com/matrix-org/matrix-react-sdk/pull/5424)
 * Update styling of the Analytics toast
   [\#5408](https://github.com/matrix-org/matrix-react-sdk/pull/5408)
 * Fix vertical centering of the Homepage and button layout
   [\#5420](https://github.com/matrix-org/matrix-react-sdk/pull/5420)
 * Fix BaseAvatar sometimes messing up and duplicating the url
   [\#5422](https://github.com/matrix-org/matrix-react-sdk/pull/5422)
 * Disable buttons when required by MSC2790
   [\#5412](https://github.com/matrix-org/matrix-react-sdk/pull/5412)
 * Fix drag drop file to upload for Safari
   [\#5414](https://github.com/matrix-org/matrix-react-sdk/pull/5414)
 * Fix poorly i18n'd string
   [\#5416](https://github.com/matrix-org/matrix-react-sdk/pull/5416)
 * Fix the feedback not closing without feedback/countly
   [\#5417](https://github.com/matrix-org/matrix-react-sdk/pull/5417)
 * Fix New Room Intro invite to this room button
   [\#5419](https://github.com/matrix-org/matrix-react-sdk/pull/5419)
 * Change how we expose Role in User Info and hide in DMs
   [\#5413](https://github.com/matrix-org/matrix-react-sdk/pull/5413)
 * Disallow sending of empty messages
   [\#5390](https://github.com/matrix-org/matrix-react-sdk/pull/5390)
 * hide some validation tooltips if fields are valid.
   [\#5403](https://github.com/matrix-org/matrix-react-sdk/pull/5403)
 * Improvements around new room empty space interactions
   [\#5398](https://github.com/matrix-org/matrix-react-sdk/pull/5398)
 * Implement call hold
   [\#5366](https://github.com/matrix-org/matrix-react-sdk/pull/5366)
 * Fix Skeleton UI showing up when not intended.
   [\#5407](https://github.com/matrix-org/matrix-react-sdk/pull/5407)
 * Close context menu when user clicks the Home button
   [\#5406](https://github.com/matrix-org/matrix-react-sdk/pull/5406)
 * Skip e2ee warn logout prompt if user has no megolm sessions to lose
   [\#5410](https://github.com/matrix-org/matrix-react-sdk/pull/5410)
 * Allow country names to be translated
   [\#5405](https://github.com/matrix-org/matrix-react-sdk/pull/5405)
 * Support thirdparty lookup for phone numbers
   [\#5396](https://github.com/matrix-org/matrix-react-sdk/pull/5396)
 * Change "Password" to "New Password"
   [\#5371](https://github.com/matrix-org/matrix-react-sdk/pull/5371)
 * Add customisation point for dehydration key
   [\#5397](https://github.com/matrix-org/matrix-react-sdk/pull/5397)
 * Rebrand Riot -> Element in the permalink classes
   [\#5386](https://github.com/matrix-org/matrix-react-sdk/pull/5386)
 * Invite / Create DM UX tweaks
   [\#5387](https://github.com/matrix-org/matrix-react-sdk/pull/5387)
 * Tweaks to toasts and post-registration landing
   [\#5383](https://github.com/matrix-org/matrix-react-sdk/pull/5383)

Changes in [3.8.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.8.0) (2020-11-09)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.8.0-rc.1...v3.8.0)

 * Upgrade JS SDK to 9.1.0

Changes in [3.8.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.8.0-rc.1) (2020-11-04)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.7.1...v3.8.0-rc.1)

 * Upgrade JS SDK to 9.1.0-rc.1
 * Log when saving profile
   [\#5394](https://github.com/matrix-org/matrix-react-sdk/pull/5394)
 * Translations update from Weblate
   [\#5395](https://github.com/matrix-org/matrix-react-sdk/pull/5395)
 * Hide prompt to add email for notifications if 3pid ui feature is off
   [\#5392](https://github.com/matrix-org/matrix-react-sdk/pull/5392)
 * Fix room list message preview copy for hangup events
   [\#5388](https://github.com/matrix-org/matrix-react-sdk/pull/5388)
 * Track UISIs as Countly Events
   [\#5382](https://github.com/matrix-org/matrix-react-sdk/pull/5382)
 * Don't let users accidentally redact ACL events
   [\#5384](https://github.com/matrix-org/matrix-react-sdk/pull/5384)
 * Two more easy files to remove from eslintignore
   [\#5378](https://github.com/matrix-org/matrix-react-sdk/pull/5378)
 * Fix Widget OpenID Permissions for realsies
   [\#5381](https://github.com/matrix-org/matrix-react-sdk/pull/5381)
 * Fix regression with OpenID permissions on widgets
   [\#5380](https://github.com/matrix-org/matrix-react-sdk/pull/5380)
 * Fix room directory events happening in the wrong order for Funnels
   [\#5379](https://github.com/matrix-org/matrix-react-sdk/pull/5379)
 * Remove a couple more files from eslintignore
   [\#5377](https://github.com/matrix-org/matrix-react-sdk/pull/5377)
 * Fix countly method bindings and errors
   [\#5376](https://github.com/matrix-org/matrix-react-sdk/pull/5376)
 * Fix a bunch of silly lint errors
   [\#5375](https://github.com/matrix-org/matrix-react-sdk/pull/5375)
 * Typescript: ImageUtils
   [\#5374](https://github.com/matrix-org/matrix-react-sdk/pull/5374)
 * Convert AuxPanel to TypeScript
   [\#5373](https://github.com/matrix-org/matrix-react-sdk/pull/5373)
 * Only pass metrics if they exist otherwise Countly will be unhappy!
   [\#5372](https://github.com/matrix-org/matrix-react-sdk/pull/5372)
 * Fix CountlyAnalytics NPE on MatrixClientPeg
   [\#5370](https://github.com/matrix-org/matrix-react-sdk/pull/5370)
 * fix CountlyAnalytics canEnable on wrong target
   [\#5369](https://github.com/matrix-org/matrix-react-sdk/pull/5369)
 * Initial Countly work
   [\#5365](https://github.com/matrix-org/matrix-react-sdk/pull/5365)
 * Fix videos not playing in non-encrypted rooms
   [\#5368](https://github.com/matrix-org/matrix-react-sdk/pull/5368)
 * Fix custom tag layout which regressed in #5309
   [\#5367](https://github.com/matrix-org/matrix-react-sdk/pull/5367)
 * Watch replyToEvent at RoomView to prevent races
   [\#5360](https://github.com/matrix-org/matrix-react-sdk/pull/5360)
 * Add a UI Feature flag for room history settings
   [\#5362](https://github.com/matrix-org/matrix-react-sdk/pull/5362)
 * Hide inline images when preference disabled
   [\#5361](https://github.com/matrix-org/matrix-react-sdk/pull/5361)
 * Fix React warning by moving handler to each button
   [\#5359](https://github.com/matrix-org/matrix-react-sdk/pull/5359)
 * Do not preload encrypted videos|images unless autoplay or thumbnailing is on
   [\#5352](https://github.com/matrix-org/matrix-react-sdk/pull/5352)
 * Fix theme variable passed to Jitsi
   [\#5357](https://github.com/matrix-org/matrix-react-sdk/pull/5357)
 * docs: added comment explanation
   [\#5349](https://github.com/matrix-org/matrix-react-sdk/pull/5349)
 * Modal Widgets - MSC2790
   [\#5252](https://github.com/matrix-org/matrix-react-sdk/pull/5252)
 * Widgets fixes
   [\#5350](https://github.com/matrix-org/matrix-react-sdk/pull/5350)
 * Fix User Menu avatar colouring being based on wrong string
   [\#5348](https://github.com/matrix-org/matrix-react-sdk/pull/5348)
 * Support 'answered elsewhere'
   [\#5345](https://github.com/matrix-org/matrix-react-sdk/pull/5345)

Changes in [3.7.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.7.1) (2020-10-28)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.7.0...v3.7.1)

 * Upgrade JS SDK to 9.0.1
 * [Release] Fix theme variable passed to Jitsi
   [\#5358](https://github.com/matrix-org/matrix-react-sdk/pull/5358)
 * [Release] Widget fixes
   [\#5351](https://github.com/matrix-org/matrix-react-sdk/pull/5351)

Changes in [3.7.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.7.0) (2020-10-26)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.7.0-rc.2...v3.7.0)

 * Upgrade JS SDK to 9.0.0

Changes in [3.7.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.7.0-rc.2) (2020-10-21)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.7.0-rc.1...v3.7.0-rc.2)

 * Fix JS SDK dependency to use 9.0.0-rc.1 as intended

Changes in [3.7.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.7.0-rc.1) (2020-10-21)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.6.1...v3.7.0-rc.1)

 * Upgrade JS SDK to 9.0.0-rc.1
 * Update Weblate URL
   [\#5346](https://github.com/matrix-org/matrix-react-sdk/pull/5346)
 * Translations update from Weblate
   [\#5347](https://github.com/matrix-org/matrix-react-sdk/pull/5347)
 * Left Panel Widget support
   [\#5247](https://github.com/matrix-org/matrix-react-sdk/pull/5247)
 * Pinned widgets work
   [\#5266](https://github.com/matrix-org/matrix-react-sdk/pull/5266)
 * Convert resizer to Typescript
   [\#5343](https://github.com/matrix-org/matrix-react-sdk/pull/5343)
 * Hide filtering microcopy when left panel is minimized
   [\#5338](https://github.com/matrix-org/matrix-react-sdk/pull/5338)
 * Skip editor confirmation of upgrades
   [\#5344](https://github.com/matrix-org/matrix-react-sdk/pull/5344)
 * Spec compliance, /search doesn't have to return results
   [\#5337](https://github.com/matrix-org/matrix-react-sdk/pull/5337)
 * Fix excessive hosting link padding
   [\#5336](https://github.com/matrix-org/matrix-react-sdk/pull/5336)
 * Adjust for new widget messaging APIs
   [\#5341](https://github.com/matrix-org/matrix-react-sdk/pull/5341)
 * Fix case where sublist context menu missed an update
   [\#5339](https://github.com/matrix-org/matrix-react-sdk/pull/5339)
 * Add analytics to VoIP
   [\#5340](https://github.com/matrix-org/matrix-react-sdk/pull/5340)
 * Fix Jitsi OpenIDC auth
   [\#5334](https://github.com/matrix-org/matrix-react-sdk/pull/5334)
 * Support rejecting calls
   [\#5324](https://github.com/matrix-org/matrix-react-sdk/pull/5324)
 * Don't show admin tooling if we're not in the room
   [\#5330](https://github.com/matrix-org/matrix-react-sdk/pull/5330)
 * Show Integrations error if iframe failed to load too
   [\#5328](https://github.com/matrix-org/matrix-react-sdk/pull/5328)
 * Add security customisation points
   [\#5327](https://github.com/matrix-org/matrix-react-sdk/pull/5327)
 * Discard all mx_fadable legacy cruft which is totally useless
   [\#5326](https://github.com/matrix-org/matrix-react-sdk/pull/5326)
 * Fix background-image: url(null) for backdrop filter
   [\#5319](https://github.com/matrix-org/matrix-react-sdk/pull/5319)
 * Make the ACL update message less noisy
   [\#5316](https://github.com/matrix-org/matrix-react-sdk/pull/5316)
 * Fix aspect ratio of avatar before clicking Save
   [\#5318](https://github.com/matrix-org/matrix-react-sdk/pull/5318)
 * Don't supply popout widgets with widget parameters
   [\#5323](https://github.com/matrix-org/matrix-react-sdk/pull/5323)
 * Changed rainbow algorithm
   [\#5301](https://github.com/matrix-org/matrix-react-sdk/pull/5301)
 * Renamed TagPanel and TagOrderStore
   [\#5309](https://github.com/matrix-org/matrix-react-sdk/pull/5309)
 * Fix/clarify boolean logic for reaction previews
   [\#5321](https://github.com/matrix-org/matrix-react-sdk/pull/5321)
 * Support glare for VoIP calls
   [\#5311](https://github.com/matrix-org/matrix-react-sdk/pull/5311)
 * Round of Typescript conversions
   [\#5314](https://github.com/matrix-org/matrix-react-sdk/pull/5314)
 * Fix broken rendering of Room Create when showHiddenEvents enabled
   [\#5317](https://github.com/matrix-org/matrix-react-sdk/pull/5317)
 * Improve LHS resize performance and tidy stale props&classes
   [\#5313](https://github.com/matrix-org/matrix-react-sdk/pull/5313)
 * event-index: Pass the user/device id pair when initializing the event index.
   [\#5312](https://github.com/matrix-org/matrix-react-sdk/pull/5312)
 * Fix various aspects of (jitsi) widgets
   [\#5315](https://github.com/matrix-org/matrix-react-sdk/pull/5315)
 * Fix rogue (partial) call bar
   [\#5310](https://github.com/matrix-org/matrix-react-sdk/pull/5310)
 * Rewrite call state machine
   [\#5308](https://github.com/matrix-org/matrix-react-sdk/pull/5308)
 * Convert `src/SecurityManager.js` to TypeScript
   [\#5307](https://github.com/matrix-org/matrix-react-sdk/pull/5307)
 * Fix templating for v1 jitsi widgets
   [\#5305](https://github.com/matrix-org/matrix-react-sdk/pull/5305)
 * Use new preparing event for widget communications
   [\#5303](https://github.com/matrix-org/matrix-react-sdk/pull/5303)
 * Fix parsing issue in event tile preview for appearance tab
   [\#5302](https://github.com/matrix-org/matrix-react-sdk/pull/5302)
 * Track replyToEvent along with Cider state & history
   [\#5284](https://github.com/matrix-org/matrix-react-sdk/pull/5284)
 * Roving Tab Index should not interfere with inputs
   [\#5299](https://github.com/matrix-org/matrix-react-sdk/pull/5299)
 * Visual tweaks from 2020-10-06 polishing
   [\#5298](https://github.com/matrix-org/matrix-react-sdk/pull/5298)
 * Convert auth lifecycle to TS, remove dead ILAG code
   [\#5296](https://github.com/matrix-org/matrix-react-sdk/pull/5296)

Changes in [3.6.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.6.1) (2020-10-20)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.6.0...v3.6.1)

 * [Release] Adjust for new widget messaging APIs
   [\#5342](https://github.com/matrix-org/matrix-react-sdk/pull/5342)
 * [Release] Fix Jitsi OpenIDC auth
   [\#5335](https://github.com/matrix-org/matrix-react-sdk/pull/5335)

Changes in [3.6.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.6.0) (2020-10-12)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.6.0-rc.1...v3.6.0)

 * Upgrade JS SDK to 8.5.0
 * [Release] Fix templating for v1 jitsi widgets
   [\#5306](https://github.com/matrix-org/matrix-react-sdk/pull/5306)
 * [Release] Use new preparing event for widget communications
   [\#5304](https://github.com/matrix-org/matrix-react-sdk/pull/5304)

Changes in [3.6.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.6.0-rc.1) (2020-10-07)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.5.0...v3.6.0-rc.1)

 * Upgrade JS SDK to 8.5.0-rc.1
 * Update from Weblate
   [\#5297](https://github.com/matrix-org/matrix-react-sdk/pull/5297)
 * Fix edited replies being wrongly treated as big emoji
   [\#5295](https://github.com/matrix-org/matrix-react-sdk/pull/5295)
 * Fix StopGapWidget infinitely recursing
   [\#5294](https://github.com/matrix-org/matrix-react-sdk/pull/5294)
 * Fix editing and redactions not updating the Reply Thread
   [\#5281](https://github.com/matrix-org/matrix-react-sdk/pull/5281)
 * Hide Jump to Read Receipt button for users who have not yet sent an RR
   [\#5282](https://github.com/matrix-org/matrix-react-sdk/pull/5282)
 * fix img tags not always being rendered correctly
   [\#5279](https://github.com/matrix-org/matrix-react-sdk/pull/5279)
 * Hopefully fix righhtpanel crash
   [\#5293](https://github.com/matrix-org/matrix-react-sdk/pull/5293)
 * Fix naive pinning limit and app tile widgetMessaging NPE
   [\#5283](https://github.com/matrix-org/matrix-react-sdk/pull/5283)
 * Show server errors from saving profile settings
   [\#5272](https://github.com/matrix-org/matrix-react-sdk/pull/5272)
 * Update copy for `redact` permission
   [\#5273](https://github.com/matrix-org/matrix-react-sdk/pull/5273)
 * Remove width limit on widgets
   [\#5265](https://github.com/matrix-org/matrix-react-sdk/pull/5265)
 * Fix call container avatar initial centering
   [\#5280](https://github.com/matrix-org/matrix-react-sdk/pull/5280)
 * Fix right panel for peeking rooms
   [\#5268](https://github.com/matrix-org/matrix-react-sdk/pull/5268)
 * Add support for dehydrated devices
   [\#5239](https://github.com/matrix-org/matrix-react-sdk/pull/5239)
 * Use Own Profile Store for the Profile Settings
   [\#5277](https://github.com/matrix-org/matrix-react-sdk/pull/5277)
 * null-guard defaultAvatarUrlForString
   [\#5270](https://github.com/matrix-org/matrix-react-sdk/pull/5270)
 * Choose first result on enter in the emoji picker
   [\#5257](https://github.com/matrix-org/matrix-react-sdk/pull/5257)
 * Fix room directory clipping links in the room's topic
   [\#5276](https://github.com/matrix-org/matrix-react-sdk/pull/5276)
 * Decorate failed e2ee downgrade attempts better
   [\#5278](https://github.com/matrix-org/matrix-react-sdk/pull/5278)
 * MELS use latest avatar rather than the first avatar
   [\#5262](https://github.com/matrix-org/matrix-react-sdk/pull/5262)
 * Fix Encryption Panel close button clashing with Base Card
   [\#5261](https://github.com/matrix-org/matrix-react-sdk/pull/5261)
 * Wrap canEncryptToAllUsers in a try/catch to handle server errors
   [\#5275](https://github.com/matrix-org/matrix-react-sdk/pull/5275)
 * Fix conditional on communities prototype room creation dialog
   [\#5274](https://github.com/matrix-org/matrix-react-sdk/pull/5274)
 * Fix ensureDmExists for encryption detection
   [\#5271](https://github.com/matrix-org/matrix-react-sdk/pull/5271)
 * Switch to using the Widget API SDK for widget messaging
   [\#5171](https://github.com/matrix-org/matrix-react-sdk/pull/5171)
 * Ensure package links exist when releasing
   [\#5269](https://github.com/matrix-org/matrix-react-sdk/pull/5269)
 * Fix the call preview when not in same room as the call
   [\#5267](https://github.com/matrix-org/matrix-react-sdk/pull/5267)
 * Make the hangup button do things for conference calls
   [\#5223](https://github.com/matrix-org/matrix-react-sdk/pull/5223)
 * Render Jitsi widget state events in a more obvious way
   [\#5222](https://github.com/matrix-org/matrix-react-sdk/pull/5222)
 * Make the PIP Jitsi look and feel like the 1:1 PIP
   [\#5226](https://github.com/matrix-org/matrix-react-sdk/pull/5226)
 * Trim range when formatting so that it excludes leading/trailing spaces
   [\#5263](https://github.com/matrix-org/matrix-react-sdk/pull/5263)
 * Fix button label on the Set Password Dialog
   [\#5264](https://github.com/matrix-org/matrix-react-sdk/pull/5264)
 * fix link to classic yarn's `yarn link`
   [\#5259](https://github.com/matrix-org/matrix-react-sdk/pull/5259)
 * Fix index mismatch between username colors styles and custom theming
   [\#5256](https://github.com/matrix-org/matrix-react-sdk/pull/5256)
 * Disable autocompletion on security key input during login
   [\#5258](https://github.com/matrix-org/matrix-react-sdk/pull/5258)
 * fix uninitialised state and eventlistener leak in RoomUpgradeWarningBar
   [\#5255](https://github.com/matrix-org/matrix-react-sdk/pull/5255)
 * Only set title when it changes
   [\#5254](https://github.com/matrix-org/matrix-react-sdk/pull/5254)
 * Convert CallHandler to typescript
   [\#5248](https://github.com/matrix-org/matrix-react-sdk/pull/5248)
 * Retry loading i18n language if it fails
   [\#5209](https://github.com/matrix-org/matrix-react-sdk/pull/5209)
 * Rework profile area for user and room settings to be more clear
   [\#5243](https://github.com/matrix-org/matrix-react-sdk/pull/5243)
 * Validation improve pattern for derived data
   [\#5241](https://github.com/matrix-org/matrix-react-sdk/pull/5241)

Changes in [3.5.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.5.0) (2020-09-28)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.5.0-rc.1...v3.5.0)

 * Upgrade JS SDK to 8.4.1

Changes in [3.5.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.5.0-rc.1) (2020-09-23)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.4.1...v3.5.0-rc.1)

 * Upgrade JS SDK to 8.4.0-rc.1
 * Update from Weblate
   [\#5246](https://github.com/matrix-org/matrix-react-sdk/pull/5246)
 * Upgrade sanitize-html, set nesting limit
   [\#5245](https://github.com/matrix-org/matrix-react-sdk/pull/5245)
 * Add a note to use the desktop builds when seshat isn't available
   [\#5225](https://github.com/matrix-org/matrix-react-sdk/pull/5225)
 * Add some permission checks to the communities v2 prototype
   [\#5240](https://github.com/matrix-org/matrix-react-sdk/pull/5240)
 * Support HS-preferred Secure Backup setup methods
   [\#5242](https://github.com/matrix-org/matrix-react-sdk/pull/5242)
 * Only show User Info verify button if the other user has e2ee devices
   [\#5234](https://github.com/matrix-org/matrix-react-sdk/pull/5234)
 * Fix New Room List arrow key management
   [\#5237](https://github.com/matrix-org/matrix-react-sdk/pull/5237)
 * Fix Room Directory View & Preview actions for federated joins
   [\#5235](https://github.com/matrix-org/matrix-react-sdk/pull/5235)
 * Add a UI feature to disable advanced encryption options
   [\#5238](https://github.com/matrix-org/matrix-react-sdk/pull/5238)
 * UI Feature Flag: Communities
   [\#5216](https://github.com/matrix-org/matrix-react-sdk/pull/5216)
 * Rename apps back to widgets
   [\#5236](https://github.com/matrix-org/matrix-react-sdk/pull/5236)
 * Adjust layout and formatting of notifications / files cards
   [\#5229](https://github.com/matrix-org/matrix-react-sdk/pull/5229)
 * Fix Search Results Tile undefined variable access regression
   [\#5232](https://github.com/matrix-org/matrix-react-sdk/pull/5232)
 * Fix Cmd/Ctrl+Shift+U for File Upload
   [\#5233](https://github.com/matrix-org/matrix-react-sdk/pull/5233)
 * Disable the e2ee toggle when creating a room on a server with forced e2e
   [\#5231](https://github.com/matrix-org/matrix-react-sdk/pull/5231)
 * UI Feature Flag: Disable advanced options and tidy up some copy
   [\#5215](https://github.com/matrix-org/matrix-react-sdk/pull/5215)
 * UI Feature Flag: 3PIDs
   [\#5228](https://github.com/matrix-org/matrix-react-sdk/pull/5228)
 * Defer encryption setup until first E2EE room
   [\#5219](https://github.com/matrix-org/matrix-react-sdk/pull/5219)
 * Tidy devDeps, all the webpack stuff lives in the layer above
   [\#5179](https://github.com/matrix-org/matrix-react-sdk/pull/5179)
 * UI Feature Flag: Hide flair
   [\#5214](https://github.com/matrix-org/matrix-react-sdk/pull/5214)
 * UI Feature Flag: Identity server
   [\#5218](https://github.com/matrix-org/matrix-react-sdk/pull/5218)
 * UI Feature Flag: Share dialog QR code and social icons
   [\#5221](https://github.com/matrix-org/matrix-react-sdk/pull/5221)
 * UI Feature Flag: Registration, Password Reset, Deactivate
   [\#5227](https://github.com/matrix-org/matrix-react-sdk/pull/5227)
 * Retry joinRoom up to 5 times in the case of a 504 GATEWAY TIMEOUT
   [\#5204](https://github.com/matrix-org/matrix-react-sdk/pull/5204)
 * UI Feature Flag: Disable VoIP
   [\#5217](https://github.com/matrix-org/matrix-react-sdk/pull/5217)
 * Fix setState() usage in the constructor of RoomDirectory
   [\#5224](https://github.com/matrix-org/matrix-react-sdk/pull/5224)
 * Hide Analytics sections if piwik config is not provided
   [\#5211](https://github.com/matrix-org/matrix-react-sdk/pull/5211)
 * UI Feature Flag: Disable feedback button
   [\#5213](https://github.com/matrix-org/matrix-react-sdk/pull/5213)
 * Clean up UserInfo to not show a blank Power Selector for users not in room
   [\#5220](https://github.com/matrix-org/matrix-react-sdk/pull/5220)
 * Also hide bug reporting prompts from the Error Boundaries
   [\#5212](https://github.com/matrix-org/matrix-react-sdk/pull/5212)
 * Tactical improvements to 3PID invites
   [\#5201](https://github.com/matrix-org/matrix-react-sdk/pull/5201)
 * If no bug_report_endpoint_url, hide rageshaking from the App
   [\#5210](https://github.com/matrix-org/matrix-react-sdk/pull/5210)
 * Introduce a concept of UI features, using it for URL previews at first
   [\#5208](https://github.com/matrix-org/matrix-react-sdk/pull/5208)
 * Remove defunct "always show encryption icons" setting
   [\#5207](https://github.com/matrix-org/matrix-react-sdk/pull/5207)
 * Don't show Notifications Prompt Toast if user has master rule enabled
   [\#5203](https://github.com/matrix-org/matrix-react-sdk/pull/5203)
 * Fix Bridges tab crashing when the room does not have bridges
   [\#5206](https://github.com/matrix-org/matrix-react-sdk/pull/5206)
 * Don't count widgets which no longer exist towards pinned count
   [\#5202](https://github.com/matrix-org/matrix-react-sdk/pull/5202)
 * Fix crashes with cannot read isResizing of undefined
   [\#5205](https://github.com/matrix-org/matrix-react-sdk/pull/5205)
 * Prompt to remove the jitsi widget when pressing the call button
   [\#5193](https://github.com/matrix-org/matrix-react-sdk/pull/5193)
 * Show verification status in the room summary card
   [\#5195](https://github.com/matrix-org/matrix-react-sdk/pull/5195)
 * Fix user info scrolling in new card view
   [\#5198](https://github.com/matrix-org/matrix-react-sdk/pull/5198)
 * Fix sticker picker height
   [\#5197](https://github.com/matrix-org/matrix-react-sdk/pull/5197)
 * Call jitsi widgets 'group calls'
   [\#5191](https://github.com/matrix-org/matrix-react-sdk/pull/5191)
 * Don't show 'unpin' for persistent widgets
   [\#5194](https://github.com/matrix-org/matrix-react-sdk/pull/5194)
 * Split up cross-signing and secure backup settings
   [\#5182](https://github.com/matrix-org/matrix-react-sdk/pull/5182)
 * Fix onNewScreen to use replace when going from roomId->roomAlias
   [\#5185](https://github.com/matrix-org/matrix-react-sdk/pull/5185)
 * bring back 1.2M style badge counts rather than 99+
   [\#5192](https://github.com/matrix-org/matrix-react-sdk/pull/5192)
 * Run the rageshake command through the bug report dialog
   [\#5189](https://github.com/matrix-org/matrix-react-sdk/pull/5189)
 * Account for via in pill matching regex
   [\#5188](https://github.com/matrix-org/matrix-react-sdk/pull/5188)
 * Remove now-unused create-react-class from lockfile
   [\#5187](https://github.com/matrix-org/matrix-react-sdk/pull/5187)
 * Fixed 1px jump upwards
   [\#5163](https://github.com/matrix-org/matrix-react-sdk/pull/5163)
 * Always allow widgets when using the local version
   [\#5184](https://github.com/matrix-org/matrix-react-sdk/pull/5184)
 * Migrate RoomView and RoomContext to Typescript
   [\#5175](https://github.com/matrix-org/matrix-react-sdk/pull/5175)

Changes in [3.4.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.4.1) (2020-09-14)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.4.0...v3.4.1)

 * Don't count widgets which no longer exist towards pinned count
   [\#5202](https://github.com/matrix-org/matrix-react-sdk/pull/5202)
 * Fix crashes with cannot read isResizing of undefined
   [\#5205](https://github.com/matrix-org/matrix-react-sdk/pull/5205)

Changes in [3.4.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.4.0) (2020-09-14)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.4.0-rc.1...v3.4.0)

 * Upgrade to JS SDK 8.3.0
 * [Release] Show verification status in the room summary card
   [\#5196](https://github.com/matrix-org/matrix-react-sdk/pull/5196)
 * Fix user info scrolling in new card view
   [\#5200](https://github.com/matrix-org/matrix-react-sdk/pull/5200)
 * Fix sticker picker height
   [\#5199](https://github.com/matrix-org/matrix-react-sdk/pull/5199)
 * [Release] Account for via in pill matching regex
   [\#5190](https://github.com/matrix-org/matrix-react-sdk/pull/5190)

Changes in [3.4.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.4.0-rc.1) (2020-09-09)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.3.0...v3.4.0-rc.1)

 * Upgrade to JS SDK 8.3.0-rc.1
 * Update from Weblate
   [\#5183](https://github.com/matrix-org/matrix-react-sdk/pull/5183)
 * Right Panel Room Summary and Widgets
   [\#5167](https://github.com/matrix-org/matrix-react-sdk/pull/5167)
 * null-guard roomId in RightPanel and pass Room to UserView
   [\#5180](https://github.com/matrix-org/matrix-react-sdk/pull/5180)
 * Fix create-react-class regression.
   [\#5178](https://github.com/matrix-org/matrix-react-sdk/pull/5178)
 * Fix WatchManager for global room watchers and tidy widget code a little
   [\#5176](https://github.com/matrix-org/matrix-react-sdk/pull/5176)
 * Fix permalink local linkification to not strip via servers
   [\#5174](https://github.com/matrix-org/matrix-react-sdk/pull/5174)
 * Support creation of Jitsi widgets with "openidtoken-jwt" auth
   [\#5173](https://github.com/matrix-org/matrix-react-sdk/pull/5173)
 * Fix create-react-class regression.
   [\#5177](https://github.com/matrix-org/matrix-react-sdk/pull/5177)
 * Update openid_credentials Widget API action for MSC1960 updates
   [\#5172](https://github.com/matrix-org/matrix-react-sdk/pull/5172)
 * Allow persistent resizing of the widget app drawer
   [\#5138](https://github.com/matrix-org/matrix-react-sdk/pull/5138)
 * add lenny face command
   [\#5158](https://github.com/matrix-org/matrix-react-sdk/pull/5158)
 * Prep work for Settings changes with cross-signing deferral
   [\#5169](https://github.com/matrix-org/matrix-react-sdk/pull/5169)
 * Small code clean ups and tweaks
   [\#5168](https://github.com/matrix-org/matrix-react-sdk/pull/5168)
 * Fix soft crash from TruncatedList in the createReactClass conversion
   [\#5170](https://github.com/matrix-org/matrix-react-sdk/pull/5170)
 * Remove create-react-class
   [\#5157](https://github.com/matrix-org/matrix-react-sdk/pull/5157)
 * Consolidate Lodash files in bundle
   [\#5162](https://github.com/matrix-org/matrix-react-sdk/pull/5162)
 * Communities v2 prototype: "In community" view
   [\#5161](https://github.com/matrix-org/matrix-react-sdk/pull/5161)
 * Respect user preference for whether pills should have an avatar or not
   [\#5165](https://github.com/matrix-org/matrix-react-sdk/pull/5165)
 * Communities v2 prototype: DM copy updates
   [\#5153](https://github.com/matrix-org/matrix-react-sdk/pull/5153)
 * Only wait for public keys during verification
   [\#5164](https://github.com/matrix-org/matrix-react-sdk/pull/5164)
 * Fix eslint ts override tsx matching and delint
   [\#5155](https://github.com/matrix-org/matrix-react-sdk/pull/5155)
 * Fix react error about functional components can't take refs
   [\#5159](https://github.com/matrix-org/matrix-react-sdk/pull/5159)
 * Remove redundant components and devDependencies
   [\#5156](https://github.com/matrix-org/matrix-react-sdk/pull/5156)
 * Add display-capture to iframe allow for widgets
   [\#5154](https://github.com/matrix-org/matrix-react-sdk/pull/5154)
 * Update create room dialog copy & community prototype home icon
   [\#5151](https://github.com/matrix-org/matrix-react-sdk/pull/5151)
 * Migrate to new, separate APIs for cross-signing and secret storage
   [\#5149](https://github.com/matrix-org/matrix-react-sdk/pull/5149)
 * Fix clicking the background of the tag panel not clearing the filter
   [\#5152](https://github.com/matrix-org/matrix-react-sdk/pull/5152)
 * Communities v2 prototype: Associate created rooms with the selected
   community
   [\#5147](https://github.com/matrix-org/matrix-react-sdk/pull/5147)
 * Communities v2 prototype: Tag panel selection changes
   [\#5145](https://github.com/matrix-org/matrix-react-sdk/pull/5145)
 * Communities v2 prototype: Create community flow
   [\#5144](https://github.com/matrix-org/matrix-react-sdk/pull/5144)
 * Communities v2 prototype: Override invite aesthetics for community-as-room
   invites
   [\#5143](https://github.com/matrix-org/matrix-react-sdk/pull/5143)

Changes in [3.3.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.3.0) (2020-09-01)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.3.0-rc.1...v3.3.0)

 * Upgrade to JS SDK 8.2.0

Changes in [3.3.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.3.0-rc.1) (2020-08-26)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.2.0...v3.3.0-rc.1)

 * Upgrade to JS SDK 8.2.0-rc.1
 * Update from Weblate
   [\#5146](https://github.com/matrix-org/matrix-react-sdk/pull/5146)
 * BaseAvatar avoid initial render with default avatar
   [\#5142](https://github.com/matrix-org/matrix-react-sdk/pull/5142)
 * Enforce Secure Backup completion when requested by HS
   [\#5130](https://github.com/matrix-org/matrix-react-sdk/pull/5130)
 * Communities v2 prototype: Explore rooms, global state, and default room
   [\#5139](https://github.com/matrix-org/matrix-react-sdk/pull/5139)
 * Add communities v2 prototyping feature flag + initial tag panel prototypes
   [\#5133](https://github.com/matrix-org/matrix-react-sdk/pull/5133)
 * Remove some unused components
   [\#5134](https://github.com/matrix-org/matrix-react-sdk/pull/5134)
 * Allow avatar image view for 1:1 rooms
   [\#5137](https://github.com/matrix-org/matrix-react-sdk/pull/5137)
 * Send mx_local_settings in rageshake
   [\#5136](https://github.com/matrix-org/matrix-react-sdk/pull/5136)
 * Run all room leaving behaviour through a single function
   [\#5132](https://github.com/matrix-org/matrix-react-sdk/pull/5132)
 * Add clarifying comment in media device selection
   [\#5131](https://github.com/matrix-org/matrix-react-sdk/pull/5131)
 * Settings v3: Feature flag changes
   [\#5124](https://github.com/matrix-org/matrix-react-sdk/pull/5124)
 * Clear url previews if they all get edited out of the event
   [\#5129](https://github.com/matrix-org/matrix-react-sdk/pull/5129)
 * Consider tab completions as modifications for editing purposes to unlock
   sending
   [\#5128](https://github.com/matrix-org/matrix-react-sdk/pull/5128)
 * Use matrix-doc for SAS emoji translations
   [\#5125](https://github.com/matrix-org/matrix-react-sdk/pull/5125)
 * Add a rageshake function to download the logs locally
   [\#3849](https://github.com/matrix-org/matrix-react-sdk/pull/3849)
 * Room List filtering visual tweaks
   [\#5123](https://github.com/matrix-org/matrix-react-sdk/pull/5123)
 * Make reply preview not an overlay so you can see new messages
   [\#5072](https://github.com/matrix-org/matrix-react-sdk/pull/5072)
 * Allow room tile context menu when minimized using right click
   [\#5113](https://github.com/matrix-org/matrix-react-sdk/pull/5113)
 * Add null guard to group inviter for corrupted groups
   [\#5121](https://github.com/matrix-org/matrix-react-sdk/pull/5121)
 * Room List styling tweaks
   [\#5118](https://github.com/matrix-org/matrix-react-sdk/pull/5118)
 * Fix corner rounding on images not always affecting right side
   [\#5120](https://github.com/matrix-org/matrix-react-sdk/pull/5120)
 * Change add room action for rooms to context menu
   [\#5108](https://github.com/matrix-org/matrix-react-sdk/pull/5108)
 * Switch out the globe icon and colour it depending on theme
   [\#5106](https://github.com/matrix-org/matrix-react-sdk/pull/5106)
 * Message Action Bar watch for event send changes
   [\#5115](https://github.com/matrix-org/matrix-react-sdk/pull/5115)
 * Put message previews for Emoji behind Labs
   [\#5110](https://github.com/matrix-org/matrix-react-sdk/pull/5110)
 * Fix styling for selected community marker
   [\#5107](https://github.com/matrix-org/matrix-react-sdk/pull/5107)
 * Fix action bar safe area regression
   [\#5111](https://github.com/matrix-org/matrix-react-sdk/pull/5111)
 * Fix /op slash command
   [\#5109](https://github.com/matrix-org/matrix-react-sdk/pull/5109)

Changes in [3.2.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.2.0) (2020-08-17)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.2.0-rc.1...v3.2.0)

 * Upgrade to JS SDK 8.1.0
 * [Release] Fix corner rounding on images not always affecting right side
   [\#5122](https://github.com/matrix-org/matrix-react-sdk/pull/5122)
 * [Release] Message Action Bar watch for event send changes
   [\#5116](https://github.com/matrix-org/matrix-react-sdk/pull/5116)
 * Fix /op slash command to release
   [\#5114](https://github.com/matrix-org/matrix-react-sdk/pull/5114)
 * Fix action bar safe area regression
   [\#5112](https://github.com/matrix-org/matrix-react-sdk/pull/5112)

Changes in [3.2.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.2.0-rc.1) (2020-08-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.1.0...v3.2.0-rc.1)

 * Upgrade to JS SDK 8.1.0-rc.1
 * Update from Weblate
   [\#5105](https://github.com/matrix-org/matrix-react-sdk/pull/5105)
 * padding the timeline so that its scrollbar has its own space from the
   resizer
   [\#5103](https://github.com/matrix-org/matrix-react-sdk/pull/5103)
 * Try to close notification on all platforms which support it, not just
   electron
   [\#5102](https://github.com/matrix-org/matrix-react-sdk/pull/5102)
 * Fix exception when stripping replies from an event with a non-string body
   [\#5101](https://github.com/matrix-org/matrix-react-sdk/pull/5101)
 * Quick win session 24/07/2020
   [\#5056](https://github.com/matrix-org/matrix-react-sdk/pull/5056)
 * Remove rebranding toast
   [\#5100](https://github.com/matrix-org/matrix-react-sdk/pull/5100)
 * Generate previews for rooms when the option changes
   [\#5098](https://github.com/matrix-org/matrix-react-sdk/pull/5098)
 * Fix Bridge Settings tab
   [\#5095](https://github.com/matrix-org/matrix-react-sdk/pull/5095)
 * get screen type from app prop
   [\#5081](https://github.com/matrix-org/matrix-react-sdk/pull/5081)
 * Update rageshake app name
   [\#5093](https://github.com/matrix-org/matrix-react-sdk/pull/5093)
 * Factor out Iconized Context menu for reusability
   [\#5085](https://github.com/matrix-org/matrix-react-sdk/pull/5085)
 * Decouple Audible notifications from Desktop notifications
   [\#5088](https://github.com/matrix-org/matrix-react-sdk/pull/5088)
 * Make the room sublist show more/less buttons treeitems
   [\#5087](https://github.com/matrix-org/matrix-react-sdk/pull/5087)
 * Share and debug master cross-signing key
   [\#5092](https://github.com/matrix-org/matrix-react-sdk/pull/5092)
 * Create Map comparison utilities and convert Hooks to Typescript
   [\#5086](https://github.com/matrix-org/matrix-react-sdk/pull/5086)
 * Fix room list scrolling in Safari
   [\#5090](https://github.com/matrix-org/matrix-react-sdk/pull/5090)
 * Replace Riot with Element in docs and comments
   [\#5083](https://github.com/matrix-org/matrix-react-sdk/pull/5083)
 * When the room view isn't active don't highlight it in room list
   [\#5027](https://github.com/matrix-org/matrix-react-sdk/pull/5027)
 * remove emoji icons in autocomplete/reply by designer request
   [\#5073](https://github.com/matrix-org/matrix-react-sdk/pull/5073)
 * Add title and icon to empty state of file and notification panel
   [\#5079](https://github.com/matrix-org/matrix-react-sdk/pull/5079)
 * Mass redact ignore room creation events
   [\#5045](https://github.com/matrix-org/matrix-react-sdk/pull/5045)
 * Replace all chevrons with a single icon
   [\#5067](https://github.com/matrix-org/matrix-react-sdk/pull/5067)
 * Replace i18n generation script with something matching our project
   [\#5077](https://github.com/matrix-org/matrix-react-sdk/pull/5077)
 * Handle tag changes in sticky room updates
   [\#5078](https://github.com/matrix-org/matrix-react-sdk/pull/5078)
 * Remove leftover bits of TSLint
   [\#5075](https://github.com/matrix-org/matrix-react-sdk/pull/5075)
 * Clean up documentation of Whenable + fix other code concerns
   [\#5076](https://github.com/matrix-org/matrix-react-sdk/pull/5076)
 * Center the jump down/up icon, looks misaligned
   [\#5074](https://github.com/matrix-org/matrix-react-sdk/pull/5074)
 * [WIP] Support a new settings structure
   [\#5058](https://github.com/matrix-org/matrix-react-sdk/pull/5058)
 * Convert SettingsStore to TypeScript
   [\#5062](https://github.com/matrix-org/matrix-react-sdk/pull/5062)

Changes in [3.1.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.1.0) (2020-08-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.1.0-rc.1...v3.1.0)

 * Upgrade JS SDK to 8.0.1
 * Fix room list scrolling in Safari
   [\#5091](https://github.com/matrix-org/matrix-react-sdk/pull/5091)
 * Add null guard in InviteDialog
   [\#5084](https://github.com/matrix-org/matrix-react-sdk/pull/5084)
 * Add null guard in InviteDialog
   [\#5082](https://github.com/matrix-org/matrix-react-sdk/pull/5082)
 * Handle tag changes in sticky room updates
   [\#5080](https://github.com/matrix-org/matrix-react-sdk/pull/5080)

Changes in [3.1.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.1.0-rc.1) (2020-07-31)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v3.0.0...v3.1.0-rc.1)

 * Upgrade JS SDK to 8.0.1-rc.1
 * Update from Weblate
   [\#5071](https://github.com/matrix-org/matrix-react-sdk/pull/5071)
 * Add local echo for notifications in the new room list
   [\#5065](https://github.com/matrix-org/matrix-react-sdk/pull/5065)
 * Fix various small regressions in the room list's behaviour
   [\#5070](https://github.com/matrix-org/matrix-react-sdk/pull/5070)
 * Remove redundant lint dependencies
   [\#5059](https://github.com/matrix-org/matrix-react-sdk/pull/5059)
 * Fix key backup warning on soft logout page
   [\#5069](https://github.com/matrix-org/matrix-react-sdk/pull/5069)
 * Bump elliptic from 6.5.2 to 6.5.3
   [\#5066](https://github.com/matrix-org/matrix-react-sdk/pull/5066)
 * Fix crash on logging in again after soft logout
   [\#5068](https://github.com/matrix-org/matrix-react-sdk/pull/5068)
 * Convert right_panel to TS
   [\#5036](https://github.com/matrix-org/matrix-react-sdk/pull/5036)
 * Remove all unreferenced images
   [\#5063](https://github.com/matrix-org/matrix-react-sdk/pull/5063)
 * Provide nicer error for no known servers error when accepting an invite
   [\#5061](https://github.com/matrix-org/matrix-react-sdk/pull/5061)
 * add logging for keytar/pickle key
   [\#5057](https://github.com/matrix-org/matrix-react-sdk/pull/5057)
 * Don't speak the outgoing message if it is in the Sending state.
   [\#4075](https://github.com/matrix-org/matrix-react-sdk/pull/4075)
 * Remove poorly contrasted "dark style" heading in Room Preview Bar
   [\#5052](https://github.com/matrix-org/matrix-react-sdk/pull/5052)
 * Fix Query Matcher regression with certain unhomoglyph'd characters
   [\#5050](https://github.com/matrix-org/matrix-react-sdk/pull/5050)
 * Fix handlebar interaction
   [\#4989](https://github.com/matrix-org/matrix-react-sdk/pull/4989)
 * Minor improvements to filtering performance
   [\#5054](https://github.com/matrix-org/matrix-react-sdk/pull/5054)
 * Fix TextWithTooltip "leaking" tooltip wrappers
   [\#5055](https://github.com/matrix-org/matrix-react-sdk/pull/5055)

Changes in [3.0.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v3.0.0) (2020-07-27)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.10.1...v3.0.0)

BREAKING CHANGES
---

 * The room list components have been replaced as part of this release, so the list, tiles, and other associated components now use a different prop / state contract.


All Changes
---

 * Upgrade to JS SDK 8.0.0
 * Update from Weblate
   [\#5053](https://github.com/matrix-org/matrix-react-sdk/pull/5053)
 * RoomList listen to notificationState updates for bolding
   [\#5051](https://github.com/matrix-org/matrix-react-sdk/pull/5051)
 * Ensure notification badges stop listening when they unmount
   [\#5049](https://github.com/matrix-org/matrix-react-sdk/pull/5049)
 * Improve RoomTile performance
   [\#5048](https://github.com/matrix-org/matrix-react-sdk/pull/5048)
 * Reward users for using stable ordering in their room list
   [\#5047](https://github.com/matrix-org/matrix-react-sdk/pull/5047)
 * Fix autocomplete suggesting a different thing mid-composition
   [\#5030](https://github.com/matrix-org/matrix-react-sdk/pull/5030)
 * Put low priority xor toggle back in the room list context menu
   [\#5026](https://github.com/matrix-org/matrix-react-sdk/pull/5026)
 * Fix autocompletion of Community IDs
   [\#5040](https://github.com/matrix-org/matrix-react-sdk/pull/5040)
 * Use OpenType tabular numbers in timestamps
   [\#5042](https://github.com/matrix-org/matrix-react-sdk/pull/5042)
 * Update packages to modern versions
   [\#5046](https://github.com/matrix-org/matrix-react-sdk/pull/5046)
 * Add dismiss button to rebrand toast
   [\#5044](https://github.com/matrix-org/matrix-react-sdk/pull/5044)
 * Fix Firefox composer regression exception
   [\#5039](https://github.com/matrix-org/matrix-react-sdk/pull/5039)
 * Fix BaseAvatar wrongly using Buttons when it needs not
   [\#5037](https://github.com/matrix-org/matrix-react-sdk/pull/5037)
 * Performance improvements round 2: Maps, freezing, dispatching, and flexbox
   obliteration
   [\#5038](https://github.com/matrix-org/matrix-react-sdk/pull/5038)
 * Mixed bag of performance improvements: ScrollPanel and notifications
   [\#5034](https://github.com/matrix-org/matrix-react-sdk/pull/5034)
 * Update message previews
   [\#5025](https://github.com/matrix-org/matrix-react-sdk/pull/5025)
 * Translate create room buttons
   [\#5035](https://github.com/matrix-org/matrix-react-sdk/pull/5035)
 * Escape single quotes in composer placeholder
   [\#5033](https://github.com/matrix-org/matrix-react-sdk/pull/5033)
 * Don't hammer on the layout engine with avatar updates for the background
   [\#5032](https://github.com/matrix-org/matrix-react-sdk/pull/5032)
 * Ensure incremental updates to the ImportanceAlgorithm trigger A-Z order
   [\#5031](https://github.com/matrix-org/matrix-react-sdk/pull/5031)
 * don't syntax highlight languages that begin with "_"
   [\#5029](https://github.com/matrix-org/matrix-react-sdk/pull/5029)
 * Convert Modal to TypeScript
   [\#4956](https://github.com/matrix-org/matrix-react-sdk/pull/4956)
 * Use new eslint dependency and remove tslint
   [\#4815](https://github.com/matrix-org/matrix-react-sdk/pull/4815)
 * Support custom tags in the room list again
   [\#5024](https://github.com/matrix-org/matrix-react-sdk/pull/5024)
 * Fix the tag panel context menu
   [\#5028](https://github.com/matrix-org/matrix-react-sdk/pull/5028)
 * Tag Watcher don't create new filter if not needed, confuses references
   [\#5021](https://github.com/matrix-org/matrix-react-sdk/pull/5021)
 * Convert editor to TypeScript
   [\#4978](https://github.com/matrix-org/matrix-react-sdk/pull/4978)
 * Query Matcher use unhomoglyph for a little bit more leniency
   [\#4977](https://github.com/matrix-org/matrix-react-sdk/pull/4977)
 * Fix Breadcrumbs2 ending up with 2 tabIndexes on Firefox
   [\#5017](https://github.com/matrix-org/matrix-react-sdk/pull/5017)
 * Add min-width to floating Jitsi
   [\#5023](https://github.com/matrix-org/matrix-react-sdk/pull/5023)
 * Update crypto event icon to match rest of app styling
   [\#5020](https://github.com/matrix-org/matrix-react-sdk/pull/5020)
 * Fix Reactions Row Button vertical misalignment due to forced height
   [\#5019](https://github.com/matrix-org/matrix-react-sdk/pull/5019)
 * Use mouseleave instead of mouseout for hover events. Fix tooltip flicker
   [\#5016](https://github.com/matrix-org/matrix-react-sdk/pull/5016)
 * Fix slash commands null guard
   [\#5015](https://github.com/matrix-org/matrix-react-sdk/pull/5015)
 * Fix field tooltips
   [\#5014](https://github.com/matrix-org/matrix-react-sdk/pull/5014)
 * Fix community right panel button regression
   [\#5022](https://github.com/matrix-org/matrix-react-sdk/pull/5022)
 * [BREAKING] Remove the old room list
   [\#5013](https://github.com/matrix-org/matrix-react-sdk/pull/5013)
 * ellipse senders for images and videos
   [\#4990](https://github.com/matrix-org/matrix-react-sdk/pull/4990)
 * Sprinkle and consolidate some tooltips
   [\#5012](https://github.com/matrix-org/matrix-react-sdk/pull/5012)
 * Hopefully make cancel dialog a bit less weird
   [\#4833](https://github.com/matrix-org/matrix-react-sdk/pull/4833)
 * Fix emoji filterString
   [\#5011](https://github.com/matrix-org/matrix-react-sdk/pull/5011)
 * Fix size call for devtools state events
   [\#5008](https://github.com/matrix-org/matrix-react-sdk/pull/5008)
 * Fix `this` context in _setupHomeserverManagers for IntegrationManagers
   [\#5010](https://github.com/matrix-org/matrix-react-sdk/pull/5010)
 * Sync recently used reactions list across sessions
   [\#4993](https://github.com/matrix-org/matrix-react-sdk/pull/4993)
 * Null guard no e2ee for UserInfo
   [\#5009](https://github.com/matrix-org/matrix-react-sdk/pull/5009)
 * stop Inter from clobbering Twemoji
   [\#5007](https://github.com/matrix-org/matrix-react-sdk/pull/5007)
 * use a proper HTML sanitizer to strip <mx-reply>, rather than a regexp
   [\#5006](https://github.com/matrix-org/matrix-react-sdk/pull/5006)
 * Convert room list log setting to a real setting
   [\#5005](https://github.com/matrix-org/matrix-react-sdk/pull/5005)
 * Bump lodash from 4.17.15 to 4.17.19 in /test/end-to-end-tests
   [\#5003](https://github.com/matrix-org/matrix-react-sdk/pull/5003)
 * Bump lodash from 4.17.15 to 4.17.19
   [\#5004](https://github.com/matrix-org/matrix-react-sdk/pull/5004)
 * Convert devtools dialog to use new room state format
   [\#4936](https://github.com/matrix-org/matrix-react-sdk/pull/4936)
 * Update checkbox
   [\#5000](https://github.com/matrix-org/matrix-react-sdk/pull/5000)
 * Increase width for country code dropdown
   [\#5001](https://github.com/matrix-org/matrix-react-sdk/pull/5001)

Changes in [2.10.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.10.1) (2020-07-16)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.10.0...v2.10.1)

 * Post-launch Element Web polish
   [\#5002](https://github.com/matrix-org/matrix-react-sdk/pull/5002)
 * Move e2e icon
   [\#4992](https://github.com/matrix-org/matrix-react-sdk/pull/4992)
 * Wire up new room list breadcrumbs as an ARIA Toolbar
   [\#4976](https://github.com/matrix-org/matrix-react-sdk/pull/4976)
 * Fix Room Tile Icon to not ignore DMs in other tags
   [\#4999](https://github.com/matrix-org/matrix-react-sdk/pull/4999)
 * Fix filtering by community not showing DM rooms with community members
   [\#4997](https://github.com/matrix-org/matrix-react-sdk/pull/4997)
 * Fix enter in new room list filter breaking things
   [\#4996](https://github.com/matrix-org/matrix-react-sdk/pull/4996)
 * Notify left panel of resizing when it is collapsed&expanded
   [\#4995](https://github.com/matrix-org/matrix-react-sdk/pull/4995)
 * When removing a filter condition, try recalculate in case it wasn't last
   [\#4994](https://github.com/matrix-org/matrix-react-sdk/pull/4994)
 * Create a generic ARIA toolbar component
   [\#4975](https://github.com/matrix-org/matrix-react-sdk/pull/4975)
 * Fix /op Slash Command
   [\#4604](https://github.com/matrix-org/matrix-react-sdk/pull/4604)
 * Fix copy button in share dialog
   [\#4998](https://github.com/matrix-org/matrix-react-sdk/pull/4998)
 * Add tooltip to Room Tile Icon
   [\#4987](https://github.com/matrix-org/matrix-react-sdk/pull/4987)
 * Fix names jumping on hover in irc layout
   [\#4991](https://github.com/matrix-org/matrix-react-sdk/pull/4991)
 * check that encryptionInfo.sender is set
   [\#4988](https://github.com/matrix-org/matrix-react-sdk/pull/4988)
 * Update help link
   [\#4986](https://github.com/matrix-org/matrix-react-sdk/pull/4986)
 * Update cover photo link
   [\#4985](https://github.com/matrix-org/matrix-react-sdk/pull/4985)

Changes in [2.10.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.10.0) (2020-07-15)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.9.0...v2.10.0)

 * Incorporate new toasts into end-to-end tests
   [\#4983](https://github.com/matrix-org/matrix-react-sdk/pull/4983)
 * Fix TS lint errors
   [\#4982](https://github.com/matrix-org/matrix-react-sdk/pull/4982)
 * Fix js lint errors after rebrand merge
   [\#4981](https://github.com/matrix-org/matrix-react-sdk/pull/4981)
 * Fix style lint
   [\#4980](https://github.com/matrix-org/matrix-react-sdk/pull/4980)
 * Fix alignment of login/syncing spinner
   [\#4979](https://github.com/matrix-org/matrix-react-sdk/pull/4979)
 * De labs font-scaling
   [\#4899](https://github.com/matrix-org/matrix-react-sdk/pull/4899)
 * Remove debug logging from new room list
   [\#4972](https://github.com/matrix-org/matrix-react-sdk/pull/4972)
 * Tweak sticky header hiding to avoid pop
   [\#4974](https://github.com/matrix-org/matrix-react-sdk/pull/4974)
 * Fix show-all keyboard focus regression
   [\#4973](https://github.com/matrix-org/matrix-react-sdk/pull/4973)
 * Clean up TODOs, comments, and imports in the new room list
   [\#4970](https://github.com/matrix-org/matrix-react-sdk/pull/4970)
 * Make EffectiveMembership utils generic
   [\#4971](https://github.com/matrix-org/matrix-react-sdk/pull/4971)
 * Update sticky headers when breadcrumbs pop in or out
   [\#4969](https://github.com/matrix-org/matrix-react-sdk/pull/4969)
 * Fix show less button occluding the last tile
   [\#4967](https://github.com/matrix-org/matrix-react-sdk/pull/4967)
 * Ensure breadcrumbs don't keep turning themselves back on
   [\#4968](https://github.com/matrix-org/matrix-react-sdk/pull/4968)
 * Update top vs. bottom sticky styles separately
   [\#4966](https://github.com/matrix-org/matrix-react-sdk/pull/4966)
 * Ensure RoomListStore2 gets reset when the client becomes invalidated
   [\#4965](https://github.com/matrix-org/matrix-react-sdk/pull/4965)
 * Add fade to show more button on room list
   [\#4963](https://github.com/matrix-org/matrix-react-sdk/pull/4963)
 * Fix extra room tiles being rendered on smaller sublists
   [\#4964](https://github.com/matrix-org/matrix-react-sdk/pull/4964)
 * Ensure tag changes (leaving rooms) causes rooms to move between lists
   [\#4962](https://github.com/matrix-org/matrix-react-sdk/pull/4962)
 * Fix badges for font size 20
   [\#4958](https://github.com/matrix-org/matrix-react-sdk/pull/4958)
 * Fix default sorting mechanics for new room list
   [\#4960](https://github.com/matrix-org/matrix-react-sdk/pull/4960)
 * Fix room sub list header collapse/jump interactions on bottom-most sublist
   [\#4961](https://github.com/matrix-org/matrix-react-sdk/pull/4961)
 * Fix room tile context menu for Historical rooms
   [\#4959](https://github.com/matrix-org/matrix-react-sdk/pull/4959)
 * "ignore"/"unignore" commands: validate user ID
   [\#4895](https://github.com/matrix-org/matrix-react-sdk/pull/4895)
 * Stop classname from overwritting baseavatar's
   [\#4957](https://github.com/matrix-org/matrix-react-sdk/pull/4957)
 * Remove redundant scroll-margins and fix RoomTile wrongly scrolling
   [\#4952](https://github.com/matrix-org/matrix-react-sdk/pull/4952)
 * Fix RoomAvatar viewAvatarOnClick to work on actual avatars instead of
   default ones
   [\#4953](https://github.com/matrix-org/matrix-react-sdk/pull/4953)
 * Be consistent with the at-room pill avatar configurability
   [\#4955](https://github.com/matrix-org/matrix-react-sdk/pull/4955)
 * Room List v2 Enter in the filter field should select the first result
   [\#4954](https://github.com/matrix-org/matrix-react-sdk/pull/4954)
 * Enable the new room list by default
   [\#4919](https://github.com/matrix-org/matrix-react-sdk/pull/4919)
 * Convert ImportanceAlgorithm over to using NotificationColor instead
   [\#4949](https://github.com/matrix-org/matrix-react-sdk/pull/4949)
 * Internalize algorithm updates in the new room list store
   [\#4951](https://github.com/matrix-org/matrix-react-sdk/pull/4951)
 * Remove now-dead code from sublist resizing
   [\#4950](https://github.com/matrix-org/matrix-react-sdk/pull/4950)
 * Ensure triggered updates get fired for filters in the new room list
   [\#4948](https://github.com/matrix-org/matrix-react-sdk/pull/4948)
 * Handle off-cycle filtering updates in the new room list
   [\#4947](https://github.com/matrix-org/matrix-react-sdk/pull/4947)
 * Make the show more button do a clean cut on the room list while transparent
   [\#4941](https://github.com/matrix-org/matrix-react-sdk/pull/4941)
 * Stop safari from aggressively shrinking flex items
   [\#4945](https://github.com/matrix-org/matrix-react-sdk/pull/4945)
 * Fix search padding
   [\#4946](https://github.com/matrix-org/matrix-react-sdk/pull/4946)
 * Reduce event loop load caused by duplicate calculations in the new room list
   [\#4943](https://github.com/matrix-org/matrix-react-sdk/pull/4943)
 * Add an option to disable room list logging, and improve logging
   [\#4944](https://github.com/matrix-org/matrix-react-sdk/pull/4944)
 * Scroll fade for breadcrumbs
   [\#4942](https://github.com/matrix-org/matrix-react-sdk/pull/4942)
 * Auto expand room list on search
   [\#4927](https://github.com/matrix-org/matrix-react-sdk/pull/4927)
 * Fix rough badge alignment for community invite tiles again
   [\#4939](https://github.com/matrix-org/matrix-react-sdk/pull/4939)
 * Improve safety of new rooms in the room list
   [\#4940](https://github.com/matrix-org/matrix-react-sdk/pull/4940)
 * Don't destroy room notification states when replacing them
   [\#4938](https://github.com/matrix-org/matrix-react-sdk/pull/4938)
 * Move irc layout option to advanced
   [\#4937](https://github.com/matrix-org/matrix-react-sdk/pull/4937)
 * Potential solution to supporting transparent 'show more' buttons
   [\#4932](https://github.com/matrix-org/matrix-react-sdk/pull/4932)
 * Improve performance and stability in sticky headers for new room list
   [\#4931](https://github.com/matrix-org/matrix-react-sdk/pull/4931)
 * Move and improve notification state handling
   [\#4935](https://github.com/matrix-org/matrix-react-sdk/pull/4935)
 * Move list layout management to its own store
   [\#4934](https://github.com/matrix-org/matrix-react-sdk/pull/4934)
 * Noop first breadcrumb
   [\#4933](https://github.com/matrix-org/matrix-react-sdk/pull/4933)
 * Highlight "Jump to Bottom" badge when appropriate
   [\#4892](https://github.com/matrix-org/matrix-react-sdk/pull/4892)
 * Don't render the context menu within its trigger otherwise unhandled clicks
   bubble
   [\#4930](https://github.com/matrix-org/matrix-react-sdk/pull/4930)
 * Protect rooms from getting lost due to complex transitions
   [\#4929](https://github.com/matrix-org/matrix-react-sdk/pull/4929)
 * Hide archive button
   [\#4928](https://github.com/matrix-org/matrix-react-sdk/pull/4928)
 * Enable options to favourite and low priority rooms
   [\#4920](https://github.com/matrix-org/matrix-react-sdk/pull/4920)
 * Move voip previews to bottom right corner
   [\#4904](https://github.com/matrix-org/matrix-react-sdk/pull/4904)
 * Focus room filter on openSearch
   [\#4923](https://github.com/matrix-org/matrix-react-sdk/pull/4923)
 * Swap out the resizer lib for something more stable in the new room list
   [\#4924](https://github.com/matrix-org/matrix-react-sdk/pull/4924)
 * Add wrapper to room list so sticky headers don't need a background
   [\#4912](https://github.com/matrix-org/matrix-react-sdk/pull/4912)
 * New room list view_room show_room_tile support
   [\#4908](https://github.com/matrix-org/matrix-react-sdk/pull/4908)
 * Convert Context Menu to TypeScript
   [\#4871](https://github.com/matrix-org/matrix-react-sdk/pull/4871)
 * Use html innerText for org.matrix.custom.html m.room.message room list
   previews
   [\#4925](https://github.com/matrix-org/matrix-react-sdk/pull/4925)
 * Fix MELS summary of 3pid invite revocations
   [\#4913](https://github.com/matrix-org/matrix-react-sdk/pull/4913)
 * Fix sticky headers being left on display:none if they change too quickly
   [\#4926](https://github.com/matrix-org/matrix-react-sdk/pull/4926)
 * Fix gaps under resize handle
   [\#4922](https://github.com/matrix-org/matrix-react-sdk/pull/4922)
 * Fix DM handling in new room list
   [\#4921](https://github.com/matrix-org/matrix-react-sdk/pull/4921)
 * Respect and fix understanding of legacy options in new room list
   [\#4918](https://github.com/matrix-org/matrix-react-sdk/pull/4918)
 * Ensure DMs are not lost in the new room list, and clean up tag logging
   [\#4916](https://github.com/matrix-org/matrix-react-sdk/pull/4916)
 * Mute "Unknown room caused setting update" spam
   [\#4915](https://github.com/matrix-org/matrix-react-sdk/pull/4915)
 * Remove comment claiming encrypted rooms are handled incorrectly in the new
   room list
   [\#4917](https://github.com/matrix-org/matrix-react-sdk/pull/4917)
 * Try using requestAnimationFrame if available for sticky headers
   [\#4914](https://github.com/matrix-org/matrix-react-sdk/pull/4914)
 * Show more/Show less keep focus in a relevant place
   [\#4911](https://github.com/matrix-org/matrix-react-sdk/pull/4911)
 * Change orange to our orange and do some lints
   [\#4910](https://github.com/matrix-org/matrix-react-sdk/pull/4910)
 * New Room List implement view_room_delta for keyboard shortcuts
   [\#4900](https://github.com/matrix-org/matrix-react-sdk/pull/4900)
 * New Room List accessibility
   [\#4896](https://github.com/matrix-org/matrix-react-sdk/pull/4896)
 * Improve room safety in the new room list
   [\#4905](https://github.com/matrix-org/matrix-react-sdk/pull/4905)
 * Fix a number of issues with the new room list's invites
   [\#4906](https://github.com/matrix-org/matrix-react-sdk/pull/4906)
 * Decrease default visible rooms down to 5
   [\#4907](https://github.com/matrix-org/matrix-react-sdk/pull/4907)
 * swap order of context menu buttons so it does not jump when muted
   [\#4909](https://github.com/matrix-org/matrix-react-sdk/pull/4909)
 * Fix some room list sticky header instabilities
   [\#4901](https://github.com/matrix-org/matrix-react-sdk/pull/4901)
 * null-guard against groups with a null name in new Room List
   [\#4903](https://github.com/matrix-org/matrix-react-sdk/pull/4903)
 * Allow vertical scrolling on the new room list breadcrumbs
   [\#4902](https://github.com/matrix-org/matrix-react-sdk/pull/4902)
 * Convert things to Typescript, including languageHandler
   [\#4883](https://github.com/matrix-org/matrix-react-sdk/pull/4883)
 * Fix minor issues with the badges in the new room list
   [\#4894](https://github.com/matrix-org/matrix-react-sdk/pull/4894)
 * Radio button outline fixes including for new room list context menu
   [\#4893](https://github.com/matrix-org/matrix-react-sdk/pull/4893)
 * First step towards a11y in the new room list
   [\#4882](https://github.com/matrix-org/matrix-react-sdk/pull/4882)
 * Fix theme selector clicks bubbling out and causing context menu to float
   away
   [\#4891](https://github.com/matrix-org/matrix-react-sdk/pull/4891)
 * Revert "Remove a bunch of noisy logging from the room list"
   [\#4890](https://github.com/matrix-org/matrix-react-sdk/pull/4890)
 * Remove duplicate compact settings, handle device level updates
   [\#4888](https://github.com/matrix-org/matrix-react-sdk/pull/4888)
 * fix notifications icons some more
   [\#4887](https://github.com/matrix-org/matrix-react-sdk/pull/4887)
 * Remove a bunch of noisy logging from the room list
   [\#4886](https://github.com/matrix-org/matrix-react-sdk/pull/4886)
 * Fix bell icon mismatch on room tile between hover and context menu
   [\#4884](https://github.com/matrix-org/matrix-react-sdk/pull/4884)
 * Add a null guard for message event previews
   [\#4885](https://github.com/matrix-org/matrix-react-sdk/pull/4885)
 * Enable the new room list by default and trigger an initial render
   [\#4881](https://github.com/matrix-org/matrix-react-sdk/pull/4881)
 * Fix selection states of room tiles in the new room list
   [\#4879](https://github.com/matrix-org/matrix-react-sdk/pull/4879)
 * Update mute icon behaviour for new room list designs
   [\#4876](https://github.com/matrix-org/matrix-react-sdk/pull/4876)
 * Fix alignment of avatars on community invites
   [\#4878](https://github.com/matrix-org/matrix-react-sdk/pull/4878)
 * Don't include empty badge container in minimized view
   [\#4880](https://github.com/matrix-org/matrix-react-sdk/pull/4880)
 * Fix alignment of dot badges in new room list
   [\#4877](https://github.com/matrix-org/matrix-react-sdk/pull/4877)
 * Reorganize and match new room list badges to old list behaviour
   [\#4861](https://github.com/matrix-org/matrix-react-sdk/pull/4861)
 * Implement breadcrumb notifications and scrolling
   [\#4862](https://github.com/matrix-org/matrix-react-sdk/pull/4862)
 * Add click-to-jump on badge in the room sublist header
   [\#4875](https://github.com/matrix-org/matrix-react-sdk/pull/4875)
 * Room List v2 context menu interactions
   [\#4870](https://github.com/matrix-org/matrix-react-sdk/pull/4870)
 * Wedge community invites into the new room list
   [\#4874](https://github.com/matrix-org/matrix-react-sdk/pull/4874)
 * Check whether crypto is enabled in room recovery reminder
   [\#4873](https://github.com/matrix-org/matrix-react-sdk/pull/4873)
 * Fix room list 2's room tile wrapping wrongly
   [\#4872](https://github.com/matrix-org/matrix-react-sdk/pull/4872)
 * Hide scrollbar without pixel jumping
   [\#4863](https://github.com/matrix-org/matrix-react-sdk/pull/4863)
 * Room Tile context menu, notifications, indicator and placement
   [\#4858](https://github.com/matrix-org/matrix-react-sdk/pull/4858)
 * Improve resizing interactions in the new room list
   [\#4865](https://github.com/matrix-org/matrix-react-sdk/pull/4865)
 * Disable use of account-level ordering options in new room list
   [\#4866](https://github.com/matrix-org/matrix-react-sdk/pull/4866)
 * Remove context menu on invites in new room list
   [\#4867](https://github.com/matrix-org/matrix-react-sdk/pull/4867)
 * Fix reaction event crashes in message previews
   [\#4868](https://github.com/matrix-org/matrix-react-sdk/pull/4868)

Changes in [2.9.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.9.0) (2020-07-03)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.9.0-rc.1...v2.9.0)

 * Upgrade to JS SDK 7.1.0
 * Remove duplicate compact settings, handle device level updates
   [\#4889](https://github.com/matrix-org/matrix-react-sdk/pull/4889)

Changes in [2.9.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.9.0-rc.1) (2020-07-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.8.1...v2.9.0-rc.1)

 * Upgrade to JS SDK 7.1.0-rc.1
 * Update from Weblate
   [\#4869](https://github.com/matrix-org/matrix-react-sdk/pull/4869)
 * Fix a number of proliferation issues in the new room list
   [\#4828](https://github.com/matrix-org/matrix-react-sdk/pull/4828)
 * Fix jumping to read marker for events without tiles
   [\#4860](https://github.com/matrix-org/matrix-react-sdk/pull/4860)
 * De-duplicate rooms from the room autocomplete provider
   [\#4859](https://github.com/matrix-org/matrix-react-sdk/pull/4859)
 * Add file upload button to recovery key input
   [\#4847](https://github.com/matrix-org/matrix-react-sdk/pull/4847)
 * Implement new design on security setup & login
   [\#4831](https://github.com/matrix-org/matrix-react-sdk/pull/4831)
 * Fix /join slash command via servers including room id as a via
   [\#4856](https://github.com/matrix-org/matrix-react-sdk/pull/4856)
 * Add Generic Expiring Toast and timing hooks
   [\#4855](https://github.com/matrix-org/matrix-react-sdk/pull/4855)
 * Fix Room Custom Sounds regression and make ProgressBar relevant again
   [\#4846](https://github.com/matrix-org/matrix-react-sdk/pull/4846)
 * Including start_sso and start_cas in redirect loop prevention
   [\#4854](https://github.com/matrix-org/matrix-react-sdk/pull/4854)
 * Clean up TODO comments for new room list
   [\#4850](https://github.com/matrix-org/matrix-react-sdk/pull/4850)
 * Show timestamp of redaction on hover
   [\#4622](https://github.com/matrix-org/matrix-react-sdk/pull/4622)
 * Remove the DM button from new room tiles
   [\#4849](https://github.com/matrix-org/matrix-react-sdk/pull/4849)
 * Hide room list show less button if it would do nothing
   [\#4848](https://github.com/matrix-org/matrix-react-sdk/pull/4848)
 * Improve message preview copy in new room list
   [\#4823](https://github.com/matrix-org/matrix-react-sdk/pull/4823)
 * Allow the tag panel to be disabled in the new room list
   [\#4844](https://github.com/matrix-org/matrix-react-sdk/pull/4844)
 * Make the whole user row clickable in the new room list
   [\#4843](https://github.com/matrix-org/matrix-react-sdk/pull/4843)
 * Add a new spinner design behind a labs flag
   [\#4842](https://github.com/matrix-org/matrix-react-sdk/pull/4842)
 * ts-ignore because something is made of fail
   [\#4845](https://github.com/matrix-org/matrix-react-sdk/pull/4845)
 * Fix Welcome.html CAS and SSO URLs not working
   [\#4838](https://github.com/matrix-org/matrix-react-sdk/pull/4838)
 * More small tweaks in preparation for Notifications rework
   [\#4835](https://github.com/matrix-org/matrix-react-sdk/pull/4835)
 * Iterate on the new room list resize handle
   [\#4840](https://github.com/matrix-org/matrix-react-sdk/pull/4840)
 * Update sublists for new hover states
   [\#4837](https://github.com/matrix-org/matrix-react-sdk/pull/4837)
 * Tweak parts of the new room list design
   [\#4839](https://github.com/matrix-org/matrix-react-sdk/pull/4839)
 * Implement new resize handle for dogfooding
   [\#4836](https://github.com/matrix-org/matrix-react-sdk/pull/4836)
 * Hide app badge count for hidden upgraded rooms (non-highlight)
   [\#4834](https://github.com/matrix-org/matrix-react-sdk/pull/4834)
 * Move compact modern layout checkbox to 'advanced'
   [\#4822](https://github.com/matrix-org/matrix-react-sdk/pull/4822)
 * Allow the user to resize the new sublists to 1 tile
   [\#4825](https://github.com/matrix-org/matrix-react-sdk/pull/4825)
 * Make LoggedInView a real component because it uses shouldComponentUpdate
   [\#4832](https://github.com/matrix-org/matrix-react-sdk/pull/4832)
 * Small tweaks in preparation for Notifications rework
   [\#4829](https://github.com/matrix-org/matrix-react-sdk/pull/4829)
 * Remove extraneous debug from the new left panel
   [\#4826](https://github.com/matrix-org/matrix-react-sdk/pull/4826)
 * Fix icons in the new user menu not showing up
   [\#4824](https://github.com/matrix-org/matrix-react-sdk/pull/4824)
 * Fix sticky room disappearing/jumping in search results
   [\#4817](https://github.com/matrix-org/matrix-react-sdk/pull/4817)
 * Show cross-signing / secret storage reset button in more cases
   [\#4821](https://github.com/matrix-org/matrix-react-sdk/pull/4821)
 * Use theme-capable icons in the user menu
   [\#4819](https://github.com/matrix-org/matrix-react-sdk/pull/4819)
 * Font support in custom themes
   [\#4814](https://github.com/matrix-org/matrix-react-sdk/pull/4814)
 * Decrease margin between new sublists
   [\#4816](https://github.com/matrix-org/matrix-react-sdk/pull/4816)
 * Update profile information in User Menu and truncate where needed
   [\#4818](https://github.com/matrix-org/matrix-react-sdk/pull/4818)
 * Fix MessageActionBar in irc layout
   [\#4802](https://github.com/matrix-org/matrix-react-sdk/pull/4802)
 * Mark messages with a black shield if the megolm session isn't trusted
   [\#4797](https://github.com/matrix-org/matrix-react-sdk/pull/4797)
 * Custom font selection
   [\#4761](https://github.com/matrix-org/matrix-react-sdk/pull/4761)
 * Use the correct timeline reference for message previews
   [\#4812](https://github.com/matrix-org/matrix-react-sdk/pull/4812)
 * Fix read receipt handling in the new room list
   [\#4811](https://github.com/matrix-org/matrix-react-sdk/pull/4811)
 * Improve unread/badge states in new room list (mk II)
   [\#4805](https://github.com/matrix-org/matrix-react-sdk/pull/4805)
 * Only fire setting changes for changed settings
   [\#4803](https://github.com/matrix-org/matrix-react-sdk/pull/4803)
 * Trigger room-specific watchers whenever a higher level change happens
   [\#4804](https://github.com/matrix-org/matrix-react-sdk/pull/4804)
 * Have the theme switcher set the device-level theme to match settings
   [\#4810](https://github.com/matrix-org/matrix-react-sdk/pull/4810)
 * Fix layout of minimized view for new room list
   [\#4808](https://github.com/matrix-org/matrix-react-sdk/pull/4808)
 * Fix sticky headers over/under extending themselves in the new room list
   [\#4809](https://github.com/matrix-org/matrix-react-sdk/pull/4809)
 * Update read receipt remainder for internal font size change
   [\#4806](https://github.com/matrix-org/matrix-react-sdk/pull/4806)
 * Fix some appearance tab crash and implement style nits
   [\#4801](https://github.com/matrix-org/matrix-react-sdk/pull/4801)
 * Add message preview for font slider
   [\#4770](https://github.com/matrix-org/matrix-react-sdk/pull/4770)
 * Add layout options to the appearance tab
   [\#4773](https://github.com/matrix-org/matrix-react-sdk/pull/4773)
 * Update from Weblate
   [\#4800](https://github.com/matrix-org/matrix-react-sdk/pull/4800)
 * Support accounts with cross signing but no SSSS
   [\#4717](https://github.com/matrix-org/matrix-react-sdk/pull/4717)
 * Look for existing verification requests after login
   [\#4762](https://github.com/matrix-org/matrix-react-sdk/pull/4762)
 * Add a checkpoint to index newly encrypted rooms.
   [\#4611](https://github.com/matrix-org/matrix-react-sdk/pull/4611)
 * Add support to paginate search results when using Seshat.
   [\#4705](https://github.com/matrix-org/matrix-react-sdk/pull/4705)
 * User versions in the event index.
   [\#4788](https://github.com/matrix-org/matrix-react-sdk/pull/4788)
 * Fix crash when filtering new room list too fast
   [\#4796](https://github.com/matrix-org/matrix-react-sdk/pull/4796)
 * hide search results from unknown rooms
   [\#4795](https://github.com/matrix-org/matrix-react-sdk/pull/4795)
 * Mark the new room list as ready for general testing
   [\#4794](https://github.com/matrix-org/matrix-react-sdk/pull/4794)
 * Extend QueryMatcher's sorting heuristic
   [\#4784](https://github.com/matrix-org/matrix-react-sdk/pull/4784)
 * Lint ts semicolons (aka. The great semicolon migration)
   [\#4791](https://github.com/matrix-org/matrix-react-sdk/pull/4791)
 * Revert "Use recovery keys over passphrases"
   [\#4790](https://github.com/matrix-org/matrix-react-sdk/pull/4790)
 * Clear `top` when not sticking headers to the top
   [\#4783](https://github.com/matrix-org/matrix-react-sdk/pull/4783)
 * Don't show a 'show less' button when it's impossible to collapse
   [\#4785](https://github.com/matrix-org/matrix-react-sdk/pull/4785)
 * Fix show less/more button occluding the list automatically
   [\#4786](https://github.com/matrix-org/matrix-react-sdk/pull/4786)
 * Improve room switching in the new room list
   [\#4787](https://github.com/matrix-org/matrix-react-sdk/pull/4787)
 * Remove labs option to cache 'passphrase'
   [\#4789](https://github.com/matrix-org/matrix-react-sdk/pull/4789)
 * Remove escape backslashes in non-Markdown messages
   [\#4694](https://github.com/matrix-org/matrix-react-sdk/pull/4694)

Changes in [2.8.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.8.1) (2020-06-29)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.8.0...v2.8.1)

 * Support accounts with cross signing but no SSSS
   [\#4852](https://github.com/matrix-org/matrix-react-sdk/pull/4852)

Changes in [2.8.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.8.0) (2020-06-23)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.8.0-rc.1...v2.8.0)

 * Upgrade to JS SDK 7.0.0
 * Update read receipt remainder for internal font size change
   [\#4807](https://github.com/matrix-org/matrix-react-sdk/pull/4807)
 * Revert "Use recovery keys over passphrases"
   [\#4793](https://github.com/matrix-org/matrix-react-sdk/pull/4793)

Changes in [2.8.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.8.0-rc.1) (2020-06-17)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.7.2...v2.8.0-rc.1)

 * Upgrade to JS SDK 7.0.0-rc.1
 * Fix Styled Checkbox and Radio Button disabled state
   [\#4778](https://github.com/matrix-org/matrix-react-sdk/pull/4778)
 * clean up and fix the isMasterRuleEnabled logic
   [\#4782](https://github.com/matrix-org/matrix-react-sdk/pull/4782)
 * Fix case-sensitivity of /me to match rest of slash commands
   [\#4763](https://github.com/matrix-org/matrix-react-sdk/pull/4763)
 * Add a 'show less' button to the new room list
   [\#4765](https://github.com/matrix-org/matrix-react-sdk/pull/4765)
 * Update from Weblate
   [\#4781](https://github.com/matrix-org/matrix-react-sdk/pull/4781)
 * Sticky and collapsing headers for new room list
   [\#4758](https://github.com/matrix-org/matrix-react-sdk/pull/4758)
 * Make the room list labs setting reload on change
   [\#4780](https://github.com/matrix-org/matrix-react-sdk/pull/4780)
 * Handle/hide old rooms in the room list
   [\#4767](https://github.com/matrix-org/matrix-react-sdk/pull/4767)
 *  Add some media queries to improve UI on mobile (#3991)
   [\#4656](https://github.com/matrix-org/matrix-react-sdk/pull/4656)
 * Match fuzzy filtering a bit more reliably in the new room list
   [\#4769](https://github.com/matrix-org/matrix-react-sdk/pull/4769)
 * Improve Field ts definitions some more
   [\#4777](https://github.com/matrix-org/matrix-react-sdk/pull/4777)
 * Fix alignment of checkboxes in new room list's context menu
   [\#4776](https://github.com/matrix-org/matrix-react-sdk/pull/4776)
 * Fix Field ts def, fix LocalEchoWrapper and NotificationsEnabledController
   [\#4775](https://github.com/matrix-org/matrix-react-sdk/pull/4775)
 * Add presence indicators and globes to new room list
   [\#4774](https://github.com/matrix-org/matrix-react-sdk/pull/4774)
 * Include the sticky room when filtering in the new room list
   [\#4772](https://github.com/matrix-org/matrix-react-sdk/pull/4772)
 * Add a home button to the new room list menu when available
   [\#4771](https://github.com/matrix-org/matrix-react-sdk/pull/4771)
 * use group layout for search results
   [\#4764](https://github.com/matrix-org/matrix-react-sdk/pull/4764)
 * Fix m.id.phone spec compliance
   [\#4757](https://github.com/matrix-org/matrix-react-sdk/pull/4757)
 * User Info default power levels for ban/kick/redact to 50 as per spec
   [\#4759](https://github.com/matrix-org/matrix-react-sdk/pull/4759)
 * Match new room list's text search to old room list
   [\#4768](https://github.com/matrix-org/matrix-react-sdk/pull/4768)
 * Fix ordering of recent rooms in the new room list
   [\#4766](https://github.com/matrix-org/matrix-react-sdk/pull/4766)
 * Change theme selector to use new styled radio buttons
   [\#4731](https://github.com/matrix-org/matrix-react-sdk/pull/4731)
 * Use recovery keys over passphrases
   [\#4686](https://github.com/matrix-org/matrix-react-sdk/pull/4686)
 * Update from Weblate
   [\#4760](https://github.com/matrix-org/matrix-react-sdk/pull/4760)
 * Initial dark theme support for new room list
   [\#4756](https://github.com/matrix-org/matrix-react-sdk/pull/4756)
 * Support per-list options and algorithms on the new room list
   [\#4754](https://github.com/matrix-org/matrix-react-sdk/pull/4754)
 * Send read marker updates immediately after moving visually
   [\#4755](https://github.com/matrix-org/matrix-react-sdk/pull/4755)
 * Add a minimized view to the new room list
   [\#4753](https://github.com/matrix-org/matrix-react-sdk/pull/4753)
 * Fix e2e icon alignment in irc-layout
   [\#4752](https://github.com/matrix-org/matrix-react-sdk/pull/4752)
 * Add some resource leak protection to new room list badges
   [\#4750](https://github.com/matrix-org/matrix-react-sdk/pull/4750)
 * Fix read-receipt alignment
   [\#4747](https://github.com/matrix-org/matrix-react-sdk/pull/4747)
 * Show message previews on the new room list tiles
   [\#4751](https://github.com/matrix-org/matrix-react-sdk/pull/4751)
 * Fix various layout concerns with the new room list
   [\#4749](https://github.com/matrix-org/matrix-react-sdk/pull/4749)
 * Prioritize text on the clipboard over file
   [\#4748](https://github.com/matrix-org/matrix-react-sdk/pull/4748)
 * Move Settings flag to ts
   [\#4729](https://github.com/matrix-org/matrix-react-sdk/pull/4729)
 * Add a context menu to rooms in the new room list
   [\#4743](https://github.com/matrix-org/matrix-react-sdk/pull/4743)
 * Add hover states and basic context menu to new room list
   [\#4742](https://github.com/matrix-org/matrix-react-sdk/pull/4742)
 * Update resize handle for new designs in new room list
   [\#4741](https://github.com/matrix-org/matrix-react-sdk/pull/4741)
 * Improve general stability in the new room list
   [\#4740](https://github.com/matrix-org/matrix-react-sdk/pull/4740)
 * Reimplement breadcrumbs for new room list
   [\#4735](https://github.com/matrix-org/matrix-react-sdk/pull/4735)
 * Add styled radio buttons
   [\#4744](https://github.com/matrix-org/matrix-react-sdk/pull/4744)
 * Hide checkbox tick on dark backgrounds
   [\#4730](https://github.com/matrix-org/matrix-react-sdk/pull/4730)
 * Make checkboxes a11y friendly
   [\#4746](https://github.com/matrix-org/matrix-react-sdk/pull/4746)
 * EventIndex: Store and restore the encryption info for encrypted events.
   [\#4738](https://github.com/matrix-org/matrix-react-sdk/pull/4738)
 * Use IDestroyable instead of IDisposable
   [\#4739](https://github.com/matrix-org/matrix-react-sdk/pull/4739)
 * Add/improve badge counts in new room list
   [\#4734](https://github.com/matrix-org/matrix-react-sdk/pull/4734)
 * Convert FormattingUtils to TypeScript and add badge utility function
   [\#4732](https://github.com/matrix-org/matrix-react-sdk/pull/4732)
 * Add filtering and exploring to the new room list
   [\#4736](https://github.com/matrix-org/matrix-react-sdk/pull/4736)
 * Support prioritized room list filters
   [\#4737](https://github.com/matrix-org/matrix-react-sdk/pull/4737)
 * Clean up font scaling appearance
   [\#4733](https://github.com/matrix-org/matrix-react-sdk/pull/4733)
 * Add user menu to new room list
   [\#4722](https://github.com/matrix-org/matrix-react-sdk/pull/4722)
 * New room list basic styling and layout
   [\#4711](https://github.com/matrix-org/matrix-react-sdk/pull/4711)
 * Fix read receipt overlap
   [\#4727](https://github.com/matrix-org/matrix-react-sdk/pull/4727)
 * Load correct default font size
   [\#4726](https://github.com/matrix-org/matrix-react-sdk/pull/4726)
 * send state of lowBandwidth in rageshakes
   [\#4724](https://github.com/matrix-org/matrix-react-sdk/pull/4724)
 * Change internal font size from from 15 to 10
   [\#4725](https://github.com/matrix-org/matrix-react-sdk/pull/4725)
 * Upgrade deps
   [\#4723](https://github.com/matrix-org/matrix-react-sdk/pull/4723)
 * Ensure active Jitsi conference is closed on widget pop-out
   [\#4444](https://github.com/matrix-org/matrix-react-sdk/pull/4444)
 * Introduce sticky rooms to the new room list
   [\#4720](https://github.com/matrix-org/matrix-react-sdk/pull/4720)
 * Handle remaining cases for room updates in new room list
   [\#4721](https://github.com/matrix-org/matrix-react-sdk/pull/4721)
 * Allow searching the emoji picker using other emoji
   [\#4719](https://github.com/matrix-org/matrix-react-sdk/pull/4719)
 * New room list scrolling and resizing
   [\#4697](https://github.com/matrix-org/matrix-react-sdk/pull/4697)
 * Don't show FormatBar if composer is empty
   [\#4696](https://github.com/matrix-org/matrix-react-sdk/pull/4696)
 * Split the left panel into new and old for new room list designs
   [\#4687](https://github.com/matrix-org/matrix-react-sdk/pull/4687)
 * Fix compact layout regression
   [\#4712](https://github.com/matrix-org/matrix-react-sdk/pull/4712)
 * fix emoji in safari
   [\#4710](https://github.com/matrix-org/matrix-react-sdk/pull/4710)
 * Fix not being able to dismiss new login toasts
   [\#4709](https://github.com/matrix-org/matrix-react-sdk/pull/4709)
 * Fix exceptions from Tooltip
   [\#4708](https://github.com/matrix-org/matrix-react-sdk/pull/4708)
 * Stop removing variation selector from quick reactions
   [\#4707](https://github.com/matrix-org/matrix-react-sdk/pull/4707)
 * Tidy up continuation algorithm and make it work for hidden profile changes
   [\#4704](https://github.com/matrix-org/matrix-react-sdk/pull/4704)
 * Profile settings should never show a disambiguated display name
   [\#4699](https://github.com/matrix-org/matrix-react-sdk/pull/4699)
 * Prevent (double) 4S bootstrap from RestoreKeyBackupDialog
   [\#4701](https://github.com/matrix-org/matrix-react-sdk/pull/4701)
 * Stop checkbox styling bleeding through room address selector
   [\#4691](https://github.com/matrix-org/matrix-react-sdk/pull/4691)
 * Center HeaderButtons
   [\#4695](https://github.com/matrix-org/matrix-react-sdk/pull/4695)
 * Add .well-known option to control default e2ee behaviour
   [\#4605](https://github.com/matrix-org/matrix-react-sdk/pull/4605)
 * Add max-width to right and left panels
   [\#4692](https://github.com/matrix-org/matrix-react-sdk/pull/4692)
 * Fix login loop where the sso flow returns to `#/login`
   [\#4685](https://github.com/matrix-org/matrix-react-sdk/pull/4685)
 * Don't clear MAU toasts when a successful sync comes in
   [\#4690](https://github.com/matrix-org/matrix-react-sdk/pull/4690)
 * Add initial filtering support to new room list
   [\#4681](https://github.com/matrix-org/matrix-react-sdk/pull/4681)
 * Bubble up a decline-to-render of verification events to outside wrapper
   [\#4664](https://github.com/matrix-org/matrix-react-sdk/pull/4664)
 * upgrade to twemoji 13.0.0
   [\#4672](https://github.com/matrix-org/matrix-react-sdk/pull/4672)
 * Apply FocusLock to ImageView to capture Escape handling
   [\#4666](https://github.com/matrix-org/matrix-react-sdk/pull/4666)
 * Fix the 'complete security' screen
   [\#4689](https://github.com/matrix-org/matrix-react-sdk/pull/4689)
 * add null-guard for Autocomplete containerRef
   [\#4688](https://github.com/matrix-org/matrix-react-sdk/pull/4688)
 * Remove legacy codepaths for Unknown Device Error (UDE/UDD) handling
   [\#4660](https://github.com/matrix-org/matrix-react-sdk/pull/4660)
 * Remove feature_cross_signing
   [\#4655](https://github.com/matrix-org/matrix-react-sdk/pull/4655)
 * Autocomplete: use scrollIntoView for auto-scroll to fix it
   [\#4670](https://github.com/matrix-org/matrix-react-sdk/pull/4670)

Changes in [2.7.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.7.2) (2020-06-16)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.7.1...v2.7.2)

 * Upgrade to JS SDK 6.2.2

Changes in [2.7.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.7.1) (2020-06-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.7.0...v2.7.1)

 * Upgrade to JS SDK 6.2.1
 * Fix exceptions from Tooltip
   [\#4716](https://github.com/matrix-org/matrix-react-sdk/pull/4716)
 * Fix not being able to dismiss new login toasts
   [\#4715](https://github.com/matrix-org/matrix-react-sdk/pull/4715)
 * Fix compact layout regression
   [\#4714](https://github.com/matrix-org/matrix-react-sdk/pull/4714)

Changes in [2.7.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.7.0) (2020-06-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.7.0-rc.2...v2.7.0)

 * Upgrade to JS SDK 6.2.0
 * Prevent (double) 4S bootstrap from RestoreKeyBackupDialog
   [\#4703](https://github.com/matrix-org/matrix-react-sdk/pull/4703)
 * Fix checkbox bleed
   [\#4702](https://github.com/matrix-org/matrix-react-sdk/pull/4702)
 * Fix login loop where the sso flow returns to `#/login` to release
   [\#4693](https://github.com/matrix-org/matrix-react-sdk/pull/4693)

Changes in [2.7.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.7.0-rc.2) (2020-06-02)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.7.0-rc.1...v2.7.0-rc.2)

 * Rewire the Sticker button to be an Emoji Picker
   [\#3747](https://github.com/matrix-org/matrix-react-sdk/pull/3747)

Changes in [2.7.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.7.0-rc.1) (2020-06-02)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.6.1...v2.7.0-rc.1)

 * Upgrade to JS SDK 6.2.0-rc.1
 * Update from Weblate
   [\#4683](https://github.com/matrix-org/matrix-react-sdk/pull/4683)
 * Make auth argument in the register request compliant with r0.6.0
   [\#4347](https://github.com/matrix-org/matrix-react-sdk/pull/4347)
 * Revert "Prevent PersistedElements overflowing scrolled areas"
   [\#4682](https://github.com/matrix-org/matrix-react-sdk/pull/4682)
 * Remove unused TagPanelButtons
   [\#4680](https://github.com/matrix-org/matrix-react-sdk/pull/4680)
 * Pass roomId to IRCTimelineProfileResizer
   [\#4679](https://github.com/matrix-org/matrix-react-sdk/pull/4679)
 * Remove logging to console for irc name resize
   [\#4678](https://github.com/matrix-org/matrix-react-sdk/pull/4678)
 * Use arrow functions instead of binding `this`
   [\#4677](https://github.com/matrix-org/matrix-react-sdk/pull/4677)
 * Increase specificity of compact layout selectors
   [\#4675](https://github.com/matrix-org/matrix-react-sdk/pull/4675)
 * Create and use stylised checkboxes
   [\#4665](https://github.com/matrix-org/matrix-react-sdk/pull/4665)
 * useIRCLayout moved to props
   [\#4676](https://github.com/matrix-org/matrix-react-sdk/pull/4676)
 * Fix paste image to upload
   [\#4674](https://github.com/matrix-org/matrix-react-sdk/pull/4674)
 * Fix FilePanel and NotificationsPanel regression
   [\#4647](https://github.com/matrix-org/matrix-react-sdk/pull/4647)
 * Allow deferring of Update Toast until the next morning
   [\#4669](https://github.com/matrix-org/matrix-react-sdk/pull/4669)
 * Give contextual feedback for manual update check instead of banner
   [\#4668](https://github.com/matrix-org/matrix-react-sdk/pull/4668)
 * Dialog wrap title instead of taking same space as the close/cancel button
   [\#4659](https://github.com/matrix-org/matrix-react-sdk/pull/4659)
 * Update Modular hosting link
   [\#4627](https://github.com/matrix-org/matrix-react-sdk/pull/4627)
 * Fix field placeholder regression
   [\#4663](https://github.com/matrix-org/matrix-react-sdk/pull/4663)
 * Fix/document a number of UIA oddities
   [\#4667](https://github.com/matrix-org/matrix-react-sdk/pull/4667)
 * Stop copy icon repeating weirdly
   [\#4662](https://github.com/matrix-org/matrix-react-sdk/pull/4662)
 * Try and fix the Notifier race
   [\#4661](https://github.com/matrix-org/matrix-react-sdk/pull/4661)
 * set the client's pickle key if the platform can store one
   [\#4657](https://github.com/matrix-org/matrix-react-sdk/pull/4657)
 * Migrate Banners to Toasts
   [\#4624](https://github.com/matrix-org/matrix-react-sdk/pull/4624)
 * Move Appearance tab to ts
   [\#4658](https://github.com/matrix-org/matrix-react-sdk/pull/4658)
 * Fix room alias lookup vs peeking race condition
   [\#4606](https://github.com/matrix-org/matrix-react-sdk/pull/4606)
 * Fix encryption icon miss-alignment
   [\#4651](https://github.com/matrix-org/matrix-react-sdk/pull/4651)
 * Fix sublist sizing regression
   [\#4649](https://github.com/matrix-org/matrix-react-sdk/pull/4649)
 * Fix lines overflowing room list width
   [\#4650](https://github.com/matrix-org/matrix-react-sdk/pull/4650)
 * Remove the keyshare dialog
   [\#4648](https://github.com/matrix-org/matrix-react-sdk/pull/4648)
 * Update badge counts in new room list as needed
   [\#4654](https://github.com/matrix-org/matrix-react-sdk/pull/4654)
 * EventIndex: Handle invalid m.room.redaction events correctly.
   [\#4653](https://github.com/matrix-org/matrix-react-sdk/pull/4653)
 * EventIndex: Print out the checkpoint if there was an error during a crawl
   [\#4652](https://github.com/matrix-org/matrix-react-sdk/pull/4652)
 * Move Field to Typescript
   [\#4635](https://github.com/matrix-org/matrix-react-sdk/pull/4635)
 * Use connection error to detect network problem
   [\#4646](https://github.com/matrix-org/matrix-react-sdk/pull/4646)
 * Revert default font size to 15px
   [\#4641](https://github.com/matrix-org/matrix-react-sdk/pull/4641)
 * Add logging when room join fails
   [\#4645](https://github.com/matrix-org/matrix-react-sdk/pull/4645)
 * Remove EncryptedEventDialog
   [\#4644](https://github.com/matrix-org/matrix-react-sdk/pull/4644)
 * Migrate Toasts to Typescript and to granular priority system
   [\#4618](https://github.com/matrix-org/matrix-react-sdk/pull/4618)
 * Update Crypto Store Too New copy
   [\#4632](https://github.com/matrix-org/matrix-react-sdk/pull/4632)
 * MemberAvatar should not have its own letter fallback, it should use
   BaseAvatar
   [\#4643](https://github.com/matrix-org/matrix-react-sdk/pull/4643)
 * Fix media upload issues with abort and status bar
   [\#4630](https://github.com/matrix-org/matrix-react-sdk/pull/4630)
 * fix viewGroup to actually show the group if possible
   [\#4633](https://github.com/matrix-org/matrix-react-sdk/pull/4633)
 * Update confirm passphrase copy
   [\#4634](https://github.com/matrix-org/matrix-react-sdk/pull/4634)
 * Improve accessibility of the emoji picker
   [\#4636](https://github.com/matrix-org/matrix-react-sdk/pull/4636)
 * Fix Emoji Picker footer being too small if text overflows
   [\#4631](https://github.com/matrix-org/matrix-react-sdk/pull/4631)
 * Improve style of toasts to match Figma
   [\#4613](https://github.com/matrix-org/matrix-react-sdk/pull/4613)
 * Iterate toast count indicator more logically
   [\#4620](https://github.com/matrix-org/matrix-react-sdk/pull/4620)
 * Fix reacting to redactions
   [\#4626](https://github.com/matrix-org/matrix-react-sdk/pull/4626)
 * Fix sentMessageAndIsAlone by dispatching `message_sent` more consistently
   [\#4628](https://github.com/matrix-org/matrix-react-sdk/pull/4628)
 * Update from Weblate
   [\#4640](https://github.com/matrix-org/matrix-react-sdk/pull/4640)
 * Replace `alias` with `address` in copy for consistency
   [\#4402](https://github.com/matrix-org/matrix-react-sdk/pull/4402)
 * Convert MatrixClientPeg to TypeScript
   [\#4638](https://github.com/matrix-org/matrix-react-sdk/pull/4638)
 * Fix BaseAvatar wrongly retrying urls
   [\#4629](https://github.com/matrix-org/matrix-react-sdk/pull/4629)
 * Fix event highlights not being updated to reflect edits
   [\#4637](https://github.com/matrix-org/matrix-react-sdk/pull/4637)
 * Calculate badges in the new room list more reliably
   [\#4625](https://github.com/matrix-org/matrix-react-sdk/pull/4625)
 * Transition BaseAvatar to hooks
   [\#4101](https://github.com/matrix-org/matrix-react-sdk/pull/4101)
 * Convert BasePlatform and BaseEventIndexManager to Typescript
   [\#4614](https://github.com/matrix-org/matrix-react-sdk/pull/4614)
 * Fix: Tag_DM is not defined
   [\#4619](https://github.com/matrix-org/matrix-react-sdk/pull/4619)
 * Fix visibility of message timestamps
   [\#4615](https://github.com/matrix-org/matrix-react-sdk/pull/4615)
 * Rewrite the room list store
   [\#4253](https://github.com/matrix-org/matrix-react-sdk/pull/4253)
 * Update code style to mention switch statements
   [\#4610](https://github.com/matrix-org/matrix-react-sdk/pull/4610)
 * Fix key backup restore with SSSS
   [\#4612](https://github.com/matrix-org/matrix-react-sdk/pull/4612)
 * Handle null tokens in the crawler loop.
   [\#4608](https://github.com/matrix-org/matrix-react-sdk/pull/4608)
 * Font scaling settings and slider
   [\#4424](https://github.com/matrix-org/matrix-react-sdk/pull/4424)
 * Prevent PersistedElements overflowing scrolled areas
   [\#4494](https://github.com/matrix-org/matrix-react-sdk/pull/4494)
 * IRC ui layout
   [\#4531](https://github.com/matrix-org/matrix-react-sdk/pull/4531)
 * Remove SSSS key upgrade check from rageshake
   [\#4607](https://github.com/matrix-org/matrix-react-sdk/pull/4607)
 * Label the create room button better than "Add room"
   [\#4603](https://github.com/matrix-org/matrix-react-sdk/pull/4603)
 * Convert the dispatcher to TypeScript
   [\#4593](https://github.com/matrix-org/matrix-react-sdk/pull/4593)
 * Consolidate password/passphrase fields into a component & add dynamic colour
   to progress
   [\#4599](https://github.com/matrix-org/matrix-react-sdk/pull/4599)
 * UserView, show Welcome page in the mid panel instead of empty space
   [\#4590](https://github.com/matrix-org/matrix-react-sdk/pull/4590)
 * Update from Weblate
   [\#4601](https://github.com/matrix-org/matrix-react-sdk/pull/4601)
 * Make email auth component fail better if server claims email isn't validated
   [\#4600](https://github.com/matrix-org/matrix-react-sdk/pull/4600)
 * Add new keyboard shortcuts for jump to unread and upload file
   [\#4588](https://github.com/matrix-org/matrix-react-sdk/pull/4588)
 * accept and linkify local domains like those from mDNS
   [\#4594](https://github.com/matrix-org/matrix-react-sdk/pull/4594)
 * Revert "ImageView make clicking off it easier"
   [\#4586](https://github.com/matrix-org/matrix-react-sdk/pull/4586)
 * wrap node-qrcode in a React FC and use it for ShareDialog
   [\#4394](https://github.com/matrix-org/matrix-react-sdk/pull/4394)
 * Pass screenAfterLogin through SSO in the callback url
   [\#4585](https://github.com/matrix-org/matrix-react-sdk/pull/4585)
 * Remove debugging that causes email addresses to load forever
   [\#4597](https://github.com/matrix-org/matrix-react-sdk/pull/4597)

Changes in [2.6.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.6.1) (2020-05-22)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.6.0...v2.6.1)

 * Fix key backup restore with SSSS
   [\#4617](https://github.com/matrix-org/matrix-react-sdk/pull/4617)
 * Remove SSSS key upgrade check from rageshake
   [\#4616](https://github.com/matrix-org/matrix-react-sdk/pull/4616)

Changes in [2.6.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.6.0) (2020-05-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.6.0-rc.1...v2.6.0)

 * Upgrade to JS SDK 6.1.0
 * Revert "ImageView make clicking off it easier"
   [\#4602](https://github.com/matrix-org/matrix-react-sdk/pull/4602)
 * Remove debugging that causes email addresses to load forever (to release)
   [\#4598](https://github.com/matrix-org/matrix-react-sdk/pull/4598)

Changes in [2.6.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.6.0-rc.1) (2020-05-14)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0...v2.6.0-rc.1)

 * Upgrade to JS SDK 6.1.0-rc.1
 * Update from Weblate
   [\#4596](https://github.com/matrix-org/matrix-react-sdk/pull/4596)
 * Fix message edits dialog being wrong and sometimes crashing
   [\#4595](https://github.com/matrix-org/matrix-react-sdk/pull/4595)
 * Acquire a new session before enacting deactivation
   [\#4584](https://github.com/matrix-org/matrix-react-sdk/pull/4584)
 * Remove UI for upgrading 4S to symmetric encryption
   [\#4581](https://github.com/matrix-org/matrix-react-sdk/pull/4581)
 * Add copy to SSO prompts during cross-signing setup
   [\#4555](https://github.com/matrix-org/matrix-react-sdk/pull/4555)
 * Re-fix OpenID requests from widgets
   [\#4592](https://github.com/matrix-org/matrix-react-sdk/pull/4592)
 * Fix persistent widgets on desktop / http
   [\#4591](https://github.com/matrix-org/matrix-react-sdk/pull/4591)
 * Updated link and added:Yarn two is not yet used.
   [\#4589](https://github.com/matrix-org/matrix-react-sdk/pull/4589)
 * Fix topic dialog not supporting escape as it didn't have a "Close"
   [\#4578](https://github.com/matrix-org/matrix-react-sdk/pull/4578)
 * Default to public room when creating room from room directory
   [\#4579](https://github.com/matrix-org/matrix-react-sdk/pull/4579)
 * Replace png flags and add Kosovo to country code dropdown
   [\#4576](https://github.com/matrix-org/matrix-react-sdk/pull/4576)
 * Rename `trash (custom).svg` as electron doesn't like paths with spaces
   [\#4583](https://github.com/matrix-org/matrix-react-sdk/pull/4583)
 * Fix sign in / up links on previewed rooms
   [\#4582](https://github.com/matrix-org/matrix-react-sdk/pull/4582)
 * Avoid soft crash if unknown device in verification
   [\#4580](https://github.com/matrix-org/matrix-react-sdk/pull/4580)
 * Add slash commands /query and /msg to match IRC
   [\#4568](https://github.com/matrix-org/matrix-react-sdk/pull/4568)
 * Send cross-signing debug booleans over rageshake
   [\#4570](https://github.com/matrix-org/matrix-react-sdk/pull/4570)
 * Prompt user to specify an alternate server if theirs has registration off
   [\#4575](https://github.com/matrix-org/matrix-react-sdk/pull/4575)
 * Don't try and redact redactions for "Remove recent messages"
   [\#4573](https://github.com/matrix-org/matrix-react-sdk/pull/4573)
 * View Source should target the replacing event rather than the root one
   [\#4571](https://github.com/matrix-org/matrix-react-sdk/pull/4571)
 * Fix passphrase reset in key backup restore dialog
   [\#4569](https://github.com/matrix-org/matrix-react-sdk/pull/4569)
 * Ensure key backup gets dealt with correctly during secret storage reset
   [\#4556](https://github.com/matrix-org/matrix-react-sdk/pull/4556)
 * Fix crash for broken invites
   [\#4565](https://github.com/matrix-org/matrix-react-sdk/pull/4565)
 * Fix rageshake with no matrix client
   [\#4572](https://github.com/matrix-org/matrix-react-sdk/pull/4572)
 * Update from Weblate
   [\#4567](https://github.com/matrix-org/matrix-react-sdk/pull/4567)
 * Bring back UnknownBody for UISIs
   [\#4564](https://github.com/matrix-org/matrix-react-sdk/pull/4564)
 * clear tag panel selection if the community selected is left
   [\#4559](https://github.com/matrix-org/matrix-react-sdk/pull/4559)
 * Close ImageView when redacting
   [\#4560](https://github.com/matrix-org/matrix-react-sdk/pull/4560)
 * Redesign redactions
   [\#4484](https://github.com/matrix-org/matrix-react-sdk/pull/4484)
 * Don't try to reload profile information when closing the user panel
   [\#4547](https://github.com/matrix-org/matrix-react-sdk/pull/4547)
 * Fix right panel hiding when viewing room member
   [\#4558](https://github.com/matrix-org/matrix-react-sdk/pull/4558)
 * Don't erase password confirm on registration error
   [\#4540](https://github.com/matrix-org/matrix-react-sdk/pull/4540)
 * Add a loading state for email addresses/phone numbers in settings
   [\#4557](https://github.com/matrix-org/matrix-react-sdk/pull/4557)
 * set the meta tag for theme-color to the same theme css background
   [\#4554](https://github.com/matrix-org/matrix-react-sdk/pull/4554)
 * Update Invite Dialog copy to include email addresses
   [\#4497](https://github.com/matrix-org/matrix-react-sdk/pull/4497)
 * Fix slider toggle regression.
   [\#4546](https://github.com/matrix-org/matrix-react-sdk/pull/4546)
 * Fix a crash where a name could unexpectedly be an empty list
   [\#4552](https://github.com/matrix-org/matrix-react-sdk/pull/4552)
 * Solves communities can be dragged from context menu
   [\#4492](https://github.com/matrix-org/matrix-react-sdk/pull/4492)
 * Remove prefixes for composer avatar urls
   [\#4553](https://github.com/matrix-org/matrix-react-sdk/pull/4553)
 * Fix reply RR spacing getting doubled
   [\#4541](https://github.com/matrix-org/matrix-react-sdk/pull/4541)
 * Differentiate copy for own untrusted device dialog
   [\#4549](https://github.com/matrix-org/matrix-react-sdk/pull/4549)
 * EventIndex: Reduce the logging the event index is producing.
   [\#4548](https://github.com/matrix-org/matrix-react-sdk/pull/4548)
 * Increase rageshake size limit to 5mb
   [\#4543](https://github.com/matrix-org/matrix-react-sdk/pull/4543)
 * Update from Weblate
   [\#4542](https://github.com/matrix-org/matrix-react-sdk/pull/4542)
 * Guard against race when waiting for cross-signing to be ready
   [\#4539](https://github.com/matrix-org/matrix-react-sdk/pull/4539)
 * Wait for user to be verified in e2e setup
   [\#4537](https://github.com/matrix-org/matrix-react-sdk/pull/4537)
 * Convert MatrixChat to a TypeScript class
   [\#4462](https://github.com/matrix-org/matrix-react-sdk/pull/4462)
 * Mark room as read when escape is pressed
   [\#4271](https://github.com/matrix-org/matrix-react-sdk/pull/4271)
 * Only show key backup reminder when confirmed by server to be missing
   [\#4534](https://github.com/matrix-org/matrix-react-sdk/pull/4534)
 * Add device name to unverified session toast
   [\#4535](https://github.com/matrix-org/matrix-react-sdk/pull/4535)
 * Show progress when loading keys
   [\#4507](https://github.com/matrix-org/matrix-react-sdk/pull/4507)
 * Fix device verification toasts not disappearing
   [\#4532](https://github.com/matrix-org/matrix-react-sdk/pull/4532)
 * Update toast copy again
   [\#4529](https://github.com/matrix-org/matrix-react-sdk/pull/4529)
 * Re-apply theme after login
   [\#4518](https://github.com/matrix-org/matrix-react-sdk/pull/4518)
 * Reduce maximum width of toasts & allow multiple lines
   [\#4525](https://github.com/matrix-org/matrix-react-sdk/pull/4525)
 * Treat sessions that are there when we log in as old
   [\#4524](https://github.com/matrix-org/matrix-react-sdk/pull/4524)
 * Allow resetting storage from the access dialog
   [\#4521](https://github.com/matrix-org/matrix-react-sdk/pull/4521)
 * Update (bulk) unverified device toast copy
   [\#4522](https://github.com/matrix-org/matrix-react-sdk/pull/4522)
 * Make new device toasts appear above review toasts
   [\#4519](https://github.com/matrix-org/matrix-react-sdk/pull/4519)
 * Separate toasts for existing & new device verification
   [\#4511](https://github.com/matrix-org/matrix-react-sdk/pull/4511)
 * Slightly darker toggle off bg color
   [\#4477](https://github.com/matrix-org/matrix-react-sdk/pull/4477)
 * Fix pill vertical align
   [\#4514](https://github.com/matrix-org/matrix-react-sdk/pull/4514)
 * Fix set up encryption toast to use "set up" as action
   [\#4502](https://github.com/matrix-org/matrix-react-sdk/pull/4502)
 * Don't enable e2ee when inviting a 3pid
   [\#4509](https://github.com/matrix-org/matrix-react-sdk/pull/4509)
 * Fix internal link styling in Security Settings
   [\#4510](https://github.com/matrix-org/matrix-react-sdk/pull/4510)
 * Small custom theming fixes
   [\#4508](https://github.com/matrix-org/matrix-react-sdk/pull/4508)
 * Fix scaling issues
   [\#4355](https://github.com/matrix-org/matrix-react-sdk/pull/4355)
 * Aggregate device verify toasts
   [\#4506](https://github.com/matrix-org/matrix-react-sdk/pull/4506)
 * Support setting username and avatar colors in custom themes
   [\#4503](https://github.com/matrix-org/matrix-react-sdk/pull/4503)
 * only clear on continuations where the clear isn't done by SenderProfile
   [\#4501](https://github.com/matrix-org/matrix-react-sdk/pull/4501)
 * cap width of editable item list item to leave space for its X button
   [\#4495](https://github.com/matrix-org/matrix-react-sdk/pull/4495)
 * Add a link from settings / devices to your user profile
   [\#4498](https://github.com/matrix-org/matrix-react-sdk/pull/4498)
 * Update from Weblate
   [\#4496](https://github.com/matrix-org/matrix-react-sdk/pull/4496)
 * Make icon change in SetupEncryptionDialog
   [\#4485](https://github.com/matrix-org/matrix-react-sdk/pull/4485)
 * Remove invite only padlocks feature flag
   [\#4487](https://github.com/matrix-org/matrix-react-sdk/pull/4487)
 * Fix incorrect toast if security setup skipped
   [\#4486](https://github.com/matrix-org/matrix-react-sdk/pull/4486)
 * Revert "Update emojibase for fixed emoji codepoints and Emoji 13 support"
   [\#4482](https://github.com/matrix-org/matrix-react-sdk/pull/4482)
 * Fix widget URL templating (again)
   [\#4481](https://github.com/matrix-org/matrix-react-sdk/pull/4481)
 * Fix recovery link on login verification flow
   [\#4479](https://github.com/matrix-org/matrix-react-sdk/pull/4479)
 * Make avatars in pills occupy the entire space using cropping
   [\#4476](https://github.com/matrix-org/matrix-react-sdk/pull/4476)
 * Use WidgetType more often to avoid breaking new sticker pickers
   [\#4458](https://github.com/matrix-org/matrix-react-sdk/pull/4458)
 * Update logging for unmanaged widgets, and add TODO comments for other areas
   [\#4460](https://github.com/matrix-org/matrix-react-sdk/pull/4460)
 * Fix OpenID requests from widgets
   [\#4459](https://github.com/matrix-org/matrix-react-sdk/pull/4459)
 * Take encrypted message search out of labs
   [\#4467](https://github.com/matrix-org/matrix-react-sdk/pull/4467)
 * Fix BigEmoji for replies
   [\#4475](https://github.com/matrix-org/matrix-react-sdk/pull/4475)
 * Update login security copy and design to match Figma
   [\#4472](https://github.com/matrix-org/matrix-react-sdk/pull/4472)
 * Fix i18n of SSO UIA copy in Deactivate Account Dialog
   [\#4471](https://github.com/matrix-org/matrix-react-sdk/pull/4471)
 * Assert type of domNode as HTMLElement to fix build
   [\#4470](https://github.com/matrix-org/matrix-react-sdk/pull/4470)
 * Unignored in settings
   [\#4466](https://github.com/matrix-org/matrix-react-sdk/pull/4466)
 * Skip auth flow test for signing upload when password present
   [\#4464](https://github.com/matrix-org/matrix-react-sdk/pull/4464)
 * If user cannot set email during registration don't tell them to
   [\#4461](https://github.com/matrix-org/matrix-react-sdk/pull/4461)
 * Fix post-ts autocomplete, it is not null
   [\#4463](https://github.com/matrix-org/matrix-react-sdk/pull/4463)
 * Convert autocomplete stuff to TypeScript
   [\#4452](https://github.com/matrix-org/matrix-react-sdk/pull/4452)
 * Add a back button to the devtools verifications panel
   [\#4455](https://github.com/matrix-org/matrix-react-sdk/pull/4455)
 * Fix: wait until cross-signing keys are fetched to show verify button
   [\#4456](https://github.com/matrix-org/matrix-react-sdk/pull/4456)
 * Handle load error in create secret storage dialog
   [\#4451](https://github.com/matrix-org/matrix-react-sdk/pull/4451)
 * Allow iframes and Jitsi URLs in /addwidget
   [\#4382](https://github.com/matrix-org/matrix-react-sdk/pull/4382)
 * Support m.jitsi-typed widgets as Jitsi widgets
   [\#4379](https://github.com/matrix-org/matrix-react-sdk/pull/4379)
 * Don't recheck DeviceListener until after initial sync is finished
   [\#4450](https://github.com/matrix-org/matrix-react-sdk/pull/4450)
 * Fix CSS class in ButtonPlaceholder
   [\#4449](https://github.com/matrix-org/matrix-react-sdk/pull/4449)
 * Password Login make sure tab takes user to password field
   [\#4441](https://github.com/matrix-org/matrix-react-sdk/pull/4441)
 * Network Dropdown fix things not scrolling properly
   [\#4439](https://github.com/matrix-org/matrix-react-sdk/pull/4439)
 * ImageView make clicking off it easier
   [\#4448](https://github.com/matrix-org/matrix-react-sdk/pull/4448)
 * Add slash command to send a rageshake
   [\#4443](https://github.com/matrix-org/matrix-react-sdk/pull/4443)
 * EventIndex: Filter out events that don't have a propper content value.
   [\#4446](https://github.com/matrix-org/matrix-react-sdk/pull/4446)
 * Revert "Fix Filepanel scroll position state lost when room is changed"
   [\#4445](https://github.com/matrix-org/matrix-react-sdk/pull/4445)
 * Update seshat copy to remove trailing full stop
   [\#4442](https://github.com/matrix-org/matrix-react-sdk/pull/4442)
 * Fix Filepanel scroll position state lost when room is changed
   [\#4388](https://github.com/matrix-org/matrix-react-sdk/pull/4388)
 * Fix end-to-end tests for end-to-end encryption verification
   [\#4436](https://github.com/matrix-org/matrix-react-sdk/pull/4436)
 * Don't explode if the e2e test directory exists when crashing
   [\#4437](https://github.com/matrix-org/matrix-react-sdk/pull/4437)
 * Bump https-proxy-agent from 2.2.1 to 2.2.4 in /test/end-to-end-tests
   [\#4430](https://github.com/matrix-org/matrix-react-sdk/pull/4430)
 * Minor updates to e2e test instructions on Windows
   [\#4432](https://github.com/matrix-org/matrix-react-sdk/pull/4432)
 * Fix typo
   [\#4435](https://github.com/matrix-org/matrix-react-sdk/pull/4435)
 * Catch errors sooner so users can recover more easily
   [\#4122](https://github.com/matrix-org/matrix-react-sdk/pull/4122)
 * Rageshake: remind user of unsupported browser and send modernizr report
   [\#4381](https://github.com/matrix-org/matrix-react-sdk/pull/4381)
 * Design tweaks for DM Room Tiles
   [\#4338](https://github.com/matrix-org/matrix-react-sdk/pull/4338)
 * Don't break spills over multiple lines, ellipsis them at max-1-line
   [\#4434](https://github.com/matrix-org/matrix-react-sdk/pull/4434)
 * Turn the end-to-end tests back on and fix the lazy-loading tests
   [\#4433](https://github.com/matrix-org/matrix-react-sdk/pull/4433)
 * Fix key backup debug panel
   [\#4431](https://github.com/matrix-org/matrix-react-sdk/pull/4431)
 * Convert cross-signing feature flag to setting
   [\#4416](https://github.com/matrix-org/matrix-react-sdk/pull/4416)
 * Make RoomPublishSetting import-skinnable
   [\#4428](https://github.com/matrix-org/matrix-react-sdk/pull/4428)
 * Iterate cross-signing copy
   [\#4425](https://github.com/matrix-org/matrix-react-sdk/pull/4425)
 * Fix: ensure twemoji font is loaded when showing SAS emojis
   [\#4422](https://github.com/matrix-org/matrix-react-sdk/pull/4422)
 * Revert "Fix: load Twemoji before login so complete security gets the right
   emojis during SAS"
   [\#4421](https://github.com/matrix-org/matrix-react-sdk/pull/4421)
 * Fix: load Twemoji before login so complete security gets the right emojis
   during SAS
   [\#4419](https://github.com/matrix-org/matrix-react-sdk/pull/4419)
 * consolidate and fix copy to clipboard
   [\#4410](https://github.com/matrix-org/matrix-react-sdk/pull/4410)
 * Fix Message Context Menu options not displaying: block
   [\#4418](https://github.com/matrix-org/matrix-react-sdk/pull/4418)
 * Fix pills being broken by unescaped characters
   [\#4411](https://github.com/matrix-org/matrix-react-sdk/pull/4411)

Changes in [2.5.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0) (2020-05-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.6...v2.5.0)

 * Upgrade to JS SDK 6.0.0
 * EventIndex: Reduce the logging the event index is producing.
   [\#4551](https://github.com/matrix-org/matrix-react-sdk/pull/4551)
 *  Differentiate copy for own untrusted device dialog
   [\#4550](https://github.com/matrix-org/matrix-react-sdk/pull/4550)
 * More detailed progress for key backup progress
   [\#4545](https://github.com/matrix-org/matrix-react-sdk/pull/4545)
 *  Increase rageshake size limit to 5mb
   [\#4544](https://github.com/matrix-org/matrix-react-sdk/pull/4544)

Changes in [2.5.0-rc.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.6) (2020-05-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.5...v2.5.0-rc.6)

 * Upgrade to JS SDK 6.0.0-rc.2
 * Wait for user to be verified in e2e setup
   [\#4538](https://github.com/matrix-org/matrix-react-sdk/pull/4538)
 * Add device name to unverified session toast
   [\#4536](https://github.com/matrix-org/matrix-react-sdk/pull/4536)

Changes in [2.5.0-rc.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.5) (2020-04-30)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.4...v2.5.0-rc.5)

 * Upgrade to JS SDK 6.0.0-rc.1
 * Fix device verification toasts not disappearing
   [\#4533](https://github.com/matrix-org/matrix-react-sdk/pull/4533)
 * Allow resetting storage from the access dialog
   [\#4526](https://github.com/matrix-org/matrix-react-sdk/pull/4526)
 * Update toast copy again
   [\#4530](https://github.com/matrix-org/matrix-react-sdk/pull/4530)
 * Reduce maximum width of toasts & allow multiple lines
   [\#4528](https://github.com/matrix-org/matrix-react-sdk/pull/4528)
 * Treat sessions that are there when we log in as old
   [\#4527](https://github.com/matrix-org/matrix-react-sdk/pull/4527)
 * Update (bulk) unverified device toast copy
   [\#4523](https://github.com/matrix-org/matrix-react-sdk/pull/4523)
 * Make new device toasts appear above review toasts
   [\#4520](https://github.com/matrix-org/matrix-react-sdk/pull/4520)
 * Separate toasts for existing & new device verification
   [\#4517](https://github.com/matrix-org/matrix-react-sdk/pull/4517)
 * Aggregate device verify toasts
   [\#4516](https://github.com/matrix-org/matrix-react-sdk/pull/4516)
 * Fix set up encryption toast to use "set up" as action
   [\#4515](https://github.com/matrix-org/matrix-react-sdk/pull/4515)
 * Fix internal link styling in Security Settings
   [\#4512](https://github.com/matrix-org/matrix-react-sdk/pull/4512)
 *  Don't enable e2ee when inviting a 3pid
   [\#4513](https://github.com/matrix-org/matrix-react-sdk/pull/4513)
 * only clear on continuations where the clear isn't done by SenderProfile
   [\#4505](https://github.com/matrix-org/matrix-react-sdk/pull/4505)
 * cap width of editable item list item to leave space for its X button
   [\#4504](https://github.com/matrix-org/matrix-react-sdk/pull/4504)
 * Add a link from settings / devices to your user profile
   [\#4499](https://github.com/matrix-org/matrix-react-sdk/pull/4499)
 * Make icon change in SetupEncryptionDialog
   [\#4490](https://github.com/matrix-org/matrix-react-sdk/pull/4490)
 * Remove invite only padlocks feature flag for release
   [\#4488](https://github.com/matrix-org/matrix-react-sdk/pull/4488)
 * Fix incorrect toast if security setup skipped
   [\#4489](https://github.com/matrix-org/matrix-react-sdk/pull/4489)
 * Revert "Update emojibase for fixed emoji codepoints and Emoji 13 support"
   [\#4483](https://github.com/matrix-org/matrix-react-sdk/pull/4483)
 * Fix recovery link on login verification flow
   [\#4480](https://github.com/matrix-org/matrix-react-sdk/pull/4480)

Changes in [2.5.0-rc.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.4) (2020-04-23)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.3...v2.5.0-rc.4)

 * Upgrade to JS SDK 5.3.1-rc.4
 * Take encrypted message search out of labs for release
   [\#4468](https://github.com/matrix-org/matrix-react-sdk/pull/4468)
 * Update login security copy and design to match Figma [to release]
   [\#4474](https://github.com/matrix-org/matrix-react-sdk/pull/4474)
 * Fix i18n of SSO UIA copy in Deactivate Account Dialog on release
   [\#4473](https://github.com/matrix-org/matrix-react-sdk/pull/4473)
 * Skip auth flow test for signing upload when password present
   [\#4465](https://github.com/matrix-org/matrix-react-sdk/pull/4465)
 * Fix: wait until cross-signing keys are fetched to show verify button
   [\#4457](https://github.com/matrix-org/matrix-react-sdk/pull/4457)
 * Handle load error in create secret storage dialog
   [\#4454](https://github.com/matrix-org/matrix-react-sdk/pull/4454)
 * Don't recheck DeviceListener until after initial sync is finished
   [\#4450](https://github.com/matrix-org/matrix-react-sdk/pull/4450)
 * EventIndex: Filter out events that don't have a propper content value.
   [\#4447](https://github.com/matrix-org/matrix-react-sdk/pull/4447)

Changes in [2.5.0-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.3) (2020-04-17)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.2...v2.5.0-rc.3)

 * Upgrade to JS SDK 5.3.1-rc.3

Changes in [2.5.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.2) (2020-04-16)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.5.0-rc.1...v2.5.0-rc.2)

 * Upgrade to JS SDK 5.3.1-rc.2
 * [Release] Convert cross-signing flag to a setting
   [\#4429](https://github.com/matrix-org/matrix-react-sdk/pull/4429)
 * Iterate cross-signing copy
   [\#4426](https://github.com/matrix-org/matrix-react-sdk/pull/4426)
 * Fix: ensure twemoji font is loaded when showing SAS emojis
   [\#4423](https://github.com/matrix-org/matrix-react-sdk/pull/4423)

Changes in [2.5.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.5.0-rc.1) (2020-04-15)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.4.0-rc.1...v2.5.0-rc.1)

 * Upgrade to JS SDK 5.3.1-rc.1
 * null-guard MatrixClientPeg in RoomViewStore
   [\#4415](https://github.com/matrix-org/matrix-react-sdk/pull/4415)
 * Fix: prevent spurious notifications from indexer
   [\#4414](https://github.com/matrix-org/matrix-react-sdk/pull/4414)
 * Login block on initialSync with spinners
   [\#4413](https://github.com/matrix-org/matrix-react-sdk/pull/4413)
 * Allow network dropdown to be scrollable and fix context menu padding calc
   [\#4408](https://github.com/matrix-org/matrix-react-sdk/pull/4408)
 * Remove end-to-end message info option when cross-signing is used
   [\#4412](https://github.com/matrix-org/matrix-react-sdk/pull/4412)
 * Minimize widgets by default
   [\#4378](https://github.com/matrix-org/matrix-react-sdk/pull/4378)
 * Add comments to highlight where we'll need m.widget support
   [\#4380](https://github.com/matrix-org/matrix-react-sdk/pull/4380)
 * Fix: dont try to enable 4S if cross-signing is disabled
   [\#4407](https://github.com/matrix-org/matrix-react-sdk/pull/4407)
 * Fix: don't confuse user with spinner during complete security step
   [\#4406](https://github.com/matrix-org/matrix-react-sdk/pull/4406)
 *  Fix: avoid potential crash during certain verification paths
   [\#4405](https://github.com/matrix-org/matrix-react-sdk/pull/4405)
 * Add riot-desktop shortcuts for forward/back matching browsers&slack
   [\#4392](https://github.com/matrix-org/matrix-react-sdk/pull/4392)
 * Convert LoggedInView to an ES6 PureComponent Class & TypeScript
   [\#4398](https://github.com/matrix-org/matrix-react-sdk/pull/4398)
 * Fix width of MVideoBody in FilePanel
   [\#4396](https://github.com/matrix-org/matrix-react-sdk/pull/4396)
 * Remove unused react-addons-css-transition-group
   [\#4397](https://github.com/matrix-org/matrix-react-sdk/pull/4397)
 * Fix emoji tooltip flickering
   [\#4395](https://github.com/matrix-org/matrix-react-sdk/pull/4395)
 * Pass along key backup for bootstrap
   [\#4374](https://github.com/matrix-org/matrix-react-sdk/pull/4374)
 * Fix create room dialog e2ee private room setting
   [\#4403](https://github.com/matrix-org/matrix-react-sdk/pull/4403)
 * Sort emoji by shortcodes for autocomplete primarily for :-1 and :+1
   [\#4391](https://github.com/matrix-org/matrix-react-sdk/pull/4391)
 * Fix invalid commands when figuring out whether to set isTyping
   [\#4390](https://github.com/matrix-org/matrix-react-sdk/pull/4390)
 * op/deop return error if trying to affect an unknown user
   [\#4389](https://github.com/matrix-org/matrix-react-sdk/pull/4389)
 * Composer pills respect showPillAvatar setting
   [\#4384](https://github.com/matrix-org/matrix-react-sdk/pull/4384)
 * Only send typing notification when composing commands which send messages
   [\#4385](https://github.com/matrix-org/matrix-react-sdk/pull/4385)
 * Reverse order of they match/they don't match buttons
   [\#4386](https://github.com/matrix-org/matrix-react-sdk/pull/4386)
 * Use singular text on 'delete sessions' button for SSO
   [\#4383](https://github.com/matrix-org/matrix-react-sdk/pull/4383)
 * Pass widget data through from sticker picker
   [\#4377](https://github.com/matrix-org/matrix-react-sdk/pull/4377)
 * Obliterate widgets when they are minimized
   [\#4376](https://github.com/matrix-org/matrix-react-sdk/pull/4376)
 * Fix image thumbnail width when read receipts are hidden
   [\#4370](https://github.com/matrix-org/matrix-react-sdk/pull/4370)
 * Add toggle for e2ee when creating private room
   [\#4362](https://github.com/matrix-org/matrix-react-sdk/pull/4362)
 * Fix logging for failed searches
   [\#4372](https://github.com/matrix-org/matrix-react-sdk/pull/4372)
 * Ensure UI is updated when cross-signing gets disabled
   [\#4369](https://github.com/matrix-org/matrix-react-sdk/pull/4369)
 * Retry the request for the master key from SSSS on login
   [\#4371](https://github.com/matrix-org/matrix-react-sdk/pull/4371)
 * Upgrade deps
   [\#4365](https://github.com/matrix-org/matrix-react-sdk/pull/4365)
 * App load tweaks, i18n and localStorage
   [\#4367](https://github.com/matrix-org/matrix-react-sdk/pull/4367)
 * Fix encoding of widget arguments
   [\#4366](https://github.com/matrix-org/matrix-react-sdk/pull/4366)

Changes in [2.4.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.4.0-rc.1) (2020-04-08)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.3.1...v2.4.0-rc.1)

 * Upgrade to JS SDK to 5.3.0-rc.1
 * EventIndex: Log if we had all events in a checkpoint but are continuing.
   [\#4363](https://github.com/matrix-org/matrix-react-sdk/pull/4363)
 * Update from Weblate
   [\#4364](https://github.com/matrix-org/matrix-react-sdk/pull/4364)
 * Support deactivating your account with SSO
   [\#4356](https://github.com/matrix-org/matrix-react-sdk/pull/4356)
 * Add debug status for cached backup key format
   [\#4359](https://github.com/matrix-org/matrix-react-sdk/pull/4359)
 * Fix composer placeholder not updating
   [\#4361](https://github.com/matrix-org/matrix-react-sdk/pull/4361)
 * Fix sas verification buttons to match figma
   [\#4358](https://github.com/matrix-org/matrix-react-sdk/pull/4358)
 * Don't show fallback text for verification requests
   [\#4345](https://github.com/matrix-org/matrix-react-sdk/pull/4345)
 * Fix share dialog correctly
   [\#4360](https://github.com/matrix-org/matrix-react-sdk/pull/4360)
 * Use singular copy when only deleting one device
   [\#4357](https://github.com/matrix-org/matrix-react-sdk/pull/4357)
 * Deem m.sticker events as actionable for reacting
   [\#4288](https://github.com/matrix-org/matrix-react-sdk/pull/4288)
 * Don't show spinner over encryption setup dialogs
   [\#4354](https://github.com/matrix-org/matrix-react-sdk/pull/4354)
 * Support Jitsi information from client .well-known
   [\#4348](https://github.com/matrix-org/matrix-react-sdk/pull/4348)
 * Add new default home page fallback
   [\#4350](https://github.com/matrix-org/matrix-react-sdk/pull/4350)
 * Check more account data in toast listener
   [\#4351](https://github.com/matrix-org/matrix-react-sdk/pull/4351)
 * Don't try to send presence updates until the client is started
   [\#4353](https://github.com/matrix-org/matrix-react-sdk/pull/4353)
 * Fix copy button on code blocks when there is no code tag just pre
   [\#4352](https://github.com/matrix-org/matrix-react-sdk/pull/4352)
 * Clear sessionStorage on sign out
   [\#4346](https://github.com/matrix-org/matrix-react-sdk/pull/4346)
 * Re-request room keys after auth
   [\#4341](https://github.com/matrix-org/matrix-react-sdk/pull/4341)
 * Update emojibase for fixed emoji codepoints and Emoji 13 support
   [\#4344](https://github.com/matrix-org/matrix-react-sdk/pull/4344)
 * App load order tweaks for code splitting
   [\#4343](https://github.com/matrix-org/matrix-react-sdk/pull/4343)
 * Fix alignment of e2e icon in userinfo and expose full displayname in title
   [\#4312](https://github.com/matrix-org/matrix-react-sdk/pull/4312)
 * Adjust copy & UX for self-verification
   [\#4342](https://github.com/matrix-org/matrix-react-sdk/pull/4342)
 * QR code reciprocation
   [\#4334](https://github.com/matrix-org/matrix-react-sdk/pull/4334)
 * Fix Hangul typing does not work properly
   [\#4339](https://github.com/matrix-org/matrix-react-sdk/pull/4339)
 * Fix: dismiss setup encryption toast if cross-signing is ready
   [\#4336](https://github.com/matrix-org/matrix-react-sdk/pull/4336)
 * Fix read marker visibility for grouped events
   [\#4340](https://github.com/matrix-org/matrix-react-sdk/pull/4340)
 * Make all 'font-size's and 'line-height's rem
   [\#4305](https://github.com/matrix-org/matrix-react-sdk/pull/4305)
 * Fix spurious extra devices on registration
   [\#4337](https://github.com/matrix-org/matrix-react-sdk/pull/4337)
 * Fix the edit messager composer
   [\#4333](https://github.com/matrix-org/matrix-react-sdk/pull/4333)
 * Fix Room Settings Dialog Notifications tab icon
   [\#4321](https://github.com/matrix-org/matrix-react-sdk/pull/4321)
 * Fix various cases of React warnings by silencing them
   [\#4331](https://github.com/matrix-org/matrix-react-sdk/pull/4331)
 * Only apply padding to standard textual buttons (kind buttons)
   [\#4332](https://github.com/matrix-org/matrix-react-sdk/pull/4332)
 * Use console.log in place of console.warn for less warnings
   [\#4330](https://github.com/matrix-org/matrix-react-sdk/pull/4330)
 * Revert componentDidMount changes on breadcrumbs
   [\#4329](https://github.com/matrix-org/matrix-react-sdk/pull/4329)
 * Use new method for checking secret storage key
   [\#4309](https://github.com/matrix-org/matrix-react-sdk/pull/4309)
 * Label and use UNSAFE_componentWillMount to minimize warnings
   [\#4315](https://github.com/matrix-org/matrix-react-sdk/pull/4315)
 * Fix a number of minor code quality issues
   [\#4314](https://github.com/matrix-org/matrix-react-sdk/pull/4314)
 * Use componentDidMount in place of componentWillMount where possible
   [\#4313](https://github.com/matrix-org/matrix-react-sdk/pull/4313)
 * EventIndex: Mark the initial checkpoints for a full crawl.
   [\#4325](https://github.com/matrix-org/matrix-react-sdk/pull/4325)
 * Fix UserInfo e2e buttons to match Figma
   [\#4320](https://github.com/matrix-org/matrix-react-sdk/pull/4320)
 * Only auto-scroll to RoomTile when clicking on RoomTile or via shortcuts
   [\#4316](https://github.com/matrix-org/matrix-react-sdk/pull/4316)
 * Support SSO for interactive authentication
   [\#4292](https://github.com/matrix-org/matrix-react-sdk/pull/4292)
 * Fix /invite Slash Command
   [\#4328](https://github.com/matrix-org/matrix-react-sdk/pull/4328)
 * Fix jitsi popout URL
   [\#4326](https://github.com/matrix-org/matrix-react-sdk/pull/4326)
 * Use our own jitsi widget for the popout URL
   [\#4323](https://github.com/matrix-org/matrix-react-sdk/pull/4323)
 * Fix popout support for jitsi widgets
   [\#4319](https://github.com/matrix-org/matrix-react-sdk/pull/4319)
 * Fix: legacy verify user throwing error
   [\#4318](https://github.com/matrix-org/matrix-react-sdk/pull/4318)
 * Document settingDefaults
   [\#3046](https://github.com/matrix-org/matrix-react-sdk/pull/3046)
 * Fix Ctrl+/ for Finnish keyboard where it includes Shift
   [\#4317](https://github.com/matrix-org/matrix-react-sdk/pull/4317)
 * Rework SlashCommands to better expose aliases
   [\#4302](https://github.com/matrix-org/matrix-react-sdk/pull/4302)
 * Fix EventListSummary when RR rendering is disabled
   [\#4311](https://github.com/matrix-org/matrix-react-sdk/pull/4311)
 * Update link to css location.
   [\#4299](https://github.com/matrix-org/matrix-react-sdk/pull/4299)
 * Fix peeking keeping two timeline update mechanisms in play
   [\#4310](https://github.com/matrix-org/matrix-react-sdk/pull/4310)
 * Pass new secret storage key to bootstrap path
   [\#4308](https://github.com/matrix-org/matrix-react-sdk/pull/4308)
 * Show red shield for users that become unverified
   [\#4303](https://github.com/matrix-org/matrix-react-sdk/pull/4303)
 * Accessibility fixed for Event List Summary and Composer Format Bar
   [\#4295](https://github.com/matrix-org/matrix-react-sdk/pull/4295)
 * Support $riot: Templates for SSO/CAS urls in the welcome.html page
   [\#4279](https://github.com/matrix-org/matrix-react-sdk/pull/4279)
 * Added the /html command
   [\#4296](https://github.com/matrix-org/matrix-react-sdk/pull/4296)
 * EventIndex: Better logging on how many events are added.
   [\#4301](https://github.com/matrix-org/matrix-react-sdk/pull/4301)
 * Field: mark id as optional in propTypes
   [\#4307](https://github.com/matrix-org/matrix-react-sdk/pull/4307)
 * Fix view community link icon contrast
   [\#4254](https://github.com/matrix-org/matrix-react-sdk/pull/4254)
 * Remove underscore from Jitsi conference names
   [\#4304](https://github.com/matrix-org/matrix-react-sdk/pull/4304)
 * Refactor shield display logic; changed rules for DMs
   [\#4290](https://github.com/matrix-org/matrix-react-sdk/pull/4290)
 * Fix: bring back global thin scrollbars
   [\#4300](https://github.com/matrix-org/matrix-react-sdk/pull/4300)
 * Keyboard shortcuts: Escape cancel reply and fix Ctrl+K
   [\#4297](https://github.com/matrix-org/matrix-react-sdk/pull/4297)
 * Field: make id optional, generate one if not provided
   [\#4298](https://github.com/matrix-org/matrix-react-sdk/pull/4298)
 * Fix ugly scrollbars in TabbedView (settings), emojipicker and widgets
   [\#4293](https://github.com/matrix-org/matrix-react-sdk/pull/4293)
 * Rename secret storage force-reset variable to avoid confusion
   [\#4274](https://github.com/matrix-org/matrix-react-sdk/pull/4274)
 * Fix: can't dismiss unverified session toast when encryption hasn't been
   upgraded
   [\#4291](https://github.com/matrix-org/matrix-react-sdk/pull/4291)
 * Blank out UserInfo avatar when changing between members
   [\#4289](https://github.com/matrix-org/matrix-react-sdk/pull/4289)
 * Add cancel button to verification panel
   [\#4283](https://github.com/matrix-org/matrix-react-sdk/pull/4283)
 * Show ongoing verification request straight away when navigating to member
   [\#4284](https://github.com/matrix-org/matrix-react-sdk/pull/4284)
 * Fix: allow scrolling while window is not focused & remove scrollbar hack
   [\#4276](https://github.com/matrix-org/matrix-react-sdk/pull/4276)
 * Show whether backup key is cached
   [\#4287](https://github.com/matrix-org/matrix-react-sdk/pull/4287)
 * Rename unverified session toast
   [\#4285](https://github.com/matrix-org/matrix-react-sdk/pull/4285)
 * Fix: pick last active DM for verification request
   [\#4286](https://github.com/matrix-org/matrix-react-sdk/pull/4286)
 * Fix formatBar not hidden after highlight and backspacing some text
   [\#4269](https://github.com/matrix-org/matrix-react-sdk/pull/4269)

Changes in [2.3.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.3.1) (2020-04-01)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.3.0...v2.3.1)

 * Fix jitsi popout URL
   [\#4327](https://github.com/matrix-org/matrix-react-sdk/pull/4327)
 * Remove underscore from Jitsi conference names
   [\#4324](https://github.com/matrix-org/matrix-react-sdk/pull/4324)
 * Fix popout support for jitsi widgets
   [\#4322](https://github.com/matrix-org/matrix-react-sdk/pull/4322)

Changes in [2.3.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.3.0) (2020-03-30)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.3.0-rc.1...v2.3.0)

 * Upgrade JS SDK to 5.2.0

Changes in [2.3.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.3.0-rc.1) (2020-03-26)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.2.3...v2.3.0-rc.1)

 * Upgrade JS SDK to 5.2.0-rc.1
 * Add a flag to control whether cross-signing signatures are trusted
   [\#4277](https://github.com/matrix-org/matrix-react-sdk/pull/4277)
 * Update from Weblate
   [\#4282](https://github.com/matrix-org/matrix-react-sdk/pull/4282)
 * Update copy on SSSS symmetric upgrade toast
   [\#4281](https://github.com/matrix-org/matrix-react-sdk/pull/4281)
 * Wait for SSSS upgrade to complete
   [\#4270](https://github.com/matrix-org/matrix-react-sdk/pull/4270)
 * Update cross-signing verification copy and fix i18n
   [\#4278](https://github.com/matrix-org/matrix-react-sdk/pull/4278)
 * Fix soft-crash on bad permalinks
   [\#4280](https://github.com/matrix-org/matrix-react-sdk/pull/4280)
 * Fix: make self-verification wait for incoming request
   [\#4267](https://github.com/matrix-org/matrix-react-sdk/pull/4267)
 * Fall back to non-standard persisted api for Safari
   [\#4272](https://github.com/matrix-org/matrix-react-sdk/pull/4272)
 * Respond to backup key sharing requests
   [\#4275](https://github.com/matrix-org/matrix-react-sdk/pull/4275)
 * Log and display secret sharing cache state
   [\#4268](https://github.com/matrix-org/matrix-react-sdk/pull/4268)
 * Support sending config and ready events to capable widgets (Jitsi)
   [\#4266](https://github.com/matrix-org/matrix-react-sdk/pull/4266)
 * If cached keys are present in the key backup dialog, use them
   [\#4273](https://github.com/matrix-org/matrix-react-sdk/pull/4273)
 * Fix formatbar not hidden on highlighted message sent
   [\#4265](https://github.com/matrix-org/matrix-react-sdk/pull/4265)
 * Support Jitsi conferences sent/received on Riot Mobile and older Riot Webs
   [\#4252](https://github.com/matrix-org/matrix-react-sdk/pull/4252)
 * Use unified function to check cross-signing is ready
   [\#4263](https://github.com/matrix-org/matrix-react-sdk/pull/4263)
 * Migrate SSSS to symmetric
   [\#4224](https://github.com/matrix-org/matrix-react-sdk/pull/4224)
 * Migration to symmetric SSSS
   [\#4242](https://github.com/matrix-org/matrix-react-sdk/pull/4242)
 * Always display verification request toasts on top
   [\#4262](https://github.com/matrix-org/matrix-react-sdk/pull/4262)
 * Fix: assume SAS is supported when starting request with .start
   [\#4249](https://github.com/matrix-org/matrix-react-sdk/pull/4249)
 * Fix logout when Olm failed to load.
   [\#4261](https://github.com/matrix-org/matrix-react-sdk/pull/4261)
 * Improve naming of Jitsi conferences
   [\#4251](https://github.com/matrix-org/matrix-react-sdk/pull/4251)
 * Handle matrix.to user permalink in-room rather than solo
   [\#4245](https://github.com/matrix-org/matrix-react-sdk/pull/4245)
 * Fix: filter room list (again) by canonical and alternative aliases
   [\#4260](https://github.com/matrix-org/matrix-react-sdk/pull/4260)
 * EventIndex: Add some logging to the file panel populating.
   [\#4250](https://github.com/matrix-org/matrix-react-sdk/pull/4250)
 * Update from Weblate
   [\#4259](https://github.com/matrix-org/matrix-react-sdk/pull/4259)
 * Migrate RoomView to React Contexts in the hope for better temporal stability
   [\#4258](https://github.com/matrix-org/matrix-react-sdk/pull/4258)
 * Update WidgetUtils.js fix Jitsi path
   [\#4256](https://github.com/matrix-org/matrix-react-sdk/pull/4256)
 * Fix local jitsi build url fail and missing argument
   [\#4255](https://github.com/matrix-org/matrix-react-sdk/pull/4255)
 * Add shortcut CmdOrCtrl+. to toggle right panel
   [\#4244](https://github.com/matrix-org/matrix-react-sdk/pull/4244)
 * Improve Keyboard Shortcuts. Add alt-arrows & alt-shift-arrows
   [\#4241](https://github.com/matrix-org/matrix-react-sdk/pull/4241)
 * Bring back legacy verification by comparing public device keys
   [\#4240](https://github.com/matrix-org/matrix-react-sdk/pull/4240)
 * Searching: Return an empty result if the search term is an empty string.
   [\#4248](https://github.com/matrix-org/matrix-react-sdk/pull/4248)
 * Break continuation on showHiddenEvents-rendered events
   [\#4247](https://github.com/matrix-org/matrix-react-sdk/pull/4247)
 * Watch for show-RR settings changes, use room-specific and fix margins
   [\#4246](https://github.com/matrix-org/matrix-react-sdk/pull/4246)
 * Register Mac electron specific Cmd+, shortcut to User Settings
   [\#4243](https://github.com/matrix-org/matrix-react-sdk/pull/4243)
 * Use a local wrapper for Jitsi calls
   [\#4234](https://github.com/matrix-org/matrix-react-sdk/pull/4234)
 * Invite Dialog fixes
   [\#4233](https://github.com/matrix-org/matrix-react-sdk/pull/4233)
 * RoomPreviewBar word-break the sender name too
   [\#4239](https://github.com/matrix-org/matrix-react-sdk/pull/4239)
 * Report to the user when a key signature upload fails
   [\#4229](https://github.com/matrix-org/matrix-react-sdk/pull/4229)
 * pre-send megolm keys when possible when a user starts typing
   [\#4235](https://github.com/matrix-org/matrix-react-sdk/pull/4235)
 * we don't do mx_fadable anymore so get rid of broken RightPanel disabling
   [\#4238](https://github.com/matrix-org/matrix-react-sdk/pull/4238)
 * Fix left left panel overflowing vertically
   [\#4237](https://github.com/matrix-org/matrix-react-sdk/pull/4237)
 * Fix custom tags causing left panel to over-expand
   [\#4236](https://github.com/matrix-org/matrix-react-sdk/pull/4236)
 * Add Keyboard shortcuts dialog
   [\#4231](https://github.com/matrix-org/matrix-react-sdk/pull/4231)
 * Don't use buildkite agent to upload logs
   [\#4232](https://github.com/matrix-org/matrix-react-sdk/pull/4232)
 * Remove Gemini Scrollbars
   [\#4217](https://github.com/matrix-org/matrix-react-sdk/pull/4217)
 * Room Directory Explore Servers redesign
   [\#4209](https://github.com/matrix-org/matrix-react-sdk/pull/4209)
 * Fix redo keyboard shortcut on macOS
   [\#4110](https://github.com/matrix-org/matrix-react-sdk/pull/4110)
 * Fix: ensure local state for aliases doesn't get garbled up
   [\#4230](https://github.com/matrix-org/matrix-react-sdk/pull/4230)
 * Rename 'jump to bottom' to avoid ublock block
   [\#4208](https://github.com/matrix-org/matrix-react-sdk/pull/4208)
 * Restore key backup in background after complete security
   [\#4225](https://github.com/matrix-org/matrix-react-sdk/pull/4225)
 * Fix key backup trust text for cross-signing
   [\#4223](https://github.com/matrix-org/matrix-react-sdk/pull/4223)
 * Add default on config setting to control call button in composer
   [\#4227](https://github.com/matrix-org/matrix-react-sdk/pull/4227)
 * Fix: make alternative addresses UX less confusing
   [\#4221](https://github.com/matrix-org/matrix-react-sdk/pull/4221)
 * Wait for verification request on login
   [\#4222](https://github.com/matrix-org/matrix-react-sdk/pull/4222)
 * EventIndex: Add support to delete events from the index.
   [\#4204](https://github.com/matrix-org/matrix-react-sdk/pull/4204)
 * EventIndex: Remove a checkpoint if the HTTP request returns a 403.
   [\#4214](https://github.com/matrix-org/matrix-react-sdk/pull/4214)
 * Move to composer when typing letters with Shift held
   [\#4216](https://github.com/matrix-org/matrix-react-sdk/pull/4216)
 * Wrap large room names when previewing them
   [\#4213](https://github.com/matrix-org/matrix-react-sdk/pull/4213)
 * Rename Review Devices to Review Sessions
   [\#4219](https://github.com/matrix-org/matrix-react-sdk/pull/4219)
 * Fix typo in tabIndex to make React happy
   [\#4215](https://github.com/matrix-org/matrix-react-sdk/pull/4215)
 * Proof of concept for custom theme adding
   [\#4148](https://github.com/matrix-org/matrix-react-sdk/pull/4148)
 * Remove stuff that yarn install doesn't think we need
   [\#4205](https://github.com/matrix-org/matrix-react-sdk/pull/4205)
 * Declare jsx in tsconfig for IDEs
   [\#4207](https://github.com/matrix-org/matrix-react-sdk/pull/4207)
 * Fix: best-effort to join room without canonical alias over federation from
   room directory
   [\#4210](https://github.com/matrix-org/matrix-react-sdk/pull/4210)
 * Test for cross-signing homeserver support during login, toasts
   [\#4206](https://github.com/matrix-org/matrix-react-sdk/pull/4206)
 * Send verification request to a single device in a way compatible with non-
   cross-signing
   [\#4202](https://github.com/matrix-org/matrix-react-sdk/pull/4202)
 * Fixes for removing local alias
   [\#4199](https://github.com/matrix-org/matrix-react-sdk/pull/4199)
 * yarn upgrade
   [\#4201](https://github.com/matrix-org/matrix-react-sdk/pull/4201)
 * Support TypeScript for React components
   [\#4203](https://github.com/matrix-org/matrix-react-sdk/pull/4203)
 * When room name is changed, show both the old and new name
   [\#4183](https://github.com/matrix-org/matrix-react-sdk/pull/4183)

Changes in [2.2.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.2.3) (2020-03-17)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.2.3-rc.1...v2.2.3)

 * Upgrade JS SDK to 5.1.1
 * Add default on config setting to control call button in composer
   [\#4228](https://github.com/matrix-org/matrix-react-sdk/pull/4228)
 * Fix: make alternative addresses UX less confusing
   [\#4226](https://github.com/matrix-org/matrix-react-sdk/pull/4226)
 * Fix: best-effort to join room without canonical alias over federation from
   room directory
   [\#4211](https://github.com/matrix-org/matrix-react-sdk/pull/4211)

Changes in [2.2.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.2.3-rc.1) (2020-03-11)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.2.1...v2.2.3-rc.1)

 * Update from Weblate
   [\#4200](https://github.com/matrix-org/matrix-react-sdk/pull/4200)
 * Revert "enable 4s when accepting a verification request"
   [\#4198](https://github.com/matrix-org/matrix-react-sdk/pull/4198)
 * Don't remount main split children on rhs collapse
   [\#4197](https://github.com/matrix-org/matrix-react-sdk/pull/4197)
 * Add fallback label for canonical alias events that dont change anything
   [\#4195](https://github.com/matrix-org/matrix-react-sdk/pull/4195)
 * Immediately switch to verification dialog when clicking [Continue] from new
   session dialog
   [\#4196](https://github.com/matrix-org/matrix-react-sdk/pull/4196)
 * Enable 4S if needed when trying to verify or accepting verification
   [\#4194](https://github.com/matrix-org/matrix-react-sdk/pull/4194)
 * Remove extraneous tab stop from room tree view.
   [\#4193](https://github.com/matrix-org/matrix-react-sdk/pull/4193)
 * Remove v1 identity server fallbacks
   [\#4191](https://github.com/matrix-org/matrix-react-sdk/pull/4191)
 * Allow editing of alt_aliases according to MSC2432
   [\#4187](https://github.com/matrix-org/matrix-react-sdk/pull/4187)
 * Update timeline rendering of aliases
   [\#4189](https://github.com/matrix-org/matrix-react-sdk/pull/4189)
 * Fix mark as read button for dark theme
   [\#4190](https://github.com/matrix-org/matrix-react-sdk/pull/4190)
 * Un-linkify version in settings
   [\#4188](https://github.com/matrix-org/matrix-react-sdk/pull/4188)
 * Make Mjolnir stop more robust
   [\#4186](https://github.com/matrix-org/matrix-react-sdk/pull/4186)
 * Fix secret sharing names to match spec
   [\#4185](https://github.com/matrix-org/matrix-react-sdk/pull/4185)
 * Share secrets with another device on request
   [\#4172](https://github.com/matrix-org/matrix-react-sdk/pull/4172)
 * Fall back to to_device verification if other user hasn't uploaded cross-
   signing keys
   [\#4181](https://github.com/matrix-org/matrix-react-sdk/pull/4181)
 * Disable edits on redacted events
   [\#4182](https://github.com/matrix-org/matrix-react-sdk/pull/4182)
 * Use crypto.verification.request even when xsign is disabled
   [\#4180](https://github.com/matrix-org/matrix-react-sdk/pull/4180)
 * Reword the status for the currently indexing rooms.
   [\#4084](https://github.com/matrix-org/matrix-react-sdk/pull/4084)
 * Moved read receipts to the bottom of the message
   [\#3892](https://github.com/matrix-org/matrix-react-sdk/pull/3892)
 * Include a mark as read X under the scroll to unread button
   [\#4159](https://github.com/matrix-org/matrix-react-sdk/pull/4159)
 * Show the room presence indicator, even when cross-singing is enabled
   [\#4178](https://github.com/matrix-org/matrix-react-sdk/pull/4178)
 * Add local echo when clicking "Manually Verify" in unverified session dialog
   [\#4179](https://github.com/matrix-org/matrix-react-sdk/pull/4179)
 * link to matrix.org/security-disclosure-policy in help screen
   [\#4129](https://github.com/matrix-org/matrix-react-sdk/pull/4129)
 * only show verify button if user has uploaded cross-signing keys
   [\#4174](https://github.com/matrix-org/matrix-react-sdk/pull/4174)
 * Fix room alias references in topics
   [\#4176](https://github.com/matrix-org/matrix-react-sdk/pull/4176)
 * Fix not being able to start chats when you have no rooms
   [\#4177](https://github.com/matrix-org/matrix-react-sdk/pull/4177)
 * Disable registration flows on SSO servers
   [\#4170](https://github.com/matrix-org/matrix-react-sdk/pull/4170)
 * Don't group blank membership changes
   [\#4160](https://github.com/matrix-org/matrix-react-sdk/pull/4160)
 * Ensure the room list always triggers updates on itself
   [\#4175](https://github.com/matrix-org/matrix-react-sdk/pull/4175)
 * Fix composer touch bar flickering on keypress in Chrome
   [\#4173](https://github.com/matrix-org/matrix-react-sdk/pull/4173)
 * Document scrollpanel and BACAT scrolling
   [\#4167](https://github.com/matrix-org/matrix-react-sdk/pull/4167)
 * riot-desktop open SSO in browser so user doesn't have to auth twice
   [\#4158](https://github.com/matrix-org/matrix-react-sdk/pull/4158)
 * Lock login and registration buttons after submit
   [\#4165](https://github.com/matrix-org/matrix-react-sdk/pull/4165)
 * Suggest the server's results as lower quality in the invite dialog
   [\#4149](https://github.com/matrix-org/matrix-react-sdk/pull/4149)
 * Adjust scroll offset with relative scrolling
   [\#4166](https://github.com/matrix-org/matrix-react-sdk/pull/4166)
 * only automatically download in usercontent if user requested it
   [\#4163](https://github.com/matrix-org/matrix-react-sdk/pull/4163)
 * Fix having to decrypt & download in two steps
   [\#4162](https://github.com/matrix-org/matrix-react-sdk/pull/4162)
 * Use bash for release script
   [\#4161](https://github.com/matrix-org/matrix-react-sdk/pull/4161)
 * Revert to manual sorting for custom tag rooms
   [\#4157](https://github.com/matrix-org/matrix-react-sdk/pull/4157)
 * Fix the last char of people's names being cut off in the invite dialog
   [\#4150](https://github.com/matrix-org/matrix-react-sdk/pull/4150)
 * Add /whois SlashCommand to open UserInfo
   [\#4154](https://github.com/matrix-org/matrix-react-sdk/pull/4154)
 * word-break in pills and wrap the background correctly
   [\#4155](https://github.com/matrix-org/matrix-react-sdk/pull/4155)
 * don't show "This alias is available to use" if the alias is invalid
   [\#4153](https://github.com/matrix-org/matrix-react-sdk/pull/4153)
 * Don't ask to enable analytics when Do Not Track is enabled
   [\#4098](https://github.com/matrix-org/matrix-react-sdk/pull/4098)
 * Fix MELS not breaking on day boundaries regression
   [\#4152](https://github.com/matrix-org/matrix-react-sdk/pull/4152)
 * Fix Quote on search results page
   [\#4151](https://github.com/matrix-org/matrix-react-sdk/pull/4151)
 * Ensure errors when creating a DM are raised to the user
   [\#4144](https://github.com/matrix-org/matrix-react-sdk/pull/4144)
 * Add a Login button to startAnyRegistrationFlow
   [\#3829](https://github.com/matrix-org/matrix-react-sdk/pull/3829)
 * Use latest backup status directly rather than via state
   [\#4147](https://github.com/matrix-org/matrix-react-sdk/pull/4147)
 * Prefer account password variation of upgrading
   [\#4146](https://github.com/matrix-org/matrix-react-sdk/pull/4146)
 * Hide user avatars from screen readers in group and room user lists.
   [\#4145](https://github.com/matrix-org/matrix-react-sdk/pull/4145)
 * Room List sorting algorithms
   [\#4085](https://github.com/matrix-org/matrix-react-sdk/pull/4085)
 * Clear selected tags when disabling tag panel
   [\#4143](https://github.com/matrix-org/matrix-react-sdk/pull/4143)
 * Ignore cursor jumping shortcuts with shift
   [\#4142](https://github.com/matrix-org/matrix-react-sdk/pull/4142)
 * add local echo for clicking 'start verification' button
   [\#4138](https://github.com/matrix-org/matrix-react-sdk/pull/4138)
 * Fix formatting buttons not marking the composer as modified
   [\#4141](https://github.com/matrix-org/matrix-react-sdk/pull/4141)
 * Upgrade deps
   [\#4136](https://github.com/matrix-org/matrix-react-sdk/pull/4136)
 * Remove debug line from Analytics
   [\#4137](https://github.com/matrix-org/matrix-react-sdk/pull/4137)
 * Use the right function for creating binary verification QR codes
   [\#4140](https://github.com/matrix-org/matrix-react-sdk/pull/4140)
 * Ensure verification QR codes use the right buffer size
   [\#4139](https://github.com/matrix-org/matrix-react-sdk/pull/4139)
 * Don't prefix QR codes with the length of the static marker string
   [\#4128](https://github.com/matrix-org/matrix-react-sdk/pull/4128)
 * Solve fixed-width digit display in flowed text
   [\#4127](https://github.com/matrix-org/matrix-react-sdk/pull/4127)
 * Limit UserInfo Displayname to 3 lines to get rid of scrollbars
   [\#4135](https://github.com/matrix-org/matrix-react-sdk/pull/4135)

Changes in [2.2.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.2.1) (2020-03-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.2.0...v2.2.1)

 * Adjust scroll offset with relative scrolling
   [\#4171](https://github.com/matrix-org/matrix-react-sdk/pull/4171)
 * Disable registration flows on SSO servers
   [\#4169](https://github.com/matrix-org/matrix-react-sdk/pull/4169)

Changes in [2.2.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.2.0) (2020-03-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.2.0-rc.1...v2.2.0)

 * Upgrade JS SDK to 5.1.0
 * Ignore cursor jumping shortcuts with shift
   [\#4142](https://github.com/matrix-org/matrix-react-sdk/pull/4142)

Changes in [2.2.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.2.0-rc.1) (2020-02-26)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.1.1...v2.2.0-rc.1)

 * Upgrade JS SDK to 5.1.0-rc.1
 * Fix message context menu breaking on invalid m.room.pinned_events event
   [\#4133](https://github.com/matrix-org/matrix-react-sdk/pull/4133)
 * Update from Weblate
   [\#4134](https://github.com/matrix-org/matrix-react-sdk/pull/4134)
 * Notify platform of language changes
   [\#4121](https://github.com/matrix-org/matrix-react-sdk/pull/4121)
 * Handle errors when previewing rooms more safely
   [\#4132](https://github.com/matrix-org/matrix-react-sdk/pull/4132)
 * Don't try to collapse zero events with a group
   [\#4131](https://github.com/matrix-org/matrix-react-sdk/pull/4131)
 * Don't print errors when the tab is used with no autocomplete present
   [\#4130](https://github.com/matrix-org/matrix-react-sdk/pull/4130)
 * Improve UI feedback while waiting for network
   [\#4126](https://github.com/matrix-org/matrix-react-sdk/pull/4126)
 * Ensure DMs tagged outside of account data work in the invite dialog
   [\#4123](https://github.com/matrix-org/matrix-react-sdk/pull/4123)
 * Show a warning dialog when user indicates a new session wasn't them
   [\#4125](https://github.com/matrix-org/matrix-react-sdk/pull/4125)
 * Show cancel events as hidden events if we wouldn't usually render them
   [\#4120](https://github.com/matrix-org/matrix-react-sdk/pull/4120)
 * Collapsed room list has unaligned room tiles #4030 version 2
   [\#4033](https://github.com/matrix-org/matrix-react-sdk/pull/4033)
 * Check for cross-signing homeserver support
   [\#4118](https://github.com/matrix-org/matrix-react-sdk/pull/4118)
 * Don't leak if show_sas never comes (or already came)
   [\#4119](https://github.com/matrix-org/matrix-react-sdk/pull/4119)
 * Add verification request viewer in devtools
   [\#4106](https://github.com/matrix-org/matrix-react-sdk/pull/4106)
 * update phase when request prop changes
   [\#4117](https://github.com/matrix-org/matrix-react-sdk/pull/4117)
 * Handle file downloading locally in electron rather than sending to browser
   [\#4113](https://github.com/matrix-org/matrix-react-sdk/pull/4113)
 * Remove unused CIDER setting watcher
   [\#4116](https://github.com/matrix-org/matrix-react-sdk/pull/4116)
 * Use alt_aliases for pills and autocomplete
   [\#4102](https://github.com/matrix-org/matrix-react-sdk/pull/4102)
 * Add shortcuts for beginning / end of composer
   [\#4108](https://github.com/matrix-org/matrix-react-sdk/pull/4108)
 * Update from Weblate
   [\#4115](https://github.com/matrix-org/matrix-react-sdk/pull/4115)
 * Revert "Fix escaped markdown passing backslashes through"
   [\#4114](https://github.com/matrix-org/matrix-react-sdk/pull/4114)
 * Fix a couple of React warnings/errors
   [\#4112](https://github.com/matrix-org/matrix-react-sdk/pull/4112)
 * Fix two big DOM leaks which were locking Chrome solid.
   [\#4111](https://github.com/matrix-org/matrix-react-sdk/pull/4111)
 * Filter out empty strings when pasting IDs into the invite dialog
   [\#4109](https://github.com/matrix-org/matrix-react-sdk/pull/4109)
 * Remove buildkite pipeline
   [\#4107](https://github.com/matrix-org/matrix-react-sdk/pull/4107)
 * Use binary packing for verification QR codes
   [\#4091](https://github.com/matrix-org/matrix-react-sdk/pull/4091)
 * Fix several small bugs with the invite/DM dialog
   [\#4099](https://github.com/matrix-org/matrix-react-sdk/pull/4099)
 * ignore e2e tests node_modules during linting
   [\#4103](https://github.com/matrix-org/matrix-react-sdk/pull/4103)
 * Apply null-guard to room pills for when we can't fetch the room
   [\#4104](https://github.com/matrix-org/matrix-react-sdk/pull/4104)
 * Fix theme being overridden to light even after login is completed
   [\#4105](https://github.com/matrix-org/matrix-react-sdk/pull/4105)
 * Fix bug where SSSS could be overwritten if user never cross-signs
   [\#4100](https://github.com/matrix-org/matrix-react-sdk/pull/4100)
 * Accept canonical alias for pills
   [\#4096](https://github.com/matrix-org/matrix-react-sdk/pull/4096)
 * Fix: don't advertise ability to scan a QR code for verification
   [\#4094](https://github.com/matrix-org/matrix-react-sdk/pull/4094)
 * Fixes for printing event indexing stats.
   [\#4082](https://github.com/matrix-org/matrix-react-sdk/pull/4082)
 * Remove exec so release script continues
   [\#4095](https://github.com/matrix-org/matrix-react-sdk/pull/4095)
 * Use Persistent Storage where possible
   [\#4092](https://github.com/matrix-org/matrix-react-sdk/pull/4092)
 * Fix user page (missing null check)
   [\#4088](https://github.com/matrix-org/matrix-react-sdk/pull/4088)
 * Cancel verification request on dialog close
   [\#4081](https://github.com/matrix-org/matrix-react-sdk/pull/4081)
 * Fix various memory leaks due to method re-binding
   [\#4093](https://github.com/matrix-org/matrix-react-sdk/pull/4093)
 * Fix share message context menu option keyboard a11y
   [\#4073](https://github.com/matrix-org/matrix-react-sdk/pull/4073)

Changes in [2.1.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.1.1) (2020-02-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.1.0...v2.1.1)

 * show spinner while loading local aliases
   [\#4090](https://github.com/matrix-org/matrix-react-sdk/pull/4090)
 * Don't index key verification events.
   [\#4083](https://github.com/matrix-org/matrix-react-sdk/pull/4083)
 * Get rid of dependence on usercontent.riot.im
   [\#4046](https://github.com/matrix-org/matrix-react-sdk/pull/4046)
 * also detect aliases using new /aliases endpoint for room access settings
   [\#4089](https://github.com/matrix-org/matrix-react-sdk/pull/4089)
 * get local aliases from /aliases in room settings
   [\#4086](https://github.com/matrix-org/matrix-react-sdk/pull/4086)
 * Start verification sessions in an E2E DM where possible
   [\#4080](https://github.com/matrix-org/matrix-react-sdk/pull/4080)
 * Only show supported verification methods
   [\#4077](https://github.com/matrix-org/matrix-react-sdk/pull/4077)
 * Use local echo in VerificationRequest for accepting/declining a verification
   request
   [\#4072](https://github.com/matrix-org/matrix-react-sdk/pull/4072)
 * Report installed PWA, touch input status in rageshakes, analytics
   [\#4078](https://github.com/matrix-org/matrix-react-sdk/pull/4078)
 * refactor event grouping into separate helper classes
   [\#4059](https://github.com/matrix-org/matrix-react-sdk/pull/4059)
 * Find existing requests when starting a new verification request
   [\#4070](https://github.com/matrix-org/matrix-react-sdk/pull/4070)
 * Always speak the full text of the typing indicator when it updates.
   [\#4074](https://github.com/matrix-org/matrix-react-sdk/pull/4074)
 * Fix escaped markdown passing backslashes through
   [\#4008](https://github.com/matrix-org/matrix-react-sdk/pull/4008)
 * Move the sidebar to below the sidebar tab buttons for screen readers.
   [\#4071](https://github.com/matrix-org/matrix-react-sdk/pull/4071)

Changes in [2.1.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.1.0) (2020-02-17)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.1.0-rc.2...v2.1.0)

 * Automate SDK dep upgrades for release
   [\#4076](https://github.com/matrix-org/matrix-react-sdk/pull/4076)

Changes in [2.1.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.1.0-rc.2) (2020-02-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.1.0-rc.1...v2.1.0-rc.2)

 * Fix error in previous attempt to upgrade JS SDK

Changes in [2.1.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.1.0-rc.1) (2020-02-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.0.0...v2.1.0-rc.1)

 * Upgrade JS SDK to 5.0.0-rc.1
 * don't show tooltips on big icons
   [\#4067](https://github.com/matrix-org/matrix-react-sdk/pull/4067)
 * Update from Weblate
   [\#4069](https://github.com/matrix-org/matrix-react-sdk/pull/4069)
 * Fix sending of visit variables to Matomo
   [\#4068](https://github.com/matrix-org/matrix-react-sdk/pull/4068)
 * Use embedded piwik script rather than piwik.js to respect CSP
   [\#4066](https://github.com/matrix-org/matrix-react-sdk/pull/4066)
 * remove methods arg to requestVerification(DM)
   [\#4058](https://github.com/matrix-org/matrix-react-sdk/pull/4058)
 * Check for null config settings a bit safer
   [\#4061](https://github.com/matrix-org/matrix-react-sdk/pull/4061)
 * Score user ID searches higher when they match nearly exactly
   [\#4060](https://github.com/matrix-org/matrix-react-sdk/pull/4060)
 * Fix uncentered letter inside avatar for currently typing users
   [\#4051](https://github.com/matrix-org/matrix-react-sdk/pull/4051)
 * Disable 'start' button after clicking in VerificationPanel
   [\#4065](https://github.com/matrix-org/matrix-react-sdk/pull/4065)
 * Fixed bug where key reset didn't always return the right key
   [\#4057](https://github.com/matrix-org/matrix-react-sdk/pull/4057)
 * Don't render avatars in pills for screen readers.
   [\#4062](https://github.com/matrix-org/matrix-react-sdk/pull/4062)
 * Make QR self-verification compatible with RiotX
   [\#4044](https://github.com/matrix-org/matrix-react-sdk/pull/4044)
 * Verify single device from other user in right panel & Not Trusted dialog
   [\#4043](https://github.com/matrix-org/matrix-react-sdk/pull/4043)
 * Disable verification buttons after clicking to avoid double submission
   [\#4049](https://github.com/matrix-org/matrix-react-sdk/pull/4049)
 * Verification toast fixes
   [\#4048](https://github.com/matrix-org/matrix-react-sdk/pull/4048)
 * Use EncryptionPanel everywhere, part I
   [\#4042](https://github.com/matrix-org/matrix-react-sdk/pull/4042)
 * quick fix for cross-signing reset bug
   [\#4056](https://github.com/matrix-org/matrix-react-sdk/pull/4056)
 * Fix error message rendering for key entry
   [\#4055](https://github.com/matrix-org/matrix-react-sdk/pull/4055)
 * Fix recaptcha blocked by CSP for non-SSL origins
   [\#4052](https://github.com/matrix-org/matrix-react-sdk/pull/4052)
 * Fix watcher for showTypingNotifications setting
   [\#4054](https://github.com/matrix-org/matrix-react-sdk/pull/4054)
 * Allow custom hs url submission on enter
   [\#4053](https://github.com/matrix-org/matrix-react-sdk/pull/4053)
 * Support keepSecretStoragePassphraseForSession at the config level too
   [\#4045](https://github.com/matrix-org/matrix-react-sdk/pull/4045)
 * Add setting to allow hiding of typing indicator
   [\#4047](https://github.com/matrix-org/matrix-react-sdk/pull/4047)
 * Button to reset cross-signing and SSSS keys
   [\#4041](https://github.com/matrix-org/matrix-react-sdk/pull/4041)
 * Use forms to wrap password fields so Chrome doesn't go wild
   [\#3974](https://github.com/matrix-org/matrix-react-sdk/pull/3974)
 * Update QR code rendering to support VerificationRequests
   [\#4001](https://github.com/matrix-org/matrix-react-sdk/pull/4001)
 * Differentiate AccessSecretStorageDialog dismiss dialog based on which key we
   want to read
   [\#4038](https://github.com/matrix-org/matrix-react-sdk/pull/4038)
 * Only emit in RoomViewStore when state actually changes
   [\#4039](https://github.com/matrix-org/matrix-react-sdk/pull/4039)
 * Mark AccessSecretStorageDialog to not be closed by clicking background
   [\#4029](https://github.com/matrix-org/matrix-react-sdk/pull/4029)
 * Let pointer events fall through to scroll button
   [\#4037](https://github.com/matrix-org/matrix-react-sdk/pull/4037)
 * Improve event indexing status strings for translation
   [\#4035](https://github.com/matrix-org/matrix-react-sdk/pull/4035)
 * Button size reviewed for word consuming languages & Settings showing devices
   are a bit too tight
   [\#4024](https://github.com/matrix-org/matrix-react-sdk/pull/4024)
 * Only enumerate settings handlers which are supported
   [\#4034](https://github.com/matrix-org/matrix-react-sdk/pull/4034)
 * Fix listener removal in verification tile
   [\#4036](https://github.com/matrix-org/matrix-react-sdk/pull/4036)
 * Do not show alarming red shields on large encrypted rooms for your own
   device
   [\#4028](https://github.com/matrix-org/matrix-react-sdk/pull/4028)
 * Add a class for styling room directory permissions
   [\#4007](https://github.com/matrix-org/matrix-react-sdk/pull/4007)
 * double-check user verification
   [\#4010](https://github.com/matrix-org/matrix-react-sdk/pull/4010)
 * Use minimist instead of optimist as it is deprecated
   [\#4031](https://github.com/matrix-org/matrix-react-sdk/pull/4031)
 * SettingsStore, use a counter instead of wall clock for watcher ids
   [\#4032](https://github.com/matrix-org/matrix-react-sdk/pull/4032)
 * Don't crash immediately if the room directory chunk is null/empty
   [\#4027](https://github.com/matrix-org/matrix-react-sdk/pull/4027)
 * Fix verification toast to close at 0s
   [\#3998](https://github.com/matrix-org/matrix-react-sdk/pull/3998)
 * Fix listener leak in TagPanel
   [\#4026](https://github.com/matrix-org/matrix-react-sdk/pull/4026)
 * Update from Weblate
   [\#4025](https://github.com/matrix-org/matrix-react-sdk/pull/4025)
 * Honour the isLogin flag in theme.js
   [\#4023](https://github.com/matrix-org/matrix-react-sdk/pull/4023)
 * ManageEventIndexDialog: Show how many rooms are being currently crawled.
   [\#4022](https://github.com/matrix-org/matrix-react-sdk/pull/4022)
 * Advertise that we can scan QR codes even though we can't
   [\#4021](https://github.com/matrix-org/matrix-react-sdk/pull/4021)
 * Checkpoint addition fixes and return of the crawler sleep time setting.
   [\#4020](https://github.com/matrix-org/matrix-react-sdk/pull/4020)
 * Truncate SAS emoji labels to fit
   [\#4018](https://github.com/matrix-org/matrix-react-sdk/pull/4018)
 * Apply copy edits to security setup flow
   [\#4017](https://github.com/matrix-org/matrix-react-sdk/pull/4017)
 * Fix user trust text to match what was checked
   [\#4016](https://github.com/matrix-org/matrix-react-sdk/pull/4016)
 * Fix size of invite only icon
   [\#4015](https://github.com/matrix-org/matrix-react-sdk/pull/4015)
 * Add temporary feature flag to control padlocks
   [\#4013](https://github.com/matrix-org/matrix-react-sdk/pull/4013)
 * Add an override for the theme
   [\#4014](https://github.com/matrix-org/matrix-react-sdk/pull/4014)
 * Add title to complete security loading
   [\#4011](https://github.com/matrix-org/matrix-react-sdk/pull/4011)
 * Only display the first zxcvbn warning/suggestion
   [\#4012](https://github.com/matrix-org/matrix-react-sdk/pull/4012)
 * Log exceptions from accessSecretStorage
   [\#4009](https://github.com/matrix-org/matrix-react-sdk/pull/4009)
 * Add advanced option to keep secret storage in memory for session
   [\#3995](https://github.com/matrix-org/matrix-react-sdk/pull/3995)
 * Add shields to member list, move power label to text
   [\#4006](https://github.com/matrix-org/matrix-react-sdk/pull/4006)
 * Make encryption events into bubble-style tiles
   [\#4005](https://github.com/matrix-org/matrix-react-sdk/pull/4005)
 * Update copy when the user verifies their own devices
   [\#4000](https://github.com/matrix-org/matrix-react-sdk/pull/4000)
 * Use Sets instead of array scans and simplify hiding of invalid users when
   inviting
   [\#4004](https://github.com/matrix-org/matrix-react-sdk/pull/4004)
 * Fix room completion for invited rooms and upgraded rooms
   [\#4003](https://github.com/matrix-org/matrix-react-sdk/pull/4003)
 * Make shields in UserInfo black if user isn't verified
   [\#3999](https://github.com/matrix-org/matrix-react-sdk/pull/3999)
 * Change verify user text
   [\#3994](https://github.com/matrix-org/matrix-react-sdk/pull/3994)
 * Disable all inputs in login form while busy, not just the submit button
   [\#3996](https://github.com/matrix-org/matrix-react-sdk/pull/3996)
 * fix SAS dialog width
   [\#3993](https://github.com/matrix-org/matrix-react-sdk/pull/3993)
 * Update placeholder in the composer when it gets changed
   [\#3990](https://github.com/matrix-org/matrix-react-sdk/pull/3990)
 * Send initial device display name on register
   [\#3992](https://github.com/matrix-org/matrix-react-sdk/pull/3992)
 * Update QR code handling for new spec
   [\#3959](https://github.com/matrix-org/matrix-react-sdk/pull/3959)
 * Apply the Olympic effect to SAS Emoji Verification
   [\#3989](https://github.com/matrix-org/matrix-react-sdk/pull/3989)
 * Pass an ID to the <Field/> as needed and fix div inside p nesting
   [\#3988](https://github.com/matrix-org/matrix-react-sdk/pull/3988)
 * Update user info for device and trust changes
   [\#3987](https://github.com/matrix-org/matrix-react-sdk/pull/3987)
 * Relax secret storage account data check
   [\#3985](https://github.com/matrix-org/matrix-react-sdk/pull/3985)
 * Fix various races that prevented the right panel being in the right state
   for verifications
   [\#3984](https://github.com/matrix-org/matrix-react-sdk/pull/3984)
 * Fix verifying individual devices
   [\#3986](https://github.com/matrix-org/matrix-react-sdk/pull/3986)
 * Update from Weblate
   [\#3982](https://github.com/matrix-org/matrix-react-sdk/pull/3982)
 * Replace device with session in UI text
   [\#3980](https://github.com/matrix-org/matrix-react-sdk/pull/3980)
 * Add missing await causing promises to be leaked as room IDs
   [\#3981](https://github.com/matrix-org/matrix-react-sdk/pull/3981)
 * Change new session toast to unverified
   [\#3978](https://github.com/matrix-org/matrix-react-sdk/pull/3978)
 * Replace Verify button in UserInfo verification with "Learn more"
   [\#3975](https://github.com/matrix-org/matrix-react-sdk/pull/3975)
 * Don't peek until the matrix client is ready
   [\#3979](https://github.com/matrix-org/matrix-react-sdk/pull/3979)
 * Verification: don't block UI update on verification finishing
   [\#3976](https://github.com/matrix-org/matrix-react-sdk/pull/3976)
 * Adjust icons with in person with design
   [\#3977](https://github.com/matrix-org/matrix-react-sdk/pull/3977)
 * Update copy for right panel verification
   [\#3973](https://github.com/matrix-org/matrix-react-sdk/pull/3973)
 * Check for timeline in pre-join UISI path
   [\#3972](https://github.com/matrix-org/matrix-react-sdk/pull/3972)
 * Let users paste text if they've already started filtering invite targets
   [\#3970](https://github.com/matrix-org/matrix-react-sdk/pull/3970)
 * Filter event types when deciding on activity metrics for DM suggestions
   [\#3969](https://github.com/matrix-org/matrix-react-sdk/pull/3969)
 * Revert a change causing a login loop
   [\#3971](https://github.com/matrix-org/matrix-react-sdk/pull/3971)
 * Improve the docs for the event index and fix some type hints.
   [\#3960](https://github.com/matrix-org/matrix-react-sdk/pull/3960)
 * Automatically focus on the invite dialog input
   [\#3968](https://github.com/matrix-org/matrix-react-sdk/pull/3968)
 * Restore key backup in Complete Security dialog
   [\#3966](https://github.com/matrix-org/matrix-react-sdk/pull/3966)
 * Right Panel Verification improvements
   [\#3967](https://github.com/matrix-org/matrix-react-sdk/pull/3967)
 * Cross Signing Right Panel Verification Decoration
   [\#3950](https://github.com/matrix-org/matrix-react-sdk/pull/3950)
 * Passing refireParams actually prevented this from working
   [\#3965](https://github.com/matrix-org/matrix-react-sdk/pull/3965)
 * Start new key backup in security setup flow
   [\#3964](https://github.com/matrix-org/matrix-react-sdk/pull/3964)
 * Tweak styling of the unread indicator circle.
   [\#3958](https://github.com/matrix-org/matrix-react-sdk/pull/3958)
 * Add device IDs in user info tooltips
   [\#3963](https://github.com/matrix-org/matrix-react-sdk/pull/3963)
 * Improve encryption upgrade on login flow
   [\#3962](https://github.com/matrix-org/matrix-react-sdk/pull/3962)
 * Switch back to legacy decorators
   [\#3961](https://github.com/matrix-org/matrix-react-sdk/pull/3961)
 * Style bridge settings tab according to design
   [\#3894](https://github.com/matrix-org/matrix-react-sdk/pull/3894)
 * Fix skinning and babel targets
   [\#3957](https://github.com/matrix-org/matrix-react-sdk/pull/3957)
 * Enable cross-signing lab when key in storage
   [\#3956](https://github.com/matrix-org/matrix-react-sdk/pull/3956)
 * Add new session verification details dialog
   [\#3953](https://github.com/matrix-org/matrix-react-sdk/pull/3953)
 * Fix issue where we don't notice if our own devices shouldn't be trusted
   [\#3949](https://github.com/matrix-org/matrix-react-sdk/pull/3949)
 * Add separate component for post-auth security flows
   [\#3951](https://github.com/matrix-org/matrix-react-sdk/pull/3951)
 * Add more logging to settings watchers
   [\#3952](https://github.com/matrix-org/matrix-react-sdk/pull/3952)
 * Use https for recaptcha for all non-http protocols
   [\#3944](https://github.com/matrix-org/matrix-react-sdk/pull/3944)
 * Add status and management UI for the event indexer
   [\#3672](https://github.com/matrix-org/matrix-react-sdk/pull/3672)
 * Remove DM icons if `feature_cross_signing` is enabled; hide padlocks in DM
   room headers
   [\#3948](https://github.com/matrix-org/matrix-react-sdk/pull/3948)
 * Stop rogue verification toast if you verify during login
   [\#3943](https://github.com/matrix-org/matrix-react-sdk/pull/3943)
 * Show incoming verification requests in the 'complete security' phase
   [\#3942](https://github.com/matrix-org/matrix-react-sdk/pull/3942)
 * Dismiss logged out device toasts
   [\#3941](https://github.com/matrix-org/matrix-react-sdk/pull/3941)
 * Verification nag toasts
   [\#3940](https://github.com/matrix-org/matrix-react-sdk/pull/3940)
 * Update from Weblate
   [\#3947](https://github.com/matrix-org/matrix-react-sdk/pull/3947)
 * Remember password for e2e bootstrapping
   [\#3939](https://github.com/matrix-org/matrix-react-sdk/pull/3939)
 * fix compound emoji
   [\#3946](https://github.com/matrix-org/matrix-react-sdk/pull/3946)
 * Setup flow for cross-signing on login / registration
   [\#3937](https://github.com/matrix-org/matrix-react-sdk/pull/3937)
 * Update profile avatar letter size
   [\#3935](https://github.com/matrix-org/matrix-react-sdk/pull/3935)
 * Hide default encryption algorithm
   [\#3936](https://github.com/matrix-org/matrix-react-sdk/pull/3936)
 * Resolve default export warnings from Webpack
   [\#3938](https://github.com/matrix-org/matrix-react-sdk/pull/3938)
 * Add null check for cross-signing info in verification panel
   [\#3934](https://github.com/matrix-org/matrix-react-sdk/pull/3934)
 * Add trace logging to figure out which component is causing weird events
   [\#3926](https://github.com/matrix-org/matrix-react-sdk/pull/3926)
 * Remove user lists feature flag, making it the default
   [\#3906](https://github.com/matrix-org/matrix-react-sdk/pull/3906)
 * Last bit of polish for user lists
   [\#3925](https://github.com/matrix-org/matrix-react-sdk/pull/3925)
 * QR code verification
   [\#3871](https://github.com/matrix-org/matrix-react-sdk/pull/3871)
 * Do less unnecessary work on CI
   [\#3933](https://github.com/matrix-org/matrix-react-sdk/pull/3933)
 * Re-enable stylelint on CI
   [\#3932](https://github.com/matrix-org/matrix-react-sdk/pull/3932)
 * Design pass for room icons
   [\#3931](https://github.com/matrix-org/matrix-react-sdk/pull/3931)
 * Populate the file panel using the event index if available.
   [\#3858](https://github.com/matrix-org/matrix-react-sdk/pull/3858)
 * Split AsyncWrapper out from Modal
   [\#3928](https://github.com/matrix-org/matrix-react-sdk/pull/3928)
 * Fix error in verification code on develop
   [\#3930](https://github.com/matrix-org/matrix-react-sdk/pull/3930)
 * Seperates out the padlock icon, and adds a tooltip
   [\#3929](https://github.com/matrix-org/matrix-react-sdk/pull/3929)
 * Cross Signing redesign for composer
   [\#3910](https://github.com/matrix-org/matrix-react-sdk/pull/3910)
 * Fix verifying your own devices with to_device messages
   [\#3927](https://github.com/matrix-org/matrix-react-sdk/pull/3927)
 * Room list reflects encryption state
   [\#3908](https://github.com/matrix-org/matrix-react-sdk/pull/3908)
 * Make the entire User Info scrollable, sticky close button
   [\#3914](https://github.com/matrix-org/matrix-react-sdk/pull/3914)
 * Remove riot logo from the security setup screens
   [\#3916](https://github.com/matrix-org/matrix-react-sdk/pull/3916)
 * Only say the session is verified if it is now verified
   [\#3917](https://github.com/matrix-org/matrix-react-sdk/pull/3917)
 * Hide password section if you can't change your password
   [\#3924](https://github.com/matrix-org/matrix-react-sdk/pull/3924)
 * Ensure a plaintext version of the composer ends up on the clipboard
   [\#3922](https://github.com/matrix-org/matrix-react-sdk/pull/3922)
 * Move & upgrade babel runtime into dependencies (like it wants)
   [\#3920](https://github.com/matrix-org/matrix-react-sdk/pull/3920)
 * Don't list every single alias when there's many
   [\#3918](https://github.com/matrix-org/matrix-react-sdk/pull/3918)
 * Try to populate user IDs even when the server's directory fails us
   [\#3907](https://github.com/matrix-org/matrix-react-sdk/pull/3907)
 * Remove .event property on verification request
   [\#3912](https://github.com/matrix-org/matrix-react-sdk/pull/3912)
 * Attempt to fix Safari + VoiceOver misunderstanding the timeline list
   [\#3911](https://github.com/matrix-org/matrix-react-sdk/pull/3911)
 * Enable encryption in DMs with device keys
   [\#3913](https://github.com/matrix-org/matrix-react-sdk/pull/3913)
 * Fix scrollable area and padding in user lists dialog
   [\#3905](https://github.com/matrix-org/matrix-react-sdk/pull/3905)
 * Add Reject & Ignore user button to invites view
   [\#3909](https://github.com/matrix-org/matrix-react-sdk/pull/3909)
 * Fix paragraph-awareness of the composer formatting features
   [\#3891](https://github.com/matrix-org/matrix-react-sdk/pull/3891)
 * Updated visuals for cross-signing bootstrap
   [\#3903](https://github.com/matrix-org/matrix-react-sdk/pull/3903)
 * Implement some parts of new cross signing bootstrap UI
   [\#3897](https://github.com/matrix-org/matrix-react-sdk/pull/3897)
 * Treat links as external in report content admin message
   [\#3904](https://github.com/matrix-org/matrix-react-sdk/pull/3904)
 * Be consistent about our settings svg, free the other one
   [\#3902](https://github.com/matrix-org/matrix-react-sdk/pull/3902)
 * Change prepublish script to prepare
   [\#3899](https://github.com/matrix-org/matrix-react-sdk/pull/3899)
 * Remove the react-sdk version
   [\#3901](https://github.com/matrix-org/matrix-react-sdk/pull/3901)
 * BuildKite: Retry end-to-end tests automatically once if they fail
   [\#3900](https://github.com/matrix-org/matrix-react-sdk/pull/3900)
 * Slash Command improvements around sending messages with leading slash
   [\#3893](https://github.com/matrix-org/matrix-react-sdk/pull/3893)
 * Support admin configurable message when reporting content
   [\#3898](https://github.com/matrix-org/matrix-react-sdk/pull/3898)
 * Don't warn on unverified users; ensured behavior stays the same with flags
   off
   [\#3896](https://github.com/matrix-org/matrix-react-sdk/pull/3896)
 * Fix roving room list for resizer and ff tabstop a11y
   [\#3895](https://github.com/matrix-org/matrix-react-sdk/pull/3895)
 * Verify individual messages via cross-signing
   [\#3875](https://github.com/matrix-org/matrix-react-sdk/pull/3875)
 * Fix layering of dependencies in riot-web and e2e tests
   [\#3882](https://github.com/matrix-org/matrix-react-sdk/pull/3882)
 * Implement Roving Tab Index and Room List as TreeView
   [\#3844](https://github.com/matrix-org/matrix-react-sdk/pull/3844)
 * Move room header shields over the avatar for the room
   [\#3888](https://github.com/matrix-org/matrix-react-sdk/pull/3888)
 * Fix toast icon to prevent clipping
   [\#3890](https://github.com/matrix-org/matrix-react-sdk/pull/3890)
 * Only show devices and verify actions in E2EE rooms
   [\#3889](https://github.com/matrix-org/matrix-react-sdk/pull/3889)
 * Change user info verification checks to use cross-signing
   [\#3887](https://github.com/matrix-org/matrix-react-sdk/pull/3887)
 * Fix click-to-ping not inserting colon if composer non-empty
   [\#3886](https://github.com/matrix-org/matrix-react-sdk/pull/3886)
 * Fix emoticon space completion for upper case emoticons like :D xD
   [\#3884](https://github.com/matrix-org/matrix-react-sdk/pull/3884)
 * Repair cross-signing panel with async status
   [\#3880](https://github.com/matrix-org/matrix-react-sdk/pull/3880)
 * Remove temporary key backup button
   [\#3878](https://github.com/matrix-org/matrix-react-sdk/pull/3878)
 * Score users who have recently spoken higher in invite suggestions
   [\#3866](https://github.com/matrix-org/matrix-react-sdk/pull/3866)
 * Initial support for verification in right panel
   [\#3796](https://github.com/matrix-org/matrix-react-sdk/pull/3796)
 * Prevent the invite dialog from jumping around when elements change
   [\#3868](https://github.com/matrix-org/matrix-react-sdk/pull/3868)
 * Add prepublish script
   [\#3876](https://github.com/matrix-org/matrix-react-sdk/pull/3876)

Changes in [2.0.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.0.0) (2020-01-27)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.0.0-rc.2...v2.0.0)

 * Ensure a plaintext version of the composer ends up on the clipboard
   [\#3923](https://github.com/matrix-org/matrix-react-sdk/pull/3923)
 * Move & upgrade babel runtime into dependencies (like it wants)
   [\#3921](https://github.com/matrix-org/matrix-react-sdk/pull/3921)
 * Don't list every single alias when there's many
   [\#3919](https://github.com/matrix-org/matrix-react-sdk/pull/3919)

Changes in [2.0.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.0.0-rc.2) (2020-01-20)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v2.0.0-rc.1...v2.0.0-rc.2)

 * Add prepublish script
   [\#3877](https://github.com/matrix-org/matrix-react-sdk/pull/3877)

Changes in [2.0.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v2.0.0-rc.1) (2020-01-20)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.6...v2.0.0-rc.1)

BREAKING CHANGES
================
 * The react-sdk node module now exports ES6 rather than ES5. If you
   wish to supports target that aren't compatible with ES6, you
   will need to transpile the react-sdk to a suitable dialect.

All Changes
===========
 * Fix arrows keys moving through edit history
   [\#3874](https://github.com/matrix-org/matrix-react-sdk/pull/3874)
 * Fix error about MessagePanel not being available for read markers
   [\#3867](https://github.com/matrix-org/matrix-react-sdk/pull/3867)
 * Adjust secret storage to work before sync
   [\#3864](https://github.com/matrix-org/matrix-react-sdk/pull/3864)
 * Update from Weblate
   [\#3872](https://github.com/matrix-org/matrix-react-sdk/pull/3872)
 * Remove unused deps and dev-deps
   [\#3870](https://github.com/matrix-org/matrix-react-sdk/pull/3870)
 * Tidy Jest test stuff and dependencies
   [\#3869](https://github.com/matrix-org/matrix-react-sdk/pull/3869)
 * Move feature flag check for new session toast
   [\#3865](https://github.com/matrix-org/matrix-react-sdk/pull/3865)
 * Catch exception in checkTerms if no ID server
   [\#3863](https://github.com/matrix-org/matrix-react-sdk/pull/3863)
 * Catch exception if passphrase dialog cancelled
   [\#3862](https://github.com/matrix-org/matrix-react-sdk/pull/3862)
 * Disable key request dialogs with cross-signing
   [\#3860](https://github.com/matrix-org/matrix-react-sdk/pull/3860)
 * Toasts for new, unverified sessions
   [\#3859](https://github.com/matrix-org/matrix-react-sdk/pull/3859)
 * Check for a matrixclient before trying to use it
   [\#3861](https://github.com/matrix-org/matrix-react-sdk/pull/3861)
 * Room header & message box shields now reflect cross-signing state
   [\#3850](https://github.com/matrix-org/matrix-react-sdk/pull/3850)
 * Fix Array.concat undefined
   [\#3857](https://github.com/matrix-org/matrix-react-sdk/pull/3857)
 * Update chokidar to fix reskindex not working
   [\#3856](https://github.com/matrix-org/matrix-react-sdk/pull/3856)
 * Make the new DM invite dialog work for regular invites too
   [\#3854](https://github.com/matrix-org/matrix-react-sdk/pull/3854)
 * Fix event handler leak in MemberStatusMessageAvatar
   [\#3855](https://github.com/matrix-org/matrix-react-sdk/pull/3855)
 * Move DM creation logic into DMInviteDialog
   [\#3843](https://github.com/matrix-org/matrix-react-sdk/pull/3843)
 * Remove all text when cutting in the composer
   [\#3848](https://github.com/matrix-org/matrix-react-sdk/pull/3848)
 * Add a ToastStore
   [\#3853](https://github.com/matrix-org/matrix-react-sdk/pull/3853)
 * 'Members' button always toggle the right panel
   [\#3804](https://github.com/matrix-org/matrix-react-sdk/pull/3804)
 * Fix timing of when Composer considers itself to be modified
   [\#3842](https://github.com/matrix-org/matrix-react-sdk/pull/3842)
 * Compute download file icon immediately
   [\#3851](https://github.com/matrix-org/matrix-react-sdk/pull/3851)
 * Fix not being able to open profiles from the timeline
   [\#3852](https://github.com/matrix-org/matrix-react-sdk/pull/3852)
 * Add post-login complete security flow
   [\#3847](https://github.com/matrix-org/matrix-react-sdk/pull/3847)
 * Added cut/copy and pasting user pills from editor.
   [\#3828](https://github.com/matrix-org/matrix-react-sdk/pull/3828)
 * Fix imports for help & support tab
   [\#3846](https://github.com/matrix-org/matrix-react-sdk/pull/3846)
 * Humanize the recent DM rooms ourselves for translations
   [\#3841](https://github.com/matrix-org/matrix-react-sdk/pull/3841)
 * Improve the quality of invite suggestions by filtering out DMs
   [\#3840](https://github.com/matrix-org/matrix-react-sdk/pull/3840)
 * Fix linter and tests on develop
   [\#3845](https://github.com/matrix-org/matrix-react-sdk/pull/3845)
 * Fix sourcemaps by refactoring the build system
   [\#3839](https://github.com/matrix-org/matrix-react-sdk/pull/3839)
 * Don't error on unverified/unknown devices.
   [\#3837](https://github.com/matrix-org/matrix-react-sdk/pull/3837)
 * Padlock icons in room header
   [\#3835](https://github.com/matrix-org/matrix-react-sdk/pull/3835)
 * Don't allow upgrade from untrusted key backup.
   [\#3822](https://github.com/matrix-org/matrix-react-sdk/pull/3822)
 * Emoji verification: Change name of 🔒 to lock
   [\#3825](https://github.com/matrix-org/matrix-react-sdk/pull/3825)
 * Room padlock decorations only if cross-signing is enabled
   [\#3838](https://github.com/matrix-org/matrix-react-sdk/pull/3838)
 * Enable end-to-end tests for sourcemaps (+Windows instructions)
   [\#3827](https://github.com/matrix-org/matrix-react-sdk/pull/3827)
 * Repair community member info panel
   [\#3832](https://github.com/matrix-org/matrix-react-sdk/pull/3832)
 * Add feature flag around the presence indicator in room list
   [\#3831](https://github.com/matrix-org/matrix-react-sdk/pull/3831)
 * Display a padlock icon beside invite-only rooms in the room list
   [\#3821](https://github.com/matrix-org/matrix-react-sdk/pull/3821)
 * Update from Weblate
   [\#3830](https://github.com/matrix-org/matrix-react-sdk/pull/3830)
 * Fix listener leak on RoomView
   [\#3826](https://github.com/matrix-org/matrix-react-sdk/pull/3826)
 * Regenerate i18n for sourcemaps branch
   [\#3824](https://github.com/matrix-org/matrix-react-sdk/pull/3824)
 * Fix tests for sourcemaps branch
   [\#3823](https://github.com/matrix-org/matrix-react-sdk/pull/3823)
 * Jest
   [\#3724](https://github.com/matrix-org/matrix-react-sdk/pull/3724)
 * Sourcemaps: develop -> feature branch
   [\#3817](https://github.com/matrix-org/matrix-react-sdk/pull/3817)
 * Support pasting a bunch of identifiers into the invite dialog
   [\#3820](https://github.com/matrix-org/matrix-react-sdk/pull/3820)
 * Support 3PIDs (email addresses) in the invite dialog
   [\#3819](https://github.com/matrix-org/matrix-react-sdk/pull/3819)
 * Placeholder PR for cleaner diffs: ES6
   [\#3765](https://github.com/matrix-org/matrix-react-sdk/pull/3765)
 * Misc fixes for ES6 imports/exports
   [\#3766](https://github.com/matrix-org/matrix-react-sdk/pull/3766)
 * Wire up the invite targets dialog to a real composer and show selections
   [\#3815](https://github.com/matrix-org/matrix-react-sdk/pull/3815)
 * Change ref handling in TextualBody to prevent it parsing generated nodes
   [\#3711](https://github.com/matrix-org/matrix-react-sdk/pull/3711)
 * Render encoded html entities in og:description
   [\#3789](https://github.com/matrix-org/matrix-react-sdk/pull/3789)
 * Update package.json for new build process + cosmetics
   [\#3767](https://github.com/matrix-org/matrix-react-sdk/pull/3767)
 * Convert CommonJS exports to ES6 exports
   [\#3761](https://github.com/matrix-org/matrix-react-sdk/pull/3761)
 * Round 2 of CommonJS to ES6 imports
   [\#3764](https://github.com/matrix-org/matrix-react-sdk/pull/3764)
 * Strip all variation selectors on emoji
   [\#3814](https://github.com/matrix-org/matrix-react-sdk/pull/3814)
 * Use the new js-sdk imports and import from src
   [\#3763](https://github.com/matrix-org/matrix-react-sdk/pull/3763)
 * Convert many imports to handle ES6 exports
   [\#3762](https://github.com/matrix-org/matrix-react-sdk/pull/3762)
 * Fix userinfo for users not in the room
   [\#3812](https://github.com/matrix-org/matrix-react-sdk/pull/3812)
 * Attempt to fix e2e tests
   [\#3811](https://github.com/matrix-org/matrix-react-sdk/pull/3811)
 * Add bunch of null-guards and similar to fix React Errors/complaints
   [\#3752](https://github.com/matrix-org/matrix-react-sdk/pull/3752)
 * Delegate all room alias validation to the RoomAliasField validator
   [\#3807](https://github.com/matrix-org/matrix-react-sdk/pull/3807)
 * Support filtering and searching for users to invite in DMs
   [\#3802](https://github.com/matrix-org/matrix-react-sdk/pull/3802)
 * Add suggestions for which users to invite to chat
   [\#3801](https://github.com/matrix-org/matrix-react-sdk/pull/3801)
 * Use `flex-start` instead of `start` for postcss
   [\#3760](https://github.com/matrix-org/matrix-react-sdk/pull/3760)
 * Define getLanguageFromBrowser() for LanguageDropdown
   [\#3769](https://github.com/matrix-org/matrix-react-sdk/pull/3769)
 * Introduce babel's export-default-from plugin to fix build errors
   [\#3768](https://github.com/matrix-org/matrix-react-sdk/pull/3768)
 * Add a bit of debugging to incorrect components in the Skinner
   [\#3770](https://github.com/matrix-org/matrix-react-sdk/pull/3770)
 * [BREAKING] Refactor the entire build process for babel@7 and TypeScript
   (chunk 1 of many)
   [\#3722](https://github.com/matrix-org/matrix-react-sdk/pull/3722)
 * Implementation of new potential skinning mechanism
   [\#3723](https://github.com/matrix-org/matrix-react-sdk/pull/3723)

Changes in [1.7.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.6) (2020-01-13)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.6-rc.2...v1.7.6)

 * Repair community member info panel
   [\#3834](https://github.com/matrix-org/matrix-react-sdk/pull/3834)
 * Add feature flag around the presence indicator in room list
   [\#3833](https://github.com/matrix-org/matrix-react-sdk/pull/3833)

Changes in [1.7.6-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.6-rc.2) (2020-01-08)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.6-rc.1...v1.7.6-rc.2)

 * Strip all variation selectors on emoji
   [\#3818](https://github.com/matrix-org/matrix-react-sdk/pull/3818)

Changes in [1.7.6-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.6-rc.1) (2020-01-06)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.5...v1.7.6-rc.1)

 * Deduplicate recent emoji
   [\#3806](https://github.com/matrix-org/matrix-react-sdk/pull/3806)
 * Fix ability to remove avatars
   [\#3803](https://github.com/matrix-org/matrix-react-sdk/pull/3803)
 * Update from Weblate
   [\#3810](https://github.com/matrix-org/matrix-react-sdk/pull/3810)
 * User Info fetch latest RoomMember instead of showing historical data
   [\#3788](https://github.com/matrix-org/matrix-react-sdk/pull/3788)
 * Remove all usages of slate in favour of CIDER
   [\#3808](https://github.com/matrix-org/matrix-react-sdk/pull/3808)
 * Use display name when pinned messages are changed
   [\#3809](https://github.com/matrix-org/matrix-react-sdk/pull/3809)
 * Fix inverted diff line highlighting in dark theme
   [\#3790](https://github.com/matrix-org/matrix-react-sdk/pull/3790)
 * Bridge info settings tab
   [\#3693](https://github.com/matrix-org/matrix-react-sdk/pull/3693)
 * Send the labs flags the client is running with in rageshake
   [\#3805](https://github.com/matrix-org/matrix-react-sdk/pull/3805)
 * Initial implementation of FTUE user lists design
   [\#3792](https://github.com/matrix-org/matrix-react-sdk/pull/3792)
 * Update key backup creation and recovery paths for SSSS
   [\#3800](https://github.com/matrix-org/matrix-react-sdk/pull/3800)
 * Don't fail if logs exists and is an empty dir
   [\#3798](https://github.com/matrix-org/matrix-react-sdk/pull/3798)
 * Comment remaining non-cross-signing-compliant components
   [\#3799](https://github.com/matrix-org/matrix-react-sdk/pull/3799)
 * Remove 'unverify' from UserInfoPanel
   [\#3797](https://github.com/matrix-org/matrix-react-sdk/pull/3797)
 * Use deviceTrust when displaying key backup trust status
   [\#3795](https://github.com/matrix-org/matrix-react-sdk/pull/3795)
 * Don't crash if a keyshare request is removed
   [\#3793](https://github.com/matrix-org/matrix-react-sdk/pull/3793)
 * Convert /verify to checkDeviceTrust
   [\#3794](https://github.com/matrix-org/matrix-react-sdk/pull/3794)
 * Remove E2eIcon onClick
   [\#3791](https://github.com/matrix-org/matrix-react-sdk/pull/3791)
 * support channel names with slash in name/alias
   [\#3778](https://github.com/matrix-org/matrix-react-sdk/pull/3778)
 * Fix NPE when filtering the room list
   [\#3787](https://github.com/matrix-org/matrix-react-sdk/pull/3787)
 * Turn RoomAliasField into properly controlled and use in RoomSettings
   [\#3782](https://github.com/matrix-org/matrix-react-sdk/pull/3782)
 * fuzzy-sort MemberList
   [\#3783](https://github.com/matrix-org/matrix-react-sdk/pull/3783)
 * Serialize file uploads into room to match confirmation dialog order
   [\#3786](https://github.com/matrix-org/matrix-react-sdk/pull/3786)
 * Do not show Top Unread Messages Bar and Jump to bottom button if searching
   [\#3785](https://github.com/matrix-org/matrix-react-sdk/pull/3785)
 * Fix sticker picker chevron offset calculation
   [\#3784](https://github.com/matrix-org/matrix-react-sdk/pull/3784)
 * Fix not being able to promote others to the same power level as your own
   [\#3781](https://github.com/matrix-org/matrix-react-sdk/pull/3781)
 * Room Tile DMs online/active green dot
   [\#3751](https://github.com/matrix-org/matrix-react-sdk/pull/3751)
 * Fix spelling and grammar in README
   [\#3780](https://github.com/matrix-org/matrix-react-sdk/pull/3780)
 * Reintroduce working resizer code for right panel
   [\#3776](https://github.com/matrix-org/matrix-react-sdk/pull/3776)
 * Fix wrong scope binding on openHelp for TopLeftMenu
   [\#3775](https://github.com/matrix-org/matrix-react-sdk/pull/3775)
 * UserInfo hide kick/mute buttons if they make no sense
   [\#3774](https://github.com/matrix-org/matrix-react-sdk/pull/3774)
 * Fix duplicate Incoming Call prompt on Community Invite sublist
   [\#3773](https://github.com/matrix-org/matrix-react-sdk/pull/3773)
 * Apply new design to highlighted tags and add toggle mechanic
   [\#3755](https://github.com/matrix-org/matrix-react-sdk/pull/3755)
 * stop using ReactDOM.findDOMNode in componentWillUnmount, use refs
   [\#3771](https://github.com/matrix-org/matrix-react-sdk/pull/3771)
 * Add alt="" to presentational images
   [\#3772](https://github.com/matrix-org/matrix-react-sdk/pull/3772)
 * Fix room list filtering weird case sensitivity
   [\#3759](https://github.com/matrix-org/matrix-react-sdk/pull/3759)
 * Don't show the 'verify' button if the user is verified
   [\#3758](https://github.com/matrix-org/matrix-react-sdk/pull/3758)
 * Switch to using checkDeviceTrust
   [\#3757](https://github.com/matrix-org/matrix-react-sdk/pull/3757)
 * Migrate away from React Legacy contexts API
   [\#3743](https://github.com/matrix-org/matrix-react-sdk/pull/3743)
 * Migrate key backups to SSSS
   [\#3749](https://github.com/matrix-org/matrix-react-sdk/pull/3749)
 * Get rid of stripped-emoji.json in favour of an in-memory single source of
   truth
   [\#3745](https://github.com/matrix-org/matrix-react-sdk/pull/3745)
 * Combine cross signing and verification over DM feature flags
   [\#3753](https://github.com/matrix-org/matrix-react-sdk/pull/3753)
 * apply unhomoglyph when filtering room list to fuzzify it
   [\#3754](https://github.com/matrix-org/matrix-react-sdk/pull/3754)
 * Make EmojiPicker an unmanaged Context Menu as it is too complex to be
   managed
   [\#3746](https://github.com/matrix-org/matrix-react-sdk/pull/3746)
 * Internationalise M_TOO_LARGE error from Synapse
   [\#3750](https://github.com/matrix-org/matrix-react-sdk/pull/3750)
 * Replace UserInfo avatar with <MemberAvatar/> for fallback logic
   [\#3748](https://github.com/matrix-org/matrix-react-sdk/pull/3748)
 * Dropdown stop keyboard propagation if key handled
   [\#3741](https://github.com/matrix-org/matrix-react-sdk/pull/3741)
 * Fix right panel for multiple member info viewings
   [\#3742](https://github.com/matrix-org/matrix-react-sdk/pull/3742)
 * Fix Field validation tooltip sticking if blurred before async validation
   resolved
   [\#3740](https://github.com/matrix-org/matrix-react-sdk/pull/3740)
 * Fix UserInfo exploding without a room being passed to it
   [\#3738](https://github.com/matrix-org/matrix-react-sdk/pull/3738)
 * Fix room directory maintaining and error state
   [\#3737](https://github.com/matrix-org/matrix-react-sdk/pull/3737)
 * Stop trapping tab in AddressPickerDialog
   [\#3735](https://github.com/matrix-org/matrix-react-sdk/pull/3735)
 * Stop using KeyboardEvent.keyCode as it is deprecated
   [\#3736](https://github.com/matrix-org/matrix-react-sdk/pull/3736)
 * Implement new design for uploading/removing avatars
   [\#3733](https://github.com/matrix-org/matrix-react-sdk/pull/3733)
 * Fix aspect ratio on room/profile avatar preview
   [\#3731](https://github.com/matrix-org/matrix-react-sdk/pull/3731)
 * Switch to react-focus-lock for it to comprehend Portals
   [\#3732](https://github.com/matrix-org/matrix-react-sdk/pull/3732)
 * Make combobox dropdown keyboard and screen reader accessible
   [\#3729](https://github.com/matrix-org/matrix-react-sdk/pull/3729)
 * Verify users when cross-signing enabled
   [\#3728](https://github.com/matrix-org/matrix-react-sdk/pull/3728)
 * Update from Weblate
   [\#3730](https://github.com/matrix-org/matrix-react-sdk/pull/3730)
 * Improve a11y of the unignore button in Settings
   [\#3727](https://github.com/matrix-org/matrix-react-sdk/pull/3727)
 * Fix ToggleSwitch A11Y (trapping tab and switch v. checkbox)
   [\#3726](https://github.com/matrix-org/matrix-react-sdk/pull/3726)
 * Make URL previews dismissable via keyboard and accessible to screen readers
   [\#3725](https://github.com/matrix-org/matrix-react-sdk/pull/3725)
 * Create new key backups using secret storage
   [\#3720](https://github.com/matrix-org/matrix-react-sdk/pull/3720)
 * Replace sign-ins with sessions
   [\#3721](https://github.com/matrix-org/matrix-react-sdk/pull/3721)
 * Refactor RightPanel to match expected behaviour
   [\#3703](https://github.com/matrix-org/matrix-react-sdk/pull/3703)
 * Render policy room event updates in the timeline
   [\#3716](https://github.com/matrix-org/matrix-react-sdk/pull/3716)
 * Wrap the await call for unknown device lookups
   [\#3718](https://github.com/matrix-org/matrix-react-sdk/pull/3718)
 * Add testing flow to bootstrap secret storage
   [\#3640](https://github.com/matrix-org/matrix-react-sdk/pull/3640)
 * Fix remaining context menu regressions
   [\#3715](https://github.com/matrix-org/matrix-react-sdk/pull/3715)
 * Migrate away from React Legacy string refs
   [\#3712](https://github.com/matrix-org/matrix-react-sdk/pull/3712)
 * Update copy for DM invites
   [\#3706](https://github.com/matrix-org/matrix-react-sdk/pull/3706)
 * Fix message action bar reaction picker regression
   [\#3714](https://github.com/matrix-org/matrix-react-sdk/pull/3714)
 * Add what-input to allow different scoping to focus-visible for MAB a11y
   [\#3709](https://github.com/matrix-org/matrix-react-sdk/pull/3709)
 * Mark the This/All Rooms scope buttons as radios for a11y
   [\#3708](https://github.com/matrix-org/matrix-react-sdk/pull/3708)
 * Switch ReactionsRowButton to an AccessibleButton for space/enter handling
   [\#3707](https://github.com/matrix-org/matrix-react-sdk/pull/3707)
 * Change the (edited) link to an AccessibleButton for a11y
   [\#3710](https://github.com/matrix-org/matrix-react-sdk/pull/3710)
 * Update from Weblate
   [\#3713](https://github.com/matrix-org/matrix-react-sdk/pull/3713)
 * Fix ?via= args in SpecPermalinkConstructor.js
   [\#3694](https://github.com/matrix-org/matrix-react-sdk/pull/3694)
 * Don't mark a room as unread when server ACLs are set
   [\#3705](https://github.com/matrix-org/matrix-react-sdk/pull/3705)
 * Make reaction buttons more accessible
   [\#3704](https://github.com/matrix-org/matrix-react-sdk/pull/3704)
 * yarn upgrade
   [\#3701](https://github.com/matrix-org/matrix-react-sdk/pull/3701)
 * Make CI scripts executable
   [\#3698](https://github.com/matrix-org/matrix-react-sdk/pull/3698)
 * ARIA compliant context menus
   [\#3611](https://github.com/matrix-org/matrix-react-sdk/pull/3611)

Changes in [1.7.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.5) (2019-12-09)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.5-rc.1...v1.7.5)

 * No changes since rc.1

Changes in [1.7.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.5-rc.1) (2019-12-04)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.4...v1.7.5-rc.1)

 * Remove logs before running end-to-end tests
   [\#3700](https://github.com/matrix-org/matrix-react-sdk/pull/3700)
 * Update from Weblate
   [\#3699](https://github.com/matrix-org/matrix-react-sdk/pull/3699)
 * Match e2e icons on events to expectations
   [\#3697](https://github.com/matrix-org/matrix-react-sdk/pull/3697)
 * Match room upgrade warning to the new design
   [\#3695](https://github.com/matrix-org/matrix-react-sdk/pull/3695)
 * Remove unused translations
   [\#3683](https://github.com/matrix-org/matrix-react-sdk/pull/3683)
 * Remove broken velocity-ui animation
   [\#3678](https://github.com/matrix-org/matrix-react-sdk/pull/3678)
 * Update from Weblate
   [\#3696](https://github.com/matrix-org/matrix-react-sdk/pull/3696)
 * Hide Remove button in message editing history if you don't have permission
   to redact
   [\#3685](https://github.com/matrix-org/matrix-react-sdk/pull/3685)
 * Add an option to invite users to upgraded private rooms
   [\#3684](https://github.com/matrix-org/matrix-react-sdk/pull/3684)
 * Do not trap Key ContextMenu into composer for keyboard a11y
   [\#3689](https://github.com/matrix-org/matrix-react-sdk/pull/3689)
 * Make EmojiPicker filtering case-insensitive
   [\#3690](https://github.com/matrix-org/matrix-react-sdk/pull/3690)
 * Ensure the settings page accurately represents theme choices
   [\#3686](https://github.com/matrix-org/matrix-react-sdk/pull/3686)
 * Ensure read receipts end up with a valid reference to checkUnmounting
   [\#3688](https://github.com/matrix-org/matrix-react-sdk/pull/3688)
 * Convert Velociraptor component to a class
   [\#3687](https://github.com/matrix-org/matrix-react-sdk/pull/3687)
 * Add a link to the labs feature documentation
   [\#3675](https://github.com/matrix-org/matrix-react-sdk/pull/3675)
 * Improve translatable strings for calls
   [\#3682](https://github.com/matrix-org/matrix-react-sdk/pull/3682)
 * Don't assume that diffs will have an appropriate child node
   [\#3680](https://github.com/matrix-org/matrix-react-sdk/pull/3680)
 * Fix persisted widgets getting stuck at loading screens
   [\#3681](https://github.com/matrix-org/matrix-react-sdk/pull/3681)
 * Add button to clear all notification counts, sometimes stuck in historical
   [\#2959](https://github.com/matrix-org/matrix-react-sdk/pull/2959)
 * Fix multi-invite error dialog messaging
   [\#3679](https://github.com/matrix-org/matrix-react-sdk/pull/3679)
 * Make the communities button behave more like a toggle
   [\#3670](https://github.com/matrix-org/matrix-react-sdk/pull/3670)
 * Change read markers to use CSS transitions
   [\#3674](https://github.com/matrix-org/matrix-react-sdk/pull/3674)
 * fix font smoothing to match figma
   [\#3677](https://github.com/matrix-org/matrix-react-sdk/pull/3677)
 * Update breadcrumbs when we do eventually see upgraded rooms
   [\#3669](https://github.com/matrix-org/matrix-react-sdk/pull/3669)
 * Fix override behaviour of system vs defined themes
   [\#3673](https://github.com/matrix-org/matrix-react-sdk/pull/3673)
 * console.log doesn't take %s substitutions
   [\#3671](https://github.com/matrix-org/matrix-react-sdk/pull/3671)
 * EventIndex: Move the checkpoint loading logic into the init method.
   [\#3648](https://github.com/matrix-org/matrix-react-sdk/pull/3648)
 * Clarify that cross-signing is in development
   [\#3668](https://github.com/matrix-org/matrix-react-sdk/pull/3668)
 * Hide tooltips with CSS when they aren't visible
   [\#3665](https://github.com/matrix-org/matrix-react-sdk/pull/3665)
 * a11y: adjustments for toasts
   [\#3667](https://github.com/matrix-org/matrix-react-sdk/pull/3667)
 * Update from Weblate
   [\#3666](https://github.com/matrix-org/matrix-react-sdk/pull/3666)
 * Null check on thumbnail_file
   [\#3664](https://github.com/matrix-org/matrix-react-sdk/pull/3664)
 * Fix double date separator for room upgrade tiles
   [\#3662](https://github.com/matrix-org/matrix-react-sdk/pull/3662)
 * Show incoming verification requests in in-app notifications
   [\#3661](https://github.com/matrix-org/matrix-react-sdk/pull/3661)
 * Show m.room.create event before the ELS on room upgrade
   [\#3655](https://github.com/matrix-org/matrix-react-sdk/pull/3655)
 * Convert MessagePanel to React class
   [\#3656](https://github.com/matrix-org/matrix-react-sdk/pull/3656)
 * Make addEventListener conditional
   [\#3657](https://github.com/matrix-org/matrix-react-sdk/pull/3657)
 * Fix e2e icons
   [\#3653](https://github.com/matrix-org/matrix-react-sdk/pull/3653)
 * Workaround for soft-crash with calls on startup
   [\#3654](https://github.com/matrix-org/matrix-react-sdk/pull/3654)
 * Catch exceptions when we can't play audio
   [\#3652](https://github.com/matrix-org/matrix-react-sdk/pull/3652)
 * Rename section heading for integrations in settings
   [\#3650](https://github.com/matrix-org/matrix-react-sdk/pull/3650)
 * Update copy for widgets not using message encryption
   [\#3651](https://github.com/matrix-org/matrix-react-sdk/pull/3651)
 * Ignore media actions
   [\#3649](https://github.com/matrix-org/matrix-react-sdk/pull/3649)
 * Add an option to disable the use of integration managers for provisioning
   [\#3646](https://github.com/matrix-org/matrix-react-sdk/pull/3646)
 * Move many widget options to a context menu
   [\#3645](https://github.com/matrix-org/matrix-react-sdk/pull/3645)
 * Re-add encryption warning to widget permission prompt
   [\#3644](https://github.com/matrix-org/matrix-react-sdk/pull/3644)
 * Update CIDER docs now that it is used for main composer as well
   [\#3647](https://github.com/matrix-org/matrix-react-sdk/pull/3647)
 * get rid of bluebird
   [\#3593](https://github.com/matrix-org/matrix-react-sdk/pull/3593)
 * Remove getBaseTheme
   [\#3638](https://github.com/matrix-org/matrix-react-sdk/pull/3638)
 * ReactionsRowButtonTooltip: fix null dereference if emoji owner left room
   [\#3643](https://github.com/matrix-org/matrix-react-sdk/pull/3643)
 * Add eslint-plugin-jest because we inherit js-sdk's eslintrc and it wants
   [\#3642](https://github.com/matrix-org/matrix-react-sdk/pull/3642)

Changes in [1.7.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.4) (2019-11-27)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.3...v1.7.4)

* Upgrade to JS SDK 2.5.4 to relax identity server discovery and E2EE debugging
* Fix override behaviour of system vs defined theme
* Clarify that cross-signing is in development

Changes in [1.7.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.3) (2019-11-25)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.3-rc.2...v1.7.3)

 * No changes since rc.2

Changes in [1.7.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.3-rc.2) (2019-11-22)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.3-rc.1...v1.7.3-rc.2)

 * Fix double date separator for room upgrade tiles
   [\#3663](https://github.com/matrix-org/matrix-react-sdk/pull/3663)
 * Show m.room.create event before the ELS on room upgrade
   [\#3660](https://github.com/matrix-org/matrix-react-sdk/pull/3660)
 * Make addEventListener conditional
   [\#3659](https://github.com/matrix-org/matrix-react-sdk/pull/3659)
 * Fix e2e icons
   [\#3658](https://github.com/matrix-org/matrix-react-sdk/pull/3658)

Changes in [1.7.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.3-rc.1) (2019-11-20)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.2...v1.7.3-rc.1)

 * Fix positioning, size, and colour of the composer e2e icon
   [\#3641](https://github.com/matrix-org/matrix-react-sdk/pull/3641)
 * upgrade nunito from 3.500 to 3.504
   [\#3639](https://github.com/matrix-org/matrix-react-sdk/pull/3639)
 * Wire up the widget permission prompt to the cross-platform setting
   [\#3630](https://github.com/matrix-org/matrix-react-sdk/pull/3630)
 * Get theme automatically from system setting
   [\#3637](https://github.com/matrix-org/matrix-react-sdk/pull/3637)
 * Update code style for our 90 char life
   [\#3636](https://github.com/matrix-org/matrix-react-sdk/pull/3636)
 * use general warning icon instead of e2e one for room status
   [\#3633](https://github.com/matrix-org/matrix-react-sdk/pull/3633)
 * Add support for platform specific event indexing and search
   [\#3550](https://github.com/matrix-org/matrix-react-sdk/pull/3550)
 * Update from Weblate
   [\#3635](https://github.com/matrix-org/matrix-react-sdk/pull/3635)
 * Use a settings watcher to set the theme
   [\#3634](https://github.com/matrix-org/matrix-react-sdk/pull/3634)
 * Merge the `feature_user_info_panel` flag into `feature_dm_verification`
   [\#3632](https://github.com/matrix-org/matrix-react-sdk/pull/3632)
 * Fix some styling regressions in member panel
   [\#3631](https://github.com/matrix-org/matrix-react-sdk/pull/3631)
 * Add a bit more safety around breadcrumbs
   [\#3629](https://github.com/matrix-org/matrix-react-sdk/pull/3629)
 * Ensure widgets always have a sender associated with them
   [\#3628](https://github.com/matrix-org/matrix-react-sdk/pull/3628)
 * re-add missing case of codepath
   [\#3627](https://github.com/matrix-org/matrix-react-sdk/pull/3627)
 * Implement the bulk of the new widget permission prompt design
   [\#3622](https://github.com/matrix-org/matrix-react-sdk/pull/3622)
 * Relax identity server discovery error handling
   [\#3588](https://github.com/matrix-org/matrix-react-sdk/pull/3588)
 * Add cross-signing feature flag
   [\#3626](https://github.com/matrix-org/matrix-react-sdk/pull/3626)
 * Attempt number two at ripping out Bluebird from rageshake.js
   [\#3624](https://github.com/matrix-org/matrix-react-sdk/pull/3624)
 * Update from Weblate
   [\#3625](https://github.com/matrix-org/matrix-react-sdk/pull/3625)
 * Remove Bluebird: phase 2.1
   [\#3618](https://github.com/matrix-org/matrix-react-sdk/pull/3618)
 * Add better error handling to Synapse user deactivation
   [\#3619](https://github.com/matrix-org/matrix-react-sdk/pull/3619)
 * New design for member panel
   [\#3620](https://github.com/matrix-org/matrix-react-sdk/pull/3620)
 * Show server details on login for unreachable homeserver
   [\#3617](https://github.com/matrix-org/matrix-react-sdk/pull/3617)
 * Add a function to get the "base" theme for a theme
   [\#3615](https://github.com/matrix-org/matrix-react-sdk/pull/3615)
 * Remove Bluebird: phase 2
   [\#3616](https://github.com/matrix-org/matrix-react-sdk/pull/3616)
 * Remove Bluebird: phase 1
   [\#3612](https://github.com/matrix-org/matrix-react-sdk/pull/3612)
 * Move notification count to in front of the room name in the page title
   [\#3613](https://github.com/matrix-org/matrix-react-sdk/pull/3613)
 * Add some logging/recovery for lost rooms
   [\#3614](https://github.com/matrix-org/matrix-react-sdk/pull/3614)
 * Add Mjolnir ban list support
   [\#3585](https://github.com/matrix-org/matrix-react-sdk/pull/3585)
 * Improve room switching performance with alias cache
   [\#3610](https://github.com/matrix-org/matrix-react-sdk/pull/3610)
 * Fix draw order when hovering composer format buttons
   [\#3609](https://github.com/matrix-org/matrix-react-sdk/pull/3609)
 * Use a ternary operator instead of relying on AND semantics in
   EditHistoryDialog
   [\#3606](https://github.com/matrix-org/matrix-react-sdk/pull/3606)
 * Update from Weblate
   [\#3608](https://github.com/matrix-org/matrix-react-sdk/pull/3608)
 * Fix HTML fallback in replies
   [\#3607](https://github.com/matrix-org/matrix-react-sdk/pull/3607)
 * Fix rounded corners for the formatting toolbar
   [\#3605](https://github.com/matrix-org/matrix-react-sdk/pull/3605)
 * Check for a message type before assuming it is a room message
   [\#3604](https://github.com/matrix-org/matrix-react-sdk/pull/3604)
 * Remove lint comments about no-descending-specificity
   [\#3603](https://github.com/matrix-org/matrix-react-sdk/pull/3603)
 * Show verification requests in the timeline
   [\#3601](https://github.com/matrix-org/matrix-react-sdk/pull/3601)
 * Match identity server registration to the IS r0.3.0 spec
   [\#3602](https://github.com/matrix-org/matrix-react-sdk/pull/3602)
 * Restore thumbs after variation selector removal
   [\#3600](https://github.com/matrix-org/matrix-react-sdk/pull/3600)
 * Fix breadcrumbs so the bar is a toolbar and the buttons are buttons.
   [\#3599](https://github.com/matrix-org/matrix-react-sdk/pull/3599)
 * Now that part of spacing is padding, make it smaller when collapsed
   [\#3597](https://github.com/matrix-org/matrix-react-sdk/pull/3597)
 * Remove variation selectors from quick reactions
   [\#3598](https://github.com/matrix-org/matrix-react-sdk/pull/3598)
 * Fix linkify imports
   [\#3595](https://github.com/matrix-org/matrix-react-sdk/pull/3595)

Changes in [1.7.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.2) (2019-11-06)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.1...v1.7.2)

 * Fix softcrash if editing silly events
   [\#3596](https://github.com/matrix-org/matrix-react-sdk/pull/3596)
 * Fix: file and notifications panel back-paginating forever.
   [\#3594](https://github.com/matrix-org/matrix-react-sdk/pull/3594)
 * Fix focus-within on EventTile and more showing onClick
   [\#3591](https://github.com/matrix-org/matrix-react-sdk/pull/3591)
 * Support RTL language in message composer
   [\#3592](https://github.com/matrix-org/matrix-react-sdk/pull/3592)
 * Update from Weblate
   [\#3590](https://github.com/matrix-org/matrix-react-sdk/pull/3590)
 * Improve A11Y of timeline. Show timestamp & Actions on focus-within
   [\#3587](https://github.com/matrix-org/matrix-react-sdk/pull/3587)
 * Fix SVG mask-image usage in a bunch of places for correct outlining
   [\#3589](https://github.com/matrix-org/matrix-react-sdk/pull/3589)
 * Handle breadcrumbs, integration manager provisioning, and allowed widgets
   Riot settings
   [\#3577](https://github.com/matrix-org/matrix-react-sdk/pull/3577)
 * Add a prompt when interacting with an identity server without terms
   [\#3582](https://github.com/matrix-org/matrix-react-sdk/pull/3582)
 * Fix bug where rooms would not appear when filtering
   [\#3584](https://github.com/matrix-org/matrix-react-sdk/pull/3584)
 * Guard against misconfigured homeservers when adding / binding phone numbers
   [\#3583](https://github.com/matrix-org/matrix-react-sdk/pull/3583)
 * Fix error message which is shown when unknown slash command attempted
   [\#3580](https://github.com/matrix-org/matrix-react-sdk/pull/3580)
 * Attempt to fix soft crash on some pinned events by null guarding member
   [\#3581](https://github.com/matrix-org/matrix-react-sdk/pull/3581)

Changes in [1.7.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.1) (2019-11-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.1-rc.2...v1.7.1)

 * No changes since rc.2

Changes in [1.7.1-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.1-rc.2) (2019-11-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.1-rc.1...v1.7.1-rc.2)

 * Fix bug where rooms would not appear when filtering
   [\#3586](https://github.com/matrix-org/matrix-react-sdk/pull/3586)

Changes in [1.7.1-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.1-rc.1) (2019-10-30)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.0...v1.7.1-rc.1)

 * Add ability to hide tray icon on non-Mac
   [\#3573](https://github.com/matrix-org/matrix-react-sdk/pull/3573)
 * Update from Weblate
   [\#3579](https://github.com/matrix-org/matrix-react-sdk/pull/3579)
 * Fix call state logging
   [\#3578](https://github.com/matrix-org/matrix-react-sdk/pull/3578)
 * Match widgets up with their integration manager
   [\#3576](https://github.com/matrix-org/matrix-react-sdk/pull/3576)
 * Add diagnostic log to catch events without an ID
   [\#3575](https://github.com/matrix-org/matrix-react-sdk/pull/3575)
 * Fix missing i18n for RoomTile ARIA labels and add a case for notif-off bold
   [\#3574](https://github.com/matrix-org/matrix-react-sdk/pull/3574)
 * LifeCycle onLoggedOut unmount before stopping client
   [\#3566](https://github.com/matrix-org/matrix-react-sdk/pull/3566)
 * Remove unneeded help about identity servers
   [\#3572](https://github.com/matrix-org/matrix-react-sdk/pull/3572)
 * Remove messages implying you need an identity server for email recovery
   [\#3571](https://github.com/matrix-org/matrix-react-sdk/pull/3571)
 * Fix quick reactions to be aligned with other emoji
   [\#3570](https://github.com/matrix-org/matrix-react-sdk/pull/3570)
 * If ToS gets rejected/any Scalar error then don't make Jitsi widget
   [\#3569](https://github.com/matrix-org/matrix-react-sdk/pull/3569)
 * Update from Weblate
   [\#3568](https://github.com/matrix-org/matrix-react-sdk/pull/3568)
 * Fix Room Create ELS using MXID instead of newly set Displayname/Avatar
   [\#3567](https://github.com/matrix-org/matrix-react-sdk/pull/3567)
 * Improve opening emoji picker performance
   [\#3565](https://github.com/matrix-org/matrix-react-sdk/pull/3565)
 * Update ServerTypeSelector for new matrix.org CS API URL
   [\#3564](https://github.com/matrix-org/matrix-react-sdk/pull/3564)
 * Accessibility Improvements
   [\#3563](https://github.com/matrix-org/matrix-react-sdk/pull/3563)
 * A11Y fixes in the Left Panel
   [\#3562](https://github.com/matrix-org/matrix-react-sdk/pull/3562)
 * Fix lint and i18n test failures
   [\#3560](https://github.com/matrix-org/matrix-react-sdk/pull/3560)
 * Fix: editor tests
   [\#3561](https://github.com/matrix-org/matrix-react-sdk/pull/3561)
 * Use Navigation Treeview pattern for RoomList Accessibility
   [\#3556](https://github.com/matrix-org/matrix-react-sdk/pull/3556)
 * Abort scroll updates when already unmounted
   [\#3557](https://github.com/matrix-org/matrix-react-sdk/pull/3557)
 * UserInfo consolidation of GroupMemberInfo and MemberInfo panels
   [\#3465](https://github.com/matrix-org/matrix-react-sdk/pull/3465)
 * Fix some things in the edit HTML parser
   [\#3552](https://github.com/matrix-org/matrix-react-sdk/pull/3552)
 * Update from Weblate
   [\#3559](https://github.com/matrix-org/matrix-react-sdk/pull/3559)
 * Merge end-to-end tests
   [\#3537](https://github.com/matrix-org/matrix-react-sdk/pull/3537)
 * Add full emoji picker for reactions
   [\#3554](https://github.com/matrix-org/matrix-react-sdk/pull/3554)
 * Accessibility fixes to autocomplete and tabpanels
   [\#3555](https://github.com/matrix-org/matrix-react-sdk/pull/3555)
 * Show warning dialog when changing unreachable IS
   [\#3549](https://github.com/matrix-org/matrix-react-sdk/pull/3549)
 * Fix reply fallback being included in edit m.new_content
   [\#3551](https://github.com/matrix-org/matrix-react-sdk/pull/3551)
 * Document composer features
   [\#3548](https://github.com/matrix-org/matrix-react-sdk/pull/3548)
 * Correctly update the banned users list when a user is unbanned
   [\#3547](https://github.com/matrix-org/matrix-react-sdk/pull/3547)
 * Summarise state events after room creation
   [\#3433](https://github.com/matrix-org/matrix-react-sdk/pull/3433)
 * Don't intercept TAB on the app outside of the composer, fix tabIndex > 0
   [\#3543](https://github.com/matrix-org/matrix-react-sdk/pull/3543)
 * Add some type checking on event body
   [\#3546](https://github.com/matrix-org/matrix-react-sdk/pull/3546)
 * Fix: crash while canceling editing an event when no selection
   [\#3544](https://github.com/matrix-org/matrix-react-sdk/pull/3544)
 * SettingsFlag always run ToggleSwitch fully-controlled
   [\#3541](https://github.com/matrix-org/matrix-react-sdk/pull/3541)
 * Use Keyboard Key consts instead of hardcoded strings
   [\#3540](https://github.com/matrix-org/matrix-react-sdk/pull/3540)

Changes in [1.7.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.0) (2019-10-18)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.7.0-rc.1...v1.7.0)

 * Upgrade to JS SDK v2.4.2
 * Fix: edit unmount when no selection
   [\#3545](https://github.com/matrix-org/matrix-react-sdk/pull/3545)
 * "SettingsFlag always run ToggleSwitch fully controlled" to release
   [\#3542](https://github.com/matrix-org/matrix-react-sdk/pull/3542)

Changes in [1.7.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.7.0-rc.1) (2019-10-09)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.2...v1.7.0-rc.1)

 * Update from Weblate
   [\#3539](https://github.com/matrix-org/matrix-react-sdk/pull/3539)
 * React error/warning cleanup
   [\#3529](https://github.com/matrix-org/matrix-react-sdk/pull/3529)
 * Add label to rageshakes for React soft crashes
   [\#3535](https://github.com/matrix-org/matrix-react-sdk/pull/3535)
 * Support UI Auth on adding email addresses & phone numbers
   [\#3534](https://github.com/matrix-org/matrix-react-sdk/pull/3534)
 * Unmount React components before stopping the client
   [\#3533](https://github.com/matrix-org/matrix-react-sdk/pull/3533)
 * Fix soft crash on room join
   [\#3532](https://github.com/matrix-org/matrix-react-sdk/pull/3532)
 * Fix:  Unable to verify email address error
   [\#3528](https://github.com/matrix-org/matrix-react-sdk/pull/3528)
 * Fix: submit create room dialog when pressing enter
   [\#3509](https://github.com/matrix-org/matrix-react-sdk/pull/3509)
 * Allow cyclic objects in console logs
   [\#3531](https://github.com/matrix-org/matrix-react-sdk/pull/3531)
 * Fix: watch emoticon autoreplace setting
   [\#3530](https://github.com/matrix-org/matrix-react-sdk/pull/3530)
 * Make "remove recent messages" more robust
   [\#3508](https://github.com/matrix-org/matrix-react-sdk/pull/3508)
 * Label submit button in UI auth password prompt
   [\#3527](https://github.com/matrix-org/matrix-react-sdk/pull/3527)
 * Null-guard the recaptcha setup
   [\#3526](https://github.com/matrix-org/matrix-react-sdk/pull/3526)
 * Use a mask instead of an img for "Show image" eye
   [\#3513](https://github.com/matrix-org/matrix-react-sdk/pull/3513)
 * Only limit the rageshake log size in one place
   [\#3523](https://github.com/matrix-org/matrix-react-sdk/pull/3523)
 * Rename UPPER_CAMEL_CASE to UPPER_SNAKE_CASE in Coding Style
   [\#3525](https://github.com/matrix-org/matrix-react-sdk/pull/3525)
 * Revert "Run yarn upgrade"
   [\#3524](https://github.com/matrix-org/matrix-react-sdk/pull/3524)
 * Run yarn upgrade
   [\#3521](https://github.com/matrix-org/matrix-react-sdk/pull/3521)
 * Limit Backspace-consuming workaround to just Slate, tidy Keyboard :)
   [\#3522](https://github.com/matrix-org/matrix-react-sdk/pull/3522)
 * Enable CIDER composer by default
   [\#3519](https://github.com/matrix-org/matrix-react-sdk/pull/3519)
 * Update from Weblate
   [\#3520](https://github.com/matrix-org/matrix-react-sdk/pull/3520)
 * Cull some easily fixable errors which make the console a mess
   [\#3516](https://github.com/matrix-org/matrix-react-sdk/pull/3516)

Changes in [1.6.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.2) (2019-10-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.2-rc.1...v1.6.2)

 * Handle null from TimelinePanel.getScrollState in RoomView _getScrollState
   [\#3518](https://github.com/matrix-org/matrix-react-sdk/pull/3518)
 * Fix Community Panel preference not taking effect until some refreshing
   [\#3517](https://github.com/matrix-org/matrix-react-sdk/pull/3517)
 * Fix backspace without slate focus killing everything
   [\#3515](https://github.com/matrix-org/matrix-react-sdk/pull/3515)
 * Fix integration manager not updating when set
   [\#3510](https://github.com/matrix-org/matrix-react-sdk/pull/3510)
 * Various ARIA a11y fixes.
   [\#3514](https://github.com/matrix-org/matrix-react-sdk/pull/3514)
 * Add a bit of debugging for where MatrixClient stops
   [\#3511](https://github.com/matrix-org/matrix-react-sdk/pull/3511)
 * Add error boundaries to catch rendering errors
   [\#3512](https://github.com/matrix-org/matrix-react-sdk/pull/3512)
 * Add an option to hide image previews
   [\#3492](https://github.com/matrix-org/matrix-react-sdk/pull/3492)
 * Fix:  stuck tooltip with composer formatting bar
   [\#3507](https://github.com/matrix-org/matrix-react-sdk/pull/3507)
 * Fix: don't let composer placeholder show horizontal scrollbar when too
   narrow
   [\#3506](https://github.com/matrix-org/matrix-react-sdk/pull/3506)

Changes in [1.6.2-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.2-rc.1) (2019-10-02)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.1...v1.6.2-rc.1)

 * Custom theming MVP
   [\#3503](https://github.com/matrix-org/matrix-react-sdk/pull/3503)
 * Don't mark a room as unread when someone adds an alias
   [\#3505](https://github.com/matrix-org/matrix-react-sdk/pull/3505)
 * Fix upgraderoom slashcommand
   [\#3504](https://github.com/matrix-org/matrix-react-sdk/pull/3504)
 * Update stripped emoji and bump emojidata to 4.0.2
   [\#3501](https://github.com/matrix-org/matrix-react-sdk/pull/3501)
 * Support local permalinks for unfederated instances
   [\#3500](https://github.com/matrix-org/matrix-react-sdk/pull/3500)
 * Accessibility fixes to the LeftPanel
   [\#3499](https://github.com/matrix-org/matrix-react-sdk/pull/3499)
 * Make Autocomplete more accessible to screen reader users
   [\#3497](https://github.com/matrix-org/matrix-react-sdk/pull/3497)
 * Fix: even more resilience to detect slash commands
   [\#3496](https://github.com/matrix-org/matrix-react-sdk/pull/3496)
 * Fix PropTypes usage, sdk import path and GroupMemberTile letter-avatar
   [\#3486](https://github.com/matrix-org/matrix-react-sdk/pull/3486)

Changes in [1.6.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.1) (2019-10-01)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.0...v1.6.1)

 * Upgrade to JS SDK 2.4.1 to ignore crypto events with empty content
 * Update from Weblate
   [\#3502](https://github.com/matrix-org/matrix-react-sdk/pull/3502)
 * Adjust details of terms dialog
   [\#3489](https://github.com/matrix-org/matrix-react-sdk/pull/3489)
 * Okay -> OK
   [\#3491](https://github.com/matrix-org/matrix-react-sdk/pull/3491)
 * Guard against falsy names in getInitialLetter
   [\#3498](https://github.com/matrix-org/matrix-react-sdk/pull/3498)
 * Update from Weblate
   [\#3495](https://github.com/matrix-org/matrix-react-sdk/pull/3495)
 * Upgrade deps
   [\#3488](https://github.com/matrix-org/matrix-react-sdk/pull/3488)
 * Fix: allow mass redaction for members with same or larger power level
   [\#3487](https://github.com/matrix-org/matrix-react-sdk/pull/3487)
 * Truncate debug logs at the start, not the end
   [\#3484](https://github.com/matrix-org/matrix-react-sdk/pull/3484)
 * Fix: don't block Shift+Tab in CIDER autocomplete
   [\#3481](https://github.com/matrix-org/matrix-react-sdk/pull/3481)
 * Fix: make command detection more resilient
   [\#3479](https://github.com/matrix-org/matrix-react-sdk/pull/3479)

Changes in [1.6.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.0) (2019-09-27)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.0-rc.2...v1.6.0)

 * Upgrade to JS SDK 2.4.0
 * Improve keyboard/screen reader accesibility some more
   [\#3483](https://github.com/matrix-org/matrix-react-sdk/pull/3483)

Changes in [1.6.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.0-rc.2) (2019-09-26)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.6.0-rc.1...v1.6.0-rc.2)

 * Settings a11y tweaks
   [\#3475](https://github.com/matrix-org/matrix-react-sdk/pull/3475)

Changes in [1.6.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.6.0-rc.1) (2019-09-25)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.3...v1.6.0-rc.1)

 * Upgrade to JS SDK 2.4.0-rc.1
 * Update from Weblate
   [\#3480](https://github.com/matrix-org/matrix-react-sdk/pull/3480)
 * Fix: latin input through Chinese IME
   [\#3477](https://github.com/matrix-org/matrix-react-sdk/pull/3477)
 * Move focus to first field in create room dialog when showing
   [\#3478](https://github.com/matrix-org/matrix-react-sdk/pull/3478)
 * Send MSISDN validation token to submit_url during registration
   [\#3476](https://github.com/matrix-org/matrix-react-sdk/pull/3476)
 * Hide browser a11y outline on context menus
   [\#3474](https://github.com/matrix-org/matrix-react-sdk/pull/3474)
 * Remove id_server param from threepid_creds
   [\#3473](https://github.com/matrix-org/matrix-react-sdk/pull/3473)
 * Fix: make sure client exists while logging out
   [\#3472](https://github.com/matrix-org/matrix-react-sdk/pull/3472)
 * Fix: hide details summary arrow in create room dialog on webkit too
   [\#3470](https://github.com/matrix-org/matrix-react-sdk/pull/3470)
 * put the room name in the title tag
   [\#3471](https://github.com/matrix-org/matrix-react-sdk/pull/3471)
 * Fix: when using autocomplete, ensure command is not sent as text, and @room
   notifs gets needed suffix
   [\#3468](https://github.com/matrix-org/matrix-react-sdk/pull/3468)
 * Fix: paragraphs not being preserved when editing in CIDER
   [\#3469](https://github.com/matrix-org/matrix-react-sdk/pull/3469)
 * Fix: formatbar appearing below other elements
   [\#3467](https://github.com/matrix-org/matrix-react-sdk/pull/3467)
 * Use alternate MSISDN submit URL when returned by HS
   [\#3466](https://github.com/matrix-org/matrix-react-sdk/pull/3466)
 * FTUE: Create Room Dialog update
   [\#3464](https://github.com/matrix-org/matrix-react-sdk/pull/3464)
 * Use separate 3PID add and bind flow for supporting HSes
   [\#3462](https://github.com/matrix-org/matrix-react-sdk/pull/3462)
 * Add roomavatar slash command to set avatar of the current room
   [\#3460](https://github.com/matrix-org/matrix-react-sdk/pull/3460)
 * Don't show spinner if registration is disabled
   [\#3458](https://github.com/matrix-org/matrix-react-sdk/pull/3458)
 * Use same initial device name rules for SSO login as password login
   [\#3457](https://github.com/matrix-org/matrix-react-sdk/pull/3457)
 * Fix disabled save button on message editor when pasting
   [\#3459](https://github.com/matrix-org/matrix-react-sdk/pull/3459)
 * Some delinting
   [\#3456](https://github.com/matrix-org/matrix-react-sdk/pull/3456)
 * Fix failure to render newly verified phone number and nested forms
   [\#3455](https://github.com/matrix-org/matrix-react-sdk/pull/3455)
 * Focus context menus so screen readers can find them
   [\#3454](https://github.com/matrix-org/matrix-react-sdk/pull/3454)
 * Fix unit tests: Use correct ShallowRenderer and updated lolex
   [\#3453](https://github.com/matrix-org/matrix-react-sdk/pull/3453)
 * make the lifetimes of the RM configurable
   [\#3450](https://github.com/matrix-org/matrix-react-sdk/pull/3450)
 * Point to develop dependencies and fixed react-gemini-scrollbar
   [\#3451](https://github.com/matrix-org/matrix-react-sdk/pull/3451)
 * Fix address type props to state conversion
   [\#3449](https://github.com/matrix-org/matrix-react-sdk/pull/3449)
 * Only put a room in Historical if === 'leave' not peeked
   [\#3445](https://github.com/matrix-org/matrix-react-sdk/pull/3445)
 * Reuse showRoom for onJoinClick so we join using alias if its available
   [\#3444](https://github.com/matrix-org/matrix-react-sdk/pull/3444)
 * Fix: make sure scalarUrls is never undefined
   [\#3446](https://github.com/matrix-org/matrix-react-sdk/pull/3446)
 * Tweak lock file to pull in only one React version
   [\#3447](https://github.com/matrix-org/matrix-react-sdk/pull/3447)
 * Wrap deactivation check with sanity conditions
   [\#3437](https://github.com/matrix-org/matrix-react-sdk/pull/3437)
 * Fix identity server text in AddressPickerDialog
   [\#3408](https://github.com/matrix-org/matrix-react-sdk/pull/3408)
 * Change copy for sharing an email
   [\#3438](https://github.com/matrix-org/matrix-react-sdk/pull/3438)
 * Fix: stop propagation click handler for <TR> doesn't run
   [\#3441](https://github.com/matrix-org/matrix-react-sdk/pull/3441)
 * Fix: clicking on a room directory item takes you to the room
   [\#3439](https://github.com/matrix-org/matrix-react-sdk/pull/3439)
 * Fix: only hide clear filter button when blurred & no more search term
   [\#3432](https://github.com/matrix-org/matrix-react-sdk/pull/3432)
 * Dont wrap text in room directory buttons
   [\#3430](https://github.com/matrix-org/matrix-react-sdk/pull/3430)
 * Add way to report the content of a message
   [\#3290](https://github.com/matrix-org/matrix-react-sdk/pull/3290)
 * Breadcrumbs: only show after having joined at least 10 rooms
   [\#3428](https://github.com/matrix-org/matrix-react-sdk/pull/3428)
 * Breadcrumbs: show placeholder for empty slot
   [\#3429](https://github.com/matrix-org/matrix-react-sdk/pull/3429)
 * Hide the change HS url button on SSO login flow if custom urls disabled
   [\#3421](https://github.com/matrix-org/matrix-react-sdk/pull/3421)
 * Fix register page selector buttons growing too wide
   [\#3423](https://github.com/matrix-org/matrix-react-sdk/pull/3423)
 * Left panel: visual fixes
   [\#3422](https://github.com/matrix-org/matrix-react-sdk/pull/3422)
 * EditMessageComposer: disable Save button until a change has been made
   [\#3410](https://github.com/matrix-org/matrix-react-sdk/pull/3410)
 * RoomDirectory: show spinner if loading more results
   [\#3416](https://github.com/matrix-org/matrix-react-sdk/pull/3416)
 * SSO Login: don't assume m.login.password, ask server before showing
   [\#3417](https://github.com/matrix-org/matrix-react-sdk/pull/3417)
 * Switch to React 16
   [\#3270](https://github.com/matrix-org/matrix-react-sdk/pull/3270)
 * Fix replying from search results for this and all rooms
   [\#3406](https://github.com/matrix-org/matrix-react-sdk/pull/3406)
 * Support Synapse deactivate on MemberInfo without Room (timeline pill)
   [\#3411](https://github.com/matrix-org/matrix-react-sdk/pull/3411)
 * Lift 3PID state management up to Settings tab
   [\#3419](https://github.com/matrix-org/matrix-react-sdk/pull/3419)
 * Room directory: update design
   [\#3418](https://github.com/matrix-org/matrix-react-sdk/pull/3418)
 * Room directory: add action buttons on room directly
   [\#3413](https://github.com/matrix-org/matrix-react-sdk/pull/3413)
 * Add explore button in left panel to go show room directory
   [\#3412](https://github.com/matrix-org/matrix-react-sdk/pull/3412)
 * Only update m.accepted_terms if there were changes
   [\#3415](https://github.com/matrix-org/matrix-react-sdk/pull/3415)
 * Make uses of AddressPickerDialog static dialogs
   [\#3414](https://github.com/matrix-org/matrix-react-sdk/pull/3414)
 * Support sending hidden read receipts
   [\#3395](https://github.com/matrix-org/matrix-react-sdk/pull/3395)
 * Catch error from changing room power level requirements and show modal
   [\#3407](https://github.com/matrix-org/matrix-react-sdk/pull/3407)
 * Add "Remove recent messages" button in member info for administrator
   [\#3409](https://github.com/matrix-org/matrix-react-sdk/pull/3409)
 * Add bound 3PID warning when changing IS as well
   [\#3394](https://github.com/matrix-org/matrix-react-sdk/pull/3394)
 * Stregthen bound 3PID warning dialog
   [\#3401](https://github.com/matrix-org/matrix-react-sdk/pull/3401)
 * Stop setting IS input field on account change
   [\#3398](https://github.com/matrix-org/matrix-react-sdk/pull/3398)
 * New composer: use underscore for italics so it doesn't collide with bold
   when toggling
   [\#3403](https://github.com/matrix-org/matrix-react-sdk/pull/3403)
 * Switch to createReactClass: views/elements & views/groups. React 16 :D
   [\#3404](https://github.com/matrix-org/matrix-react-sdk/pull/3404)
 * Switch to createReactClass: *everything else*. React 16 :D
   [\#3405](https://github.com/matrix-org/matrix-react-sdk/pull/3405)
 * Switch to createReactClass: views/rooms and test/components. React 16 :D
   [\#3400](https://github.com/matrix-org/matrix-react-sdk/pull/3400)
 * New composer: support toggling inline formatting
   [\#3402](https://github.com/matrix-org/matrix-react-sdk/pull/3402)
 * Fix format bar not appearing in edit composer
   [\#3399](https://github.com/matrix-org/matrix-react-sdk/pull/3399)
 * Correct case of propTypes property in ES6 React Components. React 16
   [\#3397](https://github.com/matrix-org/matrix-react-sdk/pull/3397)
 * Fix error on load in composer
   [\#3396](https://github.com/matrix-org/matrix-react-sdk/pull/3396)
 * New composer: ensure undo history is persisted before applying formatting
   [\#3391](https://github.com/matrix-org/matrix-react-sdk/pull/3391)
 * New composer: fix pasting from word processors
   [\#3392](https://github.com/matrix-org/matrix-react-sdk/pull/3392)
 * New composer: fix needing to push arrow-up twice after sending first message
   after switching to a room
   [\#3393](https://github.com/matrix-org/matrix-react-sdk/pull/3393)
 * Remove accent color as selection color
   [\#3390](https://github.com/matrix-org/matrix-react-sdk/pull/3390)
 * New composer: formatting keyboard shortcuts
   [\#3389](https://github.com/matrix-org/matrix-react-sdk/pull/3389)
 * New composer: format bar tooltips
   [\#3387](https://github.com/matrix-org/matrix-react-sdk/pull/3387)
 * New composer: show format bar on selection
   [\#3386](https://github.com/matrix-org/matrix-react-sdk/pull/3386)
 * Add new agreed URLs to account data instead of overwriting
   [\#3388](https://github.com/matrix-org/matrix-react-sdk/pull/3388)
 * Fix member power levels in room settings
   [\#3384](https://github.com/matrix-org/matrix-react-sdk/pull/3384)
 * New composer: allow escaping the first slash to not write a command
   [\#3382](https://github.com/matrix-org/matrix-react-sdk/pull/3382)
 * /plain command to bypass markdown conversion
   [\#3381](https://github.com/matrix-org/matrix-react-sdk/pull/3381)
 * Improve email invite preview messaging
   [\#3385](https://github.com/matrix-org/matrix-react-sdk/pull/3385)
 * Revert "New composer: show markdown legend on focus"
   [\#3383](https://github.com/matrix-org/matrix-react-sdk/pull/3383)
 * Disable MSISDN registration if the homeserver doesn't support it
   [\#3368](https://github.com/matrix-org/matrix-react-sdk/pull/3368)
 * Add a button to MemberInfo to deactivate a user
   [\#3371](https://github.com/matrix-org/matrix-react-sdk/pull/3371)
 * New composer: show markdown legend on focus
   [\#3378](https://github.com/matrix-org/matrix-react-sdk/pull/3378)
 * New composer: allow submitting after inserting newline
   [\#3380](https://github.com/matrix-org/matrix-react-sdk/pull/3380)
 * Message editing: deserialize headers from html back to markdown
   [\#3379](https://github.com/matrix-org/matrix-react-sdk/pull/3379)
 * New composer: share user pill postfix between autocomplete and insert
   mention
   [\#3375](https://github.com/matrix-org/matrix-react-sdk/pull/3375)
 * New composer: make command detection not break with pill candidates in
   command
   [\#3374](https://github.com/matrix-org/matrix-react-sdk/pull/3374)
 * New composer: dont allow sending empty messages
   [\#3377](https://github.com/matrix-org/matrix-react-sdk/pull/3377)
 * New composer: disable spell check for pills
   [\#3376](https://github.com/matrix-org/matrix-react-sdk/pull/3376)
 * Restrict green link colours to address picker dialog
   [\#3373](https://github.com/matrix-org/matrix-react-sdk/pull/3373)
 * New composer: fix tab-complete in commands
   [\#3372](https://github.com/matrix-org/matrix-react-sdk/pull/3372)
 * Add a dialog when inviting via slash command without IS
   [\#3367](https://github.com/matrix-org/matrix-react-sdk/pull/3367)
 * Migrate away from React.createClass for auth and views/auth. React 16 :D
   [\#3363](https://github.com/matrix-org/matrix-react-sdk/pull/3363)
 * Migrate away from React.createClass for non-auth structures. React 16 :D
   [\#3365](https://github.com/matrix-org/matrix-react-sdk/pull/3365)
 * New composer: put display name in user pill text fallback instead of mxid
   [\#3366](https://github.com/matrix-org/matrix-react-sdk/pull/3366)
 * New composer: force model update after IME composition finishes
   [\#3364](https://github.com/matrix-org/matrix-react-sdk/pull/3364)
 * New composer: append colon to completed user pill when at start of message
   [\#3361](https://github.com/matrix-org/matrix-react-sdk/pull/3361)
 * Expose power level toggle for enabling e2ee to room settings
   [\#3351](https://github.com/matrix-org/matrix-react-sdk/pull/3351)
 * Allow connecting to an IS from address picker
   [\#3359](https://github.com/matrix-org/matrix-react-sdk/pull/3359)
 * New composer: don't capture enter to close autocomplete
   [\#3362](https://github.com/matrix-org/matrix-react-sdk/pull/3362)
 * Add Spoilers as per MSC2010
   [\#3018](https://github.com/matrix-org/matrix-react-sdk/pull/3018)
 * New composer: support pasting files
   [\#3358](https://github.com/matrix-org/matrix-react-sdk/pull/3358)
 * New composer: don't update model while doing IME compositions
   [\#3357](https://github.com/matrix-org/matrix-react-sdk/pull/3357)
 * New composer: handle newlines properly when pasting
   [\#3356](https://github.com/matrix-org/matrix-react-sdk/pull/3356)
 * Bump eslint-utils from 1.4.0 to 1.4.2
   [\#3360](https://github.com/matrix-org/matrix-react-sdk/pull/3360)
 * Reveal custom IS field only when required
   [\#3343](https://github.com/matrix-org/matrix-react-sdk/pull/3343)
 * Only Destroy the expected persistent widget, not *ANY*
   [\#3338](https://github.com/matrix-org/matrix-react-sdk/pull/3338)
 * Expose upgrade room permissions in room settings and fix command
   [\#3352](https://github.com/matrix-org/matrix-react-sdk/pull/3352)
 * Don't use cursor: pointer on roomsettings avatar if you can't change it
   [\#3354](https://github.com/matrix-org/matrix-react-sdk/pull/3354)
 * New composer: support forcing auto complete on name by hitting tab
   [\#3349](https://github.com/matrix-org/matrix-react-sdk/pull/3349)
 * Update email help text
   [\#3355](https://github.com/matrix-org/matrix-react-sdk/pull/3355)
 * Don't infinite loop on server change
   [\#3350](https://github.com/matrix-org/matrix-react-sdk/pull/3350)
 * Support multiple integration managers behind a labs flag
   [\#3341](https://github.com/matrix-org/matrix-react-sdk/pull/3341)
 * Support homeserver-configured integration managers
   [\#3340](https://github.com/matrix-org/matrix-react-sdk/pull/3340)
 * Auto-replace emoticons with emojis in new composer
   [\#3342](https://github.com/matrix-org/matrix-react-sdk/pull/3342)
 * Adjust copy and include identity server changing when terms are pending
   [\#3348](https://github.com/matrix-org/matrix-react-sdk/pull/3348)
 * Migrate away from React.createClass for views/dialogs. React 16 :D
   [\#3347](https://github.com/matrix-org/matrix-react-sdk/pull/3347)
 * Migrate away from React.createClass for async-components. React 16 :D
   [\#3346](https://github.com/matrix-org/matrix-react-sdk/pull/3346)
 * Switch from react-addons-test-utils to react-dom/test-utils. React 16 :D
   [\#3345](https://github.com/matrix-org/matrix-react-sdk/pull/3345)
 * Iterate over all instances of variable/tag for _t substitutions
   [\#3339](https://github.com/matrix-org/matrix-react-sdk/pull/3339)
 * Treat 404 errors on IS as having no terms
   [\#3344](https://github.com/matrix-org/matrix-react-sdk/pull/3344)
 * Add IS access token callback
   [\#3337](https://github.com/matrix-org/matrix-react-sdk/pull/3337)
 * Tweak rageshake logging messages
   [\#3331](https://github.com/matrix-org/matrix-react-sdk/pull/3331)
 * Support editing composer to be used as main composer (feature flagged)
   [\#3287](https://github.com/matrix-org/matrix-react-sdk/pull/3287)
 * Remove tooltipClassName from the Field's input
   [\#3333](https://github.com/matrix-org/matrix-react-sdk/pull/3333)
 * Fix alignment of discovery section addresses
   [\#3335](https://github.com/matrix-org/matrix-react-sdk/pull/3335)
 * No-op removals of widgets that don't exist
   [\#3336](https://github.com/matrix-org/matrix-react-sdk/pull/3336)
 * Remove extraneous logging
   [\#3334](https://github.com/matrix-org/matrix-react-sdk/pull/3334)
 * Handle terms agreement in Discovery section of user settings
   [\#3327](https://github.com/matrix-org/matrix-react-sdk/pull/3327)
 * Don't double translate labs settings
   [\#3332](https://github.com/matrix-org/matrix-react-sdk/pull/3332)
 * Explicitly check for modifier keydown events before focusing composer
   [\#3328](https://github.com/matrix-org/matrix-react-sdk/pull/3328)
 * Touch up settings: alignment, spacing, error states
   [\#3330](https://github.com/matrix-org/matrix-react-sdk/pull/3330)
 * Fix regression on widget panel edit button
   [\#3329](https://github.com/matrix-org/matrix-react-sdk/pull/3329)
 * Clarify that device names are publicly visible
   [\#3326](https://github.com/matrix-org/matrix-react-sdk/pull/3326)
 * Tweak privacy settings copy and whitespace
   [\#3325](https://github.com/matrix-org/matrix-react-sdk/pull/3325)
 *  Persist and maintain identity server in account data
   [\#3320](https://github.com/matrix-org/matrix-react-sdk/pull/3320)
 *  Prompt for terms of service on identity server changes
   [\#3317](https://github.com/matrix-org/matrix-react-sdk/pull/3317)
 * Allow 3pids to be added with no ID server set
   [\#3323](https://github.com/matrix-org/matrix-react-sdk/pull/3323)
 * Fix up remove threepid confirmation UX
   [\#3324](https://github.com/matrix-org/matrix-react-sdk/pull/3324)
 * Improve Discovery section when no IS set
   [\#3322](https://github.com/matrix-org/matrix-react-sdk/pull/3322)
 * Allow password reset without an ID Server
   [\#3319](https://github.com/matrix-org/matrix-react-sdk/pull/3319)
 * Allow registering with email if no ID Server
   [\#3318](https://github.com/matrix-org/matrix-react-sdk/pull/3318)
 * Update from Weblate
   [\#3321](https://github.com/matrix-org/matrix-react-sdk/pull/3321)
 * Fix showing events which were replied to and then redacted
   [\#3310](https://github.com/matrix-org/matrix-react-sdk/pull/3310)
 * Prompt for terms of service on integration manager changes
   [\#3316](https://github.com/matrix-org/matrix-react-sdk/pull/3316)
 * Warn on disconnecting from IS
   [\#3314](https://github.com/matrix-org/matrix-react-sdk/pull/3314)
 * Fix set integration manager tooltip
   [\#3315](https://github.com/matrix-org/matrix-react-sdk/pull/3315)
 * Prompt for ICE server fallback permission
   [\#3309](https://github.com/matrix-org/matrix-react-sdk/pull/3309)
 * Fix Persisted Widgets (Jitsi) randomly closing on room change
   [\#3313](https://github.com/matrix-org/matrix-react-sdk/pull/3313)
 * Verifying your own device should not ask you to "contact its owner"
   [\#3312](https://github.com/matrix-org/matrix-react-sdk/pull/3312)
 * Support changing your integration manager in the UI
   [\#3308](https://github.com/matrix-org/matrix-react-sdk/pull/3308)
 * delint languageHandler
   [\#3311](https://github.com/matrix-org/matrix-react-sdk/pull/3311)
 * Disconnect from IS Button
   [\#3305](https://github.com/matrix-org/matrix-react-sdk/pull/3305)
 * Add UI in settings to change ID Server
   [\#3300](https://github.com/matrix-org/matrix-react-sdk/pull/3300)
 * Read integration managers from account data (widgets)
   [\#3302](https://github.com/matrix-org/matrix-react-sdk/pull/3302)
 * Refactor integration manager handling into a common place
   [\#3301](https://github.com/matrix-org/matrix-react-sdk/pull/3301)
 * Fix wrong default-letter-avatar for RoomAvatarEvent
   [\#3291](https://github.com/matrix-org/matrix-react-sdk/pull/3291)
 * Fix alignment of add email/phone number inputs in settings
   [\#3307](https://github.com/matrix-org/matrix-react-sdk/pull/3307)
 * Bump matrix-react-test-utils for React 16 compatibility
   [\#3306](https://github.com/matrix-org/matrix-react-sdk/pull/3306)
 * Consolidate Themes into ThemeController. Remove hardcoded themes in view
   [\#3304](https://github.com/matrix-org/matrix-react-sdk/pull/3304)
 * Deduplicate code in ModularServerConfig by extending ServerConfig
   [\#3303](https://github.com/matrix-org/matrix-react-sdk/pull/3303)
 * RegistrationForm: the Fields are controlled, fix default values
   [\#3299](https://github.com/matrix-org/matrix-react-sdk/pull/3299)
 * change Modal async/await signature to use raw promises
   [\#3298](https://github.com/matrix-org/matrix-react-sdk/pull/3298)
 * Modal.createX return thenable which extends onFinished, for async/await
   [\#3297](https://github.com/matrix-org/matrix-react-sdk/pull/3297)
 * Add mount-guards to MImageBody
   [\#3294](https://github.com/matrix-org/matrix-react-sdk/pull/3294)
 * Get rid of support for legacy login params
   [\#3296](https://github.com/matrix-org/matrix-react-sdk/pull/3296)
 * Change throttle to debounce
   [\#3295](https://github.com/matrix-org/matrix-react-sdk/pull/3295)
 * Misc fixes to karma webpack
   [\#3293](https://github.com/matrix-org/matrix-react-sdk/pull/3293)
 * Remove 3PID binding during registration
   [\#3289](https://github.com/matrix-org/matrix-react-sdk/pull/3289)
 * Add controls for toggling discovery in user settings
   [\#3288](https://github.com/matrix-org/matrix-react-sdk/pull/3288)
 * Reuse DMs whenever possible instead of asking to reuse them
   [\#3286](https://github.com/matrix-org/matrix-react-sdk/pull/3286)
 * Work with no ID server set
   [\#3285](https://github.com/matrix-org/matrix-react-sdk/pull/3285)
 * Split MessageEditor up in edit-specifics & reusable parts for main composer
   [\#3282](https://github.com/matrix-org/matrix-react-sdk/pull/3282)
 * Fix waste of space of collapsed left panel
   [\#2668](https://github.com/matrix-org/matrix-react-sdk/pull/2668)
 * Add help slash command
   [\#3257](https://github.com/matrix-org/matrix-react-sdk/pull/3257)
 * Allow setting in electron whether or not to auto hide menu bar
   [\#3278](https://github.com/matrix-org/matrix-react-sdk/pull/3278)
 * Progress towards React 16 compatibility
   [\#3276](https://github.com/matrix-org/matrix-react-sdk/pull/3276)
 * Hide settings button on Room Tile Context Menu for myMembership=invite
   [\#3284](https://github.com/matrix-org/matrix-react-sdk/pull/3284)
 * Remove withMatrixClient as we are committed to using Contexts
   [\#3279](https://github.com/matrix-org/matrix-react-sdk/pull/3279)
 * Update existing 3PID management UX
   [\#3283](https://github.com/matrix-org/matrix-react-sdk/pull/3283)
 * Let user know their account has been deactivated upon trying to login
   [\#3280](https://github.com/matrix-org/matrix-react-sdk/pull/3280)
 * Fix newline not being appended to code block while converting message to
   markdown
   [\#3274](https://github.com/matrix-org/matrix-react-sdk/pull/3274)
 * Don't load guest sessions on post-registration login link
   [\#3273](https://github.com/matrix-org/matrix-react-sdk/pull/3273)
 * Show terms modal when inviting by email
   [\#3271](https://github.com/matrix-org/matrix-react-sdk/pull/3271)
 * Add developer documentation for the new editor
   [\#3272](https://github.com/matrix-org/matrix-react-sdk/pull/3272)
 * Undo/redo support for new editor
   [\#3267](https://github.com/matrix-org/matrix-react-sdk/pull/3267)
 * Check IS v2 account tokens for validity
   [\#3268](https://github.com/matrix-org/matrix-react-sdk/pull/3268)
 * Fix dialog button border colours
   [\#3269](https://github.com/matrix-org/matrix-react-sdk/pull/3269)
 * Upgrade dependencies
   [\#3266](https://github.com/matrix-org/matrix-react-sdk/pull/3266)

Changes in [1.5.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.3) (2019-09-16)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.3-rc.3...v1.5.3)

 * Release: Directory should use the alias or server information to join the
   room
   [\#3448](https://github.com/matrix-org/matrix-react-sdk/pull/3448)

Changes in [1.5.3-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.3-rc.3) (2019-09-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.3-rc.2...v1.5.3-rc.3)

 * js-sdk rc.1 for report API

Changes in [1.5.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.3-rc.2) (2019-09-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.3-rc.1...v1.5.3-rc.2)

 * Fix: stop propagation click handler for <TR> doesn't run
   [\#3443](https://github.com/matrix-org/matrix-react-sdk/pull/3443)
 * Add way to report the content of a message
   [\#3442](https://github.com/matrix-org/matrix-react-sdk/pull/3442)
 * Fix synapse deactivate button for release
   [\#3436](https://github.com/matrix-org/matrix-react-sdk/pull/3436)
 * Fix: clicking on a room directory item takes you to the room
   [\#3440](https://github.com/matrix-org/matrix-react-sdk/pull/3440)

Changes in [1.5.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.3-rc.1) (2019-09-12)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.2...v1.5.3-rc.1)

 * Fix: only hide clear filter button when blurred & no more search term
   [\#3435](https://github.com/matrix-org/matrix-react-sdk/pull/3435)
 * Dont wrap text in room directory buttons
   [\#3434](https://github.com/matrix-org/matrix-react-sdk/pull/3434)

Changes in [1.5.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.2) (2019-09-12)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.2-rc.1...v1.5.2)

 * Fix register page selector buttons growing too wide
   [\#3427](https://github.com/matrix-org/matrix-react-sdk/pull/3427)
 * Left panel: visual fixes
   [\#3426](https://github.com/matrix-org/matrix-react-sdk/pull/3426)
 * Hide the change HS url button on SSO login flow if custom urls disabled
   [\#3425](https://github.com/matrix-org/matrix-react-sdk/pull/3425)
 * RoomDirectory: show spinner if loading more results
   [\#3424](https://github.com/matrix-org/matrix-react-sdk/pull/3424)

Changes in [1.5.2-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.2-rc.1) (2019-09-11)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.1...v1.5.2-rc.1)

 * Merge first pass of First Time User Experience to release branch
   [\#3420](https://github.com/matrix-org/matrix-react-sdk/pull/3420)

Changes in [1.5.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.1) (2019-08-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.0-rc.1...v1.5.1)

 * Let user know their account has been deactivated upon trying to login
   [\#3281](https://github.com/matrix-org/matrix-react-sdk/pull/3281)

Changes in [1.5.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.0) (2019-08-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.5.0-rc.1...v1.5.0)

 * Don't load guest sessions on post-registration login link
   [\#3277](https://github.com/matrix-org/matrix-react-sdk/pull/3277)

Changes in [1.5.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.5.0-rc.1) (2019-07-31)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.4.0...v1.5.0-rc.1)

 * Upgrade to JS SDK 2.3.0-rc.1
 * Update from Weblate
   [\#3265](https://github.com/matrix-org/matrix-react-sdk/pull/3265)
 * Replace React.PropTypes with usage of the `prop-types` package
   [\#3263](https://github.com/matrix-org/matrix-react-sdk/pull/3263)
 * strikethrough & underline deletions & insertions
   [\#3264](https://github.com/matrix-org/matrix-react-sdk/pull/3264)
 * Get rid of warning of required prop
   [\#3261](https://github.com/matrix-org/matrix-react-sdk/pull/3261)
 * Fix html diffs repeating text sometimes
   [\#3262](https://github.com/matrix-org/matrix-react-sdk/pull/3262)
 * Introduce RoomContext for sharing state between RoomView and children
   [\#3260](https://github.com/matrix-org/matrix-react-sdk/pull/3260)
 * Upgrade emojibase to fix :anxious:
   [\#3259](https://github.com/matrix-org/matrix-react-sdk/pull/3259)
 * Add support for IS v2 API with authentication
   [\#3256](https://github.com/matrix-org/matrix-react-sdk/pull/3256)
 * Fix autocomplete for editing being broken
   [\#3258](https://github.com/matrix-org/matrix-react-sdk/pull/3258)
 * Unit tests for new editor
   [\#3247](https://github.com/matrix-org/matrix-react-sdk/pull/3247)
 * Show MessageActionBar buttons conditionally on room state permissions
   [\#3255](https://github.com/matrix-org/matrix-react-sdk/pull/3255)
 * Handle onPaste AddressPickerDialog, allow addressing CSV/NL/Space delim list
   [\#3249](https://github.com/matrix-org/matrix-react-sdk/pull/3249)
 * Move history with alt up/down regardless of where selection is
   [\#3254](https://github.com/matrix-org/matrix-react-sdk/pull/3254)
 * Update from Weblate
   [\#3253](https://github.com/matrix-org/matrix-react-sdk/pull/3253)
 * Fix /rainbowme and /rainbow breaking apart utf-16 emoji
   [\#3248](https://github.com/matrix-org/matrix-react-sdk/pull/3248)
 * Tweak interactive tooltip buffer area allow for overshoot
   [\#3245](https://github.com/matrix-org/matrix-react-sdk/pull/3245)
 * Keep widget URL in permission screen to one line
   [\#3243](https://github.com/matrix-org/matrix-react-sdk/pull/3243)
 * Avoid visual glitch when terms appear for Integration Manager
   [\#3242](https://github.com/matrix-org/matrix-react-sdk/pull/3242)
 * Show diff for formatted messages in the edit history
   [\#3244](https://github.com/matrix-org/matrix-react-sdk/pull/3244)
 * Redirect paste to composer when event target can't receive input
   [\#3239](https://github.com/matrix-org/matrix-react-sdk/pull/3239)
 * Restore manual composing focusing logic
   [\#3241](https://github.com/matrix-org/matrix-react-sdk/pull/3241)
 * ToS for ISes/IMs: prompt on use screen
   [\#3199](https://github.com/matrix-org/matrix-react-sdk/pull/3199)
 * Defer IM token until widget is shown and permission granted
   [\#3240](https://github.com/matrix-org/matrix-react-sdk/pull/3240)
 * Move read marker past invisible events
   [\#3226](https://github.com/matrix-org/matrix-react-sdk/pull/3226)
 * Basic diff visualisation for plain text edits
   [\#3238](https://github.com/matrix-org/matrix-react-sdk/pull/3238)
 * Don't focus composer on keydown with modifier
   [\#3237](https://github.com/matrix-org/matrix-react-sdk/pull/3237)
 * Focus composer when typing anywhere in the app
   [\#3224](https://github.com/matrix-org/matrix-react-sdk/pull/3224)
 * Don't show remove button for original event in edit history
   [\#3235](https://github.com/matrix-org/matrix-react-sdk/pull/3235)
 * Remove feature flags for reactions and edits
   [\#3233](https://github.com/matrix-org/matrix-react-sdk/pull/3233)
 * Enable reactions and edits by default
   [\#3229](https://github.com/matrix-org/matrix-react-sdk/pull/3229)
 * Improve interactive tooltip safe mousing area
   [\#3228](https://github.com/matrix-org/matrix-react-sdk/pull/3228)
 * Add a previous event safe area around action bar
   [\#3227](https://github.com/matrix-org/matrix-react-sdk/pull/3227)
 * Parse integration manager origins more sensibly
   [\#3217](https://github.com/matrix-org/matrix-react-sdk/pull/3217)
 * ChatCreateOrReuse show only rooms both you and the other party still in
   [\#3225](https://github.com/matrix-org/matrix-react-sdk/pull/3225)
 * Check for liveliness on submission when the server was previously dead
   [\#3218](https://github.com/matrix-org/matrix-react-sdk/pull/3218)
 * Fix autocomplete delay text field not accepting text
   [\#3219](https://github.com/matrix-org/matrix-react-sdk/pull/3219)
 * Don't show a reason if there's no reason for a kick/ban
   [\#3220](https://github.com/matrix-org/matrix-react-sdk/pull/3220)
 * Take adjacent invisible events into account for read receipt, even if any
   but first should be ignored.
   [\#3221](https://github.com/matrix-org/matrix-react-sdk/pull/3221)
 * Check content and content.users in power levels
   [\#3216](https://github.com/matrix-org/matrix-react-sdk/pull/3216)
 * Autojoin rooms when clicking the tombstone
   [\#3206](https://github.com/matrix-org/matrix-react-sdk/pull/3206)
 * Verify i18n in CI
   [\#3209](https://github.com/matrix-org/matrix-react-sdk/pull/3209)
 * Send the correct UIA alongside the wrong UIA for backwards comaptibility
   [\#3211](https://github.com/matrix-org/matrix-react-sdk/pull/3211)
 * Remove unused identityEnabled property from ValidatedServerConfig
   [\#3213](https://github.com/matrix-org/matrix-react-sdk/pull/3213)
 * Remove misleading text about admins logging people out from soft logout
   [\#3205](https://github.com/matrix-org/matrix-react-sdk/pull/3205)

Changes in [1.4.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.4.0) (2019-07-18)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.4.0-rc.3...v1.4.0)

 * Upgrade to JS SDK 2.2.0
 * Don't show remove button for original event in edit history
   [\#3236](https://github.com/matrix-org/matrix-react-sdk/pull/3236)
 * Remove feature flags for reactions and edits
   [\#3234](https://github.com/matrix-org/matrix-react-sdk/pull/3234)
 * Enable reactions and edits by default
   [\#3232](https://github.com/matrix-org/matrix-react-sdk/pull/3232)
 * Improve interactive tooltip safe mousing area
   [\#3231](https://github.com/matrix-org/matrix-react-sdk/pull/3231)
 * Add a previous event safe area around action bar
   [\#3230](https://github.com/matrix-org/matrix-react-sdk/pull/3230)

Changes in [1.4.0-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.4.0-rc.3) (2019-07-15)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.4.0-rc.2...v1.4.0-rc.3)

 * Check content and content.users in power levels
   [\#3223](https://github.com/matrix-org/matrix-react-sdk/pull/3223)
 * Take adjacent invisible events into account for read receipt, even if any
   but first should be ignored.
   [\#3222](https://github.com/matrix-org/matrix-react-sdk/pull/3222)

Changes in [1.4.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.4.0-rc.2) (2019-07-12)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.4.0-rc.1...v1.4.0-rc.2)

 * Upgrade to JS SDK 2.2.0-rc.2 to fix regresion in listing devices
 * Remove misleading text about admins logging people out from soft logout
   [\#3215](https://github.com/matrix-org/matrix-react-sdk/pull/3215)

Changes in [1.4.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.4.0-rc.1) (2019-07-12)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.3.1...v1.4.0-rc.1)

 * Update from Weblate
   [\#3214](https://github.com/matrix-org/matrix-react-sdk/pull/3214)
 * Prevent autocomplete on paste, and verserev-ing text before and after :
   [\#3210](https://github.com/matrix-org/matrix-react-sdk/pull/3210)
 * Close settings after deactivating
   [\#3212](https://github.com/matrix-org/matrix-react-sdk/pull/3212)
 * Require an issue URL (or notes) on rageshakes
   [\#3207](https://github.com/matrix-org/matrix-react-sdk/pull/3207)
 * Use r0 media endpoints for group tests
   [\#3202](https://github.com/matrix-org/matrix-react-sdk/pull/3202)
 * Fix field styling regression
   [\#3204](https://github.com/matrix-org/matrix-react-sdk/pull/3204)
 * Upgrade dependencies
   [\#3203](https://github.com/matrix-org/matrix-react-sdk/pull/3203)
 * Show anything other than ban/invite -> leave as a kick
   [\#3198](https://github.com/matrix-org/matrix-react-sdk/pull/3198)
 * Run stylelint on all SCSS files
   [\#3200](https://github.com/matrix-org/matrix-react-sdk/pull/3200)
 * Show original event in edit history
   [\#3195](https://github.com/matrix-org/matrix-react-sdk/pull/3195)
 * Use the state variable for the password when deactivating
   [\#3201](https://github.com/matrix-org/matrix-react-sdk/pull/3201)
 * Support SSO for rehydrating a soft-logged-out session.
   [\#3197](https://github.com/matrix-org/matrix-react-sdk/pull/3197)
 * Change highlight colour on dark theme
   [\#3196](https://github.com/matrix-org/matrix-react-sdk/pull/3196)
 *  Dress up the soft logout page to look like the design
   [\#3190](https://github.com/matrix-org/matrix-react-sdk/pull/3190)
 * Overwrite the old session if the new creds are for a different user
   [\#3189](https://github.com/matrix-org/matrix-react-sdk/pull/3189)
 * Fix React crash when using a non-default homeserver on soft logout
   [\#3188](https://github.com/matrix-org/matrix-react-sdk/pull/3188)
 *  Change soft logout rehydrate text if there's pending key backups
   [\#3187](https://github.com/matrix-org/matrix-react-sdk/pull/3187)
 * Ask for the user's password to rehydrate their soft logged out session
   [\#3182](https://github.com/matrix-org/matrix-react-sdk/pull/3182)
 * Don't try to call bodyToHtml with an empty content
   [\#3194](https://github.com/matrix-org/matrix-react-sdk/pull/3194)
 * Take server-side aggregation into account for timestamp on (edited) tooltip
   [\#3193](https://github.com/matrix-org/matrix-react-sdk/pull/3193)
 * Fix some React errors
   [\#3164](https://github.com/matrix-org/matrix-react-sdk/pull/3164)
 * Preserve reply fallback on edit
   [\#3192](https://github.com/matrix-org/matrix-react-sdk/pull/3192)
 * Don't show Remove button in ImageView if can't redact, delint ImageView
   [\#3191](https://github.com/matrix-org/matrix-react-sdk/pull/3191)
 * Edit history actions
   [\#3180](https://github.com/matrix-org/matrix-react-sdk/pull/3180)
 * Don't allow editing via up-arrow when Replying
   [\#3183](https://github.com/matrix-org/matrix-react-sdk/pull/3183)
 * If oldContent matches newContent, skip sending the edit
   [\#3103](https://github.com/matrix-org/matrix-react-sdk/pull/3103)
 * Track live events in timeline and use for read receipts and read markers
   [\#3184](https://github.com/matrix-org/matrix-react-sdk/pull/3184)
 * Upgrade dependencies
   [\#3179](https://github.com/matrix-org/matrix-react-sdk/pull/3179)
 * Allow diplayed reaction values to contain anything
   [\#3186](https://github.com/matrix-org/matrix-react-sdk/pull/3186)
 * Fix interactive tooltip null target error
   [\#3185](https://github.com/matrix-org/matrix-react-sdk/pull/3185)
 * Require that users go to the soft logout page if they're soft logged out
   [\#3181](https://github.com/matrix-org/matrix-react-sdk/pull/3181)
 * Emojibase data includes blank variations, accept these when searching
   [\#3163](https://github.com/matrix-org/matrix-react-sdk/pull/3163)
 * Implement basic soft logout handling
   [\#3177](https://github.com/matrix-org/matrix-react-sdk/pull/3177)
 * De-lint ScalarAuthClient
   [\#3178](https://github.com/matrix-org/matrix-react-sdk/pull/3178)
 * show /relations error in edit history dialog
   [\#3174](https://github.com/matrix-org/matrix-react-sdk/pull/3174)

Changes in [1.3.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.3.1) (2019-07-11)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.3.0...v1.3.1)

 * Fix account deactivation
   [\#3201](https://github.com/matrix-org/matrix-react-sdk/pull/3201)
 * Upgrade lodash dependencies
 * Upgrade to JS SDK 2.1.1

Changes in [1.3.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.3.0) (2019-07-08)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.3.0-rc.1...v1.3.0)

No changes since rc.1

Changes in [1.3.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.3.0-rc.1) (2019-07-03)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.2...v1.3.0-rc.1)

 * MELS handle m.room.third_party_invite
   [\#3173](https://github.com/matrix-org/matrix-react-sdk/pull/3173)
 * Fix logic around MemberList invites section, specifically regarding 3pid
   [\#3172](https://github.com/matrix-org/matrix-react-sdk/pull/3172)
 * Update from Weblate
   [\#3176](https://github.com/matrix-org/matrix-react-sdk/pull/3176)
 * Track the user's own typing state external to the composer
   [\#3150](https://github.com/matrix-org/matrix-react-sdk/pull/3150)
 * Handle associated event send failures
   [\#3170](https://github.com/matrix-org/matrix-react-sdk/pull/3170)
 * Improve interactive tooltip hover behaviour
   [\#3169](https://github.com/matrix-org/matrix-react-sdk/pull/3169)
 * Fix login type selector border
   [\#3171](https://github.com/matrix-org/matrix-react-sdk/pull/3171)
 * Use the event sender instead of event ID for viaServers off a tombstone
   [\#3159](https://github.com/matrix-org/matrix-react-sdk/pull/3159)
 * Append keyshare request dialogs instead of replacing the current dialog
   [\#3160](https://github.com/matrix-org/matrix-react-sdk/pull/3160)
 * Add AccessibleTooltipButton and use it for RoomSubList buttons
   [\#3165](https://github.com/matrix-org/matrix-react-sdk/pull/3165)
 * MemberInfo wrap Device Name/ID
   [\#3166](https://github.com/matrix-org/matrix-react-sdk/pull/3166)
 * Correctly populate the dispatch for joining a room via servers
   [\#3161](https://github.com/matrix-org/matrix-react-sdk/pull/3161)
 * Clean up legacy breadcrumbs persistence fallback
   [\#3162](https://github.com/matrix-org/matrix-react-sdk/pull/3162)
 * Update from Weblate
   [\#3168](https://github.com/matrix-org/matrix-react-sdk/pull/3168)
 * Add ability to render null-rejoins in Timeline and MELS
   [\#3135](https://github.com/matrix-org/matrix-react-sdk/pull/3135)
 * Add /myavatar command
   [\#3155](https://github.com/matrix-org/matrix-react-sdk/pull/3155)
 * Update config.json docs location
   [\#3158](https://github.com/matrix-org/matrix-react-sdk/pull/3158)
 * If on trackpad, don't mess with horizontal scrolling.
   [\#3148](https://github.com/matrix-org/matrix-react-sdk/pull/3148)
 * Limit reactions row on initial display
   [\#3152](https://github.com/matrix-org/matrix-react-sdk/pull/3152)
 * Unpin highlight.js
   [\#3156](https://github.com/matrix-org/matrix-react-sdk/pull/3156)
 * Flexboxify generic error page
   [\#3154](https://github.com/matrix-org/matrix-react-sdk/pull/3154)
 * Fix weird scrollbar when devtools is in a narrow browser
   [\#3153](https://github.com/matrix-org/matrix-react-sdk/pull/3153)
 * Show a loading state for slow peeks
   [\#3142](https://github.com/matrix-org/matrix-react-sdk/pull/3142)
 * Don't show error dialog when user has no webcam
   [\#3146](https://github.com/matrix-org/matrix-react-sdk/pull/3146)
 * Make edit history work in encrypted rooms.
   [\#3151](https://github.com/matrix-org/matrix-react-sdk/pull/3151)
 * Change interactive tooltip to only flip when required
   [\#3147](https://github.com/matrix-org/matrix-react-sdk/pull/3147)
 * Edit history dialog
   [\#3144](https://github.com/matrix-org/matrix-react-sdk/pull/3144)
 * Fix the scrollbar in the community bar
   [\#3143](https://github.com/matrix-org/matrix-react-sdk/pull/3143)
 * Add focus border to edit composer
   [\#3145](https://github.com/matrix-org/matrix-react-sdk/pull/3145)
 * Supply oobData to RoomPreviewBar
   [\#3141](https://github.com/matrix-org/matrix-react-sdk/pull/3141)
 * Don't boost trackpad users in breadcrumbs
   [\#3140](https://github.com/matrix-org/matrix-react-sdk/pull/3140)
 * Fix room upgrade warning being chopped off and a spelling mistake
   [\#3139](https://github.com/matrix-org/matrix-react-sdk/pull/3139)
 * Add quick reaction buttons in tooltip
   [\#3138](https://github.com/matrix-org/matrix-react-sdk/pull/3138)
 * When joining from room directory, use auto_join
   [\#3136](https://github.com/matrix-org/matrix-react-sdk/pull/3136)
 * Improve API and interactivity of new tooltip
   [\#3137](https://github.com/matrix-org/matrix-react-sdk/pull/3137)
 * Use feature flag for displaying edits as well
   [\#3132](https://github.com/matrix-org/matrix-react-sdk/pull/3132)
 * Add interactive tooltip style
   [\#3131](https://github.com/matrix-org/matrix-react-sdk/pull/3131)
 * Remove redundant extra chevrons from ContextualMenu
   [\#3129](https://github.com/matrix-org/matrix-react-sdk/pull/3129)
 * Editor caret improvements
   [\#3126](https://github.com/matrix-org/matrix-react-sdk/pull/3126)
 * Disable left/right arrow navigating completions for now
   [\#3130](https://github.com/matrix-org/matrix-react-sdk/pull/3130)
 * Take list nesting into account for indenting
   [\#3128](https://github.com/matrix-org/matrix-react-sdk/pull/3128)
 * Add file size to UploadConfirmDialog
   [\#3127](https://github.com/matrix-org/matrix-react-sdk/pull/3127)
 * Consider cancelled verifications when mounting IncomingSasDialog
   [\#3123](https://github.com/matrix-org/matrix-react-sdk/pull/3123)
 * Make the verification cancelled dialog say OK instead of Cancel
   [\#3124](https://github.com/matrix-org/matrix-react-sdk/pull/3124)
 * Update from Weblate
   [\#3125](https://github.com/matrix-org/matrix-react-sdk/pull/3125)
 * Remove unused ContextualMenu features
   [\#3122](https://github.com/matrix-org/matrix-react-sdk/pull/3122)
 * Fix casing of TooltipButton
   [\#3119](https://github.com/matrix-org/matrix-react-sdk/pull/3119)
 * De-duplicate notif badge code
   [\#3120](https://github.com/matrix-org/matrix-react-sdk/pull/3120)
 * Fix favicon/title badge count
   [\#3121](https://github.com/matrix-org/matrix-react-sdk/pull/3121)
 * Switch ugly password boxes to Field or styled input
   [\#3071](https://github.com/matrix-org/matrix-react-sdk/pull/3071)
 * Restore warning for if you're already logged in
   [\#3118](https://github.com/matrix-org/matrix-react-sdk/pull/3118)
 * Provide default name if device label is missing
   [\#3113](https://github.com/matrix-org/matrix-react-sdk/pull/3113)
 * Support @room pills while editing
   [\#3108](https://github.com/matrix-org/matrix-react-sdk/pull/3108)

Changes in [1.2.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.2) (2019-06-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.2-rc.2...v1.2.2)

No changes since rc.2

Changes in [1.2.2-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.2-rc.2) (2019-06-18)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.2-rc.1...v1.2.2-rc.2)

 * Defer scalar API calls until they are needed
   [\#3115](https://github.com/matrix-org/matrix-react-sdk/pull/3115)
 * Blend pending redactions
   [\#3117](https://github.com/matrix-org/matrix-react-sdk/pull/3117)
 * Keep old arrow-up behaviour when editing is not enabled
   [\#3116](https://github.com/matrix-org/matrix-react-sdk/pull/3116)
 * Restore Composer History under shift-up & down
   [\#3098](https://github.com/matrix-org/matrix-react-sdk/pull/3098)
 * Allow changing server if validation has failed
   [\#3114](https://github.com/matrix-org/matrix-react-sdk/pull/3114)
 * Add Upload All button to UploadConfirmDialog
   [\#3109](https://github.com/matrix-org/matrix-react-sdk/pull/3109)
 * Re-enable register button
   [\#3112](https://github.com/matrix-org/matrix-react-sdk/pull/3112)
 * keep mx_Field stretching
   [\#3111](https://github.com/matrix-org/matrix-react-sdk/pull/3111)
 * Fix double-spinner
   [\#3107](https://github.com/matrix-org/matrix-react-sdk/pull/3107)
 * Fix display of canonicalAlias in group room info
   [\#3110](https://github.com/matrix-org/matrix-react-sdk/pull/3110)
 * Fix welcome user
   [\#3106](https://github.com/matrix-org/matrix-react-sdk/pull/3106)
 * Support editing emote messages
   [\#3105](https://github.com/matrix-org/matrix-react-sdk/pull/3105)
 * Use flex: 1 for mx_Field to replace all the calc(100% - 20px) and more
   [\#3104](https://github.com/matrix-org/matrix-react-sdk/pull/3104)
 * Use overflow on MemberInfo name/mxid so that the back button stays
   [\#3099](https://github.com/matrix-org/matrix-react-sdk/pull/3099)
 * Allow changing servers on nonfatal errors
   [\#3102](https://github.com/matrix-org/matrix-react-sdk/pull/3102)
 * Simplify email registration
   [\#3101](https://github.com/matrix-org/matrix-react-sdk/pull/3101)
 * Allow arrow keys navigation in autocomplete list
   [\#2966](https://github.com/matrix-org/matrix-react-sdk/pull/2966)
 * Edit unsent messages
   [\#3097](https://github.com/matrix-org/matrix-react-sdk/pull/3097)
 * Fix registration with email + non-default HS
   [\#3096](https://github.com/matrix-org/matrix-react-sdk/pull/3096)
 * Raise action bar above read marker
   [\#3095](https://github.com/matrix-org/matrix-react-sdk/pull/3095)
 * Console log more helpfully
   [\#3094](https://github.com/matrix-org/matrix-react-sdk/pull/3094)

Changes in [1.2.2-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.2-rc.1) (2019-06-12)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.1...v1.2.2-rc.1)

 * Align message context menu to right and vertically where space available
   [\#3087](https://github.com/matrix-org/matrix-react-sdk/pull/3087)
 * Allow registration to submit for non-fatal errors
   [\#3093](https://github.com/matrix-org/matrix-react-sdk/pull/3093)
 * Clear the login busy state after .well-known discovery
   [\#3092](https://github.com/matrix-org/matrix-react-sdk/pull/3092)
 * Update from Weblate
   [\#3091](https://github.com/matrix-org/matrix-react-sdk/pull/3091)
 * Fix registration after fail-fast
   [\#3090](https://github.com/matrix-org/matrix-react-sdk/pull/3090)
 * Use setBusy interface of js-sdk interactive auth
   [\#3085](https://github.com/matrix-org/matrix-react-sdk/pull/3085)
 * Don't handle identity server failure as fatal, and use the right message
   [\#3088](https://github.com/matrix-org/matrix-react-sdk/pull/3088)
 * Recheck message actions on decrypt
   [\#3084](https://github.com/matrix-org/matrix-react-sdk/pull/3084)
 * Fix exception on logout
   [\#3086](https://github.com/matrix-org/matrix-react-sdk/pull/3086)
 * Remember we were trying to accept an invite
   [\#3083](https://github.com/matrix-org/matrix-react-sdk/pull/3083)
 * Add funding details for GitHub sponsor button
   [\#3079](https://github.com/matrix-org/matrix-react-sdk/pull/3079)
 * Remove highlight from reactions
   [\#3081](https://github.com/matrix-org/matrix-react-sdk/pull/3081)
 * Clarify that only lowercase letters are allowed
   [\#3080](https://github.com/matrix-org/matrix-react-sdk/pull/3080)
 * Don't handle identity server liveliness errors as fatal
   [\#3082](https://github.com/matrix-org/matrix-react-sdk/pull/3082)
 * truncate long display names in timeline headings
   [\#3078](https://github.com/matrix-org/matrix-react-sdk/pull/3078)
 * Fail more softly on homeserver liveliness errors
   [\#3067](https://github.com/matrix-org/matrix-react-sdk/pull/3067)
 * Fix AddressPickerDialog adding wrong entry to selected list case
   [\#3076](https://github.com/matrix-org/matrix-react-sdk/pull/3076)
 * change profile keybind to backtick from i due to italics conflict
   [\#3077](https://github.com/matrix-org/matrix-react-sdk/pull/3077)
 * Look busy whilst requesting the email token
   [\#3075](https://github.com/matrix-org/matrix-react-sdk/pull/3075)
 * Fix email invites address-match checking
   [\#3074](https://github.com/matrix-org/matrix-react-sdk/pull/3074)
 * Add license info for Twemoji
   [\#3073](https://github.com/matrix-org/matrix-react-sdk/pull/3073)
 * Show read receipts on top of message
   [\#3072](https://github.com/matrix-org/matrix-react-sdk/pull/3072)
 * Be somewhat fuzzier when matching emojis to complete on space
   [\#3070](https://github.com/matrix-org/matrix-react-sdk/pull/3070)
 * Restrict reactions to a single emoji
   [\#3069](https://github.com/matrix-org/matrix-react-sdk/pull/3069)
 * Fix live updates to reaction row buttons
   [\#3068](https://github.com/matrix-org/matrix-react-sdk/pull/3068)
 * Don't refresh custom status on logout
   [\#3065](https://github.com/matrix-org/matrix-react-sdk/pull/3065)
 * Add a logged in class to EmbeddedPage and react to MatrixClient changes
   [\#3066](https://github.com/matrix-org/matrix-react-sdk/pull/3066)
 * Don't show "can't redact" dialog on network error, with redaction having
   local echo & queuing now.
   [\#3058](https://github.com/matrix-org/matrix-react-sdk/pull/3058)
 * Fix login page breaking on wrong password
   [\#3062](https://github.com/matrix-org/matrix-react-sdk/pull/3062)
 * Update from Weblate
   [\#3064](https://github.com/matrix-org/matrix-react-sdk/pull/3064)
 * Install latest JS SDK when linting
   [\#3063](https://github.com/matrix-org/matrix-react-sdk/pull/3063)
 * Ensure we always show read receipts even with hidden events
   [\#3056](https://github.com/matrix-org/matrix-react-sdk/pull/3056)
 * Advance read receipts into trailing events without tiles
   [\#3059](https://github.com/matrix-org/matrix-react-sdk/pull/3059)
 * Remove unused errorText prop
   [\#3061](https://github.com/matrix-org/matrix-react-sdk/pull/3061)
 * Remove SettingsStore reference in RoomSettingsDialog
   [\#3060](https://github.com/matrix-org/matrix-react-sdk/pull/3060)
 * Custom notification sounds for rooms
   [\#2928](https://github.com/matrix-org/matrix-react-sdk/pull/2928)
 * Fix comments in unread room tracking
   [\#3054](https://github.com/matrix-org/matrix-react-sdk/pull/3054)
 * Allow source tile handler for replacements
   [\#3057](https://github.com/matrix-org/matrix-react-sdk/pull/3057)
 * Fix linting in MessagePanel
   [\#3055](https://github.com/matrix-org/matrix-react-sdk/pull/3055)
 * Convert breadcrumbs from labs to real setting
   [\#3053](https://github.com/matrix-org/matrix-react-sdk/pull/3053)
 * Add local echo on badges in breadcrumbs
   [\#3052](https://github.com/matrix-org/matrix-react-sdk/pull/3052)
 * Counteract smooth scrolling on breadcrumbs
   [\#3051](https://github.com/matrix-org/matrix-react-sdk/pull/3051)
 * add sbix fallback twemoji font (and bump to emoji 12)
   [\#3050](https://github.com/matrix-org/matrix-react-sdk/pull/3050)
 * Add option to change the default country code
   [\#3049](https://github.com/matrix-org/matrix-react-sdk/pull/3049)
 * Accept JSX into the GenericErrorPage and expose local session vars
   [\#3043](https://github.com/matrix-org/matrix-react-sdk/pull/3043)
 * Don't try and low encryption info when signing out in low bandwidth mode
   [\#3048](https://github.com/matrix-org/matrix-react-sdk/pull/3048)
 * only capture enter if something was selected in completions
   [\#3047](https://github.com/matrix-org/matrix-react-sdk/pull/3047)
 * Fix: better HTML > MD conversion for editing, including lists and quotes
   [\#3040](https://github.com/matrix-org/matrix-react-sdk/pull/3040)
 * Native emoji require extra line-height
   [\#3044](https://github.com/matrix-org/matrix-react-sdk/pull/3044)
 * port over low_bandwidth mode to develop
   [\#2598](https://github.com/matrix-org/matrix-react-sdk/pull/2598)
 * Fix: maintain caret at current line when position is on newline part
   [\#3029](https://github.com/matrix-org/matrix-react-sdk/pull/3029)
 * Remove username on HS input label
   [\#3042](https://github.com/matrix-org/matrix-react-sdk/pull/3042)
 * Exclude chrome in ua from safari version check for colr support
   [\#3038](https://github.com/matrix-org/matrix-react-sdk/pull/3038)
 * fix COLR font check being racy
   [\#3034](https://github.com/matrix-org/matrix-react-sdk/pull/3034)
 * Override font for usercontent download link
   [\#3035](https://github.com/matrix-org/matrix-react-sdk/pull/3035)
 * Revert "Make the timeline less noisy for screen readers (mk II) #3019"
   [\#3033](https://github.com/matrix-org/matrix-react-sdk/pull/3033)
 * Hide autocomplete on Enter key press instead of sending message
   [\#2968](https://github.com/matrix-org/matrix-react-sdk/pull/2968)
 * Message editing: arrow key (up/down) navigation between editable events
   [\#3025](https://github.com/matrix-org/matrix-react-sdk/pull/3025)
 * Message editing: fix reply text appearing in edit
   [\#3032](https://github.com/matrix-org/matrix-react-sdk/pull/3032)
 * Do not try to request thumbnails with non-integer widths
   [\#3031](https://github.com/matrix-org/matrix-react-sdk/pull/3031)
 * Message editing: preserve strikethrough as well
   [\#3030](https://github.com/matrix-org/matrix-react-sdk/pull/3030)
 * Add some logging for COLR checks
   [\#3027](https://github.com/matrix-org/matrix-react-sdk/pull/3027)
 * Fixup for tab completion: take part length into account as well
   [\#3026](https://github.com/matrix-org/matrix-react-sdk/pull/3026)
 * Message editing: tab completion
   [\#3024](https://github.com/matrix-org/matrix-react-sdk/pull/3024)
 * Message editing: dont jump to next part when inserting at *start* of
   uneditable part
   [\#3021](https://github.com/matrix-org/matrix-react-sdk/pull/3021)
 * Message editing: preserve and re-apply formatting
   [\#3013](https://github.com/matrix-org/matrix-react-sdk/pull/3013)
 * Fix relationship between guests, .well-known, and auth
   [\#3001](https://github.com/matrix-org/matrix-react-sdk/pull/3001)
 * Restore use of full mxid login
   [\#2972](https://github.com/matrix-org/matrix-react-sdk/pull/2972)
 * Only expose the fallback_hs_url if the homeserver is the default homeserver
   [\#2971](https://github.com/matrix-org/matrix-react-sdk/pull/2971)
 * Refactor "Next" button into ServerConfig components
   [\#2964](https://github.com/matrix-org/matrix-react-sdk/pull/2964)
 * Render underlines and tooltips on custom server names in auth pages
   [\#2965](https://github.com/matrix-org/matrix-react-sdk/pull/2965)
 * Use validated server config for login, registration, and password reset
   [\#2941](https://github.com/matrix-org/matrix-react-sdk/pull/2941)

Changes in [1.2.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.1) (2019-05-31)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.0...v1.2.1)

 * Upgrade to JS SDK 2.0.0 which fixes an error during key backup
 * Native emoji require extra line-height for release
   [\#3045](https://github.com/matrix-org/matrix-react-sdk/pull/3045)

Changes in [1.2.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.0) (2019-05-29)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.2.0-rc.1...v1.2.0)

 * COLR font check fixes for release
   [\#3041](https://github.com/matrix-org/matrix-react-sdk/pull/3041)
 * Revert "Make the timeline less noisy for screen readers (mk II) #3019" for
   release
   [\#3036](https://github.com/matrix-org/matrix-react-sdk/pull/3036)
 * Override font for usercontent download link for release
   [\#3037](https://github.com/matrix-org/matrix-react-sdk/pull/3037)

Changes in [1.2.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.2.0-rc.1) (2019-05-23)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.1.2...v1.2.0-rc.1)

 * Update from Weblate
   [\#3023](https://github.com/matrix-org/matrix-react-sdk/pull/3023)
 * Use the correct line-height for bold emoji
   [\#3022](https://github.com/matrix-org/matrix-react-sdk/pull/3022)
 * Make the timeline less noisy for screen readers (mk II)
   [\#3019](https://github.com/matrix-org/matrix-react-sdk/pull/3019)
 * Label message edit field as such for screen readers
   [\#3020](https://github.com/matrix-org/matrix-react-sdk/pull/3020)
 * Move checkmark to the front of key backup message
   [\#3014](https://github.com/matrix-org/matrix-react-sdk/pull/3014)
 * Revert "Make the timeline less noisy for screen readers"
   [\#3017](https://github.com/matrix-org/matrix-react-sdk/pull/3017)
 * Translate scroll movement if the deltaX is the same as the threshold
   [\#3016](https://github.com/matrix-org/matrix-react-sdk/pull/3016)
 * Make the timeline less noisy for screen readers
   [\#3007](https://github.com/matrix-org/matrix-react-sdk/pull/3007)
 * Windows emoji tweaks
   [\#3015](https://github.com/matrix-org/matrix-react-sdk/pull/3015)
 * Message editing: update link previews after editing
   [\#3004](https://github.com/matrix-org/matrix-react-sdk/pull/3004)
 * js-sdk interactive auth now sends email token
   [\#3010](https://github.com/matrix-org/matrix-react-sdk/pull/3010)
 * remove SBIX font and fallback to native emoji
   [\#3011](https://github.com/matrix-org/matrix-react-sdk/pull/3011)
 * Update from Weblate
   [\#3012](https://github.com/matrix-org/matrix-react-sdk/pull/3012)
 * load twemoji dynamically as colr or sbix; fix monospace
   [\#3008](https://github.com/matrix-org/matrix-react-sdk/pull/3008)
 * Guard against null rooms in `onEventDecrypted`
   [\#3009](https://github.com/matrix-org/matrix-react-sdk/pull/3009)
 * Only show reactions in main message timeline
   [\#3005](https://github.com/matrix-org/matrix-react-sdk/pull/3005)
 * Add voice labels for quick add room buttons
   [\#3006](https://github.com/matrix-org/matrix-react-sdk/pull/3006)
 * Update TopLeftMenu for accessibility: Keyboard shortcut, reduced screen
   reader noise
   [\#2994](https://github.com/matrix-org/matrix-react-sdk/pull/2994)
 * Remove reacted with text when shortcode missing
   [\#3003](https://github.com/matrix-org/matrix-react-sdk/pull/3003)
 * Fixup: also change editor margin when last event and buttons are not
   overlaying
   [\#3002](https://github.com/matrix-org/matrix-react-sdk/pull/3002)
 * Message editing: render avatars for pills in the editor
   [\#2997](https://github.com/matrix-org/matrix-react-sdk/pull/2997)
 * Replace emojione with twemoji + emojibase
   [\#2995](https://github.com/matrix-org/matrix-react-sdk/pull/2995)
 * Hide WhoIsTyping component if the MessagePanel is shaped e.g file grid
   [\#3000](https://github.com/matrix-org/matrix-react-sdk/pull/3000)
 * Close copy tooltip in edge cases correctly
   [\#2999](https://github.com/matrix-org/matrix-react-sdk/pull/2999)
 * Limit reaction sender tooltip to 6 people
   [\#2998](https://github.com/matrix-org/matrix-react-sdk/pull/2998)
 * Message editing: apply design
   [\#2996](https://github.com/matrix-org/matrix-react-sdk/pull/2996)
 * Add debug feature to show hidden events in timeline
   [\#2993](https://github.com/matrix-org/matrix-react-sdk/pull/2993)
 * Mute screen readers over reactions
   [\#2986](https://github.com/matrix-org/matrix-react-sdk/pull/2986)
 * Fix not being able to edit already edited messages
   [\#2992](https://github.com/matrix-org/matrix-react-sdk/pull/2992)
 * Add a basic tooltip showing who reacted
   [\#2991](https://github.com/matrix-org/matrix-react-sdk/pull/2991)
 * Message editing: show (edited) marker on edited messages, with tooltip
   [\#2990](https://github.com/matrix-org/matrix-react-sdk/pull/2990)
 * Update from Weblate
   [\#2989](https://github.com/matrix-org/matrix-react-sdk/pull/2989)
 * Message editing: only allow editing of text messages
   [\#2988](https://github.com/matrix-org/matrix-react-sdk/pull/2988)
 * Message editing: shift+enter for newline, enter to send
   [\#2987](https://github.com/matrix-org/matrix-react-sdk/pull/2987)
 * Apply Flex voodoo for devtools send event dialog
   [\#2985](https://github.com/matrix-org/matrix-react-sdk/pull/2985)
 * Fix some source strings noticed as incorrect by translators
   [\#2984](https://github.com/matrix-org/matrix-react-sdk/pull/2984)
 * Message editing: fix some bugs in cursor behaviour
   [\#2983](https://github.com/matrix-org/matrix-react-sdk/pull/2983)
 * Message editing: local echo & back-pagination
   [\#2982](https://github.com/matrix-org/matrix-react-sdk/pull/2982)
 * Listen for removed relations
   [\#2981](https://github.com/matrix-org/matrix-react-sdk/pull/2981)
 * Update from Weblate
   [\#2980](https://github.com/matrix-org/matrix-react-sdk/pull/2980)
 * Use `getRelation` helper
   [\#2977](https://github.com/matrix-org/matrix-react-sdk/pull/2977)
 * Add tooltips to rotate and close buttons in ImageView (#9686)
   [\#2979](https://github.com/matrix-org/matrix-react-sdk/pull/2979)
 * Message editing: smaller fixes
   [\#2978](https://github.com/matrix-org/matrix-react-sdk/pull/2978)
 * Message editing: adjust to js-sdk changes of marking original event as
   replaced
   [\#2973](https://github.com/matrix-org/matrix-react-sdk/pull/2973)
 * Fix Single Sign-on
   [\#2974](https://github.com/matrix-org/matrix-react-sdk/pull/2974)
 * Initial support for editing messages
   [\#2952](https://github.com/matrix-org/matrix-react-sdk/pull/2952)
 * Check permission to invite before showing invite buttons/disable them
   [\#2957](https://github.com/matrix-org/matrix-react-sdk/pull/2957)
 * Support a backup room ID in PermalinkCreator
   [\#2963](https://github.com/matrix-org/matrix-react-sdk/pull/2963)
 * Always thumbnail for GIFs
   [\#2962](https://github.com/matrix-org/matrix-react-sdk/pull/2962)
 * Fix registration with email
   [\#2967](https://github.com/matrix-org/matrix-react-sdk/pull/2967)
 * Add configuration flag to disable minimum password requirements
   [\#2947](https://github.com/matrix-org/matrix-react-sdk/pull/2947)
 * Send and undo reaction events
   [\#2954](https://github.com/matrix-org/matrix-react-sdk/pull/2954)
 * Fix bug where email was not required where it shouldn't have been
   [\#2961](https://github.com/matrix-org/matrix-react-sdk/pull/2961)
 * add /rainbow and /rainbowme Slash Commands
   [\#2958](https://github.com/matrix-org/matrix-react-sdk/pull/2958)
 * Fix invite via MemberInfo
   [\#2956](https://github.com/matrix-org/matrix-react-sdk/pull/2956)
 * Close Room Settings upon Leave Room
   [\#2955](https://github.com/matrix-org/matrix-react-sdk/pull/2955)
 * Command to change avatar for a single room, including upload of mxc res
   [\#2953](https://github.com/matrix-org/matrix-react-sdk/pull/2953)
 * Add View Servers in Room to Devtools
   [\#2804](https://github.com/matrix-org/matrix-react-sdk/pull/2804)
 * Update 'Rooms' import RoomView.js file
   [\#2951](https://github.com/matrix-org/matrix-react-sdk/pull/2951)
 * Extract `ReactionDimension` out of `MessageActionBar`
   [\#2950](https://github.com/matrix-org/matrix-react-sdk/pull/2950)
 * Always default to the registration form
   [\#2942](https://github.com/matrix-org/matrix-react-sdk/pull/2942)
 * Check for `room` in all `Room.timeline*` handlers
   [\#2945](https://github.com/matrix-org/matrix-react-sdk/pull/2945)
 * Remove the karma junit reporter
   [\#2944](https://github.com/matrix-org/matrix-react-sdk/pull/2944)
 * yarn upgrade
   [\#2943](https://github.com/matrix-org/matrix-react-sdk/pull/2943)
 * Support changing options for .m.rule.tombstone push rule
   [\#2798](https://github.com/matrix-org/matrix-react-sdk/pull/2798)
 * Remove timeline explosion rageshake prompt
   [\#2939](https://github.com/matrix-org/matrix-react-sdk/pull/2939)
 * Add existing reactions below message
   [\#2940](https://github.com/matrix-org/matrix-react-sdk/pull/2940)
 * Fix lint errors in TimelinePanel
   [\#2938](https://github.com/matrix-org/matrix-react-sdk/pull/2938)
 * Add primary reactions to action bar
   [\#2937](https://github.com/matrix-org/matrix-react-sdk/pull/2937)

Changes in [1.1.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.1.2) (2019-05-15)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.1.1...v1.1.2)

 * Always thumbnail for GIFs
   [\#2976](https://github.com/matrix-org/matrix-react-sdk/pull/2976)
 * Fix Single Sign-on
   [\#2975](https://github.com/matrix-org/matrix-react-sdk/pull/2975)

Changes in [1.1.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.1.1) (2019-05-14)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.1.0...v1.1.1)

 * Fix registration with email
   [\#2970](https://github.com/matrix-org/matrix-react-sdk/pull/2970)
 * Fix bug where email was not required where it shouldn't have been
   [\#2969](https://github.com/matrix-org/matrix-react-sdk/pull/2969)

Changes in [1.1.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.1.0) (2019-05-07)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.1.0-rc.1...v1.1.0)

 * Relax password requirements to score of 3 out of 4
   [\#2949](https://github.com/matrix-org/matrix-react-sdk/pull/2949)
 * Restore access to message quote option on first click
   [\#2948](https://github.com/matrix-org/matrix-react-sdk/pull/2948)
 * Check for `room` in all `Room.timeline*` handlers
   [\#2946](https://github.com/matrix-org/matrix-react-sdk/pull/2946)

Changes in [1.1.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.1.0-rc.1) (2019-04-30)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.7...v1.1.0-rc.1)

 * Add important info to new preview bar
   [\#2936](https://github.com/matrix-org/matrix-react-sdk/pull/2936)
 * Add a message action bar
   [\#2935](https://github.com/matrix-org/matrix-react-sdk/pull/2935)
 * Trigger riot-web build
   [\#2934](https://github.com/matrix-org/matrix-react-sdk/pull/2934)
 * Input validation tooltips for registration
   [\#2933](https://github.com/matrix-org/matrix-react-sdk/pull/2933)
 * Also say "Connect ..." on remaining key backup buttons
   [\#2931](https://github.com/matrix-org/matrix-react-sdk/pull/2931)
 * Mark a few CSS classes as not selectable
   [\#2929](https://github.com/matrix-org/matrix-react-sdk/pull/2929)
 * Cleanup message composer render() method
   [\#2883](https://github.com/matrix-org/matrix-react-sdk/pull/2883)
 * Redesigned room preview bar
   [\#2925](https://github.com/matrix-org/matrix-react-sdk/pull/2925)
 * Prevent user pills containing only emoji from embiggening
   [\#2907](https://github.com/matrix-org/matrix-react-sdk/pull/2907)
 * Make alt-enter insert new line on macOS
   [\#2923](https://github.com/matrix-org/matrix-react-sdk/pull/2923)
 * Test `defaultServerName` before showing it on forgot password
   [\#2924](https://github.com/matrix-org/matrix-react-sdk/pull/2924)
 * Add a function to append/overwrite objects in the config on the fly
   [\#2922](https://github.com/matrix-org/matrix-react-sdk/pull/2922)
 * use SdkConfig brand name instead of static "Riot"
   [\#2921](https://github.com/matrix-org/matrix-react-sdk/pull/2921)
 * Use dedicated permalink creators in search results with multiple rooms
   [\#2898](https://github.com/matrix-org/matrix-react-sdk/pull/2898)
 * Clarify that use backup means restore
   [\#2917](https://github.com/matrix-org/matrix-react-sdk/pull/2917)
 * Fix key backup status when missing device
   [\#2919](https://github.com/matrix-org/matrix-react-sdk/pull/2919)
 * Ensure `<b>` tags appear bold for all browsers
   [\#2918](https://github.com/matrix-org/matrix-react-sdk/pull/2918)
 * Add a link in room settings to get at the tombstoned room if it exists
   [\#2908](https://github.com/matrix-org/matrix-react-sdk/pull/2908)
 * Add a generic error page element for startup errors
   [\#2915](https://github.com/matrix-org/matrix-react-sdk/pull/2915)
 * Add strings for js-sdk autodiscovery errors
   [\#2916](https://github.com/matrix-org/matrix-react-sdk/pull/2916)
 * Focus the composer view on file upload
   [\#2914](https://github.com/matrix-org/matrix-react-sdk/pull/2914)
 * use medium agent for e2e tests
   [\#2911](https://github.com/matrix-org/matrix-react-sdk/pull/2911)
 * adjust prop in HeaderButton
   [\#2912](https://github.com/matrix-org/matrix-react-sdk/pull/2912)
 * Remove breadcrumb scroll tolerances and use sensible defaults
   [\#2913](https://github.com/matrix-org/matrix-react-sdk/pull/2913)
 * Fix having to click the member list button twice to show it after having
   changed room.
   [\#2906](https://github.com/matrix-org/matrix-react-sdk/pull/2906)
 * Add period to the end of upgrade notice
   [\#2909](https://github.com/matrix-org/matrix-react-sdk/pull/2909)
 * Remove duplicate space in credits
   [\#2889](https://github.com/matrix-org/matrix-react-sdk/pull/2889)
 * Handle M_UNSUPPORTED_ROOM_VERSION in invites and room creation
   [\#2905](https://github.com/matrix-org/matrix-react-sdk/pull/2905)
 * Re-enable E2E tests
   [\#2867](https://github.com/matrix-org/matrix-react-sdk/pull/2867)
 * Remove BottomLeftMenu and supporting bits
   [\#2903](https://github.com/matrix-org/matrix-react-sdk/pull/2903)
 * Fix for retina thumbnails being massive
   [\#2439](https://github.com/matrix-org/matrix-react-sdk/pull/2439)
 * Send breadcrumb updates only when they change
   [\#2894](https://github.com/matrix-org/matrix-react-sdk/pull/2894)
 * Add some tolerances to breadcrumb scrolling
   [\#2892](https://github.com/matrix-org/matrix-react-sdk/pull/2892)
 * Fix validation to avoid `undefined` class on fields
   [\#2902](https://github.com/matrix-org/matrix-react-sdk/pull/2902)
 * Always return a client from onRegistered
   [\#2895](https://github.com/matrix-org/matrix-react-sdk/pull/2895)
 * Fix room upgrade warnings popping up in upgraded rooms
   [\#2897](https://github.com/matrix-org/matrix-react-sdk/pull/2897)
 * Fix style lint errors & enable on CI
   [\#2901](https://github.com/matrix-org/matrix-react-sdk/pull/2901)
 * Add stylelint
   [\#2900](https://github.com/matrix-org/matrix-react-sdk/pull/2900)
 * Key backup: Handle case where your onw sig is invalid
   [\#2899](https://github.com/matrix-org/matrix-react-sdk/pull/2899)
 * Simplify settings dialog CSS
   [\#2891](https://github.com/matrix-org/matrix-react-sdk/pull/2891)
 * Fix upload cancel in e2e rooms
   [\#2893](https://github.com/matrix-org/matrix-react-sdk/pull/2893)
 * Set E2E room status to warning when crypto is disabled
   [\#2890](https://github.com/matrix-org/matrix-react-sdk/pull/2890)
 * Move SettingsDialog width override to fixedWidth
   [\#2888](https://github.com/matrix-org/matrix-react-sdk/pull/2888)
 * Prevent the permalink creator from causing cascading failure
   [\#2882](https://github.com/matrix-org/matrix-react-sdk/pull/2882)
 * Don't include all networks by default in the room directory
   [\#2881](https://github.com/matrix-org/matrix-react-sdk/pull/2881)
 * Fix fixed width dialogs
   [\#2886](https://github.com/matrix-org/matrix-react-sdk/pull/2886)
 * Fix settings dialog layout
   [\#2885](https://github.com/matrix-org/matrix-react-sdk/pull/2885)
 * Update from Weblate
   [\#2884](https://github.com/matrix-org/matrix-react-sdk/pull/2884)
 * Design tweaks to dialogs
   [\#2868](https://github.com/matrix-org/matrix-react-sdk/pull/2868)
 * Remove 'try the app' link from login
   [\#2880](https://github.com/matrix-org/matrix-react-sdk/pull/2880)
 * Track store failures after startup
   [\#2870](https://github.com/matrix-org/matrix-react-sdk/pull/2870)
 * Translate vertical scrolling to horizontal movement in breadcrumbs
   [\#2877](https://github.com/matrix-org/matrix-react-sdk/pull/2877)
 * Add telemetry for breadcrumbs and have the setting apply without refresh
   [\#2873](https://github.com/matrix-org/matrix-react-sdk/pull/2873)
 * Fix a few bugs introduced in file upload rework
   [\#2879](https://github.com/matrix-org/matrix-react-sdk/pull/2879)
 * Sync breadcrumb rooms through account data
   [\#2875](https://github.com/matrix-org/matrix-react-sdk/pull/2875)
 * Scroll breadcrumbs to the left when they change
   [\#2878](https://github.com/matrix-org/matrix-react-sdk/pull/2878)
 * Add an indicator to show a room is a direct chat in breadcrumbs
   [\#2874](https://github.com/matrix-org/matrix-react-sdk/pull/2874)
 * Use the most recent version of the room in breadcrumbs
   [\#2872](https://github.com/matrix-org/matrix-react-sdk/pull/2872)
 * Autohide the scrollbar on breadcrumbs
   [\#2876](https://github.com/matrix-org/matrix-react-sdk/pull/2876)
 * Ensure the page URL is redacted before tracking analytics events
   [\#2871](https://github.com/matrix-org/matrix-react-sdk/pull/2871)
 * fix NPE for rooms with redacted tombstones
   [\#2869](https://github.com/matrix-org/matrix-react-sdk/pull/2869)
 * Don't re-init the stickerpicker unless something actually changes
   [\#2862](https://github.com/matrix-org/matrix-react-sdk/pull/2862)
 * Add option to rotate images
   [\#2855](https://github.com/matrix-org/matrix-react-sdk/pull/2855)
 * Add badges to breadcrumb rooms
   [\#2861](https://github.com/matrix-org/matrix-react-sdk/pull/2861)
 * Include the current power level in the selector
   [\#2866](https://github.com/matrix-org/matrix-react-sdk/pull/2866)
 * Apply 50% opacity to left breadcrumbs
   [\#2860](https://github.com/matrix-org/matrix-react-sdk/pull/2860)
 * Small scroll fixes
   [\#2865](https://github.com/matrix-org/matrix-react-sdk/pull/2865)
 * Put the stickerpicker below dialogs
   [\#2863](https://github.com/matrix-org/matrix-react-sdk/pull/2863)
 * Logging tweaks
   [\#2864](https://github.com/matrix-org/matrix-react-sdk/pull/2864)
 * Implement redesigned upload confirmation screens
   [\#2858](https://github.com/matrix-org/matrix-react-sdk/pull/2858)
 * Use Field component in bug report dialog
   [\#2859](https://github.com/matrix-org/matrix-react-sdk/pull/2859)
 * Notify user when crypto data is missing
   [\#2841](https://github.com/matrix-org/matrix-react-sdk/pull/2841)
 * Update from Weblate
   [\#2857](https://github.com/matrix-org/matrix-react-sdk/pull/2857)
 * Download PDFs as blobs to avoid empty grey screens
   [\#2847](https://github.com/matrix-org/matrix-react-sdk/pull/2847)
 * Set title attribute on images in lightbox
   [\#2848](https://github.com/matrix-org/matrix-react-sdk/pull/2848)
 * Add MemberInfo for 3pid invites and support revoking those invites
   [\#2843](https://github.com/matrix-org/matrix-react-sdk/pull/2843)
 * round scrollTop upwards to prevent never detecting bottom
   [\#2846](https://github.com/matrix-org/matrix-react-sdk/pull/2846)
 * Notifier is how singleton is known outside of this module
   [\#2845](https://github.com/matrix-org/matrix-react-sdk/pull/2845)
 * Delay `Notifier` check until we have push rules
   [\#2844](https://github.com/matrix-org/matrix-react-sdk/pull/2844)
 * BACAT Scrolling
   [\#2842](https://github.com/matrix-org/matrix-react-sdk/pull/2842)
 * Handle storage fallback cases in consistency check
   [\#2840](https://github.com/matrix-org/matrix-react-sdk/pull/2840)
 * Handle all the segments of a v3 event ID
   [\#2827](https://github.com/matrix-org/matrix-react-sdk/pull/2827)
 * Add custom tooltips and scrolling to breadcrumbs
   [\#2839](https://github.com/matrix-org/matrix-react-sdk/pull/2839)
 * Check if the message panel is at the end of the timeline on init
   [\#2829](https://github.com/matrix-org/matrix-react-sdk/pull/2829)
 * Persist breadcrumb state between sessions
   [\#2837](https://github.com/matrix-org/matrix-react-sdk/pull/2837)
 * Always append the current room to the breadcrumbs
   [\#2838](https://github.com/matrix-org/matrix-react-sdk/pull/2838)
 * Alert the user to unread notifications in prior versions of rooms
   [\#2831](https://github.com/matrix-org/matrix-react-sdk/pull/2831)
 * Filter out upgraded rooms from autocomplete results
   [\#2830](https://github.com/matrix-org/matrix-react-sdk/pull/2830)

Changes in [1.0.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.7) (2019-04-08)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.6...v1.0.7)

 * Hotfix: bump js-sdk to 1.0.4, see https://github.com/matrix-org/matrix-js-sdk/releases/tag/v1.0.4

Changes in [1.0.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.6) (2019-04-01)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.6-rc.1...v1.0.6)

 * Handle storage fallback cases in consistency check
   [\#2853](https://github.com/matrix-org/matrix-react-sdk/pull/2853)
 * Set title attribute on images in lightbox
   [\#2852](https://github.com/matrix-org/matrix-react-sdk/pull/2852)
 * Download PDFs as blobs to avoid empty grey screens
   [\#2851](https://github.com/matrix-org/matrix-react-sdk/pull/2851)
 * Add MemberInfo for 3pid invites and support revoking those invites
   [\#2850](https://github.com/matrix-org/matrix-react-sdk/pull/2850)

Changes in [1.0.6-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.6-rc.1) (2019-03-27)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.5...v1.0.6-rc.1)

 * Catch errors when checking IndexedDB
   [\#2836](https://github.com/matrix-org/matrix-react-sdk/pull/2836)
 * Remove noreferrer on widget pop-out
   [\#2835](https://github.com/matrix-org/matrix-react-sdk/pull/2835)
 * Rework room directory so that new room is always available
   [\#2834](https://github.com/matrix-org/matrix-react-sdk/pull/2834)
 * Send telemetry about storage consistency
   [\#2832](https://github.com/matrix-org/matrix-react-sdk/pull/2832)
 * Widget OpenID reauth implementation
   [\#2781](https://github.com/matrix-org/matrix-react-sdk/pull/2781)
 * Log results of basic storage consistency check
   [\#2826](https://github.com/matrix-org/matrix-react-sdk/pull/2826)
 * Clarify devices affected by notification settings
   [\#2828](https://github.com/matrix-org/matrix-react-sdk/pull/2828)
 * Add a command for creating custom widgets without an integration manager
   [\#2824](https://github.com/matrix-org/matrix-react-sdk/pull/2824)
 * Minimize stickerpicker when the title is clicked
   [\#2822](https://github.com/matrix-org/matrix-react-sdk/pull/2822)
 * Add <code> blocks around homeserver and identity server urls
   [\#2825](https://github.com/matrix-org/matrix-react-sdk/pull/2825)
 * Fixed drop shadow for tooltip.
   [\#2815](https://github.com/matrix-org/matrix-react-sdk/pull/2815)
 * Ask the user for debug logs when the timeline explodes
   [\#2820](https://github.com/matrix-org/matrix-react-sdk/pull/2820)
 * Fix typo preventing users from adding more widgets easily
   [\#2823](https://github.com/matrix-org/matrix-react-sdk/pull/2823)
 * Attach an onChange listener to the room's blacklist devices option
   [\#2817](https://github.com/matrix-org/matrix-react-sdk/pull/2817)
 * Use leaveRoomChain when leaving a room
   [\#2818](https://github.com/matrix-org/matrix-react-sdk/pull/2818)
 * Fix bug with NetworkList dropdown
   [\#2821](https://github.com/matrix-org/matrix-react-sdk/pull/2821)
 * Trim the logging for URL previews
   [\#2816](https://github.com/matrix-org/matrix-react-sdk/pull/2816)
 * Explicitly create `cryptoStore` in React SDK
   [\#2814](https://github.com/matrix-org/matrix-react-sdk/pull/2814)
 * Change to new consistent name for `MemoryStore`
   [\#2812](https://github.com/matrix-org/matrix-react-sdk/pull/2812)
 * Use medium agents for the more resource intensive builds
   [\#2813](https://github.com/matrix-org/matrix-react-sdk/pull/2813)
 * Add log grouping to buildkite
   [\#2810](https://github.com/matrix-org/matrix-react-sdk/pull/2810)
 * Switch to `git` protocol for CI dependencies
   [\#2809](https://github.com/matrix-org/matrix-react-sdk/pull/2809)
 * Go back to using mainine velocity
   [\#2808](https://github.com/matrix-org/matrix-react-sdk/pull/2808)
 * Warn that members won't be autojoined to upgraded rooms
   [\#2796](https://github.com/matrix-org/matrix-react-sdk/pull/2796)
 * Support CI for matching branches on forks
   [\#2807](https://github.com/matrix-org/matrix-react-sdk/pull/2807)
 * Discard old sticker picker when the URL changes
   [\#2801](https://github.com/matrix-org/matrix-react-sdk/pull/2801)
 * Reload widget messaging when widgets reload
   [\#2799](https://github.com/matrix-org/matrix-react-sdk/pull/2799)
 * Don't show calculated room name in room settings name input field
   [\#2806](https://github.com/matrix-org/matrix-react-sdk/pull/2806)
 * Disable big emoji for m.emote messages as it looks weird
   [\#2805](https://github.com/matrix-org/matrix-react-sdk/pull/2805)
 * Remove Edge from browser support statements
   [\#2803](https://github.com/matrix-org/matrix-react-sdk/pull/2803)
 * Update from Weblate
   [\#2802](https://github.com/matrix-org/matrix-react-sdk/pull/2802)
 * Really fix tag panel
   [\#2800](https://github.com/matrix-org/matrix-react-sdk/pull/2800)
 * Update CompatibilityPage to match officially supported browsers
   [\#2793](https://github.com/matrix-org/matrix-react-sdk/pull/2793)
 * Use Buildkite for CI
   [\#2788](https://github.com/matrix-org/matrix-react-sdk/pull/2788)
 * Fix CSS syntax errors preventing offline member opacity from working
   [\#2794](https://github.com/matrix-org/matrix-react-sdk/pull/2794)
 * Make the EntityTile chevron a masked SVG for theming
   [\#2795](https://github.com/matrix-org/matrix-react-sdk/pull/2795)
 * Remove refs from `RegistrationForm`
   [\#2791](https://github.com/matrix-org/matrix-react-sdk/pull/2791)
 * Fix initial letter avatar vertical offset in Firefox
   [\#2792](https://github.com/matrix-org/matrix-react-sdk/pull/2792)
 * Fix the custom tag panel
   [\#2797](https://github.com/matrix-org/matrix-react-sdk/pull/2797)
 * Ensure freshly invited members don't count towards the alone warning
   [\#2786](https://github.com/matrix-org/matrix-react-sdk/pull/2786)
 * Fix 'forgot password' warning to represent the reality of e2ee
   [\#2787](https://github.com/matrix-org/matrix-react-sdk/pull/2787)
 * Restore `Field` value getter for `RegistrationForm`
   [\#2790](https://github.com/matrix-org/matrix-react-sdk/pull/2790)
 * Initial portions of support for Field validation
   [\#2780](https://github.com/matrix-org/matrix-react-sdk/pull/2780)

Changes in [1.0.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.5) (2019-03-21)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.4...v1.0.5)

 * Hotfix: disable typing notifs jumping prevention for now
   [\#2811](https://github.com/matrix-org/matrix-react-sdk/pull/2811)

Changes in [1.0.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.4) (2019-03-18)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.4-rc.1...v1.0.4)

 * No changes since rc.1

Changes in [1.0.4-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.4-rc.1) (2019-03-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.3...v1.0.4-rc.1)

 * Update from Weblate
   [\#2785](https://github.com/matrix-org/matrix-react-sdk/pull/2785)
 * Remove padlock click handler to show unknown devices
   [\#2784](https://github.com/matrix-org/matrix-react-sdk/pull/2784)
 * Use modern Yarn version on Travis CI
   [\#2783](https://github.com/matrix-org/matrix-react-sdk/pull/2783)
 * Add versioning to integration manager API /register and /account calls
   [\#2782](https://github.com/matrix-org/matrix-react-sdk/pull/2782)
 * Ensure scalar_token is valid before opening integrations manager
   [\#2777](https://github.com/matrix-org/matrix-react-sdk/pull/2777)
 * Switch to `yarn` for dependency management
   [\#2773](https://github.com/matrix-org/matrix-react-sdk/pull/2773)
 * Use a distinct color for selected autocomplete items
   [\#2778](https://github.com/matrix-org/matrix-react-sdk/pull/2778)
 * Provide an escape from the registration process
   [\#2775](https://github.com/matrix-org/matrix-react-sdk/pull/2775)
 * Fix instantly sending RRs
   [\#2770](https://github.com/matrix-org/matrix-react-sdk/pull/2770)
 * Fix simple header counters to correctly handle zero, take two
   [\#2776](https://github.com/matrix-org/matrix-react-sdk/pull/2776)
 * Fix sticky hover state by listening for hover on the document
   [\#2764](https://github.com/matrix-org/matrix-react-sdk/pull/2764)
 * Fix header counters to correctly handle zero
   [\#2772](https://github.com/matrix-org/matrix-react-sdk/pull/2772)
 * Pass correct args when creating event permalink in context menu
   [\#2774](https://github.com/matrix-org/matrix-react-sdk/pull/2774)
 * Update from Weblate
   [\#2771](https://github.com/matrix-org/matrix-react-sdk/pull/2771)
 * Scroll investigation changes
   [\#2766](https://github.com/matrix-org/matrix-react-sdk/pull/2766)
 * Ability to bulk accept all invites (and fix rejecting all invites)
   [\#2757](https://github.com/matrix-org/matrix-react-sdk/pull/2757)
 * Don't trample over existing sessions when verifying email addresses
   [\#2768](https://github.com/matrix-org/matrix-react-sdk/pull/2768)
 * Misc fixes to StatusMessageContextMenu
   [\#2767](https://github.com/matrix-org/matrix-react-sdk/pull/2767)
 * Fix erroneously sending RRs, pt1.
   [\#2769](https://github.com/matrix-org/matrix-react-sdk/pull/2769)
 * Tweak country dropdown for redesign
   [\#2765](https://github.com/matrix-org/matrix-react-sdk/pull/2765)
 * Prevent space characters from stopping big emoji messages
   [\#2745](https://github.com/matrix-org/matrix-react-sdk/pull/2745)
 * Tweak auth components when dark theme is default
   [\#2763](https://github.com/matrix-org/matrix-react-sdk/pull/2763)
 * Move country dropdown inside field in Settings
   [\#2756](https://github.com/matrix-org/matrix-react-sdk/pull/2756)
 * npm audit fix --force
   [\#2758](https://github.com/matrix-org/matrix-react-sdk/pull/2758)
 * Use Field component in auth flows
   [\#2749](https://github.com/matrix-org/matrix-react-sdk/pull/2749)
 * Add /shrug command
   [\#2660](https://github.com/matrix-org/matrix-react-sdk/pull/2660)
 * Support linking to hosting providers
   [\#2748](https://github.com/matrix-org/matrix-react-sdk/pull/2748)
 * Get confirmation before enabling encryption
   [\#2728](https://github.com/matrix-org/matrix-react-sdk/pull/2728)
 * clear min-height for typing notifs when the timeline viewport changes size
   [\#2747](https://github.com/matrix-org/matrix-react-sdk/pull/2747)
 * Prevent flair pushing timeline downwards
   [\#2746](https://github.com/matrix-org/matrix-react-sdk/pull/2746)
 * Include tag name when warning about rooms running off lists
   [\#2741](https://github.com/matrix-org/matrix-react-sdk/pull/2741)
 * Reorganise props handling in Field
   [\#2740](https://github.com/matrix-org/matrix-react-sdk/pull/2740)
 * Limit Field label to size of input
   [\#2742](https://github.com/matrix-org/matrix-react-sdk/pull/2742)
 * Don't loop forever if you demote yourself via Enter on a PowerSelector
   [\#2743](https://github.com/matrix-org/matrix-react-sdk/pull/2743)
 * Check if users are already in the room before inviting them
   [\#2734](https://github.com/matrix-org/matrix-react-sdk/pull/2734)
 * Don't duplicate direct chats from other tags
   [\#2735](https://github.com/matrix-org/matrix-react-sdk/pull/2735)
 * Fix media device selectors not updating
   [\#2739](https://github.com/matrix-org/matrix-react-sdk/pull/2739)
 * Fix Room Directory custom homeserver entry not showing properly
   [\#2708](https://github.com/matrix-org/matrix-react-sdk/pull/2708)
 * Add missing permalinkCreator prop
   [\#2729](https://github.com/matrix-org/matrix-react-sdk/pull/2729)
 * Patch users not existing when opening settings
   [\#2738](https://github.com/matrix-org/matrix-react-sdk/pull/2738)
 * Use a mask for the continuation icon
   [\#2737](https://github.com/matrix-org/matrix-react-sdk/pull/2737)
 * Always insert rooms into lists when they get lost
   [\#2736](https://github.com/matrix-org/matrix-react-sdk/pull/2736)
 * Convert objects and such to usable strings in rageshake
   [\#2732](https://github.com/matrix-org/matrix-react-sdk/pull/2732)
 * Support stacking dialogs to prevent unmounting
   [\#2724](https://github.com/matrix-org/matrix-react-sdk/pull/2724)
 * Convert PowerSelector to use mxField instead
   [\#2725](https://github.com/matrix-org/matrix-react-sdk/pull/2725)
 * Don't re-enable the save button after saving profiles
   [\#2726](https://github.com/matrix-org/matrix-react-sdk/pull/2726)
 * Support multiple email pushers and remove the legacy UserSettingsStore
   [\#2727](https://github.com/matrix-org/matrix-react-sdk/pull/2727)
 * Bring back #528 fix as it still seems broken on OSX
   [\#2731](https://github.com/matrix-org/matrix-react-sdk/pull/2731)
 * Fix margin on e2e icon in member panel
   [\#2721](https://github.com/matrix-org/matrix-react-sdk/pull/2721)
 * Improved scrolling & pagination
   [\#2676](https://github.com/matrix-org/matrix-react-sdk/pull/2676)
 * Nudge karma to 3.1.2
   [\#2719](https://github.com/matrix-org/matrix-react-sdk/pull/2719)
 * Stop listening to account data when the stickerpicker is unmounted
   [\#2723](https://github.com/matrix-org/matrix-react-sdk/pull/2723)

Changes in [1.0.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.3) (2019-03-06)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.2...v1.0.3)

 * Don't duplicate direct chats from other tags
   [\#2762](https://github.com/matrix-org/matrix-react-sdk/pull/2762)
 * Include tag name when warning about rooms running off lists
   [\#2761](https://github.com/matrix-org/matrix-react-sdk/pull/2761)
 * Always insert rooms into lists when they get lost
   [\#2760](https://github.com/matrix-org/matrix-react-sdk/pull/2760)
 * Fix the ctrl+k shortcut
   [\#2759](https://github.com/matrix-org/matrix-react-sdk/pull/2759)

Changes in [1.0.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.2) (2019-03-06)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.2-rc.4...v1.0.2)

 * Only show hosting link if group admin
   [\#2755](https://github.com/matrix-org/matrix-react-sdk/pull/2755)
 * Only show hosting link if domain == matrix.org
   [\#2754](https://github.com/matrix-org/matrix-react-sdk/pull/2754)

Changes in [1.0.2-rc.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.2-rc.4) (2019-03-05)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.2-rc.3...v1.0.2-rc.4)

 * Patch users not existing when opening settings
   [\#2752](https://github.com/matrix-org/matrix-react-sdk/pull/2752)
 * Fix media device selectors not updating
   [\#2751](https://github.com/matrix-org/matrix-react-sdk/pull/2751)
 * Support linking to hosting providers
   [\#2750](https://github.com/matrix-org/matrix-react-sdk/pull/2750)

Changes in [1.0.2-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.2-rc.3) (2019-03-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.2-rc.2...v1.0.2-rc.3)

 * Misc room list improvements & invite fix
   [\#2722](https://github.com/matrix-org/matrix-react-sdk/pull/2722)
 * Move complex part of room sorting to a dedicated function
   [\#2716](https://github.com/matrix-org/matrix-react-sdk/pull/2716)

Changes in [1.0.2-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.2-rc.2) (2019-03-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.2-rc.1...v1.0.2-rc.2)

 * Use webpack alias to resolve the languages file
   [\#2730](https://github.com/matrix-org/matrix-react-sdk/pull/2730)

Changes in [1.0.2-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.2-rc.1) (2019-02-28)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.1...v1.0.2-rc.1)

 * Remove unnecessary ref from Stickerpicker
   [\#2718](https://github.com/matrix-org/matrix-react-sdk/pull/2718)
 * Update from Weblate
   [\#2720](https://github.com/matrix-org/matrix-react-sdk/pull/2720)
 * Update from Weblate.
   [\#2715](https://github.com/matrix-org/matrix-react-sdk/pull/2715)
 * Show nearest lower badge, e.g show Mod for 51... etc
   [\#2709](https://github.com/matrix-org/matrix-react-sdk/pull/2709)
 * Send Field label pointer events to input
   [\#2714](https://github.com/matrix-org/matrix-react-sdk/pull/2714)
 * move canSendMessages into state so that it will re-render the composer
   [\#2710](https://github.com/matrix-org/matrix-react-sdk/pull/2710)
 * Use a global WatchManager for settings
   [\#2705](https://github.com/matrix-org/matrix-react-sdk/pull/2705)
 * Move non-feather icons out of feather dir
   [\#2706](https://github.com/matrix-org/matrix-react-sdk/pull/2706)
 * Fix backup button in logout dialog
   [\#2713](https://github.com/matrix-org/matrix-react-sdk/pull/2713)
 * Keep registration spinner inside the auth modal
   [\#2712](https://github.com/matrix-org/matrix-react-sdk/pull/2712)
 * Try to clarify that "Show read receipts" is just for visibility
   [\#2707](https://github.com/matrix-org/matrix-react-sdk/pull/2707)
 * Make sure direct chat invites are treated as invites
   [\#2711](https://github.com/matrix-org/matrix-react-sdk/pull/2711)
 * Report validity state of all registration fields on any change
   [\#2672](https://github.com/matrix-org/matrix-react-sdk/pull/2672)
 * Export the defaults for SdkConfig
   [\#2687](https://github.com/matrix-org/matrix-react-sdk/pull/2687)
 * Change the room list algo to eagerly delete and carefully insert
   [\#2701](https://github.com/matrix-org/matrix-react-sdk/pull/2701)
 * Improve permalink performance
   [\#2671](https://github.com/matrix-org/matrix-react-sdk/pull/2671)
 * Normalise room list font weight, bold unreads
   [\#2702](https://github.com/matrix-org/matrix-react-sdk/pull/2702)
 * Settings button in Room Context Menu
   [\#2692](https://github.com/matrix-org/matrix-react-sdk/pull/2692)
 * add roomnick SlashCommand
   [\#2689](https://github.com/matrix-org/matrix-react-sdk/pull/2689)
 * replace text Inputs in Devtools with Field bcuz prettier
   [\#2697](https://github.com/matrix-org/matrix-react-sdk/pull/2697)
 * Maintenance: Clean up some stuff around settings
   [\#2685](https://github.com/matrix-org/matrix-react-sdk/pull/2685)
 * Support the old room sorting algorithm and SettingsStore watchers
   [\#2686](https://github.com/matrix-org/matrix-react-sdk/pull/2686)
 * pin highlight.js as they seem to have broken something in 9.15.2
   [\#2703](https://github.com/matrix-org/matrix-react-sdk/pull/2703)
 * Fix NPE relating to toggling notifications
   [\#2699](https://github.com/matrix-org/matrix-react-sdk/pull/2699)
 * Only set e2e info callback if the event is encrypted
   [\#2684](https://github.com/matrix-org/matrix-react-sdk/pull/2684)
 * Revert "Add some logging for riot-web#7838"
   [\#2700](https://github.com/matrix-org/matrix-react-sdk/pull/2700)
 * Add abilities to clear Filter room members input
   [\#2698](https://github.com/matrix-org/matrix-react-sdk/pull/2698)
 * make ViewSource less awkward
   [\#2696](https://github.com/matrix-org/matrix-react-sdk/pull/2696)
 * Fix share community for guests
   [\#2695](https://github.com/matrix-org/matrix-react-sdk/pull/2695)
 * Fix z ordering of the overflow tile
   [\#2694](https://github.com/matrix-org/matrix-react-sdk/pull/2694)
 * Toggle Search using Room Header button
   [\#2693](https://github.com/matrix-org/matrix-react-sdk/pull/2693)
 * view user on click typing tile
   [\#2691](https://github.com/matrix-org/matrix-react-sdk/pull/2691)
 * Change Share Message to Share Permalink if !m.room.message||redacted
   [\#2690](https://github.com/matrix-org/matrix-react-sdk/pull/2690)
 * Allow configuration of whether closing window closes or minimizes to tray
   [\#2688](https://github.com/matrix-org/matrix-react-sdk/pull/2688)
 * Remove duplicated conversion from `enableRichText`
   [\#2682](https://github.com/matrix-org/matrix-react-sdk/pull/2682)
 * Use correct initial phase for server type
   [\#2683](https://github.com/matrix-org/matrix-react-sdk/pull/2683)
 * Fix AliasSettings and RelatedGroups UX
   [\#2679](https://github.com/matrix-org/matrix-react-sdk/pull/2679)
 * Add `onClick` to Markdown buttons
   [\#2677](https://github.com/matrix-org/matrix-react-sdk/pull/2677)
 * Fix toggle for email notifications
   [\#2678](https://github.com/matrix-org/matrix-react-sdk/pull/2678)
 * Fix categorization of favourites and new rooms
   [\#2681](https://github.com/matrix-org/matrix-react-sdk/pull/2681)
 * Skip server details on registration with a default HS
   [\#2675](https://github.com/matrix-org/matrix-react-sdk/pull/2675)
 * Clarify what the username error refers to
   [\#2673](https://github.com/matrix-org/matrix-react-sdk/pull/2673)
 * RoomDirectory Dropdown should use roomDirectory.servers
   [\#2680](https://github.com/matrix-org/matrix-react-sdk/pull/2680)
 * Fix favourites losing rooms and sorting weirdly
   [\#2674](https://github.com/matrix-org/matrix-react-sdk/pull/2674)
 * "Breadcrumb" room sorting algorithm
   [\#2634](https://github.com/matrix-org/matrix-react-sdk/pull/2634)
 * Bring back user view
   [\#2666](https://github.com/matrix-org/matrix-react-sdk/pull/2666)
 * Restores support for `default_server_name` which discovers URLs via `.well-
   known`
   [\#2669](https://github.com/matrix-org/matrix-react-sdk/pull/2669)
 * Remove unreferenced images
   [\#2670](https://github.com/matrix-org/matrix-react-sdk/pull/2670)
 * Only show the first line of each commit in changelog dialog
   [\#2667](https://github.com/matrix-org/matrix-react-sdk/pull/2667)
 * Cache-bust languages.json with file-loader
   [\#2658](https://github.com/matrix-org/matrix-react-sdk/pull/2658)
 * Fix off by one error for username colors
   [\#2664](https://github.com/matrix-org/matrix-react-sdk/pull/2664)
 * Set event-sending-color in dark theme
   [\#2665](https://github.com/matrix-org/matrix-react-sdk/pull/2665)
 * Allow captchas on Riot desktop builds
   [\#2663](https://github.com/matrix-org/matrix-react-sdk/pull/2663)
 * Show link to login even during UI auth
   [\#2661](https://github.com/matrix-org/matrix-react-sdk/pull/2661)
 * Dark theme follow ups round 2
   [\#2659](https://github.com/matrix-org/matrix-react-sdk/pull/2659)
 * Rename default theme to light theme
   [\#2662](https://github.com/matrix-org/matrix-react-sdk/pull/2662)
 * make mx_SenderProfile inline-block, reduces clickable area around usernames
   [\#2653](https://github.com/matrix-org/matrix-react-sdk/pull/2653)
 * Add a bit of safety around reading events for room settings
   [\#2648](https://github.com/matrix-org/matrix-react-sdk/pull/2648)
 * Update dark theme bg-color to show hover effect on messages
   [\#2654](https://github.com/matrix-org/matrix-react-sdk/pull/2654)
 * Make pre use the same text color as code
   [\#2655](https://github.com/matrix-org/matrix-react-sdk/pull/2655)
 * Bring back the lowered opacity for offline/unavailable avatars.
   [\#2649](https://github.com/matrix-org/matrix-react-sdk/pull/2649)
 * Set h3-color in dark theme
   [\#2656](https://github.com/matrix-org/matrix-react-sdk/pull/2656)
 * Fix typo "Scisors" -> "Scissors"
   [\#2652](https://github.com/matrix-org/matrix-react-sdk/pull/2652)
 * highlight e2e icon on event when hovering whole event
   [\#2647](https://github.com/matrix-org/matrix-react-sdk/pull/2647)
 * Skinnified more icons
   [\#2633](https://github.com/matrix-org/matrix-react-sdk/pull/2633)

Changes in [1.0.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.1) (2019-02-15)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.0...v1.0.1)

 * Fix community invites crashing the app
   [\#2650](https://github.com/matrix-org/matrix-react-sdk/pull/2650)

Changes in [1.0.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.0) (2019-02-14)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.0-rc.2...v1.0.0)

 * Update from Weblate.
   [\#2646](https://github.com/matrix-org/matrix-react-sdk/pull/2646)
 * Remove 'welcome' from top-left menu
   [\#2641](https://github.com/matrix-org/matrix-react-sdk/pull/2641)
 * Turn on pin unread rooms for everyone
   [\#2645](https://github.com/matrix-org/matrix-react-sdk/pull/2645)
 * Update help buoy text and issue links
   [\#2640](https://github.com/matrix-org/matrix-react-sdk/pull/2640)
 * Fix icons being cut off in settings
   [\#2644](https://github.com/matrix-org/matrix-react-sdk/pull/2644)
 * Add credit for cover photo usage
   [\#2643](https://github.com/matrix-org/matrix-react-sdk/pull/2643)
 * make e2e icons on message transparent
   [\#2642](https://github.com/matrix-org/matrix-react-sdk/pull/2642)
 * fix close button being half off screen
   [\#2639](https://github.com/matrix-org/matrix-react-sdk/pull/2639)
 * Fix excessive timeline whitespace
   [\#2638](https://github.com/matrix-org/matrix-react-sdk/pull/2638)
 * Remove the white screen of welcome
   [\#2637](https://github.com/matrix-org/matrix-react-sdk/pull/2637)
 * always rerender room tiles
   [\#2636](https://github.com/matrix-org/matrix-react-sdk/pull/2636)

Changes in [1.0.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.0-rc.2) (2019-02-14)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v1.0.0-rc.1...v1.0.0-rc.2)

 * Update from Weblate.
   [\#2635](https://github.com/matrix-org/matrix-react-sdk/pull/2635)
 * use throttle as its more responsive
   [\#2632](https://github.com/matrix-org/matrix-react-sdk/pull/2632)
 * update range when items size changes
   [\#2631](https://github.com/matrix-org/matrix-react-sdk/pull/2631)
 * Fix registration after clicking email link
   [\#2630](https://github.com/matrix-org/matrix-react-sdk/pull/2630)
 * Re-check key backup status when settings opened
   [\#2626](https://github.com/matrix-org/matrix-react-sdk/pull/2626)
 * Improve room list rendering performance
   [\#2629](https://github.com/matrix-org/matrix-react-sdk/pull/2629)
 * Adjust top left menu items
   [\#2628](https://github.com/matrix-org/matrix-react-sdk/pull/2628)
 * Normalised icon strokes to 1px
   [\#2627](https://github.com/matrix-org/matrix-react-sdk/pull/2627)
 * Security: Force TURN setting was inverted
   [\#2623](https://github.com/matrix-org/matrix-react-sdk/pull/2623)
 * Add redesigned dark theme
   [\#2619](https://github.com/matrix-org/matrix-react-sdk/pull/2619)
 * Fix mx_RoomTile_name weighting
   [\#2610](https://github.com/matrix-org/matrix-react-sdk/pull/2610)
 * Add divider between tabs and regular buttons in room header
   [\#2621](https://github.com/matrix-org/matrix-react-sdk/pull/2621)
 * Update from Weblate.
   [\#2622](https://github.com/matrix-org/matrix-react-sdk/pull/2622)
 * Change taking a community off the left-left panel less scary
   [\#2609](https://github.com/matrix-org/matrix-react-sdk/pull/2609)
 * Fixes and styling related to e2e icons and dialogs
   [\#2620](https://github.com/matrix-org/matrix-react-sdk/pull/2620)
 * Fix: stickers layout
   [\#2618](https://github.com/matrix-org/matrix-react-sdk/pull/2618)
 * Fix: dont assume settings label only has one line
   [\#2616](https://github.com/matrix-org/matrix-react-sdk/pull/2616)
 * Labs feature: recent room breadcrumbs
   [\#2615](https://github.com/matrix-org/matrix-react-sdk/pull/2615)
 * Fix: roomlist reordering lags
   [\#2612](https://github.com/matrix-org/matrix-react-sdk/pull/2612)
 *  Change text in e2e UX to new copy
   [\#2617](https://github.com/matrix-org/matrix-react-sdk/pull/2617)
 * Add display name / avatar to incoming sas dialog
   [\#2613](https://github.com/matrix-org/matrix-react-sdk/pull/2613)
 * Restore backup on new recovery method dialog
   [\#2614](https://github.com/matrix-org/matrix-react-sdk/pull/2614)
 * Welcome page cleanup
   [\#2611](https://github.com/matrix-org/matrix-react-sdk/pull/2611)
 * Scale up settings UI to be easier to read
   [\#2604](https://github.com/matrix-org/matrix-react-sdk/pull/2604)
 * !important shouldn't have a space
   [\#2608](https://github.com/matrix-org/matrix-react-sdk/pull/2608)
 * Add legacy verification button on wait
   [\#2607](https://github.com/matrix-org/matrix-react-sdk/pull/2607)
 * Update from Weblate.
   [\#2606](https://github.com/matrix-org/matrix-react-sdk/pull/2606)

Changes in [1.0.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v1.0.0-rc.1) (2019-02-08)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.8...v1.0.0-rc.1)

 * Call isGuest correctly
   [\#2603](https://github.com/matrix-org/matrix-react-sdk/pull/2603)
 * Update from Weblate.
   [\#2602](https://github.com/matrix-org/matrix-react-sdk/pull/2602)
 * Prompt to restore backup rather than verify
   [\#2594](https://github.com/matrix-org/matrix-react-sdk/pull/2594)
 * Remove key backup & sas from labs
   [\#2599](https://github.com/matrix-org/matrix-react-sdk/pull/2599)
 * Update avatar colors
   [\#2600](https://github.com/matrix-org/matrix-react-sdk/pull/2600)
 * Fix: typeerror when creating DM
   [\#2601](https://github.com/matrix-org/matrix-react-sdk/pull/2601)
 * Render disabled mxField textareas as disabled
   [\#2591](https://github.com/matrix-org/matrix-react-sdk/pull/2591)
 * SDK support for welcome page
   [\#2597](https://github.com/matrix-org/matrix-react-sdk/pull/2597)
 * Change SAS to decimal / emoji
   [\#2596](https://github.com/matrix-org/matrix-react-sdk/pull/2596)
 * Render join rules and guest access changes in the timeline
   [\#2592](https://github.com/matrix-org/matrix-react-sdk/pull/2592)
 * Ensure toggle switches listen to property changes
   [\#2590](https://github.com/matrix-org/matrix-react-sdk/pull/2590)
 * Local echo on room access settings
   [\#2593](https://github.com/matrix-org/matrix-react-sdk/pull/2593)
 * guard custom tags with feature flag
   [\#2589](https://github.com/matrix-org/matrix-react-sdk/pull/2589)
 * remove ll feature flag, it's time!
   [\#2588](https://github.com/matrix-org/matrix-react-sdk/pull/2588)
 * Trust on decrypt
   [\#2583](https://github.com/matrix-org/matrix-react-sdk/pull/2583)
 * Remove click-to-verify from SAS
   [\#2586](https://github.com/matrix-org/matrix-react-sdk/pull/2586)
 * Fix: make sure custom tag scroller doesn't overflow parent
   [\#2587](https://github.com/matrix-org/matrix-react-sdk/pull/2587)
 * Fix: throttle custom tags updating in LLP
   [\#2585](https://github.com/matrix-org/matrix-react-sdk/pull/2585)
 * Fix firefox scrolling settings tabs differently
   [\#2579](https://github.com/matrix-org/matrix-react-sdk/pull/2579)
 * Actually change power levels when they are changed
   [\#2580](https://github.com/matrix-org/matrix-react-sdk/pull/2580)
 * Fix: logging in again breaks CustomRoomTagStore
   [\#2584](https://github.com/matrix-org/matrix-react-sdk/pull/2584)
 * Fix: click on notif badge
   [\#2582](https://github.com/matrix-org/matrix-react-sdk/pull/2582)
 * Extend slash command '/topic' to display the room topic
   [\#2532](https://github.com/matrix-org/matrix-react-sdk/pull/2532)
 * Fix: community badges
   [\#2581](https://github.com/matrix-org/matrix-react-sdk/pull/2581)
 * Bring back custom tags, also badges on communities
   [\#2575](https://github.com/matrix-org/matrix-react-sdk/pull/2575)
 * Style reset password to match design
   [\#2578](https://github.com/matrix-org/matrix-react-sdk/pull/2578)
 * Key Backup: Don't fail if no keys
   [\#2577](https://github.com/matrix-org/matrix-react-sdk/pull/2577)
 * Remove old user and room settings
   [\#2554](https://github.com/matrix-org/matrix-react-sdk/pull/2554)
 * increase debouncing of filtering because its quite laggy atm
   [\#2576](https://github.com/matrix-org/matrix-react-sdk/pull/2576)
 * Tweak field padding to avoid overlapping with selected text
   [\#2573](https://github.com/matrix-org/matrix-react-sdk/pull/2573)
 * Adapt login flow for the v2 design
   [\#2574](https://github.com/matrix-org/matrix-react-sdk/pull/2574)
 * Remove the arrow-paren lint rule
   [\#2572](https://github.com/matrix-org/matrix-react-sdk/pull/2572)
 * Ensure we show registration form when custom URLs are disabled
   [\#2571](https://github.com/matrix-org/matrix-react-sdk/pull/2571)
 * Fix: search term disappears when collapsing and expanding left panel
   [\#2568](https://github.com/matrix-org/matrix-react-sdk/pull/2568)
 * Fix: 'jump to bottom' creates big amounts of whitespace at the bottom
   [\#2567](https://github.com/matrix-org/matrix-react-sdk/pull/2567)
 * Fix: being able to size sections in leftpanel larger than their content
   while filtering
   [\#2566](https://github.com/matrix-org/matrix-react-sdk/pull/2566)
 * Redesign: widget makeover
   [\#2565](https://github.com/matrix-org/matrix-react-sdk/pull/2565)
 * Restore dropdown chevron to right
   [\#2564](https://github.com/matrix-org/matrix-react-sdk/pull/2564)
 * Remove warning about encryption being beta
   [\#2563](https://github.com/matrix-org/matrix-react-sdk/pull/2563)
 * Add e2e icon to room header/composer/member info, more ...
   [\#2557](https://github.com/matrix-org/matrix-react-sdk/pull/2557)
 * Remove guest warning bar
   [\#2562](https://github.com/matrix-org/matrix-react-sdk/pull/2562)
 * Style tweaks to support auth background
   [\#2561](https://github.com/matrix-org/matrix-react-sdk/pull/2561)
 * Set a minimum width on the settings tab content
   [\#2560](https://github.com/matrix-org/matrix-react-sdk/pull/2560)
 * Fix exception while saving room settings
   [\#2555](https://github.com/matrix-org/matrix-react-sdk/pull/2555)
 * Disable old settings, making tabbed settings the default
   [\#2559](https://github.com/matrix-org/matrix-react-sdk/pull/2559)
 * fix UnknownDeviceDialog layout
   [\#2558](https://github.com/matrix-org/matrix-react-sdk/pull/2558)
 * Misc fixes to settings
   [\#2553](https://github.com/matrix-org/matrix-react-sdk/pull/2553)
 * Add error message when registration is disabled
   [\#2548](https://github.com/matrix-org/matrix-react-sdk/pull/2548)
 * Hide registration fields that aren't used by any flow
   [\#2551](https://github.com/matrix-org/matrix-react-sdk/pull/2551)
 * Ensure correct server URLs with .well-known and server type
   [\#2547](https://github.com/matrix-org/matrix-react-sdk/pull/2547)
 * Spell homeserver correctly
   [\#2552](https://github.com/matrix-org/matrix-react-sdk/pull/2552)
 * Auto-focus username on registration
   [\#2546](https://github.com/matrix-org/matrix-react-sdk/pull/2546)
 * Fixed settings dialog header; Adjust padding on dialog
   [\#2549](https://github.com/matrix-org/matrix-react-sdk/pull/2549)
 * Fix empty lightbox when there is no avatarUrl
   [\#2314](https://github.com/matrix-org/matrix-react-sdk/pull/2314)
 * make overflow gradients much smaller and turn bottom into drop shadow
   [\#2544](https://github.com/matrix-org/matrix-react-sdk/pull/2544)
 * Make auth validation less annoying
   [\#2539](https://github.com/matrix-org/matrix-react-sdk/pull/2539)
 * layout composer independent of avatar being present
   [\#2545](https://github.com/matrix-org/matrix-react-sdk/pull/2545)
 * Matthew/cyrillic
   [\#2543](https://github.com/matrix-org/matrix-react-sdk/pull/2543)
 * Allow expanding the left panel manually when in narrow mode
   [\#2541](https://github.com/matrix-org/matrix-react-sdk/pull/2541)
 * Redesign: community page cleanup
   [\#2538](https://github.com/matrix-org/matrix-react-sdk/pull/2538)
 * Redesign: Disable ILAG
   [\#2536](https://github.com/matrix-org/matrix-react-sdk/pull/2536)
 * Use custom appearance and arrow for field selects
   [\#2540](https://github.com/matrix-org/matrix-react-sdk/pull/2540)
 * Fix typo
   [\#2537](https://github.com/matrix-org/matrix-react-sdk/pull/2537)
 * Merge redesign into develop
   [\#2535](https://github.com/matrix-org/matrix-react-sdk/pull/2535)
 * disable e2e tests everywhere as redesign breaks them for now
   [\#2534](https://github.com/matrix-org/matrix-react-sdk/pull/2534)
 * avoid horizontal scrollbar in composer when placeholder doesn't fit
   [\#2533](https://github.com/matrix-org/matrix-react-sdk/pull/2533)
 * fix dropdown style when input is shown
   [\#2531](https://github.com/matrix-org/matrix-react-sdk/pull/2531)
 * Redesign: tiny fix: stretch device label in member info if content doesn't
   fill it
   [\#2530](https://github.com/matrix-org/matrix-react-sdk/pull/2530)
 * Style registration flow
   [\#2527](https://github.com/matrix-org/matrix-react-sdk/pull/2527)
 * Redesign: small member info panel makeover
   [\#2522](https://github.com/matrix-org/matrix-react-sdk/pull/2522)
 * Render the home page when viewing the directory
   [\#2529](https://github.com/matrix-org/matrix-react-sdk/pull/2529)
 * Fix indentation on all new settings CSS
   [\#2528](https://github.com/matrix-org/matrix-react-sdk/pull/2528)
 * Round 1 of misc fixes for settings
   [\#2526](https://github.com/matrix-org/matrix-react-sdk/pull/2526)
 * Implement the Security & Privacy tab of new room settings
   [\#2523](https://github.com/matrix-org/matrix-react-sdk/pull/2523)
 * Implement the Advanced tab of new room settings
   [\#2525](https://github.com/matrix-org/matrix-react-sdk/pull/2525)
 * Implement the Roles & Permissions tab of new room settings
   [\#2524](https://github.com/matrix-org/matrix-react-sdk/pull/2524)
 * Redesign: room directory makeover
   [\#2519](https://github.com/matrix-org/matrix-react-sdk/pull/2519)
 * Iterate upon the room upgrade warning bar
   [\#2518](https://github.com/matrix-org/matrix-react-sdk/pull/2518)
 * redesign: small fixes
   [\#2520](https://github.com/matrix-org/matrix-react-sdk/pull/2520)
 * Implement the "general" tab of new room settings
   [\#2516](https://github.com/matrix-org/matrix-react-sdk/pull/2516)
 * Tweak auth overflow on Windows and Linux
   [\#2521](https://github.com/matrix-org/matrix-react-sdk/pull/2521)
 * Redesign: switch layout when filtering room sublists
   [\#2515](https://github.com/matrix-org/matrix-react-sdk/pull/2515)
 * Make native scrollbars prettier
   [\#2470](https://github.com/matrix-org/matrix-react-sdk/pull/2470)
 * Add server type selector and style login flow
   [\#2517](https://github.com/matrix-org/matrix-react-sdk/pull/2517)
 * Implement flair tab in user settings
   [\#2512](https://github.com/matrix-org/matrix-react-sdk/pull/2512)
 * Override UA/OS styles for disabled Field selects
   [\#2502](https://github.com/matrix-org/matrix-react-sdk/pull/2502)
 * Be more positive with setting labels
   [\#2504](https://github.com/matrix-org/matrix-react-sdk/pull/2504)
 * Redesign: new roomlist layout fixes
   [\#2514](https://github.com/matrix-org/matrix-react-sdk/pull/2514)
 * Redesign: new layout algorithm for room sublists.
   [\#2507](https://github.com/matrix-org/matrix-react-sdk/pull/2507)
 * Short-Authentication-String Verification
   [\#2461](https://github.com/matrix-org/matrix-react-sdk/pull/2461)
 * Fix unmount TypeError in `DeviceVerifyButtons`
   [\#2513](https://github.com/matrix-org/matrix-react-sdk/pull/2513)
 * Remove support for team servers
   [\#2511](https://github.com/matrix-org/matrix-react-sdk/pull/2511)
 * Initial structure for new room settings
   [\#2510](https://github.com/matrix-org/matrix-react-sdk/pull/2510)
 * Tweak wording on logout warning
   [\#2509](https://github.com/matrix-org/matrix-react-sdk/pull/2509)
 * Fix NPE in RoomRecoveryReminder
   [\#2508](https://github.com/matrix-org/matrix-react-sdk/pull/2508)
 * New text/caption for key backup by verifying device
   [\#2506](https://github.com/matrix-org/matrix-react-sdk/pull/2506)
 * Implement the "Security & Privacy" tab of new user settings
   [\#2499](https://github.com/matrix-org/matrix-react-sdk/pull/2499)
 * Add simple animations to toggle switches
   [\#2505](https://github.com/matrix-org/matrix-react-sdk/pull/2505)
 * Default a Field's placeholder to the label
   [\#2503](https://github.com/matrix-org/matrix-react-sdk/pull/2503)
 * Have the settings dialog be fixed in size
   [\#2501](https://github.com/matrix-org/matrix-react-sdk/pull/2501)
 * Implement the "Help & About" tab of new user settings
   [\#2500](https://github.com/matrix-org/matrix-react-sdk/pull/2500)
 * Implement the "Voice & Video" tab of new user settings
   [\#2498](https://github.com/matrix-org/matrix-react-sdk/pull/2498)
 * Add widget screenshots to the Labs section
   [\#2497](https://github.com/matrix-org/matrix-react-sdk/pull/2497)
 * Implement the "Preferences" tab on new user settings
   [\#2495](https://github.com/matrix-org/matrix-react-sdk/pull/2495)
 * Add target="_blank" to links that don't have it
   [\#2496](https://github.com/matrix-org/matrix-react-sdk/pull/2496)
 * Implement the "Notifications" tab of new user settings
   [\#2494](https://github.com/matrix-org/matrix-react-sdk/pull/2494)
 * Implement the "Labs" tab of new user settings
   [\#2492](https://github.com/matrix-org/matrix-react-sdk/pull/2492)
 * Implement the "General" tab of new user settings
   [\#2491](https://github.com/matrix-org/matrix-react-sdk/pull/2491)
 * Appease linter in auth related files
   [\#2493](https://github.com/matrix-org/matrix-react-sdk/pull/2493)
 * Update text and links in authentication flows
   [\#2489](https://github.com/matrix-org/matrix-react-sdk/pull/2489)
 * Move LanguageSelector to views
   [\#2490](https://github.com/matrix-org/matrix-react-sdk/pull/2490)
 * Restyle auth page language selector
   [\#2488](https://github.com/matrix-org/matrix-react-sdk/pull/2488)
 * Fix desktop captcha check
   [\#2487](https://github.com/matrix-org/matrix-react-sdk/pull/2487)
 * Basic structure for tabbed user settings
   [\#2476](https://github.com/matrix-org/matrix-react-sdk/pull/2476)
 * Token encouragement if zxcvbn gives no feedback
   [\#2471](https://github.com/matrix-org/matrix-react-sdk/pull/2471)
 * Fix: show rooms and people section when empty while filtering
   [\#2481](https://github.com/matrix-org/matrix-react-sdk/pull/2481)
 * Fix AuthFooter CSS rules conflicting with anchors all over the app
   [\#2486](https://github.com/matrix-org/matrix-react-sdk/pull/2486)
 * Support selects on Field
   [\#2484](https://github.com/matrix-org/matrix-react-sdk/pull/2484)
 * Fix integrations server error popup being hidden behind right panel
   [\#2482](https://github.com/matrix-org/matrix-react-sdk/pull/2482)
 * Fix: apparently room can be null here
   [\#2480](https://github.com/matrix-org/matrix-react-sdk/pull/2480)
 * Redesign: pull jump to bottom button out of room status bar
   [\#2478](https://github.com/matrix-org/matrix-react-sdk/pull/2478)
 * Redesign: set default size of 350px for left panel
   [\#2479](https://github.com/matrix-org/matrix-react-sdk/pull/2479)
 * Avoid "jumpiness" with inline typing indicator
   [\#2456](https://github.com/matrix-org/matrix-react-sdk/pull/2456)
 * De-lint CompatabilityPage & LoggedInView
   [\#2472](https://github.com/matrix-org/matrix-react-sdk/pull/2472)
 * Remove Status theme-specific hacks
   [\#2473](https://github.com/matrix-org/matrix-react-sdk/pull/2473)
 * Error if no sessions decrypted
   [\#2469](https://github.com/matrix-org/matrix-react-sdk/pull/2469)
 * Fix settings direct chat
   [\#2466](https://github.com/matrix-org/matrix-react-sdk/pull/2466)
 * Show verify button when we have a device to verify
   [\#2464](https://github.com/matrix-org/matrix-react-sdk/pull/2464)
 * Redesign: Add a form field component
   [\#2463](https://github.com/matrix-org/matrix-react-sdk/pull/2463)
 * Load fonts and images via source-relative URLs and requires
   [\#2460](https://github.com/matrix-org/matrix-react-sdk/pull/2460)
 * Say when backup is signed by unknown device
   [\#2455](https://github.com/matrix-org/matrix-react-sdk/pull/2455)
 * Add an /upgraderoom command to make upgrading easier for development
   [\#2458](https://github.com/matrix-org/matrix-react-sdk/pull/2458)
 * Merge develop->experimental
   [\#2457](https://github.com/matrix-org/matrix-react-sdk/pull/2457)
 * Fix: show hand cursor in topleft menu so its clear you can click it
   [\#2454](https://github.com/matrix-org/matrix-react-sdk/pull/2454)
 * Fix: search makeover missing icons
   [\#2453](https://github.com/matrix-org/matrix-react-sdk/pull/2453)
 * Redesign: search makeover
   [\#2448](https://github.com/matrix-org/matrix-react-sdk/pull/2448)
 * Revert "Tiled room UI"
   [\#2451](https://github.com/matrix-org/matrix-react-sdk/pull/2451)
 * Update from Weblate.
   [\#2452](https://github.com/matrix-org/matrix-react-sdk/pull/2452)
 * Improve room sublist resizing
   [\#2440](https://github.com/matrix-org/matrix-react-sdk/pull/2440)
 * Different dialog for new trusted backup
   [\#2435](https://github.com/matrix-org/matrix-react-sdk/pull/2435)
 * De-lint a few more files
   [\#2436](https://github.com/matrix-org/matrix-react-sdk/pull/2436)
 * Recalculate the visible rooms when rooms are upgraded
   [\#2433](https://github.com/matrix-org/matrix-react-sdk/pull/2433)
 * Navigate to the upgraded room's create event where possible
   [\#2432](https://github.com/matrix-org/matrix-react-sdk/pull/2432)
 * Don't show rooms with tombstones in the address picker
   [\#2429](https://github.com/matrix-org/matrix-react-sdk/pull/2429)
 * Add separate dialog for recovery method removed
   [\#2427](https://github.com/matrix-org/matrix-react-sdk/pull/2427)
 * Set which servers to try and join upgraded rooms through
   [\#2428](https://github.com/matrix-org/matrix-react-sdk/pull/2428)
 * Render a tile for tombstone events
   [\#2430](https://github.com/matrix-org/matrix-react-sdk/pull/2430)
 * Regenerate en_EN.json to sort entries
   [\#2431](https://github.com/matrix-org/matrix-react-sdk/pull/2431)
 * Key backup: Debounce passphrase feedback
   [\#2426](https://github.com/matrix-org/matrix-react-sdk/pull/2426)
 * Set backup niggles: 2
   [\#2425](https://github.com/matrix-org/matrix-react-sdk/pull/2425)
 * Fix lint errors in MessageComposerInput
   [\#2423](https://github.com/matrix-org/matrix-react-sdk/pull/2423)
 * Set backup niggles: 1
   [\#2424](https://github.com/matrix-org/matrix-react-sdk/pull/2424)
 * PoC: Add simple state counters to room heading
   [\#2388](https://github.com/matrix-org/matrix-react-sdk/pull/2388)
 * Fix a few things with cancelling recovery reminder
   [\#2420](https://github.com/matrix-org/matrix-react-sdk/pull/2420)
 * Add spaces back to async arrow functions
   [\#2422](https://github.com/matrix-org/matrix-react-sdk/pull/2422)
 * fix grid growing wider than viewport on chrome
   [\#2421](https://github.com/matrix-org/matrix-react-sdk/pull/2421)
 * Tiled room UI
   [\#2348](https://github.com/matrix-org/matrix-react-sdk/pull/2348)
 * Fix path to New Recovery Method icon
   [\#2417](https://github.com/matrix-org/matrix-react-sdk/pull/2417)
 * run unit tests on riot-web like before
   [\#2419](https://github.com/matrix-org/matrix-react-sdk/pull/2419)
 * Refactor travis-ci to use parallel jobs
   [\#2414](https://github.com/matrix-org/matrix-react-sdk/pull/2414)
 * Fix black-on-black GIF icon for stickers
   [\#2408](https://github.com/matrix-org/matrix-react-sdk/pull/2408)
 * Don't reset cached room list values when they are falsey
   [\#2413](https://github.com/matrix-org/matrix-react-sdk/pull/2413)
 * Make logout warning nag about key backups
   [\#2407](https://github.com/matrix-org/matrix-react-sdk/pull/2407)
 * Clarify readme instructions for developers
   [\#2404](https://github.com/matrix-org/matrix-react-sdk/pull/2404)
 * Add slash command for changing room name
   [\#2401](https://github.com/matrix-org/matrix-react-sdk/pull/2401)
 * Flatten and simplify the memberlist sorting algorithm
   [\#2381](https://github.com/matrix-org/matrix-react-sdk/pull/2381)
 * Tiny fixes for custom status messages on experimental
   [\#2403](https://github.com/matrix-org/matrix-react-sdk/pull/2403)
 * Part 3 of 3: Apply today's changes to experimental again
   [\#2400](https://github.com/matrix-org/matrix-react-sdk/pull/2400)
 * Part 2 of 3: Merge develop->experimental minus #2336
   [\#2399](https://github.com/matrix-org/matrix-react-sdk/pull/2399)
 * Part 1 of 3: Back out bad merge for develop->experimental
   [\#2398](https://github.com/matrix-org/matrix-react-sdk/pull/2398)
 * Fix browser navigation not working between /home, /login, /register, etc
   [\#2383](https://github.com/matrix-org/matrix-react-sdk/pull/2383)
 * Don't re-sort the room list if the user is hovering over it
   [\#2396](https://github.com/matrix-org/matrix-react-sdk/pull/2396)
 * Merge develop into experimental
   [\#2395](https://github.com/matrix-org/matrix-react-sdk/pull/2395)
 * Added colour var to all themes
   [\#2379](https://github.com/matrix-org/matrix-react-sdk/pull/2379)
 * Colour, contrast & legibility improvements
   [\#2378](https://github.com/matrix-org/matrix-react-sdk/pull/2378)
 * Redesign: add feedback dialog & button in tag panel
   [\#2376](https://github.com/matrix-org/matrix-react-sdk/pull/2376)
 * Redesign: add badge with dot to rm button, to see it catches your eye better
   [\#2371](https://github.com/matrix-org/matrix-react-sdk/pull/2371)
 * Fix misaligned (+) icon
   [\#2374](https://github.com/matrix-org/matrix-react-sdk/pull/2374)
 * Avoid 'transparent black' gradients in left panel
   [\#2373](https://github.com/matrix-org/matrix-react-sdk/pull/2373)
 * Normalised icons
   [\#2370](https://github.com/matrix-org/matrix-react-sdk/pull/2370)
 * Redesign: give right panel default width
   [\#2369](https://github.com/matrix-org/matrix-react-sdk/pull/2369)
 * Redesign:  Fix login field looking inline
   [\#2368](https://github.com/matrix-org/matrix-react-sdk/pull/2368)
 * Redesign: select search query on focus
   [\#2367](https://github.com/matrix-org/matrix-react-sdk/pull/2367)
 * Redesign: fix remaining right panel collapse issues.
   [\#2366](https://github.com/matrix-org/matrix-react-sdk/pull/2366)
 * Redesign: left panel fixes
   [\#2364](https://github.com/matrix-org/matrix-react-sdk/pull/2364)
 * Redesign: allow to hide the right panel when clicking already active button
   & persist
   [\#2361](https://github.com/matrix-org/matrix-react-sdk/pull/2361)
 * Redesign: make room tiles less high so more rooms fit on the screen
   [\#2359](https://github.com/matrix-org/matrix-react-sdk/pull/2359)
 * Redesign: ignore any unknown tags
   [\#2358](https://github.com/matrix-org/matrix-react-sdk/pull/2358)
 * Redesign: disable setting theme completely
   [\#2357](https://github.com/matrix-org/matrix-react-sdk/pull/2357)
 * Force use of dharma theme
   [\#2355](https://github.com/matrix-org/matrix-react-sdk/pull/2355)
 * Redesign: some small fixes
   [\#2354](https://github.com/matrix-org/matrix-react-sdk/pull/2354)
 * Redesign: restyle jump to first unread message & rework read marker logic
   (rebased)
   [\#2345](https://github.com/matrix-org/matrix-react-sdk/pull/2345)
 * Redesign: fix add room button alignment when collapsed
   [\#2343](https://github.com/matrix-org/matrix-react-sdk/pull/2343)
 * Redesign: confirm sign out from top left menu
   [\#2342](https://github.com/matrix-org/matrix-react-sdk/pull/2342)
 * Redesign: fix room header avatar in edit mode
   [\#2344](https://github.com/matrix-org/matrix-react-sdk/pull/2344)
 * Redesign: make community UX usable
   [\#2341](https://github.com/matrix-org/matrix-react-sdk/pull/2341)
 * Redesign: resizer persistence
   [\#2321](https://github.com/matrix-org/matrix-react-sdk/pull/2321)
 * Redesign: improve room sub list sizing & persist sizes
   [\#2297](https://github.com/matrix-org/matrix-react-sdk/pull/2297)
 * Redesign: temp solution to make room settings usable
   [\#2298](https://github.com/matrix-org/matrix-react-sdk/pull/2298)
 * Redesign: typing notifications in timeline
   [\#2276](https://github.com/matrix-org/matrix-react-sdk/pull/2276)
 * Redesign: add scroll indicator gradients to top and bottom of room sub list
   [\#2275](https://github.com/matrix-org/matrix-react-sdk/pull/2275)
 * Redesign: move member query field to bottom of member list
   [\#2270](https://github.com/matrix-org/matrix-react-sdk/pull/2270)
 * Redesign: room list visual polish
   [\#2269](https://github.com/matrix-org/matrix-react-sdk/pull/2269)
 * Redesign: bring back & restyle room filter field
   [\#2267](https://github.com/matrix-org/matrix-react-sdk/pull/2267)
 * Redesign: increase interaction rectangle of resize handles
   [\#2262](https://github.com/matrix-org/matrix-react-sdk/pull/2262)
 * Redesign: move right panel below room/group header
   [\#2260](https://github.com/matrix-org/matrix-react-sdk/pull/2260)
 * Redesign: use native auto-hiding scrollbars in room sub lists
   [\#2264](https://github.com/matrix-org/matrix-react-sdk/pull/2264)
 * Redesign: basic makeover of member info panel
   [\#2248](https://github.com/matrix-org/matrix-react-sdk/pull/2248)
 * Redesign: memberlist basic makeover
   [\#2245](https://github.com/matrix-org/matrix-react-sdk/pull/2245)
 * Redesign: tweak room list font sizes
   [\#2246](https://github.com/matrix-org/matrix-react-sdk/pull/2246)
 * Redesign: Fix room lists sizing
   [\#2234](https://github.com/matrix-org/matrix-react-sdk/pull/2234)
 * Redesign: fix import path
   [\#2243](https://github.com/matrix-org/matrix-react-sdk/pull/2243)
 * Redesign: update (most) icons
   [\#2241](https://github.com/matrix-org/matrix-react-sdk/pull/2241)
 * Redesign: fix basic room header layout
   [\#2240](https://github.com/matrix-org/matrix-react-sdk/pull/2240)
 * Redesign: 1st go at top left menu & restyling context menus
   [\#2239](https://github.com/matrix-org/matrix-react-sdk/pull/2239)
 * Redesign: Initial timeline tweaks
   [\#2238](https://github.com/matrix-org/matrix-react-sdk/pull/2238)
 * Redesign: Align visuals of room list with design
   [\#2233](https://github.com/matrix-org/matrix-react-sdk/pull/2233)
 * Redesign: room section header tidbits
   [\#2229](https://github.com/matrix-org/matrix-react-sdk/pull/2229)
 * Redesign: Add (+) button in room section header to add rooms
   [\#2228](https://github.com/matrix-org/matrix-react-sdk/pull/2228)
 * Redesign: 1st go at resizing room sublists
   [\#2226](https://github.com/matrix-org/matrix-react-sdk/pull/2226)
 * Redesign: remove room list truncation and DND
   [\#2224](https://github.com/matrix-org/matrix-react-sdk/pull/2224)
 * Redesign: resizeable/collapsible sections
   [\#2210](https://github.com/matrix-org/matrix-react-sdk/pull/2210)

Changes in [0.14.8](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.8) (2019-01-22)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.8-rc.1...v0.14.8)

 * Fix settings direct chat
   [\#2467](https://github.com/matrix-org/matrix-react-sdk/pull/2467)

Changes in [0.14.8-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.8-rc.1) (2019-01-17)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.7...v0.14.8-rc.1)

 * Change wording of 'invite anyway' setting
   [\#2450](https://github.com/matrix-org/matrix-react-sdk/pull/2450)
 * Minimal lint-fixes to make develop CI build
   [\#2449](https://github.com/matrix-org/matrix-react-sdk/pull/2449)
 * Develop->Experimental
   [\#2445](https://github.com/matrix-org/matrix-react-sdk/pull/2445)
 * Limit line length in the room directory
   [\#2438](https://github.com/matrix-org/matrix-react-sdk/pull/2438)
 * Develop->Experimental
   [\#2444](https://github.com/matrix-org/matrix-react-sdk/pull/2444)
 * Fix setting label for unknown invites
   [\#2443](https://github.com/matrix-org/matrix-react-sdk/pull/2443)
 * Merge develop -> experimental
   [\#2441](https://github.com/matrix-org/matrix-react-sdk/pull/2441)
 * Give a route for retrying invites for users which may not exist
   [\#2434](https://github.com/matrix-org/matrix-react-sdk/pull/2434)
 * Show in-room reminder when key backup creating device unverified
   [\#2394](https://github.com/matrix-org/matrix-react-sdk/pull/2394)
 * Consistent flair ordering.
   [\#2389](https://github.com/matrix-org/matrix-react-sdk/pull/2389)
 * Fetch matching e2e-test branch
   [\#2387](https://github.com/matrix-org/matrix-react-sdk/pull/2387)
 * Add some logging for riot-web#7838
   [\#2385](https://github.com/matrix-org/matrix-react-sdk/pull/2385)
 * Handle well-known data in the login response
   [\#2384](https://github.com/matrix-org/matrix-react-sdk/pull/2384)
 * Custom status messages
   [\#2347](https://github.com/matrix-org/matrix-react-sdk/pull/2347)
 * React-sdk changes to support sandboxed electron
   [\#2372](https://github.com/matrix-org/matrix-react-sdk/pull/2372)
 * Make sure to grab the InlineSpinner object
   [\#2363](https://github.com/matrix-org/matrix-react-sdk/pull/2363)
 * Standardize errors about localpart structure
   [\#2351](https://github.com/matrix-org/matrix-react-sdk/pull/2351)
 * Fix translation error on notification icon
   [\#2352](https://github.com/matrix-org/matrix-react-sdk/pull/2352)
 * Introduce a default_server_name for aesthetics and rework .well-known
   [\#2327](https://github.com/matrix-org/matrix-react-sdk/pull/2327)
 * Show the number of unread notifications above the bell on the right
   [\#2336](https://github.com/matrix-org/matrix-react-sdk/pull/2336)
 * Check to make sure email addresses look roughly valid before inviting them
   to rooms
   [\#2338](https://github.com/matrix-org/matrix-react-sdk/pull/2338)
 * Expose hidden notification rules in UI
   [\#2346](https://github.com/matrix-org/matrix-react-sdk/pull/2346)
 * Avoid preserving HS url at logout
   [\#2340](https://github.com/matrix-org/matrix-react-sdk/pull/2340)
 * Speed up room unread checks by not hitting the SettingsStore so often
   [\#2339](https://github.com/matrix-org/matrix-react-sdk/pull/2339)
 * Remove outdated info about custom skins
   [\#2337](https://github.com/matrix-org/matrix-react-sdk/pull/2337)
 * Show the IncomingCallBox if the call is for the RoomSubList
   [\#2333](https://github.com/matrix-org/matrix-react-sdk/pull/2333)
 * Don't consider ACL'd servers as permalink candidates
   [\#2331](https://github.com/matrix-org/matrix-react-sdk/pull/2331)
 * Fix pinning of rooms without badges
   [\#2330](https://github.com/matrix-org/matrix-react-sdk/pull/2330)
 * Sort translations by file name
   [\#2329](https://github.com/matrix-org/matrix-react-sdk/pull/2329)
 * Update React guide in code style
   [\#2335](https://github.com/matrix-org/matrix-react-sdk/pull/2335)
 * Remove temporary account_deactivation_preferences
   [\#2259](https://github.com/matrix-org/matrix-react-sdk/pull/2259)

Changes in [0.14.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.7) (2018-12-10)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.7-rc.2...v0.14.7)

 * No changes since rc.2

Changes in [0.14.7-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.7-rc.2) (2018-12-06)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.7-rc.1...v0.14.7-rc.2)

 * Ship the babelrc file to npm
   [\#2332](https://github.com/matrix-org/matrix-react-sdk/pull/2332)

Changes in [0.14.7-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.7-rc.1) (2018-12-06)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.6...v0.14.7-rc.1)

 * Suppress CORS errors in the 'failed to join room' dialog
   [\#2306](https://github.com/matrix-org/matrix-react-sdk/pull/2306)
 * Check if users exist before inviting them and communicate errors
   [\#2317](https://github.com/matrix-org/matrix-react-sdk/pull/2317)
 * Update from Weblate.
   [\#2328](https://github.com/matrix-org/matrix-react-sdk/pull/2328)
 * Allow group summary to load when /users fails
   [\#2326](https://github.com/matrix-org/matrix-react-sdk/pull/2326)
 * Show correct text if passphrase is skipped
   [\#2324](https://github.com/matrix-org/matrix-react-sdk/pull/2324)
 * Add password strength meter to backup creation UI
   [\#2294](https://github.com/matrix-org/matrix-react-sdk/pull/2294)
 * Check upload limits before trying to upload large files
   [\#1876](https://github.com/matrix-org/matrix-react-sdk/pull/1876)
 * Support .well-known discovery
   [\#2227](https://github.com/matrix-org/matrix-react-sdk/pull/2227)
 * Make create key backup dialog async
   [\#2291](https://github.com/matrix-org/matrix-react-sdk/pull/2291)
 * Forgot to enable continue button on download
   [\#2288](https://github.com/matrix-org/matrix-react-sdk/pull/2288)
 * Online incremental megolm backups (v2)
   [\#2169](https://github.com/matrix-org/matrix-react-sdk/pull/2169)
 * Add recovery key download button
   [\#2284](https://github.com/matrix-org/matrix-react-sdk/pull/2284)
 * Passphrase Support for e2e backups
   [\#2283](https://github.com/matrix-org/matrix-react-sdk/pull/2283)
 * Update async dialog interface to use promises
   [\#2286](https://github.com/matrix-org/matrix-react-sdk/pull/2286)
 * Support for m.login.sso
   [\#2279](https://github.com/matrix-org/matrix-react-sdk/pull/2279)
 * Added badge to non-autoplay GIFs
   [\#2235](https://github.com/matrix-org/matrix-react-sdk/pull/2235)
 * Improve terms auth flow
   [\#2277](https://github.com/matrix-org/matrix-react-sdk/pull/2277)
 * Handle crypto db version upgrade
   [\#2282](https://github.com/matrix-org/matrix-react-sdk/pull/2282)

Changes in [0.14.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.6) (2018-11-22)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.5...v0.14.6)

 * Warning when crypto DB is too new to use.

Changes in [0.14.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.5) (2018-11-19)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.5-rc.2...v0.14.5)

 * No changes since rc.1

Changes in [0.14.5-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.5-rc.2) (2018-11-15)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.5-rc.1...v0.14.5-rc.2)

 * Update to js-sdk v0.14.0-rc.1 which uses the new Olm API
   (v0.14.0-rc.1 was broken because of this).

Changes in [0.14.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.5-rc.1) (2018-11-15)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.4...v0.14.5-rc.1)

 * Update from Weblate.
   [\#2278](https://github.com/matrix-org/matrix-react-sdk/pull/2278)
 * Support room IDs and event permalinks in the join command
   [\#2272](https://github.com/matrix-org/matrix-react-sdk/pull/2272)
 * Align encrypted event buttons in Safari
   [\#2274](https://github.com/matrix-org/matrix-react-sdk/pull/2274)
 * Align buttons in encrypted event dialog
   [\#2273](https://github.com/matrix-org/matrix-react-sdk/pull/2273)
 * Add visible guest warning to encourage login
   [\#2268](https://github.com/matrix-org/matrix-react-sdk/pull/2268)
 * Regenerate the room list when m.fully_read is issued
   [\#2266](https://github.com/matrix-org/matrix-react-sdk/pull/2266)
 * Remove the request-only stuff we don't need anymore
   [\#2263](https://github.com/matrix-org/matrix-react-sdk/pull/2263)
 * Improve performance of room list and fix timestamp ordering when pinning
   rooms
   [\#2265](https://github.com/matrix-org/matrix-react-sdk/pull/2265)
 * Add options to pin unread/mentioned rooms to the top of the room list
   [\#1936](https://github.com/matrix-org/matrix-react-sdk/pull/1936)
 * only run e2e tests on PRs targeted on develop
   [\#2261](https://github.com/matrix-org/matrix-react-sdk/pull/2261)
 * Fix and test matrix.to alias permalinks
   [\#2254](https://github.com/matrix-org/matrix-react-sdk/pull/2254)
 * click-through svg on tag tile context menu to make it less weird
   [\#2257](https://github.com/matrix-org/matrix-react-sdk/pull/2257)
 * Hide Matthew's Time Machine
   [\#2256](https://github.com/matrix-org/matrix-react-sdk/pull/2256)
 * Update babel-eslint to 8.1.1
   [\#2255](https://github.com/matrix-org/matrix-react-sdk/pull/2255)
 * Support routing matrix.to links to joinable rooms
   [\#2250](https://github.com/matrix-org/matrix-react-sdk/pull/2250)
 * Fix autoreplacement of ascii emoji
   [\#2253](https://github.com/matrix-org/matrix-react-sdk/pull/2253)
 * Repair DevTools button padding by centralizing styles
   [\#2252](https://github.com/matrix-org/matrix-react-sdk/pull/2252)
 * Redirect widgets to another location before deleting them
   [\#2232](https://github.com/matrix-org/matrix-react-sdk/pull/2232)
 * disable e2e tests for PRs targeted at experimental (redesign)
   [\#2251](https://github.com/matrix-org/matrix-react-sdk/pull/2251)
 * Fix emoji replacement in composer
   [\#2247](https://github.com/matrix-org/matrix-react-sdk/pull/2247)
 * Add a devtools button to roomsettings
   [\#2249](https://github.com/matrix-org/matrix-react-sdk/pull/2249)
 * Add warning when administrator leaves community (#5724)
   [\#2242](https://github.com/matrix-org/matrix-react-sdk/pull/2242)

Changes in [0.14.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.4) (2018-11-13)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.3...v0.14.4)

 * Include change that was supposed to be included in orevious version

Changes in [0.14.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.3) (2018-11-13)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.2...v0.14.3)

 * Add banner with login/register links for users who aren't logged in

Changes in [0.14.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.2) (2018-10-29)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.2-rc.1...v0.14.2)

 * Fix autoreplacement of ascii emoji
   [\#2258](https://github.com/matrix-org/matrix-react-sdk/pull/2258)

Changes in [0.14.2-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.2-rc.1) (2018-10-24)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.1...v0.14.2-rc.1)

 * Update from Weblate.
   [\#2244](https://github.com/matrix-org/matrix-react-sdk/pull/2244)
 * Show the group member list again
   [\#2223](https://github.com/matrix-org/matrix-react-sdk/pull/2223)
 * lint: make colorScheme camel case
   [\#2237](https://github.com/matrix-org/matrix-react-sdk/pull/2237)
 * Change leave room button text, OK -> Leave
   [\#2236](https://github.com/matrix-org/matrix-react-sdk/pull/2236)
 * Move all dialog buttons to the right and fix their order
   [\#2231](https://github.com/matrix-org/matrix-react-sdk/pull/2231)
 * Add a bit of text to explain the purpose of the RoomPreviewSpinner
   [\#2225](https://github.com/matrix-org/matrix-react-sdk/pull/2225)
 * Move the login box from the left sidebar to where the composer is
   [\#2219](https://github.com/matrix-org/matrix-react-sdk/pull/2219)
 * Fix an error where React doesn't like value=null on a select
   [\#2230](https://github.com/matrix-org/matrix-react-sdk/pull/2230)
 * add missing sticker translation
   [\#2216](https://github.com/matrix-org/matrix-react-sdk/pull/2216)
 * Support m.login.terms during registration
   [\#2221](https://github.com/matrix-org/matrix-react-sdk/pull/2221)
 * Don't show the invite nag bar when peeking
   [\#2220](https://github.com/matrix-org/matrix-react-sdk/pull/2220)
 * Apply the user's tint once the MatrixClientPeg is moderately ready
   [\#2214](https://github.com/matrix-org/matrix-react-sdk/pull/2214)
 * Make rageshake use less memory
   [\#2217](https://github.com/matrix-org/matrix-react-sdk/pull/2217)
 * Fix autocomplete
   [\#2212](https://github.com/matrix-org/matrix-react-sdk/pull/2212)
 * Explain feature states in a lot more detail
   [\#2211](https://github.com/matrix-org/matrix-react-sdk/pull/2211)
 * Fix various lint errors
   [\#2213](https://github.com/matrix-org/matrix-react-sdk/pull/2213)

Changes in [0.14.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.1) (2018-10-19)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.0...v0.14.1)

 * Apply the user's tint once the MatrixClientPeg is moderately ready
   [\#2214](https://github.com/matrix-org/matrix-react-sdk/pull/2214)

Changes in [0.14.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.0) (2018-10-16)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.14.0-rc.1...v0.14.0)

 * Phased rollout of lazy loading
   [\#2218](https://github.com/matrix-org/matrix-react-sdk/pull/2218)

Changes in [0.14.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.0-rc.1) (2018-10-11)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.6...v0.14.0-rc.1)

 * turn LL on by default!
   [\#2209](https://github.com/matrix-org/matrix-react-sdk/pull/2209)
 * Update from Weblate.
   [\#2207](https://github.com/matrix-org/matrix-react-sdk/pull/2207)
 * Fix quote post slate update
   [\#2206](https://github.com/matrix-org/matrix-react-sdk/pull/2206)
 * Handle InvalidStoreError from js-sdk
   [\#2205](https://github.com/matrix-org/matrix-react-sdk/pull/2205)
 * Fall back to default avatar in RR when member isn't loaded yet
   [\#2204](https://github.com/matrix-org/matrix-react-sdk/pull/2204)
 * Update to new version of slate
   [\#2202](https://github.com/matrix-org/matrix-react-sdk/pull/2202)
 * Update karma to webpack 4
   [\#2203](https://github.com/matrix-org/matrix-react-sdk/pull/2203)
 * More accessible buttons - take 2
   [\#2194](https://github.com/matrix-org/matrix-react-sdk/pull/2194)
 * log correct error code when opening log idb
   [\#2200](https://github.com/matrix-org/matrix-react-sdk/pull/2200)
 * show warning when LL is disabled but was enabled before
   [\#2201](https://github.com/matrix-org/matrix-react-sdk/pull/2201)
 * Fall back to another store if indexeddb start fails
   [\#2195](https://github.com/matrix-org/matrix-react-sdk/pull/2195)
 * Silence bluebird warnings
   [\#2198](https://github.com/matrix-org/matrix-react-sdk/pull/2198)
 * Use createObjectURL instead of readAsDataURL for videos
   [\#2197](https://github.com/matrix-org/matrix-react-sdk/pull/2197)
 * Revert "Use createObjectURL instead of readAsDataURL for videos"
   [\#2196](https://github.com/matrix-org/matrix-react-sdk/pull/2196)
 * Track how far the user travels before dismissing their user settings
   [\#2183](https://github.com/matrix-org/matrix-react-sdk/pull/2183)
 * Drop (IRC) suffix hacks
   [\#2193](https://github.com/matrix-org/matrix-react-sdk/pull/2193)
 * Use createObjectURL instead of readAsDataURL for videos
   [\#2176](https://github.com/matrix-org/matrix-react-sdk/pull/2176)
 * Remove old migration code
   [\#2192](https://github.com/matrix-org/matrix-react-sdk/pull/2192)
 * Fix brace style in TextForEvent.js
   [\#2191](https://github.com/matrix-org/matrix-react-sdk/pull/2191)
 * Fix error logging
   [\#2190](https://github.com/matrix-org/matrix-react-sdk/pull/2190)
 * Fix Promise.defer warning in ScalarAuthClient.js
   [\#2188](https://github.com/matrix-org/matrix-react-sdk/pull/2188)
 * Communicate early that a 3pid is required during registration if needed
   [\#2180](https://github.com/matrix-org/matrix-react-sdk/pull/2180)
 * try to encourage people to attach logs to bugs
   [\#2185](https://github.com/matrix-org/matrix-react-sdk/pull/2185)
 * Show the 'homeserver unavailable' warning when the first sync fails
   [\#2182](https://github.com/matrix-org/matrix-react-sdk/pull/2182)
 * allow passing initial is_url like hs_url in query params
   [\#2083](https://github.com/matrix-org/matrix-react-sdk/pull/2083)
 * Update karma
   [\#2177](https://github.com/matrix-org/matrix-react-sdk/pull/2177)
 * fudge hangup reasons
   [\#2184](https://github.com/matrix-org/matrix-react-sdk/pull/2184)
 * Provide more helpful errors when i18n generation fails
   [\#2181](https://github.com/matrix-org/matrix-react-sdk/pull/2181)

Changes in [0.14.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.14.0-rc.1) (2018-10-11)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.6...v0.14.0-rc.1)

 * turn LL on by default!
   [\#2209](https://github.com/matrix-org/matrix-react-sdk/pull/2209)
 * Update from Weblate.
   [\#2207](https://github.com/matrix-org/matrix-react-sdk/pull/2207)
 * Fix quote post slate update
   [\#2206](https://github.com/matrix-org/matrix-react-sdk/pull/2206)
 * Handle InvalidStoreError from js-sdk
   [\#2205](https://github.com/matrix-org/matrix-react-sdk/pull/2205)
 * Fall back to default avatar in RR when member isn't loaded yet
   [\#2204](https://github.com/matrix-org/matrix-react-sdk/pull/2204)
 * Update to new version of slate
   [\#2202](https://github.com/matrix-org/matrix-react-sdk/pull/2202)
 * Update karma to webpack 4
   [\#2203](https://github.com/matrix-org/matrix-react-sdk/pull/2203)
 * More accessible buttons - take 2
   [\#2194](https://github.com/matrix-org/matrix-react-sdk/pull/2194)
 * log correct error code when opening log idb
   [\#2200](https://github.com/matrix-org/matrix-react-sdk/pull/2200)
 * show warning when LL is disabled but was enabled before
   [\#2201](https://github.com/matrix-org/matrix-react-sdk/pull/2201)
 * Fall back to another store if indexeddb start fails
   [\#2195](https://github.com/matrix-org/matrix-react-sdk/pull/2195)
 * Silence bluebird warnings
   [\#2198](https://github.com/matrix-org/matrix-react-sdk/pull/2198)
 * Use createObjectURL instead of readAsDataURL for videos
   [\#2197](https://github.com/matrix-org/matrix-react-sdk/pull/2197)
 * Revert "Use createObjectURL instead of readAsDataURL for videos"
   [\#2196](https://github.com/matrix-org/matrix-react-sdk/pull/2196)
 * Track how far the user travels before dismissing their user settings
   [\#2183](https://github.com/matrix-org/matrix-react-sdk/pull/2183)
 * Drop (IRC) suffix hacks
   [\#2193](https://github.com/matrix-org/matrix-react-sdk/pull/2193)
 * Use createObjectURL instead of readAsDataURL for videos
   [\#2176](https://github.com/matrix-org/matrix-react-sdk/pull/2176)
 * Remove old migration code
   [\#2192](https://github.com/matrix-org/matrix-react-sdk/pull/2192)
 * Fix brace style in TextForEvent.js
   [\#2191](https://github.com/matrix-org/matrix-react-sdk/pull/2191)
 * Fix error logging
   [\#2190](https://github.com/matrix-org/matrix-react-sdk/pull/2190)
 * Fix Promise.defer warning in ScalarAuthClient.js
   [\#2188](https://github.com/matrix-org/matrix-react-sdk/pull/2188)
 * Communicate early that a 3pid is required during registration if needed
   [\#2180](https://github.com/matrix-org/matrix-react-sdk/pull/2180)
 * try to encourage people to attach logs to bugs
   [\#2185](https://github.com/matrix-org/matrix-react-sdk/pull/2185)
 * Show the 'homeserver unavailable' warning when the first sync fails
   [\#2182](https://github.com/matrix-org/matrix-react-sdk/pull/2182)
 * allow passing initial is_url like hs_url in query params
   [\#2083](https://github.com/matrix-org/matrix-react-sdk/pull/2083)
 * Update karma
   [\#2177](https://github.com/matrix-org/matrix-react-sdk/pull/2177)
 * fudge hangup reasons
   [\#2184](https://github.com/matrix-org/matrix-react-sdk/pull/2184)
 * Provide more helpful errors when i18n generation fails
   [\#2181](https://github.com/matrix-org/matrix-react-sdk/pull/2181)

Changes in [0.13.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.6) (2018-10-08)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.5...v0.13.6)

 * Fix resuming session in Firefox private mode/Tor browser being broken
   [\#2195](https://github.com/matrix-org/matrix-react-sdk/pull/2195)
 * Show warning about using lazy-loading/non-lazy-loading versions simultaneously (/app & /develop)
   [\#2201](https://github.com/matrix-org/matrix-react-sdk/pull/2201)

Changes in [0.13.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.5) (2018-10-01)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.5-rc.1...v0.13.5)

 * No changes since rc.1

Changes in [0.13.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.5-rc.1) (2018-09-27)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.4...v0.13.5-rc.1)

 * resync when LL is toggled, show message when enabled
   [\#2178](https://github.com/matrix-org/matrix-react-sdk/pull/2178)
 * Update from Weblate.
   [\#2179](https://github.com/matrix-org/matrix-react-sdk/pull/2179)
 * Split npm start into an init and watch script
   [\#2175](https://github.com/matrix-org/matrix-react-sdk/pull/2175)
 * show canonical aliases in timeline, and set/remove implicit ones
   [\#2171](https://github.com/matrix-org/matrix-react-sdk/pull/2171)
 * Fix stale RR and improve LL reliability in RoomView & MemberList.
   [\#2168](https://github.com/matrix-org/matrix-react-sdk/pull/2168)
 * pass --travis flag to e2e tests to disable tests known not to work Travis CI
   [\#2170](https://github.com/matrix-org/matrix-react-sdk/pull/2170)
 * Add m.room.aliases to the timeline
   [\#2167](https://github.com/matrix-org/matrix-react-sdk/pull/2167)
 * postpone loading the members until the user joined the room
   [\#2165](https://github.com/matrix-org/matrix-react-sdk/pull/2165)
 * Allow translation tags object to be a variable
   [\#2166](https://github.com/matrix-org/matrix-react-sdk/pull/2166)
 * Don't try to exit fullscreen if not fullscreen
   [\#2164](https://github.com/matrix-org/matrix-react-sdk/pull/2164)
 * avoid updating the memberlist while the spinner is shown
   [\#2161](https://github.com/matrix-org/matrix-react-sdk/pull/2161)
 * fix logging room id when LL members fail
   [\#2163](https://github.com/matrix-org/matrix-react-sdk/pull/2163)
 * dont keep the spinner in the memberlist when fetching /members fails
   [\#2162](https://github.com/matrix-org/matrix-react-sdk/pull/2162)
 * only dispatch an action for self-membership
   [\#2160](https://github.com/matrix-org/matrix-react-sdk/pull/2160)
 * avoid unneeded lookups in memberDict
   [\#2153](https://github.com/matrix-org/matrix-react-sdk/pull/2153)
 * Update from Weblate.
   [\#2157](https://github.com/matrix-org/matrix-react-sdk/pull/2157)
 * avoid memberlist refresh for events related to rooms other but the current
   [\#2156](https://github.com/matrix-org/matrix-react-sdk/pull/2156)

Changes in [0.13.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.4) (2018-09-10)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.4-rc.1...v0.13.4)

 * No changes since rc.1

Changes in [0.13.4-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.4-rc.1) (2018-09-07)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.3...v0.13.4-rc.1)

 * Error on splash screen if sync is failing
   [\#2155](https://github.com/matrix-org/matrix-react-sdk/pull/2155)
 *  Do full registration if HS doesn't support ILAG
   [\#2150](https://github.com/matrix-org/matrix-react-sdk/pull/2150)
 * Re-apply "Don't rely on room members to query power levels"
   [\#2152](https://github.com/matrix-org/matrix-react-sdk/pull/2152)
 * s/DidMount/WillMount/ in MessageComposerInput
   [\#2151](https://github.com/matrix-org/matrix-react-sdk/pull/2151)
 * Revert "Don't rely on room members to query power levels"
   [\#2149](https://github.com/matrix-org/matrix-react-sdk/pull/2149)
 * Don't rely on room members to query power levels
   [\#2145](https://github.com/matrix-org/matrix-react-sdk/pull/2145)
 * Correctly mark email as optional
   [\#2148](https://github.com/matrix-org/matrix-react-sdk/pull/2148)
 * guests trying to join communities should fire the ILAG flow.
   [\#2059](https://github.com/matrix-org/matrix-react-sdk/pull/2059)
 * Fix DM avatars, part 3
   [\#2146](https://github.com/matrix-org/matrix-react-sdk/pull/2146)
 * Fix: show spinner again while recovering from connection error
   [\#2143](https://github.com/matrix-org/matrix-react-sdk/pull/2143)
 * Fix: infinite spinner on trying to create welcomeUserId room without consent
   [\#2147](https://github.com/matrix-org/matrix-react-sdk/pull/2147)
 * Show spinner in member list while loading members
   [\#2139](https://github.com/matrix-org/matrix-react-sdk/pull/2139)
 * Slash command to discard megolm session
   [\#2140](https://github.com/matrix-org/matrix-react-sdk/pull/2140)

Changes in [0.13.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.3) (2018-09-03)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.3-rc.2...v0.13.3)

 * No changes since rc.2

Changes in [0.13.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.3-rc.2) (2018-08-31)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.3-rc.1...v0.13.3-rc.2)

 * Update js-sdk to fix exception

Changes in [0.13.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.3-rc.1) (2018-08-30)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.2...v0.13.3-rc.1)

 * Fix DM avatar
   [\#2141](https://github.com/matrix-org/matrix-react-sdk/pull/2141)
 * Update from Weblate.
   [\#2142](https://github.com/matrix-org/matrix-react-sdk/pull/2142)
 * Support m.room.tombstone events
   [\#2124](https://github.com/matrix-org/matrix-react-sdk/pull/2124)
 * Support room creation events
   [\#2123](https://github.com/matrix-org/matrix-react-sdk/pull/2123)
 * Support for room upgrades
   [\#2122](https://github.com/matrix-org/matrix-react-sdk/pull/2122)
 * Fix: dont show 1:1 avatar for rooms +2 members but only <=2 members loaded
   [\#2137](https://github.com/matrix-org/matrix-react-sdk/pull/2137)
 * Render terms & conditions in settings
   [\#2136](https://github.com/matrix-org/matrix-react-sdk/pull/2136)
 * Don't crash if the value of a room tag is null
   [\#2133](https://github.com/matrix-org/matrix-react-sdk/pull/2133)
 * Add stub for getVisibleRooms()
   [\#2134](https://github.com/matrix-org/matrix-react-sdk/pull/2134)
 * Fix LL crash trying to render own avatar in composer when member isn't
   available yet
   [\#2132](https://github.com/matrix-org/matrix-react-sdk/pull/2132)
 * Support M_INCOMPATIBLE_ROOM_VERSION
   [\#2125](https://github.com/matrix-org/matrix-react-sdk/pull/2125)
 * Hide replaced rooms
   [\#2127](https://github.com/matrix-org/matrix-react-sdk/pull/2127)
 * Fix CPU spin on joining large room
   [\#2128](https://github.com/matrix-org/matrix-react-sdk/pull/2128)
 * Change format of server usage limit message
   [\#2131](https://github.com/matrix-org/matrix-react-sdk/pull/2131)
 * Re-apply "Fix showing peek preview while LL members are loading""
   [\#2130](https://github.com/matrix-org/matrix-react-sdk/pull/2130)
 * Revert "Fix showing peek preview while LL members are loading"
   [\#2129](https://github.com/matrix-org/matrix-react-sdk/pull/2129)
 * Fix showing peek preview while LL members are loading
   [\#2126](https://github.com/matrix-org/matrix-react-sdk/pull/2126)
 * Destroy non-persistent widgets when switching room
   [\#2098](https://github.com/matrix-org/matrix-react-sdk/pull/2098)
 * Lazy loading of room members
   [\#2118](https://github.com/matrix-org/matrix-react-sdk/pull/2118)
 * Lazy loading: feature toggle
   [\#2115](https://github.com/matrix-org/matrix-react-sdk/pull/2115)
 * Lazy loading: cleanup
   [\#2116](https://github.com/matrix-org/matrix-react-sdk/pull/2116)
 * Lazy loading: fix end-to-end encryption rooms
   [\#2113](https://github.com/matrix-org/matrix-react-sdk/pull/2113)
 * Lazy loading: Lazy load members while backpaginating
   [\#2104](https://github.com/matrix-org/matrix-react-sdk/pull/2104)
 * Lazy loading: don't assume we have our own member available
   [\#2102](https://github.com/matrix-org/matrix-react-sdk/pull/2102)
 * Lazy load room members - Part I
   [\#2072](https://github.com/matrix-org/matrix-react-sdk/pull/2072)

Changes in [0.13.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.2) (2018-08-23)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.1...v0.13.2)

 * Don't crash if the value of a room tag is null
   [\#2135](https://github.com/matrix-org/matrix-react-sdk/pull/2135)

Changes in [0.13.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.1) (2018-08-20)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.1-rc.1...v0.13.1)

 * No changes since rc.1

Changes in [0.13.1-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.1-rc.1) (2018-08-16)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.0...v0.13.1-rc.1)

 * Update from Weblate.
   [\#2121](https://github.com/matrix-org/matrix-react-sdk/pull/2121)
 * Shift to M_RESOURCE_LIMIT_EXCEEDED errors
   [\#2120](https://github.com/matrix-org/matrix-react-sdk/pull/2120)
 * Fix RoomSettings test
   [\#2119](https://github.com/matrix-org/matrix-react-sdk/pull/2119)
 * Show room version number in room settings
   [\#2117](https://github.com/matrix-org/matrix-react-sdk/pull/2117)
 * Warning bar for MAU limit hit
   [\#2114](https://github.com/matrix-org/matrix-react-sdk/pull/2114)
 * Recognise server notices room(s)
   [\#2112](https://github.com/matrix-org/matrix-react-sdk/pull/2112)
 * Update room tags behaviour to match spec more
   [\#2111](https://github.com/matrix-org/matrix-react-sdk/pull/2111)
 * while logging out ignore `Session.logged_out` as it is intentional
   [\#2058](https://github.com/matrix-org/matrix-react-sdk/pull/2058)
 * Don't show 'connection lost' bar on MAU error
   [\#2110](https://github.com/matrix-org/matrix-react-sdk/pull/2110)
 * Support MAU error on sync
   [\#2108](https://github.com/matrix-org/matrix-react-sdk/pull/2108)
 * Support active user limit on message send
   [\#2106](https://github.com/matrix-org/matrix-react-sdk/pull/2106)
 * Run end to end tests as part of Travis build
   [\#2091](https://github.com/matrix-org/matrix-react-sdk/pull/2091)
 * Remove package-lock.json for now
   [\#2097](https://github.com/matrix-org/matrix-react-sdk/pull/2097)
 * Support montly active user limit error on /login
   [\#2103](https://github.com/matrix-org/matrix-react-sdk/pull/2103)
 * Unpin sanitize-html
   [\#2105](https://github.com/matrix-org/matrix-react-sdk/pull/2105)
 * Pin sanitize-html to 0.18.2
   [\#2101](https://github.com/matrix-org/matrix-react-sdk/pull/2101)
 * Make clicking on side panels close settings (mk 3)
   [\#2096](https://github.com/matrix-org/matrix-react-sdk/pull/2096)
 * Fix persistent element location not updating
   [\#2092](https://github.com/matrix-org/matrix-react-sdk/pull/2092)
 * fix Devtools input autofocus && state traversal when len === 1 && key=""
   [\#2090](https://github.com/matrix-org/matrix-react-sdk/pull/2090)
 * allow autocompleting Emoji by common aliases, e.g :+1: to :thumbsup:
   [\#2085](https://github.com/matrix-org/matrix-react-sdk/pull/2085)

Changes in [0.13.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.0) (2018-07-30)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.0-rc.2...v0.13.0)

 * Fix composer bug where cursor position would change when Riot regained focus
   [\#2093](https://github.com/matrix-org/matrix-react-sdk/pull/2093)
 * Fix persistend element location not updating
   [\#2094](https://github.com/matrix-org/matrix-react-sdk/pull/2094)
 * Slate Fixes 42?
   [\#2089](https://github.com/matrix-org/matrix-react-sdk/pull/2089)

Changes in [0.13.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.0-rc.2) (2018-07-24)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.13.0-rc.1...v0.13.0-rc.2)

 * Take jitsi conf calling out of labs
   [\#2087](https://github.com/matrix-org/matrix-react-sdk/pull/2087)

Changes in [0.13.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.13.0-rc.1) (2018-07-24)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.9...v0.13.0-rc.1)

 * Update from Weblate.
   [\#2086](https://github.com/matrix-org/matrix-react-sdk/pull/2086)
 * Moar Slate Fixes
   [\#2082](https://github.com/matrix-org/matrix-react-sdk/pull/2082)
 * Destroy the widget when its permission is revoked
   [\#2081](https://github.com/matrix-org/matrix-react-sdk/pull/2081)
 * Make ActiveWidgetStore clear persistent widgets
   [\#2084](https://github.com/matrix-org/matrix-react-sdk/pull/2084)
 * CreateRoomDialog is rendered before getting the config default_federate
   [\#2078](https://github.com/matrix-org/matrix-react-sdk/pull/2078)
 * Slate Fixes
   [\#2076](https://github.com/matrix-org/matrix-react-sdk/pull/2076)
 * FIX: Don't error on rooms the user has left already
   [\#2077](https://github.com/matrix-org/matrix-react-sdk/pull/2077)
 * Fix persistent apps being the wrong size
   [\#2080](https://github.com/matrix-org/matrix-react-sdk/pull/2080)
 * Fix widgets resetting when going to the top-left
   [\#2079](https://github.com/matrix-org/matrix-react-sdk/pull/2079)
 * Jitsi: Use integrations URL from config
   [\#2062](https://github.com/matrix-org/matrix-react-sdk/pull/2062)
 * Allow jitsi in e2e rooms
   [\#2075](https://github.com/matrix-org/matrix-react-sdk/pull/2075)
 * Fix border around persisted widgets
   [\#2071](https://github.com/matrix-org/matrix-react-sdk/pull/2071)
 * Fix e2e icons floating above jitsi
   [\#2073](https://github.com/matrix-org/matrix-react-sdk/pull/2073)
 * hide some commands after space as they have special semantics
   [\#2074](https://github.com/matrix-org/matrix-react-sdk/pull/2074)
 * Even More Slate Fixes :D
   [\#2070](https://github.com/matrix-org/matrix-react-sdk/pull/2070)
 * Improve UX for Jitsi by adding local echo for widgets
   [\#2035](https://github.com/matrix-org/matrix-react-sdk/pull/2035)
 * Jitsi: Check integrations server before call
   [\#2063](https://github.com/matrix-org/matrix-react-sdk/pull/2063)
 * Jitsi: Error message on no permission
   [\#2061](https://github.com/matrix-org/matrix-react-sdk/pull/2061)
 * Fix read receipts on top of Jitsi
   [\#2065](https://github.com/matrix-org/matrix-react-sdk/pull/2065)
 * Moar Slate Fixes
   [\#2069](https://github.com/matrix-org/matrix-react-sdk/pull/2069)
 * fix 2nd typo in one PR :(
   [\#2068](https://github.com/matrix-org/matrix-react-sdk/pull/2068)
 * check if has some completions, not if >=0
   [\#2067](https://github.com/matrix-org/matrix-react-sdk/pull/2067)
 * Slate fixes
   [\#2066](https://github.com/matrix-org/matrix-react-sdk/pull/2066)
 *  Implement always-on-screen capability for widgets
   [\#2056](https://github.com/matrix-org/matrix-react-sdk/pull/2056)
 * simplify MessageComposerStore and improve its performance
   [\#2064](https://github.com/matrix-org/matrix-react-sdk/pull/2064)
 * Replace Draft with Slate
   [\#1890](https://github.com/matrix-org/matrix-react-sdk/pull/1890)
 * Fix not stopping to peek when navigating away from peeked room
   [\#2055](https://github.com/matrix-org/matrix-react-sdk/pull/2055)
 * T3chguy/slate cont2
   [\#2049](https://github.com/matrix-org/matrix-react-sdk/pull/2049)
 * add null-guard for stickerpickerWidget in StickerPicker
   [\#2057](https://github.com/matrix-org/matrix-react-sdk/pull/2057)
 * Implement always-on-screen capability for widgets
   [\#2053](https://github.com/matrix-org/matrix-react-sdk/pull/2053)
 * fix nullguard on EventTile, getComponent never returns falsey, it throws
   [\#2024](https://github.com/matrix-org/matrix-react-sdk/pull/2024)
 * Fix stickerpicker PersistedElement usage
   [\#2051](https://github.com/matrix-org/matrix-react-sdk/pull/2051)
 * encrypt for invited users if history visibility allows.
   [\#2042](https://github.com/matrix-org/matrix-react-sdk/pull/2042)
 * move nag bar clear statement to any desktop notif toggle not just 0->1
   [\#2031](https://github.com/matrix-org/matrix-react-sdk/pull/2031)
 * use TruncatedList to prevent rendering hundreds/thousands of DOM nodes
   [\#2041](https://github.com/matrix-org/matrix-react-sdk/pull/2041)
 * Fix stuff
   [\#2047](https://github.com/matrix-org/matrix-react-sdk/pull/2047)
 * Show m.room.server_acl
   [\#2046](https://github.com/matrix-org/matrix-react-sdk/pull/2046)

Changes in [0.12.9](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.9) (2018-07-09)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.9-rc.2...v0.12.9)

 * No changes since rc.1

Changes in [0.12.9-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.9-rc.2) (2018-07-06)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.9-rc.1...v0.12.9-rc.2)

 * Implement aggregation by error type for tracked decryption failures
   [\#2045](https://github.com/matrix-org/matrix-react-sdk/pull/2045)
 * make new hiding of roomsublist behaviour opt-in
   [\#2044](https://github.com/matrix-org/matrix-react-sdk/pull/2044)
 * Implement aggregation by error type for tracked decryption failures
   [\#2043](https://github.com/matrix-org/matrix-react-sdk/pull/2043)
 * make new hiding of roomsublist behaviour opt-in
   [\#2030](https://github.com/matrix-org/matrix-react-sdk/pull/2030)

Changes in [0.12.9-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.9-rc.1) (2018-07-04)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.8...v0.12.9-rc.1)

 * Update from Weblate.
   [\#2040](https://github.com/matrix-org/matrix-react-sdk/pull/2040)
 * Import react as React in src/components/views/messages/MStickerBody.js
   [\#2039](https://github.com/matrix-org/matrix-react-sdk/pull/2039)
 * Import react as React in src/GroupAddressPicker.js
   [\#2038](https://github.com/matrix-org/matrix-react-sdk/pull/2038)
 * Give PersistedElement a key
   [\#2036](https://github.com/matrix-org/matrix-react-sdk/pull/2036)
 * Revert " make click to insert nick work on join/parts, /me's etc"
   [\#2034](https://github.com/matrix-org/matrix-react-sdk/pull/2034)
 * Track an event name when tracking a decryption failure
   [\#2033](https://github.com/matrix-org/matrix-react-sdk/pull/2033)
 * warn on self-mute
   [\#1974](https://github.com/matrix-org/matrix-react-sdk/pull/1974)
 *  make click to insert nick work on join/parts, /me's etc
   [\#1945](https://github.com/matrix-org/matrix-react-sdk/pull/1945)
 * Fix layout bug introduced by #2025
   [\#2029](https://github.com/matrix-org/matrix-react-sdk/pull/2029)
 * Fix room topics/names resetting when UserSetting re-renders
   [\#2028](https://github.com/matrix-org/matrix-react-sdk/pull/2028)
 * Improve tracking of UISIs
   [\#2027](https://github.com/matrix-org/matrix-react-sdk/pull/2027)
 * Replace share icons
   [\#2026](https://github.com/matrix-org/matrix-react-sdk/pull/2026)
 * Improve status bar errors (namely the consent error)
   [\#2025](https://github.com/matrix-org/matrix-react-sdk/pull/2025)
 * Fix incorrectly positioned copy button on `<pre>` blocks
   [\#2023](https://github.com/matrix-org/matrix-react-sdk/pull/2023)
 * Redact pathnames with origin `file://`
   [\#2018](https://github.com/matrix-org/matrix-react-sdk/pull/2018)
 * Update package-lock.json
   [\#2022](https://github.com/matrix-org/matrix-react-sdk/pull/2022)
 * on room sub list badge click goto first relevant room
   [\#2021](https://github.com/matrix-org/matrix-react-sdk/pull/2021)
 * improve linkifier AGAIN
   [\#2020](https://github.com/matrix-org/matrix-react-sdk/pull/2020)
 * fix historical section
   [\#2016](https://github.com/matrix-org/matrix-react-sdk/pull/2016)
 * Fix RoomSubList headers by re-commiting 1faecfd
   [\#2014](https://github.com/matrix-org/matrix-react-sdk/pull/2014)
 * don't fire share dialog when clicking timestamp of event,
   [\#2017](https://github.com/matrix-org/matrix-react-sdk/pull/2017)
 * Revert "affix copyButton so that it doesn't get scrolled horizontally"
   [\#2013](https://github.com/matrix-org/matrix-react-sdk/pull/2013)
 * when the user switches room, close room settings
   [\#2019](https://github.com/matrix-org/matrix-react-sdk/pull/2019)
 * Refactor widgets code
   [\#2015](https://github.com/matrix-org/matrix-react-sdk/pull/2015)
 * Login local errors for blank fields
   [\#2009](https://github.com/matrix-org/matrix-react-sdk/pull/2009)
 * Update lolex to 2.7.0
   [\#1917](https://github.com/matrix-org/matrix-react-sdk/pull/1917)
 * Improve Linkifier
   [\#2011](https://github.com/matrix-org/matrix-react-sdk/pull/2011)
 * use enum constants for EventStatus and correct isSent check
   [\#2010](https://github.com/matrix-org/matrix-react-sdk/pull/2010)
 * accent insensitive autocomplete
   [\#2007](https://github.com/matrix-org/matrix-react-sdk/pull/2007)
 * default to not showing url previews in e2ee rooms.
   [\#2001](https://github.com/matrix-org/matrix-react-sdk/pull/2001)
 * allow chaining right click contextmenus
   [\#1999](https://github.com/matrix-org/matrix-react-sdk/pull/1999)
 * hide empty roomsublists when filtering via search/tagpanel
   [\#1954](https://github.com/matrix-org/matrix-react-sdk/pull/1954)
 * prevent user,room,group autocomplete firing mid-word
   [\#2012](https://github.com/matrix-org/matrix-react-sdk/pull/2012)
 * fix instances of composer not getting/regaining focus
   [\#2008](https://github.com/matrix-org/matrix-react-sdk/pull/2008)
 * notif panel fixes
   [\#2006](https://github.com/matrix-org/matrix-react-sdk/pull/2006)
 * factor out conditional LanguageSelector as functional component
   [\#2003](https://github.com/matrix-org/matrix-react-sdk/pull/2003)
 * Autocomplete and Pillify Communities
   [\#1993](https://github.com/matrix-org/matrix-react-sdk/pull/1993)
 * Very basic Jitsi integration
   [\#1971](https://github.com/matrix-org/matrix-react-sdk/pull/1971)
 * add additional classes which protect the text from overflowing
   [\#1994](https://github.com/matrix-org/matrix-react-sdk/pull/1994)
 * Upload File confirmation modal steals focus, send it back to composer
   [\#1992](https://github.com/matrix-org/matrix-react-sdk/pull/1992)
 * delint MImageBody, fixes anonymous class and hyphenated style keys which
   made react cry
   [\#1991](https://github.com/matrix-org/matrix-react-sdk/pull/1991)
 * allow using tab to navigate room list in a smarter way
   [\#1977](https://github.com/matrix-org/matrix-react-sdk/pull/1977)
 * fix no displayname usersettings
   [\#1990](https://github.com/matrix-org/matrix-react-sdk/pull/1990)
 * trigger TagTile context menu on right click
   [\#1989](https://github.com/matrix-org/matrix-react-sdk/pull/1989)
 * hide already chosen results from AddressPickerDialog
   [\#2000](https://github.com/matrix-org/matrix-react-sdk/pull/2000)
 * delint ChatCreateOrReuseDialog
   [\#2002](https://github.com/matrix-org/matrix-react-sdk/pull/2002)
 * fix set password & email flow possible to get stuck and onBlur murdering
   your email
   [\#1982](https://github.com/matrix-org/matrix-react-sdk/pull/1982)

Changes in [0.12.8](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.8) (2018-06-29)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.8-rc.2...v0.12.8)

 * Revert "affix copyButton so that it doesn't get scrolled horizontally"
   [\#2013](https://github.com/matrix-org/matrix-react-sdk/pull/2013)
 * don't fire share dialog when clicking timestamp of event
   [\#2017](https://github.com/matrix-org/matrix-react-sdk/pull/2017)
 * when the user switches room, close room settings
   [\#2019](https://github.com/matrix-org/matrix-react-sdk/pull/2019)

Changes in [0.12.8-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.8-rc.2) (2018-06-22)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.8-rc.1...v0.12.8-rc.2)

 * slash got consumed in the consolidation
   [\#1998](https://github.com/matrix-org/matrix-react-sdk/pull/1998)

Changes in [0.12.8-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.8-rc.1) (2018-06-21)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.7...v0.12.8-rc.1)

 * Update from Weblate.
   [\#1997](https://github.com/matrix-org/matrix-react-sdk/pull/1997)
 * refactor, consolidate and improve SlashCommands
   [\#1988](https://github.com/matrix-org/matrix-react-sdk/pull/1988)
 * Take replies out of labs!
   [\#1996](https://github.com/matrix-org/matrix-react-sdk/pull/1996)
 * re-merge reset PR
   [\#1987](https://github.com/matrix-org/matrix-react-sdk/pull/1987)
 * once command has a space, strict match instead of fuzzy match
   [\#1985](https://github.com/matrix-org/matrix-react-sdk/pull/1985)
 * Fix matrix.to URL RegExp
   [\#1986](https://github.com/matrix-org/matrix-react-sdk/pull/1986)
 * Fix blank sticker picker
   [\#1984](https://github.com/matrix-org/matrix-react-sdk/pull/1984)
 * fix e2ee file/media stuff
   [\#1972](https://github.com/matrix-org/matrix-react-sdk/pull/1972)
 * right click for room tile context menu
   [\#1978](https://github.com/matrix-org/matrix-react-sdk/pull/1978)
 * only show m.room.message in FilePanel
   [\#1983](https://github.com/matrix-org/matrix-react-sdk/pull/1983)
 * improve command provider
   [\#1981](https://github.com/matrix-org/matrix-react-sdk/pull/1981)
 * affix copyButton so that it doesn't get scrolled horizontally
   [\#1980](https://github.com/matrix-org/matrix-react-sdk/pull/1980)
 * split continuation if there is a gap in conversation
   [\#1979](https://github.com/matrix-org/matrix-react-sdk/pull/1979)
 * fix a bunch of instances of react console spam
   [\#1973](https://github.com/matrix-org/matrix-react-sdk/pull/1973)
 * Track decryption success/failure rate with piwik
   [\#1949](https://github.com/matrix-org/matrix-react-sdk/pull/1949)
 * route matrix.to/#/+... links internally (not just group ids)
   [\#1975](https://github.com/matrix-org/matrix-react-sdk/pull/1975)
 * implement `hitting enter after Ctrl-K should switch to the first result`
   [\#1976](https://github.com/matrix-org/matrix-react-sdk/pull/1976)
 * Remove tag panel feature flag
   [\#1970](https://github.com/matrix-org/matrix-react-sdk/pull/1970)
 * QuestionDialog pass hasCancelButton to DialogButtons
   [\#1968](https://github.com/matrix-org/matrix-react-sdk/pull/1968)
 * check type before msgtype in the case of `m.sticker` with msgtype
   [\#1965](https://github.com/matrix-org/matrix-react-sdk/pull/1965)
 * apply roomlist searchFilter to aliases if it begins with a `#`
   [\#1957](https://github.com/matrix-org/matrix-react-sdk/pull/1957)
 * Share Dialog
   [\#1948](https://github.com/matrix-org/matrix-react-sdk/pull/1948)
 * make RoomTooltip generic and add ContextMenu&Tooltip to GroupInviteTile
   [\#1950](https://github.com/matrix-org/matrix-react-sdk/pull/1950)
 *  Fix widgets re-appearing after being deleted
   [\#1958](https://github.com/matrix-org/matrix-react-sdk/pull/1958)
 * Fix crash on unspecified thumbnail info, and handle gracefully
   [\#1967](https://github.com/matrix-org/matrix-react-sdk/pull/1967)
 * fix styling of clearButton when its not there
   [\#1964](https://github.com/matrix-org/matrix-react-sdk/pull/1964)
 *  Implement slightly magical CSS soln. to thumbnail sizing
   [\#1912](https://github.com/matrix-org/matrix-react-sdk/pull/1912)
 * Select audio output for WebRTC
   [\#1932](https://github.com/matrix-org/matrix-react-sdk/pull/1932)
 * move css rule to be more generic; remove overriden rule
   [\#1962](https://github.com/matrix-org/matrix-react-sdk/pull/1962)
 * improve tag panel accessibility and remove a no-op dispatch
   [\#1960](https://github.com/matrix-org/matrix-react-sdk/pull/1960)
 * Revert "Fix exception when opening dev tools"
   [\#1963](https://github.com/matrix-org/matrix-react-sdk/pull/1963)
 * fix message appears unencrypted while encrypting and not_sent
   [\#1959](https://github.com/matrix-org/matrix-react-sdk/pull/1959)
 * Fix exception when opening dev tools
   [\#1961](https://github.com/matrix-org/matrix-react-sdk/pull/1961)
 * show redacted stickers like other redacted messages
   [\#1956](https://github.com/matrix-org/matrix-react-sdk/pull/1956)
 * add mx_filterFlipColor to mx_MemberInfo_cancel img
   [\#1951](https://github.com/matrix-org/matrix-react-sdk/pull/1951)
 * don't set the displayname on registration as Synapse now does it
   [\#1953](https://github.com/matrix-org/matrix-react-sdk/pull/1953)
 * allow CreateRoom to scale properly horizontally
   [\#1955](https://github.com/matrix-org/matrix-react-sdk/pull/1955)
 * Keep context menus that extend downwards vertically on screen
   [\#1952](https://github.com/matrix-org/matrix-react-sdk/pull/1952)
 * re-run checkIfAlone if a member change occurred in the active room
   [\#1947](https://github.com/matrix-org/matrix-react-sdk/pull/1947)
 * Persist pinned message open-ness between room switches
   [\#1935](https://github.com/matrix-org/matrix-react-sdk/pull/1935)
 * Pinned message cosmetic improvements
   [\#1933](https://github.com/matrix-org/matrix-react-sdk/pull/1933)
 * Update sinon to 5.0.7
   [\#1916](https://github.com/matrix-org/matrix-react-sdk/pull/1916)
 * re-run checkIfAlone if a member change occurred in the active room
   [\#1946](https://github.com/matrix-org/matrix-react-sdk/pull/1946)
 * Replace "Login as guest" with "Try the app first" on login page
   [\#1937](https://github.com/matrix-org/matrix-react-sdk/pull/1937)
 * kill stream when using gUM for permission to device labels to turn off
   camera
   [\#1931](https://github.com/matrix-org/matrix-react-sdk/pull/1931)

Changes in [0.12.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.7) (2018-06-12)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.7-rc.1...v0.12.7)

 * No changes since rc.1

Changes in [0.12.7-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.7-rc.1) (2018-06-06)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.6...v0.12.7-rc.1)

 * Update from Weblate.
   [\#1944](https://github.com/matrix-org/matrix-react-sdk/pull/1944)
 * Import react as React in src/components/views/elements/DNDTagTile.js
   [\#1943](https://github.com/matrix-org/matrix-react-sdk/pull/1943)
 * Fix click on faded left/right/middle panel -> close settings
   [\#1940](https://github.com/matrix-org/matrix-react-sdk/pull/1940)
 * Add null-guard to support browsers that don't support performance
   [\#1942](https://github.com/matrix-org/matrix-react-sdk/pull/1942)
 * Support third party integration managers in AppPermission
   [\#1455](https://github.com/matrix-org/matrix-react-sdk/pull/1455)
 * Update pinned messages in real time
   [\#1934](https://github.com/matrix-org/matrix-react-sdk/pull/1934)
 * Expose at-room power level setting
   [\#1938](https://github.com/matrix-org/matrix-react-sdk/pull/1938)

Changes in [0.12.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.6) (2018-05-25)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.6-rc.1...v0.12.6)

 * No changes since v0.12.6-rc.1

Changes in [0.12.6-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.6-rc.1) (2018-05-24)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.5...v0.12.6-rc.1)

 * Add a "reload widget" button.
   [\#1920](https://github.com/matrix-org/matrix-react-sdk/pull/1920)
 * Make devTools styling more consistent and easier to edit event data.
   [\#1923](https://github.com/matrix-org/matrix-react-sdk/pull/1923)
 * Update from Weblate.
   [\#1930](https://github.com/matrix-org/matrix-react-sdk/pull/1930)
 * Cookie bar update
   [\#1929](https://github.com/matrix-org/matrix-react-sdk/pull/1929)
 * Message for leaving server notices room
   [\#1928](https://github.com/matrix-org/matrix-react-sdk/pull/1928)
 * More thorough check of IM URL validity.
   [\#1927](https://github.com/matrix-org/matrix-react-sdk/pull/1927)
 * Add usage data link to cookie bar
   [\#1926](https://github.com/matrix-org/matrix-react-sdk/pull/1926)
 * Change wording and appearance of Deactivate Account dialog
   [\#1925](https://github.com/matrix-org/matrix-react-sdk/pull/1925)
 * fix membership list ordering when presence is disabled.
   [\#1924](https://github.com/matrix-org/matrix-react-sdk/pull/1924)
 * Implement erasure option upon deactivation
   [\#1922](https://github.com/matrix-org/matrix-react-sdk/pull/1922)
 * Add cookie warning to widget warning (AppPermission)
   [\#1921](https://github.com/matrix-org/matrix-react-sdk/pull/1921)
 * Terms and Conditions dialog
   [\#1919](https://github.com/matrix-org/matrix-react-sdk/pull/1919)
 * improve privileged section users in room settings
   [\#1902](https://github.com/matrix-org/matrix-react-sdk/pull/1902)
 * Space between sentences in 'leave room' warning
   [\#1918](https://github.com/matrix-org/matrix-react-sdk/pull/1918)
 * Specify valid address types to "Start a chat" dialog
   [\#1908](https://github.com/matrix-org/matrix-react-sdk/pull/1908)
 * Implement opt-in analytics with cookie bar
   [\#1906](https://github.com/matrix-org/matrix-react-sdk/pull/1906)
 * Fix vector-im/riot-web#6523 Emoji rendering destroys paragraphs
   [\#1910](https://github.com/matrix-org/matrix-react-sdk/pull/1910)

Changes in [0.12.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.5) (2018-05-17)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4...v0.12.5)

 * Fix image size jumping regression
   [\#1909](https://github.com/matrix-org/matrix-react-sdk/pull/1909)

Changes in [0.12.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4) (2018-05-16)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.6...v0.12.4)

 * No changes from rc.5

Changes in [0.12.4-rc.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.6) (2018-05-15)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.5...v0.12.4-rc.6)

 * Wait for deletion of widgets as well addition
   [\#1907](https://github.com/matrix-org/matrix-react-sdk/pull/1907)

Changes in [0.12.4-rc.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.5) (2018-05-15)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.4...v0.12.4-rc.5)

 * Wait for echo from server when adding user widgets
   [\#1905](https://github.com/matrix-org/matrix-react-sdk/pull/1905)

Changes in [0.12.4-rc.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.4) (2018-05-14)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.3...v0.12.4-rc.4)

 * Update from Weblate.
   [\#1904](https://github.com/matrix-org/matrix-react-sdk/pull/1904)
 * Correctly identify sticker picker widgets
   [\#1894](https://github.com/matrix-org/matrix-react-sdk/pull/1894)
 * Quick fix for sticker picker position
   [\#1903](https://github.com/matrix-org/matrix-react-sdk/pull/1903)
 * Remove redundant logging (currently shown on every render when no sti…
   [\#1901](https://github.com/matrix-org/matrix-react-sdk/pull/1901)
 * Fix stickers briefly being 2x the size
   [\#1899](https://github.com/matrix-org/matrix-react-sdk/pull/1899)
 * Send required properties when making requests to widgets over postMessage
   [\#1891](https://github.com/matrix-org/matrix-react-sdk/pull/1891)
 * Fix room widget second load infini spinner
   [\#1897](https://github.com/matrix-org/matrix-react-sdk/pull/1897)
 * Update widget state when account data changes
   [\#1896](https://github.com/matrix-org/matrix-react-sdk/pull/1896)
 * Remove margins when in a ReplyThread to stop them taking so much space
   [\#1882](https://github.com/matrix-org/matrix-react-sdk/pull/1882)
 * Add setting to enable widget screenshots (if widgets declare support)
   [\#1892](https://github.com/matrix-org/matrix-react-sdk/pull/1892)
 * T3chguy/replies html tag
   [\#1889](https://github.com/matrix-org/matrix-react-sdk/pull/1889)
 * Instant Sticker Picker
   [\#1888](https://github.com/matrix-org/matrix-react-sdk/pull/1888)
 * Update widget 'widgetData' key to 'data' to match spec.
   [\#1887](https://github.com/matrix-org/matrix-react-sdk/pull/1887)
 * Fix 'state_key' field name.
   [\#1886](https://github.com/matrix-org/matrix-react-sdk/pull/1886)
 * Improve appearance of short-lived app loading spinner
   [\#1885](https://github.com/matrix-org/matrix-react-sdk/pull/1885)
 * Take feature_sticker_messagse out of labs
   [\#1883](https://github.com/matrix-org/matrix-react-sdk/pull/1883)
 * Fix issue incorrect positioning with widget loading indicator
   [\#1884](https://github.com/matrix-org/matrix-react-sdk/pull/1884)
 * Users should always be able to edit their user/non-room  widgets
   [\#1879](https://github.com/matrix-org/matrix-react-sdk/pull/1879)

Changes in [0.12.4-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.3) (2018-05-11)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.2...v0.12.4-rc.3)

 * Instant Sticker Picker :zap:
   [\#1888](https://github.com/matrix-org/matrix-react-sdk/pull/1888)

Changes in [0.12.4-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.2) (2018-05-09)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.4-rc.1...v0.12.4-rc.2)

 * Improve appearance of short-lived widget loading spinner
 * Make sticker picker fully-fledged feature
 * Fix incorrect positioning with widget loading indicator

Changes in [0.12.4-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.4-rc.1) (2018-05-09)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.3...v0.12.4-rc.1)

 * Update from Weblate.
   [\#1881](https://github.com/matrix-org/matrix-react-sdk/pull/1881)
 * Pin lolex at 2.3.2 to avoid bug causing tests to fail
   [\#1880](https://github.com/matrix-org/matrix-react-sdk/pull/1880)
 * Replies: un-break click-to-mention on SenderProfile for reply&preview
   [\#1878](https://github.com/matrix-org/matrix-react-sdk/pull/1878)
 * Add tests for RoomList
   [\#1877](https://github.com/matrix-org/matrix-react-sdk/pull/1877)
 * Fix crash when browser doesn't report page change measurement
   [\#1874](https://github.com/matrix-org/matrix-react-sdk/pull/1874)
 * fix thinko when changing from ClientPeg to context in static method (DUH)
   [\#1875](https://github.com/matrix-org/matrix-react-sdk/pull/1875)
 * Fix Replies :D
   [\#1873](https://github.com/matrix-org/matrix-react-sdk/pull/1873)
 * Update eslint-plugin-react
   [\#1871](https://github.com/matrix-org/matrix-react-sdk/pull/1871)
 * relax lint for jsx-curly-spacing and arrow-parens
   [\#1872](https://github.com/matrix-org/matrix-react-sdk/pull/1872)
 * Use develop js-sdk in jenkins build
   [\#1870](https://github.com/matrix-org/matrix-react-sdk/pull/1870)
 * Replies
   [\#1741](https://github.com/matrix-org/matrix-react-sdk/pull/1741)
 * Use the right js-sdk branch when testing
   [\#1869](https://github.com/matrix-org/matrix-react-sdk/pull/1869)
 * Prevent error responses wedging group request concurrency limit
   [\#1867](https://github.com/matrix-org/matrix-react-sdk/pull/1867)
 * Refresh group rooms and members when selecting a tag
   [\#1868](https://github.com/matrix-org/matrix-react-sdk/pull/1868)
 * Refactor GroupStores into one global GroupStore
   [\#1866](https://github.com/matrix-org/matrix-react-sdk/pull/1866)
 * Switch back to using blob URLs for rendering e2e attachments
   [\#1864](https://github.com/matrix-org/matrix-react-sdk/pull/1864)
 * Hide inline encryption icons except when hovering over a message
   [\#1845](https://github.com/matrix-org/matrix-react-sdk/pull/1845)
 *  UI fixes in SessionRestoreErrorDialog
   [\#1860](https://github.com/matrix-org/matrix-react-sdk/pull/1860)
 *  Fix UX issues with bug report dialog
   [\#1863](https://github.com/matrix-org/matrix-react-sdk/pull/1863)
 * fix ugly img errors and correctly render SVG thumbnails
   [\#1865](https://github.com/matrix-org/matrix-react-sdk/pull/1865)
 * Fix error handling on session restore
   [\#1859](https://github.com/matrix-org/matrix-react-sdk/pull/1859)
 * Add tests for GroupView
   [\#1862](https://github.com/matrix-org/matrix-react-sdk/pull/1862)
 * Update version of hoek
   [\#1861](https://github.com/matrix-org/matrix-react-sdk/pull/1861)
 *  Fix bug that caused crash when analytics HS/IS whitelists not specified
   [\#1858](https://github.com/matrix-org/matrix-react-sdk/pull/1858)
 * Fix Analytics to not import DEFAULTS, therefore avoiding NPE
   [\#1857](https://github.com/matrix-org/matrix-react-sdk/pull/1857)
 * Null check piwik config before using it
   [\#1856](https://github.com/matrix-org/matrix-react-sdk/pull/1856)
 * Track actual window location origin and hash
   [\#1853](https://github.com/matrix-org/matrix-react-sdk/pull/1853)
 * Replace document.origin with window.location.origin
   [\#1855](https://github.com/matrix-org/matrix-react-sdk/pull/1855)
 * Optionally hide widget popout button.
   [\#1854](https://github.com/matrix-org/matrix-react-sdk/pull/1854)
 * Add a button to 'pop out' widgets in to their own tab.
   [\#1851](https://github.com/matrix-org/matrix-react-sdk/pull/1851)

Changes in [0.12.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.3) (2018-04-30)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.3-rc.3...v0.12.3)

 * No changes since rc.3

Changes in [0.12.3-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.3-rc.3) (2018-04-26)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.3-rc.2...v0.12.3-rc.3)

 * Replace document.origin with window.location.origin
   [\#1855](https://github.com/matrix-org/matrix-react-sdk/pull/1855)

Changes in [0.12.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.3-rc.2) (2018-04-25)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.3-rc.1...v0.12.3-rc.2)

 * Fix npm packaging

Changes in [0.12.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.3-rc.1) (2018-04-25)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.2...v0.12.3-rc.1)

 * Update from Weblate.
   [\#1852](https://github.com/matrix-org/matrix-react-sdk/pull/1852)
 * Support origin lock in cross-origin renderer
   [\#1849](https://github.com/matrix-org/matrix-react-sdk/pull/1849)
 * s/contian/contain/g
   [\#1850](https://github.com/matrix-org/matrix-react-sdk/pull/1850)
 * Don't autocomplete users for single "@"
   [\#1848](https://github.com/matrix-org/matrix-react-sdk/pull/1848)
 * Update from Weblate.
   [\#1844](https://github.com/matrix-org/matrix-react-sdk/pull/1844)
 * Bind onImageError in constructor
   [\#1846](https://github.com/matrix-org/matrix-react-sdk/pull/1846)
 * Use mxid as sender name on set display name
   [\#1841](https://github.com/matrix-org/matrix-react-sdk/pull/1841)
 * Fix rageshake
   [\#1840](https://github.com/matrix-org/matrix-react-sdk/pull/1840)
 * Add UI for displaying room avatars full size
   [\#1843](https://github.com/matrix-org/matrix-react-sdk/pull/1843)
 * Update from Weblate.
   [\#1842](https://github.com/matrix-org/matrix-react-sdk/pull/1842)
 * move everything not explicitly riot (or status) branded into matrix-react-
   sdk
   [\#1836](https://github.com/matrix-org/matrix-react-sdk/pull/1836)
 * Null check node before we pass it to velocity
   [\#1838](https://github.com/matrix-org/matrix-react-sdk/pull/1838)
 * Remove presence management
   [\#1676](https://github.com/matrix-org/matrix-react-sdk/pull/1676)
 * Null check stylesheet href
   [\#1835](https://github.com/matrix-org/matrix-react-sdk/pull/1835)
 * TopUnreadMessagesBar a11y
   [\#1819](https://github.com/matrix-org/matrix-react-sdk/pull/1819)
 * Use correct 1-1 room avatar after users leave
   [\#593](https://github.com/matrix-org/matrix-react-sdk/pull/593)
 * Use GeminiScrollbarWrapper in Flair settings of UserSettings
   [\#1833](https://github.com/matrix-org/matrix-react-sdk/pull/1833)
 * Add 500ms delay to show `membershipBusy` for longer
   [\#1832](https://github.com/matrix-org/matrix-react-sdk/pull/1832)
 * Improve group join/leave feedback
   [\#1831](https://github.com/matrix-org/matrix-react-sdk/pull/1831)
 * Update from Weblate.
   [\#1830](https://github.com/matrix-org/matrix-react-sdk/pull/1830)
 * Bump source-map-loader version to avoid bug /w inline base64 maps
   [\#1829](https://github.com/matrix-org/matrix-react-sdk/pull/1829)
 * Make stickers/messages continuations of each other
   [\#1828](https://github.com/matrix-org/matrix-react-sdk/pull/1828)
 * Update to match is_openly_joinable API
   [\#1827](https://github.com/matrix-org/matrix-react-sdk/pull/1827)
 * Fix to prevent guests from seeing features
   [\#1826](https://github.com/matrix-org/matrix-react-sdk/pull/1826)
 * Fix broken ForgotPassword component
   [\#1825](https://github.com/matrix-org/matrix-react-sdk/pull/1825)
 * Fix warning "Unknown prop `wrappedRef` on <div> tag..."
   [\#1824](https://github.com/matrix-org/matrix-react-sdk/pull/1824)
 * Add radio button for setting group is_joinable
   [\#1817](https://github.com/matrix-org/matrix-react-sdk/pull/1817)
 * Fix widget grant / revoke permission binding
   [\#1823](https://github.com/matrix-org/matrix-react-sdk/pull/1823)
 * Sticker picker styling
   [\#1822](https://github.com/matrix-org/matrix-react-sdk/pull/1822)
 * Bi-directional widget postMessaging API (stickerpacks) [WIP]
   [\#1672](https://github.com/matrix-org/matrix-react-sdk/pull/1672)
 * Add null-guard to prevent RoomAvatar NPE when room is null
   [\#1821](https://github.com/matrix-org/matrix-react-sdk/pull/1821)
 * Don't notify for bad encrypted messages
   [\#1818](https://github.com/matrix-org/matrix-react-sdk/pull/1818)
 * Join this community button
   [\#1815](https://github.com/matrix-org/matrix-react-sdk/pull/1815)
 * Reword group setting delay
   [\#1816](https://github.com/matrix-org/matrix-react-sdk/pull/1816)
 * Track duration of page changes
   [\#1814](https://github.com/matrix-org/matrix-react-sdk/pull/1814)
 * Wrap GeminiScrollbar in a component, enabled forceGemini
   [\#1810](https://github.com/matrix-org/matrix-react-sdk/pull/1810)
 * Add display name to the read receipt view
   [\#1742](https://github.com/matrix-org/matrix-react-sdk/pull/1742)
 * Fix broken import preventing people tag
   [\#1811](https://github.com/matrix-org/matrix-react-sdk/pull/1811)
 * Add /devtools to Autocomplete and run gen-i18n
   [\#1778](https://github.com/matrix-org/matrix-react-sdk/pull/1778)
 * Fix PresenceLabel in MemberInfo
   [\#1809](https://github.com/matrix-org/matrix-react-sdk/pull/1809)
 * Fix room tile badge not disappearing when receiving a read receipt
   [\#1807](https://github.com/matrix-org/matrix-react-sdk/pull/1807)
 * Option to remove the presence feature by HS
   [\#1806](https://github.com/matrix-org/matrix-react-sdk/pull/1806)
 * Dialog a11y
   [\#1652](https://github.com/matrix-org/matrix-react-sdk/pull/1652)
 * Change wording of debug log submission
   [\#1740](https://github.com/matrix-org/matrix-react-sdk/pull/1740)
 * Fix TextualBody.js to remove NodeList.forEach()
   [\#1768](https://github.com/matrix-org/matrix-react-sdk/pull/1768)
 * Use undocumented piwik cmd to disable heartbeattimer
   [\#1770](https://github.com/matrix-org/matrix-react-sdk/pull/1770)
 * Enable autocompletion for non-English languages.
   [\#1800](https://github.com/matrix-org/matrix-react-sdk/pull/1800)

Changes in [0.12.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.2) (2018-04-12)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.1...v0.12.2)

 * Null check stylesheet href
  [\#1835](https://github.com/matrix-org/matrix-react-sdk/pull/1835)
 * Remove the presence management labs feature

Changes in [0.12.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.1) (2018-04-11)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0...v0.12.1)

 * Use correct js-sdk version

Changes in [0.12.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0) (2018-04-11)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.7...v0.12.0)

 * Further improve group joining/leaving feedback
  [\#1832](https://github.com/matrix-org/matrix-react-sdk/pull/1832)
 * Cosmetic changes to Communities button

Changes in [0.12.0-rc.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.7) (2018-04-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.6...v0.12.0-rc.7)

 * Reword group setting delay
  [\#1816](https://github.com/matrix-org/matrix-react-sdk/pull/1816)
 * Improve group joining/leaving feedback
  [\#1831](https://github.com/matrix-org/matrix-react-sdk/pull/1831)

Changes in [0.12.0-rc.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.6) (2018-04-09)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.5...v0.12.0-rc.6)

 * Fix group join button not appearing

Changes in [0.12.0-rc.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.5) (2018-04-09)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.4...v0.12.0-rc.5)

 * Added radio button to set group join policy
 * Fix to prevent guests from accessing lab features
 * Fix broken forgot password page
 * Fix crash when joining a room after peeking

Changes in [0.12.0-rc.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.4) (2018-03-22)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.3...v0.12.0-rc.4)

 * Fix broken import preventing people tag
   [\#1811](https://github.com/matrix-org/matrix-react-sdk/pull/1811)

Changes in [0.12.0-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.3) (2018-03-20)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.2...v0.12.0-rc.3)

 * Fix room tile badge not disappearing when receiving a read receipt
   [\#1807](https://github.com/matrix-org/matrix-react-sdk/pull/1807)

Changes in [0.12.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.2) (2018-03-19)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.12.0-rc.1...v0.12.0-rc.2)

 * Take TagPanel out of labs
   [\#1805](https://github.com/matrix-org/matrix-react-sdk/pull/1805)

Changes in [0.12.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.12.0-rc.1) (2018-03-19)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.4...v0.12.0-rc.1)

 * Remove the message on migrating crypto data
   [\#1803](https://github.com/matrix-org/matrix-react-sdk/pull/1803)
 * Update from Weblate.
   [\#1804](https://github.com/matrix-org/matrix-react-sdk/pull/1804)
 * Improve room list performance when receiving messages
   [\#1801](https://github.com/matrix-org/matrix-react-sdk/pull/1801)
 * Add change delay warning in GroupView settings
   [\#1802](https://github.com/matrix-org/matrix-react-sdk/pull/1802)
 * Only use `dangerouslySetInnerHTML` for HTML messages
   [\#1799](https://github.com/matrix-org/matrix-react-sdk/pull/1799)
 * Limit group requests to 3 at once
   [\#1798](https://github.com/matrix-org/matrix-react-sdk/pull/1798)
 * Show GroupMemberList after inviting a group member
   [\#1796](https://github.com/matrix-org/matrix-react-sdk/pull/1796)
 * Fix syntax fail
   [\#1794](https://github.com/matrix-org/matrix-react-sdk/pull/1794)
 * Use TintableSvg for TagPanel clear filter button
   [\#1793](https://github.com/matrix-org/matrix-react-sdk/pull/1793)
 * Fix missing space between "...is a" and user ID
   [\#1792](https://github.com/matrix-org/matrix-react-sdk/pull/1792)
 * E2E "fudge-button"
   [\#1791](https://github.com/matrix-org/matrix-react-sdk/pull/1791)
 * Remove spurious console.trace
   [\#1790](https://github.com/matrix-org/matrix-react-sdk/pull/1790)
 * Don't reset the presence timer on every dispatch
   [\#1789](https://github.com/matrix-org/matrix-react-sdk/pull/1789)
 * Potentially fix a memory leak in FlairStore
   [\#1788](https://github.com/matrix-org/matrix-react-sdk/pull/1788)
 * Implement transparent RoomTile for use in some places
   [\#1785](https://github.com/matrix-org/matrix-react-sdk/pull/1785)
 * Fix varying default group avatar colour for given group
   [\#1784](https://github.com/matrix-org/matrix-react-sdk/pull/1784)
 * Fix bug where avatar change not reflected in LLP
   [\#1783](https://github.com/matrix-org/matrix-react-sdk/pull/1783)
 * Workaround for atlassian/react-beautiful-dnd#273
   [\#1782](https://github.com/matrix-org/matrix-react-sdk/pull/1782)
 * Add setting to disable TagPanel
   [\#1781](https://github.com/matrix-org/matrix-react-sdk/pull/1781)
 * [DO NOT MERGE] Tests proven to fail
   [\#1780](https://github.com/matrix-org/matrix-react-sdk/pull/1780)
 * Fix room power level settings
   [\#1779](https://github.com/matrix-org/matrix-react-sdk/pull/1779)
 * fix shouldHideEvent saying an event is a leave/join when a profile ch…
   [\#1769](https://github.com/matrix-org/matrix-react-sdk/pull/1769)
 * Add "Did you know:..." microcopy to groups view
   [\#1777](https://github.com/matrix-org/matrix-react-sdk/pull/1777)
 * Give emptySubListTip a container for correct bg colour
   [\#1753](https://github.com/matrix-org/matrix-react-sdk/pull/1753)
 * Do proper null-checks on decypted events to fix NPEs
   [\#1776](https://github.com/matrix-org/matrix-react-sdk/pull/1776)
 * Reorder the RoomListStore lists on Event.decrypted
   [\#1775](https://github.com/matrix-org/matrix-react-sdk/pull/1775)
 * Fix bug where global "Never send to unverified..." is ignored
   [\#1772](https://github.com/matrix-org/matrix-react-sdk/pull/1772)
 * Fix bug that prevented tint updates
   [\#1767](https://github.com/matrix-org/matrix-react-sdk/pull/1767)
 * Fix group member spinner being out of flex order
   [\#1765](https://github.com/matrix-org/matrix-react-sdk/pull/1765)
 * Allow widget iframes to request camera and microphone permissions.
   [\#1766](https://github.com/matrix-org/matrix-react-sdk/pull/1766)
 * Change icon from "R" to "X"
   [\#1764](https://github.com/matrix-org/matrix-react-sdk/pull/1764)
 * Regenerate room lists on Room event
   [\#1762](https://github.com/matrix-org/matrix-react-sdk/pull/1762)
 *  Fix DMs being marked as with the current user ("me")
   [\#1761](https://github.com/matrix-org/matrix-react-sdk/pull/1761)
 * Make RoomListStore aware of Room.timeline events
   [\#1756](https://github.com/matrix-org/matrix-react-sdk/pull/1756)
 * improve origin check of ScalarMessaging postmessage API.
   [\#1760](https://github.com/matrix-org/matrix-react-sdk/pull/1760)
 * Implement global filter to deselect all tags
   [\#1759](https://github.com/matrix-org/matrix-react-sdk/pull/1759)
 * Don't show empty custom tags when filtering tags
   [\#1758](https://github.com/matrix-org/matrix-react-sdk/pull/1758)
 * Do not assume that tags have been removed
   [\#1757](https://github.com/matrix-org/matrix-react-sdk/pull/1757)
 * Change CSS class for message panel spinner
   [\#1747](https://github.com/matrix-org/matrix-react-sdk/pull/1747)
 * Remove RoomListStore listener
   [\#1752](https://github.com/matrix-org/matrix-react-sdk/pull/1752)
 * Implement GroupTile avatar dragging to TagPanel
   [\#1751](https://github.com/matrix-org/matrix-react-sdk/pull/1751)
 * Fix custom tags not being ordered manually
   [\#1750](https://github.com/matrix-org/matrix-react-sdk/pull/1750)
 * Store component state for editors
   [\#1746](https://github.com/matrix-org/matrix-react-sdk/pull/1746)
 * Give the login page its spinner back
   [\#1745](https://github.com/matrix-org/matrix-react-sdk/pull/1745)
 * Add context menu to TagTile
   [\#1743](https://github.com/matrix-org/matrix-react-sdk/pull/1743)
 * If a tag is unrecognised, assume manual ordering
   [\#1748](https://github.com/matrix-org/matrix-react-sdk/pull/1748)
 * Move RoomList state to RoomListStore
   [\#1719](https://github.com/matrix-org/matrix-react-sdk/pull/1719)
 * Move groups button to TagPanel
   [\#1744](https://github.com/matrix-org/matrix-react-sdk/pull/1744)
 * Add seconds to timestamp on hover
   [\#1738](https://github.com/matrix-org/matrix-react-sdk/pull/1738)
 * Do not truncate autocompleted users in composer
   [\#1739](https://github.com/matrix-org/matrix-react-sdk/pull/1739)
 * RoomView: guard against unmounting during peeking
   [\#1737](https://github.com/matrix-org/matrix-react-sdk/pull/1737)
 * Fix HS/IS URL reset when switching to Registration
   [\#1736](https://github.com/matrix-org/matrix-react-sdk/pull/1736)
 * Fix the reject/accept call buttons in canary (mk2)
   [\#1734](https://github.com/matrix-org/matrix-react-sdk/pull/1734)
 * Make ratelimitedfunc time from the function's end
   [\#1731](https://github.com/matrix-org/matrix-react-sdk/pull/1731)
 * Give dialogs a matrixClient context
   [\#1735](https://github.com/matrix-org/matrix-react-sdk/pull/1735)
 * Fix key bindings in address picker dialog
   [\#1732](https://github.com/matrix-org/matrix-react-sdk/pull/1732)
 * Try upgrading eslint-plugin-react
   [\#1712](https://github.com/matrix-org/matrix-react-sdk/pull/1712)
 * Fix display name change text
   [\#1730](https://github.com/matrix-org/matrix-react-sdk/pull/1730)
 * Persist contentState when sending SlashCommand via MessageComposerInput
   [\#1721](https://github.com/matrix-org/matrix-react-sdk/pull/1721)
 * This is actually MFileBody not MImageBody, change classname
   [\#1726](https://github.com/matrix-org/matrix-react-sdk/pull/1726)
 * Use invite_3pid prop of createRoom instead of manual invite after create
   [\#1717](https://github.com/matrix-org/matrix-react-sdk/pull/1717)
 * guard against m.room.aliases events with no keys (redaction?)
   [\#1729](https://github.com/matrix-org/matrix-react-sdk/pull/1729)
 * Fix not showing Invited section if all invites are 3PID
   [\#1718](https://github.com/matrix-org/matrix-react-sdk/pull/1718)
 * Fix Rich Replies on files
   [\#1720](https://github.com/matrix-org/matrix-react-sdk/pull/1720)
 * Update from Weblate.
   [\#1728](https://github.com/matrix-org/matrix-react-sdk/pull/1728)
 * Null guard against falsey (non-null) props.node, to make react happy
   [\#1724](https://github.com/matrix-org/matrix-react-sdk/pull/1724)
 * Use correct condition for getting account data after first sync
   [\#1722](https://github.com/matrix-org/matrix-react-sdk/pull/1722)
 * Fix order calculation logic when reordering a room
   [\#1725](https://github.com/matrix-org/matrix-react-sdk/pull/1725)
 * Linear Rich Quoting
   [\#1715](https://github.com/matrix-org/matrix-react-sdk/pull/1715)
 * Fix CreateGroupDialog issues
   [\#1714](https://github.com/matrix-org/matrix-react-sdk/pull/1714)
 * Show a warning if the user attempts to leave a room that is invite only
   [\#1713](https://github.com/matrix-org/matrix-react-sdk/pull/1713)
 * Swap RoomList to react-beautiful-dnd
   [\#1711](https://github.com/matrix-org/matrix-react-sdk/pull/1711)
 * don't pass back {} when we have no `org.matrix.room.color_scheme`
   [\#1710](https://github.com/matrix-org/matrix-react-sdk/pull/1710)
 * Don't paginate whilst decrypting events
   [\#1700](https://github.com/matrix-org/matrix-react-sdk/pull/1700)
 * Fall back for missing i18n plurals
   [\#1699](https://github.com/matrix-org/matrix-react-sdk/pull/1699)
 * Fix group store redundant requests
   [\#1709](https://github.com/matrix-org/matrix-react-sdk/pull/1709)
 * Ignore remote echos caused by this client
   [\#1708](https://github.com/matrix-org/matrix-react-sdk/pull/1708)
 * Replace TagPanel react-dnd with react-beautiful-dnd
   [\#1705](https://github.com/matrix-org/matrix-react-sdk/pull/1705)
 * Only set selected tags state when updating rooms
   [\#1704](https://github.com/matrix-org/matrix-react-sdk/pull/1704)
 * Add formatFullDateNoTime to DateUtils and stop passing 12/24h to DateSep
   [\#1702](https://github.com/matrix-org/matrix-react-sdk/pull/1702)
 * Fix autofocus on QuestionDialog
   [\#1698](https://github.com/matrix-org/matrix-react-sdk/pull/1698)
 * Iterative fixes on Rich Quoting
   [\#1697](https://github.com/matrix-org/matrix-react-sdk/pull/1697)
 * Fix missing negation
   [\#1696](https://github.com/matrix-org/matrix-react-sdk/pull/1696)
 * Add Analytics Info and add Piwik to SdkConfig.DEFAULTS
   [\#1625](https://github.com/matrix-org/matrix-react-sdk/pull/1625)
 * Attempt to re-register for a scalar token if ours is invalid
   [\#1668](https://github.com/matrix-org/matrix-react-sdk/pull/1668)
 * Normalise dialogs
   [\#1674](https://github.com/matrix-org/matrix-react-sdk/pull/1674)
 * Add 'send without verifying' to status bar
   [\#1695](https://github.com/matrix-org/matrix-react-sdk/pull/1695)
 * Implement Rich Quoting/Replies
   [\#1660](https://github.com/matrix-org/matrix-react-sdk/pull/1660)
 * Revert "MD-escape URLs/alises/user IDs prior to parsing markdown"
   [\#1694](https://github.com/matrix-org/matrix-react-sdk/pull/1694)
 * Cache isConfCallRoom
   [\#1693](https://github.com/matrix-org/matrix-react-sdk/pull/1693)
 * Improve performance of tag panel selection (when tags are selected)
   [\#1687](https://github.com/matrix-org/matrix-react-sdk/pull/1687)
 * Hide status bar on visible->hidden transition
   [\#1680](https://github.com/matrix-org/matrix-react-sdk/pull/1680)
 * [revived] Singularise unsent message prompt, if applicable
   [\#1692](https://github.com/matrix-org/matrix-react-sdk/pull/1692)
 * small refactor && warn on self-demotion
   [\#1683](https://github.com/matrix-org/matrix-react-sdk/pull/1683)
 * Remove use of deprecated React.PropTypes
   [\#1677](https://github.com/matrix-org/matrix-react-sdk/pull/1677)
 * only save RelatedGroupSettings if it was modified. Otherwise perms issue
   [\#1691](https://github.com/matrix-org/matrix-react-sdk/pull/1691)
 * Fix a couple more issues with granular settings
   [\#1675](https://github.com/matrix-org/matrix-react-sdk/pull/1675)
 * Allow argument to op slashcommand to be negative as PLs can be -ve
   [\#1673](https://github.com/matrix-org/matrix-react-sdk/pull/1673)
 * Update from Weblate.
   [\#1645](https://github.com/matrix-org/matrix-react-sdk/pull/1645)
 * make RoomDetailRow reusable for the Room Directory
   [\#1624](https://github.com/matrix-org/matrix-react-sdk/pull/1624)
 * Prefetch group data for all joined groups when RoomList mounts
   [\#1686](https://github.com/matrix-org/matrix-react-sdk/pull/1686)
 * Remove unused selectedRoom prop
   [\#1690](https://github.com/matrix-org/matrix-react-sdk/pull/1690)
 * Fix shift and shift-ctrl click in TagPanel
   [\#1684](https://github.com/matrix-org/matrix-react-sdk/pull/1684)
 * skip direct chats which either you or the target have left
   [\#1344](https://github.com/matrix-org/matrix-react-sdk/pull/1344)
 * Make scroll on paste in RTE compatible with https://github.com/vector-im
   /riot-web/pull/5900
   [\#1682](https://github.com/matrix-org/matrix-react-sdk/pull/1682)
 * Remove extra full stop
   [\#1685](https://github.com/matrix-org/matrix-react-sdk/pull/1685)
 * Dedupe requests to fetch group profile data
   [\#1666](https://github.com/matrix-org/matrix-react-sdk/pull/1666)
 * Get Group profile from TagTile instead of TagPanel
   [\#1667](https://github.com/matrix-org/matrix-react-sdk/pull/1667)
 *  Fix leaking of GroupStore listeners in RoomList
   [\#1664](https://github.com/matrix-org/matrix-react-sdk/pull/1664)
 * Add option to also output untranslated string
   [\#1658](https://github.com/matrix-org/matrix-react-sdk/pull/1658)
 * Give the current theme to widgets and the integration manager
   [\#1669](https://github.com/matrix-org/matrix-react-sdk/pull/1669)
 * Fixes #1953 Allow multiple file uploads using drag & drop for RoomView
   [\#1671](https://github.com/matrix-org/matrix-react-sdk/pull/1671)
 * Fix issue with preview of phone number on register and waiting for sms code
   confirmation code
   [\#1670](https://github.com/matrix-org/matrix-react-sdk/pull/1670)
 * Attempt to improve TagPanel performance
   [\#1647](https://github.com/matrix-org/matrix-react-sdk/pull/1647)
 * Fix one variant of a scroll jump that occurs when decrypting an m.text
   [\#1656](https://github.com/matrix-org/matrix-react-sdk/pull/1656)
 * Avoid NPEs by using ref method for collecting loggedInView in MatrixChat
   [\#1665](https://github.com/matrix-org/matrix-react-sdk/pull/1665)
 * DnD Ordered TagPanel
   [\#1653](https://github.com/matrix-org/matrix-react-sdk/pull/1653)
 * Update widget title on edit.
   [\#1663](https://github.com/matrix-org/matrix-react-sdk/pull/1663)
 * Set widget title
   [\#1661](https://github.com/matrix-org/matrix-react-sdk/pull/1661)
 * Display custom widget content titles
   [\#1650](https://github.com/matrix-org/matrix-react-sdk/pull/1650)
 * Add maximize / minimize apps drawer icons.
   [\#1649](https://github.com/matrix-org/matrix-react-sdk/pull/1649)
 * Warn when migrating e2e data to indexeddb
   [\#1654](https://github.com/matrix-org/matrix-react-sdk/pull/1654)
 * Don't Auto-show UnknownDeviceDialog
   [\#1600](https://github.com/matrix-org/matrix-react-sdk/pull/1600)
 * Remove logging.
   [\#1655](https://github.com/matrix-org/matrix-react-sdk/pull/1655)
 * Add messaging endpoint for room encryption status.
   [\#1648](https://github.com/matrix-org/matrix-react-sdk/pull/1648)
 * Add some missing translatable strings
   [\#1588](https://github.com/matrix-org/matrix-react-sdk/pull/1588)
 * Add widget -> riot postMessage API
   [\#1640](https://github.com/matrix-org/matrix-react-sdk/pull/1640)
 * Add some null checks
   [\#1646](https://github.com/matrix-org/matrix-react-sdk/pull/1646)
 * Implement shift-click and ctrl-click semantics for TP
   [\#1641](https://github.com/matrix-org/matrix-react-sdk/pull/1641)
 * Don't show group when clicking tag panel
   [\#1642](https://github.com/matrix-org/matrix-react-sdk/pull/1642)
 * Implement TagPanel (or LeftLeftPanel) for group filtering
   [\#1639](https://github.com/matrix-org/matrix-react-sdk/pull/1639)
 * Implement UI for using bulk device deletion API
   [\#1638](https://github.com/matrix-org/matrix-react-sdk/pull/1638)
 * Replace (IRC) with flair
   [\#1637](https://github.com/matrix-org/matrix-react-sdk/pull/1637)
 * Allow guests to view individual groups
   [\#1635](https://github.com/matrix-org/matrix-react-sdk/pull/1635)
 * Allow guest to see MyGroups, show ILAG when creating a group
   [\#1636](https://github.com/matrix-org/matrix-react-sdk/pull/1636)
 * Move group publication toggles to UserSettings
   [\#1634](https://github.com/matrix-org/matrix-react-sdk/pull/1634)
 * Pull the theme through the default process
   [\#1617](https://github.com/matrix-org/matrix-react-sdk/pull/1617)
 * Rebase ConfirmRedactDialog on QuestionDialog
   [\#1630](https://github.com/matrix-org/matrix-react-sdk/pull/1630)
 * Fix logging of missing substitution variables
   [\#1629](https://github.com/matrix-org/matrix-react-sdk/pull/1629)
 * Rename Related Groups to improve readability
   [\#1632](https://github.com/matrix-org/matrix-react-sdk/pull/1632)
 * Make PresenceLabel more easily translatable
   [\#1616](https://github.com/matrix-org/matrix-react-sdk/pull/1616)
 * Perform substitution on all parts, not just the last one
   [\#1618](https://github.com/matrix-org/matrix-react-sdk/pull/1618)
 * Send Access Token in Headers to help prevent it being spit out in errors
   [\#1552](https://github.com/matrix-org/matrix-react-sdk/pull/1552)
 * Add aria-labels to ActionButtons
   [\#1628](https://github.com/matrix-org/matrix-react-sdk/pull/1628)
 * MemberPresenceAvatar: fix null references
   [\#1620](https://github.com/matrix-org/matrix-react-sdk/pull/1620)
 * Disable presence controls if there's no presence
   [\#1623](https://github.com/matrix-org/matrix-react-sdk/pull/1623)
 * Fix GroupMemberList search for users without displayname
   [\#1627](https://github.com/matrix-org/matrix-react-sdk/pull/1627)
 * Remove redundant super class EventEmitter for FlairStore
   [\#1626](https://github.com/matrix-org/matrix-react-sdk/pull/1626)
 * Fix granular URL previews
   [\#1622](https://github.com/matrix-org/matrix-react-sdk/pull/1622)
 * Flairstore: Fix broken reference
   [\#1619](https://github.com/matrix-org/matrix-react-sdk/pull/1619)
 * Do something more sensible for sender profile name/aux opacity
   [\#1615](https://github.com/matrix-org/matrix-react-sdk/pull/1615)
 * Add eslint rule keyword-spacing
   [\#1614](https://github.com/matrix-org/matrix-react-sdk/pull/1614)
 * Fix various issues surrounding granular settings to date
   [\#1613](https://github.com/matrix-org/matrix-react-sdk/pull/1613)
 * differentiate between state events and message events
   [\#1612](https://github.com/matrix-org/matrix-react-sdk/pull/1612)
 * Refactor translations
   [\#1608](https://github.com/matrix-org/matrix-react-sdk/pull/1608)
 * Make TintableSvg links behave like normal image links
   [\#1611](https://github.com/matrix-org/matrix-react-sdk/pull/1611)
 * Fix linting errors.
   [\#1610](https://github.com/matrix-org/matrix-react-sdk/pull/1610)
 * Granular settings
   [\#1516](https://github.com/matrix-org/matrix-react-sdk/pull/1516)
 * Implement user-controlled presence
   [\#1482](https://github.com/matrix-org/matrix-react-sdk/pull/1482)
 * Edit widget icon styling
   [\#1609](https://github.com/matrix-org/matrix-react-sdk/pull/1609)
 * Attempt to improve textual power levels
   [\#1607](https://github.com/matrix-org/matrix-react-sdk/pull/1607)
 * Determine whether power level is custom once Roles have been determined
   [\#1606](https://github.com/matrix-org/matrix-react-sdk/pull/1606)
 * Status.im theme
   [\#1605](https://github.com/matrix-org/matrix-react-sdk/pull/1605)
 * Revert "Lowercase all usernames"
   [\#1604](https://github.com/matrix-org/matrix-react-sdk/pull/1604)

Changes in [0.11.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.4) (2018-02-09)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.3...v0.11.4)

 * Add isUrlPermitted function to sanity check URLs

Changes in [0.11.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.3) (2017-12-04)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.2...v0.11.3)

 * Bump js-sdk version to pull in fix for [setting room publicity in a group](https://github.com/matrix-org/matrix-js-sdk/commit/aa3201ebb0fff5af2fb733080aa65ed1f7213de6).

Changes in [0.11.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.2) (2017-11-28)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.1...v0.11.2)

 * Ignore unrecognised login flows
   [\#1633](https://github.com/matrix-org/matrix-react-sdk/pull/1633)

Changes in [0.11.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.1) (2017-11-17)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.0...v0.11.1)

 * Fix the force TURN option
   [\#1621](https://github.com/matrix-org/matrix-react-sdk/pull/1621)

Changes in [0.11.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.0) (2017-11-15)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.0-rc.3...v0.11.0)


Changes in [0.11.0-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.0-rc.3) (2017-11-14)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.0-rc.2...v0.11.0-rc.3)


Changes in [0.11.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.0-rc.2) (2017-11-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.11.0-rc.1...v0.11.0-rc.2)

 * Make groups a fully-fleged baked-in feature
   [\#1603](https://github.com/matrix-org/matrix-react-sdk/pull/1603)

Changes in [0.11.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.11.0-rc.1) (2017-11-10)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.7...v0.11.0-rc.1)

 * Improve widget rendering on prop updates
   [\#1548](https://github.com/matrix-org/matrix-react-sdk/pull/1548)
 * Display group member profile (avatar/displayname) in ConfirmUserActionDialog
   [\#1595](https://github.com/matrix-org/matrix-react-sdk/pull/1595)
 * Don't crash if there isn't a room notif rule
   [\#1602](https://github.com/matrix-org/matrix-react-sdk/pull/1602)
 * Show group name in flair tooltip if one is set
   [\#1596](https://github.com/matrix-org/matrix-react-sdk/pull/1596)
 * Convert group avatar URL to HTTP before handing to BaseAvatar
   [\#1597](https://github.com/matrix-org/matrix-react-sdk/pull/1597)
 * Add group features as starting points for ILAG
   [\#1601](https://github.com/matrix-org/matrix-react-sdk/pull/1601)
 * Modify the group room visibility API to reflect the js-sdk changes
   [\#1598](https://github.com/matrix-org/matrix-react-sdk/pull/1598)
 * Update from Weblate.
   [\#1599](https://github.com/matrix-org/matrix-react-sdk/pull/1599)
 * Revert "UnknownDeviceDialog: get devices from SDK"
   [\#1594](https://github.com/matrix-org/matrix-react-sdk/pull/1594)
 * Order users in the group member list with admins first
   [\#1591](https://github.com/matrix-org/matrix-react-sdk/pull/1591)
 * Fetch group members after accepting an invite
   [\#1592](https://github.com/matrix-org/matrix-react-sdk/pull/1592)
 * Improve address picker for rooms
   [\#1589](https://github.com/matrix-org/matrix-react-sdk/pull/1589)
 * Fix FlairStore getPublicisedGroupsCached to give the correct, existing
   promise
   [\#1590](https://github.com/matrix-org/matrix-react-sdk/pull/1590)
 * Use the getProfileInfo API for group inviter profile
   [\#1585](https://github.com/matrix-org/matrix-react-sdk/pull/1585)
 * Add checkbox to GroupAddressPicker for determining visibility of group rooms
   [\#1587](https://github.com/matrix-org/matrix-react-sdk/pull/1587)
 * Alter group member api
   [\#1581](https://github.com/matrix-org/matrix-react-sdk/pull/1581)
 * Improve group creation UX
   [\#1580](https://github.com/matrix-org/matrix-react-sdk/pull/1580)
 * Disable RoomDetailList in GroupView when editing
   [\#1583](https://github.com/matrix-org/matrix-react-sdk/pull/1583)
 * Default to no read pins if there is no applicable account data
   [\#1586](https://github.com/matrix-org/matrix-react-sdk/pull/1586)
 * UnknownDeviceDialog: get devices from SDK
   [\#1584](https://github.com/matrix-org/matrix-react-sdk/pull/1584)
 * Add a small indicator for when a new event is pinned
   [\#1486](https://github.com/matrix-org/matrix-react-sdk/pull/1486)
 * Implement tooltip for group rooms
   [\#1582](https://github.com/matrix-org/matrix-react-sdk/pull/1582)
 * Room notifs in autocomplete & composer
   [\#1577](https://github.com/matrix-org/matrix-react-sdk/pull/1577)
 * Ignore img tags in HTML if src is not specified
   [\#1579](https://github.com/matrix-org/matrix-react-sdk/pull/1579)
 * Indicate admins in the group member list with a sheriff badge
   [\#1578](https://github.com/matrix-org/matrix-react-sdk/pull/1578)
 * Remember whether widget drawer was hidden per-room
   [\#1533](https://github.com/matrix-org/matrix-react-sdk/pull/1533)
 * Throw an error when trying to create a group store with falsey groupId
   [\#1576](https://github.com/matrix-org/matrix-react-sdk/pull/1576)
 * Fixes React warning
   [\#1571](https://github.com/matrix-org/matrix-react-sdk/pull/1571)
 * Fix Flair not appearing due to missing this._usersInFlight
   [\#1575](https://github.com/matrix-org/matrix-react-sdk/pull/1575)
 * Use, if possible, a room's canonical or first alias when viewing the …
   [\#1574](https://github.com/matrix-org/matrix-react-sdk/pull/1574)
 * Add CSS classes to group ID input in CreateGroupDialog
   [\#1573](https://github.com/matrix-org/matrix-react-sdk/pull/1573)
 * Give autocomplete providers the room they're in
   [\#1568](https://github.com/matrix-org/matrix-react-sdk/pull/1568)
 * Fix multiple pills on one line
   [\#1572](https://github.com/matrix-org/matrix-react-sdk/pull/1572)
 * Fix group invites such that they look similar to room invites
   [\#1570](https://github.com/matrix-org/matrix-react-sdk/pull/1570)
 * Add a GeminiScrollbar to Your Communities
   [\#1569](https://github.com/matrix-org/matrix-react-sdk/pull/1569)
 * Fix multiple requests for publicised groups of given user
   [\#1567](https://github.com/matrix-org/matrix-react-sdk/pull/1567)
 * Add toggle to alter visibility of a room-group association
   [\#1566](https://github.com/matrix-org/matrix-react-sdk/pull/1566)
 * Pillify room notifs in the timeline
   [\#1564](https://github.com/matrix-org/matrix-react-sdk/pull/1564)
 *  Implement simple GroupRoomInfo
   [\#1563](https://github.com/matrix-org/matrix-react-sdk/pull/1563)
 * turn NPE on flair resolution errors into a logged error
   [\#1565](https://github.com/matrix-org/matrix-react-sdk/pull/1565)
 * Less translation in parts
   [\#1484](https://github.com/matrix-org/matrix-react-sdk/pull/1484)
 * Redact group IDs from analytics
   [\#1562](https://github.com/matrix-org/matrix-react-sdk/pull/1562)
 * Display whether the group summary/room list is loading
   [\#1560](https://github.com/matrix-org/matrix-react-sdk/pull/1560)
 * Change client-side validation of group IDs to match synapse
   [\#1558](https://github.com/matrix-org/matrix-react-sdk/pull/1558)
 * Prevent non-members from opening group settings
   [\#1559](https://github.com/matrix-org/matrix-react-sdk/pull/1559)
 * Alter UI for disinviting a group member
   [\#1556](https://github.com/matrix-org/matrix-react-sdk/pull/1556)
 * Only show admin tools to privileged users
   [\#1555](https://github.com/matrix-org/matrix-react-sdk/pull/1555)
 * Try lowercase username on login
   [\#1550](https://github.com/matrix-org/matrix-react-sdk/pull/1550)
 * Don't refresh page on password change prompt
   [\#1554](https://github.com/matrix-org/matrix-react-sdk/pull/1554)
 * Fix initial in GroupAvatar in GroupView
   [\#1553](https://github.com/matrix-org/matrix-react-sdk/pull/1553)
 * Use "crop" method to scale group avatars in MyGroups
   [\#1549](https://github.com/matrix-org/matrix-react-sdk/pull/1549)
 * Lowercase all usernames
   [\#1547](https://github.com/matrix-org/matrix-react-sdk/pull/1547)
 * Add sensible missing entry generator for MELS tests
   [\#1546](https://github.com/matrix-org/matrix-react-sdk/pull/1546)
 * Fix prompt to re-use chat room
   [\#1545](https://github.com/matrix-org/matrix-react-sdk/pull/1545)
 * Add unregiseterListener to GroupStore
   [\#1544](https://github.com/matrix-org/matrix-react-sdk/pull/1544)
 * Fix groups invited users err for non members
   [\#1543](https://github.com/matrix-org/matrix-react-sdk/pull/1543)
 * Add Mention button to MemberInfo
   [\#1532](https://github.com/matrix-org/matrix-react-sdk/pull/1532)
 * Only show group settings cog to members
   [\#1541](https://github.com/matrix-org/matrix-react-sdk/pull/1541)
 * Use correct icon for group room deletion and make themeable
   [\#1540](https://github.com/matrix-org/matrix-react-sdk/pull/1540)
 * Add invite button to MemberInfo if user has left or wasn't in room
   [\#1534](https://github.com/matrix-org/matrix-react-sdk/pull/1534)
 * Add option to mirror local video feed
   [\#1539](https://github.com/matrix-org/matrix-react-sdk/pull/1539)
 * Use the correct userId when displaying who redacted a message
   [\#1538](https://github.com/matrix-org/matrix-react-sdk/pull/1538)
 * Only show editing UI for aliases/related_groups for users /w power
   [\#1529](https://github.com/matrix-org/matrix-react-sdk/pull/1529)
 * Swap from `ui_opacity` to `panel_disabled`
   [\#1535](https://github.com/matrix-org/matrix-react-sdk/pull/1535)
 * Fix room address picker tiles default name
   [\#1536](https://github.com/matrix-org/matrix-react-sdk/pull/1536)
 * T3chguy/hide level change on 50
   [\#1531](https://github.com/matrix-org/matrix-react-sdk/pull/1531)
 * fix missing date sep caused by hidden event at start of day
   [\#1537](https://github.com/matrix-org/matrix-react-sdk/pull/1537)
 * Add a delete confirmation dialog for widgets
   [\#1520](https://github.com/matrix-org/matrix-react-sdk/pull/1520)
 * When dispatching view_[my_]group[s], reset RoomViewStore
   [\#1530](https://github.com/matrix-org/matrix-react-sdk/pull/1530)
 * Prevent editing of UI requiring user privilege if user unprivileged
   [\#1528](https://github.com/matrix-org/matrix-react-sdk/pull/1528)
 * Use the correct property of the API room objects
   [\#1526](https://github.com/matrix-org/matrix-react-sdk/pull/1526)
 * Don't include the |other in the translation value
   [\#1527](https://github.com/matrix-org/matrix-react-sdk/pull/1527)
 * Re-run gen-i18n after fixing https://github.com/matrix-org/matrix-react-
   sdk/pull/1521
   [\#1525](https://github.com/matrix-org/matrix-react-sdk/pull/1525)
 * Fix some react warnings in GroupMemberList
   [\#1522](https://github.com/matrix-org/matrix-react-sdk/pull/1522)
 * Fix bug with gen-i18n/js when adding new plurals
   [\#1521](https://github.com/matrix-org/matrix-react-sdk/pull/1521)
 * Make GroupStoreCache global for cross-package access
   [\#1524](https://github.com/matrix-org/matrix-react-sdk/pull/1524)
 * Add fields needed by RoomDetailList to groupRoomFromApiObject
   [\#1523](https://github.com/matrix-org/matrix-react-sdk/pull/1523)
 * Only show flair for groups with avatars set
   [\#1519](https://github.com/matrix-org/matrix-react-sdk/pull/1519)
 * Refresh group member lists after inviting users
   [\#1518](https://github.com/matrix-org/matrix-react-sdk/pull/1518)
 * Invalidate the user's public groups cache when changing group publicity
   [\#1517](https://github.com/matrix-org/matrix-react-sdk/pull/1517)
 * Make the gen-i18n script validate _t calls
   [\#1515](https://github.com/matrix-org/matrix-react-sdk/pull/1515)
 * Add placeholder to MyGroups page, adjust CSS classes
   [\#1514](https://github.com/matrix-org/matrix-react-sdk/pull/1514)
 * Rxl881/parallelshell
   [\#1338](https://github.com/matrix-org/matrix-react-sdk/pull/1338)
 * Run prunei18n
   [\#1513](https://github.com/matrix-org/matrix-react-sdk/pull/1513)
 * Update from Weblate.
   [\#1512](https://github.com/matrix-org/matrix-react-sdk/pull/1512)
 * Add script to prune unused translations
   [\#1502](https://github.com/matrix-org/matrix-react-sdk/pull/1502)
 * Fix creation of DM rooms
   [\#1510](https://github.com/matrix-org/matrix-react-sdk/pull/1510)
 * Group create dialog: only enter localpart
   [\#1507](https://github.com/matrix-org/matrix-react-sdk/pull/1507)
 * Improve MyGroups UI
   [\#1509](https://github.com/matrix-org/matrix-react-sdk/pull/1509)
 * Use object URLs to load Files in to images
   [\#1508](https://github.com/matrix-org/matrix-react-sdk/pull/1508)
 * Add clientside error for non-alphanumeric group ID
   [\#1506](https://github.com/matrix-org/matrix-react-sdk/pull/1506)
 * Fix invites to groups without names
   [\#1505](https://github.com/matrix-org/matrix-react-sdk/pull/1505)
 * Add warning when adding group rooms/users
   [\#1504](https://github.com/matrix-org/matrix-react-sdk/pull/1504)
 * More Groups->Communities
   [\#1503](https://github.com/matrix-org/matrix-react-sdk/pull/1503)
 * Groups -> Communities
   [\#1501](https://github.com/matrix-org/matrix-react-sdk/pull/1501)
 * Factor out Flair cache into FlairStore
   [\#1500](https://github.com/matrix-org/matrix-react-sdk/pull/1500)
 * Add i18n script to package.json
   [\#1499](https://github.com/matrix-org/matrix-react-sdk/pull/1499)
 * Make gen-i18n support 'HTML'
   [\#1498](https://github.com/matrix-org/matrix-react-sdk/pull/1498)
 * fix editing visuals on groupview header
   [\#1497](https://github.com/matrix-org/matrix-react-sdk/pull/1497)
 * Script to generate the translations base file
   [\#1493](https://github.com/matrix-org/matrix-react-sdk/pull/1493)
 * Update from Weblate.
   [\#1495](https://github.com/matrix-org/matrix-react-sdk/pull/1495)
 * Attempt to relate a group to a room when adding it
   [\#1494](https://github.com/matrix-org/matrix-react-sdk/pull/1494)
 * Shuffle GroupView UI
   [\#1490](https://github.com/matrix-org/matrix-react-sdk/pull/1490)
 * Fix bug preventing partial group profile
   [\#1491](https://github.com/matrix-org/matrix-react-sdk/pull/1491)
 * Don't show room IDs when picking rooms
   [\#1492](https://github.com/matrix-org/matrix-react-sdk/pull/1492)
 * Only show invited section if there are invited group members
   [\#1489](https://github.com/matrix-org/matrix-react-sdk/pull/1489)
 * Show "Invited" section in the user list
   [\#1488](https://github.com/matrix-org/matrix-react-sdk/pull/1488)
 * Refactor class names for an entity tile being hovered over
   [\#1487](https://github.com/matrix-org/matrix-react-sdk/pull/1487)
 * Modify GroupView UI
   [\#1475](https://github.com/matrix-org/matrix-react-sdk/pull/1475)
 * Message/event pinning
   [\#1439](https://github.com/matrix-org/matrix-react-sdk/pull/1439)
 * Remove duplicate declaration that breaks the build
   [\#1483](https://github.com/matrix-org/matrix-react-sdk/pull/1483)
 * Include magnet scheme in sanitize HTML params
   [\#1301](https://github.com/matrix-org/matrix-react-sdk/pull/1301)
 * Add a way to jump to a user's Read Receipt from MemberInfo
   [\#1454](https://github.com/matrix-org/matrix-react-sdk/pull/1454)
 * Use standard subsitution syntax in _tJsx
   [\#1462](https://github.com/matrix-org/matrix-react-sdk/pull/1462)
 * Don't suggest grey as a color scheme for a room
   [\#1442](https://github.com/matrix-org/matrix-react-sdk/pull/1442)
 * allow hiding of notification body for privacy reasons
   [\#1362](https://github.com/matrix-org/matrix-react-sdk/pull/1362)
 * Suggest to invite people when speaking in an empty room
   [\#1466](https://github.com/matrix-org/matrix-react-sdk/pull/1466)
 * Buttons to remove room/self avatar
   [\#1478](https://github.com/matrix-org/matrix-react-sdk/pull/1478)
 * T3chguy/fix memberlist
   [\#1480](https://github.com/matrix-org/matrix-react-sdk/pull/1480)
 * add option to disable BigEmoji
   [\#1481](https://github.com/matrix-org/matrix-react-sdk/pull/1481)

Changes in [0.10.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.7) (2017-10-16)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.7-rc.3...v0.10.7)

 * Update to latest js-sdk

Changes in [0.10.7-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.7-rc.3) (2017-10-13)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.7-rc.2...v0.10.7-rc.3)

 * Fix the enableLabs flag, again
   [\#1474](https://github.com/matrix-org/matrix-react-sdk/pull/1474)

Changes in [0.10.7-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.7-rc.2) (2017-10-13)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.7-rc.1...v0.10.7-rc.2)

 * Honour the (now legacy) enableLabs flag
   [\#1473](https://github.com/matrix-org/matrix-react-sdk/pull/1473)
 * Don't show labs features by default
   [\#1472](https://github.com/matrix-org/matrix-react-sdk/pull/1472)
 * Make features disabled by default
   [\#1470](https://github.com/matrix-org/matrix-react-sdk/pull/1470)

Changes in [0.10.7-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.7-rc.1) (2017-10-13)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.6...v0.10.7-rc.1)

 * Add warm fuzzy dialog for inviting users to a group
   [\#1459](https://github.com/matrix-org/matrix-react-sdk/pull/1459)
 * enable/disable features in config.json
   [\#1468](https://github.com/matrix-org/matrix-react-sdk/pull/1468)
 * Update from Weblate.
   [\#1469](https://github.com/matrix-org/matrix-react-sdk/pull/1469)
 * Don't send RR or RM when peeking at a room
   [\#1463](https://github.com/matrix-org/matrix-react-sdk/pull/1463)
 * Fix bug that inserted emoji when typing
   [\#1467](https://github.com/matrix-org/matrix-react-sdk/pull/1467)
 * Ignore VS16 char in RTE
   [\#1458](https://github.com/matrix-org/matrix-react-sdk/pull/1458)
 * Show failures when sending messages
   [\#1460](https://github.com/matrix-org/matrix-react-sdk/pull/1460)
 * Run eslint --fix
   [\#1461](https://github.com/matrix-org/matrix-react-sdk/pull/1461)
 * Show who banned the user on hover
   [\#1441](https://github.com/matrix-org/matrix-react-sdk/pull/1441)
 * Enhancements to room power level settings
   [\#1440](https://github.com/matrix-org/matrix-react-sdk/pull/1440)
 * Added TextInputWithCheckbox dialog
   [\#868](https://github.com/matrix-org/matrix-react-sdk/pull/868)
 * Make it clearer which HS you're logging into
   [\#1456](https://github.com/matrix-org/matrix-react-sdk/pull/1456)
 * Remove redundant stale onKeyDown
   [\#1451](https://github.com/matrix-org/matrix-react-sdk/pull/1451)
 * Only allow event state event handlers on state events
   [\#1453](https://github.com/matrix-org/matrix-react-sdk/pull/1453)
 * Modify the group store to include group rooms
   [\#1452](https://github.com/matrix-org/matrix-react-sdk/pull/1452)
 * Factor-out GroupStore and create GroupStoreCache
   [\#1449](https://github.com/matrix-org/matrix-react-sdk/pull/1449)
 * Put related groups UI behind groups labs flag
   [\#1448](https://github.com/matrix-org/matrix-react-sdk/pull/1448)
 * Restrict Flair in the timeline to related groups of the room
   [\#1447](https://github.com/matrix-org/matrix-react-sdk/pull/1447)
 * Implement UI for editing related groups of a room
   [\#1446](https://github.com/matrix-org/matrix-react-sdk/pull/1446)
 * Fix a couple of bugs with EditableItemList
   [\#1445](https://github.com/matrix-org/matrix-react-sdk/pull/1445)
 * Factor out EditableItemList from AliasSettings
   [\#1444](https://github.com/matrix-org/matrix-react-sdk/pull/1444)
 * Add dummy translation function to mark translatable strings
   [\#1421](https://github.com/matrix-org/matrix-react-sdk/pull/1421)
 * Implement button to remove a room from a group
   [\#1438](https://github.com/matrix-org/matrix-react-sdk/pull/1438)
 * Fix showing 3pid invites in member list
   [\#1443](https://github.com/matrix-org/matrix-react-sdk/pull/1443)
 * Add button to get to MyGroups (view_my_groups or path #/groups)
   [\#1435](https://github.com/matrix-org/matrix-react-sdk/pull/1435)
 * Add eslint rule to disallow spaces inside of curly braces
   [\#1436](https://github.com/matrix-org/matrix-react-sdk/pull/1436)
 * Fix ability to invite existing mx users
   [\#1437](https://github.com/matrix-org/matrix-react-sdk/pull/1437)
 * Construct address picker message using provided `validAddressTypes`
   [\#1434](https://github.com/matrix-org/matrix-react-sdk/pull/1434)
 * Fix GroupView summary rooms displaying without avatars
   [\#1433](https://github.com/matrix-org/matrix-react-sdk/pull/1433)
 * Implement adding rooms to a group (or group summary) by room ID
   [\#1432](https://github.com/matrix-org/matrix-react-sdk/pull/1432)
 * Give flair avatars a tooltip = the group ID
   [\#1431](https://github.com/matrix-org/matrix-react-sdk/pull/1431)
 * Fix ability to feature self in a group summary
   [\#1430](https://github.com/matrix-org/matrix-react-sdk/pull/1430)
 * Implement "Add room to group" feature
   [\#1429](https://github.com/matrix-org/matrix-react-sdk/pull/1429)
 * Fix group membership publicity
   [\#1428](https://github.com/matrix-org/matrix-react-sdk/pull/1428)
 * Add support for Jitsi screensharing in electron app
   [\#1355](https://github.com/matrix-org/matrix-react-sdk/pull/1355)
 * Delint and DRY TextForEvent
   [\#1424](https://github.com/matrix-org/matrix-react-sdk/pull/1424)
 * Bust the flair caches after 30mins
   [\#1427](https://github.com/matrix-org/matrix-react-sdk/pull/1427)
 * Show displayname / avatar in group member info
   [\#1426](https://github.com/matrix-org/matrix-react-sdk/pull/1426)
 * Create GroupSummaryStore for storing group summary stuff
   [\#1418](https://github.com/matrix-org/matrix-react-sdk/pull/1418)
 * Add status & toggle for publicity
   [\#1419](https://github.com/matrix-org/matrix-react-sdk/pull/1419)
 * MemberList: show 100 more on overflow tile click
   [\#1417](https://github.com/matrix-org/matrix-react-sdk/pull/1417)
 * Fix NPE in MemberList
   [\#1425](https://github.com/matrix-org/matrix-react-sdk/pull/1425)
 * Fix incorrect variable in string
   [\#1422](https://github.com/matrix-org/matrix-react-sdk/pull/1422)
 * apply i18n _t to string which has already been translated
   [\#1420](https://github.com/matrix-org/matrix-react-sdk/pull/1420)
 * Make the invite section a truncatedlist too
   [\#1416](https://github.com/matrix-org/matrix-react-sdk/pull/1416)
 * Implement removal function of features users/rooms
   [\#1415](https://github.com/matrix-org/matrix-react-sdk/pull/1415)
 * Allow TruncatedList to get children via a callback
   [\#1412](https://github.com/matrix-org/matrix-react-sdk/pull/1412)
 * Experimental: Lazy load user autocomplete entries
   [\#1413](https://github.com/matrix-org/matrix-react-sdk/pull/1413)
 * Show displayname & avatar url in group member list
   [\#1414](https://github.com/matrix-org/matrix-react-sdk/pull/1414)
 * De-lint TruncatedList
   [\#1411](https://github.com/matrix-org/matrix-react-sdk/pull/1411)
 * Remove unneeded strings
   [\#1409](https://github.com/matrix-org/matrix-react-sdk/pull/1409)
 * Clean on prerelease
   [\#1410](https://github.com/matrix-org/matrix-react-sdk/pull/1410)
 * Redesign membership section in GroupView
   [\#1408](https://github.com/matrix-org/matrix-react-sdk/pull/1408)
 * Implement adding rooms to the group summary
   [\#1406](https://github.com/matrix-org/matrix-react-sdk/pull/1406)
 * Honour the is_privileged flag in GroupView
   [\#1407](https://github.com/matrix-org/matrix-react-sdk/pull/1407)
 * Update when a group arrives
   [\#1405](https://github.com/matrix-org/matrix-react-sdk/pull/1405)
 * Implement `view_group` dispatch when clicking flair
   [\#1404](https://github.com/matrix-org/matrix-react-sdk/pull/1404)
 * GroupView: Add a User
   [\#1402](https://github.com/matrix-org/matrix-react-sdk/pull/1402)
 * Track action button click event
   [\#1403](https://github.com/matrix-org/matrix-react-sdk/pull/1403)
 * Separate sender profile into elements with classes
   [\#1401](https://github.com/matrix-org/matrix-react-sdk/pull/1401)
 * Fix ugly integration button, use hover to show error
   [\#1399](https://github.com/matrix-org/matrix-react-sdk/pull/1399)
 * Fix promise error in flair
   [\#1400](https://github.com/matrix-org/matrix-react-sdk/pull/1400)
 * Flair!
   [\#1351](https://github.com/matrix-org/matrix-react-sdk/pull/1351)
 * Group Membership UI
   [\#1328](https://github.com/matrix-org/matrix-react-sdk/pull/1328)

Changes in [0.10.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.6) (2017-09-21)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.5...v0.10.6)

 * New version of js-sdk with fixed build

Changes in [0.10.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.5) (2017-09-21)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.4...v0.10.5)

 * Fix build error (https://github.com/vector-im/riot-web/issues/5091)

Changes in [0.10.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.4) (2017-09-20)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.4-rc.1...v0.10.4)

 * No changes

Changes in [0.10.4-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.4-rc.1) (2017-09-19)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.3...v0.10.4-rc.1)

 * Fix RoomView stuck in 'accept invite' state
   [\#1396](https://github.com/matrix-org/matrix-react-sdk/pull/1396)
 * Only show the integ management button if user is joined
   [\#1398](https://github.com/matrix-org/matrix-react-sdk/pull/1398)
 * suppressOnHover for member entity tiles which have no onClick
   [\#1273](https://github.com/matrix-org/matrix-react-sdk/pull/1273)
 * add /devtools command
   [\#1268](https://github.com/matrix-org/matrix-react-sdk/pull/1268)
 * Fix broken Link
   [\#1359](https://github.com/matrix-org/matrix-react-sdk/pull/1359)
 * Show who redacted an event on hover
   [\#1387](https://github.com/matrix-org/matrix-react-sdk/pull/1387)
 * start MELS expanded if it contains a highlighted/permalinked event.
   [\#1388](https://github.com/matrix-org/matrix-react-sdk/pull/1388)
 * Add ignore user API support
   [\#1389](https://github.com/matrix-org/matrix-react-sdk/pull/1389)
 * Add option to disable Emoji suggestions
   [\#1392](https://github.com/matrix-org/matrix-react-sdk/pull/1392)
 * sanitize the i18n for fn:textForHistoryVisibilityEvent
   [\#1397](https://github.com/matrix-org/matrix-react-sdk/pull/1397)
 * Don't check for only-emoji if there were none
   [\#1394](https://github.com/matrix-org/matrix-react-sdk/pull/1394)
 * Fix emojification of symbol characters
   [\#1393](https://github.com/matrix-org/matrix-react-sdk/pull/1393)
 * Update from Weblate.
   [\#1395](https://github.com/matrix-org/matrix-react-sdk/pull/1395)
 * Make /join join again
   [\#1391](https://github.com/matrix-org/matrix-react-sdk/pull/1391)
 * Display spinner not room preview after room create
   [\#1390](https://github.com/matrix-org/matrix-react-sdk/pull/1390)
 * Fix the avatar / room name in room preview
   [\#1384](https://github.com/matrix-org/matrix-react-sdk/pull/1384)
 * Remove spurious cancel button
   [\#1381](https://github.com/matrix-org/matrix-react-sdk/pull/1381)
 * Fix starting a chat by email address
   [\#1386](https://github.com/matrix-org/matrix-react-sdk/pull/1386)
 * respond on copy code block
   [\#1363](https://github.com/matrix-org/matrix-react-sdk/pull/1363)
 * fix DateUtils inconsistency with 12/24h
   [\#1383](https://github.com/matrix-org/matrix-react-sdk/pull/1383)
 * allow sending sub,sup and whitelist them on receive
   [\#1382](https://github.com/matrix-org/matrix-react-sdk/pull/1382)
 * Update roomlist when an event is decrypted
   [\#1380](https://github.com/matrix-org/matrix-react-sdk/pull/1380)
 * Update from Weblate.
   [\#1379](https://github.com/matrix-org/matrix-react-sdk/pull/1379)
 * fix radio for theme selection
   [\#1368](https://github.com/matrix-org/matrix-react-sdk/pull/1368)
 * fix some more zh_Hans - remove entirely broken lines
   [\#1378](https://github.com/matrix-org/matrix-react-sdk/pull/1378)
 * fix placeholder causing app to break when using zh
   [\#1377](https://github.com/matrix-org/matrix-react-sdk/pull/1377)
 * Avoid re-rendering RoomList on room switch
   [\#1375](https://github.com/matrix-org/matrix-react-sdk/pull/1375)
 * Fix 'Failed to load timeline position' regression
   [\#1376](https://github.com/matrix-org/matrix-react-sdk/pull/1376)
 * Fast path for emojifying strings
   [\#1372](https://github.com/matrix-org/matrix-react-sdk/pull/1372)
 * Consolidate the code copy button
   [\#1374](https://github.com/matrix-org/matrix-react-sdk/pull/1374)
 * Only add the code copy button for HTML messages
   [\#1373](https://github.com/matrix-org/matrix-react-sdk/pull/1373)
 * Don't re-render matrixchat unnecessarily
   [\#1371](https://github.com/matrix-org/matrix-react-sdk/pull/1371)
 * Don't wait for setState to run onHaveRoom
   [\#1370](https://github.com/matrix-org/matrix-react-sdk/pull/1370)
 * Introduce a RoomScrollStateStore
   [\#1367](https://github.com/matrix-org/matrix-react-sdk/pull/1367)
 * Don't always paginate when mounting a ScrollPanel
   [\#1369](https://github.com/matrix-org/matrix-react-sdk/pull/1369)
 * Remove unused scrollStateMap from LoggedinView
   [\#1366](https://github.com/matrix-org/matrix-react-sdk/pull/1366)
 * Revert "Implement sticky date separators"
   [\#1365](https://github.com/matrix-org/matrix-react-sdk/pull/1365)
 * Remove unused string "changing room on a RoomView is not supported"
   [\#1361](https://github.com/matrix-org/matrix-react-sdk/pull/1361)
 * Remove unused translation code translations
   [\#1360](https://github.com/matrix-org/matrix-react-sdk/pull/1360)
 * Implement sticky date separators
   [\#1353](https://github.com/matrix-org/matrix-react-sdk/pull/1353)

Changes in [0.10.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.3) (2017-09-06)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.3-rc.2...v0.10.3)

 * No changes

Changes in [0.10.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.3-rc.2) (2017-09-05)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.3-rc.1...v0.10.3-rc.2)

 * Fix plurals in translations
   [\#1358](https://github.com/matrix-org/matrix-react-sdk/pull/1358)
 * Fix typo
   [\#1357](https://github.com/matrix-org/matrix-react-sdk/pull/1357)
 * Update from Weblate.
   [\#1356](https://github.com/matrix-org/matrix-react-sdk/pull/1356)

Changes in [0.10.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.3-rc.1) (2017-09-01)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.2...v0.10.3-rc.1)

 * Fix room change sometimes being very slow
   [\#1354](https://github.com/matrix-org/matrix-react-sdk/pull/1354)
 * apply shouldHideEvent fn to onRoomTimeline for RoomStatusBar
   [\#1346](https://github.com/matrix-org/matrix-react-sdk/pull/1346)
 * text4event widget modified, used to show widget added each time.
   [\#1345](https://github.com/matrix-org/matrix-react-sdk/pull/1345)
 * separate concepts of showing and managing RRs to fix regression
   [\#1352](https://github.com/matrix-org/matrix-react-sdk/pull/1352)
 * Make staging widgets work with live and vice versa.
   [\#1350](https://github.com/matrix-org/matrix-react-sdk/pull/1350)
 * Avoid breaking /sync with uncaught exceptions
   [\#1349](https://github.com/matrix-org/matrix-react-sdk/pull/1349)
 * we need to pass whether it is an invite RoomSubList explicitly (i18n)
   [\#1343](https://github.com/matrix-org/matrix-react-sdk/pull/1343)
 * Percent encoding isn't a valid thing within _t
   [\#1348](https://github.com/matrix-org/matrix-react-sdk/pull/1348)
 * Fix spurious notifications
   [\#1339](https://github.com/matrix-org/matrix-react-sdk/pull/1339)
 * Unbreak password reset with a non-default HS
   [\#1347](https://github.com/matrix-org/matrix-react-sdk/pull/1347)
 * Remove unnecessary 'load' on notif audio element
   [\#1341](https://github.com/matrix-org/matrix-react-sdk/pull/1341)
 * _tJsx returns a React Object, the sub fn must return a React Object
   [\#1340](https://github.com/matrix-org/matrix-react-sdk/pull/1340)
 * Fix deprecation warning about promise.defer()
   [\#1292](https://github.com/matrix-org/matrix-react-sdk/pull/1292)
 * Fix click to insert completion
   [\#1331](https://github.com/matrix-org/matrix-react-sdk/pull/1331)

Changes in [0.10.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.2) (2017-08-24)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.1...v0.10.2)

 * Force update on timelinepanel when event decrypted
   [\#1334](https://github.com/matrix-org/matrix-react-sdk/pull/1334)
 * Dispatch incoming_call synchronously
   [\#1337](https://github.com/matrix-org/matrix-react-sdk/pull/1337)
 * Fix React crying on machines without internet due to return undefined
   [\#1335](https://github.com/matrix-org/matrix-react-sdk/pull/1335)
 * Catch the promise rejection if scalar fails
   [\#1333](https://github.com/matrix-org/matrix-react-sdk/pull/1333)
 * Update from Weblate.
   [\#1329](https://github.com/matrix-org/matrix-react-sdk/pull/1329)

Changes in [0.10.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.1) (2017-08-23)
=====================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.1-rc.1...v0.10.1)

 * [No changes]

Changes in [0.10.1-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.10.1-rc.1) (2017-08-22)
===============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.10.0-rc.2...v0.10.1-rc.1)

 * Matthew/multiple widgets
   [\#1327](https://github.com/matrix-org/matrix-react-sdk/pull/1327)
 * Fix proptypes on UserPickerDialog
   [\#1326](https://github.com/matrix-org/matrix-react-sdk/pull/1326)
 * AppsDrawer: Remove unnecessary bind
   [\#1325](https://github.com/matrix-org/matrix-react-sdk/pull/1325)
 * Position add app widget link
   [\#1322](https://github.com/matrix-org/matrix-react-sdk/pull/1322)
 * Remove app tile beta tag.
   [\#1323](https://github.com/matrix-org/matrix-react-sdk/pull/1323)
 * Add missing translation.
   [\#1324](https://github.com/matrix-org/matrix-react-sdk/pull/1324)
 * Note that apps are not E2EE
   [\#1319](https://github.com/matrix-org/matrix-react-sdk/pull/1319)
 * Only render appTile body (including warnings) if drawer shown.
   [\#1321](https://github.com/matrix-org/matrix-react-sdk/pull/1321)
 * Timeline improvements
   [\#1320](https://github.com/matrix-org/matrix-react-sdk/pull/1320)
 * Add a space between widget name and "widget" in widget event tiles
   [\#1318](https://github.com/matrix-org/matrix-react-sdk/pull/1318)
 * Move manage integrations button from settings page to room header as a
   stand-alone component
   [\#1286](https://github.com/matrix-org/matrix-react-sdk/pull/1286)
 * Don't apply case logic to app names
   [\#1316](https://github.com/matrix-org/matrix-react-sdk/pull/1316)
 * Stop integ manager opening on every room switch
   [\#1315](https://github.com/matrix-org/matrix-react-sdk/pull/1315)
 * Add behaviour to toggle app draw on app tile header click
   [\#1313](https://github.com/matrix-org/matrix-react-sdk/pull/1313)
 * Change OOO so that MELS generation will continue over hidden events
   [\#1308](https://github.com/matrix-org/matrix-react-sdk/pull/1308)
 * Implement TextualEvent tiles for im.vector.modular.widgets
   [\#1312](https://github.com/matrix-org/matrix-react-sdk/pull/1312)
 * Don't show widget security warning to the person that added it to the room
   [\#1314](https://github.com/matrix-org/matrix-react-sdk/pull/1314)
 * remove unused strings introduced by string change
   [\#1311](https://github.com/matrix-org/matrix-react-sdk/pull/1311)
 * hotfix bad fn signature regression
   [\#1310](https://github.com/matrix-org/matrix-react-sdk/pull/1310)
 * Show a dialog if the maximum number of widgets allowed has been reached.
   [\#1291](https://github.com/matrix-org/matrix-react-sdk/pull/1291)
 * Fix Robot translation
   [\#1309](https://github.com/matrix-org/matrix-react-sdk/pull/1309)
 * Refactor ChatInviteDialog to be UserPickerDialog
   [\#1300](https://github.com/matrix-org/matrix-react-sdk/pull/1300)
 * Update Link to Translation status
   [\#1302](https://github.com/matrix-org/matrix-react-sdk/pull/1302)

Changes in [0.9.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.7) (2017-06-22)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.6...v0.9.7)

 * Fix ability to invite users with caps in their user IDs
   [\#1128](https://github.com/matrix-org/matrix-react-sdk/pull/1128)
 * Fix another race with first-sync
   [\#1131](https://github.com/matrix-org/matrix-react-sdk/pull/1131)
 * Make the indexeddb worker script work again
   [\#1132](https://github.com/matrix-org/matrix-react-sdk/pull/1132)
 * Use the web worker when clearing js-sdk stores
   [\#1133](https://github.com/matrix-org/matrix-react-sdk/pull/1133)

Changes in [0.9.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.6) (2017-06-20)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.5...v0.9.6)

 * Fix infinite spinner on email registration
   [\#1120](https://github.com/matrix-org/matrix-react-sdk/pull/1120)
 * Translate help promots in room list
   [\#1121](https://github.com/matrix-org/matrix-react-sdk/pull/1121)
 * Internationalise the drop targets
   [\#1122](https://github.com/matrix-org/matrix-react-sdk/pull/1122)
 * Fix another infinite spin on register
   [\#1124](https://github.com/matrix-org/matrix-react-sdk/pull/1124)


Changes in [0.9.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.5) (2017-06-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.5-rc.2...v0.9.5)

 * Don't peek when creating a room
   [\#1113](https://github.com/matrix-org/matrix-react-sdk/pull/1113)
 * More translations & translation fixes


Changes in [0.9.5-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.5-rc.2) (2017-06-16)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.5-rc.1...v0.9.5-rc.2)

 * Avoid getting stuck in a loop in CAS login
   [\#1109](https://github.com/matrix-org/matrix-react-sdk/pull/1109)
 * Update from Weblate.
   [\#1101](https://github.com/matrix-org/matrix-react-sdk/pull/1101)
 * Correctly inspect state when rejecting invite
   [\#1108](https://github.com/matrix-org/matrix-react-sdk/pull/1108)
 * Make sure to pass the roomAlias to the preview header if we have it
   [\#1107](https://github.com/matrix-org/matrix-react-sdk/pull/1107)
 * Make sure captcha disappears when container does
   [\#1106](https://github.com/matrix-org/matrix-react-sdk/pull/1106)
 * Fix URL previews
   [\#1105](https://github.com/matrix-org/matrix-react-sdk/pull/1105)

Changes in [0.9.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.5-rc.1) (2017-06-15)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.4...v0.9.5-rc.1)

 * Groundwork for tests including a teamserver login
   [\#1098](https://github.com/matrix-org/matrix-react-sdk/pull/1098)
 * Show a spinner when accepting an invite and waitingForRoom
   [\#1100](https://github.com/matrix-org/matrix-react-sdk/pull/1100)
 * Display a spinner until new room object after join success
   [\#1099](https://github.com/matrix-org/matrix-react-sdk/pull/1099)
 * Luke/attempt fix peeking regression
   [\#1097](https://github.com/matrix-org/matrix-react-sdk/pull/1097)
 * Show correct text in set email password dialog (2)
   [\#1096](https://github.com/matrix-org/matrix-react-sdk/pull/1096)
 * Don't create a guest login if user went to /login
   [\#1092](https://github.com/matrix-org/matrix-react-sdk/pull/1092)
 * Give password confirmation correct title, description
   [\#1095](https://github.com/matrix-org/matrix-react-sdk/pull/1095)
 * Make enter submit change password form
   [\#1094](https://github.com/matrix-org/matrix-react-sdk/pull/1094)
 * When not specified, remove roomAlias state in RoomViewStore
   [\#1093](https://github.com/matrix-org/matrix-react-sdk/pull/1093)
 * Update from Weblate.
   [\#1091](https://github.com/matrix-org/matrix-react-sdk/pull/1091)
 * Fixed pagination infinite loop caused by long messages
   [\#1045](https://github.com/matrix-org/matrix-react-sdk/pull/1045)
 * Clear persistent storage on login and logout
   [\#1085](https://github.com/matrix-org/matrix-react-sdk/pull/1085)
 * DM guessing: prefer oldest joined member
   [\#1087](https://github.com/matrix-org/matrix-react-sdk/pull/1087)
 * Ask for email address after setting password for the first time
   [\#1090](https://github.com/matrix-org/matrix-react-sdk/pull/1090)
 * i18n for setting password flow
   [\#1089](https://github.com/matrix-org/matrix-react-sdk/pull/1089)
 * remove mx_filterFlipColor from verified e2e icon so its not purple :/
   [\#1088](https://github.com/matrix-org/matrix-react-sdk/pull/1088)
 * width and height must be int otherwise synapse cries
   [\#1083](https://github.com/matrix-org/matrix-react-sdk/pull/1083)
 * remove RoomViewStore listener from MatrixChat on unmount
   [\#1084](https://github.com/matrix-org/matrix-react-sdk/pull/1084)
 * Add script to copy translations between files
   [\#1082](https://github.com/matrix-org/matrix-react-sdk/pull/1082)
 * Only process user_directory response if it's for the current query
   [\#1081](https://github.com/matrix-org/matrix-react-sdk/pull/1081)
 * Fix regressions with starting a 1-1.
   [\#1080](https://github.com/matrix-org/matrix-react-sdk/pull/1080)
 * allow forcing of TURN
   [\#1079](https://github.com/matrix-org/matrix-react-sdk/pull/1079)
 * Remove a bunch of dead code from react-sdk
   [\#1077](https://github.com/matrix-org/matrix-react-sdk/pull/1077)
 * Improve error logging/reporting in megolm import/export
   [\#1061](https://github.com/matrix-org/matrix-react-sdk/pull/1061)
 * Delinting
   [\#1064](https://github.com/matrix-org/matrix-react-sdk/pull/1064)
 * Show reason for a call hanging up unexpectedly.
   [\#1071](https://github.com/matrix-org/matrix-react-sdk/pull/1071)
 * Add reason for ban in room settings
   [\#1072](https://github.com/matrix-org/matrix-react-sdk/pull/1072)
 * adds mx_filterFlipColor so that the dark theme will invert this image
   [\#1070](https://github.com/matrix-org/matrix-react-sdk/pull/1070)

Changes in [0.9.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.4) (2017-06-14)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.3...v0.9.4)

 * Ask for email address after setting password for the first time
   [\#1090](https://github.com/matrix-org/matrix-react-sdk/pull/1090)
 * DM guessing: prefer oldest joined member
   [\#1087](https://github.com/matrix-org/matrix-react-sdk/pull/1087)
 * More translations

Changes in [0.9.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.3) (2017-06-12)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.3-rc.2...v0.9.3)

 * Add more translations & fix some existing ones

Changes in [0.9.3-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.3-rc.2) (2017-06-09)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.3-rc.1...v0.9.3-rc.2)

 * Fix flux dependency
 * Fix translations on conference call bar

Changes in [0.9.3-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.3-rc.1) (2017-06-09)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.2...v0.9.3-rc.1)

 * When ChatCreateOrReuseDialog is cancelled by a guest, go home
   [\#1069](https://github.com/matrix-org/matrix-react-sdk/pull/1069)
 * Update from Weblate.
   [\#1065](https://github.com/matrix-org/matrix-react-sdk/pull/1065)
 * Goto /home when forgetting the last room
   [\#1067](https://github.com/matrix-org/matrix-react-sdk/pull/1067)
 * Default to home page when settings is closed
   [\#1066](https://github.com/matrix-org/matrix-react-sdk/pull/1066)
 * Update from Weblate.
   [\#1063](https://github.com/matrix-org/matrix-react-sdk/pull/1063)
 * When joining, use a roomAlias if we have it
   [\#1062](https://github.com/matrix-org/matrix-react-sdk/pull/1062)
 * Control currently viewed event via RoomViewStore
   [\#1058](https://github.com/matrix-org/matrix-react-sdk/pull/1058)
 * Better error messages for login
   [\#1060](https://github.com/matrix-org/matrix-react-sdk/pull/1060)
 * Add remaining translations
   [\#1056](https://github.com/matrix-org/matrix-react-sdk/pull/1056)
 * Added button that copies code to clipboard
   [\#1040](https://github.com/matrix-org/matrix-react-sdk/pull/1040)
 * de-lint MegolmExportEncryption + test
   [\#1059](https://github.com/matrix-org/matrix-react-sdk/pull/1059)
 * Better RTL support
   [\#1021](https://github.com/matrix-org/matrix-react-sdk/pull/1021)
 * make mels emoji capable
   [\#1057](https://github.com/matrix-org/matrix-react-sdk/pull/1057)
 * Make travis check for lint on files which are clean to start with
   [\#1055](https://github.com/matrix-org/matrix-react-sdk/pull/1055)
 * Update from Weblate.
   [\#1053](https://github.com/matrix-org/matrix-react-sdk/pull/1053)
 * Add some logging around switching rooms
   [\#1054](https://github.com/matrix-org/matrix-react-sdk/pull/1054)
 * Update from Weblate.
   [\#1052](https://github.com/matrix-org/matrix-react-sdk/pull/1052)
 * Use user_directory endpoint to populate ChatInviteDialog
   [\#1050](https://github.com/matrix-org/matrix-react-sdk/pull/1050)
 * Various Analytics changes/fixes/improvements
   [\#1046](https://github.com/matrix-org/matrix-react-sdk/pull/1046)
 * Use an arrow function to allow `this`
   [\#1051](https://github.com/matrix-org/matrix-react-sdk/pull/1051)
 * New guest access
   [\#937](https://github.com/matrix-org/matrix-react-sdk/pull/937)
 * Translate src/components/structures
   [\#1048](https://github.com/matrix-org/matrix-react-sdk/pull/1048)
 * Cancel 'join room' action if 'log in' is clicked
   [\#1049](https://github.com/matrix-org/matrix-react-sdk/pull/1049)
 * fix copy and paste derp and rip out unused imports
   [\#1015](https://github.com/matrix-org/matrix-react-sdk/pull/1015)
 * Update from Weblate.
   [\#1042](https://github.com/matrix-org/matrix-react-sdk/pull/1042)
 * Reset 'first sync' flag / promise on log in
   [\#1041](https://github.com/matrix-org/matrix-react-sdk/pull/1041)
 * Remove DM-guessing code (again)
   [\#1036](https://github.com/matrix-org/matrix-react-sdk/pull/1036)
 * Cancel deferred actions
   [\#1039](https://github.com/matrix-org/matrix-react-sdk/pull/1039)
 * Merge develop, add i18n for SetMxIdDialog
   [\#1034](https://github.com/matrix-org/matrix-react-sdk/pull/1034)
 * Defer an intention for creating a room
   [\#1038](https://github.com/matrix-org/matrix-react-sdk/pull/1038)
 * Fix 'create room' button
   [\#1037](https://github.com/matrix-org/matrix-react-sdk/pull/1037)
 * Always show the spinner during the first sync
   [\#1033](https://github.com/matrix-org/matrix-react-sdk/pull/1033)
 * Only view welcome user if we are not looking at a room
   [\#1032](https://github.com/matrix-org/matrix-react-sdk/pull/1032)
 * Update from Weblate.
   [\#1030](https://github.com/matrix-org/matrix-react-sdk/pull/1030)
 * Keep deferred actions for view_user_settings and view_create_chat
   [\#1031](https://github.com/matrix-org/matrix-react-sdk/pull/1031)
 * Don't do a deferred start chat if user is welcome user
   [\#1029](https://github.com/matrix-org/matrix-react-sdk/pull/1029)
 * Introduce state `peekLoading` to avoid collision with `roomLoading`
   [\#1028](https://github.com/matrix-org/matrix-react-sdk/pull/1028)
 * Update from Weblate.
   [\#1016](https://github.com/matrix-org/matrix-react-sdk/pull/1016)
 * Fix accepting a 3pid invite
   [\#1013](https://github.com/matrix-org/matrix-react-sdk/pull/1013)
 * Propagate room join errors to the UI
   [\#1007](https://github.com/matrix-org/matrix-react-sdk/pull/1007)
 * Implement /user/@userid:domain?action=chat
   [\#1006](https://github.com/matrix-org/matrix-react-sdk/pull/1006)
 * Show People/Rooms emptySubListTip even when total rooms !== 0
   [\#967](https://github.com/matrix-org/matrix-react-sdk/pull/967)
 * Fix to show the correct room
   [\#995](https://github.com/matrix-org/matrix-react-sdk/pull/995)
 * Remove cachedPassword from localStorage on_logged_out
   [\#977](https://github.com/matrix-org/matrix-react-sdk/pull/977)
 * Add /start to show the setMxId above HomePage
   [\#964](https://github.com/matrix-org/matrix-react-sdk/pull/964)
 * Allow pressing Enter to submit setMxId
   [\#961](https://github.com/matrix-org/matrix-react-sdk/pull/961)
 * add login link to SetMxIdDialog
   [\#954](https://github.com/matrix-org/matrix-react-sdk/pull/954)
 * Block user settings with view_set_mxid
   [\#936](https://github.com/matrix-org/matrix-react-sdk/pull/936)
 * Show "Something went wrong!" when errcode undefined
   [\#935](https://github.com/matrix-org/matrix-react-sdk/pull/935)
 * Reset store state when logging out
   [\#930](https://github.com/matrix-org/matrix-react-sdk/pull/930)
 * Set the displayname to the mxid once PWLU
   [\#933](https://github.com/matrix-org/matrix-react-sdk/pull/933)
 * Fix view_next_room, view_previous_room and view_indexed_room
   [\#929](https://github.com/matrix-org/matrix-react-sdk/pull/929)
 * Use RVS to indicate "joining" when setting a mxid
   [\#928](https://github.com/matrix-org/matrix-react-sdk/pull/928)
 * Don't show notif nag bar if guest
   [\#932](https://github.com/matrix-org/matrix-react-sdk/pull/932)
 * Show "Password" instead of "New Password"
   [\#927](https://github.com/matrix-org/matrix-react-sdk/pull/927)
 * Remove warm-fuzzy after setting mxid
   [\#926](https://github.com/matrix-org/matrix-react-sdk/pull/926)
 * Allow teamServerConfig to be missing
   [\#925](https://github.com/matrix-org/matrix-react-sdk/pull/925)
 * Remove GuestWarningBar
   [\#923](https://github.com/matrix-org/matrix-react-sdk/pull/923)
 * Make left panel better for new users (mk III)
   [\#924](https://github.com/matrix-org/matrix-react-sdk/pull/924)
 * Implement default welcome page and allow custom URL /w config
   [\#922](https://github.com/matrix-org/matrix-react-sdk/pull/922)
 * Implement a store for RoomView
   [\#921](https://github.com/matrix-org/matrix-react-sdk/pull/921)
 * Add prop to toggle whether new password input is autoFocused
   [\#915](https://github.com/matrix-org/matrix-react-sdk/pull/915)
 * Implement warm-fuzzy success dialog for SetMxIdDialog
   [\#905](https://github.com/matrix-org/matrix-react-sdk/pull/905)
 * Write some tests for the RTS UI
   [\#893](https://github.com/matrix-org/matrix-react-sdk/pull/893)
 * Make confirmation optional on ChangePassword
   [\#890](https://github.com/matrix-org/matrix-react-sdk/pull/890)
 * Remove "Current Password" input if mx_pass exists
   [\#881](https://github.com/matrix-org/matrix-react-sdk/pull/881)
 * Replace NeedToRegisterDialog /w SetMxIdDialog
   [\#889](https://github.com/matrix-org/matrix-react-sdk/pull/889)
 * Invite the welcome user after registration if configured
   [\#882](https://github.com/matrix-org/matrix-react-sdk/pull/882)
 * Prevent ROUs from creating new chats/new rooms
   [\#879](https://github.com/matrix-org/matrix-react-sdk/pull/879)
 * Redesign mxID chooser, add availability checking
   [\#877](https://github.com/matrix-org/matrix-react-sdk/pull/877)
 * Show password nag bar when user is PWLU
   [\#864](https://github.com/matrix-org/matrix-react-sdk/pull/864)
 * fix typo
   [\#858](https://github.com/matrix-org/matrix-react-sdk/pull/858)
 * Initial implementation: SetDisplayName -> SetMxIdDialog
   [\#849](https://github.com/matrix-org/matrix-react-sdk/pull/849)

Changes in [0.9.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.2) (2017-06-06)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.1...v0.9.2)

 * Hotfix: Allow password reset when logged in
   [\#1044](https://github.com/matrix-org/matrix-react-sdk/pull/1044)

Changes in [0.9.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.1) (2017-06-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.0...v0.9.1)

 * Update from Weblate.
   [\#1012](https://github.com/matrix-org/matrix-react-sdk/pull/1012)
 * typo, missing import and mis-casing
   [\#1014](https://github.com/matrix-org/matrix-react-sdk/pull/1014)
 * Update from Weblate.
   [\#1010](https://github.com/matrix-org/matrix-react-sdk/pull/1010)

Changes in [0.9.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.0) (2017-06-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.0-rc.2...v0.9.0)

 * sync pt with pt_BR
   [\#1009](https://github.com/matrix-org/matrix-react-sdk/pull/1009)
 * Update from Weblate.
   [\#1008](https://github.com/matrix-org/matrix-react-sdk/pull/1008)
 * Update from Weblate.
   [\#1003](https://github.com/matrix-org/matrix-react-sdk/pull/1003)
 * allow hiding redactions, restoring old behaviour
   [\#1004](https://github.com/matrix-org/matrix-react-sdk/pull/1004)
 * Add missing translations
   [\#1005](https://github.com/matrix-org/matrix-react-sdk/pull/1005)

Changes in [0.9.0-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.0-rc.2) (2017-06-02)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.9.0-rc.1...v0.9.0-rc.2)

 * Update from Weblate.
   [\#1002](https://github.com/matrix-org/matrix-react-sdk/pull/1002)
 * webrtc config electron
   [\#850](https://github.com/matrix-org/matrix-react-sdk/pull/850)
 * enable useCompactLayout user setting an add a class when it's enabled
   [\#986](https://github.com/matrix-org/matrix-react-sdk/pull/986)
 * Update from Weblate.
   [\#987](https://github.com/matrix-org/matrix-react-sdk/pull/987)
 * Translation fixes for everything but src/components
   [\#990](https://github.com/matrix-org/matrix-react-sdk/pull/990)
 * Fix tests
   [\#1001](https://github.com/matrix-org/matrix-react-sdk/pull/1001)
 * Fix tests for PR #989
   [\#999](https://github.com/matrix-org/matrix-react-sdk/pull/999)
 * Revert "Revert "add labels to language picker""
   [\#1000](https://github.com/matrix-org/matrix-react-sdk/pull/1000)
 * maybe fixxy [Electron] external thing?
   [\#997](https://github.com/matrix-org/matrix-react-sdk/pull/997)
 * travisci: Don't run the riot-web tests if the react-sdk tests fail
   [\#992](https://github.com/matrix-org/matrix-react-sdk/pull/992)
 * Support 12hr time on DateSeparator
   [\#991](https://github.com/matrix-org/matrix-react-sdk/pull/991)
 * Revert "add labels to language picker"
   [\#994](https://github.com/matrix-org/matrix-react-sdk/pull/994)
 * Call MatrixClient.clearStores on logout
   [\#983](https://github.com/matrix-org/matrix-react-sdk/pull/983)
 * Matthew/room avatar event
   [\#988](https://github.com/matrix-org/matrix-react-sdk/pull/988)
 * add labels to language picker
   [\#989](https://github.com/matrix-org/matrix-react-sdk/pull/989)
 * Update from Weblate.
   [\#981](https://github.com/matrix-org/matrix-react-sdk/pull/981)

Changes in [0.9.0-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.9.0-rc.1) (2017-06-01)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.9...v0.9.0-rc.1)

 * Fix rare case where presence duration is undefined
   [\#982](https://github.com/matrix-org/matrix-react-sdk/pull/982)
 * add concept of platform handling loudNotifications (bings/pings/whatHaveYou)
   [\#985](https://github.com/matrix-org/matrix-react-sdk/pull/985)
 * Fixes to i18n code
   [\#984](https://github.com/matrix-org/matrix-react-sdk/pull/984)
 * Update from Weblate.
   [\#978](https://github.com/matrix-org/matrix-react-sdk/pull/978)
 * Add partial support for RTL languages
   [\#955](https://github.com/matrix-org/matrix-react-sdk/pull/955)
 * Added two strings to translate
   [\#975](https://github.com/matrix-org/matrix-react-sdk/pull/975)
 * Update from Weblate.
   [\#976](https://github.com/matrix-org/matrix-react-sdk/pull/976)
 * Update from Weblate.
   [\#974](https://github.com/matrix-org/matrix-react-sdk/pull/974)
 * Initial Electron Settings - for Auto Launch
   [\#920](https://github.com/matrix-org/matrix-react-sdk/pull/920)
 * Fix missing string in the room settings
   [\#973](https://github.com/matrix-org/matrix-react-sdk/pull/973)
 * fix error in i18n string
   [\#972](https://github.com/matrix-org/matrix-react-sdk/pull/972)
 * Update from Weblate.
   [\#970](https://github.com/matrix-org/matrix-react-sdk/pull/970)
 * Support 12hr time in full date
   [\#971](https://github.com/matrix-org/matrix-react-sdk/pull/971)
 * Add _tJsx()
   [\#968](https://github.com/matrix-org/matrix-react-sdk/pull/968)
 * Update from Weblate.
   [\#966](https://github.com/matrix-org/matrix-react-sdk/pull/966)
 * Remove space between time and AM/PM
   [\#969](https://github.com/matrix-org/matrix-react-sdk/pull/969)
 * Piwik Analytics
   [\#948](https://github.com/matrix-org/matrix-react-sdk/pull/948)
 * Update from Weblate.
   [\#965](https://github.com/matrix-org/matrix-react-sdk/pull/965)
 * Improve ChatInviteDialog perf by ditching fuse, using indexOf and
   lastActiveTs()
   [\#960](https://github.com/matrix-org/matrix-react-sdk/pull/960)
 * Say "X removed the room name" instead of showing nothing
   [\#958](https://github.com/matrix-org/matrix-react-sdk/pull/958)
 * roomview/roomheader fixes
   [\#959](https://github.com/matrix-org/matrix-react-sdk/pull/959)
 * Update from Weblate.
   [\#953](https://github.com/matrix-org/matrix-react-sdk/pull/953)
 * fix i18n in a situation where navigator.languages=[]
   [\#956](https://github.com/matrix-org/matrix-react-sdk/pull/956)
 * `t_` -> `_t` fix typo
   [\#957](https://github.com/matrix-org/matrix-react-sdk/pull/957)
 * Change redact -> remove for clarity
   [\#831](https://github.com/matrix-org/matrix-react-sdk/pull/831)
 * Update from Weblate.
   [\#950](https://github.com/matrix-org/matrix-react-sdk/pull/950)
 * fix mis-linting - missed it in code review :(
   [\#952](https://github.com/matrix-org/matrix-react-sdk/pull/952)
 * i18n fixes
   [\#951](https://github.com/matrix-org/matrix-react-sdk/pull/951)
 * Message Forwarding
   [\#812](https://github.com/matrix-org/matrix-react-sdk/pull/812)
 * don't focus_composer on window focus
   [\#944](https://github.com/matrix-org/matrix-react-sdk/pull/944)
 * Fix vector-im/riot-web#4042
   [\#947](https://github.com/matrix-org/matrix-react-sdk/pull/947)
 * import _t, drop two unused imports
   [\#946](https://github.com/matrix-org/matrix-react-sdk/pull/946)
 * Fix punctuation in TextForEvent to be i18n'd consistently
   [\#945](https://github.com/matrix-org/matrix-react-sdk/pull/945)
 * actually wire up alwaysShowTimestamps
   [\#940](https://github.com/matrix-org/matrix-react-sdk/pull/940)
 * Update from Weblate.
   [\#943](https://github.com/matrix-org/matrix-react-sdk/pull/943)
 * Update from Weblate.
   [\#942](https://github.com/matrix-org/matrix-react-sdk/pull/942)
 * Update from Weblate.
   [\#941](https://github.com/matrix-org/matrix-react-sdk/pull/941)
 * Update from Weblate.
   [\#938](https://github.com/matrix-org/matrix-react-sdk/pull/938)
 * Fix PM being AM
   [\#939](https://github.com/matrix-org/matrix-react-sdk/pull/939)
 * pass call state through dispatcher, for poor electron
   [\#918](https://github.com/matrix-org/matrix-react-sdk/pull/918)
 * Translations!
   [\#934](https://github.com/matrix-org/matrix-react-sdk/pull/934)
 * Remove suffix and prefix from login input username
   [\#906](https://github.com/matrix-org/matrix-react-sdk/pull/906)
 * Kierangould/12hourtimestamp
   [\#903](https://github.com/matrix-org/matrix-react-sdk/pull/903)
 * Don't include src in the test resolve root
   [\#931](https://github.com/matrix-org/matrix-react-sdk/pull/931)
 * Make the linked versions open a new tab, turt2live complained :P
   [\#910](https://github.com/matrix-org/matrix-react-sdk/pull/910)
 * Fix lint errors in SlashCommands
   [\#919](https://github.com/matrix-org/matrix-react-sdk/pull/919)
 * autoFocus input box
   [\#911](https://github.com/matrix-org/matrix-react-sdk/pull/911)
 * Make travis test against riot-web new-guest-access
   [\#917](https://github.com/matrix-org/matrix-react-sdk/pull/917)
 * Add right-branch logic to travis test script
   [\#916](https://github.com/matrix-org/matrix-react-sdk/pull/916)
 * Group e2e keys into blocks of 4 characters
   [\#914](https://github.com/matrix-org/matrix-react-sdk/pull/914)
 * Factor out DeviceVerifyDialog
   [\#913](https://github.com/matrix-org/matrix-react-sdk/pull/913)
 * Fix 'missing page_type' error
   [\#909](https://github.com/matrix-org/matrix-react-sdk/pull/909)
 * code style update
   [\#904](https://github.com/matrix-org/matrix-react-sdk/pull/904)

Changes in [0.8.9](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.9) (2017-05-22)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.9-rc.1...v0.8.9)

 * No changes


Changes in [0.8.9-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.9-rc.1) (2017-05-19)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.8...v0.8.9-rc.1)

 * Prevent an exception getting scroll node
   [\#902](https://github.com/matrix-org/matrix-react-sdk/pull/902)
 * Fix a few remaining snags with country dd
   [\#901](https://github.com/matrix-org/matrix-react-sdk/pull/901)
 * Add left_aligned class to CountryDropdown
   [\#900](https://github.com/matrix-org/matrix-react-sdk/pull/900)
 * Swap to new flag files (which are stored as GB.png)
   [\#899](https://github.com/matrix-org/matrix-react-sdk/pull/899)
 * Improve phone number country dropdown for registration and login (Act. 2,
   Return of the Prefix)
   [\#897](https://github.com/matrix-org/matrix-react-sdk/pull/897)
 * Support for pasting files into normal composer
   [\#892](https://github.com/matrix-org/matrix-react-sdk/pull/892)
 * tell guests they can't use filepanel until they register
   [\#887](https://github.com/matrix-org/matrix-react-sdk/pull/887)
 * Prevent reskindex -w from running when file names have not changed
   [\#888](https://github.com/matrix-org/matrix-react-sdk/pull/888)
 * I broke UserSettings for webpack-dev-server
   [\#884](https://github.com/matrix-org/matrix-react-sdk/pull/884)
 * various fixes to RoomHeader
   [\#880](https://github.com/matrix-org/matrix-react-sdk/pull/880)
 * remove /me whether or not it has a space after it
   [\#885](https://github.com/matrix-org/matrix-react-sdk/pull/885)
 * show error if we can't set a filter because no room
   [\#883](https://github.com/matrix-org/matrix-react-sdk/pull/883)
 * Fix RM not updating if RR event unpaginated
   [\#874](https://github.com/matrix-org/matrix-react-sdk/pull/874)
 * change roomsettings wording
   [\#878](https://github.com/matrix-org/matrix-react-sdk/pull/878)
 * make reskindex windows friendly
   [\#875](https://github.com/matrix-org/matrix-react-sdk/pull/875)
 * Fixes 2 issues with Dialog closing
   [\#867](https://github.com/matrix-org/matrix-react-sdk/pull/867)
 * Automatic Reskindex
   [\#871](https://github.com/matrix-org/matrix-react-sdk/pull/871)
 * Put room name in 'leave room' confirmation dialog
   [\#873](https://github.com/matrix-org/matrix-react-sdk/pull/873)
 * Fix this/self fail in LeftPanel
   [\#872](https://github.com/matrix-org/matrix-react-sdk/pull/872)
 * Don't show null URL previews
   [\#870](https://github.com/matrix-org/matrix-react-sdk/pull/870)
 * Fix keys for AddressSelector
   [\#869](https://github.com/matrix-org/matrix-react-sdk/pull/869)
 * Make left panel better for new users (mk II)
   [\#859](https://github.com/matrix-org/matrix-react-sdk/pull/859)
 * Explicitly save composer content onUnload
   [\#866](https://github.com/matrix-org/matrix-react-sdk/pull/866)
 * Warn on unload
   [\#851](https://github.com/matrix-org/matrix-react-sdk/pull/851)
 * Log deviceid at login
   [\#862](https://github.com/matrix-org/matrix-react-sdk/pull/862)
 * Guests can't send RR so no point trying
   [\#860](https://github.com/matrix-org/matrix-react-sdk/pull/860)
 * Remove babelcheck
   [\#861](https://github.com/matrix-org/matrix-react-sdk/pull/861)
 * T3chguy/settings versions improvements
   [\#857](https://github.com/matrix-org/matrix-react-sdk/pull/857)
 * Change max-len 90->120
   [\#852](https://github.com/matrix-org/matrix-react-sdk/pull/852)
 * Remove DM-guessing code
   [\#829](https://github.com/matrix-org/matrix-react-sdk/pull/829)
 * Fix jumping to an unread event when in MELS
   [\#855](https://github.com/matrix-org/matrix-react-sdk/pull/855)
 * Validate phone number on login
   [\#856](https://github.com/matrix-org/matrix-react-sdk/pull/856)
 * Failed to enable HTML5 Notifications Error Dialogs
   [\#827](https://github.com/matrix-org/matrix-react-sdk/pull/827)
 * Pin filesize ver to fix break upstream
   [\#854](https://github.com/matrix-org/matrix-react-sdk/pull/854)
 * Improve RoomDirectory Look & Feel
   [\#848](https://github.com/matrix-org/matrix-react-sdk/pull/848)
 * Only show jumpToReadMarker bar when RM !== RR
   [\#845](https://github.com/matrix-org/matrix-react-sdk/pull/845)
 * Allow MELS to have its own RM
   [\#846](https://github.com/matrix-org/matrix-react-sdk/pull/846)
 * Use document.onkeydown instead of onkeypress
   [\#844](https://github.com/matrix-org/matrix-react-sdk/pull/844)
 * (Room)?Avatar: Request 96x96 avatars on high DPI screens
   [\#808](https://github.com/matrix-org/matrix-react-sdk/pull/808)
 * Add mx_EventTile_emote class
   [\#842](https://github.com/matrix-org/matrix-react-sdk/pull/842)
 * Fix dialog reappearing after hitting Enter
   [\#841](https://github.com/matrix-org/matrix-react-sdk/pull/841)
 * Fix spinner that shows until the first sync
   [\#840](https://github.com/matrix-org/matrix-react-sdk/pull/840)
 * Show spinner until first sync has completed
   [\#839](https://github.com/matrix-org/matrix-react-sdk/pull/839)
 * Style fixes for LoggedInView
   [\#838](https://github.com/matrix-org/matrix-react-sdk/pull/838)
 * Fix specifying custom server for registration
   [\#834](https://github.com/matrix-org/matrix-react-sdk/pull/834)
 * Improve country dropdown UX and expose +prefix
   [\#833](https://github.com/matrix-org/matrix-react-sdk/pull/833)
 * Fix user settings store
   [\#836](https://github.com/matrix-org/matrix-react-sdk/pull/836)
 * show the room name in the UDE Dialog
   [\#832](https://github.com/matrix-org/matrix-react-sdk/pull/832)
 * summarise profile changes in MELS
   [\#826](https://github.com/matrix-org/matrix-react-sdk/pull/826)
 * Transform h1 and h2 tags to h3 tags
   [\#820](https://github.com/matrix-org/matrix-react-sdk/pull/820)
 * limit our keyboard shortcut modifiers correctly
   [\#825](https://github.com/matrix-org/matrix-react-sdk/pull/825)
 * Specify cross platform regexes and add olm to noParse
   [\#823](https://github.com/matrix-org/matrix-react-sdk/pull/823)
 * Remember element that was in focus before rendering dialog
   [\#822](https://github.com/matrix-org/matrix-react-sdk/pull/822)
 * move user settings outward and use built in read receipts disabling
   [\#824](https://github.com/matrix-org/matrix-react-sdk/pull/824)
 * File Download Consistency
   [\#802](https://github.com/matrix-org/matrix-react-sdk/pull/802)
 * Show Access Token under Advanced in Settings
   [\#806](https://github.com/matrix-org/matrix-react-sdk/pull/806)
 * Link tags/commit hashes in the UserSettings version section
   [\#810](https://github.com/matrix-org/matrix-react-sdk/pull/810)
 * On return to RoomView from auxPanel, send focus back to Composer
   [\#813](https://github.com/matrix-org/matrix-react-sdk/pull/813)
 * Change presence status labels to 'for' instead of 'ago'
   [\#817](https://github.com/matrix-org/matrix-react-sdk/pull/817)
 * Disable Scalar Integrations if urls passed to it are falsey
   [\#816](https://github.com/matrix-org/matrix-react-sdk/pull/816)
 * Add option to hide other people's read receipts.
   [\#818](https://github.com/matrix-org/matrix-react-sdk/pull/818)
 * Add option to not send typing notifications
   [\#819](https://github.com/matrix-org/matrix-react-sdk/pull/819)
 * Sync RM across instances of Riot
   [\#805](https://github.com/matrix-org/matrix-react-sdk/pull/805)
 * First iteration on improving login UI
   [\#811](https://github.com/matrix-org/matrix-react-sdk/pull/811)
 * focus on composer after jumping to bottom
   [\#809](https://github.com/matrix-org/matrix-react-sdk/pull/809)
 * Improve RoomList performance via side-stepping React
   [\#807](https://github.com/matrix-org/matrix-react-sdk/pull/807)
 * Don't show link preview when link is inside of a quote
   [\#762](https://github.com/matrix-org/matrix-react-sdk/pull/762)
 * Escape closes UserSettings
   [\#765](https://github.com/matrix-org/matrix-react-sdk/pull/765)
 * Implement user power-level changes in timeline
   [\#794](https://github.com/matrix-org/matrix-react-sdk/pull/794)

Changes in [0.8.8](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.8) (2017-04-25)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.8-rc.2...v0.8.8)

 * No changes


Changes in [0.8.8-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.8-rc.2) (2017-04-24)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.8-rc.1...v0.8.8-rc.2)

 * Fix bug where links to Riot would fail to open.


Changes in [0.8.8-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.8-rc.1) (2017-04-21)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.7...v0.8.8-rc.1)

 * Update js-sdk to fix registration without a captcha (https://github.com/vector-im/riot-web/issues/3621)


Changes in [0.8.7](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.7) (2017-04-12)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.7-rc.4...v0.8.7)

 * No changes

Changes in [0.8.7-rc.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.7-rc.4) (2017-04-11)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.7-rc.3...v0.8.7-rc.4)

 * Fix people section vanishing on 'clear cache'
   [\#799](https://github.com/matrix-org/matrix-react-sdk/pull/799)
 * Make the clear cache button work on desktop
   [\#798](https://github.com/matrix-org/matrix-react-sdk/pull/798)

Changes in [0.8.7-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.7-rc.3) (2017-04-10)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.7-rc.2...v0.8.7-rc.3)

 * Use matrix-js-sdk v0.7.6-rc.2


Changes in [0.8.7-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.7-rc.2) (2017-04-10)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.7-rc.1...v0.8.7-rc.2)

 * fix the warning shown to users about needing to export e2e keys
   [\#797](https://github.com/matrix-org/matrix-react-sdk/pull/797)

Changes in [0.8.7-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.7-rc.1) (2017-04-07)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.6...v0.8.7-rc.1)

 * Add support for using indexeddb in a webworker
   [\#792](https://github.com/matrix-org/matrix-react-sdk/pull/792)
 * Fix infinite pagination/glitches with pagination
   [\#795](https://github.com/matrix-org/matrix-react-sdk/pull/795)
 * Fix issue where teamTokenMap was ignored for guests
   [\#793](https://github.com/matrix-org/matrix-react-sdk/pull/793)
 * Click emote sender -> insert display name into composer
   [\#791](https://github.com/matrix-org/matrix-react-sdk/pull/791)
 * Fix scroll token selection logic
   [\#785](https://github.com/matrix-org/matrix-react-sdk/pull/785)
 * Replace sdkReady with firstSyncPromise, add mx_last_room_id
   [\#790](https://github.com/matrix-org/matrix-react-sdk/pull/790)
 * Change "Unread messages." to "Jump to first unread message."
   [\#789](https://github.com/matrix-org/matrix-react-sdk/pull/789)
 * Update for new IndexedDBStore interface
   [\#786](https://github.com/matrix-org/matrix-react-sdk/pull/786)
 * Add <ol start="..."> to allowed attributes list
   [\#787](https://github.com/matrix-org/matrix-react-sdk/pull/787)
 * Fix the onFinished for timeline pos dialog
   [\#784](https://github.com/matrix-org/matrix-react-sdk/pull/784)
 * Only join a room when enter is hit if the join button is shown
   [\#776](https://github.com/matrix-org/matrix-react-sdk/pull/776)
 * Remove non-functional session load error
   [\#783](https://github.com/matrix-org/matrix-react-sdk/pull/783)
 * Use Login & Register via component interface
   [\#782](https://github.com/matrix-org/matrix-react-sdk/pull/782)
 * Attempt to fix the flakyness seen with tests
   [\#781](https://github.com/matrix-org/matrix-react-sdk/pull/781)
 * Remove React warning
   [\#780](https://github.com/matrix-org/matrix-react-sdk/pull/780)
 * Only clear the local notification count if needed
   [\#779](https://github.com/matrix-org/matrix-react-sdk/pull/779)
 * Don't re-notify about messages on browser refresh
   [\#777](https://github.com/matrix-org/matrix-react-sdk/pull/777)
 * Improve zeroing of RoomList notification badges
   [\#775](https://github.com/matrix-org/matrix-react-sdk/pull/775)
 * Fix VOIP bar hidden on first render of RoomStatusBar
   [\#774](https://github.com/matrix-org/matrix-react-sdk/pull/774)
 * Correct confirm prompt for disinvite
   [\#772](https://github.com/matrix-org/matrix-react-sdk/pull/772)
 * Add state loggingIn to MatrixChat to fix flashing login
   [\#773](https://github.com/matrix-org/matrix-react-sdk/pull/773)
 * Fix bug where you can't invite a valid address
   [\#771](https://github.com/matrix-org/matrix-react-sdk/pull/771)
 * Fix people section DropTarget and refactor Rooms
   [\#761](https://github.com/matrix-org/matrix-react-sdk/pull/761)
 * Read Receipt offset
   [\#770](https://github.com/matrix-org/matrix-react-sdk/pull/770)
 * Support adding phone numbers in UserSettings
   [\#756](https://github.com/matrix-org/matrix-react-sdk/pull/756)
 * Prevent crash on login of no guest session
   [\#769](https://github.com/matrix-org/matrix-react-sdk/pull/769)
 * Add canResetTimeline callback and thread it through to TimelinePanel
   [\#768](https://github.com/matrix-org/matrix-react-sdk/pull/768)
 * Show spinner whilst processing recaptcha response
   [\#767](https://github.com/matrix-org/matrix-react-sdk/pull/767)
 * Login / registration with phone number, mark 2
   [\#750](https://github.com/matrix-org/matrix-react-sdk/pull/750)
 * Display threepids slightly prettier
   [\#758](https://github.com/matrix-org/matrix-react-sdk/pull/758)
 * Fix extraneous leading space in sent emotes
   [\#764](https://github.com/matrix-org/matrix-react-sdk/pull/764)
 * Add ConfirmRedactDialog component
   [\#763](https://github.com/matrix-org/matrix-react-sdk/pull/763)
 * Fix password UI auth test
   [\#760](https://github.com/matrix-org/matrix-react-sdk/pull/760)
 * Display timestamps and profiles for redacted events
   [\#759](https://github.com/matrix-org/matrix-react-sdk/pull/759)
 * Fix UDD for voip in e2e rooms
   [\#757](https://github.com/matrix-org/matrix-react-sdk/pull/757)
 * Add "Export E2E keys" option to logout dialog
   [\#755](https://github.com/matrix-org/matrix-react-sdk/pull/755)
 * Fix People section a bit
   [\#754](https://github.com/matrix-org/matrix-react-sdk/pull/754)
 * Do routing to /register _onLoadCompleted
   [\#753](https://github.com/matrix-org/matrix-react-sdk/pull/753)
 * Double UNPAGINATION_PADDING again
   [\#747](https://github.com/matrix-org/matrix-react-sdk/pull/747)
 * Add null check to start_login
   [\#751](https://github.com/matrix-org/matrix-react-sdk/pull/751)
 * Merge the two RoomTile context menus into one
   [\#746](https://github.com/matrix-org/matrix-react-sdk/pull/746)
 * Fix import for Lifecycle
   [\#748](https://github.com/matrix-org/matrix-react-sdk/pull/748)
 * Make UDD appear when UDE on uploading a file
   [\#745](https://github.com/matrix-org/matrix-react-sdk/pull/745)
 * Decide on which screen to show after login in one place
   [\#743](https://github.com/matrix-org/matrix-react-sdk/pull/743)
 * Add onClick to permalinks to route within Riot
   [\#744](https://github.com/matrix-org/matrix-react-sdk/pull/744)
 * Add support for pasting files into the text box
   [\#605](https://github.com/matrix-org/matrix-react-sdk/pull/605)
 * Show message redactions as black event tiles
   [\#739](https://github.com/matrix-org/matrix-react-sdk/pull/739)
 * Allow user to choose from existing DMs on new chat
   [\#736](https://github.com/matrix-org/matrix-react-sdk/pull/736)
 * Fix the team server registration
   [\#741](https://github.com/matrix-org/matrix-react-sdk/pull/741)
 * Clarify "No devices" message
   [\#740](https://github.com/matrix-org/matrix-react-sdk/pull/740)
 * Change timestamp permalinks to matrix.to
   [\#735](https://github.com/matrix-org/matrix-react-sdk/pull/735)
 * Fix resend bar and "send anyway" in UDD
   [\#734](https://github.com/matrix-org/matrix-react-sdk/pull/734)
 * Make COLOR_REGEX stricter
   [\#737](https://github.com/matrix-org/matrix-react-sdk/pull/737)
 * Port registration over to use InteractiveAuth
   [\#729](https://github.com/matrix-org/matrix-react-sdk/pull/729)
 * Test to see how fuse feels
   [\#732](https://github.com/matrix-org/matrix-react-sdk/pull/732)
 * Submit a new display name on blur of input field
   [\#733](https://github.com/matrix-org/matrix-react-sdk/pull/733)
 * Allow [bf]g colors for <font> style attrib
   [\#610](https://github.com/matrix-org/matrix-react-sdk/pull/610)
 * MELS: either expanded or summary, not both
   [\#683](https://github.com/matrix-org/matrix-react-sdk/pull/683)
 * Autoplay videos and GIFs if enabled by the user.
   [\#730](https://github.com/matrix-org/matrix-react-sdk/pull/730)
 * Warn users about using e2e for the first time
   [\#731](https://github.com/matrix-org/matrix-react-sdk/pull/731)
 * Show UDDialog on UDE during VoIP calls
   [\#721](https://github.com/matrix-org/matrix-react-sdk/pull/721)
 * Notify MatrixChat of teamToken after login
   [\#726](https://github.com/matrix-org/matrix-react-sdk/pull/726)
 * Fix a couple of issues with RRs
   [\#727](https://github.com/matrix-org/matrix-react-sdk/pull/727)
 * Do not push a dummy element with a scroll token for invisible events
   [\#718](https://github.com/matrix-org/matrix-react-sdk/pull/718)
 * MELS: check scroll on load + use mels-1,-2,... key
   [\#715](https://github.com/matrix-org/matrix-react-sdk/pull/715)
 * Fix message composer placeholders
   [\#723](https://github.com/matrix-org/matrix-react-sdk/pull/723)
 * Clarify non-e2e vs. e2e /w composers placeholder
   [\#720](https://github.com/matrix-org/matrix-react-sdk/pull/720)
 * Fix status bar expanded on tab-complete
   [\#722](https://github.com/matrix-org/matrix-react-sdk/pull/722)
 * add .editorconfig
   [\#713](https://github.com/matrix-org/matrix-react-sdk/pull/713)
 * Change the name of the database
   [\#719](https://github.com/matrix-org/matrix-react-sdk/pull/719)
 * Allow setting the default HS from the query parameter
   [\#716](https://github.com/matrix-org/matrix-react-sdk/pull/716)
 * first cut of improving UX for deleting devices.
   [\#717](https://github.com/matrix-org/matrix-react-sdk/pull/717)
 * Fix block quotes all being on a single line
   [\#711](https://github.com/matrix-org/matrix-react-sdk/pull/711)
 * Support reasons for kick / ban
   [\#710](https://github.com/matrix-org/matrix-react-sdk/pull/710)
 * Show when you've been kicked or banned
   [\#709](https://github.com/matrix-org/matrix-react-sdk/pull/709)
 * Add a 'Clear Cache' button
   [\#708](https://github.com/matrix-org/matrix-react-sdk/pull/708)
 * Update the room view on room name change
   [\#707](https://github.com/matrix-org/matrix-react-sdk/pull/707)
 * Add a button to un-ban users in RoomSettings
   [\#698](https://github.com/matrix-org/matrix-react-sdk/pull/698)
 * Use IndexedDBStore from the JS-SDK
   [\#687](https://github.com/matrix-org/matrix-react-sdk/pull/687)
 * Make UserSettings use the right teamToken
   [\#706](https://github.com/matrix-org/matrix-react-sdk/pull/706)
 * If the home page is somehow accessed, goto directory
   [\#705](https://github.com/matrix-org/matrix-react-sdk/pull/705)
 * Display avatar initials in typing notifications
   [\#699](https://github.com/matrix-org/matrix-react-sdk/pull/699)
 * fix eslint's no-invalid-this rule for class properties
   [\#703](https://github.com/matrix-org/matrix-react-sdk/pull/703)
 * If a referrer hasn't been specified, use empty string
   [\#701](https://github.com/matrix-org/matrix-react-sdk/pull/701)
 * Don't force-logout the user if reading localstorage fails
   [\#700](https://github.com/matrix-org/matrix-react-sdk/pull/700)
 * Convert some missed buttons to AccessibleButton
   [\#697](https://github.com/matrix-org/matrix-react-sdk/pull/697)
 * Make ban either ban or unban
   [\#696](https://github.com/matrix-org/matrix-react-sdk/pull/696)
 * Add confirmation dialog to kick/ban buttons
   [\#694](https://github.com/matrix-org/matrix-react-sdk/pull/694)
 * Fix typo with Scalar popup
   [\#695](https://github.com/matrix-org/matrix-react-sdk/pull/695)
 * Treat the literal team token string "undefined" as undefined
   [\#693](https://github.com/matrix-org/matrix-react-sdk/pull/693)
 * Store retrieved sid in the signupInstance of EmailIdentityStage
   [\#692](https://github.com/matrix-org/matrix-react-sdk/pull/692)
 * Split out InterActiveAuthDialog
   [\#691](https://github.com/matrix-org/matrix-react-sdk/pull/691)
 * View /home on registered /w team
   [\#689](https://github.com/matrix-org/matrix-react-sdk/pull/689)
 * Instead of sending userId, userEmail, send sid, client_secret
   [\#688](https://github.com/matrix-org/matrix-react-sdk/pull/688)
 * Enable branded URLs again by parsing the path client-side
   [\#686](https://github.com/matrix-org/matrix-react-sdk/pull/686)
 * Use new method of getting team icon
   [\#680](https://github.com/matrix-org/matrix-react-sdk/pull/680)
 * Persist query parameter team token across refreshes
   [\#685](https://github.com/matrix-org/matrix-react-sdk/pull/685)
 * Thread teamToken through to LeftPanel for "Home" button
   [\#684](https://github.com/matrix-org/matrix-react-sdk/pull/684)
 * Fix typing notif and status bar
   [\#682](https://github.com/matrix-org/matrix-react-sdk/pull/682)
 * Consider emails ending in matrix.org as a uni email
   [\#681](https://github.com/matrix-org/matrix-react-sdk/pull/681)
 * Set referrer qp in nextLink
   [\#679](https://github.com/matrix-org/matrix-react-sdk/pull/679)
 * Do not set team_token if not returned by RTS on login
   [\#678](https://github.com/matrix-org/matrix-react-sdk/pull/678)
 * Get team_token from the RTS on login
   [\#676](https://github.com/matrix-org/matrix-react-sdk/pull/676)
 * Quick and dirty support for custom welcome pages
   [\#550](https://github.com/matrix-org/matrix-react-sdk/pull/550)
 * RTS Welcome Pages
   [\#666](https://github.com/matrix-org/matrix-react-sdk/pull/666)
 * Logging to try to track down riot-web#3148
   [\#677](https://github.com/matrix-org/matrix-react-sdk/pull/677)

Changes in [0.8.6](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.6) (2017-02-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.6-rc.3...v0.8.6)

 * Update to matrix-js-sdk 0.7.5 (no changes from 0.7.5-rc.3)

Changes in [0.8.6-rc.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.6-rc.3) (2017-02-03)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.6-rc.2...v0.8.6-rc.3)

 * Update to matrix-js-sdk 0.7.5-rc.3
 * Fix deviceverifybuttons
   [5fd7410](https://github.com/matrix-org/matrix-react-sdk/commit/827b5a6811ac6b9d1f9a3002a94f9f6ac3f1d49c)


Changes in [0.8.6-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.6-rc.2) (2017-02-03)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.6-rc.1...v0.8.6-rc.2)

 * Update to new matrix-js-sdk to get support for new device change notifications interface


Changes in [0.8.6-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.6-rc.1) (2017-02-03)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.5...v0.8.6-rc.1)

 * Fix timeline & notifs panel spuriously being empty
   [\#675](https://github.com/matrix-org/matrix-react-sdk/pull/675)
 * UI for blacklisting unverified devices per-room & globally
   [\#636](https://github.com/matrix-org/matrix-react-sdk/pull/636)
 * Show better error message in statusbar after UnkDevDialog
   [\#674](https://github.com/matrix-org/matrix-react-sdk/pull/674)
 * Make default avatars clickable
   [\#673](https://github.com/matrix-org/matrix-react-sdk/pull/673)
 * Fix one read receipt randomly not appearing
   [\#672](https://github.com/matrix-org/matrix-react-sdk/pull/672)
 * very barebones support for warning users when rooms contain unknown devices
   [\#635](https://github.com/matrix-org/matrix-react-sdk/pull/635)
 * Fix expanding/unexapnding read receipts
   [\#671](https://github.com/matrix-org/matrix-react-sdk/pull/671)
 * show placeholder when timeline empty
   [\#670](https://github.com/matrix-org/matrix-react-sdk/pull/670)
 * Make read receipt's titles more explanatory
   [\#669](https://github.com/matrix-org/matrix-react-sdk/pull/669)
 * Fix spurious HTML tags being passed through literally
   [\#667](https://github.com/matrix-org/matrix-react-sdk/pull/667)
 * Reinstate max-len lint configs
   [\#665](https://github.com/matrix-org/matrix-react-sdk/pull/665)
 * Throw errors on !==200 status codes from RTS
   [\#662](https://github.com/matrix-org/matrix-react-sdk/pull/662)
 * Exempt lines which look like pure JSX from the maxlen line
   [\#664](https://github.com/matrix-org/matrix-react-sdk/pull/664)
 * Make tests pass on Chrome again
   [\#663](https://github.com/matrix-org/matrix-react-sdk/pull/663)
 * Add referral section to user settings
   [\#661](https://github.com/matrix-org/matrix-react-sdk/pull/661)
 * Two megolm export fixes:
   [\#660](https://github.com/matrix-org/matrix-react-sdk/pull/660)
 * GET /teams from RTS instead of config.json
   [\#658](https://github.com/matrix-org/matrix-react-sdk/pull/658)
 * Guard onStatusBarVisible/Hidden with this.unmounted
   [\#656](https://github.com/matrix-org/matrix-react-sdk/pull/656)
 * Fix cancel button on e2e import/export dialogs
   [\#654](https://github.com/matrix-org/matrix-react-sdk/pull/654)
 * Look up email addresses in ChatInviteDialog
   [\#653](https://github.com/matrix-org/matrix-react-sdk/pull/653)
 * Move BugReportDialog to riot-web
   [\#652](https://github.com/matrix-org/matrix-react-sdk/pull/652)
 * Fix dark theme styling of roomheader cancel button
   [\#651](https://github.com/matrix-org/matrix-react-sdk/pull/651)
 * Allow modals to stack up
   [\#649](https://github.com/matrix-org/matrix-react-sdk/pull/649)
 * Add bug report UI
   [\#642](https://github.com/matrix-org/matrix-react-sdk/pull/642)
 * Better feedback in invite dialog
   [\#625](https://github.com/matrix-org/matrix-react-sdk/pull/625)
 * Import and export for Megolm session data
   [\#647](https://github.com/matrix-org/matrix-react-sdk/pull/647)
 * Overhaul MELS to deal with causality, kicks, etc.
   [\#613](https://github.com/matrix-org/matrix-react-sdk/pull/613)
 * Re-add dispatcher as alt-up/down uses it
   [\#650](https://github.com/matrix-org/matrix-react-sdk/pull/650)
 * Create a common BaseDialog
   [\#645](https://github.com/matrix-org/matrix-react-sdk/pull/645)
 * Fix SetDisplayNameDialog
   [\#648](https://github.com/matrix-org/matrix-react-sdk/pull/648)
 * Sync typing indication with avatar typing indication
   [\#643](https://github.com/matrix-org/matrix-react-sdk/pull/643)
 * Warn users of E2E key loss when changing/resetting passwords or logging out
   [\#646](https://github.com/matrix-org/matrix-react-sdk/pull/646)
 * Better user interface for screen readers and keyboard navigation
   [\#616](https://github.com/matrix-org/matrix-react-sdk/pull/616)
 * Reduce log spam: Revert a16aeeef2a0f16efedf7e6616cdf3c2c8752a077
   [\#644](https://github.com/matrix-org/matrix-react-sdk/pull/644)
 * Expand timeline in situations when _getIndicator not null
   [\#641](https://github.com/matrix-org/matrix-react-sdk/pull/641)
 * Correctly get the path of the js-sdk .eslintrc.js
   [\#640](https://github.com/matrix-org/matrix-react-sdk/pull/640)
 * Add 'searching known users' to the user picker
   [\#621](https://github.com/matrix-org/matrix-react-sdk/pull/621)
 * Add mocha env for tests in eslint config
   [\#639](https://github.com/matrix-org/matrix-react-sdk/pull/639)
 * Fix typing avatars displaying "me"
   [\#637](https://github.com/matrix-org/matrix-react-sdk/pull/637)
 * Fix device verification from e2e info
   [\#638](https://github.com/matrix-org/matrix-react-sdk/pull/638)
 * Make user search do a bit better on word boundary
   [\#623](https://github.com/matrix-org/matrix-react-sdk/pull/623)
 * Use an eslint config based on the js-sdk
   [\#634](https://github.com/matrix-org/matrix-react-sdk/pull/634)
 * Fix error display in account deactivate dialog
   [\#633](https://github.com/matrix-org/matrix-react-sdk/pull/633)
 * Configure travis to test riot-web after building
   [\#629](https://github.com/matrix-org/matrix-react-sdk/pull/629)
 * Sanitize ChatInviteDialog
   [\#626](https://github.com/matrix-org/matrix-react-sdk/pull/626)
 * (hopefully) fix theming on Chrome
   [\#630](https://github.com/matrix-org/matrix-react-sdk/pull/630)
 * Megolm session import and export
   [\#617](https://github.com/matrix-org/matrix-react-sdk/pull/617)
 * Allow Modal to be used with async-loaded components
   [\#618](https://github.com/matrix-org/matrix-react-sdk/pull/618)
 * Fix escaping markdown by rendering plaintext
   [\#622](https://github.com/matrix-org/matrix-react-sdk/pull/622)
 * Implement auto-join rooms on registration
   [\#628](https://github.com/matrix-org/matrix-react-sdk/pull/628)
 * Matthew/fix theme npe
   [\#627](https://github.com/matrix-org/matrix-react-sdk/pull/627)
 * Implement theming via alternate stylesheets
   [\#624](https://github.com/matrix-org/matrix-react-sdk/pull/624)
 * Replace marked with commonmark
   [\#575](https://github.com/matrix-org/matrix-react-sdk/pull/575)
 * Fix vector-im/riot-web#2833 : Fail nicely when people try to register
   numeric user IDs
   [\#619](https://github.com/matrix-org/matrix-react-sdk/pull/619)
 * Show the error dialog when requests to PUT power levels fail
   [\#614](https://github.com/matrix-org/matrix-react-sdk/pull/614)

Changes in [0.8.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.5) (2017-01-16)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.5-rc.1...v0.8.5)

 * Pull in newer matrix-js-sdk for video calling fix

Changes in [0.8.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.5-rc.1) (2017-01-13)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.4...v0.8.5-rc.1)

 * Build the js-sdk in the CI script
   [\#612](https://github.com/matrix-org/matrix-react-sdk/pull/612)
 * Fix redacted member events being visible
   [\#609](https://github.com/matrix-org/matrix-react-sdk/pull/609)
 * Use `getStateKey` instead of `getSender`
   [\#611](https://github.com/matrix-org/matrix-react-sdk/pull/611)
 * Move screen sharing error check into platform
   [\#608](https://github.com/matrix-org/matrix-react-sdk/pull/608)
 * Fix 'create account' link in 'forgot password'
   [\#606](https://github.com/matrix-org/matrix-react-sdk/pull/606)
 * Let electron users complete captchas in a web browser
   [\#601](https://github.com/matrix-org/matrix-react-sdk/pull/601)
 * Add support for deleting threepids
   [\#597](https://github.com/matrix-org/matrix-react-sdk/pull/597)
 * Display msisdn threepids as 'Phone'
   [\#598](https://github.com/matrix-org/matrix-react-sdk/pull/598)

Changes in [0.8.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.4) (2016-12-24)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.3...v0.8.4)

 * Fix signup by working around the fact that reCapture doesn't work on electron
 * Fix windows shortcut link

Changes in [0.8.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.3) (2016-12-22)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.2...v0.8.3)

 * Revert performance fix for wantsDateSeperator which was causing date separators to
   be shown at the wrong time of day.
 * Unbranded error messages
   [\#599](https://github.com/matrix-org/matrix-react-sdk/pull/599)
 * Fix scroll jumping when a video is decrypted
   [\#594](https://github.com/matrix-org/matrix-react-sdk/pull/594)

Changes in [0.8.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.2) (2016-12-16)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.1...v0.8.2)

 * Improve the performance of MemberEventListSummary
   [\#590](https://github.com/matrix-org/matrix-react-sdk/pull/590)
 * Implement bulk invite rejections
   [\#592](https://github.com/matrix-org/matrix-react-sdk/pull/592)
 * Fix performance issues with wantsDateSeperator
   [\#591](https://github.com/matrix-org/matrix-react-sdk/pull/591)
 * Add read receipt times to the hovertip of read markers
   [\#586](https://github.com/matrix-org/matrix-react-sdk/pull/586)
 * Don't throw exception on stop if no DMRoomMap
   [\#589](https://github.com/matrix-org/matrix-react-sdk/pull/589)
 * Fix failing test
   [\#587](https://github.com/matrix-org/matrix-react-sdk/pull/587)

Changes in [0.8.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.1) (2016-12-09)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.1-rc.2...v0.8.1)

No changes

Changes in [0.8.1-rc.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.1-rc.2) (2016-12-06)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.1-rc.1...v0.8.1-rc.2)

 * Fix exception when clearing room dir search
   [\#585](https://github.com/matrix-org/matrix-react-sdk/pull/585)
 * Allow integration UI URLs with paths
   [\#583](https://github.com/matrix-org/matrix-react-sdk/pull/583)
 * Give the search box field a name
   [\#584](https://github.com/matrix-org/matrix-react-sdk/pull/584)
 * Pass the room object into displayNotification
   [\#582](https://github.com/matrix-org/matrix-react-sdk/pull/582)
 * Don't throw an exception entering settings page
   [\#581](https://github.com/matrix-org/matrix-react-sdk/pull/581)

Changes in [0.8.1-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.1-rc.1) (2016-12-05)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.8.0...v0.8.1-rc.1)

 * Strip (IRC) when clicking on username
   [\#579](https://github.com/matrix-org/matrix-react-sdk/pull/579)
 * Fix scroll jump on image decryption
   [\#577](https://github.com/matrix-org/matrix-react-sdk/pull/577)
 * Make cut operations update the tab complete list
   [\#576](https://github.com/matrix-org/matrix-react-sdk/pull/576)
 * s/block/blacklist for e2e
   [\#574](https://github.com/matrix-org/matrix-react-sdk/pull/574)
 * Fix the download icon on attachments
   [\#573](https://github.com/matrix-org/matrix-react-sdk/pull/573)
 * Don't default the page_type to room directory
   [\#572](https://github.com/matrix-org/matrix-react-sdk/pull/572)
 * Fix crash on logging in
   [\#571](https://github.com/matrix-org/matrix-react-sdk/pull/571)
 * Reinstate missing sections from the UserSettings
   [\#569](https://github.com/matrix-org/matrix-react-sdk/pull/569)
 * Bump browser-encrypt-attachment to v0.2.0
   [\#568](https://github.com/matrix-org/matrix-react-sdk/pull/568)
 * Make the unpagination process less aggressive
   [\#567](https://github.com/matrix-org/matrix-react-sdk/pull/567)
 * Get rid of always-on labs settings
   [\#566](https://github.com/matrix-org/matrix-react-sdk/pull/566)
 * Fix 'Quote' for e2e messages
   [\#565](https://github.com/matrix-org/matrix-react-sdk/pull/565)

Changes in [0.8.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.8.0) (2016-11-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.5...v0.8.0)

 * Fix more membership change collapsing bugs
   [\#560](https://github.com/matrix-org/matrix-react-sdk/pull/560)
 * Show an open padlock for unencrypted rooms
   [\#557](https://github.com/matrix-org/matrix-react-sdk/pull/557)
 * Clean up MFileBody.presentableTextForFile
   [\#558](https://github.com/matrix-org/matrix-react-sdk/pull/558)
 * Update eventtiles when the events are decrypted
   [\#556](https://github.com/matrix-org/matrix-react-sdk/pull/556)
 * Update EventTile to use WithMatrixClient instead of MatrixClientPeg
   [\#552](https://github.com/matrix-org/matrix-react-sdk/pull/552)
 * Disable conference calling for encrypted rooms
   [\#549](https://github.com/matrix-org/matrix-react-sdk/pull/549)
 * Encrypt attachments in encrypted rooms
   [\#548](https://github.com/matrix-org/matrix-react-sdk/pull/548)
 * Fix MemberAvatar PropTypes & MemberEventListSummary key
   [\#547](https://github.com/matrix-org/matrix-react-sdk/pull/547)
 * Revert "Encrypt attachments in encrypted rooms,"
   [\#546](https://github.com/matrix-org/matrix-react-sdk/pull/546)
 * Fix the vector web version in UserSettings
   [\#542](https://github.com/matrix-org/matrix-react-sdk/pull/542)
 * Truncate consecutive member events
   [\#544](https://github.com/matrix-org/matrix-react-sdk/pull/544)
 * Encrypt attachments in encrypted rooms,
   [\#533](https://github.com/matrix-org/matrix-react-sdk/pull/533)
 * Fix the ctrl+e mute camera shortcut
   [\#545](https://github.com/matrix-org/matrix-react-sdk/pull/545)
 * Show the error that occured when trying to reach scalar
   [\#543](https://github.com/matrix-org/matrix-react-sdk/pull/543)
 * Don't do URL previews for matrix.to
   [\#541](https://github.com/matrix-org/matrix-react-sdk/pull/541)
 * Fix NPE in LoggedInView
   [\#540](https://github.com/matrix-org/matrix-react-sdk/pull/540)
 * Make room alias & user ID links matrix.to links
   [\#538](https://github.com/matrix-org/matrix-react-sdk/pull/538)
 * Make MemberInfo use the matrixclient from the context
   [\#537](https://github.com/matrix-org/matrix-react-sdk/pull/537)
 * Add the MatrixClient to the react context
   [\#536](https://github.com/matrix-org/matrix-react-sdk/pull/536)
 * Factor out LoggedInView from MatrixChat
   [\#535](https://github.com/matrix-org/matrix-react-sdk/pull/535)
 * Move 'new version' support into Platform
   [\#532](https://github.com/matrix-org/matrix-react-sdk/pull/532)
 * Move Notifications into Platform
   [\#534](https://github.com/matrix-org/matrix-react-sdk/pull/534)
 * Move platform-specific functionality into Platform
   [\#531](https://github.com/matrix-org/matrix-react-sdk/pull/531)

Changes in [0.7.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.5) (2016-11-04)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.5-rc.1...v0.7.5)

 * No changes

Changes in [0.7.5-rc.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.5-rc.1) (2016-11-02)
=============================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.4...v0.7.5-rc.1)

 * Explicitly list files in package.json
   [\#530](https://github.com/matrix-org/matrix-react-sdk/pull/530)
 * Fix some markdown in the code style doc
   [\#529](https://github.com/matrix-org/matrix-react-sdk/pull/529)
 * Run highlight.js asynchronously
   [\#527](https://github.com/matrix-org/matrix-react-sdk/pull/527)
 * Fix room tinting
   [\#528](https://github.com/matrix-org/matrix-react-sdk/pull/528)
 * Fix CPU spin on joining rooms
   [\#525](https://github.com/matrix-org/matrix-react-sdk/pull/525)
 * Don't send read receipt if user has logged out
   [\#526](https://github.com/matrix-org/matrix-react-sdk/pull/526)
 * Switch to babel 6, again
   [\#523](https://github.com/matrix-org/matrix-react-sdk/pull/523)
 * Keyboard shortcuts to mute microphone/camera
   [\#522](https://github.com/matrix-org/matrix-react-sdk/pull/522)
 * Give our input fields names
   [\#520](https://github.com/matrix-org/matrix-react-sdk/pull/520)
 * Revert "Switch to babel 6"
   [\#521](https://github.com/matrix-org/matrix-react-sdk/pull/521)
 * Switch to babel 6
   [\#519](https://github.com/matrix-org/matrix-react-sdk/pull/519)
 * Interactive auth for device delete
   [\#517](https://github.com/matrix-org/matrix-react-sdk/pull/517)
 * InteractiveAuthDialog
   [\#516](https://github.com/matrix-org/matrix-react-sdk/pull/516)
 * Prevent spamming emails by reusing client secret
   [\#514](https://github.com/matrix-org/matrix-react-sdk/pull/514)
 * Refactor CaptchaForm to put less logic in signupstages
   [\#515](https://github.com/matrix-org/matrix-react-sdk/pull/515)

Changes in [0.7.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.4) (2016-10-12)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.3...v0.7.4)

 * A bundle of fixes to the react tests
   [\#513](https://github.com/matrix-org/matrix-react-sdk/pull/513)
 * Fix registration retry
   [\#512](https://github.com/matrix-org/matrix-react-sdk/pull/512)
 * Fix registration
   [\#511](https://github.com/matrix-org/matrix-react-sdk/pull/511)
 * Fix bug where riot would keep requesting tokens
   [\#510](https://github.com/matrix-org/matrix-react-sdk/pull/510)

Changes in [0.7.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.3) (2016-10-05)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.2...v0.7.3)

 * Move 'show join button' functionality out
   [\#502](https://github.com/matrix-org/matrix-react-sdk/pull/502)
 * Update to linkify 2.1.3
   [\#508](https://github.com/matrix-org/matrix-react-sdk/pull/508)
 * Fix version going blank after logging in
   [\#505](https://github.com/matrix-org/matrix-react-sdk/pull/505)
 * Use 'Sign In' / 'Sign Out' universally
   [\#506](https://github.com/matrix-org/matrix-react-sdk/pull/506)
 * Prevent error when clicking 'log in'
   [\#504](https://github.com/matrix-org/matrix-react-sdk/pull/504)
 * Make RTE mode use the new Markdown wrapper class
   [\#497](https://github.com/matrix-org/matrix-react-sdk/pull/497)
 * Add 'getHomeServerName' util to client peg
   [\#501](https://github.com/matrix-org/matrix-react-sdk/pull/501)
 * Fix markdown link syntax
   [\#499](https://github.com/matrix-org/matrix-react-sdk/pull/499)
 * Fail hard & fast if linkifyjs version is wrong
   [\#500](https://github.com/matrix-org/matrix-react-sdk/pull/500)
 * Bring back the little green men without slowness
   [\#498](https://github.com/matrix-org/matrix-react-sdk/pull/498)
 * Directory search join button
   [\#496](https://github.com/matrix-org/matrix-react-sdk/pull/496)
 * Fix links to IRC rooms
   [\#495](https://github.com/matrix-org/matrix-react-sdk/pull/495)
 * Make markdown less aggressive
   [\#492](https://github.com/matrix-org/matrix-react-sdk/pull/492)
 * Move the device verification buttons to their own class
   [\#493](https://github.com/matrix-org/matrix-react-sdk/pull/493)
 * Add the deviceId back to memberdeviceinfo
   [\#494](https://github.com/matrix-org/matrix-react-sdk/pull/494)
 * Force-hide autocomplete after sending message.
   [\#489](https://github.com/matrix-org/matrix-react-sdk/pull/489)
 * force old selection state after creating entities
   [\#488](https://github.com/matrix-org/matrix-react-sdk/pull/488)

Changes in [0.7.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.2) (2016-09-21)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.7.1...v0.7.2)

 * Revert #333
   [\#491](https://github.com/matrix-org/matrix-react-sdk/pull/491)
 * EncryptedEventDialog updates
   [\#490](https://github.com/matrix-org/matrix-react-sdk/pull/490)
 * Apply heuristic on incoming DMs
   [\#487](https://github.com/matrix-org/matrix-react-sdk/pull/487)

Changes in [0.7.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.1) (2016-09-21)
===================================================================================================
 * Correct js-sdk version dependency

Changes in [0.7.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.7.0) (2016-09-21)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.5-r3...v0.7.0)

 * Rebrand
   [\#485](https://github.com/matrix-org/matrix-react-sdk/pull/485)
 * Pass close_scalar postMessage action through to the dispatcher
   [\#484](https://github.com/matrix-org/matrix-react-sdk/pull/484)
 * Replace <p>s with <br/>s consistently
   [\#482](https://github.com/matrix-org/matrix-react-sdk/pull/482)
 * Add 'startAtBottom' flag
   [\#483](https://github.com/matrix-org/matrix-react-sdk/pull/483)
 * Add the olm version to the settings page.
   [\#474](https://github.com/matrix-org/matrix-react-sdk/pull/474)
 * Pass through config for Room Directory
   [\#479](https://github.com/matrix-org/matrix-react-sdk/pull/479)
 * Fix unicode completions in autocomplete.
   [\#481](https://github.com/matrix-org/matrix-react-sdk/pull/481)
 * Add ability to set plumbing state in a room
   [\#477](https://github.com/matrix-org/matrix-react-sdk/pull/477)
 * Disable username and room decorators
   [\#480](https://github.com/matrix-org/matrix-react-sdk/pull/480)
 * Wmwragg/correct incoming call positioning
   [\#478](https://github.com/matrix-org/matrix-react-sdk/pull/478)
 * Wmwragg/remove old filter
   [\#475](https://github.com/matrix-org/matrix-react-sdk/pull/475)
 * Corrected onKeyUp misstype and return can now be used instead of clic…
   [\#476](https://github.com/matrix-org/matrix-react-sdk/pull/476)
 * Wmwragg/multi invite bugfix
   [\#473](https://github.com/matrix-org/matrix-react-sdk/pull/473)
 * Revert "Fix linkification and bump linkifyjs dep"
   [\#471](https://github.com/matrix-org/matrix-react-sdk/pull/471)
 * Wmwragg/chat multi invite
   [\#469](https://github.com/matrix-org/matrix-react-sdk/pull/469)
 * Matthew/right panel collapse
   [\#470](https://github.com/matrix-org/matrix-react-sdk/pull/470)
 * Fix linkification and bump linkifyjs dep
   [\#460](https://github.com/matrix-org/matrix-react-sdk/pull/460)
 * Add modal dialog on new room button
   [\#468](https://github.com/matrix-org/matrix-react-sdk/pull/468)
 * Flag incoming DMs as such
   [\#463](https://github.com/matrix-org/matrix-react-sdk/pull/463)
 * Improve autocomplete behaviour
   [\#466](https://github.com/matrix-org/matrix-react-sdk/pull/466)
 * Pull multi-inviting functionality out of MultiInviteDialog
   [\#467](https://github.com/matrix-org/matrix-react-sdk/pull/467)
 * Remove markdown line breaks
   [\#464](https://github.com/matrix-org/matrix-react-sdk/pull/464)
 * Fix un-marking rooms as DM  rooms
   [\#465](https://github.com/matrix-org/matrix-react-sdk/pull/465)
 * Don't re-use parted rooms for DMs
   [\#461](https://github.com/matrix-org/matrix-react-sdk/pull/461)
 * Update createRoom to support creating DM rooms
   [\#458](https://github.com/matrix-org/matrix-react-sdk/pull/458)
 * First wave of E2E Visuals
   [\#462](https://github.com/matrix-org/matrix-react-sdk/pull/462)
 * FilePanel, NotificationPanel and EventTimelineSet support
   [\#450](https://github.com/matrix-org/matrix-react-sdk/pull/450)
 * Fix CAS support by using a temporary Matrix client
   [\#459](https://github.com/matrix-org/matrix-react-sdk/pull/459)
 * Don't crash if no DM rooms with someone
   [\#457](https://github.com/matrix-org/matrix-react-sdk/pull/457)
 * Don't always show DM rooms in Direct Messages
   [\#456](https://github.com/matrix-org/matrix-react-sdk/pull/456)
 * Add DM rooms with that person to the MemberInfo panel
   [\#455](https://github.com/matrix-org/matrix-react-sdk/pull/455)
 * Add some tests for the rich text editor
   [\#452](https://github.com/matrix-org/matrix-react-sdk/pull/452)
 * Fix bug whereby refreshing Vector would not allow querying of membership
   state
   [\#454](https://github.com/matrix-org/matrix-react-sdk/pull/454)
 * Wmwragg/one to one indicators
   [\#453](https://github.com/matrix-org/matrix-react-sdk/pull/453)
 * Update MemberDeviceInfo display
   [\#451](https://github.com/matrix-org/matrix-react-sdk/pull/451)
 * Wmwragg/one to one chat
   [\#448](https://github.com/matrix-org/matrix-react-sdk/pull/448)
 * Scalar Messaging: Expose join_rules and restrict to currently viewed room
   [\#443](https://github.com/matrix-org/matrix-react-sdk/pull/443)
 * API for (un)marking rooms as DM rooms
   [\#449](https://github.com/matrix-org/matrix-react-sdk/pull/449)
 * Formatting toolbar for RTE message composer.
   [\#440](https://github.com/matrix-org/matrix-react-sdk/pull/440)
 * Refactor MatrixTools to Rooms
   [\#447](https://github.com/matrix-org/matrix-react-sdk/pull/447)
 * Track DM rooms in account data
   [\#446](https://github.com/matrix-org/matrix-react-sdk/pull/446)
 * Fix: conference rooms were no longer hidden
   [\#445](https://github.com/matrix-org/matrix-react-sdk/pull/445)
 * Fix error dialog on conf call error
   [\#444](https://github.com/matrix-org/matrix-react-sdk/pull/444)
 * Make MemberInfo to use client.getStoredDevicesForUser
   [\#441](https://github.com/matrix-org/matrix-react-sdk/pull/441)
 * Implement starter link support
   [\#437](https://github.com/matrix-org/matrix-react-sdk/pull/437)
 * Convert MemberDeviceInfo to ES6 class
   [\#442](https://github.com/matrix-org/matrix-react-sdk/pull/442)
 * Make the 'encrypt this room' knob be megolm
   [\#439](https://github.com/matrix-org/matrix-react-sdk/pull/439)
 * Show something when we see a no-op join event
   [\#438](https://github.com/matrix-org/matrix-react-sdk/pull/438)
 * Handle broken OlmAccounts
   [\#436](https://github.com/matrix-org/matrix-react-sdk/pull/436)
 * Show session restore errors on the login screen
   [\#435](https://github.com/matrix-org/matrix-react-sdk/pull/435)
 * use a top-level audio tag for playing all VoIP audio.
   [\#434](https://github.com/matrix-org/matrix-react-sdk/pull/434)
 * use promises to mediate access to HTMLAudioElements
   [\#433](https://github.com/matrix-org/matrix-react-sdk/pull/433)
 * Wmwragg/direct chat sublist
   [\#432](https://github.com/matrix-org/matrix-react-sdk/pull/432)

Changes in [0.6.5-r3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.5-r3) (2016-09-02)
=========================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.5-r2...v0.6.5-r3)

 * revert accidental debug logging >:(


Changes in [0.6.5-r2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.5-r2) (2016-09-02)
=========================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.5-r1...v0.6.5-r2)

 * Workaround vector-im/vector-web#2020 where floods of joins could crash the browser
   (as seen in #matrix-dev right now)

Changes in [0.6.5-r1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.5-r1) (2016-09-01)
=========================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.5...v0.6.5-r1)

 * Fix guest access

Changes in [0.6.5](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.5) (2016-08-28)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.4-r1...v0.6.5)

 * re-add leave button in RoomSettings
 * add /user URLs
 * recognise matrix.to links and other vector links
 * fix linkify dependency
 * fix avatar clicking in MemberInfo
 * fix emojione sizing
   [\#431](https://github.com/matrix-org/matrix-react-sdk/pull/431)
 * Fix NPE when we don't know the sender of an event
   [\#430](https://github.com/matrix-org/matrix-react-sdk/pull/430)
 * Update annoying TimelinePanel test
   [\#429](https://github.com/matrix-org/matrix-react-sdk/pull/429)
 * add fancy changelog dialog
   [\#416](https://github.com/matrix-org/matrix-react-sdk/pull/416)
 * Send bot options with leading underscore on the state key
   [\#428](https://github.com/matrix-org/matrix-react-sdk/pull/428)
 * Update autocomplete design and scroll it correctly
   [\#419](https://github.com/matrix-org/matrix-react-sdk/pull/419)
 * Add ability to query and set bot options
   [\#427](https://github.com/matrix-org/matrix-react-sdk/pull/427)
 * Add .travis.yml
   [\#425](https://github.com/matrix-org/matrix-react-sdk/pull/425)
 * Added event/info message avatars back in
   [\#426](https://github.com/matrix-org/matrix-react-sdk/pull/426)
 * Add postMessage API required for integration provisioning
   [\#423](https://github.com/matrix-org/matrix-react-sdk/pull/423)
 * Fix TimelinePanel test
   [\#424](https://github.com/matrix-org/matrix-react-sdk/pull/424)
 * Wmwragg/chat message presentation
   [\#422](https://github.com/matrix-org/matrix-react-sdk/pull/422)
 * Only try to delete room rule if it exists
   [\#421](https://github.com/matrix-org/matrix-react-sdk/pull/421)
 * Make the notification slider work
   [\#420](https://github.com/matrix-org/matrix-react-sdk/pull/420)
 * Don't download E2E devices if feature disabled
   [\#418](https://github.com/matrix-org/matrix-react-sdk/pull/418)
 * strip (IRC) suffix from tabcomplete entries
   [\#417](https://github.com/matrix-org/matrix-react-sdk/pull/417)
 * ignore local busy
   [\#415](https://github.com/matrix-org/matrix-react-sdk/pull/415)
 * defaultDeviceDisplayName should be a prop
   [\#414](https://github.com/matrix-org/matrix-react-sdk/pull/414)
 * Use server-generated deviceId
   [\#410](https://github.com/matrix-org/matrix-react-sdk/pull/410)
 * Set initial_device_display_name on login and register
   [\#413](https://github.com/matrix-org/matrix-react-sdk/pull/413)
 * Add device_id to devices display
   [\#409](https://github.com/matrix-org/matrix-react-sdk/pull/409)
 * Don't use MatrixClientPeg for temporary clients
   [\#408](https://github.com/matrix-org/matrix-react-sdk/pull/408)

Changes in [0.6.4-r1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.4-r1) (2016-08-12)
=========================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.4...v0.6.4-r1)
 * Fix inviting multiple people

Changes in [0.6.4](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.4) (2016-08-11)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.3...v0.6.4)

 * Only show Autocomplete if autocomplete is enabled
   [\#411](https://github.com/matrix-org/matrix-react-sdk/pull/411)
 * Wmwragg/room tag menu
   [\#402](https://github.com/matrix-org/matrix-react-sdk/pull/402)
 * Move guest registration into the login logic
   [\#407](https://github.com/matrix-org/matrix-react-sdk/pull/407)
 * Better support for inviting multiple people
   [\#403](https://github.com/matrix-org/matrix-react-sdk/pull/403)
 * Refactor login token
   [\#406](https://github.com/matrix-org/matrix-react-sdk/pull/406)
 * Use the current HS for guest login
   [\#405](https://github.com/matrix-org/matrix-react-sdk/pull/405)
 * Various fixes and improvements to emojification.
   [\#395](https://github.com/matrix-org/matrix-react-sdk/pull/395)
 * Fix settings resetting on refresh
   [\#404](https://github.com/matrix-org/matrix-react-sdk/pull/404)
 * Avoid flashing up login screen during guest registration
   [\#401](https://github.com/matrix-org/matrix-react-sdk/pull/401)
 * Cancel calls to rate-limited funcs on unmount
   [\#400](https://github.com/matrix-org/matrix-react-sdk/pull/400)
 * Move rehydration of MatrixClients from MatrixClientPeg to SessionLoader
   [\#399](https://github.com/matrix-org/matrix-react-sdk/pull/399)
 * Don't show integrations header if setting not on
   [\#398](https://github.com/matrix-org/matrix-react-sdk/pull/398)
 * Start to factor out session-loading magic
   [\#397](https://github.com/matrix-org/matrix-react-sdk/pull/397)
 * Hack around a react warning
   [\#396](https://github.com/matrix-org/matrix-react-sdk/pull/396)
 * Add config to hide the labs section
   [\#393](https://github.com/matrix-org/matrix-react-sdk/pull/393)
 * Dbkr/scalar
   [\#392](https://github.com/matrix-org/matrix-react-sdk/pull/392)
 * Wmwragg/mute mention state fix
   [\#390](https://github.com/matrix-org/matrix-react-sdk/pull/390)
 * Fix long freeze when opening 'historical' section
   [\#391](https://github.com/matrix-org/matrix-react-sdk/pull/391)
 * Refactor UI error effects
   [\#388](https://github.com/matrix-org/matrix-react-sdk/pull/388)
 * Implement account deactivation
   [\#381](https://github.com/matrix-org/matrix-react-sdk/pull/381)
 * Don't leave isRoomPublished as undefined
   [\#389](https://github.com/matrix-org/matrix-react-sdk/pull/389)
 * Call the logout API when we log out
   [\#377](https://github.com/matrix-org/matrix-react-sdk/pull/377)
 * feat: code cleanup & emoji replacement in composer
   [\#335](https://github.com/matrix-org/matrix-react-sdk/pull/335)
 * Add more logging to TimelinePanel-test
   [\#387](https://github.com/matrix-org/matrix-react-sdk/pull/387)
 * DevicesPanel: use device_id as a placeholder
   [\#386](https://github.com/matrix-org/matrix-react-sdk/pull/386)
 * MemberDeviceInfo: Use the device name, where available
   [\#385](https://github.com/matrix-org/matrix-react-sdk/pull/385)
 * Wmwragg/mention state menu
   [\#369](https://github.com/matrix-org/matrix-react-sdk/pull/369)
 * fix upload for video or image files where sniffing fails
   [\#383](https://github.com/matrix-org/matrix-react-sdk/pull/383)
 * fix: allow up/down normally for no completions
   [\#384](https://github.com/matrix-org/matrix-react-sdk/pull/384)
 * fix: autocomplete to use tab instead of return
   [\#382](https://github.com/matrix-org/matrix-react-sdk/pull/382)
 * strip (IRC) displayname suffix from autocomplete
   [\#375](https://github.com/matrix-org/matrix-react-sdk/pull/375)
 * Include rooms with 1 person invited
   [\#379](https://github.com/matrix-org/matrix-react-sdk/pull/379)
 * Fix 'start new direct chat'
   [\#378](https://github.com/matrix-org/matrix-react-sdk/pull/378)
 * Fix warnings from MessageComposer
   [\#376](https://github.com/matrix-org/matrix-react-sdk/pull/376)
 * New voice and video call buttons
   [\#371](https://github.com/matrix-org/matrix-react-sdk/pull/371)
 * Silence some more react warnings
   [\#373](https://github.com/matrix-org/matrix-react-sdk/pull/373)
 * Fix warnings emanating from Velociraptor elements
   [\#372](https://github.com/matrix-org/matrix-react-sdk/pull/372)
 * Wmwragg/button updates
   [\#353](https://github.com/matrix-org/matrix-react-sdk/pull/353)
 * Implement device management UI
   [\#370](https://github.com/matrix-org/matrix-react-sdk/pull/370)
 * Factor EditableTextContainer out of ChangeDisplayName
   [\#368](https://github.com/matrix-org/matrix-react-sdk/pull/368)
 * Stop the Avatar classes setting properties on <span>s
   [\#367](https://github.com/matrix-org/matrix-react-sdk/pull/367)
 * Remove relayoutOnUpdate prop on gemini-scrollbar
   [\#366](https://github.com/matrix-org/matrix-react-sdk/pull/366)
 * Fix bug where vector freezes on power level event
   [\#364](https://github.com/matrix-org/matrix-react-sdk/pull/364)
 * Refactor MatrixClientPeg
   [\#361](https://github.com/matrix-org/matrix-react-sdk/pull/361)
 * Fix 'start chat' button on MemberInfo
   [\#363](https://github.com/matrix-org/matrix-react-sdk/pull/363)
 * Bump dependency versions
   [\#362](https://github.com/matrix-org/matrix-react-sdk/pull/362)
 * Fix tab complete order properly
   [\#360](https://github.com/matrix-org/matrix-react-sdk/pull/360)
 * Add removeListener for account data listener
   [\#359](https://github.com/matrix-org/matrix-react-sdk/pull/359)
 * Set the device_id on pre-login MatrixClient
   [\#358](https://github.com/matrix-org/matrix-react-sdk/pull/358)
 * Wmwragg/mention state indicator round 2
   [\#357](https://github.com/matrix-org/matrix-react-sdk/pull/357)
 * Support for disabling/enabling URL previews per-user, per-room and per-user-
   per-room
   [\#356](https://github.com/matrix-org/matrix-react-sdk/pull/356)
 * Use HS proxy API for requestToken on adding email
   [\#336](https://github.com/matrix-org/matrix-react-sdk/pull/336)
 * Error if email already in use when resetting pw
   [\#337](https://github.com/matrix-org/matrix-react-sdk/pull/337)
 * Fix enourmous video bug
   [\#355](https://github.com/matrix-org/matrix-react-sdk/pull/355)
 * Add support for sending uploaded content as m.video
   [\#354](https://github.com/matrix-org/matrix-react-sdk/pull/354)
 * Order tab complete by most recently spoke
   [\#341](https://github.com/matrix-org/matrix-react-sdk/pull/341)
 * Wmwragg/spinner fix
   [\#350](https://github.com/matrix-org/matrix-react-sdk/pull/350)
 * Now showing three dots when hovering over the badge
   [\#352](https://github.com/matrix-org/matrix-react-sdk/pull/352)
 * Fix unpublishing room in room settings
   [\#351](https://github.com/matrix-org/matrix-react-sdk/pull/351)
 * Fix race when creating rooms where invite list can be blank
   [\#347](https://github.com/matrix-org/matrix-react-sdk/pull/347)
 * improve wording of MemberInfo's start chat button.
   [\#348](https://github.com/matrix-org/matrix-react-sdk/pull/348)
 * Revert "Amends react template and removes opening image in lightbox"
   [\#346](https://github.com/matrix-org/matrix-react-sdk/pull/346)
 * Wmwragg/modal restyle
   [\#345](https://github.com/matrix-org/matrix-react-sdk/pull/345)
 * Amends react template and removes opening image in lightbox
   [\#343](https://github.com/matrix-org/matrix-react-sdk/pull/343)
 * Remove the member list loading hack
   [\#344](https://github.com/matrix-org/matrix-react-sdk/pull/344)
 * CSS classes to colour offline users differently
   [\#342](https://github.com/matrix-org/matrix-react-sdk/pull/342)
 * Listen for the new lastPreseceTs event
   [\#340](https://github.com/matrix-org/matrix-react-sdk/pull/340)
 * Fix filtering user list by ID
   [\#339](https://github.com/matrix-org/matrix-react-sdk/pull/339)
 * Update tab completion list when we have a room
   [\#338](https://github.com/matrix-org/matrix-react-sdk/pull/338)
 * JS code style guide
   [\#330](https://github.com/matrix-org/matrix-react-sdk/pull/330)
 * Error on registration if email taken
   [\#334](https://github.com/matrix-org/matrix-react-sdk/pull/334)
 * feat: render unicode emoji as emojione images
   [\#332](https://github.com/matrix-org/matrix-react-sdk/pull/332)
 * feat: unblacklist img tags with data URIs
   [\#333](https://github.com/matrix-org/matrix-react-sdk/pull/333)
 * Autocomplete fixes
   [\#331](https://github.com/matrix-org/matrix-react-sdk/pull/331)
 * Better autocomplete
   [\#296](https://github.com/matrix-org/matrix-react-sdk/pull/296)
 * feat: add and configure eslint
   [\#329](https://github.com/matrix-org/matrix-react-sdk/pull/329)
 * Fix user links
   [\#326](https://github.com/matrix-org/matrix-react-sdk/pull/326)
 * Fix ordering of Memberlist
   [\#327](https://github.com/matrix-org/matrix-react-sdk/pull/327)
 * Display an error message if room not found
   [\#325](https://github.com/matrix-org/matrix-react-sdk/pull/325)
 * Implement device blocking
   [\#324](https://github.com/matrix-org/matrix-react-sdk/pull/324)
 * Remove /encrypt command
   [\#322](https://github.com/matrix-org/matrix-react-sdk/pull/322)
 * RoomSettings: add encryption setting
   [\#321](https://github.com/matrix-org/matrix-react-sdk/pull/321)
 * Fix a pair of warnings from RoomSettings
   [\#320](https://github.com/matrix-org/matrix-react-sdk/pull/320)
 * RoomSettings: refactor permissions calculations
   [\#319](https://github.com/matrix-org/matrix-react-sdk/pull/319)
 * Fix https://github.com/vector-im/vector-web/issues/1679
   [\#318](https://github.com/matrix-org/matrix-react-sdk/pull/318)
 * Fix /join to be consistent with the other code
   [\#317](https://github.com/matrix-org/matrix-react-sdk/pull/317)
 * UserSettings: fix the displayed version of the react-sdk
   [\#316](https://github.com/matrix-org/matrix-react-sdk/pull/316)
 * Show canonical alias in URL bar
   [\#314](https://github.com/matrix-org/matrix-react-sdk/pull/314)
 * Some basic tests for RoomView
   [\#313](https://github.com/matrix-org/matrix-react-sdk/pull/313)
 * Support for making devices unverified
   [\#315](https://github.com/matrix-org/matrix-react-sdk/pull/315)
 * Fix eventListener warning
   [\#312](https://github.com/matrix-org/matrix-react-sdk/pull/312)
 * Fix peeking and member list vanishing
   [\#307](https://github.com/matrix-org/matrix-react-sdk/pull/307)
 * Use different keys for new MessageComposerInput
   [\#311](https://github.com/matrix-org/matrix-react-sdk/pull/311)
 * Fix RTE escaping, HTML output with breaks
   [\#310](https://github.com/matrix-org/matrix-react-sdk/pull/310)
 * Fix cursor bug, persist editor mode & rte default
   [\#308](https://github.com/matrix-org/matrix-react-sdk/pull/308)
 * Rich Text Editor
   [\#292](https://github.com/matrix-org/matrix-react-sdk/pull/292)
 * Hide e2e features if not enabled
   [\#306](https://github.com/matrix-org/matrix-react-sdk/pull/306)
 * Add experimental "Labs" section to settings
   [\#305](https://github.com/matrix-org/matrix-react-sdk/pull/305)
 * Make the room directory join rooms by alias
   [\#304](https://github.com/matrix-org/matrix-react-sdk/pull/304)
 * Factor out common parts of room creation
   [\#303](https://github.com/matrix-org/matrix-react-sdk/pull/303)
 * Fix spinner-of-doom in member info for guests
   [\#302](https://github.com/matrix-org/matrix-react-sdk/pull/302)
 * Support for marking devices as verified
   [\#300](https://github.com/matrix-org/matrix-react-sdk/pull/300)
 * Make the config optional
   [\#301](https://github.com/matrix-org/matrix-react-sdk/pull/301)
 * Pass brand parameter down to Notifications
   [\#299](https://github.com/matrix-org/matrix-react-sdk/pull/299)
 * Second attempt at fixing the Velocity memory leak
   [\#298](https://github.com/matrix-org/matrix-react-sdk/pull/298)

Changes in [0.6.3](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.3) (2016-06-03)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.2...v0.6.3)

 * Change invite text field wording
 * Fix bug with new email invite UX where the invite could get wedged
 * Label app versions sensibly in UserSettings

Changes in [0.6.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.2) (2016-06-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.1...v0.6.2)

 * Correctly bump dep on matrix-js-sdk 0.5.4

Changes in [0.6.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.1) (2016-06-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.6.0...v0.6.1)

 * Fix focusing race in new UX for 3pid invites
 * Fix jenkins.sh

Changes in [0.6.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.6.0) (2016-06-02)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.5.2...v0.6.0)

 * implement new UX for 3pid invites
   [\#297](https://github.com/matrix-org/matrix-react-sdk/pull/297)
 * multiple URL preview support
   [\#290](https://github.com/matrix-org/matrix-react-sdk/pull/290)
 * Add a fallback homeserver to log into
   [\#293](https://github.com/matrix-org/matrix-react-sdk/pull/293)
 * Hopefully fix memory leak with velocity
   [\#291](https://github.com/matrix-org/matrix-react-sdk/pull/291)
 * Support for enabling email notifications
   [\#289](https://github.com/matrix-org/matrix-react-sdk/pull/289)
 * Correct Readme instructions how to customize the UI
   [\#286](https://github.com/matrix-org/matrix-react-sdk/pull/286)
 * Avoid rerendering during Room unmount
   [\#285](https://github.com/matrix-org/matrix-react-sdk/pull/285)

Changes in [0.5.2](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.5.2) (2016-04-22)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.5.1...v0.5.2)

Performance improvements:

 * Reduce number of events shown in a room to 250
   [afb301f](https://github.com/matrix-org/matrix-react-sdk/commit/afb301ffb78c019a50e40caa5d9042ad39c117fe)
 * add heuristics to hide URL previews...
   [\#284](https://github.com/matrix-org/matrix-react-sdk/pull/284)
 * Fix bug which stopped us scrolling down after we scrolled up
   [\#283](https://github.com/matrix-org/matrix-react-sdk/pull/283)
 * Don't relayout scrollpanels every time something changes
   [\#280](https://github.com/matrix-org/matrix-react-sdk/pull/280)
 * Reduce number of renders on received events
   [\#279](https://github.com/matrix-org/matrix-react-sdk/pull/279)
 * Avoid rerendering EventTiles when not necessary
   [\#278](https://github.com/matrix-org/matrix-react-sdk/pull/278)
 * Speed up processing of TimelinePanel updates on new events
   [\#277](https://github.com/matrix-org/matrix-react-sdk/pull/277)

Other bug fixes:
 * Fix read-receipt animation
   [\#282](https://github.com/matrix-org/matrix-react-sdk/pull/282),
   [\#281](https://github.com/matrix-org/matrix-react-sdk/pull/281)

Changes in [0.5.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.5.1) (2016-04-19)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.4.0...v0.5.1)

 * Upgrade to react 15.0
 * Fix many thinkos in sorting the MemberList
   [\#275](https://github.com/matrix-org/matrix-react-sdk/pull/275)
 * Don't setState after unmounting a component
   [\#276](https://github.com/matrix-org/matrix-react-sdk/pull/276)
 * Drop workaround for object.onLoad
   [\#274](https://github.com/matrix-org/matrix-react-sdk/pull/274)
 * Make sure that we update the room name
   [\#272](https://github.com/matrix-org/matrix-react-sdk/pull/272)
 * Matthew/design tweaks
   [\#273](https://github.com/matrix-org/matrix-react-sdk/pull/273)
 * Hack around absence of String.codePointAt on PhantomJS
   [\#271](https://github.com/matrix-org/matrix-react-sdk/pull/271)
 * RoomView: Handle joining federated rooms
   [\#270](https://github.com/matrix-org/matrix-react-sdk/pull/270)
 * Stop the MatrixClient when the MatrixChat is unmounted
   [\#269](https://github.com/matrix-org/matrix-react-sdk/pull/269)
 * make the UI fadable to help with decluttering
   [\#268](https://github.com/matrix-org/matrix-react-sdk/pull/268)
 * URL previewing support
   [\#260](https://github.com/matrix-org/matrix-react-sdk/pull/260)
 * Remember to load new timeline events
   [\#267](https://github.com/matrix-org/matrix-react-sdk/pull/267)
 * Stop trying to paginate after we get a failure
   [\#265](https://github.com/matrix-org/matrix-react-sdk/pull/265)
 * Improvements to the react-sdk test framework
   [\#264](https://github.com/matrix-org/matrix-react-sdk/pull/264)
 * Fix password resetting
   [\#263](https://github.com/matrix-org/matrix-react-sdk/pull/263)
 * Catch pageup/down and ctrl-home/end at the top level
   [\#262](https://github.com/matrix-org/matrix-react-sdk/pull/262)
 * Fix an issue where the scroll stopped working.
   [\#261](https://github.com/matrix-org/matrix-react-sdk/pull/261)
 * Fix a bug where we tried to show two ghost read markers at once.
   [\#254](https://github.com/matrix-org/matrix-react-sdk/pull/254)
 * File upload improvements
   [\#258](https://github.com/matrix-org/matrix-react-sdk/pull/258)
 * Show full-size avatar on MemberInfo avatar click
   [\#257](https://github.com/matrix-org/matrix-react-sdk/pull/257)
 * Whitelist \<u> tag
   [\#256](https://github.com/matrix-org/matrix-react-sdk/pull/256)
 * Don't reload the DOM if we can jump straight to the RM
   [\#253](https://github.com/matrix-org/matrix-react-sdk/pull/253)

[0.5.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.5.0) was
incorrectly released.

Changes in [0.4.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.4.0) (2016-03-30)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.3.1...v0.4.0)

 * Prettier, animated placeholder :D
   [\#251](https://github.com/matrix-org/matrix-react-sdk/pull/251)
 * Refactor RoomHeader, and fix topic updates
   [\#252](https://github.com/matrix-org/matrix-react-sdk/pull/252)
 * Disable the message composer if we don't have permission to post
   [\#250](https://github.com/matrix-org/matrix-react-sdk/pull/250)
 * notification issue fixed
   [\#240](https://github.com/matrix-org/matrix-react-sdk/pull/240)
 * Fix scroll offset popping around during image load by putting explicit
   height back on images
   [\#248](https://github.com/matrix-org/matrix-react-sdk/pull/248)
 * Split a textinput component out of MessageComposer
   [\#249](https://github.com/matrix-org/matrix-react-sdk/pull/249)

Changes in [0.3.1](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.3.1) (2016-03-23)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.3.0...v0.3.1)

 * Disable debug logging in ScrollPanel

Changes in [0.3.0](https://github.com/matrix-org/matrix-react-sdk/releases/tag/v0.3.0) (2016-03-23)
===================================================================================================
[Full Changelog](https://github.com/matrix-org/matrix-react-sdk/compare/v0.2.0...v0.3.0)

 * Fix off-by-one error in read-marker advancing
   [\#246](https://github.com/matrix-org/matrix-react-sdk/pull/246)
 * Another go at fixing the jumpy scroll
   [\#245](https://github.com/matrix-org/matrix-react-sdk/pull/245)
 * Move read-marker past our own events when we switch to a room
   [\#244](https://github.com/matrix-org/matrix-react-sdk/pull/244)
 * Add better user-facing error messages
   [\#243](https://github.com/matrix-org/matrix-react-sdk/pull/243)
 * Make the read-marker less annoying
   [\#242](https://github.com/matrix-org/matrix-react-sdk/pull/242)
 * rework roomsettings for new visibility UI
   [\#241](https://github.com/matrix-org/matrix-react-sdk/pull/241)
 * Show a spinner when we back-paginate search results
   [\#236](https://github.com/matrix-org/matrix-react-sdk/pull/236)
 * Only ignore scroll echoes once
   [\#237](https://github.com/matrix-org/matrix-react-sdk/pull/237)
 * Add 'cancel all' option to 'unsent messages' bar
   [\#238](https://github.com/matrix-org/matrix-react-sdk/pull/238)
 * Show an error when a direct-to-event link fails
   [\#239](https://github.com/matrix-org/matrix-react-sdk/pull/239)
 * if we're not peeking in a room, stop any ongoing peeking
   [\#234](https://github.com/matrix-org/matrix-react-sdk/pull/234)
 * linkify vector.im URLs directly into the app, both from HTML and non-HTML
   messages
   [\#235](https://github.com/matrix-org/matrix-react-sdk/pull/235)
 * Use new pendingEventList functionality from matrix-js-sdk
   [\#231](https://github.com/matrix-org/matrix-react-sdk/pull/231)
 * Display a warning if a third party invite for a room was sent to an address
   that is not bound publicly to our account
   [\#233](https://github.com/matrix-org/matrix-react-sdk/pull/233)
 * Fix cancelling dialog boxes by clicking on the background
   [\#232](https://github.com/matrix-org/matrix-react-sdk/pull/232)
 * fix zero length tab complete so it doesn't fire automatically on empty
   MessageComposer
   [\#229](https://github.com/matrix-org/matrix-react-sdk/pull/229)
 * click on nicks to insert them into the MessageComposer
   [\#230](https://github.com/matrix-org/matrix-react-sdk/pull/230)
 * Correctly fix notif spam after logout/login
   [\#227](https://github.com/matrix-org/matrix-react-sdk/pull/227)
 * fix last_active_ago timestamps, tab completion ordering, and implement
   currently_active semantics
   [\#226](https://github.com/matrix-org/matrix-react-sdk/pull/226)
 * make MemberTiles actually update in realtime
   [\#222](https://github.com/matrix-org/matrix-react-sdk/pull/222)
 * Bring up MemberInfo on avatar click in EventTile
   [\#225](https://github.com/matrix-org/matrix-react-sdk/pull/225)
 * Make getCurrent[H|I]SUrl honour the state setting that comes from the url
   bar
   [\#228](https://github.com/matrix-org/matrix-react-sdk/pull/228)
 * Poll for email validation once the validation email has been sent
   [\#223](https://github.com/matrix-org/matrix-react-sdk/pull/223)
 * Display sync status in favicon and title.
   [\#221](https://github.com/matrix-org/matrix-react-sdk/pull/221)
 * grey out roomsettings that you can't edit
   [\#217](https://github.com/matrix-org/matrix-react-sdk/pull/217)
 * allow registration and login from guest to be cancellable
   [\#220](https://github.com/matrix-org/matrix-react-sdk/pull/220)
 * let registering guests either upgrade or create a new account by spec…
   [\#219](https://github.com/matrix-org/matrix-react-sdk/pull/219)
 * Remove (broken, as it turns out) permission logic from react sdk
   [\#187](https://github.com/matrix-org/matrix-react-sdk/pull/187)
 * Bring back lost functionality on login/register/password-reset screens
   [\#200](https://github.com/matrix-org/matrix-react-sdk/pull/200)
 * Handle the new Session.logged_out event.
   [\#218](https://github.com/matrix-org/matrix-react-sdk/pull/218)
 * hopefully fix https://github.com/vector-im/vector-web/issues/819
   [\#216](https://github.com/matrix-org/matrix-react-sdk/pull/216)
 * Adjust the scroll position when the gemini panel is resized
   [\#215](https://github.com/matrix-org/matrix-react-sdk/pull/215)
 * Use our fork of react-gemini-scrollbar to fix resize issues
   [\#214](https://github.com/matrix-org/matrix-react-sdk/pull/214)
 * Put direct-linked events and search clickthroughs in the middle
   [\#212](https://github.com/matrix-org/matrix-react-sdk/pull/212)
 * prettyprint conference joins and parts properly
   [\#198](https://github.com/matrix-org/matrix-react-sdk/pull/198)
 * Don't crash on redacted (or otherwise invalid) 3pid invites
   [\#213](https://github.com/matrix-org/matrix-react-sdk/pull/213)

Changes in matrix-react-sdk v0.2.0 (2016-03-11)
===============================================
(originally incorrectly released as 0.1.1)
 * Various significant changes

Changes in matrix-react-sdk v0.1.0 (2016-02-24)
===============================================
 * Significant refactor: remove separation between views and controllers
 * This release of the react-sdk will require additional components to function.
   See https://github.com/vector-im/vector-web for a complete application.

Changes in matrix-react-sdk v0.0.2 (2015-10-28)
===============================================
 * Initial release
